# Autogenerated file. Changes will be overwritten.

try:
    import coriolis
except ImportError:
    import CRL, Hurricane, Viewer, Cfg
    from Hurricane import (
        Technology, DataBase, DbU, Library,
        Layer, BasicLayer,
        Cell, Net, Horizontal, Vertical, Rectilinear, Box, Point,
        Instance, Transformation,
        NetExternalComponents,
    )
    from helpers import u, l
    from helpers.technology import setEnclosures
    from helpers.overlay import CfgCache, UpdateSession
else:
    from coriolis import CRL, Hurricane, Viewer, Cfg
    from coriolis.Hurricane import (
        Technology, DataBase, DbU, Library,
        Layer, BasicLayer,
        Cell, Net, Horizontal, Vertical, Rectilinear, Box, Point,
        Instance, Transformation,
        NetExternalComponents,
    )
    from coriolis.helpers import u, l
    from coriolis.helpers.technology import setEnclosures
    from coriolis.helpers.overlay import CfgCache, UpdateSession

__all__ = ["setup"]

def createRL(tech, net, layer, coords):
    coords = [Point(u(x), u(y)) for x,y in coords]
    Rectilinear.create(net, tech.getLayer(layer), coords)

def _routing():
    af = CRL.AllianceFramework.get()
    db = DataBase.getDB()
    tech = db.getTechnology()

    # No standard cell library
    pass


def _load():
    af = CRL.AllianceFramework.get()
    db = DataBase.getDB()
    tech = db.getTechnology()
    rootlib = db.getRootLibrary()

    lib = Library.create(rootlib, 'ExampleSRAMs')
    new_cells = {
        'SP6TBlock_512x64_8WE': Cell.create(lib, 'SP6TBlock_512x64_8WE'),
        'SP6TRowPeriphery_3_4_2': Cell.create(lib, 'SP6TRowPeriphery_3_4_2'),
        'SP6TColumn_128R8B4M': Cell.create(lib, 'SP6TColumn_128R8B4M'),
        'SP6TColumnBlock_128R64B4M8W': Cell.create(lib, 'SP6TColumnBlock_128R64B4M8W'),
        'SP6TClockGenerator': Cell.create(lib, 'SP6TClockGenerator'),
        'SP6TLatchedDecoder_2A2R': Cell.create(lib, 'SP6TLatchedDecoder_2A2R'),
        'SP6TRowDecoder_3_4B': Cell.create(lib, 'SP6TRowDecoder_3_4B'),
        'SP6TNonOverlapClock_8S': Cell.create(lib, 'SP6TNonOverlapClock_8S'),
        'SP6TRowPredecoders_3_4B': Cell.create(lib, 'SP6TRowPredecoders_3_4B'),
        'SP6TRowDecoderDriverPage_2PD8R': Cell.create(lib, 'SP6TRowDecoderDriverPage_2PD8R'),
        'SP6TRowDecoderNand3': Cell.create(lib, 'SP6TRowDecoderNand3'),
        'SP6TCell': Cell.create(lib, 'SP6TCell'),
        'SP6TWLDrive_30LN100WN30LP200WP': Cell.create(lib, 'SP6TWLDrive_30LN100WN30LP200WP'),
        'SP6TArray_128X32': Cell.create(lib, 'SP6TArray_128X32'),
        'SP6TArray_64X32': Cell.create(lib, 'SP6TArray_64X32'),
        'SP6TArray_32X32': Cell.create(lib, 'SP6TArray_32X32'),
        'SP6TArray_32X16': Cell.create(lib, 'SP6TArray_32X16'),
        'SP6TArray_16X16': Cell.create(lib, 'SP6TArray_16X16'),
        'SP6TArray_16X8': Cell.create(lib, 'SP6TArray_16X8'),
        'SP6TArray_8X8': Cell.create(lib, 'SP6TArray_8X8'),
        'SP6TArray_8X4': Cell.create(lib, 'SP6TArray_8X4'),
        'SP6TArray_4X4': Cell.create(lib, 'SP6TArray_4X4'),
        'SP6TArray_4X2': Cell.create(lib, 'SP6TArray_4X2'),
        'SP6TArray_2X2': Cell.create(lib, 'SP6TArray_2X2'),
        'SP6TArray_2X1': Cell.create(lib, 'SP6TArray_2X1'),
        'SP6TColumnPeriphery_8B4M': Cell.create(lib, 'SP6TColumnPeriphery_8B4M'),
        'SP6TPrecharge': Cell.create(lib, 'SP6TPrecharge'),
        'SP6TColMux_4C': Cell.create(lib, 'SP6TColMux_4C'),
        'SP6TSenseAmp_4M': Cell.create(lib, 'SP6TSenseAmp_4M'),
        'SP6TWriteDriver_4M2B': Cell.create(lib, 'SP6TWriteDriver_4M2B'),
        'SP6TClockWE': Cell.create(lib, 'SP6TClockWE'),
        'DP8TBlock_512x64_8WE': Cell.create(lib, 'DP8TBlock_512x64_8WE'),
        'DP8TRowPeriphery_3_4_2_wl1': Cell.create(lib, 'DP8TRowPeriphery_3_4_2_wl1'),
        'DP8TRowPeriphery_3_4_2_wl2': Cell.create(lib, 'DP8TRowPeriphery_3_4_2_wl2'),
        'DP8TColumn_128R8B4M': Cell.create(lib, 'DP8TColumn_128R8B4M'),
        'DP8TColumnBlock_128R64B4M8W': Cell.create(lib, 'DP8TColumnBlock_128R64B4M8W'),
        'DP8TClockGenerator': Cell.create(lib, 'DP8TClockGenerator'),
        'DP8TLatchedDecoder_2A2R': Cell.create(lib, 'DP8TLatchedDecoder_2A2R'),
        'DP8TRowDecoder_3_4B_wl1': Cell.create(lib, 'DP8TRowDecoder_3_4B_wl1'),
        'DP8TNonOverlapClock_8S': Cell.create(lib, 'DP8TNonOverlapClock_8S'),
        'DP8TRowPredecoders_3_4B': Cell.create(lib, 'DP8TRowPredecoders_3_4B'),
        'DP8TRowDecoderDriverPage_2PD8R_wl1': Cell.create(lib, 'DP8TRowDecoderDriverPage_2PD8R_wl1'),
        'DP8TRowDecoderNand3': Cell.create(lib, 'DP8TRowDecoderNand3'),
        'DP8TCell': Cell.create(lib, 'DP8TCell'),
        'DP8TWLDrive_30LN100WN30LP200WP_wl1': Cell.create(lib, 'DP8TWLDrive_30LN100WN30LP200WP_wl1'),
        'DP8TRowDecoder_3_4B_wl2': Cell.create(lib, 'DP8TRowDecoder_3_4B_wl2'),
        'DP8TRowDecoderDriverPage_2PD8R_wl2': Cell.create(lib, 'DP8TRowDecoderDriverPage_2PD8R_wl2'),
        'DP8TWLDrive_30LN100WN30LP200WP_wl2': Cell.create(lib, 'DP8TWLDrive_30LN100WN30LP200WP_wl2'),
        'DP8TArray_128X32': Cell.create(lib, 'DP8TArray_128X32'),
        'DP8TArray_64X32': Cell.create(lib, 'DP8TArray_64X32'),
        'DP8TArray_32X32': Cell.create(lib, 'DP8TArray_32X32'),
        'DP8TArray_32X16': Cell.create(lib, 'DP8TArray_32X16'),
        'DP8TArray_16X16': Cell.create(lib, 'DP8TArray_16X16'),
        'DP8TArray_16X8': Cell.create(lib, 'DP8TArray_16X8'),
        'DP8TArray_8X8': Cell.create(lib, 'DP8TArray_8X8'),
        'DP8TArray_8X4': Cell.create(lib, 'DP8TArray_8X4'),
        'DP8TArray_4X4': Cell.create(lib, 'DP8TArray_4X4'),
        'DP8TArray_4X2': Cell.create(lib, 'DP8TArray_4X2'),
        'DP8TArray_2X2': Cell.create(lib, 'DP8TArray_2X2'),
        'DP8TArray_2X1': Cell.create(lib, 'DP8TArray_2X1'),
        'DP8TColumnPeriphery_8B4M_bl1': Cell.create(lib, 'DP8TColumnPeriphery_8B4M_bl1'),
        'DP8TPrecharge_bl1': Cell.create(lib, 'DP8TPrecharge_bl1'),
        'DP8TColMux_4C_bl1': Cell.create(lib, 'DP8TColMux_4C_bl1'),
        'DP8TSenseAmp_4M': Cell.create(lib, 'DP8TSenseAmp_4M'),
        'DP8TWriteDriver_4M2B': Cell.create(lib, 'DP8TWriteDriver_4M2B'),
        'DP8TClockWE': Cell.create(lib, 'DP8TClockWE'),
        'DP8TColumnPeriphery_8B4M_bl2': Cell.create(lib, 'DP8TColumnPeriphery_8B4M_bl2'),
        'DP8TPrecharge_bl2': Cell.create(lib, 'DP8TPrecharge_bl2'),
        'DP8TColMux_4C_bl2': Cell.create(lib, 'DP8TColMux_4C_bl2'),
    }

    cell = new_cells['SP6TBlock_512x64_8WE']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(554.8199999999998), u(410.565),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'a[0]': Net.create(cell, 'a[0]'),
            'a[1]': Net.create(cell, 'a[1]'),
            'a[2]': Net.create(cell, 'a[2]'),
            'a[3]': Net.create(cell, 'a[3]'),
            'a[4]': Net.create(cell, 'a[4]'),
            'a[5]': Net.create(cell, 'a[5]'),
            'a[6]': Net.create(cell, 'a[6]'),
            'a[7]': Net.create(cell, 'a[7]'),
            'a[8]': Net.create(cell, 'a[8]'),
            'clk': Net.create(cell, 'clk'),
            'd[0]': Net.create(cell, 'd[0]'),
            'd[10]': Net.create(cell, 'd[10]'),
            'd[11]': Net.create(cell, 'd[11]'),
            'd[12]': Net.create(cell, 'd[12]'),
            'd[13]': Net.create(cell, 'd[13]'),
            'd[14]': Net.create(cell, 'd[14]'),
            'd[15]': Net.create(cell, 'd[15]'),
            'd[16]': Net.create(cell, 'd[16]'),
            'd[17]': Net.create(cell, 'd[17]'),
            'd[18]': Net.create(cell, 'd[18]'),
            'd[19]': Net.create(cell, 'd[19]'),
            'd[1]': Net.create(cell, 'd[1]'),
            'd[20]': Net.create(cell, 'd[20]'),
            'd[21]': Net.create(cell, 'd[21]'),
            'd[22]': Net.create(cell, 'd[22]'),
            'd[23]': Net.create(cell, 'd[23]'),
            'd[24]': Net.create(cell, 'd[24]'),
            'd[25]': Net.create(cell, 'd[25]'),
            'd[26]': Net.create(cell, 'd[26]'),
            'd[27]': Net.create(cell, 'd[27]'),
            'd[28]': Net.create(cell, 'd[28]'),
            'd[29]': Net.create(cell, 'd[29]'),
            'd[2]': Net.create(cell, 'd[2]'),
            'd[30]': Net.create(cell, 'd[30]'),
            'd[31]': Net.create(cell, 'd[31]'),
            'd[32]': Net.create(cell, 'd[32]'),
            'd[33]': Net.create(cell, 'd[33]'),
            'd[34]': Net.create(cell, 'd[34]'),
            'd[35]': Net.create(cell, 'd[35]'),
            'd[36]': Net.create(cell, 'd[36]'),
            'd[37]': Net.create(cell, 'd[37]'),
            'd[38]': Net.create(cell, 'd[38]'),
            'd[39]': Net.create(cell, 'd[39]'),
            'd[3]': Net.create(cell, 'd[3]'),
            'd[40]': Net.create(cell, 'd[40]'),
            'd[41]': Net.create(cell, 'd[41]'),
            'd[42]': Net.create(cell, 'd[42]'),
            'd[43]': Net.create(cell, 'd[43]'),
            'd[44]': Net.create(cell, 'd[44]'),
            'd[45]': Net.create(cell, 'd[45]'),
            'd[46]': Net.create(cell, 'd[46]'),
            'd[47]': Net.create(cell, 'd[47]'),
            'd[48]': Net.create(cell, 'd[48]'),
            'd[49]': Net.create(cell, 'd[49]'),
            'd[4]': Net.create(cell, 'd[4]'),
            'd[50]': Net.create(cell, 'd[50]'),
            'd[51]': Net.create(cell, 'd[51]'),
            'd[52]': Net.create(cell, 'd[52]'),
            'd[53]': Net.create(cell, 'd[53]'),
            'd[54]': Net.create(cell, 'd[54]'),
            'd[55]': Net.create(cell, 'd[55]'),
            'd[56]': Net.create(cell, 'd[56]'),
            'd[57]': Net.create(cell, 'd[57]'),
            'd[58]': Net.create(cell, 'd[58]'),
            'd[59]': Net.create(cell, 'd[59]'),
            'd[5]': Net.create(cell, 'd[5]'),
            'd[60]': Net.create(cell, 'd[60]'),
            'd[61]': Net.create(cell, 'd[61]'),
            'd[62]': Net.create(cell, 'd[62]'),
            'd[63]': Net.create(cell, 'd[63]'),
            'd[6]': Net.create(cell, 'd[6]'),
            'd[7]': Net.create(cell, 'd[7]'),
            'd[8]': Net.create(cell, 'd[8]'),
            'd[9]': Net.create(cell, 'd[9]'),
            'q[0]': Net.create(cell, 'q[0]'),
            'q[10]': Net.create(cell, 'q[10]'),
            'q[11]': Net.create(cell, 'q[11]'),
            'q[12]': Net.create(cell, 'q[12]'),
            'q[13]': Net.create(cell, 'q[13]'),
            'q[14]': Net.create(cell, 'q[14]'),
            'q[15]': Net.create(cell, 'q[15]'),
            'q[16]': Net.create(cell, 'q[16]'),
            'q[17]': Net.create(cell, 'q[17]'),
            'q[18]': Net.create(cell, 'q[18]'),
            'q[19]': Net.create(cell, 'q[19]'),
            'q[1]': Net.create(cell, 'q[1]'),
            'q[20]': Net.create(cell, 'q[20]'),
            'q[21]': Net.create(cell, 'q[21]'),
            'q[22]': Net.create(cell, 'q[22]'),
            'q[23]': Net.create(cell, 'q[23]'),
            'q[24]': Net.create(cell, 'q[24]'),
            'q[25]': Net.create(cell, 'q[25]'),
            'q[26]': Net.create(cell, 'q[26]'),
            'q[27]': Net.create(cell, 'q[27]'),
            'q[28]': Net.create(cell, 'q[28]'),
            'q[29]': Net.create(cell, 'q[29]'),
            'q[2]': Net.create(cell, 'q[2]'),
            'q[30]': Net.create(cell, 'q[30]'),
            'q[31]': Net.create(cell, 'q[31]'),
            'q[32]': Net.create(cell, 'q[32]'),
            'q[33]': Net.create(cell, 'q[33]'),
            'q[34]': Net.create(cell, 'q[34]'),
            'q[35]': Net.create(cell, 'q[35]'),
            'q[36]': Net.create(cell, 'q[36]'),
            'q[37]': Net.create(cell, 'q[37]'),
            'q[38]': Net.create(cell, 'q[38]'),
            'q[39]': Net.create(cell, 'q[39]'),
            'q[3]': Net.create(cell, 'q[3]'),
            'q[40]': Net.create(cell, 'q[40]'),
            'q[41]': Net.create(cell, 'q[41]'),
            'q[42]': Net.create(cell, 'q[42]'),
            'q[43]': Net.create(cell, 'q[43]'),
            'q[44]': Net.create(cell, 'q[44]'),
            'q[45]': Net.create(cell, 'q[45]'),
            'q[46]': Net.create(cell, 'q[46]'),
            'q[47]': Net.create(cell, 'q[47]'),
            'q[48]': Net.create(cell, 'q[48]'),
            'q[49]': Net.create(cell, 'q[49]'),
            'q[4]': Net.create(cell, 'q[4]'),
            'q[50]': Net.create(cell, 'q[50]'),
            'q[51]': Net.create(cell, 'q[51]'),
            'q[52]': Net.create(cell, 'q[52]'),
            'q[53]': Net.create(cell, 'q[53]'),
            'q[54]': Net.create(cell, 'q[54]'),
            'q[55]': Net.create(cell, 'q[55]'),
            'q[56]': Net.create(cell, 'q[56]'),
            'q[57]': Net.create(cell, 'q[57]'),
            'q[58]': Net.create(cell, 'q[58]'),
            'q[59]': Net.create(cell, 'q[59]'),
            'q[5]': Net.create(cell, 'q[5]'),
            'q[60]': Net.create(cell, 'q[60]'),
            'q[61]': Net.create(cell, 'q[61]'),
            'q[62]': Net.create(cell, 'q[62]'),
            'q[63]': Net.create(cell, 'q[63]'),
            'q[6]': Net.create(cell, 'q[6]'),
            'q[7]': Net.create(cell, 'q[7]'),
            'q[8]': Net.create(cell, 'q[8]'),
            'q[9]': Net.create(cell, 'q[9]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'we[0]': Net.create(cell, 'we[0]'),
            'we[1]': Net.create(cell, 'we[1]'),
            'we[2]': Net.create(cell, 'we[2]'),
            'we[3]': Net.create(cell, 'we[3]'),
            'we[4]': Net.create(cell, 'we[4]'),
            'we[5]': Net.create(cell, 'we[5]'),
            'we[6]': Net.create(cell, 'we[6]'),
            'we[7]': Net.create(cell, 'we[7]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((27.46,163.37),(27.46,163.63),(554.82,163.63),(554.82,163.37),(27.46,163.37)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,65.63),(27.46,65.89),(554.82,65.89),(554.82,65.63),(27.46,65.63)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,125.36),(27.46,125.62),(554.82,125.62),(554.82,125.36),(27.46,125.36)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,152.51),(27.46,152.77),(554.82,152.77),(554.82,152.51),(27.46,152.51)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,326.27),(27.46,326.53),(554.82,326.53),(554.82,326.27),(27.46,326.27)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,71.06),(27.46,71.32),(554.82,71.32),(554.82,71.06),(27.46,71.06)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,255.68),(27.46,255.94),(554.82,255.94),(554.82,255.68),(27.46,255.68)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,391.43),(27.46,391.69),(554.82,391.69),(554.82,391.43),(27.46,391.43)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,309.98),(27.46,310.24),(554.82,310.24),(554.82,309.98),(27.46,309.98)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,228.53),(27.46,228.79),(554.82,228.79),(554.82,228.53),(27.46,228.53)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,250.25),(27.46,250.51),(554.82,250.51),(554.82,250.25),(27.46,250.25)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,185.09),(27.46,185.35),(554.82,185.35),(554.82,185.09),(27.46,185.09)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,201.38),(27.46,201.64),(554.82,201.64),(554.82,201.38),(27.46,201.38)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,261.11),(27.46,261.37),(554.82,261.37),(554.82,261.11),(27.46,261.11)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,315.41),(27.46,315.67),(554.82,315.67),(554.82,315.41),(27.46,315.41)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,331.7),(27.46,331.96),(554.82,331.96),(554.82,331.7),(27.46,331.7)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,81.92),(27.46,82.18),(554.82,82.18),(554.82,81.92),(27.46,81.92)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,76.49),(27.46,76.75),(554.82,76.75),(554.82,76.49),(27.46,76.49)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,114.5),(27.46,114.76),(554.82,114.76),(554.82,114.5),(27.46,114.5)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,49.08),(27.46,49.72),(554.82,49.72),(554.82,49.08),(27.46,49.08)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,109.07),(27.46,109.33),(554.82,109.33),(554.82,109.07),(27.46,109.07)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,141.65),(27.46,141.91),(554.82,141.91),(554.82,141.65),(27.46,141.65)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,337.13),(27.46,337.39),(554.82,337.39),(554.82,337.13),(27.46,337.13)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,304.55),(27.46,304.81),(554.82,304.81),(554.82,304.55),(27.46,304.55)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,342.56),(27.46,342.82),(554.82,342.82),(554.82,342.56),(27.46,342.56)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,369.71),(27.46,369.97),(554.82,369.97),(554.82,369.71),(27.46,369.71)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,87.35),(27.46,87.61),(554.82,87.61),(554.82,87.35),(27.46,87.35)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,239.39),(27.46,239.65),(554.82,239.65),(554.82,239.39),(27.46,239.39)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,375.14),(27.46,375.4),(554.82,375.4),(554.82,375.14),(27.46,375.14)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,407.72),(27.46,407.98),(554.82,407.98),(554.82,407.72),(27.46,407.72)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,358.85),(27.46,359.11),(554.82,359.11),(554.82,358.85),(27.46,358.85)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,347.99),(27.46,348.25),(554.82,348.25),(554.82,347.99),(27.46,347.99)),
        )
        createRL(
            tech, net, 'm2',
            ((27.33,58.71),(27.33,59.35),(554.95,59.35),(554.95,58.71),(27.33,58.71)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,282.83),(27.46,283.09),(554.82,283.09),(554.82,282.83),(27.46,282.83)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,119.93),(27.46,120.19),(554.82,120.19),(554.82,119.93),(27.46,119.93)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,147.08),(27.46,147.34),(554.82,147.34),(554.82,147.08),(27.46,147.08)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,179.66),(27.46,179.92),(554.82,179.92),(554.82,179.66),(27.46,179.66)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,157.94),(27.46,158.2),(554.82,158.2),(554.82,157.94),(27.46,157.94)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,98.21),(27.46,98.47),(554.82,98.47),(554.82,98.21),(27.46,98.21)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,380.57),(27.46,380.83),(554.82,380.83),(554.82,380.57),(27.46,380.57)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,386.0),(27.46,386.26),(554.82,386.26),(554.82,386.0),(27.46,386.0)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,353.42),(27.46,353.68),(554.82,353.68),(554.82,353.42),(27.46,353.42)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,190.52),(27.46,190.78),(554.82,190.78),(554.82,190.52),(27.46,190.52)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,288.26),(27.46,288.52),(554.82,288.52),(554.82,288.26),(27.46,288.26)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,396.86),(27.46,397.12),(554.82,397.12),(554.82,396.86),(27.46,396.86)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,271.97),(27.46,272.23),(554.82,272.23),(554.82,271.97),(27.46,271.97)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,103.64),(27.46,103.9),(554.82,103.9),(554.82,103.64),(27.46,103.64)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,223.1),(27.46,223.36),(554.82,223.36),(554.82,223.1),(27.46,223.1)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,233.96),(27.46,234.22),(554.82,234.22),(554.82,233.96),(27.46,233.96)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,212.24),(27.46,212.5),(554.82,212.5),(554.82,212.24),(27.46,212.24)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,168.8),(27.46,169.06),(554.82,169.06),(554.82,168.8),(27.46,168.8)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,206.81),(27.46,207.07),(554.82,207.07),(554.82,206.81),(27.46,206.81)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,195.95),(27.46,196.21),(554.82,196.21),(554.82,195.95),(27.46,195.95)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,217.67),(27.46,217.93),(554.82,217.93),(554.82,217.67),(27.46,217.67)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,266.54),(27.46,266.8),(554.82,266.8),(554.82,266.54),(27.46,266.54)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,277.4),(27.46,277.66),(554.82,277.66),(554.82,277.4),(27.46,277.4)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,293.69),(27.46,293.95),(554.82,293.95),(554.82,293.69),(27.46,293.69)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,299.12),(27.46,299.38),(554.82,299.38),(554.82,299.12),(27.46,299.12)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,364.28),(27.46,364.54),(554.82,364.54),(554.82,364.28),(27.46,364.28)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,402.29),(27.46,402.55),(554.82,402.55),(554.82,402.29),(27.46,402.29)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,136.22),(27.46,136.48),(554.82,136.48),(554.82,136.22),(27.46,136.22)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,92.78),(27.46,93.04),(554.82,93.04),(554.82,92.78),(27.46,92.78)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,130.79),(27.46,131.05),(554.82,131.05),(554.82,130.79),(27.46,130.79)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,174.23),(27.46,174.49),(554.82,174.49),(554.82,174.23),(27.46,174.23)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,320.84),(27.46,321.1),(554.82,321.1),(554.82,320.84),(27.46,320.84)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,244.82),(27.46,245.08),(554.82,245.08),(554.82,244.82),(27.46,244.82)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(163.5), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(163.5), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(65.76), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(65.76), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(125.49), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(125.49), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(152.64), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(152.64), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(326.4), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(326.4), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(71.19), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(71.19), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(255.81), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(255.81), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(391.56), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(391.56), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(310.11), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(310.11), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(228.66), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(228.66), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(250.38), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(250.38), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(185.22), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(185.22), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(201.51), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(201.51), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(261.24), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(261.24), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(315.54), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(315.54), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(331.83), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(331.83), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(82.05), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(82.05), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(76.62), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(76.62), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(114.63), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(114.63), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(49.4), u(0.64), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(49.4), u(0.64), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(109.2), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(109.2), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(141.78), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(141.78), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(337.26), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(337.26), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(304.68), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(304.68), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(342.69), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(342.69), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(369.84), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(369.84), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(87.48), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(87.48), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(239.52), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(239.52), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(375.27), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(375.27), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(407.85), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(407.85), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(358.98), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(358.98), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(348.12), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(348.12), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(59.03), u(0.64), u(27.33), u(554.9499999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(59.03), u(0.64), u(27.33), u(554.9499999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(282.96), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(282.96), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(120.06), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(120.06), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(147.21), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(147.21), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(179.79), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(179.79), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(158.07), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(158.07), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(98.34), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(98.34), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(380.7), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(380.7), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(386.13), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(386.13), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(353.55), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(353.55), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(190.65), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(190.65), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(288.39), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(288.39), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(396.99), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(396.99), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(272.1), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(272.1), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(103.77), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(103.77), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(223.23), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(223.23), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(234.09), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(234.09), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(212.37), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(212.37), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(168.93), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(168.93), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(206.94), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(206.94), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(196.08), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(196.08), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(217.8), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(217.8), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(266.67), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(266.67), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(277.53), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(277.53), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(293.82), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(293.82), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(299.25), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(299.25), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(364.41), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(364.41), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(402.42), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(402.42), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(136.35), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(136.35), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(92.91), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(92.91), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(130.92), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(130.92), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(174.36), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(174.36), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(320.97), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(320.97), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(244.95), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(244.95), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((27.46,323.555),(27.46,323.815),(554.82,323.815),(554.82,323.555),(27.46,323.555)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,377.855),(27.46,378.115),(554.82,378.115),(554.82,377.855),(27.46,377.855)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,193.235),(27.46,193.495),(554.82,193.495),(554.82,193.235),(27.46,193.235)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,166.085),(27.46,166.345),(554.82,166.345),(554.82,166.085),(27.46,166.085)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,198.665),(27.46,198.925),(554.82,198.925),(554.82,198.665),(27.46,198.665)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,280.115),(27.46,280.375),(554.82,280.375),(554.82,280.115),(27.46,280.115)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,312.695),(27.46,312.955),(554.82,312.955),(554.82,312.695),(27.46,312.695)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,383.285),(27.46,383.545),(554.82,383.545),(554.82,383.285),(27.46,383.285)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,73.775),(27.46,74.035),(554.82,74.035),(554.82,73.775),(27.46,73.775)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,68.345),(27.46,68.605),(554.82,68.605),(554.82,68.345),(27.46,68.345)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,90.065),(27.46,90.325),(554.82,90.325),(554.82,90.065),(27.46,90.065)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,122.645),(27.46,122.905),(554.82,122.905),(554.82,122.645),(27.46,122.645)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,328.985),(27.46,329.245),(554.82,329.245),(554.82,328.985),(27.46,328.985)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,133.505),(27.46,133.765),(554.82,133.765),(554.82,133.505),(27.46,133.505)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,117.215),(27.46,117.475),(554.82,117.475),(554.82,117.215),(27.46,117.215)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,339.845),(27.46,340.105),(554.82,340.105),(554.82,339.845),(27.46,339.845)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,356.135),(27.46,356.395),(554.82,356.395),(554.82,356.135),(27.46,356.135)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,366.995),(27.46,367.255),(554.82,367.255),(554.82,366.995),(27.46,366.995)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,388.715),(27.46,388.975),(554.82,388.975),(554.82,388.715),(27.46,388.715)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,263.825),(27.46,264.085),(554.82,264.085),(554.82,263.825),(27.46,263.825)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,301.835),(27.46,302.095),(554.82,302.095),(554.82,301.835),(27.46,301.835)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,204.095),(27.46,204.355),(554.82,204.355),(554.82,204.095),(27.46,204.095)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,242.105),(27.46,242.365),(554.82,242.365),(554.82,242.105),(27.46,242.105)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,209.525),(27.46,209.785),(554.82,209.785),(554.82,209.525),(27.46,209.525)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,269.255),(27.46,269.515),(554.82,269.515),(554.82,269.255),(27.46,269.255)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,48.3),(27.46,48.94),(554.82,48.94),(554.82,48.3),(27.46,48.3)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,296.405),(27.46,296.665),(554.82,296.665),(554.82,296.405),(27.46,296.405)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,334.415),(27.46,334.675),(554.82,334.675),(554.82,334.415),(27.46,334.415)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,79.205),(27.46,79.465),(554.82,79.465),(554.82,79.205),(27.46,79.205)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,247.535),(27.46,247.795),(554.82,247.795),(554.82,247.535),(27.46,247.535)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,399.575),(27.46,399.835),(554.82,399.835),(554.82,399.575),(27.46,399.575)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,100.925),(27.46,101.185),(554.82,101.185),(554.82,100.925),(27.46,100.925)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,307.265),(27.46,307.525),(554.82,307.525),(554.82,307.265),(27.46,307.265)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,225.815),(27.46,226.075),(554.82,226.075),(554.82,225.815),(27.46,225.815)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,220.385),(27.46,220.645),(554.82,220.645),(554.82,220.385),(27.46,220.385)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,258.395),(27.46,258.655),(554.82,258.655),(554.82,258.395),(27.46,258.395)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,285.545),(27.46,285.805),(554.82,285.805),(554.82,285.545),(27.46,285.545)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,160.655),(27.46,160.915),(554.82,160.915),(554.82,160.655),(27.46,160.655)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,128.075),(27.46,128.335),(554.82,128.335),(554.82,128.075),(27.46,128.075)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,318.125),(27.46,318.385),(554.82,318.385),(554.82,318.125),(27.46,318.125)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,111.785),(27.46,112.045),(554.82,112.045),(554.82,111.785),(27.46,111.785)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,95.495),(27.46,95.755),(554.82,95.755),(554.82,95.495),(27.46,95.495)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,231.245),(27.46,231.505),(554.82,231.505),(554.82,231.245),(27.46,231.245)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,350.705),(27.46,350.965),(554.82,350.965),(554.82,350.705),(27.46,350.705)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,149.795),(27.46,150.055),(554.82,150.055),(554.82,149.795),(27.46,149.795)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,84.635),(27.46,84.895),(554.82,84.895),(554.82,84.635),(27.46,84.635)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,106.355),(27.46,106.615),(554.82,106.615),(554.82,106.355),(27.46,106.355)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,176.945),(27.46,177.205),(554.82,177.205),(554.82,176.945),(27.46,176.945)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,214.955),(27.46,215.215),(554.82,215.215),(554.82,214.955),(27.46,214.955)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,345.275),(27.46,345.535),(554.82,345.535),(554.82,345.275),(27.46,345.275)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,361.565),(27.46,361.825),(554.82,361.825),(554.82,361.565),(27.46,361.565)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,372.425),(27.46,372.685),(554.82,372.685),(554.82,372.425),(27.46,372.425)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,394.145),(27.46,394.405),(554.82,394.405),(554.82,394.145),(27.46,394.145)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,405.005),(27.46,405.265),(554.82,405.265),(554.82,405.005),(27.46,405.005)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,410.435),(27.46,410.695),(554.82,410.695),(554.82,410.435),(27.46,410.435)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,155.225),(27.46,155.485),(554.82,155.485),(554.82,155.225),(27.46,155.225)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,171.515),(27.46,171.775),(554.82,171.775),(554.82,171.515),(27.46,171.515)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,236.675),(27.46,236.935),(554.82,236.935),(554.82,236.675),(27.46,236.675)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,274.685),(27.46,274.945),(554.82,274.945),(554.82,274.685),(27.46,274.685)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,144.365),(27.46,144.625),(554.82,144.625),(554.82,144.365),(27.46,144.365)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,182.375),(27.46,182.635),(554.82,182.635),(554.82,182.375),(27.46,182.375)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,252.965),(27.46,253.225),(554.82,253.225),(554.82,252.965),(27.46,252.965)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,290.975),(27.46,291.235),(554.82,291.235),(554.82,290.975),(27.46,290.975)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,62.915),(27.46,63.175),(554.82,63.175),(554.82,62.915),(27.46,62.915)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,187.805),(27.46,188.065),(554.82,188.065),(554.82,187.805),(27.46,187.805)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,138.935),(27.46,139.195),(554.82,139.195),(554.82,138.935),(27.46,138.935)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(323.685), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(323.685), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(377.985), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(377.985), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(193.365), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(193.365), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(166.215), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(166.215), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(198.795), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(198.795), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(280.245), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(280.245), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(312.825), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(312.825), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(383.415), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(383.415), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(73.905), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(73.905), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(68.475), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(68.475), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.195), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.195), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(122.775), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(122.775), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(329.115), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(329.115), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(133.635), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(133.635), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(117.345), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(117.345), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(339.975), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(339.975), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(356.265), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(356.265), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(367.125), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(367.125), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(388.845), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(388.845), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(263.955), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(263.955), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(301.965), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(301.965), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(204.225), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(204.225), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(242.235), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(242.235), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(209.655), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(209.655), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(269.385), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(269.385), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.62), u(0.64), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.62), u(0.64), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(296.535), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(296.535), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(334.545), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(334.545), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(79.335), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(79.335), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(247.665), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(247.665), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(399.705), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(399.705), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(101.055), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(101.055), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(307.395), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(307.395), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(225.945), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(225.945), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(220.515), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(220.515), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(258.525), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(258.525), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(285.675), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(285.675), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(160.785), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(160.785), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(128.205), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(128.205), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(318.255), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(318.255), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(111.915), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(111.915), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(95.625), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(95.625), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(231.375), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(231.375), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(350.835), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(350.835), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(149.925), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(149.925), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(84.765), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(84.765), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(106.485), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(106.485), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(177.075), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(177.075), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(215.085), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(215.085), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(345.405), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(345.405), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(361.695), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(361.695), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(372.555), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(372.555), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(394.275), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(394.275), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(405.135), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(405.135), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(410.565), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(410.565), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(155.355), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(155.355), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(171.645), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(171.645), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(236.805), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(236.805), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(274.815), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(274.815), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(144.495), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(144.495), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(182.505), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(182.505), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(253.095), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(253.095), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(291.105), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(291.105), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.045), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.045), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(187.935), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(187.935), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(139.065), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(139.065), u(0.26), u(27.459999999999997), u(554.8199999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[0]']
        createRL(
            tech, net, 'm1',
            ((0.0,43.4),(0.0,43.69),(1.57,43.69),(1.57,43.4),(0.0,43.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(43.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(43.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[1]']
        createRL(
            tech, net, 'm1',
            ((0.0,52.4),(0.0,52.69),(1.57,52.69),(1.57,52.4),(0.0,52.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(52.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(52.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[2]']
        createRL(
            tech, net, 'm1',
            ((0.0,67.4),(0.0,67.69),(1.57,67.69),(1.57,67.4),(0.0,67.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(67.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(67.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[3]']
        createRL(
            tech, net, 'm1',
            ((0.0,84.4),(0.0,84.69),(1.57,84.69),(1.57,84.4),(0.0,84.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(84.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(84.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[4]']
        createRL(
            tech, net, 'm1',
            ((0.0,101.4),(0.0,101.69),(1.57,101.69),(1.57,101.4),(0.0,101.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(101.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(101.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[5]']
        createRL(
            tech, net, 'm1',
            ((0.0,118.4),(0.0,118.69),(1.57,118.69),(1.57,118.4),(0.0,118.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(118.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(118.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[6]']
        createRL(
            tech, net, 'm1',
            ((0.0,135.4),(0.0,135.69),(1.57,135.69),(1.57,135.4),(0.0,135.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(135.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(135.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[7]']
        createRL(
            tech, net, 'm1',
            ((0.0,152.4),(0.0,152.69),(1.57,152.69),(1.57,152.4),(0.0,152.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(152.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(152.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[8]']
        createRL(
            tech, net, 'm1',
            ((0.0,169.4),(0.0,169.69),(1.57,169.69),(1.57,169.4),(0.0,169.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(169.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(169.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk']
        createRL(
            tech, net, 'm2',
            ((8.095,0.0),(8.095,5.625),(12.835,5.625),(12.835,0.0),(8.095,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(10.465), u(4.74), u(0.0), u(5.625),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(10.465), u(4.74), u(0.0), u(5.625),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[0]']
        createRL(
            tech, net, 'm2',
            ((28.83,0.0),(28.83,41.955),(29.09,41.955),(29.09,0.0),(28.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(28.96), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(28.96), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[1]']
        createRL(
            tech, net, 'm2',
            ((37.07,0.0),(37.07,41.955),(37.33,41.955),(37.33,0.0),(37.07,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(37.2), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(37.2), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[2]']
        createRL(
            tech, net, 'm2',
            ((45.31,0.0),(45.31,41.955),(45.57,41.955),(45.57,0.0),(45.31,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(45.44), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(45.44), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[3]']
        createRL(
            tech, net, 'm2',
            ((53.55,0.0),(53.55,41.955),(53.81,41.955),(53.81,0.0),(53.55,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(53.68), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(53.68), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[4]']
        createRL(
            tech, net, 'm2',
            ((61.79,0.0),(61.79,41.955),(62.05,41.955),(62.05,0.0),(61.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(61.92), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(61.92), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[5]']
        createRL(
            tech, net, 'm2',
            ((70.03,0.0),(70.03,41.955),(70.29,41.955),(70.29,0.0),(70.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(70.16), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(70.16), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[6]']
        createRL(
            tech, net, 'm2',
            ((78.27,0.0),(78.27,41.955),(78.53,41.955),(78.53,0.0),(78.27,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(78.4), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(78.4), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[7]']
        createRL(
            tech, net, 'm2',
            ((86.51,0.0),(86.51,41.955),(86.77,41.955),(86.77,0.0),(86.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(86.64), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(86.64), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[8]']
        createRL(
            tech, net, 'm2',
            ((94.75,0.0),(94.75,41.955),(95.01,41.955),(95.01,0.0),(94.75,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(94.88), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(94.88), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[9]']
        createRL(
            tech, net, 'm2',
            ((102.99,0.0),(102.99,41.955),(103.25,41.955),(103.25,0.0),(102.99,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(103.12), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(103.12), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[10]']
        createRL(
            tech, net, 'm2',
            ((111.23,0.0),(111.23,41.955),(111.49,41.955),(111.49,0.0),(111.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(111.36), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(111.36), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[11]']
        createRL(
            tech, net, 'm2',
            ((119.47,0.0),(119.47,41.955),(119.73,41.955),(119.73,0.0),(119.47,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(119.6), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(119.6), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[12]']
        createRL(
            tech, net, 'm2',
            ((127.71,0.0),(127.71,41.955),(127.97,41.955),(127.97,0.0),(127.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(127.84), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(127.84), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[13]']
        createRL(
            tech, net, 'm2',
            ((135.95,0.0),(135.95,41.955),(136.21,41.955),(136.21,0.0),(135.95,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(136.08), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(136.08), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[14]']
        createRL(
            tech, net, 'm2',
            ((144.19,0.0),(144.19,41.955),(144.45,41.955),(144.45,0.0),(144.19,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(144.32), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(144.32), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[15]']
        createRL(
            tech, net, 'm2',
            ((152.43,0.0),(152.43,41.955),(152.69,41.955),(152.69,0.0),(152.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(152.56), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(152.56), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[16]']
        createRL(
            tech, net, 'm2',
            ((160.67,0.0),(160.67,41.955),(160.93,41.955),(160.93,0.0),(160.67,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(160.8), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(160.8), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[17]']
        createRL(
            tech, net, 'm2',
            ((168.91,0.0),(168.91,41.955),(169.17,41.955),(169.17,0.0),(168.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(169.04), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(169.04), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[18]']
        createRL(
            tech, net, 'm2',
            ((177.15,0.0),(177.15,41.955),(177.41,41.955),(177.41,0.0),(177.15,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(177.28), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(177.28), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[19]']
        createRL(
            tech, net, 'm2',
            ((185.39,0.0),(185.39,41.955),(185.65,41.955),(185.65,0.0),(185.39,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(185.52), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(185.52), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[20]']
        createRL(
            tech, net, 'm2',
            ((193.63,0.0),(193.63,41.955),(193.89,41.955),(193.89,0.0),(193.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(193.76), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(193.76), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[21]']
        createRL(
            tech, net, 'm2',
            ((201.87,0.0),(201.87,41.955),(202.13,41.955),(202.13,0.0),(201.87,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(202.0), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(202.0), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[22]']
        createRL(
            tech, net, 'm2',
            ((210.11,0.0),(210.11,41.955),(210.37,41.955),(210.37,0.0),(210.11,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(210.24), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(210.24), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[23]']
        createRL(
            tech, net, 'm2',
            ((218.35,0.0),(218.35,41.955),(218.61,41.955),(218.61,0.0),(218.35,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(218.48), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(218.48), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[24]']
        createRL(
            tech, net, 'm2',
            ((226.59,0.0),(226.59,41.955),(226.85,41.955),(226.85,0.0),(226.59,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(226.72), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(226.72), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[25]']
        createRL(
            tech, net, 'm2',
            ((234.83,0.0),(234.83,41.955),(235.09,41.955),(235.09,0.0),(234.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(234.96), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(234.96), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[26]']
        createRL(
            tech, net, 'm2',
            ((243.07,0.0),(243.07,41.955),(243.33,41.955),(243.33,0.0),(243.07,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(243.2), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(243.2), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[27]']
        createRL(
            tech, net, 'm2',
            ((251.31,0.0),(251.31,41.955),(251.57,41.955),(251.57,0.0),(251.31,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(251.44), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(251.44), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[28]']
        createRL(
            tech, net, 'm2',
            ((259.55,0.0),(259.55,41.955),(259.81,41.955),(259.81,0.0),(259.55,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(259.68), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(259.68), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[29]']
        createRL(
            tech, net, 'm2',
            ((267.79,0.0),(267.79,41.955),(268.05,41.955),(268.05,0.0),(267.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(267.92), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(267.92), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[30]']
        createRL(
            tech, net, 'm2',
            ((276.03,0.0),(276.03,41.955),(276.29,41.955),(276.29,0.0),(276.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(276.16), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(276.16), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[31]']
        createRL(
            tech, net, 'm2',
            ((284.27,0.0),(284.27,41.955),(284.53,41.955),(284.53,0.0),(284.27,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(284.4), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(284.4), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[32]']
        createRL(
            tech, net, 'm2',
            ((292.51,0.0),(292.51,41.955),(292.77,41.955),(292.77,0.0),(292.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(292.64), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(292.64), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[33]']
        createRL(
            tech, net, 'm2',
            ((300.75,0.0),(300.75,41.955),(301.01,41.955),(301.01,0.0),(300.75,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(300.88), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(300.88), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[34]']
        createRL(
            tech, net, 'm2',
            ((308.99,0.0),(308.99,41.955),(309.25,41.955),(309.25,0.0),(308.99,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(309.12), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(309.12), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[35]']
        createRL(
            tech, net, 'm2',
            ((317.23,0.0),(317.23,41.955),(317.49,41.955),(317.49,0.0),(317.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(317.36), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(317.36), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[36]']
        createRL(
            tech, net, 'm2',
            ((325.47,0.0),(325.47,41.955),(325.73,41.955),(325.73,0.0),(325.47,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(325.6), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(325.6), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[37]']
        createRL(
            tech, net, 'm2',
            ((333.71,0.0),(333.71,41.955),(333.97,41.955),(333.97,0.0),(333.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(333.84), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(333.84), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[38]']
        createRL(
            tech, net, 'm2',
            ((341.95,0.0),(341.95,41.955),(342.21,41.955),(342.21,0.0),(341.95,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(342.08), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(342.08), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[39]']
        createRL(
            tech, net, 'm2',
            ((350.19,0.0),(350.19,41.955),(350.45,41.955),(350.45,0.0),(350.19,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(350.32), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(350.32), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[40]']
        createRL(
            tech, net, 'm2',
            ((358.43,0.0),(358.43,41.955),(358.69,41.955),(358.69,0.0),(358.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(358.56), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(358.56), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[41]']
        createRL(
            tech, net, 'm2',
            ((366.67,0.0),(366.67,41.955),(366.93,41.955),(366.93,0.0),(366.67,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(366.8), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(366.8), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[42]']
        createRL(
            tech, net, 'm2',
            ((374.91,0.0),(374.91,41.955),(375.17,41.955),(375.17,0.0),(374.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(375.04), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(375.04), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[43]']
        createRL(
            tech, net, 'm2',
            ((383.15,0.0),(383.15,41.955),(383.41,41.955),(383.41,0.0),(383.15,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(383.28), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(383.28), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[44]']
        createRL(
            tech, net, 'm2',
            ((391.39,0.0),(391.39,41.955),(391.65,41.955),(391.65,0.0),(391.39,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(391.52), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(391.52), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[45]']
        createRL(
            tech, net, 'm2',
            ((399.63,0.0),(399.63,41.955),(399.89,41.955),(399.89,0.0),(399.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(399.76), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(399.76), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[46]']
        createRL(
            tech, net, 'm2',
            ((407.87,0.0),(407.87,41.955),(408.13,41.955),(408.13,0.0),(407.87,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(408.0), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(408.0), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[47]']
        createRL(
            tech, net, 'm2',
            ((416.11,0.0),(416.11,41.955),(416.37,41.955),(416.37,0.0),(416.11,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(416.24), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(416.24), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[48]']
        createRL(
            tech, net, 'm2',
            ((424.35,0.0),(424.35,41.955),(424.61,41.955),(424.61,0.0),(424.35,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(424.48), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(424.48), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[49]']
        createRL(
            tech, net, 'm2',
            ((432.59,0.0),(432.59,41.955),(432.85,41.955),(432.85,0.0),(432.59,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(432.72), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(432.72), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[50]']
        createRL(
            tech, net, 'm2',
            ((440.83,0.0),(440.83,41.955),(441.09,41.955),(441.09,0.0),(440.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(440.96), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(440.96), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[51]']
        createRL(
            tech, net, 'm2',
            ((449.07,0.0),(449.07,41.955),(449.33,41.955),(449.33,0.0),(449.07,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(449.2), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(449.2), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[52]']
        createRL(
            tech, net, 'm2',
            ((457.31,0.0),(457.31,41.955),(457.57,41.955),(457.57,0.0),(457.31,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(457.44), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(457.44), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[53]']
        createRL(
            tech, net, 'm2',
            ((465.55,0.0),(465.55,41.955),(465.81,41.955),(465.81,0.0),(465.55,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(465.68), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(465.68), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[54]']
        createRL(
            tech, net, 'm2',
            ((473.79,0.0),(473.79,41.955),(474.05,41.955),(474.05,0.0),(473.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(473.92), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(473.92), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[55]']
        createRL(
            tech, net, 'm2',
            ((482.03,0.0),(482.03,41.955),(482.29,41.955),(482.29,0.0),(482.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(482.16), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(482.16), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[56]']
        createRL(
            tech, net, 'm2',
            ((490.27,0.0),(490.27,41.955),(490.53,41.955),(490.53,0.0),(490.27,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(490.4), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(490.4), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[57]']
        createRL(
            tech, net, 'm2',
            ((498.51,0.0),(498.51,41.955),(498.77,41.955),(498.77,0.0),(498.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(498.64), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(498.64), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[58]']
        createRL(
            tech, net, 'm2',
            ((506.75,0.0),(506.75,41.955),(507.01,41.955),(507.01,0.0),(506.75,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(506.88), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(506.88), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[59]']
        createRL(
            tech, net, 'm2',
            ((514.99,0.0),(514.99,41.955),(515.25,41.955),(515.25,0.0),(514.99,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(515.12), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(515.12), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[60]']
        createRL(
            tech, net, 'm2',
            ((523.23,0.0),(523.23,41.955),(523.49,41.955),(523.49,0.0),(523.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(523.36), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(523.36), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[61]']
        createRL(
            tech, net, 'm2',
            ((531.47,0.0),(531.47,41.955),(531.73,41.955),(531.73,0.0),(531.47,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(531.6), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(531.6), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[62]']
        createRL(
            tech, net, 'm2',
            ((539.71,0.0),(539.71,41.955),(539.97,41.955),(539.97,0.0),(539.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(539.84), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(539.84), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[63]']
        createRL(
            tech, net, 'm2',
            ((547.95,0.0),(547.95,41.955),(548.21,41.955),(548.21,0.0),(547.95,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(548.08), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(548.08), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[0]']
        createRL(
            tech, net, 'm2',
            ((31.83,0.0),(31.83,11.955),(32.09,11.955),(32.09,0.0),(31.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(31.96), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(31.96), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[1]']
        createRL(
            tech, net, 'm2',
            ((32.34,0.0),(32.34,21.955),(32.6,21.955),(32.6,0.0),(32.34,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(32.47), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(32.47), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[2]']
        createRL(
            tech, net, 'm2',
            ((48.31,0.0),(48.31,11.955),(48.57,11.955),(48.57,0.0),(48.31,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(48.44), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(48.44), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[3]']
        createRL(
            tech, net, 'm2',
            ((48.82,0.0),(48.82,21.955),(49.08,21.955),(49.08,0.0),(48.82,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(48.95), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(48.95), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[4]']
        createRL(
            tech, net, 'm2',
            ((64.79,0.0),(64.79,11.955),(65.05,11.955),(65.05,0.0),(64.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(64.92), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(64.92), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[5]']
        createRL(
            tech, net, 'm2',
            ((65.3,0.0),(65.3,21.955),(65.56,21.955),(65.56,0.0),(65.3,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(65.43), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(65.43), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[6]']
        createRL(
            tech, net, 'm2',
            ((81.27,0.0),(81.27,11.955),(81.53,11.955),(81.53,0.0),(81.27,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(81.4), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(81.4), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[7]']
        createRL(
            tech, net, 'm2',
            ((81.78,0.0),(81.78,21.955),(82.04,21.955),(82.04,0.0),(81.78,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(81.91), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(81.91), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[8]']
        createRL(
            tech, net, 'm2',
            ((97.75,0.0),(97.75,11.955),(98.01,11.955),(98.01,0.0),(97.75,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(97.88), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(97.88), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[9]']
        createRL(
            tech, net, 'm2',
            ((98.26,0.0),(98.26,21.955),(98.52,21.955),(98.52,0.0),(98.26,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(98.39), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(98.39), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[10]']
        createRL(
            tech, net, 'm2',
            ((114.23,0.0),(114.23,11.955),(114.49,11.955),(114.49,0.0),(114.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(114.36), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(114.36), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[11]']
        createRL(
            tech, net, 'm2',
            ((114.74,0.0),(114.74,21.955),(115.0,21.955),(115.0,0.0),(114.74,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(114.87), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(114.87), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[12]']
        createRL(
            tech, net, 'm2',
            ((130.71,0.0),(130.71,11.955),(130.97,11.955),(130.97,0.0),(130.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(130.84), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(130.84), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[13]']
        createRL(
            tech, net, 'm2',
            ((131.22,0.0),(131.22,21.955),(131.48,21.955),(131.48,0.0),(131.22,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(131.35), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(131.35), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[14]']
        createRL(
            tech, net, 'm2',
            ((147.19,0.0),(147.19,11.955),(147.45,11.955),(147.45,0.0),(147.19,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(147.32), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(147.32), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[15]']
        createRL(
            tech, net, 'm2',
            ((147.7,0.0),(147.7,21.955),(147.96,21.955),(147.96,0.0),(147.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(147.83), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(147.83), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[16]']
        createRL(
            tech, net, 'm2',
            ((163.67,0.0),(163.67,11.955),(163.93,11.955),(163.93,0.0),(163.67,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(163.8), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(163.8), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[17]']
        createRL(
            tech, net, 'm2',
            ((164.18,0.0),(164.18,21.955),(164.44,21.955),(164.44,0.0),(164.18,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(164.31), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(164.31), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[18]']
        createRL(
            tech, net, 'm2',
            ((180.15,0.0),(180.15,11.955),(180.41,11.955),(180.41,0.0),(180.15,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(180.28), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(180.28), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[19]']
        createRL(
            tech, net, 'm2',
            ((180.66,0.0),(180.66,21.955),(180.92,21.955),(180.92,0.0),(180.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(180.79), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(180.79), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[20]']
        createRL(
            tech, net, 'm2',
            ((196.63,0.0),(196.63,11.955),(196.89,11.955),(196.89,0.0),(196.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(196.76), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(196.76), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[21]']
        createRL(
            tech, net, 'm2',
            ((197.14,0.0),(197.14,21.955),(197.4,21.955),(197.4,0.0),(197.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(197.27), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(197.27), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[22]']
        createRL(
            tech, net, 'm2',
            ((213.11,0.0),(213.11,11.955),(213.37,11.955),(213.37,0.0),(213.11,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(213.24), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(213.24), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[23]']
        createRL(
            tech, net, 'm2',
            ((213.62,0.0),(213.62,21.955),(213.88,21.955),(213.88,0.0),(213.62,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(213.75), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(213.75), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[24]']
        createRL(
            tech, net, 'm2',
            ((229.59,0.0),(229.59,11.955),(229.85,11.955),(229.85,0.0),(229.59,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(229.72), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(229.72), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[25]']
        createRL(
            tech, net, 'm2',
            ((230.1,0.0),(230.1,21.955),(230.36,21.955),(230.36,0.0),(230.1,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(230.23), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(230.23), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[26]']
        createRL(
            tech, net, 'm2',
            ((246.07,0.0),(246.07,11.955),(246.33,11.955),(246.33,0.0),(246.07,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(246.2), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(246.2), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[27]']
        createRL(
            tech, net, 'm2',
            ((246.58,0.0),(246.58,21.955),(246.84,21.955),(246.84,0.0),(246.58,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(246.71), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(246.71), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[28]']
        createRL(
            tech, net, 'm2',
            ((262.55,0.0),(262.55,11.955),(262.81,11.955),(262.81,0.0),(262.55,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(262.68), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(262.68), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[29]']
        createRL(
            tech, net, 'm2',
            ((263.06,0.0),(263.06,21.955),(263.32,21.955),(263.32,0.0),(263.06,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(263.19), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(263.19), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[30]']
        createRL(
            tech, net, 'm2',
            ((279.03,0.0),(279.03,11.955),(279.29,11.955),(279.29,0.0),(279.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(279.16), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(279.16), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[31]']
        createRL(
            tech, net, 'm2',
            ((279.54,0.0),(279.54,21.955),(279.8,21.955),(279.8,0.0),(279.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(279.67), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(279.67), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[32]']
        createRL(
            tech, net, 'm2',
            ((295.51,0.0),(295.51,11.955),(295.77,11.955),(295.77,0.0),(295.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(295.64), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(295.64), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[33]']
        createRL(
            tech, net, 'm2',
            ((296.02,0.0),(296.02,21.955),(296.28,21.955),(296.28,0.0),(296.02,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(296.15), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(296.15), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[34]']
        createRL(
            tech, net, 'm2',
            ((311.99,0.0),(311.99,11.955),(312.25,11.955),(312.25,0.0),(311.99,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(312.12), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(312.12), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[35]']
        createRL(
            tech, net, 'm2',
            ((312.5,0.0),(312.5,21.955),(312.76,21.955),(312.76,0.0),(312.5,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(312.63), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(312.63), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[36]']
        createRL(
            tech, net, 'm2',
            ((328.47,0.0),(328.47,11.955),(328.73,11.955),(328.73,0.0),(328.47,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(328.6), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(328.6), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[37]']
        createRL(
            tech, net, 'm2',
            ((328.98,0.0),(328.98,21.955),(329.24,21.955),(329.24,0.0),(328.98,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(329.11), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(329.11), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[38]']
        createRL(
            tech, net, 'm2',
            ((344.95,0.0),(344.95,11.955),(345.21,11.955),(345.21,0.0),(344.95,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(345.08), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(345.08), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[39]']
        createRL(
            tech, net, 'm2',
            ((345.46,0.0),(345.46,21.955),(345.72,21.955),(345.72,0.0),(345.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(345.59), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(345.59), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[40]']
        createRL(
            tech, net, 'm2',
            ((361.43,0.0),(361.43,11.955),(361.69,11.955),(361.69,0.0),(361.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(361.56), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(361.56), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[41]']
        createRL(
            tech, net, 'm2',
            ((361.94,0.0),(361.94,21.955),(362.2,21.955),(362.2,0.0),(361.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(362.07), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(362.07), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[42]']
        createRL(
            tech, net, 'm2',
            ((377.91,0.0),(377.91,11.955),(378.17,11.955),(378.17,0.0),(377.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(378.04), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(378.04), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[43]']
        createRL(
            tech, net, 'm2',
            ((378.42,0.0),(378.42,21.955),(378.68,21.955),(378.68,0.0),(378.42,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(378.55), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(378.55), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[44]']
        createRL(
            tech, net, 'm2',
            ((394.39,0.0),(394.39,11.955),(394.65,11.955),(394.65,0.0),(394.39,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(394.52), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(394.52), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[45]']
        createRL(
            tech, net, 'm2',
            ((394.9,0.0),(394.9,21.955),(395.16,21.955),(395.16,0.0),(394.9,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(395.03), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(395.03), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[46]']
        createRL(
            tech, net, 'm2',
            ((410.87,0.0),(410.87,11.955),(411.13,11.955),(411.13,0.0),(410.87,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(411.0), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(411.0), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[47]']
        createRL(
            tech, net, 'm2',
            ((411.38,0.0),(411.38,21.955),(411.64,21.955),(411.64,0.0),(411.38,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(411.51), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(411.51), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[48]']
        createRL(
            tech, net, 'm2',
            ((427.35,0.0),(427.35,11.955),(427.61,11.955),(427.61,0.0),(427.35,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(427.48), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(427.48), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[49]']
        createRL(
            tech, net, 'm2',
            ((427.86,0.0),(427.86,21.955),(428.12,21.955),(428.12,0.0),(427.86,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(427.99), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(427.99), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[50]']
        createRL(
            tech, net, 'm2',
            ((443.83,0.0),(443.83,11.955),(444.09,11.955),(444.09,0.0),(443.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(443.96), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(443.96), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[51]']
        createRL(
            tech, net, 'm2',
            ((444.34,0.0),(444.34,21.955),(444.6,21.955),(444.6,0.0),(444.34,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(444.47), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(444.47), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[52]']
        createRL(
            tech, net, 'm2',
            ((460.31,0.0),(460.31,11.955),(460.57,11.955),(460.57,0.0),(460.31,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(460.44), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(460.44), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[53]']
        createRL(
            tech, net, 'm2',
            ((460.82,0.0),(460.82,21.955),(461.08,21.955),(461.08,0.0),(460.82,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(460.95), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(460.95), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[54]']
        createRL(
            tech, net, 'm2',
            ((476.79,0.0),(476.79,11.955),(477.05,11.955),(477.05,0.0),(476.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(476.92), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(476.92), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[55]']
        createRL(
            tech, net, 'm2',
            ((477.3,0.0),(477.3,21.955),(477.56,21.955),(477.56,0.0),(477.3,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(477.43), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(477.43), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[56]']
        createRL(
            tech, net, 'm2',
            ((493.27,0.0),(493.27,11.955),(493.53,11.955),(493.53,0.0),(493.27,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(493.4), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(493.4), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[57]']
        createRL(
            tech, net, 'm2',
            ((493.78,0.0),(493.78,21.955),(494.04,21.955),(494.04,0.0),(493.78,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(493.91), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(493.91), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[58]']
        createRL(
            tech, net, 'm2',
            ((509.75,0.0),(509.75,11.955),(510.01,11.955),(510.01,0.0),(509.75,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(509.88), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(509.88), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[59]']
        createRL(
            tech, net, 'm2',
            ((510.26,0.0),(510.26,21.955),(510.52,21.955),(510.52,0.0),(510.26,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(510.39), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(510.39), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[60]']
        createRL(
            tech, net, 'm2',
            ((526.23,0.0),(526.23,11.955),(526.49,11.955),(526.49,0.0),(526.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(526.36), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(526.36), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[61]']
        createRL(
            tech, net, 'm2',
            ((526.74,0.0),(526.74,21.955),(527.0,21.955),(527.0,0.0),(526.74,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(526.87), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(526.87), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[62]']
        createRL(
            tech, net, 'm2',
            ((542.71,0.0),(542.71,11.955),(542.97,11.955),(542.97,0.0),(542.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(542.84), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(542.84), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[63]']
        createRL(
            tech, net, 'm2',
            ((543.22,0.0),(543.22,21.955),(543.48,21.955),(543.48,0.0),(543.22,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(543.35), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(543.35), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we[0]']
        createRL(
            tech, net, 'm2',
            ((34.83,0.0),(34.83,1.955),(35.09,1.955),(35.09,0.0),(34.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(34.96), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(34.96), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we[1]']
        createRL(
            tech, net, 'm2',
            ((100.75,0.0),(100.75,1.955),(101.01,1.955),(101.01,0.0),(100.75,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(100.88), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(100.88), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we[2]']
        createRL(
            tech, net, 'm2',
            ((166.67,0.0),(166.67,1.955),(166.93,1.955),(166.93,0.0),(166.67,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(166.8), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(166.8), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we[3]']
        createRL(
            tech, net, 'm2',
            ((232.59,0.0),(232.59,1.955),(232.85,1.955),(232.85,0.0),(232.59,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(232.72), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(232.72), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we[4]']
        createRL(
            tech, net, 'm2',
            ((298.51,0.0),(298.51,1.955),(298.77,1.955),(298.77,0.0),(298.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(298.64), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(298.64), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we[5]']
        createRL(
            tech, net, 'm2',
            ((364.43,0.0),(364.43,1.955),(364.69,1.955),(364.69,0.0),(364.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(364.56), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(364.56), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we[6]']
        createRL(
            tech, net, 'm2',
            ((430.35,0.0),(430.35,1.955),(430.61,1.955),(430.61,0.0),(430.35,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(430.48), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(430.48), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we[7]']
        createRL(
            tech, net, 'm2',
            ((496.27,0.0),(496.27,1.955),(496.53,1.955),(496.53,0.0),(496.27,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(496.4), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(496.4), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,410.565),(554.82,410.565),(554.82,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['a[0]'].setDirection(Net.Direction.IN)
        nets['a[1]'].setDirection(Net.Direction.IN)
        nets['a[2]'].setDirection(Net.Direction.IN)
        nets['a[3]'].setDirection(Net.Direction.IN)
        nets['a[4]'].setDirection(Net.Direction.IN)
        nets['a[5]'].setDirection(Net.Direction.IN)
        nets['a[6]'].setDirection(Net.Direction.IN)
        nets['a[7]'].setDirection(Net.Direction.IN)
        nets['a[8]'].setDirection(Net.Direction.IN)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['q[0]'].setDirection(Net.Direction.IN)
        nets['q[1]'].setDirection(Net.Direction.IN)
        nets['q[2]'].setDirection(Net.Direction.IN)
        nets['q[3]'].setDirection(Net.Direction.IN)
        nets['q[4]'].setDirection(Net.Direction.IN)
        nets['q[5]'].setDirection(Net.Direction.IN)
        nets['q[6]'].setDirection(Net.Direction.IN)
        nets['q[7]'].setDirection(Net.Direction.IN)
        nets['q[8]'].setDirection(Net.Direction.IN)
        nets['q[9]'].setDirection(Net.Direction.IN)
        nets['q[10]'].setDirection(Net.Direction.IN)
        nets['q[11]'].setDirection(Net.Direction.IN)
        nets['q[12]'].setDirection(Net.Direction.IN)
        nets['q[13]'].setDirection(Net.Direction.IN)
        nets['q[14]'].setDirection(Net.Direction.IN)
        nets['q[15]'].setDirection(Net.Direction.IN)
        nets['q[16]'].setDirection(Net.Direction.IN)
        nets['q[17]'].setDirection(Net.Direction.IN)
        nets['q[18]'].setDirection(Net.Direction.IN)
        nets['q[19]'].setDirection(Net.Direction.IN)
        nets['q[20]'].setDirection(Net.Direction.IN)
        nets['q[21]'].setDirection(Net.Direction.IN)
        nets['q[22]'].setDirection(Net.Direction.IN)
        nets['q[23]'].setDirection(Net.Direction.IN)
        nets['q[24]'].setDirection(Net.Direction.IN)
        nets['q[25]'].setDirection(Net.Direction.IN)
        nets['q[26]'].setDirection(Net.Direction.IN)
        nets['q[27]'].setDirection(Net.Direction.IN)
        nets['q[28]'].setDirection(Net.Direction.IN)
        nets['q[29]'].setDirection(Net.Direction.IN)
        nets['q[30]'].setDirection(Net.Direction.IN)
        nets['q[31]'].setDirection(Net.Direction.IN)
        nets['q[32]'].setDirection(Net.Direction.IN)
        nets['q[33]'].setDirection(Net.Direction.IN)
        nets['q[34]'].setDirection(Net.Direction.IN)
        nets['q[35]'].setDirection(Net.Direction.IN)
        nets['q[36]'].setDirection(Net.Direction.IN)
        nets['q[37]'].setDirection(Net.Direction.IN)
        nets['q[38]'].setDirection(Net.Direction.IN)
        nets['q[39]'].setDirection(Net.Direction.IN)
        nets['q[40]'].setDirection(Net.Direction.IN)
        nets['q[41]'].setDirection(Net.Direction.IN)
        nets['q[42]'].setDirection(Net.Direction.IN)
        nets['q[43]'].setDirection(Net.Direction.IN)
        nets['q[44]'].setDirection(Net.Direction.IN)
        nets['q[45]'].setDirection(Net.Direction.IN)
        nets['q[46]'].setDirection(Net.Direction.IN)
        nets['q[47]'].setDirection(Net.Direction.IN)
        nets['q[48]'].setDirection(Net.Direction.IN)
        nets['q[49]'].setDirection(Net.Direction.IN)
        nets['q[50]'].setDirection(Net.Direction.IN)
        nets['q[51]'].setDirection(Net.Direction.IN)
        nets['q[52]'].setDirection(Net.Direction.IN)
        nets['q[53]'].setDirection(Net.Direction.IN)
        nets['q[54]'].setDirection(Net.Direction.IN)
        nets['q[55]'].setDirection(Net.Direction.IN)
        nets['q[56]'].setDirection(Net.Direction.IN)
        nets['q[57]'].setDirection(Net.Direction.IN)
        nets['q[58]'].setDirection(Net.Direction.IN)
        nets['q[59]'].setDirection(Net.Direction.IN)
        nets['q[60]'].setDirection(Net.Direction.IN)
        nets['q[61]'].setDirection(Net.Direction.IN)
        nets['q[62]'].setDirection(Net.Direction.IN)
        nets['q[63]'].setDirection(Net.Direction.IN)
        nets['d[0]'].setDirection(Net.Direction.IN)
        nets['d[1]'].setDirection(Net.Direction.IN)
        nets['d[2]'].setDirection(Net.Direction.IN)
        nets['d[3]'].setDirection(Net.Direction.IN)
        nets['d[4]'].setDirection(Net.Direction.IN)
        nets['d[5]'].setDirection(Net.Direction.IN)
        nets['d[6]'].setDirection(Net.Direction.IN)
        nets['d[7]'].setDirection(Net.Direction.IN)
        nets['d[8]'].setDirection(Net.Direction.IN)
        nets['d[9]'].setDirection(Net.Direction.IN)
        nets['d[10]'].setDirection(Net.Direction.IN)
        nets['d[11]'].setDirection(Net.Direction.IN)
        nets['d[12]'].setDirection(Net.Direction.IN)
        nets['d[13]'].setDirection(Net.Direction.IN)
        nets['d[14]'].setDirection(Net.Direction.IN)
        nets['d[15]'].setDirection(Net.Direction.IN)
        nets['d[16]'].setDirection(Net.Direction.IN)
        nets['d[17]'].setDirection(Net.Direction.IN)
        nets['d[18]'].setDirection(Net.Direction.IN)
        nets['d[19]'].setDirection(Net.Direction.IN)
        nets['d[20]'].setDirection(Net.Direction.IN)
        nets['d[21]'].setDirection(Net.Direction.IN)
        nets['d[22]'].setDirection(Net.Direction.IN)
        nets['d[23]'].setDirection(Net.Direction.IN)
        nets['d[24]'].setDirection(Net.Direction.IN)
        nets['d[25]'].setDirection(Net.Direction.IN)
        nets['d[26]'].setDirection(Net.Direction.IN)
        nets['d[27]'].setDirection(Net.Direction.IN)
        nets['d[28]'].setDirection(Net.Direction.IN)
        nets['d[29]'].setDirection(Net.Direction.IN)
        nets['d[30]'].setDirection(Net.Direction.IN)
        nets['d[31]'].setDirection(Net.Direction.IN)
        nets['d[32]'].setDirection(Net.Direction.IN)
        nets['d[33]'].setDirection(Net.Direction.IN)
        nets['d[34]'].setDirection(Net.Direction.IN)
        nets['d[35]'].setDirection(Net.Direction.IN)
        nets['d[36]'].setDirection(Net.Direction.IN)
        nets['d[37]'].setDirection(Net.Direction.IN)
        nets['d[38]'].setDirection(Net.Direction.IN)
        nets['d[39]'].setDirection(Net.Direction.IN)
        nets['d[40]'].setDirection(Net.Direction.IN)
        nets['d[41]'].setDirection(Net.Direction.IN)
        nets['d[42]'].setDirection(Net.Direction.IN)
        nets['d[43]'].setDirection(Net.Direction.IN)
        nets['d[44]'].setDirection(Net.Direction.IN)
        nets['d[45]'].setDirection(Net.Direction.IN)
        nets['d[46]'].setDirection(Net.Direction.IN)
        nets['d[47]'].setDirection(Net.Direction.IN)
        nets['d[48]'].setDirection(Net.Direction.IN)
        nets['d[49]'].setDirection(Net.Direction.IN)
        nets['d[50]'].setDirection(Net.Direction.IN)
        nets['d[51]'].setDirection(Net.Direction.IN)
        nets['d[52]'].setDirection(Net.Direction.IN)
        nets['d[53]'].setDirection(Net.Direction.IN)
        nets['d[54]'].setDirection(Net.Direction.IN)
        nets['d[55]'].setDirection(Net.Direction.IN)
        nets['d[56]'].setDirection(Net.Direction.IN)
        nets['d[57]'].setDirection(Net.Direction.IN)
        nets['d[58]'].setDirection(Net.Direction.IN)
        nets['d[59]'].setDirection(Net.Direction.IN)
        nets['d[60]'].setDirection(Net.Direction.IN)
        nets['d[61]'].setDirection(Net.Direction.IN)
        nets['d[62]'].setDirection(Net.Direction.IN)
        nets['d[63]'].setDirection(Net.Direction.IN)
        nets['we[0]'].setDirection(Net.Direction.IN)
        nets['we[1]'].setDirection(Net.Direction.IN)
        nets['we[2]'].setDirection(Net.Direction.IN)
        nets['we[3]'].setDirection(Net.Direction.IN)
        nets['we[4]'].setDirection(Net.Direction.IN)
        nets['we[5]'].setDirection(Net.Direction.IN)
        nets['we[6]'].setDirection(Net.Direction.IN)
        nets['we[7]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TRowPeriphery_3_4_2']
        except:
            subcell = af.getCell('SP6TRowPeriphery_3_4_2', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'rowperiph', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TColumnBlock_128R64B4M8W']
        except:
            subcell = af.getCell('SP6TColumnBlock_128R64B4M8W', 0)
        trans = Transformation(
            u(27.459999999999994), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'columnblock', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TRowPeriphery_3_4_2']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(27.459999999999994), u(410.565),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'a[0]': Net.create(cell, 'a[0]'),
            'a[1]': Net.create(cell, 'a[1]'),
            'a[2]': Net.create(cell, 'a[2]'),
            'a[3]': Net.create(cell, 'a[3]'),
            'a[4]': Net.create(cell, 'a[4]'),
            'a[5]': Net.create(cell, 'a[5]'),
            'a[6]': Net.create(cell, 'a[6]'),
            'a[7]': Net.create(cell, 'a[7]'),
            'a[8]': Net.create(cell, 'a[8]'),
            'clk': Net.create(cell, 'clk'),
            'columnclk': Net.create(cell, 'columnclk'),
            'decodeclk': Net.create(cell, 'decodeclk'),
            'mux[0]': Net.create(cell, 'mux[0]'),
            'mux[1]': Net.create(cell, 'mux[1]'),
            'mux[2]': Net.create(cell, 'mux[2]'),
            'mux[3]': Net.create(cell, 'mux[3]'),
            'precharge_n': Net.create(cell, 'precharge_n'),
            'we_en': Net.create(cell, 'we_en'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[100]': Net.create(cell, 'wl[100]'),
            'wl[101]': Net.create(cell, 'wl[101]'),
            'wl[102]': Net.create(cell, 'wl[102]'),
            'wl[103]': Net.create(cell, 'wl[103]'),
            'wl[104]': Net.create(cell, 'wl[104]'),
            'wl[105]': Net.create(cell, 'wl[105]'),
            'wl[106]': Net.create(cell, 'wl[106]'),
            'wl[107]': Net.create(cell, 'wl[107]'),
            'wl[108]': Net.create(cell, 'wl[108]'),
            'wl[109]': Net.create(cell, 'wl[109]'),
            'wl[10]': Net.create(cell, 'wl[10]'),
            'wl[110]': Net.create(cell, 'wl[110]'),
            'wl[111]': Net.create(cell, 'wl[111]'),
            'wl[112]': Net.create(cell, 'wl[112]'),
            'wl[113]': Net.create(cell, 'wl[113]'),
            'wl[114]': Net.create(cell, 'wl[114]'),
            'wl[115]': Net.create(cell, 'wl[115]'),
            'wl[116]': Net.create(cell, 'wl[116]'),
            'wl[117]': Net.create(cell, 'wl[117]'),
            'wl[118]': Net.create(cell, 'wl[118]'),
            'wl[119]': Net.create(cell, 'wl[119]'),
            'wl[11]': Net.create(cell, 'wl[11]'),
            'wl[120]': Net.create(cell, 'wl[120]'),
            'wl[121]': Net.create(cell, 'wl[121]'),
            'wl[122]': Net.create(cell, 'wl[122]'),
            'wl[123]': Net.create(cell, 'wl[123]'),
            'wl[124]': Net.create(cell, 'wl[124]'),
            'wl[125]': Net.create(cell, 'wl[125]'),
            'wl[126]': Net.create(cell, 'wl[126]'),
            'wl[127]': Net.create(cell, 'wl[127]'),
            'wl[12]': Net.create(cell, 'wl[12]'),
            'wl[13]': Net.create(cell, 'wl[13]'),
            'wl[14]': Net.create(cell, 'wl[14]'),
            'wl[15]': Net.create(cell, 'wl[15]'),
            'wl[16]': Net.create(cell, 'wl[16]'),
            'wl[17]': Net.create(cell, 'wl[17]'),
            'wl[18]': Net.create(cell, 'wl[18]'),
            'wl[19]': Net.create(cell, 'wl[19]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[20]': Net.create(cell, 'wl[20]'),
            'wl[21]': Net.create(cell, 'wl[21]'),
            'wl[22]': Net.create(cell, 'wl[22]'),
            'wl[23]': Net.create(cell, 'wl[23]'),
            'wl[24]': Net.create(cell, 'wl[24]'),
            'wl[25]': Net.create(cell, 'wl[25]'),
            'wl[26]': Net.create(cell, 'wl[26]'),
            'wl[27]': Net.create(cell, 'wl[27]'),
            'wl[28]': Net.create(cell, 'wl[28]'),
            'wl[29]': Net.create(cell, 'wl[29]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[30]': Net.create(cell, 'wl[30]'),
            'wl[31]': Net.create(cell, 'wl[31]'),
            'wl[32]': Net.create(cell, 'wl[32]'),
            'wl[33]': Net.create(cell, 'wl[33]'),
            'wl[34]': Net.create(cell, 'wl[34]'),
            'wl[35]': Net.create(cell, 'wl[35]'),
            'wl[36]': Net.create(cell, 'wl[36]'),
            'wl[37]': Net.create(cell, 'wl[37]'),
            'wl[38]': Net.create(cell, 'wl[38]'),
            'wl[39]': Net.create(cell, 'wl[39]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
            'wl[40]': Net.create(cell, 'wl[40]'),
            'wl[41]': Net.create(cell, 'wl[41]'),
            'wl[42]': Net.create(cell, 'wl[42]'),
            'wl[43]': Net.create(cell, 'wl[43]'),
            'wl[44]': Net.create(cell, 'wl[44]'),
            'wl[45]': Net.create(cell, 'wl[45]'),
            'wl[46]': Net.create(cell, 'wl[46]'),
            'wl[47]': Net.create(cell, 'wl[47]'),
            'wl[48]': Net.create(cell, 'wl[48]'),
            'wl[49]': Net.create(cell, 'wl[49]'),
            'wl[4]': Net.create(cell, 'wl[4]'),
            'wl[50]': Net.create(cell, 'wl[50]'),
            'wl[51]': Net.create(cell, 'wl[51]'),
            'wl[52]': Net.create(cell, 'wl[52]'),
            'wl[53]': Net.create(cell, 'wl[53]'),
            'wl[54]': Net.create(cell, 'wl[54]'),
            'wl[55]': Net.create(cell, 'wl[55]'),
            'wl[56]': Net.create(cell, 'wl[56]'),
            'wl[57]': Net.create(cell, 'wl[57]'),
            'wl[58]': Net.create(cell, 'wl[58]'),
            'wl[59]': Net.create(cell, 'wl[59]'),
            'wl[5]': Net.create(cell, 'wl[5]'),
            'wl[60]': Net.create(cell, 'wl[60]'),
            'wl[61]': Net.create(cell, 'wl[61]'),
            'wl[62]': Net.create(cell, 'wl[62]'),
            'wl[63]': Net.create(cell, 'wl[63]'),
            'wl[64]': Net.create(cell, 'wl[64]'),
            'wl[65]': Net.create(cell, 'wl[65]'),
            'wl[66]': Net.create(cell, 'wl[66]'),
            'wl[67]': Net.create(cell, 'wl[67]'),
            'wl[68]': Net.create(cell, 'wl[68]'),
            'wl[69]': Net.create(cell, 'wl[69]'),
            'wl[6]': Net.create(cell, 'wl[6]'),
            'wl[70]': Net.create(cell, 'wl[70]'),
            'wl[71]': Net.create(cell, 'wl[71]'),
            'wl[72]': Net.create(cell, 'wl[72]'),
            'wl[73]': Net.create(cell, 'wl[73]'),
            'wl[74]': Net.create(cell, 'wl[74]'),
            'wl[75]': Net.create(cell, 'wl[75]'),
            'wl[76]': Net.create(cell, 'wl[76]'),
            'wl[77]': Net.create(cell, 'wl[77]'),
            'wl[78]': Net.create(cell, 'wl[78]'),
            'wl[79]': Net.create(cell, 'wl[79]'),
            'wl[7]': Net.create(cell, 'wl[7]'),
            'wl[80]': Net.create(cell, 'wl[80]'),
            'wl[81]': Net.create(cell, 'wl[81]'),
            'wl[82]': Net.create(cell, 'wl[82]'),
            'wl[83]': Net.create(cell, 'wl[83]'),
            'wl[84]': Net.create(cell, 'wl[84]'),
            'wl[85]': Net.create(cell, 'wl[85]'),
            'wl[86]': Net.create(cell, 'wl[86]'),
            'wl[87]': Net.create(cell, 'wl[87]'),
            'wl[88]': Net.create(cell, 'wl[88]'),
            'wl[89]': Net.create(cell, 'wl[89]'),
            'wl[8]': Net.create(cell, 'wl[8]'),
            'wl[90]': Net.create(cell, 'wl[90]'),
            'wl[91]': Net.create(cell, 'wl[91]'),
            'wl[92]': Net.create(cell, 'wl[92]'),
            'wl[93]': Net.create(cell, 'wl[93]'),
            'wl[94]': Net.create(cell, 'wl[94]'),
            'wl[95]': Net.create(cell, 'wl[95]'),
            'wl[96]': Net.create(cell, 'wl[96]'),
            'wl[97]': Net.create(cell, 'wl[97]'),
            'wl[98]': Net.create(cell, 'wl[98]'),
            'wl[99]': Net.create(cell, 'wl[99]'),
            'wl[9]': Net.create(cell, 'wl[9]'),
            'wl_en': Net.create(cell, 'wl_en'),
        }
        net = nets['a[0]']
        createRL(
            tech, net, 'li',
            ((1.37,43.46),(1.37,43.63),(1.54,43.63),(1.54,43.46),(1.37,43.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.37,43.46),(1.37,43.63),(1.54,43.63),(1.54,43.46),(1.37,43.46)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,43.4),(0.0,43.69),(1.57,43.69),(1.57,43.4),(0.0,43.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(43.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(43.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[1]']
        createRL(
            tech, net, 'li',
            ((1.37,52.46),(1.37,52.63),(1.54,52.63),(1.54,52.46),(1.37,52.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.37,52.46),(1.37,52.63),(1.54,52.63),(1.54,52.46),(1.37,52.46)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,52.4),(0.0,52.69),(1.57,52.69),(1.57,52.4),(0.0,52.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(52.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(52.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[2]']
        createRL(
            tech, net, 'm1',
            ((0.0,67.4),(0.0,67.69),(1.57,67.69),(1.57,67.4),(0.0,67.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(67.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(67.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[3]']
        createRL(
            tech, net, 'm1',
            ((0.0,84.4),(0.0,84.69),(1.57,84.69),(1.57,84.4),(0.0,84.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(84.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(84.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[4]']
        createRL(
            tech, net, 'm1',
            ((0.0,101.4),(0.0,101.69),(1.57,101.69),(1.57,101.4),(0.0,101.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(101.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(101.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[5]']
        createRL(
            tech, net, 'm1',
            ((0.0,118.4),(0.0,118.69),(1.57,118.69),(1.57,118.4),(0.0,118.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(118.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(118.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[6]']
        createRL(
            tech, net, 'm1',
            ((0.0,135.4),(0.0,135.69),(1.57,135.69),(1.57,135.4),(0.0,135.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(135.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(135.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[7]']
        createRL(
            tech, net, 'm1',
            ((0.0,152.4),(0.0,152.69),(1.57,152.69),(1.57,152.4),(0.0,152.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(152.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(152.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[8]']
        createRL(
            tech, net, 'm1',
            ((0.0,169.4),(0.0,169.69),(1.57,169.69),(1.57,169.4),(0.0,169.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(169.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(169.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk']
        createRL(
            tech, net, 'm1',
            ((8.04,5.19),(8.04,5.74),(12.89,5.74),(12.89,5.19),(8.04,5.19)),
        )
        createRL(
            tech, net, 'via',
            ((8.15,5.39),(8.15,5.54),(8.3,5.54),(8.3,5.39),(8.15,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((8.47,5.39),(8.47,5.54),(8.62,5.54),(8.62,5.39),(8.47,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((8.79,5.39),(8.79,5.54),(8.94,5.54),(8.94,5.39),(8.79,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((9.11,5.39),(9.11,5.54),(9.26,5.54),(9.26,5.39),(9.11,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((9.43,5.39),(9.43,5.54),(9.58,5.54),(9.58,5.39),(9.43,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((9.75,5.39),(9.75,5.54),(9.9,5.54),(9.9,5.39),(9.75,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((10.07,5.39),(10.07,5.54),(10.22,5.54),(10.22,5.39),(10.07,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((10.39,5.39),(10.39,5.54),(10.54,5.54),(10.54,5.39),(10.39,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((10.71,5.39),(10.71,5.54),(10.86,5.54),(10.86,5.39),(10.71,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((11.03,5.39),(11.03,5.54),(11.18,5.54),(11.18,5.39),(11.03,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((11.35,5.39),(11.35,5.54),(11.5,5.54),(11.5,5.39),(11.35,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((11.67,5.39),(11.67,5.54),(11.82,5.54),(11.82,5.39),(11.67,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((11.99,5.39),(11.99,5.54),(12.14,5.54),(12.14,5.39),(11.99,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((12.31,5.39),(12.31,5.54),(12.46,5.54),(12.46,5.39),(12.31,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((12.63,5.39),(12.63,5.54),(12.78,5.54),(12.78,5.39),(12.63,5.39)),
        )
        createRL(
            tech, net, 'm2',
            ((8.095,0.0),(8.095,5.625),(12.835,5.625),(12.835,0.0),(8.095,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(10.465), u(4.74), u(0.0), u(5.625),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(10.465), u(4.74), u(0.0), u(5.625),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['decodeclk']
        createRL(
            tech, net, 'li',
            ((1.77,26.405),(1.77,26.575),(1.94,26.575),(1.94,26.405),(1.77,26.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.77,26.405),(1.77,26.575),(1.94,26.575),(1.94,26.405),(1.77,26.405)),
        )
        createRL(
            tech, net, 'm1',
            ((1.725,26.345),(1.725,166.545),(1.985,166.545),(1.985,49.545),(5.325,49.545),(5.325,46.545),(1.985,46.545),(1.985,26.345),(1.725,26.345)),
        )
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((26.9,64.77),(26.9,65.03),(27.46,65.03),(27.46,64.77),(26.9,64.77)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(64.9), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(64.9), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((26.9,66.49),(26.9,66.75),(27.46,66.75),(27.46,66.49),(26.9,66.49)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(66.62), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(66.62), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((26.9,70.2),(26.9,70.46),(27.46,70.46),(27.46,70.2),(26.9,70.2)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(70.33), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(70.33), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((26.9,71.92),(26.9,72.18),(27.46,72.18),(27.46,71.92),(26.9,71.92)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.05), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.05), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[4]']
        createRL(
            tech, net, 'm2',
            ((26.9,75.63),(26.9,75.89),(27.46,75.89),(27.46,75.63),(26.9,75.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(75.76), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(75.76), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[5]']
        createRL(
            tech, net, 'm2',
            ((26.9,77.35),(26.9,77.61),(27.46,77.61),(27.46,77.35),(26.9,77.35)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(77.48), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(77.48), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[6]']
        createRL(
            tech, net, 'm2',
            ((26.9,81.06),(26.9,81.32),(27.46,81.32),(27.46,81.06),(26.9,81.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(81.19), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(81.19), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[7]']
        createRL(
            tech, net, 'm2',
            ((26.9,82.78),(26.9,83.04),(27.46,83.04),(27.46,82.78),(26.9,82.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(82.91), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(82.91), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[8]']
        createRL(
            tech, net, 'm2',
            ((26.9,86.49),(26.9,86.75),(27.46,86.75),(27.46,86.49),(26.9,86.49)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(86.62), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(86.62), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[9]']
        createRL(
            tech, net, 'm2',
            ((26.9,88.21),(26.9,88.47),(27.46,88.47),(27.46,88.21),(26.9,88.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(88.34), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(88.34), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[10]']
        createRL(
            tech, net, 'm2',
            ((26.9,91.92),(26.9,92.18),(27.46,92.18),(27.46,91.92),(26.9,91.92)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(92.05), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(92.05), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[11]']
        createRL(
            tech, net, 'm2',
            ((26.9,93.64),(26.9,93.9),(27.46,93.9),(27.46,93.64),(26.9,93.64)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(93.77), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(93.77), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[12]']
        createRL(
            tech, net, 'm2',
            ((26.9,97.35),(26.9,97.61),(27.46,97.61),(27.46,97.35),(26.9,97.35)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(97.48), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(97.48), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[13]']
        createRL(
            tech, net, 'm2',
            ((26.9,99.07),(26.9,99.33),(27.46,99.33),(27.46,99.07),(26.9,99.07)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(99.2), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(99.2), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[14]']
        createRL(
            tech, net, 'm2',
            ((26.9,102.78),(26.9,103.04),(27.46,103.04),(27.46,102.78),(26.9,102.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(102.91), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(102.91), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[15]']
        createRL(
            tech, net, 'm2',
            ((26.9,104.5),(26.9,104.76),(27.46,104.76),(27.46,104.5),(26.9,104.5)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(104.63), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(104.63), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[16]']
        createRL(
            tech, net, 'm2',
            ((26.9,108.21),(26.9,108.47),(27.46,108.47),(27.46,108.21),(26.9,108.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(108.34), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(108.34), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[17]']
        createRL(
            tech, net, 'm2',
            ((26.9,109.93),(26.9,110.19),(27.46,110.19),(27.46,109.93),(26.9,109.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(110.06), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(110.06), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[18]']
        createRL(
            tech, net, 'm2',
            ((26.9,113.64),(26.9,113.9),(27.46,113.9),(27.46,113.64),(26.9,113.64)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(113.77), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(113.77), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[19]']
        createRL(
            tech, net, 'm2',
            ((26.9,115.36),(26.9,115.62),(27.46,115.62),(27.46,115.36),(26.9,115.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(115.49), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(115.49), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[20]']
        createRL(
            tech, net, 'm2',
            ((26.9,119.07),(26.9,119.33),(27.46,119.33),(27.46,119.07),(26.9,119.07)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(119.2), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(119.2), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[21]']
        createRL(
            tech, net, 'm2',
            ((26.9,120.79),(26.9,121.05),(27.46,121.05),(27.46,120.79),(26.9,120.79)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(120.92), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(120.92), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[22]']
        createRL(
            tech, net, 'm2',
            ((26.9,124.5),(26.9,124.76),(27.46,124.76),(27.46,124.5),(26.9,124.5)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(124.63), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(124.63), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[23]']
        createRL(
            tech, net, 'm2',
            ((26.9,126.22),(26.9,126.48),(27.46,126.48),(27.46,126.22),(26.9,126.22)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(126.35), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(126.35), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[24]']
        createRL(
            tech, net, 'm2',
            ((26.9,129.93),(26.9,130.19),(27.46,130.19),(27.46,129.93),(26.9,129.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(130.06), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(130.06), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[25]']
        createRL(
            tech, net, 'm2',
            ((26.9,131.65),(26.9,131.91),(27.46,131.91),(27.46,131.65),(26.9,131.65)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(131.78), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(131.78), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[26]']
        createRL(
            tech, net, 'm2',
            ((26.9,135.36),(26.9,135.62),(27.46,135.62),(27.46,135.36),(26.9,135.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(135.49), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(135.49), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[27]']
        createRL(
            tech, net, 'm2',
            ((26.9,137.08),(26.9,137.34),(27.46,137.34),(27.46,137.08),(26.9,137.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(137.21), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(137.21), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[28]']
        createRL(
            tech, net, 'm2',
            ((26.9,140.79),(26.9,141.05),(27.46,141.05),(27.46,140.79),(26.9,140.79)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(140.92), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(140.92), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[29]']
        createRL(
            tech, net, 'm2',
            ((26.9,142.51),(26.9,142.77),(27.46,142.77),(27.46,142.51),(26.9,142.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(142.64), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(142.64), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[30]']
        createRL(
            tech, net, 'm2',
            ((26.9,146.22),(26.9,146.48),(27.46,146.48),(27.46,146.22),(26.9,146.22)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(146.35), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(146.35), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[31]']
        createRL(
            tech, net, 'm2',
            ((26.9,147.94),(26.9,148.2),(27.46,148.2),(27.46,147.94),(26.9,147.94)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(148.07), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(148.07), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[32]']
        createRL(
            tech, net, 'm2',
            ((26.9,151.65),(26.9,151.91),(27.46,151.91),(27.46,151.65),(26.9,151.65)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(151.78), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(151.78), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[33]']
        createRL(
            tech, net, 'm2',
            ((26.9,153.37),(26.9,153.63),(27.46,153.63),(27.46,153.37),(26.9,153.37)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(153.5), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(153.5), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[34]']
        createRL(
            tech, net, 'm2',
            ((26.9,157.08),(26.9,157.34),(27.46,157.34),(27.46,157.08),(26.9,157.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(157.21), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(157.21), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[35]']
        createRL(
            tech, net, 'm2',
            ((26.9,158.8),(26.9,159.06),(27.46,159.06),(27.46,158.8),(26.9,158.8)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(158.93), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(158.93), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[36]']
        createRL(
            tech, net, 'm2',
            ((26.9,162.51),(26.9,162.77),(27.46,162.77),(27.46,162.51),(26.9,162.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(162.64), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(162.64), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[37]']
        createRL(
            tech, net, 'm2',
            ((26.9,164.23),(26.9,164.49),(27.46,164.49),(27.46,164.23),(26.9,164.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(164.36), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(164.36), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[38]']
        createRL(
            tech, net, 'm2',
            ((26.9,167.94),(26.9,168.2),(27.46,168.2),(27.46,167.94),(26.9,167.94)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(168.07), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(168.07), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[39]']
        createRL(
            tech, net, 'm2',
            ((26.9,169.66),(26.9,169.92),(27.46,169.92),(27.46,169.66),(26.9,169.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(169.79), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(169.79), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[40]']
        createRL(
            tech, net, 'm2',
            ((26.9,173.37),(26.9,173.63),(27.46,173.63),(27.46,173.37),(26.9,173.37)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(173.5), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(173.5), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[41]']
        createRL(
            tech, net, 'm2',
            ((26.9,175.09),(26.9,175.35),(27.46,175.35),(27.46,175.09),(26.9,175.09)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(175.22), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(175.22), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[42]']
        createRL(
            tech, net, 'm2',
            ((26.9,178.8),(26.9,179.06),(27.46,179.06),(27.46,178.8),(26.9,178.8)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(178.93), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(178.93), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[43]']
        createRL(
            tech, net, 'm2',
            ((26.9,180.52),(26.9,180.78),(27.46,180.78),(27.46,180.52),(26.9,180.52)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(180.65), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(180.65), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[44]']
        createRL(
            tech, net, 'm2',
            ((26.9,184.23),(26.9,184.49),(27.46,184.49),(27.46,184.23),(26.9,184.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(184.36), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(184.36), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[45]']
        createRL(
            tech, net, 'm2',
            ((26.9,185.95),(26.9,186.21),(27.46,186.21),(27.46,185.95),(26.9,185.95)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(186.08), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(186.08), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[46]']
        createRL(
            tech, net, 'm2',
            ((26.9,189.66),(26.9,189.92),(27.46,189.92),(27.46,189.66),(26.9,189.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(189.79), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(189.79), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[47]']
        createRL(
            tech, net, 'm2',
            ((26.9,191.38),(26.9,191.64),(27.46,191.64),(27.46,191.38),(26.9,191.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(191.51), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(191.51), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[48]']
        createRL(
            tech, net, 'm2',
            ((26.9,195.09),(26.9,195.35),(27.46,195.35),(27.46,195.09),(26.9,195.09)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(195.22), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(195.22), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[49]']
        createRL(
            tech, net, 'm2',
            ((26.9,196.81),(26.9,197.07),(27.46,197.07),(27.46,196.81),(26.9,196.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(196.94), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(196.94), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[50]']
        createRL(
            tech, net, 'm2',
            ((26.9,200.52),(26.9,200.78),(27.46,200.78),(27.46,200.52),(26.9,200.52)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(200.65), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(200.65), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[51]']
        createRL(
            tech, net, 'm2',
            ((26.9,202.24),(26.9,202.5),(27.46,202.5),(27.46,202.24),(26.9,202.24)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(202.37), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(202.37), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[52]']
        createRL(
            tech, net, 'm2',
            ((26.9,205.95),(26.9,206.21),(27.46,206.21),(27.46,205.95),(26.9,205.95)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(206.08), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(206.08), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[53]']
        createRL(
            tech, net, 'm2',
            ((26.9,207.67),(26.9,207.93),(27.46,207.93),(27.46,207.67),(26.9,207.67)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(207.8), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(207.8), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[54]']
        createRL(
            tech, net, 'm2',
            ((26.9,211.38),(26.9,211.64),(27.46,211.64),(27.46,211.38),(26.9,211.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(211.51), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(211.51), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[55]']
        createRL(
            tech, net, 'm2',
            ((26.9,213.1),(26.9,213.36),(27.46,213.36),(27.46,213.1),(26.9,213.1)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(213.23), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(213.23), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[56]']
        createRL(
            tech, net, 'm2',
            ((26.9,216.81),(26.9,217.07),(27.46,217.07),(27.46,216.81),(26.9,216.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(216.94), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(216.94), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[57]']
        createRL(
            tech, net, 'm2',
            ((26.9,218.53),(26.9,218.79),(27.46,218.79),(27.46,218.53),(26.9,218.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(218.66), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(218.66), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[58]']
        createRL(
            tech, net, 'm2',
            ((26.9,222.24),(26.9,222.5),(27.46,222.5),(27.46,222.24),(26.9,222.24)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(222.37), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(222.37), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[59]']
        createRL(
            tech, net, 'm2',
            ((26.9,223.96),(26.9,224.22),(27.46,224.22),(27.46,223.96),(26.9,223.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(224.09), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(224.09), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[60]']
        createRL(
            tech, net, 'm2',
            ((26.9,227.67),(26.9,227.93),(27.46,227.93),(27.46,227.67),(26.9,227.67)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(227.8), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(227.8), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[61]']
        createRL(
            tech, net, 'm2',
            ((26.9,229.39),(26.9,229.65),(27.46,229.65),(27.46,229.39),(26.9,229.39)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(229.52), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(229.52), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[62]']
        createRL(
            tech, net, 'm2',
            ((26.9,233.1),(26.9,233.36),(27.46,233.36),(27.46,233.1),(26.9,233.1)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(233.23), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(233.23), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[63]']
        createRL(
            tech, net, 'm2',
            ((26.9,234.82),(26.9,235.08),(27.46,235.08),(27.46,234.82),(26.9,234.82)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(234.95), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(234.95), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[64]']
        createRL(
            tech, net, 'm2',
            ((26.9,238.53),(26.9,238.79),(27.46,238.79),(27.46,238.53),(26.9,238.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(238.66), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(238.66), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[65]']
        createRL(
            tech, net, 'm2',
            ((26.9,240.25),(26.9,240.51),(27.46,240.51),(27.46,240.25),(26.9,240.25)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(240.38), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(240.38), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[66]']
        createRL(
            tech, net, 'm2',
            ((26.9,243.96),(26.9,244.22),(27.46,244.22),(27.46,243.96),(26.9,243.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(244.09), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(244.09), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[67]']
        createRL(
            tech, net, 'm2',
            ((26.9,245.68),(26.9,245.94),(27.46,245.94),(27.46,245.68),(26.9,245.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(245.81), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(245.81), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[68]']
        createRL(
            tech, net, 'm2',
            ((26.9,249.39),(26.9,249.65),(27.46,249.65),(27.46,249.39),(26.9,249.39)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(249.52), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(249.52), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[69]']
        createRL(
            tech, net, 'm2',
            ((26.9,251.11),(26.9,251.37),(27.46,251.37),(27.46,251.11),(26.9,251.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(251.24), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(251.24), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[70]']
        createRL(
            tech, net, 'm2',
            ((26.9,254.82),(26.9,255.08),(27.46,255.08),(27.46,254.82),(26.9,254.82)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(254.95), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(254.95), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[71]']
        createRL(
            tech, net, 'm2',
            ((26.9,256.54),(26.9,256.8),(27.46,256.8),(27.46,256.54),(26.9,256.54)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(256.67), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(256.67), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[72]']
        createRL(
            tech, net, 'm2',
            ((26.9,260.25),(26.9,260.51),(27.46,260.51),(27.46,260.25),(26.9,260.25)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(260.38), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(260.38), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[73]']
        createRL(
            tech, net, 'm2',
            ((26.9,261.97),(26.9,262.23),(27.46,262.23),(27.46,261.97),(26.9,261.97)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(262.1), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(262.1), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[74]']
        createRL(
            tech, net, 'm2',
            ((26.9,265.68),(26.9,265.94),(27.46,265.94),(27.46,265.68),(26.9,265.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(265.81), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(265.81), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[75]']
        createRL(
            tech, net, 'm2',
            ((26.9,267.4),(26.9,267.66),(27.46,267.66),(27.46,267.4),(26.9,267.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(267.53), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(267.53), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[76]']
        createRL(
            tech, net, 'm2',
            ((26.9,271.11),(26.9,271.37),(27.46,271.37),(27.46,271.11),(26.9,271.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(271.24), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(271.24), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[77]']
        createRL(
            tech, net, 'm2',
            ((26.9,272.83),(26.9,273.09),(27.46,273.09),(27.46,272.83),(26.9,272.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(272.96), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(272.96), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[78]']
        createRL(
            tech, net, 'm2',
            ((26.9,276.54),(26.9,276.8),(27.46,276.8),(27.46,276.54),(26.9,276.54)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(276.67), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(276.67), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[79]']
        createRL(
            tech, net, 'm2',
            ((26.9,278.26),(26.9,278.52),(27.46,278.52),(27.46,278.26),(26.9,278.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(278.39), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(278.39), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[80]']
        createRL(
            tech, net, 'm2',
            ((26.9,281.97),(26.9,282.23),(27.46,282.23),(27.46,281.97),(26.9,281.97)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(282.1), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(282.1), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[81]']
        createRL(
            tech, net, 'm2',
            ((26.9,283.69),(26.9,283.95),(27.46,283.95),(27.46,283.69),(26.9,283.69)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(283.82), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(283.82), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[82]']
        createRL(
            tech, net, 'm2',
            ((26.9,287.4),(26.9,287.66),(27.46,287.66),(27.46,287.4),(26.9,287.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(287.53), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(287.53), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[83]']
        createRL(
            tech, net, 'm2',
            ((26.9,289.12),(26.9,289.38),(27.46,289.38),(27.46,289.12),(26.9,289.12)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(289.25), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(289.25), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[84]']
        createRL(
            tech, net, 'm2',
            ((26.9,292.83),(26.9,293.09),(27.46,293.09),(27.46,292.83),(26.9,292.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(292.96), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(292.96), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[85]']
        createRL(
            tech, net, 'm2',
            ((26.9,294.55),(26.9,294.81),(27.46,294.81),(27.46,294.55),(26.9,294.55)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(294.68), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(294.68), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[86]']
        createRL(
            tech, net, 'm2',
            ((26.9,298.26),(26.9,298.52),(27.46,298.52),(27.46,298.26),(26.9,298.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(298.39), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(298.39), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[87]']
        createRL(
            tech, net, 'm2',
            ((26.9,299.98),(26.9,300.24),(27.46,300.24),(27.46,299.98),(26.9,299.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(300.11), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(300.11), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[88]']
        createRL(
            tech, net, 'm2',
            ((26.9,303.69),(26.9,303.95),(27.46,303.95),(27.46,303.69),(26.9,303.69)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(303.82), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(303.82), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[89]']
        createRL(
            tech, net, 'm2',
            ((26.9,305.41),(26.9,305.67),(27.46,305.67),(27.46,305.41),(26.9,305.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(305.54), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(305.54), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[90]']
        createRL(
            tech, net, 'm2',
            ((26.9,309.12),(26.9,309.38),(27.46,309.38),(27.46,309.12),(26.9,309.12)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(309.25), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(309.25), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[91]']
        createRL(
            tech, net, 'm2',
            ((26.9,310.84),(26.9,311.1),(27.46,311.1),(27.46,310.84),(26.9,310.84)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(310.97), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(310.97), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[92]']
        createRL(
            tech, net, 'm2',
            ((26.9,314.55),(26.9,314.81),(27.46,314.81),(27.46,314.55),(26.9,314.55)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(314.68), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(314.68), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[93]']
        createRL(
            tech, net, 'm2',
            ((26.9,316.27),(26.9,316.53),(27.46,316.53),(27.46,316.27),(26.9,316.27)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(316.4), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(316.4), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[94]']
        createRL(
            tech, net, 'm2',
            ((26.9,319.98),(26.9,320.24),(27.46,320.24),(27.46,319.98),(26.9,319.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(320.11), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(320.11), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[95]']
        createRL(
            tech, net, 'm2',
            ((26.9,321.7),(26.9,321.96),(27.46,321.96),(27.46,321.7),(26.9,321.7)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(321.83), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(321.83), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[96]']
        createRL(
            tech, net, 'm2',
            ((26.9,325.41),(26.9,325.67),(27.46,325.67),(27.46,325.41),(26.9,325.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(325.54), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(325.54), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[97]']
        createRL(
            tech, net, 'm2',
            ((26.9,327.13),(26.9,327.39),(27.46,327.39),(27.46,327.13),(26.9,327.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(327.26), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(327.26), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[98]']
        createRL(
            tech, net, 'm2',
            ((26.9,330.84),(26.9,331.1),(27.46,331.1),(27.46,330.84),(26.9,330.84)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(330.97), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(330.97), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[99]']
        createRL(
            tech, net, 'm2',
            ((26.9,332.56),(26.9,332.82),(27.46,332.82),(27.46,332.56),(26.9,332.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(332.69), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(332.69), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[100]']
        createRL(
            tech, net, 'm2',
            ((26.9,336.27),(26.9,336.53),(27.46,336.53),(27.46,336.27),(26.9,336.27)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(336.4), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(336.4), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[101]']
        createRL(
            tech, net, 'm2',
            ((26.9,337.99),(26.9,338.25),(27.46,338.25),(27.46,337.99),(26.9,337.99)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(338.12), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(338.12), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[102]']
        createRL(
            tech, net, 'm2',
            ((26.9,341.7),(26.9,341.96),(27.46,341.96),(27.46,341.7),(26.9,341.7)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(341.83), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(341.83), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[103]']
        createRL(
            tech, net, 'm2',
            ((26.9,343.42),(26.9,343.68),(27.46,343.68),(27.46,343.42),(26.9,343.42)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(343.55), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(343.55), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[104]']
        createRL(
            tech, net, 'm2',
            ((26.9,347.13),(26.9,347.39),(27.46,347.39),(27.46,347.13),(26.9,347.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(347.26), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(347.26), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[105]']
        createRL(
            tech, net, 'm2',
            ((26.9,348.85),(26.9,349.11),(27.46,349.11),(27.46,348.85),(26.9,348.85)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(348.98), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(348.98), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[106]']
        createRL(
            tech, net, 'm2',
            ((26.9,352.56),(26.9,352.82),(27.46,352.82),(27.46,352.56),(26.9,352.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(352.69), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(352.69), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[107]']
        createRL(
            tech, net, 'm2',
            ((26.9,354.28),(26.9,354.54),(27.46,354.54),(27.46,354.28),(26.9,354.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(354.41), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(354.41), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[108]']
        createRL(
            tech, net, 'm2',
            ((26.9,357.99),(26.9,358.25),(27.46,358.25),(27.46,357.99),(26.9,357.99)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(358.12), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(358.12), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[109]']
        createRL(
            tech, net, 'm2',
            ((26.9,359.71),(26.9,359.97),(27.46,359.97),(27.46,359.71),(26.9,359.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(359.84), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(359.84), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[110]']
        createRL(
            tech, net, 'm2',
            ((26.9,363.42),(26.9,363.68),(27.46,363.68),(27.46,363.42),(26.9,363.42)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(363.55), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(363.55), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[111]']
        createRL(
            tech, net, 'm2',
            ((26.9,365.14),(26.9,365.4),(27.46,365.4),(27.46,365.14),(26.9,365.14)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(365.27), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(365.27), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[112]']
        createRL(
            tech, net, 'm2',
            ((26.9,368.85),(26.9,369.11),(27.46,369.11),(27.46,368.85),(26.9,368.85)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(368.98), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(368.98), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[113]']
        createRL(
            tech, net, 'm2',
            ((26.9,370.57),(26.9,370.83),(27.46,370.83),(27.46,370.57),(26.9,370.57)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(370.7), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(370.7), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[114]']
        createRL(
            tech, net, 'm2',
            ((26.9,374.28),(26.9,374.54),(27.46,374.54),(27.46,374.28),(26.9,374.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(374.41), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(374.41), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[115]']
        createRL(
            tech, net, 'm2',
            ((26.9,376.0),(26.9,376.26),(27.46,376.26),(27.46,376.0),(26.9,376.0)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(376.13), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(376.13), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[116]']
        createRL(
            tech, net, 'm2',
            ((26.9,379.71),(26.9,379.97),(27.46,379.97),(27.46,379.71),(26.9,379.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(379.84), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(379.84), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[117]']
        createRL(
            tech, net, 'm2',
            ((26.9,381.43),(26.9,381.69),(27.46,381.69),(27.46,381.43),(26.9,381.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(381.56), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(381.56), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[118]']
        createRL(
            tech, net, 'm2',
            ((26.9,385.14),(26.9,385.4),(27.46,385.4),(27.46,385.14),(26.9,385.14)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(385.27), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(385.27), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[119]']
        createRL(
            tech, net, 'm2',
            ((26.9,386.86),(26.9,387.12),(27.46,387.12),(27.46,386.86),(26.9,386.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(386.99), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(386.99), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[120]']
        createRL(
            tech, net, 'm2',
            ((26.9,390.57),(26.9,390.83),(27.46,390.83),(27.46,390.57),(26.9,390.57)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(390.7), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(390.7), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[121]']
        createRL(
            tech, net, 'm2',
            ((26.9,392.29),(26.9,392.55),(27.46,392.55),(27.46,392.29),(26.9,392.29)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(392.42), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(392.42), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[122]']
        createRL(
            tech, net, 'm2',
            ((26.9,396.0),(26.9,396.26),(27.46,396.26),(27.46,396.0),(26.9,396.0)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(396.13), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(396.13), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[123]']
        createRL(
            tech, net, 'm2',
            ((26.9,397.72),(26.9,397.98),(27.46,397.98),(27.46,397.72),(26.9,397.72)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(397.85), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(397.85), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[124]']
        createRL(
            tech, net, 'm2',
            ((26.9,401.43),(26.9,401.69),(27.46,401.69),(27.46,401.43),(26.9,401.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(401.56), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(401.56), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[125]']
        createRL(
            tech, net, 'm2',
            ((26.9,403.15),(26.9,403.41),(27.46,403.41),(27.46,403.15),(26.9,403.15)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(403.28), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(403.28), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[126]']
        createRL(
            tech, net, 'm2',
            ((26.9,406.86),(26.9,407.12),(27.46,407.12),(27.46,406.86),(26.9,406.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(406.99), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(406.99), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[127]']
        createRL(
            tech, net, 'm2',
            ((26.9,408.58),(26.9,408.84),(27.46,408.84),(27.46,408.58),(26.9,408.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(408.71), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(408.71), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['columnclk']
        createRL(
            tech, net, 'li',
            ((18.1,26.405),(18.1,26.575),(18.63,26.575),(18.63,26.405),(18.1,26.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,26.405),(18.1,26.575),(18.27,26.575),(18.27,26.405),(18.1,26.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,26.405),(18.46,26.575),(18.63,26.575),(18.63,26.405),(18.46,26.405)),
        )
        createRL(
            tech, net, 'm1',
            ((18.07,2.1),(18.07,26.635),(18.66,26.635),(18.66,2.75),(27.46,2.75),(27.46,2.1),(18.07,2.1)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(2.425), u(0.65), u(18.07), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(2.425), u(0.65), u(18.07), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_en']
        createRL(
            tech, net, 'li',
            ((18.1,29.405),(18.1,29.575),(18.63,29.575),(18.63,29.405),(18.1,29.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,29.405),(18.1,29.575),(18.27,29.575),(18.27,29.405),(18.1,29.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,29.405),(18.46,29.575),(18.63,29.575),(18.63,29.405),(18.46,29.405)),
        )
        createRL(
            tech, net, 'm1',
            ((18.94,3.03),(18.94,29.345),(18.07,29.345),(18.07,29.635),(19.59,29.635),(19.59,3.68),(27.46,3.68),(27.46,3.03),(18.94,3.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(3.355), u(0.65), u(18.940000000000005), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(3.355), u(0.65), u(18.940000000000005), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[3]']
        createRL(
            tech, net, 'li',
            ((18.1,49.89),(18.1,50.06),(18.63,50.06),(18.63,49.89),(18.1,49.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,49.89),(18.1,50.06),(18.27,50.06),(18.27,49.89),(18.1,49.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,49.89),(18.46,50.06),(18.63,50.06),(18.63,49.89),(18.46,49.89)),
        )
        createRL(
            tech, net, 'm1',
            ((18.04,49.86),(18.04,51.97),(27.46,51.97),(27.46,51.71),(18.69,51.71),(18.69,49.86),(18.04,49.86)),
        )
        createRL(
            tech, net, 'via',
            ((26.905,51.765),(26.905,51.915),(27.055,51.915),(27.055,51.765),(26.905,51.765)),
        )
        createRL(
            tech, net, 'via',
            ((27.225,51.765),(27.225,51.915),(27.375,51.915),(27.375,51.765),(27.225,51.765)),
        )
        createRL(
            tech, net, 'm2',
            ((26.82,51.71),(26.82,51.97),(27.46,51.97),(27.46,51.71),(26.82,51.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.84), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.84), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[2]']
        createRL(
            tech, net, 'li',
            ((18.1,45.89),(18.1,46.06),(18.63,46.06),(18.63,45.89),(18.1,45.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,45.89),(18.1,46.06),(18.27,46.06),(18.27,45.89),(18.1,45.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,45.89),(18.46,46.06),(18.63,46.06),(18.63,45.89),(18.46,45.89)),
        )
        createRL(
            tech, net, 'm1',
            ((18.04,45.86),(18.04,46.09),(18.97,46.09),(18.97,51.51),(27.46,51.51),(27.46,51.25),(19.23,51.25),(19.23,45.86),(18.04,45.86)),
        )
        createRL(
            tech, net, 'via',
            ((26.905,51.305),(26.905,51.455),(27.055,51.455),(27.055,51.305),(26.905,51.305)),
        )
        createRL(
            tech, net, 'via',
            ((27.225,51.305),(27.225,51.455),(27.375,51.455),(27.375,51.305),(27.225,51.305)),
        )
        createRL(
            tech, net, 'm2',
            ((26.82,51.25),(26.82,51.51),(27.46,51.51),(27.46,51.25),(26.82,51.25)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.38), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.38), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[1]']
        createRL(
            tech, net, 'li',
            ((18.1,41.89),(18.1,42.06),(18.63,42.06),(18.63,41.89),(18.1,41.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,41.89),(18.1,42.06),(18.27,42.06),(18.27,41.89),(18.1,41.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,41.89),(18.46,42.06),(18.63,42.06),(18.63,41.89),(18.46,41.89)),
        )
        createRL(
            tech, net, 'm1',
            ((18.04,41.86),(18.04,42.09),(19.51,42.09),(19.51,51.05),(27.46,51.05),(27.46,50.79),(19.77,50.79),(19.77,41.86),(18.04,41.86)),
        )
        createRL(
            tech, net, 'via',
            ((26.905,50.845),(26.905,50.995),(27.055,50.995),(27.055,50.845),(26.905,50.845)),
        )
        createRL(
            tech, net, 'via',
            ((27.225,50.845),(27.225,50.995),(27.375,50.995),(27.375,50.845),(27.225,50.845)),
        )
        createRL(
            tech, net, 'm2',
            ((26.82,50.79),(26.82,51.05),(27.46,51.05),(27.46,50.79),(26.82,50.79)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.92), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.92), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[0]']
        createRL(
            tech, net, 'li',
            ((18.1,37.89),(18.1,38.06),(18.63,38.06),(18.63,37.89),(18.1,37.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,37.89),(18.1,38.06),(18.27,38.06),(18.27,37.89),(18.1,37.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,37.89),(18.46,38.06),(18.63,38.06),(18.63,37.89),(18.46,37.89)),
        )
        createRL(
            tech, net, 'm1',
            ((18.04,37.86),(18.04,38.09),(20.05,38.09),(20.05,50.59),(27.46,50.59),(27.46,50.33),(20.31,50.33),(20.31,37.86),(18.04,37.86)),
        )
        createRL(
            tech, net, 'via',
            ((26.905,50.385),(26.905,50.535),(27.055,50.535),(27.055,50.385),(26.905,50.385)),
        )
        createRL(
            tech, net, 'via',
            ((27.225,50.385),(27.225,50.535),(27.375,50.535),(27.375,50.385),(27.225,50.385)),
        )
        createRL(
            tech, net, 'm2',
            ((26.82,50.33),(26.82,50.59),(27.46,50.59),(27.46,50.33),(26.82,50.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.46), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.46), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['precharge_n']
        createRL(
            tech, net, 'li',
            ((18.1,31.89),(18.1,32.06),(18.63,32.06),(18.63,31.89),(18.1,31.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,31.89),(18.1,32.06),(18.27,32.06),(18.27,31.89),(18.1,31.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,31.89),(18.46,32.06),(18.63,32.06),(18.63,31.89),(18.46,31.89)),
        )
        createRL(
            tech, net, 'm1',
            ((26.28,31.655),(26.28,31.86),(18.04,31.86),(18.04,32.09),(26.28,32.09),(26.28,32.295),(26.54,32.295),(26.54,31.655),(26.28,31.655)),
        )
        createRL(
            tech, net, 'via',
            ((26.335,31.74),(26.335,31.89),(26.485,31.89),(26.485,31.74),(26.335,31.74)),
        )
        createRL(
            tech, net, 'via',
            ((26.335,32.06),(26.335,32.21),(26.485,32.21),(26.485,32.06),(26.335,32.06)),
        )
        createRL(
            tech, net, 'm2',
            ((26.28,31.655),(26.28,62.04),(27.46,62.04),(27.46,61.78),(26.54,61.78),(26.54,31.655),(26.28,31.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(61.91), u(0.26), u(26.279999999999994), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(61.91), u(0.26), u(26.279999999999994), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_en']
        createRL(
            tech, net, 'li',
            ((8.1,29.405),(8.1,29.575),(8.63,29.575),(8.63,29.405),(8.1,29.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.1,29.405),(8.1,29.575),(8.27,29.575),(8.27,29.405),(8.1,29.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.46,29.405),(8.46,29.575),(8.63,29.575),(8.63,29.405),(8.46,29.405)),
        )
        createRL(
            tech, net, 'm1',
            ((22.9,61.845),(22.9,63.045),(23.16,63.045),(23.16,61.845),(22.9,61.845)),
        )
        createRL(
            tech, net, 'm1',
            ((8.045,29.36),(8.045,29.375),(8.04,29.375),(8.04,29.605),(8.045,29.605),(8.045,29.62),(8.685,29.62),(8.685,29.605),(8.69,29.605),(8.69,29.375),(8.685,29.375),(8.685,29.36),(8.045,29.36)),
        )
        createRL(
            tech, net, 'via',
            ((8.13,29.415),(8.13,29.565),(8.28,29.565),(8.28,29.415),(8.13,29.415)),
        )
        createRL(
            tech, net, 'via',
            ((8.45,29.415),(8.45,29.565),(8.6,29.565),(8.6,29.415),(8.45,29.415)),
        )
        createRL(
            tech, net, 'via',
            ((22.955,61.93),(22.955,62.08),(23.105,62.08),(23.105,61.93),(22.955,61.93)),
        )
        createRL(
            tech, net, 'via',
            ((22.955,62.25),(22.955,62.4),(23.105,62.4),(23.105,62.25),(22.955,62.25)),
        )
        createRL(
            tech, net, 'm2',
            ((8.045,29.36),(8.045,29.62),(22.9,29.62),(22.9,62.485),(23.16,62.485),(23.16,29.36),(8.045,29.36)),
        )
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,410.565),(27.46,410.565),(27.46,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['a[0]'].setDirection(Net.Direction.IN)
        nets['a[1]'].setDirection(Net.Direction.IN)
        nets['a[2]'].setDirection(Net.Direction.IN)
        nets['a[3]'].setDirection(Net.Direction.IN)
        nets['a[4]'].setDirection(Net.Direction.IN)
        nets['a[5]'].setDirection(Net.Direction.IN)
        nets['a[6]'].setDirection(Net.Direction.IN)
        nets['a[7]'].setDirection(Net.Direction.IN)
        nets['a[8]'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['wl[4]'].setDirection(Net.Direction.IN)
        nets['wl[5]'].setDirection(Net.Direction.IN)
        nets['wl[6]'].setDirection(Net.Direction.IN)
        nets['wl[7]'].setDirection(Net.Direction.IN)
        nets['wl[8]'].setDirection(Net.Direction.IN)
        nets['wl[9]'].setDirection(Net.Direction.IN)
        nets['wl[10]'].setDirection(Net.Direction.IN)
        nets['wl[11]'].setDirection(Net.Direction.IN)
        nets['wl[12]'].setDirection(Net.Direction.IN)
        nets['wl[13]'].setDirection(Net.Direction.IN)
        nets['wl[14]'].setDirection(Net.Direction.IN)
        nets['wl[15]'].setDirection(Net.Direction.IN)
        nets['wl[16]'].setDirection(Net.Direction.IN)
        nets['wl[17]'].setDirection(Net.Direction.IN)
        nets['wl[18]'].setDirection(Net.Direction.IN)
        nets['wl[19]'].setDirection(Net.Direction.IN)
        nets['wl[20]'].setDirection(Net.Direction.IN)
        nets['wl[21]'].setDirection(Net.Direction.IN)
        nets['wl[22]'].setDirection(Net.Direction.IN)
        nets['wl[23]'].setDirection(Net.Direction.IN)
        nets['wl[24]'].setDirection(Net.Direction.IN)
        nets['wl[25]'].setDirection(Net.Direction.IN)
        nets['wl[26]'].setDirection(Net.Direction.IN)
        nets['wl[27]'].setDirection(Net.Direction.IN)
        nets['wl[28]'].setDirection(Net.Direction.IN)
        nets['wl[29]'].setDirection(Net.Direction.IN)
        nets['wl[30]'].setDirection(Net.Direction.IN)
        nets['wl[31]'].setDirection(Net.Direction.IN)
        nets['wl[32]'].setDirection(Net.Direction.IN)
        nets['wl[33]'].setDirection(Net.Direction.IN)
        nets['wl[34]'].setDirection(Net.Direction.IN)
        nets['wl[35]'].setDirection(Net.Direction.IN)
        nets['wl[36]'].setDirection(Net.Direction.IN)
        nets['wl[37]'].setDirection(Net.Direction.IN)
        nets['wl[38]'].setDirection(Net.Direction.IN)
        nets['wl[39]'].setDirection(Net.Direction.IN)
        nets['wl[40]'].setDirection(Net.Direction.IN)
        nets['wl[41]'].setDirection(Net.Direction.IN)
        nets['wl[42]'].setDirection(Net.Direction.IN)
        nets['wl[43]'].setDirection(Net.Direction.IN)
        nets['wl[44]'].setDirection(Net.Direction.IN)
        nets['wl[45]'].setDirection(Net.Direction.IN)
        nets['wl[46]'].setDirection(Net.Direction.IN)
        nets['wl[47]'].setDirection(Net.Direction.IN)
        nets['wl[48]'].setDirection(Net.Direction.IN)
        nets['wl[49]'].setDirection(Net.Direction.IN)
        nets['wl[50]'].setDirection(Net.Direction.IN)
        nets['wl[51]'].setDirection(Net.Direction.IN)
        nets['wl[52]'].setDirection(Net.Direction.IN)
        nets['wl[53]'].setDirection(Net.Direction.IN)
        nets['wl[54]'].setDirection(Net.Direction.IN)
        nets['wl[55]'].setDirection(Net.Direction.IN)
        nets['wl[56]'].setDirection(Net.Direction.IN)
        nets['wl[57]'].setDirection(Net.Direction.IN)
        nets['wl[58]'].setDirection(Net.Direction.IN)
        nets['wl[59]'].setDirection(Net.Direction.IN)
        nets['wl[60]'].setDirection(Net.Direction.IN)
        nets['wl[61]'].setDirection(Net.Direction.IN)
        nets['wl[62]'].setDirection(Net.Direction.IN)
        nets['wl[63]'].setDirection(Net.Direction.IN)
        nets['wl[64]'].setDirection(Net.Direction.IN)
        nets['wl[65]'].setDirection(Net.Direction.IN)
        nets['wl[66]'].setDirection(Net.Direction.IN)
        nets['wl[67]'].setDirection(Net.Direction.IN)
        nets['wl[68]'].setDirection(Net.Direction.IN)
        nets['wl[69]'].setDirection(Net.Direction.IN)
        nets['wl[70]'].setDirection(Net.Direction.IN)
        nets['wl[71]'].setDirection(Net.Direction.IN)
        nets['wl[72]'].setDirection(Net.Direction.IN)
        nets['wl[73]'].setDirection(Net.Direction.IN)
        nets['wl[74]'].setDirection(Net.Direction.IN)
        nets['wl[75]'].setDirection(Net.Direction.IN)
        nets['wl[76]'].setDirection(Net.Direction.IN)
        nets['wl[77]'].setDirection(Net.Direction.IN)
        nets['wl[78]'].setDirection(Net.Direction.IN)
        nets['wl[79]'].setDirection(Net.Direction.IN)
        nets['wl[80]'].setDirection(Net.Direction.IN)
        nets['wl[81]'].setDirection(Net.Direction.IN)
        nets['wl[82]'].setDirection(Net.Direction.IN)
        nets['wl[83]'].setDirection(Net.Direction.IN)
        nets['wl[84]'].setDirection(Net.Direction.IN)
        nets['wl[85]'].setDirection(Net.Direction.IN)
        nets['wl[86]'].setDirection(Net.Direction.IN)
        nets['wl[87]'].setDirection(Net.Direction.IN)
        nets['wl[88]'].setDirection(Net.Direction.IN)
        nets['wl[89]'].setDirection(Net.Direction.IN)
        nets['wl[90]'].setDirection(Net.Direction.IN)
        nets['wl[91]'].setDirection(Net.Direction.IN)
        nets['wl[92]'].setDirection(Net.Direction.IN)
        nets['wl[93]'].setDirection(Net.Direction.IN)
        nets['wl[94]'].setDirection(Net.Direction.IN)
        nets['wl[95]'].setDirection(Net.Direction.IN)
        nets['wl[96]'].setDirection(Net.Direction.IN)
        nets['wl[97]'].setDirection(Net.Direction.IN)
        nets['wl[98]'].setDirection(Net.Direction.IN)
        nets['wl[99]'].setDirection(Net.Direction.IN)
        nets['wl[100]'].setDirection(Net.Direction.IN)
        nets['wl[101]'].setDirection(Net.Direction.IN)
        nets['wl[102]'].setDirection(Net.Direction.IN)
        nets['wl[103]'].setDirection(Net.Direction.IN)
        nets['wl[104]'].setDirection(Net.Direction.IN)
        nets['wl[105]'].setDirection(Net.Direction.IN)
        nets['wl[106]'].setDirection(Net.Direction.IN)
        nets['wl[107]'].setDirection(Net.Direction.IN)
        nets['wl[108]'].setDirection(Net.Direction.IN)
        nets['wl[109]'].setDirection(Net.Direction.IN)
        nets['wl[110]'].setDirection(Net.Direction.IN)
        nets['wl[111]'].setDirection(Net.Direction.IN)
        nets['wl[112]'].setDirection(Net.Direction.IN)
        nets['wl[113]'].setDirection(Net.Direction.IN)
        nets['wl[114]'].setDirection(Net.Direction.IN)
        nets['wl[115]'].setDirection(Net.Direction.IN)
        nets['wl[116]'].setDirection(Net.Direction.IN)
        nets['wl[117]'].setDirection(Net.Direction.IN)
        nets['wl[118]'].setDirection(Net.Direction.IN)
        nets['wl[119]'].setDirection(Net.Direction.IN)
        nets['wl[120]'].setDirection(Net.Direction.IN)
        nets['wl[121]'].setDirection(Net.Direction.IN)
        nets['wl[122]'].setDirection(Net.Direction.IN)
        nets['wl[123]'].setDirection(Net.Direction.IN)
        nets['wl[124]'].setDirection(Net.Direction.IN)
        nets['wl[125]'].setDirection(Net.Direction.IN)
        nets['wl[126]'].setDirection(Net.Direction.IN)
        nets['wl[127]'].setDirection(Net.Direction.IN)
        nets['mux[0]'].setDirection(Net.Direction.IN)
        nets['mux[1]'].setDirection(Net.Direction.IN)
        nets['mux[2]'].setDirection(Net.Direction.IN)
        nets['mux[3]'].setDirection(Net.Direction.IN)
        nets['columnclk'].setDirection(Net.Direction.IN)
        nets['precharge_n'].setDirection(Net.Direction.IN)
        nets['we_en'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TClockGenerator']
        except:
            subcell = af.getCell('SP6TClockGenerator', 0)
        trans = Transformation(
            u(10.0), u(5.045000000000002), Transformation.Orientation.R1,
        )
        Instance.create(
            cell, 'clkgen', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TLatchedDecoder_2A2R']
        except:
            subcell = af.getCell('SP6TLatchedDecoder_2A2R', 0)
        trans = Transformation(
            u(10.0), u(33.045), Transformation.Orientation.R1,
        )
        Instance.create(
            cell, 'coldec', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoder_3_4B']
        except:
            subcell = af.getCell('SP6TRowDecoder_3_4B', 0)
        trans = Transformation(
            u(0.0), u(63.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'rowdec', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TColumn_128R8B4M']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(65.91999999999999), u(410.565),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'clk': Net.create(cell, 'clk'),
            'd[0]': Net.create(cell, 'd[0]'),
            'd[1]': Net.create(cell, 'd[1]'),
            'd[2]': Net.create(cell, 'd[2]'),
            'd[3]': Net.create(cell, 'd[3]'),
            'd[4]': Net.create(cell, 'd[4]'),
            'd[5]': Net.create(cell, 'd[5]'),
            'd[6]': Net.create(cell, 'd[6]'),
            'd[7]': Net.create(cell, 'd[7]'),
            'mux[0]': Net.create(cell, 'mux[0]'),
            'mux[1]': Net.create(cell, 'mux[1]'),
            'mux[2]': Net.create(cell, 'mux[2]'),
            'mux[3]': Net.create(cell, 'mux[3]'),
            'precharge_n': Net.create(cell, 'precharge_n'),
            'q[0]': Net.create(cell, 'q[0]'),
            'q[1]': Net.create(cell, 'q[1]'),
            'q[2]': Net.create(cell, 'q[2]'),
            'q[3]': Net.create(cell, 'q[3]'),
            'q[4]': Net.create(cell, 'q[4]'),
            'q[5]': Net.create(cell, 'q[5]'),
            'q[6]': Net.create(cell, 'q[6]'),
            'q[7]': Net.create(cell, 'q[7]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'we': Net.create(cell, 'we'),
            'we_en': Net.create(cell, 'we_en'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[100]': Net.create(cell, 'wl[100]'),
            'wl[101]': Net.create(cell, 'wl[101]'),
            'wl[102]': Net.create(cell, 'wl[102]'),
            'wl[103]': Net.create(cell, 'wl[103]'),
            'wl[104]': Net.create(cell, 'wl[104]'),
            'wl[105]': Net.create(cell, 'wl[105]'),
            'wl[106]': Net.create(cell, 'wl[106]'),
            'wl[107]': Net.create(cell, 'wl[107]'),
            'wl[108]': Net.create(cell, 'wl[108]'),
            'wl[109]': Net.create(cell, 'wl[109]'),
            'wl[10]': Net.create(cell, 'wl[10]'),
            'wl[110]': Net.create(cell, 'wl[110]'),
            'wl[111]': Net.create(cell, 'wl[111]'),
            'wl[112]': Net.create(cell, 'wl[112]'),
            'wl[113]': Net.create(cell, 'wl[113]'),
            'wl[114]': Net.create(cell, 'wl[114]'),
            'wl[115]': Net.create(cell, 'wl[115]'),
            'wl[116]': Net.create(cell, 'wl[116]'),
            'wl[117]': Net.create(cell, 'wl[117]'),
            'wl[118]': Net.create(cell, 'wl[118]'),
            'wl[119]': Net.create(cell, 'wl[119]'),
            'wl[11]': Net.create(cell, 'wl[11]'),
            'wl[120]': Net.create(cell, 'wl[120]'),
            'wl[121]': Net.create(cell, 'wl[121]'),
            'wl[122]': Net.create(cell, 'wl[122]'),
            'wl[123]': Net.create(cell, 'wl[123]'),
            'wl[124]': Net.create(cell, 'wl[124]'),
            'wl[125]': Net.create(cell, 'wl[125]'),
            'wl[126]': Net.create(cell, 'wl[126]'),
            'wl[127]': Net.create(cell, 'wl[127]'),
            'wl[12]': Net.create(cell, 'wl[12]'),
            'wl[13]': Net.create(cell, 'wl[13]'),
            'wl[14]': Net.create(cell, 'wl[14]'),
            'wl[15]': Net.create(cell, 'wl[15]'),
            'wl[16]': Net.create(cell, 'wl[16]'),
            'wl[17]': Net.create(cell, 'wl[17]'),
            'wl[18]': Net.create(cell, 'wl[18]'),
            'wl[19]': Net.create(cell, 'wl[19]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[20]': Net.create(cell, 'wl[20]'),
            'wl[21]': Net.create(cell, 'wl[21]'),
            'wl[22]': Net.create(cell, 'wl[22]'),
            'wl[23]': Net.create(cell, 'wl[23]'),
            'wl[24]': Net.create(cell, 'wl[24]'),
            'wl[25]': Net.create(cell, 'wl[25]'),
            'wl[26]': Net.create(cell, 'wl[26]'),
            'wl[27]': Net.create(cell, 'wl[27]'),
            'wl[28]': Net.create(cell, 'wl[28]'),
            'wl[29]': Net.create(cell, 'wl[29]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[30]': Net.create(cell, 'wl[30]'),
            'wl[31]': Net.create(cell, 'wl[31]'),
            'wl[32]': Net.create(cell, 'wl[32]'),
            'wl[33]': Net.create(cell, 'wl[33]'),
            'wl[34]': Net.create(cell, 'wl[34]'),
            'wl[35]': Net.create(cell, 'wl[35]'),
            'wl[36]': Net.create(cell, 'wl[36]'),
            'wl[37]': Net.create(cell, 'wl[37]'),
            'wl[38]': Net.create(cell, 'wl[38]'),
            'wl[39]': Net.create(cell, 'wl[39]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
            'wl[40]': Net.create(cell, 'wl[40]'),
            'wl[41]': Net.create(cell, 'wl[41]'),
            'wl[42]': Net.create(cell, 'wl[42]'),
            'wl[43]': Net.create(cell, 'wl[43]'),
            'wl[44]': Net.create(cell, 'wl[44]'),
            'wl[45]': Net.create(cell, 'wl[45]'),
            'wl[46]': Net.create(cell, 'wl[46]'),
            'wl[47]': Net.create(cell, 'wl[47]'),
            'wl[48]': Net.create(cell, 'wl[48]'),
            'wl[49]': Net.create(cell, 'wl[49]'),
            'wl[4]': Net.create(cell, 'wl[4]'),
            'wl[50]': Net.create(cell, 'wl[50]'),
            'wl[51]': Net.create(cell, 'wl[51]'),
            'wl[52]': Net.create(cell, 'wl[52]'),
            'wl[53]': Net.create(cell, 'wl[53]'),
            'wl[54]': Net.create(cell, 'wl[54]'),
            'wl[55]': Net.create(cell, 'wl[55]'),
            'wl[56]': Net.create(cell, 'wl[56]'),
            'wl[57]': Net.create(cell, 'wl[57]'),
            'wl[58]': Net.create(cell, 'wl[58]'),
            'wl[59]': Net.create(cell, 'wl[59]'),
            'wl[5]': Net.create(cell, 'wl[5]'),
            'wl[60]': Net.create(cell, 'wl[60]'),
            'wl[61]': Net.create(cell, 'wl[61]'),
            'wl[62]': Net.create(cell, 'wl[62]'),
            'wl[63]': Net.create(cell, 'wl[63]'),
            'wl[64]': Net.create(cell, 'wl[64]'),
            'wl[65]': Net.create(cell, 'wl[65]'),
            'wl[66]': Net.create(cell, 'wl[66]'),
            'wl[67]': Net.create(cell, 'wl[67]'),
            'wl[68]': Net.create(cell, 'wl[68]'),
            'wl[69]': Net.create(cell, 'wl[69]'),
            'wl[6]': Net.create(cell, 'wl[6]'),
            'wl[70]': Net.create(cell, 'wl[70]'),
            'wl[71]': Net.create(cell, 'wl[71]'),
            'wl[72]': Net.create(cell, 'wl[72]'),
            'wl[73]': Net.create(cell, 'wl[73]'),
            'wl[74]': Net.create(cell, 'wl[74]'),
            'wl[75]': Net.create(cell, 'wl[75]'),
            'wl[76]': Net.create(cell, 'wl[76]'),
            'wl[77]': Net.create(cell, 'wl[77]'),
            'wl[78]': Net.create(cell, 'wl[78]'),
            'wl[79]': Net.create(cell, 'wl[79]'),
            'wl[7]': Net.create(cell, 'wl[7]'),
            'wl[80]': Net.create(cell, 'wl[80]'),
            'wl[81]': Net.create(cell, 'wl[81]'),
            'wl[82]': Net.create(cell, 'wl[82]'),
            'wl[83]': Net.create(cell, 'wl[83]'),
            'wl[84]': Net.create(cell, 'wl[84]'),
            'wl[85]': Net.create(cell, 'wl[85]'),
            'wl[86]': Net.create(cell, 'wl[86]'),
            'wl[87]': Net.create(cell, 'wl[87]'),
            'wl[88]': Net.create(cell, 'wl[88]'),
            'wl[89]': Net.create(cell, 'wl[89]'),
            'wl[8]': Net.create(cell, 'wl[8]'),
            'wl[90]': Net.create(cell, 'wl[90]'),
            'wl[91]': Net.create(cell, 'wl[91]'),
            'wl[92]': Net.create(cell, 'wl[92]'),
            'wl[93]': Net.create(cell, 'wl[93]'),
            'wl[94]': Net.create(cell, 'wl[94]'),
            'wl[95]': Net.create(cell, 'wl[95]'),
            'wl[96]': Net.create(cell, 'wl[96]'),
            'wl[97]': Net.create(cell, 'wl[97]'),
            'wl[98]': Net.create(cell, 'wl[98]'),
            'wl[99]': Net.create(cell, 'wl[99]'),
            'wl[9]': Net.create(cell, 'wl[9]'),
        }
        net = nets['clk']
        createRL(
            tech, net, 'm1',
            ((0.0,2.1),(0.0,2.75),(65.92,2.75),(65.92,2.1),(0.0,2.1)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(2.425), u(0.65), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(2.425), u(0.65), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_en']
        createRL(
            tech, net, 'm1',
            ((0.0,3.03),(0.0,3.68),(65.92,3.68),(65.92,3.03),(0.0,3.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(3.355), u(0.65), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(3.355), u(0.65), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,81.92),(0.0,82.18),(65.92,82.18),(65.92,81.92),(0.0,81.92)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,71.06),(0.0,71.32),(65.92,71.32),(65.92,71.06),(0.0,71.06)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,391.43),(0.0,391.69),(65.92,391.69),(65.92,391.43),(0.0,391.43)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,168.8),(0.0,169.06),(65.92,169.06),(65.92,168.8),(0.0,168.8)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,217.67),(0.0,217.93),(65.92,217.93),(65.92,217.67),(0.0,217.67)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,119.93),(0.0,120.19),(65.92,120.19),(65.92,119.93),(0.0,119.93)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,114.5),(0.0,114.76),(65.92,114.76),(65.92,114.5),(0.0,114.5)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,206.81),(0.0,207.07),(65.92,207.07),(65.92,206.81),(0.0,206.81)),
        )
        createRL(
            tech, net, 'm2',
            ((-0.13,58.71),(-0.13,59.35),(66.05,59.35),(66.05,58.71),(-0.13,58.71)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,212.24),(0.0,212.5),(65.92,212.5),(65.92,212.24),(0.0,212.24)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,266.54),(0.0,266.8),(65.92,266.8),(65.92,266.54),(0.0,266.54)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,277.4),(0.0,277.66),(65.92,277.66),(65.92,277.4),(0.0,277.4)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,364.28),(0.0,364.54),(65.92,364.54),(65.92,364.28),(0.0,364.28)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,136.22),(0.0,136.48),(65.92,136.48),(65.92,136.22),(0.0,136.22)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,92.78),(0.0,93.04),(65.92,93.04),(65.92,92.78),(0.0,92.78)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,342.56),(0.0,342.82),(65.92,342.82),(65.92,342.56),(0.0,342.56)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,87.35),(0.0,87.61),(65.92,87.61),(65.92,87.35),(0.0,87.35)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,375.14),(0.0,375.4),(65.92,375.4),(65.92,375.14),(0.0,375.14)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,407.72),(0.0,407.98),(65.92,407.98),(65.92,407.72),(0.0,407.72)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,195.95),(0.0,196.21),(65.92,196.21),(65.92,195.95),(0.0,195.95)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,358.85),(0.0,359.11),(65.92,359.11),(65.92,358.85),(0.0,358.85)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,49.08),(0.0,49.72),(65.92,49.72),(65.92,49.08),(0.0,49.08)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,337.13),(0.0,337.39),(65.92,337.39),(65.92,337.13),(0.0,337.13)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,369.71),(0.0,369.97),(65.92,369.97),(65.92,369.71),(0.0,369.71)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,174.23),(0.0,174.49),(65.92,174.49),(65.92,174.23),(0.0,174.23)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,304.55),(0.0,304.81),(65.92,304.81),(65.92,304.55),(0.0,304.55)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,147.08),(0.0,147.34),(65.92,147.34),(65.92,147.08),(0.0,147.08)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,179.66),(0.0,179.92),(65.92,179.92),(65.92,179.66),(0.0,179.66)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,223.1),(0.0,223.36),(65.92,223.36),(65.92,223.1),(0.0,223.1)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,255.68),(0.0,255.94),(65.92,255.94),(65.92,255.68),(0.0,255.68)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,98.21),(0.0,98.47),(65.92,98.47),(65.92,98.21),(0.0,98.21)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,250.25),(0.0,250.51),(65.92,250.51),(65.92,250.25),(0.0,250.25)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,347.99),(0.0,348.25),(65.92,348.25),(65.92,347.99),(0.0,347.99)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,386.0),(0.0,386.26),(65.92,386.26),(65.92,386.0),(0.0,386.0)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,125.36),(0.0,125.62),(65.92,125.62),(65.92,125.36),(0.0,125.36)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,293.69),(0.0,293.95),(65.92,293.95),(65.92,293.69),(0.0,293.69)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,152.51),(0.0,152.77),(65.92,152.77),(65.92,152.51),(0.0,152.51)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,103.64),(0.0,103.9),(65.92,103.9),(65.92,103.64),(0.0,103.64)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,315.41),(0.0,315.67),(65.92,315.67),(65.92,315.41),(0.0,315.41)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,185.09),(0.0,185.35),(65.92,185.35),(65.92,185.09),(0.0,185.09)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,201.38),(0.0,201.64),(65.92,201.64),(65.92,201.38),(0.0,201.38)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,271.97),(0.0,272.23),(65.92,272.23),(65.92,271.97),(0.0,271.97)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,157.94),(0.0,158.2),(65.92,158.2),(65.92,157.94),(0.0,157.94)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,76.49),(0.0,76.75),(65.92,76.75),(65.92,76.49),(0.0,76.49)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,320.84),(0.0,321.1),(65.92,321.1),(65.92,320.84),(0.0,320.84)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,402.29),(0.0,402.55),(65.92,402.55),(65.92,402.29),(0.0,402.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,141.65),(0.0,141.91),(65.92,141.91),(65.92,141.65),(0.0,141.65)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,109.07),(0.0,109.33),(65.92,109.33),(65.92,109.07),(0.0,109.07)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,130.79),(0.0,131.05),(65.92,131.05),(65.92,130.79),(0.0,130.79)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,282.83),(0.0,283.09),(65.92,283.09),(65.92,282.83),(0.0,282.83)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,233.96),(0.0,234.22),(65.92,234.22),(65.92,233.96),(0.0,233.96)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,299.12),(0.0,299.38),(65.92,299.38),(65.92,299.12),(0.0,299.12)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,331.7),(0.0,331.96),(65.92,331.96),(65.92,331.7),(0.0,331.7)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,65.63),(0.0,65.89),(65.92,65.89),(65.92,65.63),(0.0,65.63)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,353.42),(0.0,353.68),(65.92,353.68),(65.92,353.42),(0.0,353.42)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,190.52),(0.0,190.78),(65.92,190.78),(65.92,190.52),(0.0,190.52)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,288.26),(0.0,288.52),(65.92,288.52),(65.92,288.26),(0.0,288.26)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,396.86),(0.0,397.12),(65.92,397.12),(65.92,396.86),(0.0,396.86)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,309.98),(0.0,310.24),(65.92,310.24),(65.92,309.98),(0.0,309.98)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,163.37),(0.0,163.63),(65.92,163.63),(65.92,163.37),(0.0,163.37)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,239.39),(0.0,239.65),(65.92,239.65),(65.92,239.39),(0.0,239.39)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,228.53),(0.0,228.79),(65.92,228.79),(65.92,228.53),(0.0,228.53)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,380.57),(0.0,380.83),(65.92,380.83),(65.92,380.57),(0.0,380.57)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,261.11),(0.0,261.37),(65.92,261.37),(65.92,261.11),(0.0,261.11)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,326.27),(0.0,326.53),(65.92,326.53),(65.92,326.27),(0.0,326.27)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,244.82),(0.0,245.08),(65.92,245.08),(65.92,244.82),(0.0,244.82)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(82.05), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(82.05), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(71.19), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(71.19), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(391.56), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(391.56), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(168.93), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(168.93), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(217.8), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(217.8), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(120.06), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(120.06), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(114.63), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(114.63), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(206.94), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(206.94), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(59.03), u(0.64), u(-0.13), u(66.05),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(59.03), u(0.64), u(-0.13), u(66.05),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(212.37), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(212.37), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(266.67), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(266.67), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(277.53), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(277.53), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(364.41), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(364.41), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(136.35), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(136.35), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(92.91), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(92.91), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(342.69), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(342.69), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(87.48), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(87.48), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(375.27), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(375.27), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(407.85), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(407.85), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(196.08), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(196.08), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(358.98), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(358.98), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(49.4), u(0.64), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(49.4), u(0.64), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(337.26), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(337.26), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(369.84), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(369.84), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(174.36), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(174.36), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(304.68), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(304.68), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(147.21), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(147.21), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(179.79), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(179.79), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(223.23), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(223.23), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(255.81), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(255.81), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(98.34), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(98.34), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(250.38), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(250.38), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(348.12), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(348.12), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(386.13), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(386.13), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(125.49), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(125.49), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(293.82), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(293.82), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(152.64), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(152.64), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(103.77), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(103.77), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(315.54), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(315.54), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(185.22), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(185.22), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(201.51), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(201.51), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(272.1), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(272.1), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(158.07), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(158.07), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(76.62), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(76.62), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(320.97), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(320.97), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(402.42), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(402.42), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(141.78), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(141.78), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(109.2), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(109.2), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(130.92), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(130.92), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(282.96), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(282.96), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(234.09), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(234.09), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(299.25), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(299.25), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(331.83), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(331.83), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(65.76), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(65.76), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(353.55), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(353.55), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(190.65), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(190.65), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(288.39), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(288.39), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(396.99), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(396.99), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(310.11), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(310.11), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(163.5), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(163.5), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(239.52), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(239.52), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(228.66), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(228.66), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(380.7), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(380.7), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(261.24), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(261.24), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(326.4), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(326.4), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(244.95), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(244.95), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,155.225),(0.0,155.485),(65.92,155.485),(65.92,155.225),(0.0,155.225)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,198.665),(0.0,198.925),(65.92,198.925),(65.92,198.665),(0.0,198.665)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,345.275),(0.0,345.535),(65.92,345.535),(65.92,345.275),(0.0,345.275)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,361.565),(0.0,361.825),(65.92,361.825),(65.92,361.565),(0.0,361.565)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,84.635),(0.0,84.895),(65.92,84.895),(65.92,84.635),(0.0,84.635)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,62.915),(0.0,63.175),(65.92,63.175),(65.92,62.915),(0.0,62.915)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,236.675),(0.0,236.935),(65.92,236.935),(65.92,236.675),(0.0,236.675)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,242.105),(0.0,242.365),(65.92,242.365),(65.92,242.105),(0.0,242.105)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,117.215),(0.0,117.475),(65.92,117.475),(65.92,117.215),(0.0,117.215)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,285.545),(0.0,285.805),(65.92,285.805),(65.92,285.545),(0.0,285.545)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,394.145),(0.0,394.405),(65.92,394.405),(65.92,394.145),(0.0,394.145)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,405.005),(0.0,405.265),(65.92,405.265),(65.92,405.005),(0.0,405.005)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,100.925),(0.0,101.185),(65.92,101.185),(65.92,100.925),(0.0,100.925)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,252.965),(0.0,253.225),(65.92,253.225),(65.92,252.965),(0.0,252.965)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,73.775),(0.0,74.035),(65.92,74.035),(65.92,73.775),(0.0,73.775)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,247.535),(0.0,247.795),(65.92,247.795),(65.92,247.535),(0.0,247.535)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,377.855),(0.0,378.115),(65.92,378.115),(65.92,377.855),(0.0,377.855)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,209.525),(0.0,209.785),(65.92,209.785),(65.92,209.525),(0.0,209.525)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,48.3),(0.0,48.94),(65.92,48.94),(65.92,48.3),(0.0,48.3)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,128.075),(0.0,128.335),(65.92,128.335),(65.92,128.075),(0.0,128.075)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,350.705),(0.0,350.965),(65.92,350.965),(65.92,350.705),(0.0,350.705)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,301.835),(0.0,302.095),(65.92,302.095),(65.92,301.835),(0.0,301.835)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,95.495),(0.0,95.755),(65.92,95.755),(65.92,95.495),(0.0,95.495)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,307.265),(0.0,307.525),(65.92,307.525),(65.92,307.265),(0.0,307.265)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,383.285),(0.0,383.545),(65.92,383.545),(65.92,383.285),(0.0,383.285)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,90.065),(0.0,90.325),(65.92,90.325),(65.92,90.065),(0.0,90.065)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,122.645),(0.0,122.905),(65.92,122.905),(65.92,122.645),(0.0,122.645)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,258.395),(0.0,258.655),(65.92,258.655),(65.92,258.395),(0.0,258.395)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,410.435),(0.0,410.695),(65.92,410.695),(65.92,410.435),(0.0,410.435)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,280.115),(0.0,280.375),(65.92,280.375),(65.92,280.115),(0.0,280.115)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,138.935),(0.0,139.195),(65.92,139.195),(65.92,138.935),(0.0,138.935)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,312.695),(0.0,312.955),(65.92,312.955),(65.92,312.695),(0.0,312.695)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,225.815),(0.0,226.075),(65.92,226.075),(65.92,225.815),(0.0,225.815)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,231.245),(0.0,231.505),(65.92,231.505),(65.92,231.245),(0.0,231.245)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,214.955),(0.0,215.215),(65.92,215.215),(65.92,214.955),(0.0,214.955)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,328.985),(0.0,329.245),(65.92,329.245),(65.92,328.985),(0.0,328.985)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,111.785),(0.0,112.045),(65.92,112.045),(65.92,111.785),(0.0,111.785)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,106.355),(0.0,106.615),(65.92,106.615),(65.92,106.355),(0.0,106.355)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,176.945),(0.0,177.205),(65.92,177.205),(65.92,176.945),(0.0,176.945)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,204.095),(0.0,204.355),(65.92,204.355),(65.92,204.095),(0.0,204.095)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,274.685),(0.0,274.945),(65.92,274.945),(65.92,274.685),(0.0,274.685)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,269.255),(0.0,269.515),(65.92,269.515),(65.92,269.255),(0.0,269.255)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,366.995),(0.0,367.255),(65.92,367.255),(65.92,366.995),(0.0,366.995)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,372.425),(0.0,372.685),(65.92,372.685),(65.92,372.425),(0.0,372.425)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,182.375),(0.0,182.635),(65.92,182.635),(65.92,182.375),(0.0,182.375)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,290.975),(0.0,291.235),(65.92,291.235),(65.92,290.975),(0.0,290.975)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,296.405),(0.0,296.665),(65.92,296.665),(65.92,296.405),(0.0,296.405)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,171.515),(0.0,171.775),(65.92,171.775),(65.92,171.515),(0.0,171.515)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,339.845),(0.0,340.105),(65.92,340.105),(65.92,339.845),(0.0,339.845)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,193.235),(0.0,193.495),(65.92,193.495),(65.92,193.235),(0.0,193.235)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,263.825),(0.0,264.085),(65.92,264.085),(65.92,263.825),(0.0,263.825)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,144.365),(0.0,144.625),(65.92,144.625),(65.92,144.365),(0.0,144.365)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,160.655),(0.0,160.915),(65.92,160.915),(65.92,160.655),(0.0,160.655)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,318.125),(0.0,318.385),(65.92,318.385),(65.92,318.125),(0.0,318.125)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,149.795),(0.0,150.055),(65.92,150.055),(65.92,149.795),(0.0,149.795)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,79.205),(0.0,79.465),(65.92,79.465),(65.92,79.205),(0.0,79.205)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,323.555),(0.0,323.815),(65.92,323.815),(65.92,323.555),(0.0,323.555)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,334.415),(0.0,334.675),(65.92,334.675),(65.92,334.415),(0.0,334.415)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,187.805),(0.0,188.065),(65.92,188.065),(65.92,187.805),(0.0,187.805)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,68.345),(0.0,68.605),(65.92,68.605),(65.92,68.345),(0.0,68.345)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,220.385),(0.0,220.645),(65.92,220.645),(65.92,220.385),(0.0,220.385)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,356.135),(0.0,356.395),(65.92,356.395),(65.92,356.135),(0.0,356.135)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,388.715),(0.0,388.975),(65.92,388.975),(65.92,388.715),(0.0,388.715)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,133.505),(0.0,133.765),(65.92,133.765),(65.92,133.505),(0.0,133.505)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,399.575),(0.0,399.835),(65.92,399.835),(65.92,399.575),(0.0,399.575)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,166.085),(0.0,166.345),(65.92,166.345),(65.92,166.085),(0.0,166.085)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(155.355), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(155.355), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(198.795), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(198.795), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(345.405), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(345.405), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(361.695), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(361.695), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(84.765), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(84.765), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.045), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.045), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(236.805), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(236.805), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(242.235), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(242.235), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(117.345), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(117.345), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(285.675), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(285.675), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(394.275), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(394.275), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(405.135), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(405.135), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(101.055), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(101.055), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(253.095), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(253.095), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(73.905), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(73.905), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(247.665), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(247.665), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(377.985), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(377.985), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(209.655), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(209.655), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.62), u(0.64), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.62), u(0.64), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(128.205), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(128.205), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(350.835), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(350.835), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(301.965), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(301.965), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(95.625), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(95.625), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(307.395), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(307.395), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(383.415), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(383.415), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.195), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.195), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(122.775), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(122.775), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(258.525), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(258.525), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(410.565), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(410.565), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(280.245), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(280.245), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(139.065), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(139.065), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(312.825), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(312.825), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(225.945), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(225.945), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(231.375), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(231.375), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(215.085), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(215.085), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(329.115), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(329.115), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(111.915), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(111.915), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(106.485), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(106.485), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(177.075), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(177.075), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(204.225), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(204.225), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(274.815), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(274.815), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(269.385), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(269.385), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(367.125), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(367.125), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(372.555), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(372.555), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(182.505), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(182.505), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(291.105), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(291.105), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(296.535), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(296.535), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(171.645), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(171.645), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(339.975), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(339.975), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(193.365), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(193.365), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(263.955), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(263.955), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(144.495), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(144.495), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(160.785), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(160.785), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(318.255), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(318.255), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(149.925), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(149.925), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(79.335), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(79.335), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(323.685), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(323.685), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(334.545), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(334.545), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(187.935), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(187.935), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(68.475), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(68.475), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(220.515), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(220.515), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(356.265), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(356.265), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(388.845), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(388.845), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(133.635), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(133.635), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(399.705), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(399.705), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(166.215), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(166.215), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['precharge_n']
        createRL(
            tech, net, 'm2',
            ((0.0,61.78),(0.0,62.04),(65.92,62.04),(65.92,61.78),(0.0,61.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(61.91), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(61.91), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we']
        createRL(
            tech, net, 'm2',
            ((7.37,0.0),(7.37,1.955),(7.63,1.955),(7.63,0.0),(7.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(7.5), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(7.5), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,64.77),(0.0,65.03),(65.92,65.03),(65.92,64.77),(0.0,64.77)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(64.9), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(64.9), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,66.49),(0.0,66.75),(65.92,66.75),(65.92,66.49),(0.0,66.49)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(66.62), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(66.62), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,70.2),(0.0,70.46),(65.92,70.46),(65.92,70.2),(0.0,70.2)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(70.33), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(70.33), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,71.92),(0.0,72.18),(65.92,72.18),(65.92,71.92),(0.0,71.92)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.05), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.05), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,75.63),(0.0,75.89),(65.92,75.89),(65.92,75.63),(0.0,75.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(75.76), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(75.76), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,77.35),(0.0,77.61),(65.92,77.61),(65.92,77.35),(0.0,77.35)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(77.48), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(77.48), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,81.06),(0.0,81.32),(65.92,81.32),(65.92,81.06),(0.0,81.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(81.19), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(81.19), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,82.78),(0.0,83.04),(65.92,83.04),(65.92,82.78),(0.0,82.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(82.91), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(82.91), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,86.49),(0.0,86.75),(65.92,86.75),(65.92,86.49),(0.0,86.49)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(86.62), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(86.62), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,88.21),(0.0,88.47),(65.92,88.47),(65.92,88.21),(0.0,88.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(88.34), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(88.34), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,91.92),(0.0,92.18),(65.92,92.18),(65.92,91.92),(0.0,91.92)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(92.05), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(92.05), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,93.64),(0.0,93.9),(65.92,93.9),(65.92,93.64),(0.0,93.64)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(93.77), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(93.77), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,97.35),(0.0,97.61),(65.92,97.61),(65.92,97.35),(0.0,97.35)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(97.48), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(97.48), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,99.07),(0.0,99.33),(65.92,99.33),(65.92,99.07),(0.0,99.07)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(99.2), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(99.2), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,102.78),(0.0,103.04),(65.92,103.04),(65.92,102.78),(0.0,102.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(102.91), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(102.91), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,104.5),(0.0,104.76),(65.92,104.76),(65.92,104.5),(0.0,104.5)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(104.63), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(104.63), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[16]']
        createRL(
            tech, net, 'm2',
            ((0.0,108.21),(0.0,108.47),(65.92,108.47),(65.92,108.21),(0.0,108.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(108.34), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(108.34), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[17]']
        createRL(
            tech, net, 'm2',
            ((0.0,109.93),(0.0,110.19),(65.92,110.19),(65.92,109.93),(0.0,109.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(110.06), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(110.06), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[18]']
        createRL(
            tech, net, 'm2',
            ((0.0,113.64),(0.0,113.9),(65.92,113.9),(65.92,113.64),(0.0,113.64)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(113.77), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(113.77), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[19]']
        createRL(
            tech, net, 'm2',
            ((0.0,115.36),(0.0,115.62),(65.92,115.62),(65.92,115.36),(0.0,115.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(115.49), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(115.49), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[20]']
        createRL(
            tech, net, 'm2',
            ((0.0,119.07),(0.0,119.33),(65.92,119.33),(65.92,119.07),(0.0,119.07)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(119.2), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(119.2), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[21]']
        createRL(
            tech, net, 'm2',
            ((0.0,120.79),(0.0,121.05),(65.92,121.05),(65.92,120.79),(0.0,120.79)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(120.92), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(120.92), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[22]']
        createRL(
            tech, net, 'm2',
            ((0.0,124.5),(0.0,124.76),(65.92,124.76),(65.92,124.5),(0.0,124.5)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(124.63), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(124.63), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[23]']
        createRL(
            tech, net, 'm2',
            ((0.0,126.22),(0.0,126.48),(65.92,126.48),(65.92,126.22),(0.0,126.22)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(126.35), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(126.35), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[24]']
        createRL(
            tech, net, 'm2',
            ((0.0,129.93),(0.0,130.19),(65.92,130.19),(65.92,129.93),(0.0,129.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(130.06), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(130.06), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[25]']
        createRL(
            tech, net, 'm2',
            ((0.0,131.65),(0.0,131.91),(65.92,131.91),(65.92,131.65),(0.0,131.65)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(131.78), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(131.78), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[26]']
        createRL(
            tech, net, 'm2',
            ((0.0,135.36),(0.0,135.62),(65.92,135.62),(65.92,135.36),(0.0,135.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(135.49), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(135.49), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[27]']
        createRL(
            tech, net, 'm2',
            ((0.0,137.08),(0.0,137.34),(65.92,137.34),(65.92,137.08),(0.0,137.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(137.21), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(137.21), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[28]']
        createRL(
            tech, net, 'm2',
            ((0.0,140.79),(0.0,141.05),(65.92,141.05),(65.92,140.79),(0.0,140.79)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(140.92), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(140.92), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[29]']
        createRL(
            tech, net, 'm2',
            ((0.0,142.51),(0.0,142.77),(65.92,142.77),(65.92,142.51),(0.0,142.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(142.64), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(142.64), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[30]']
        createRL(
            tech, net, 'm2',
            ((0.0,146.22),(0.0,146.48),(65.92,146.48),(65.92,146.22),(0.0,146.22)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(146.35), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(146.35), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[31]']
        createRL(
            tech, net, 'm2',
            ((0.0,147.94),(0.0,148.2),(65.92,148.2),(65.92,147.94),(0.0,147.94)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(148.07), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(148.07), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[32]']
        createRL(
            tech, net, 'm2',
            ((0.0,151.65),(0.0,151.91),(65.92,151.91),(65.92,151.65),(0.0,151.65)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(151.78), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(151.78), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[33]']
        createRL(
            tech, net, 'm2',
            ((0.0,153.37),(0.0,153.63),(65.92,153.63),(65.92,153.37),(0.0,153.37)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(153.5), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(153.5), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[34]']
        createRL(
            tech, net, 'm2',
            ((0.0,157.08),(0.0,157.34),(65.92,157.34),(65.92,157.08),(0.0,157.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(157.21), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(157.21), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[35]']
        createRL(
            tech, net, 'm2',
            ((0.0,158.8),(0.0,159.06),(65.92,159.06),(65.92,158.8),(0.0,158.8)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(158.93), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(158.93), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[36]']
        createRL(
            tech, net, 'm2',
            ((0.0,162.51),(0.0,162.77),(65.92,162.77),(65.92,162.51),(0.0,162.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(162.64), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(162.64), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[37]']
        createRL(
            tech, net, 'm2',
            ((0.0,164.23),(0.0,164.49),(65.92,164.49),(65.92,164.23),(0.0,164.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(164.36), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(164.36), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[38]']
        createRL(
            tech, net, 'm2',
            ((0.0,167.94),(0.0,168.2),(65.92,168.2),(65.92,167.94),(0.0,167.94)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(168.07), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(168.07), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[39]']
        createRL(
            tech, net, 'm2',
            ((0.0,169.66),(0.0,169.92),(65.92,169.92),(65.92,169.66),(0.0,169.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(169.79), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(169.79), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[40]']
        createRL(
            tech, net, 'm2',
            ((0.0,173.37),(0.0,173.63),(65.92,173.63),(65.92,173.37),(0.0,173.37)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(173.5), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(173.5), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[41]']
        createRL(
            tech, net, 'm2',
            ((0.0,175.09),(0.0,175.35),(65.92,175.35),(65.92,175.09),(0.0,175.09)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(175.22), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(175.22), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[42]']
        createRL(
            tech, net, 'm2',
            ((0.0,178.8),(0.0,179.06),(65.92,179.06),(65.92,178.8),(0.0,178.8)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(178.93), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(178.93), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[43]']
        createRL(
            tech, net, 'm2',
            ((0.0,180.52),(0.0,180.78),(65.92,180.78),(65.92,180.52),(0.0,180.52)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(180.65), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(180.65), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[44]']
        createRL(
            tech, net, 'm2',
            ((0.0,184.23),(0.0,184.49),(65.92,184.49),(65.92,184.23),(0.0,184.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(184.36), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(184.36), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[45]']
        createRL(
            tech, net, 'm2',
            ((0.0,185.95),(0.0,186.21),(65.92,186.21),(65.92,185.95),(0.0,185.95)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(186.08), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(186.08), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[46]']
        createRL(
            tech, net, 'm2',
            ((0.0,189.66),(0.0,189.92),(65.92,189.92),(65.92,189.66),(0.0,189.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(189.79), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(189.79), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[47]']
        createRL(
            tech, net, 'm2',
            ((0.0,191.38),(0.0,191.64),(65.92,191.64),(65.92,191.38),(0.0,191.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(191.51), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(191.51), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[48]']
        createRL(
            tech, net, 'm2',
            ((0.0,195.09),(0.0,195.35),(65.92,195.35),(65.92,195.09),(0.0,195.09)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(195.22), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(195.22), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[49]']
        createRL(
            tech, net, 'm2',
            ((0.0,196.81),(0.0,197.07),(65.92,197.07),(65.92,196.81),(0.0,196.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(196.94), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(196.94), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[50]']
        createRL(
            tech, net, 'm2',
            ((0.0,200.52),(0.0,200.78),(65.92,200.78),(65.92,200.52),(0.0,200.52)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(200.65), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(200.65), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[51]']
        createRL(
            tech, net, 'm2',
            ((0.0,202.24),(0.0,202.5),(65.92,202.5),(65.92,202.24),(0.0,202.24)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(202.37), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(202.37), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[52]']
        createRL(
            tech, net, 'm2',
            ((0.0,205.95),(0.0,206.21),(65.92,206.21),(65.92,205.95),(0.0,205.95)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(206.08), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(206.08), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[53]']
        createRL(
            tech, net, 'm2',
            ((0.0,207.67),(0.0,207.93),(65.92,207.93),(65.92,207.67),(0.0,207.67)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(207.8), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(207.8), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[54]']
        createRL(
            tech, net, 'm2',
            ((0.0,211.38),(0.0,211.64),(65.92,211.64),(65.92,211.38),(0.0,211.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(211.51), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(211.51), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[55]']
        createRL(
            tech, net, 'm2',
            ((0.0,213.1),(0.0,213.36),(65.92,213.36),(65.92,213.1),(0.0,213.1)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(213.23), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(213.23), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[56]']
        createRL(
            tech, net, 'm2',
            ((0.0,216.81),(0.0,217.07),(65.92,217.07),(65.92,216.81),(0.0,216.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(216.94), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(216.94), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[57]']
        createRL(
            tech, net, 'm2',
            ((0.0,218.53),(0.0,218.79),(65.92,218.79),(65.92,218.53),(0.0,218.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(218.66), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(218.66), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[58]']
        createRL(
            tech, net, 'm2',
            ((0.0,222.24),(0.0,222.5),(65.92,222.5),(65.92,222.24),(0.0,222.24)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(222.37), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(222.37), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[59]']
        createRL(
            tech, net, 'm2',
            ((0.0,223.96),(0.0,224.22),(65.92,224.22),(65.92,223.96),(0.0,223.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(224.09), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(224.09), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[60]']
        createRL(
            tech, net, 'm2',
            ((0.0,227.67),(0.0,227.93),(65.92,227.93),(65.92,227.67),(0.0,227.67)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(227.8), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(227.8), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[61]']
        createRL(
            tech, net, 'm2',
            ((0.0,229.39),(0.0,229.65),(65.92,229.65),(65.92,229.39),(0.0,229.39)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(229.52), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(229.52), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[62]']
        createRL(
            tech, net, 'm2',
            ((0.0,233.1),(0.0,233.36),(65.92,233.36),(65.92,233.1),(0.0,233.1)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(233.23), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(233.23), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[63]']
        createRL(
            tech, net, 'm2',
            ((0.0,234.82),(0.0,235.08),(65.92,235.08),(65.92,234.82),(0.0,234.82)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(234.95), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(234.95), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[64]']
        createRL(
            tech, net, 'm2',
            ((0.0,238.53),(0.0,238.79),(65.92,238.79),(65.92,238.53),(0.0,238.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(238.66), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(238.66), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[65]']
        createRL(
            tech, net, 'm2',
            ((0.0,240.25),(0.0,240.51),(65.92,240.51),(65.92,240.25),(0.0,240.25)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(240.38), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(240.38), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[66]']
        createRL(
            tech, net, 'm2',
            ((0.0,243.96),(0.0,244.22),(65.92,244.22),(65.92,243.96),(0.0,243.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(244.09), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(244.09), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[67]']
        createRL(
            tech, net, 'm2',
            ((0.0,245.68),(0.0,245.94),(65.92,245.94),(65.92,245.68),(0.0,245.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(245.81), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(245.81), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[68]']
        createRL(
            tech, net, 'm2',
            ((0.0,249.39),(0.0,249.65),(65.92,249.65),(65.92,249.39),(0.0,249.39)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(249.52), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(249.52), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[69]']
        createRL(
            tech, net, 'm2',
            ((0.0,251.11),(0.0,251.37),(65.92,251.37),(65.92,251.11),(0.0,251.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(251.24), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(251.24), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[70]']
        createRL(
            tech, net, 'm2',
            ((0.0,254.82),(0.0,255.08),(65.92,255.08),(65.92,254.82),(0.0,254.82)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(254.95), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(254.95), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[71]']
        createRL(
            tech, net, 'm2',
            ((0.0,256.54),(0.0,256.8),(65.92,256.8),(65.92,256.54),(0.0,256.54)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(256.67), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(256.67), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[72]']
        createRL(
            tech, net, 'm2',
            ((0.0,260.25),(0.0,260.51),(65.92,260.51),(65.92,260.25),(0.0,260.25)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(260.38), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(260.38), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[73]']
        createRL(
            tech, net, 'm2',
            ((0.0,261.97),(0.0,262.23),(65.92,262.23),(65.92,261.97),(0.0,261.97)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(262.1), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(262.1), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[74]']
        createRL(
            tech, net, 'm2',
            ((0.0,265.68),(0.0,265.94),(65.92,265.94),(65.92,265.68),(0.0,265.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(265.81), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(265.81), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[75]']
        createRL(
            tech, net, 'm2',
            ((0.0,267.4),(0.0,267.66),(65.92,267.66),(65.92,267.4),(0.0,267.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(267.53), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(267.53), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[76]']
        createRL(
            tech, net, 'm2',
            ((0.0,271.11),(0.0,271.37),(65.92,271.37),(65.92,271.11),(0.0,271.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(271.24), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(271.24), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[77]']
        createRL(
            tech, net, 'm2',
            ((0.0,272.83),(0.0,273.09),(65.92,273.09),(65.92,272.83),(0.0,272.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(272.96), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(272.96), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[78]']
        createRL(
            tech, net, 'm2',
            ((0.0,276.54),(0.0,276.8),(65.92,276.8),(65.92,276.54),(0.0,276.54)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(276.67), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(276.67), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[79]']
        createRL(
            tech, net, 'm2',
            ((0.0,278.26),(0.0,278.52),(65.92,278.52),(65.92,278.26),(0.0,278.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(278.39), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(278.39), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[80]']
        createRL(
            tech, net, 'm2',
            ((0.0,281.97),(0.0,282.23),(65.92,282.23),(65.92,281.97),(0.0,281.97)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(282.1), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(282.1), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[81]']
        createRL(
            tech, net, 'm2',
            ((0.0,283.69),(0.0,283.95),(65.92,283.95),(65.92,283.69),(0.0,283.69)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(283.82), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(283.82), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[82]']
        createRL(
            tech, net, 'm2',
            ((0.0,287.4),(0.0,287.66),(65.92,287.66),(65.92,287.4),(0.0,287.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(287.53), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(287.53), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[83]']
        createRL(
            tech, net, 'm2',
            ((0.0,289.12),(0.0,289.38),(65.92,289.38),(65.92,289.12),(0.0,289.12)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(289.25), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(289.25), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[84]']
        createRL(
            tech, net, 'm2',
            ((0.0,292.83),(0.0,293.09),(65.92,293.09),(65.92,292.83),(0.0,292.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(292.96), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(292.96), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[85]']
        createRL(
            tech, net, 'm2',
            ((0.0,294.55),(0.0,294.81),(65.92,294.81),(65.92,294.55),(0.0,294.55)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(294.68), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(294.68), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[86]']
        createRL(
            tech, net, 'm2',
            ((0.0,298.26),(0.0,298.52),(65.92,298.52),(65.92,298.26),(0.0,298.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(298.39), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(298.39), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[87]']
        createRL(
            tech, net, 'm2',
            ((0.0,299.98),(0.0,300.24),(65.92,300.24),(65.92,299.98),(0.0,299.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(300.11), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(300.11), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[88]']
        createRL(
            tech, net, 'm2',
            ((0.0,303.69),(0.0,303.95),(65.92,303.95),(65.92,303.69),(0.0,303.69)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(303.82), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(303.82), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[89]']
        createRL(
            tech, net, 'm2',
            ((0.0,305.41),(0.0,305.67),(65.92,305.67),(65.92,305.41),(0.0,305.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(305.54), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(305.54), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[90]']
        createRL(
            tech, net, 'm2',
            ((0.0,309.12),(0.0,309.38),(65.92,309.38),(65.92,309.12),(0.0,309.12)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(309.25), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(309.25), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[91]']
        createRL(
            tech, net, 'm2',
            ((0.0,310.84),(0.0,311.1),(65.92,311.1),(65.92,310.84),(0.0,310.84)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(310.97), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(310.97), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[92]']
        createRL(
            tech, net, 'm2',
            ((0.0,314.55),(0.0,314.81),(65.92,314.81),(65.92,314.55),(0.0,314.55)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(314.68), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(314.68), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[93]']
        createRL(
            tech, net, 'm2',
            ((0.0,316.27),(0.0,316.53),(65.92,316.53),(65.92,316.27),(0.0,316.27)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(316.4), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(316.4), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[94]']
        createRL(
            tech, net, 'm2',
            ((0.0,319.98),(0.0,320.24),(65.92,320.24),(65.92,319.98),(0.0,319.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(320.11), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(320.11), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[95]']
        createRL(
            tech, net, 'm2',
            ((0.0,321.7),(0.0,321.96),(65.92,321.96),(65.92,321.7),(0.0,321.7)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(321.83), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(321.83), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[96]']
        createRL(
            tech, net, 'm2',
            ((0.0,325.41),(0.0,325.67),(65.92,325.67),(65.92,325.41),(0.0,325.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(325.54), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(325.54), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[97]']
        createRL(
            tech, net, 'm2',
            ((0.0,327.13),(0.0,327.39),(65.92,327.39),(65.92,327.13),(0.0,327.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(327.26), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(327.26), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[98]']
        createRL(
            tech, net, 'm2',
            ((0.0,330.84),(0.0,331.1),(65.92,331.1),(65.92,330.84),(0.0,330.84)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(330.97), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(330.97), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[99]']
        createRL(
            tech, net, 'm2',
            ((0.0,332.56),(0.0,332.82),(65.92,332.82),(65.92,332.56),(0.0,332.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(332.69), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(332.69), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[100]']
        createRL(
            tech, net, 'm2',
            ((0.0,336.27),(0.0,336.53),(65.92,336.53),(65.92,336.27),(0.0,336.27)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(336.4), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(336.4), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[101]']
        createRL(
            tech, net, 'm2',
            ((0.0,337.99),(0.0,338.25),(65.92,338.25),(65.92,337.99),(0.0,337.99)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(338.12), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(338.12), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[102]']
        createRL(
            tech, net, 'm2',
            ((0.0,341.7),(0.0,341.96),(65.92,341.96),(65.92,341.7),(0.0,341.7)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(341.83), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(341.83), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[103]']
        createRL(
            tech, net, 'm2',
            ((0.0,343.42),(0.0,343.68),(65.92,343.68),(65.92,343.42),(0.0,343.42)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(343.55), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(343.55), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[104]']
        createRL(
            tech, net, 'm2',
            ((0.0,347.13),(0.0,347.39),(65.92,347.39),(65.92,347.13),(0.0,347.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(347.26), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(347.26), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[105]']
        createRL(
            tech, net, 'm2',
            ((0.0,348.85),(0.0,349.11),(65.92,349.11),(65.92,348.85),(0.0,348.85)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(348.98), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(348.98), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[106]']
        createRL(
            tech, net, 'm2',
            ((0.0,352.56),(0.0,352.82),(65.92,352.82),(65.92,352.56),(0.0,352.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(352.69), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(352.69), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[107]']
        createRL(
            tech, net, 'm2',
            ((0.0,354.28),(0.0,354.54),(65.92,354.54),(65.92,354.28),(0.0,354.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(354.41), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(354.41), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[108]']
        createRL(
            tech, net, 'm2',
            ((0.0,357.99),(0.0,358.25),(65.92,358.25),(65.92,357.99),(0.0,357.99)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(358.12), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(358.12), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[109]']
        createRL(
            tech, net, 'm2',
            ((0.0,359.71),(0.0,359.97),(65.92,359.97),(65.92,359.71),(0.0,359.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(359.84), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(359.84), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[110]']
        createRL(
            tech, net, 'm2',
            ((0.0,363.42),(0.0,363.68),(65.92,363.68),(65.92,363.42),(0.0,363.42)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(363.55), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(363.55), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[111]']
        createRL(
            tech, net, 'm2',
            ((0.0,365.14),(0.0,365.4),(65.92,365.4),(65.92,365.14),(0.0,365.14)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(365.27), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(365.27), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[112]']
        createRL(
            tech, net, 'm2',
            ((0.0,368.85),(0.0,369.11),(65.92,369.11),(65.92,368.85),(0.0,368.85)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(368.98), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(368.98), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[113]']
        createRL(
            tech, net, 'm2',
            ((0.0,370.57),(0.0,370.83),(65.92,370.83),(65.92,370.57),(0.0,370.57)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(370.7), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(370.7), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[114]']
        createRL(
            tech, net, 'm2',
            ((0.0,374.28),(0.0,374.54),(65.92,374.54),(65.92,374.28),(0.0,374.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(374.41), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(374.41), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[115]']
        createRL(
            tech, net, 'm2',
            ((0.0,376.0),(0.0,376.26),(65.92,376.26),(65.92,376.0),(0.0,376.0)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(376.13), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(376.13), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[116]']
        createRL(
            tech, net, 'm2',
            ((0.0,379.71),(0.0,379.97),(65.92,379.97),(65.92,379.71),(0.0,379.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(379.84), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(379.84), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[117]']
        createRL(
            tech, net, 'm2',
            ((0.0,381.43),(0.0,381.69),(65.92,381.69),(65.92,381.43),(0.0,381.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(381.56), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(381.56), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[118]']
        createRL(
            tech, net, 'm2',
            ((0.0,385.14),(0.0,385.4),(65.92,385.4),(65.92,385.14),(0.0,385.14)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(385.27), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(385.27), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[119]']
        createRL(
            tech, net, 'm2',
            ((0.0,386.86),(0.0,387.12),(65.92,387.12),(65.92,386.86),(0.0,386.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(386.99), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(386.99), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[120]']
        createRL(
            tech, net, 'm2',
            ((0.0,390.57),(0.0,390.83),(65.92,390.83),(65.92,390.57),(0.0,390.57)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(390.7), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(390.7), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[121]']
        createRL(
            tech, net, 'm2',
            ((0.0,392.29),(0.0,392.55),(65.92,392.55),(65.92,392.29),(0.0,392.29)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(392.42), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(392.42), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[122]']
        createRL(
            tech, net, 'm2',
            ((0.0,396.0),(0.0,396.26),(65.92,396.26),(65.92,396.0),(0.0,396.0)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(396.13), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(396.13), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[123]']
        createRL(
            tech, net, 'm2',
            ((0.0,397.72),(0.0,397.98),(65.92,397.98),(65.92,397.72),(0.0,397.72)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(397.85), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(397.85), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[124]']
        createRL(
            tech, net, 'm2',
            ((0.0,401.43),(0.0,401.69),(65.92,401.69),(65.92,401.43),(0.0,401.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(401.56), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(401.56), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[125]']
        createRL(
            tech, net, 'm2',
            ((0.0,403.15),(0.0,403.41),(65.92,403.41),(65.92,403.15),(0.0,403.15)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(403.28), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(403.28), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[126]']
        createRL(
            tech, net, 'm2',
            ((0.0,406.86),(0.0,407.12),(65.92,407.12),(65.92,406.86),(0.0,406.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(406.99), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(406.99), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[127]']
        createRL(
            tech, net, 'm2',
            ((0.0,408.58),(0.0,408.84),(65.92,408.84),(65.92,408.58),(0.0,408.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(408.71), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(408.71), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,50.33),(0.0,50.59),(65.92,50.59),(65.92,50.33),(0.0,50.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.46), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.46), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,50.79),(0.0,51.05),(65.92,51.05),(65.92,50.79),(0.0,50.79)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.92), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.92), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,51.25),(0.0,51.51),(65.92,51.51),(65.92,51.25),(0.0,51.25)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.38), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.38), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,51.71),(0.0,51.97),(65.92,51.97),(65.92,51.71),(0.0,51.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.84), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.84), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[0]']
        createRL(
            tech, net, 'm2',
            ((1.37,0.0),(1.37,41.955),(1.63,41.955),(1.63,0.0),(1.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(1.5), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(1.5), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[1]']
        createRL(
            tech, net, 'm2',
            ((9.61,0.0),(9.61,41.955),(9.87,41.955),(9.87,0.0),(9.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(9.74), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(9.74), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[2]']
        createRL(
            tech, net, 'm2',
            ((17.85,0.0),(17.85,41.955),(18.11,41.955),(18.11,0.0),(17.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(17.98), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(17.98), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[3]']
        createRL(
            tech, net, 'm2',
            ((26.09,0.0),(26.09,41.955),(26.35,41.955),(26.35,0.0),(26.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(26.22), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(26.22), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[4]']
        createRL(
            tech, net, 'm2',
            ((34.33,0.0),(34.33,41.955),(34.59,41.955),(34.59,0.0),(34.33,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(34.46), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(34.46), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[5]']
        createRL(
            tech, net, 'm2',
            ((42.57,0.0),(42.57,41.955),(42.83,41.955),(42.83,0.0),(42.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(42.7), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(42.7), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[6]']
        createRL(
            tech, net, 'm2',
            ((50.81,0.0),(50.81,41.955),(51.07,41.955),(51.07,0.0),(50.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(50.94), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(50.94), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[7]']
        createRL(
            tech, net, 'm2',
            ((59.05,0.0),(59.05,41.955),(59.31,41.955),(59.31,0.0),(59.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(59.18), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(59.18), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[0]']
        createRL(
            tech, net, 'm2',
            ((4.37,0.0),(4.37,11.955),(4.63,11.955),(4.63,0.0),(4.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(4.5), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(4.5), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[1]']
        createRL(
            tech, net, 'm2',
            ((4.88,0.0),(4.88,21.955),(5.14,21.955),(5.14,0.0),(4.88,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(5.01), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(5.01), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[2]']
        createRL(
            tech, net, 'm2',
            ((20.85,0.0),(20.85,11.955),(21.11,11.955),(21.11,0.0),(20.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(20.98), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(20.98), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[3]']
        createRL(
            tech, net, 'm2',
            ((21.36,0.0),(21.36,21.955),(21.62,21.955),(21.62,0.0),(21.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(21.49), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(21.49), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[4]']
        createRL(
            tech, net, 'm2',
            ((37.33,0.0),(37.33,11.955),(37.59,11.955),(37.59,0.0),(37.33,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(37.46), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(37.46), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[5]']
        createRL(
            tech, net, 'm2',
            ((37.84,0.0),(37.84,21.955),(38.1,21.955),(38.1,0.0),(37.84,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(37.97), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(37.97), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[6]']
        createRL(
            tech, net, 'm2',
            ((53.81,0.0),(53.81,11.955),(54.07,11.955),(54.07,0.0),(53.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(53.94), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(53.94), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[7]']
        createRL(
            tech, net, 'm2',
            ((54.32,0.0),(54.32,21.955),(54.58,21.955),(54.58,0.0),(54.32,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(54.45), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(54.45), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,410.565),(65.92,410.565),(65.92,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['wl[4]'].setDirection(Net.Direction.IN)
        nets['wl[5]'].setDirection(Net.Direction.IN)
        nets['wl[6]'].setDirection(Net.Direction.IN)
        nets['wl[7]'].setDirection(Net.Direction.IN)
        nets['wl[8]'].setDirection(Net.Direction.IN)
        nets['wl[9]'].setDirection(Net.Direction.IN)
        nets['wl[10]'].setDirection(Net.Direction.IN)
        nets['wl[11]'].setDirection(Net.Direction.IN)
        nets['wl[12]'].setDirection(Net.Direction.IN)
        nets['wl[13]'].setDirection(Net.Direction.IN)
        nets['wl[14]'].setDirection(Net.Direction.IN)
        nets['wl[15]'].setDirection(Net.Direction.IN)
        nets['wl[16]'].setDirection(Net.Direction.IN)
        nets['wl[17]'].setDirection(Net.Direction.IN)
        nets['wl[18]'].setDirection(Net.Direction.IN)
        nets['wl[19]'].setDirection(Net.Direction.IN)
        nets['wl[20]'].setDirection(Net.Direction.IN)
        nets['wl[21]'].setDirection(Net.Direction.IN)
        nets['wl[22]'].setDirection(Net.Direction.IN)
        nets['wl[23]'].setDirection(Net.Direction.IN)
        nets['wl[24]'].setDirection(Net.Direction.IN)
        nets['wl[25]'].setDirection(Net.Direction.IN)
        nets['wl[26]'].setDirection(Net.Direction.IN)
        nets['wl[27]'].setDirection(Net.Direction.IN)
        nets['wl[28]'].setDirection(Net.Direction.IN)
        nets['wl[29]'].setDirection(Net.Direction.IN)
        nets['wl[30]'].setDirection(Net.Direction.IN)
        nets['wl[31]'].setDirection(Net.Direction.IN)
        nets['wl[32]'].setDirection(Net.Direction.IN)
        nets['wl[33]'].setDirection(Net.Direction.IN)
        nets['wl[34]'].setDirection(Net.Direction.IN)
        nets['wl[35]'].setDirection(Net.Direction.IN)
        nets['wl[36]'].setDirection(Net.Direction.IN)
        nets['wl[37]'].setDirection(Net.Direction.IN)
        nets['wl[38]'].setDirection(Net.Direction.IN)
        nets['wl[39]'].setDirection(Net.Direction.IN)
        nets['wl[40]'].setDirection(Net.Direction.IN)
        nets['wl[41]'].setDirection(Net.Direction.IN)
        nets['wl[42]'].setDirection(Net.Direction.IN)
        nets['wl[43]'].setDirection(Net.Direction.IN)
        nets['wl[44]'].setDirection(Net.Direction.IN)
        nets['wl[45]'].setDirection(Net.Direction.IN)
        nets['wl[46]'].setDirection(Net.Direction.IN)
        nets['wl[47]'].setDirection(Net.Direction.IN)
        nets['wl[48]'].setDirection(Net.Direction.IN)
        nets['wl[49]'].setDirection(Net.Direction.IN)
        nets['wl[50]'].setDirection(Net.Direction.IN)
        nets['wl[51]'].setDirection(Net.Direction.IN)
        nets['wl[52]'].setDirection(Net.Direction.IN)
        nets['wl[53]'].setDirection(Net.Direction.IN)
        nets['wl[54]'].setDirection(Net.Direction.IN)
        nets['wl[55]'].setDirection(Net.Direction.IN)
        nets['wl[56]'].setDirection(Net.Direction.IN)
        nets['wl[57]'].setDirection(Net.Direction.IN)
        nets['wl[58]'].setDirection(Net.Direction.IN)
        nets['wl[59]'].setDirection(Net.Direction.IN)
        nets['wl[60]'].setDirection(Net.Direction.IN)
        nets['wl[61]'].setDirection(Net.Direction.IN)
        nets['wl[62]'].setDirection(Net.Direction.IN)
        nets['wl[63]'].setDirection(Net.Direction.IN)
        nets['wl[64]'].setDirection(Net.Direction.IN)
        nets['wl[65]'].setDirection(Net.Direction.IN)
        nets['wl[66]'].setDirection(Net.Direction.IN)
        nets['wl[67]'].setDirection(Net.Direction.IN)
        nets['wl[68]'].setDirection(Net.Direction.IN)
        nets['wl[69]'].setDirection(Net.Direction.IN)
        nets['wl[70]'].setDirection(Net.Direction.IN)
        nets['wl[71]'].setDirection(Net.Direction.IN)
        nets['wl[72]'].setDirection(Net.Direction.IN)
        nets['wl[73]'].setDirection(Net.Direction.IN)
        nets['wl[74]'].setDirection(Net.Direction.IN)
        nets['wl[75]'].setDirection(Net.Direction.IN)
        nets['wl[76]'].setDirection(Net.Direction.IN)
        nets['wl[77]'].setDirection(Net.Direction.IN)
        nets['wl[78]'].setDirection(Net.Direction.IN)
        nets['wl[79]'].setDirection(Net.Direction.IN)
        nets['wl[80]'].setDirection(Net.Direction.IN)
        nets['wl[81]'].setDirection(Net.Direction.IN)
        nets['wl[82]'].setDirection(Net.Direction.IN)
        nets['wl[83]'].setDirection(Net.Direction.IN)
        nets['wl[84]'].setDirection(Net.Direction.IN)
        nets['wl[85]'].setDirection(Net.Direction.IN)
        nets['wl[86]'].setDirection(Net.Direction.IN)
        nets['wl[87]'].setDirection(Net.Direction.IN)
        nets['wl[88]'].setDirection(Net.Direction.IN)
        nets['wl[89]'].setDirection(Net.Direction.IN)
        nets['wl[90]'].setDirection(Net.Direction.IN)
        nets['wl[91]'].setDirection(Net.Direction.IN)
        nets['wl[92]'].setDirection(Net.Direction.IN)
        nets['wl[93]'].setDirection(Net.Direction.IN)
        nets['wl[94]'].setDirection(Net.Direction.IN)
        nets['wl[95]'].setDirection(Net.Direction.IN)
        nets['wl[96]'].setDirection(Net.Direction.IN)
        nets['wl[97]'].setDirection(Net.Direction.IN)
        nets['wl[98]'].setDirection(Net.Direction.IN)
        nets['wl[99]'].setDirection(Net.Direction.IN)
        nets['wl[100]'].setDirection(Net.Direction.IN)
        nets['wl[101]'].setDirection(Net.Direction.IN)
        nets['wl[102]'].setDirection(Net.Direction.IN)
        nets['wl[103]'].setDirection(Net.Direction.IN)
        nets['wl[104]'].setDirection(Net.Direction.IN)
        nets['wl[105]'].setDirection(Net.Direction.IN)
        nets['wl[106]'].setDirection(Net.Direction.IN)
        nets['wl[107]'].setDirection(Net.Direction.IN)
        nets['wl[108]'].setDirection(Net.Direction.IN)
        nets['wl[109]'].setDirection(Net.Direction.IN)
        nets['wl[110]'].setDirection(Net.Direction.IN)
        nets['wl[111]'].setDirection(Net.Direction.IN)
        nets['wl[112]'].setDirection(Net.Direction.IN)
        nets['wl[113]'].setDirection(Net.Direction.IN)
        nets['wl[114]'].setDirection(Net.Direction.IN)
        nets['wl[115]'].setDirection(Net.Direction.IN)
        nets['wl[116]'].setDirection(Net.Direction.IN)
        nets['wl[117]'].setDirection(Net.Direction.IN)
        nets['wl[118]'].setDirection(Net.Direction.IN)
        nets['wl[119]'].setDirection(Net.Direction.IN)
        nets['wl[120]'].setDirection(Net.Direction.IN)
        nets['wl[121]'].setDirection(Net.Direction.IN)
        nets['wl[122]'].setDirection(Net.Direction.IN)
        nets['wl[123]'].setDirection(Net.Direction.IN)
        nets['wl[124]'].setDirection(Net.Direction.IN)
        nets['wl[125]'].setDirection(Net.Direction.IN)
        nets['wl[126]'].setDirection(Net.Direction.IN)
        nets['wl[127]'].setDirection(Net.Direction.IN)
        nets['q[0]'].setDirection(Net.Direction.IN)
        nets['d[0]'].setDirection(Net.Direction.IN)
        nets['q[1]'].setDirection(Net.Direction.IN)
        nets['d[1]'].setDirection(Net.Direction.IN)
        nets['q[2]'].setDirection(Net.Direction.IN)
        nets['d[2]'].setDirection(Net.Direction.IN)
        nets['q[3]'].setDirection(Net.Direction.IN)
        nets['d[3]'].setDirection(Net.Direction.IN)
        nets['q[4]'].setDirection(Net.Direction.IN)
        nets['d[4]'].setDirection(Net.Direction.IN)
        nets['q[5]'].setDirection(Net.Direction.IN)
        nets['d[5]'].setDirection(Net.Direction.IN)
        nets['q[6]'].setDirection(Net.Direction.IN)
        nets['d[6]'].setDirection(Net.Direction.IN)
        nets['q[7]'].setDirection(Net.Direction.IN)
        nets['d[7]'].setDirection(Net.Direction.IN)
        nets['we'].setDirection(Net.Direction.IN)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['we_en'].setDirection(Net.Direction.IN)
        nets['precharge_n'].setDirection(Net.Direction.IN)
        nets['mux[0]'].setDirection(Net.Direction.IN)
        nets['mux[1]'].setDirection(Net.Direction.IN)
        nets['mux[2]'].setDirection(Net.Direction.IN)
        nets['mux[3]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TColumnPeriphery_8B4M']
        except:
            subcell = af.getCell('SP6TColumnPeriphery_8B4M', 0)
        trans = Transformation(
            u(0.0), u(63.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'periph', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TArray_128X32']
        except:
            subcell = af.getCell('SP6TArray_128X32', 0)
        trans = Transformation(
            u(0.0), u(63.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'array', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TColumnBlock_128R64B4M8W']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(527.3599999999998), u(410.565),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'clk': Net.create(cell, 'clk'),
            'd[0]': Net.create(cell, 'd[0]'),
            'd[10]': Net.create(cell, 'd[10]'),
            'd[11]': Net.create(cell, 'd[11]'),
            'd[12]': Net.create(cell, 'd[12]'),
            'd[13]': Net.create(cell, 'd[13]'),
            'd[14]': Net.create(cell, 'd[14]'),
            'd[15]': Net.create(cell, 'd[15]'),
            'd[16]': Net.create(cell, 'd[16]'),
            'd[17]': Net.create(cell, 'd[17]'),
            'd[18]': Net.create(cell, 'd[18]'),
            'd[19]': Net.create(cell, 'd[19]'),
            'd[1]': Net.create(cell, 'd[1]'),
            'd[20]': Net.create(cell, 'd[20]'),
            'd[21]': Net.create(cell, 'd[21]'),
            'd[22]': Net.create(cell, 'd[22]'),
            'd[23]': Net.create(cell, 'd[23]'),
            'd[24]': Net.create(cell, 'd[24]'),
            'd[25]': Net.create(cell, 'd[25]'),
            'd[26]': Net.create(cell, 'd[26]'),
            'd[27]': Net.create(cell, 'd[27]'),
            'd[28]': Net.create(cell, 'd[28]'),
            'd[29]': Net.create(cell, 'd[29]'),
            'd[2]': Net.create(cell, 'd[2]'),
            'd[30]': Net.create(cell, 'd[30]'),
            'd[31]': Net.create(cell, 'd[31]'),
            'd[32]': Net.create(cell, 'd[32]'),
            'd[33]': Net.create(cell, 'd[33]'),
            'd[34]': Net.create(cell, 'd[34]'),
            'd[35]': Net.create(cell, 'd[35]'),
            'd[36]': Net.create(cell, 'd[36]'),
            'd[37]': Net.create(cell, 'd[37]'),
            'd[38]': Net.create(cell, 'd[38]'),
            'd[39]': Net.create(cell, 'd[39]'),
            'd[3]': Net.create(cell, 'd[3]'),
            'd[40]': Net.create(cell, 'd[40]'),
            'd[41]': Net.create(cell, 'd[41]'),
            'd[42]': Net.create(cell, 'd[42]'),
            'd[43]': Net.create(cell, 'd[43]'),
            'd[44]': Net.create(cell, 'd[44]'),
            'd[45]': Net.create(cell, 'd[45]'),
            'd[46]': Net.create(cell, 'd[46]'),
            'd[47]': Net.create(cell, 'd[47]'),
            'd[48]': Net.create(cell, 'd[48]'),
            'd[49]': Net.create(cell, 'd[49]'),
            'd[4]': Net.create(cell, 'd[4]'),
            'd[50]': Net.create(cell, 'd[50]'),
            'd[51]': Net.create(cell, 'd[51]'),
            'd[52]': Net.create(cell, 'd[52]'),
            'd[53]': Net.create(cell, 'd[53]'),
            'd[54]': Net.create(cell, 'd[54]'),
            'd[55]': Net.create(cell, 'd[55]'),
            'd[56]': Net.create(cell, 'd[56]'),
            'd[57]': Net.create(cell, 'd[57]'),
            'd[58]': Net.create(cell, 'd[58]'),
            'd[59]': Net.create(cell, 'd[59]'),
            'd[5]': Net.create(cell, 'd[5]'),
            'd[60]': Net.create(cell, 'd[60]'),
            'd[61]': Net.create(cell, 'd[61]'),
            'd[62]': Net.create(cell, 'd[62]'),
            'd[63]': Net.create(cell, 'd[63]'),
            'd[6]': Net.create(cell, 'd[6]'),
            'd[7]': Net.create(cell, 'd[7]'),
            'd[8]': Net.create(cell, 'd[8]'),
            'd[9]': Net.create(cell, 'd[9]'),
            'mux[0]': Net.create(cell, 'mux[0]'),
            'mux[1]': Net.create(cell, 'mux[1]'),
            'mux[2]': Net.create(cell, 'mux[2]'),
            'mux[3]': Net.create(cell, 'mux[3]'),
            'precharge_n': Net.create(cell, 'precharge_n'),
            'q[0]': Net.create(cell, 'q[0]'),
            'q[10]': Net.create(cell, 'q[10]'),
            'q[11]': Net.create(cell, 'q[11]'),
            'q[12]': Net.create(cell, 'q[12]'),
            'q[13]': Net.create(cell, 'q[13]'),
            'q[14]': Net.create(cell, 'q[14]'),
            'q[15]': Net.create(cell, 'q[15]'),
            'q[16]': Net.create(cell, 'q[16]'),
            'q[17]': Net.create(cell, 'q[17]'),
            'q[18]': Net.create(cell, 'q[18]'),
            'q[19]': Net.create(cell, 'q[19]'),
            'q[1]': Net.create(cell, 'q[1]'),
            'q[20]': Net.create(cell, 'q[20]'),
            'q[21]': Net.create(cell, 'q[21]'),
            'q[22]': Net.create(cell, 'q[22]'),
            'q[23]': Net.create(cell, 'q[23]'),
            'q[24]': Net.create(cell, 'q[24]'),
            'q[25]': Net.create(cell, 'q[25]'),
            'q[26]': Net.create(cell, 'q[26]'),
            'q[27]': Net.create(cell, 'q[27]'),
            'q[28]': Net.create(cell, 'q[28]'),
            'q[29]': Net.create(cell, 'q[29]'),
            'q[2]': Net.create(cell, 'q[2]'),
            'q[30]': Net.create(cell, 'q[30]'),
            'q[31]': Net.create(cell, 'q[31]'),
            'q[32]': Net.create(cell, 'q[32]'),
            'q[33]': Net.create(cell, 'q[33]'),
            'q[34]': Net.create(cell, 'q[34]'),
            'q[35]': Net.create(cell, 'q[35]'),
            'q[36]': Net.create(cell, 'q[36]'),
            'q[37]': Net.create(cell, 'q[37]'),
            'q[38]': Net.create(cell, 'q[38]'),
            'q[39]': Net.create(cell, 'q[39]'),
            'q[3]': Net.create(cell, 'q[3]'),
            'q[40]': Net.create(cell, 'q[40]'),
            'q[41]': Net.create(cell, 'q[41]'),
            'q[42]': Net.create(cell, 'q[42]'),
            'q[43]': Net.create(cell, 'q[43]'),
            'q[44]': Net.create(cell, 'q[44]'),
            'q[45]': Net.create(cell, 'q[45]'),
            'q[46]': Net.create(cell, 'q[46]'),
            'q[47]': Net.create(cell, 'q[47]'),
            'q[48]': Net.create(cell, 'q[48]'),
            'q[49]': Net.create(cell, 'q[49]'),
            'q[4]': Net.create(cell, 'q[4]'),
            'q[50]': Net.create(cell, 'q[50]'),
            'q[51]': Net.create(cell, 'q[51]'),
            'q[52]': Net.create(cell, 'q[52]'),
            'q[53]': Net.create(cell, 'q[53]'),
            'q[54]': Net.create(cell, 'q[54]'),
            'q[55]': Net.create(cell, 'q[55]'),
            'q[56]': Net.create(cell, 'q[56]'),
            'q[57]': Net.create(cell, 'q[57]'),
            'q[58]': Net.create(cell, 'q[58]'),
            'q[59]': Net.create(cell, 'q[59]'),
            'q[5]': Net.create(cell, 'q[5]'),
            'q[60]': Net.create(cell, 'q[60]'),
            'q[61]': Net.create(cell, 'q[61]'),
            'q[62]': Net.create(cell, 'q[62]'),
            'q[63]': Net.create(cell, 'q[63]'),
            'q[6]': Net.create(cell, 'q[6]'),
            'q[7]': Net.create(cell, 'q[7]'),
            'q[8]': Net.create(cell, 'q[8]'),
            'q[9]': Net.create(cell, 'q[9]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'we[0]': Net.create(cell, 'we[0]'),
            'we[1]': Net.create(cell, 'we[1]'),
            'we[2]': Net.create(cell, 'we[2]'),
            'we[3]': Net.create(cell, 'we[3]'),
            'we[4]': Net.create(cell, 'we[4]'),
            'we[5]': Net.create(cell, 'we[5]'),
            'we[6]': Net.create(cell, 'we[6]'),
            'we[7]': Net.create(cell, 'we[7]'),
            'we_en': Net.create(cell, 'we_en'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[100]': Net.create(cell, 'wl[100]'),
            'wl[101]': Net.create(cell, 'wl[101]'),
            'wl[102]': Net.create(cell, 'wl[102]'),
            'wl[103]': Net.create(cell, 'wl[103]'),
            'wl[104]': Net.create(cell, 'wl[104]'),
            'wl[105]': Net.create(cell, 'wl[105]'),
            'wl[106]': Net.create(cell, 'wl[106]'),
            'wl[107]': Net.create(cell, 'wl[107]'),
            'wl[108]': Net.create(cell, 'wl[108]'),
            'wl[109]': Net.create(cell, 'wl[109]'),
            'wl[10]': Net.create(cell, 'wl[10]'),
            'wl[110]': Net.create(cell, 'wl[110]'),
            'wl[111]': Net.create(cell, 'wl[111]'),
            'wl[112]': Net.create(cell, 'wl[112]'),
            'wl[113]': Net.create(cell, 'wl[113]'),
            'wl[114]': Net.create(cell, 'wl[114]'),
            'wl[115]': Net.create(cell, 'wl[115]'),
            'wl[116]': Net.create(cell, 'wl[116]'),
            'wl[117]': Net.create(cell, 'wl[117]'),
            'wl[118]': Net.create(cell, 'wl[118]'),
            'wl[119]': Net.create(cell, 'wl[119]'),
            'wl[11]': Net.create(cell, 'wl[11]'),
            'wl[120]': Net.create(cell, 'wl[120]'),
            'wl[121]': Net.create(cell, 'wl[121]'),
            'wl[122]': Net.create(cell, 'wl[122]'),
            'wl[123]': Net.create(cell, 'wl[123]'),
            'wl[124]': Net.create(cell, 'wl[124]'),
            'wl[125]': Net.create(cell, 'wl[125]'),
            'wl[126]': Net.create(cell, 'wl[126]'),
            'wl[127]': Net.create(cell, 'wl[127]'),
            'wl[12]': Net.create(cell, 'wl[12]'),
            'wl[13]': Net.create(cell, 'wl[13]'),
            'wl[14]': Net.create(cell, 'wl[14]'),
            'wl[15]': Net.create(cell, 'wl[15]'),
            'wl[16]': Net.create(cell, 'wl[16]'),
            'wl[17]': Net.create(cell, 'wl[17]'),
            'wl[18]': Net.create(cell, 'wl[18]'),
            'wl[19]': Net.create(cell, 'wl[19]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[20]': Net.create(cell, 'wl[20]'),
            'wl[21]': Net.create(cell, 'wl[21]'),
            'wl[22]': Net.create(cell, 'wl[22]'),
            'wl[23]': Net.create(cell, 'wl[23]'),
            'wl[24]': Net.create(cell, 'wl[24]'),
            'wl[25]': Net.create(cell, 'wl[25]'),
            'wl[26]': Net.create(cell, 'wl[26]'),
            'wl[27]': Net.create(cell, 'wl[27]'),
            'wl[28]': Net.create(cell, 'wl[28]'),
            'wl[29]': Net.create(cell, 'wl[29]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[30]': Net.create(cell, 'wl[30]'),
            'wl[31]': Net.create(cell, 'wl[31]'),
            'wl[32]': Net.create(cell, 'wl[32]'),
            'wl[33]': Net.create(cell, 'wl[33]'),
            'wl[34]': Net.create(cell, 'wl[34]'),
            'wl[35]': Net.create(cell, 'wl[35]'),
            'wl[36]': Net.create(cell, 'wl[36]'),
            'wl[37]': Net.create(cell, 'wl[37]'),
            'wl[38]': Net.create(cell, 'wl[38]'),
            'wl[39]': Net.create(cell, 'wl[39]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
            'wl[40]': Net.create(cell, 'wl[40]'),
            'wl[41]': Net.create(cell, 'wl[41]'),
            'wl[42]': Net.create(cell, 'wl[42]'),
            'wl[43]': Net.create(cell, 'wl[43]'),
            'wl[44]': Net.create(cell, 'wl[44]'),
            'wl[45]': Net.create(cell, 'wl[45]'),
            'wl[46]': Net.create(cell, 'wl[46]'),
            'wl[47]': Net.create(cell, 'wl[47]'),
            'wl[48]': Net.create(cell, 'wl[48]'),
            'wl[49]': Net.create(cell, 'wl[49]'),
            'wl[4]': Net.create(cell, 'wl[4]'),
            'wl[50]': Net.create(cell, 'wl[50]'),
            'wl[51]': Net.create(cell, 'wl[51]'),
            'wl[52]': Net.create(cell, 'wl[52]'),
            'wl[53]': Net.create(cell, 'wl[53]'),
            'wl[54]': Net.create(cell, 'wl[54]'),
            'wl[55]': Net.create(cell, 'wl[55]'),
            'wl[56]': Net.create(cell, 'wl[56]'),
            'wl[57]': Net.create(cell, 'wl[57]'),
            'wl[58]': Net.create(cell, 'wl[58]'),
            'wl[59]': Net.create(cell, 'wl[59]'),
            'wl[5]': Net.create(cell, 'wl[5]'),
            'wl[60]': Net.create(cell, 'wl[60]'),
            'wl[61]': Net.create(cell, 'wl[61]'),
            'wl[62]': Net.create(cell, 'wl[62]'),
            'wl[63]': Net.create(cell, 'wl[63]'),
            'wl[64]': Net.create(cell, 'wl[64]'),
            'wl[65]': Net.create(cell, 'wl[65]'),
            'wl[66]': Net.create(cell, 'wl[66]'),
            'wl[67]': Net.create(cell, 'wl[67]'),
            'wl[68]': Net.create(cell, 'wl[68]'),
            'wl[69]': Net.create(cell, 'wl[69]'),
            'wl[6]': Net.create(cell, 'wl[6]'),
            'wl[70]': Net.create(cell, 'wl[70]'),
            'wl[71]': Net.create(cell, 'wl[71]'),
            'wl[72]': Net.create(cell, 'wl[72]'),
            'wl[73]': Net.create(cell, 'wl[73]'),
            'wl[74]': Net.create(cell, 'wl[74]'),
            'wl[75]': Net.create(cell, 'wl[75]'),
            'wl[76]': Net.create(cell, 'wl[76]'),
            'wl[77]': Net.create(cell, 'wl[77]'),
            'wl[78]': Net.create(cell, 'wl[78]'),
            'wl[79]': Net.create(cell, 'wl[79]'),
            'wl[7]': Net.create(cell, 'wl[7]'),
            'wl[80]': Net.create(cell, 'wl[80]'),
            'wl[81]': Net.create(cell, 'wl[81]'),
            'wl[82]': Net.create(cell, 'wl[82]'),
            'wl[83]': Net.create(cell, 'wl[83]'),
            'wl[84]': Net.create(cell, 'wl[84]'),
            'wl[85]': Net.create(cell, 'wl[85]'),
            'wl[86]': Net.create(cell, 'wl[86]'),
            'wl[87]': Net.create(cell, 'wl[87]'),
            'wl[88]': Net.create(cell, 'wl[88]'),
            'wl[89]': Net.create(cell, 'wl[89]'),
            'wl[8]': Net.create(cell, 'wl[8]'),
            'wl[90]': Net.create(cell, 'wl[90]'),
            'wl[91]': Net.create(cell, 'wl[91]'),
            'wl[92]': Net.create(cell, 'wl[92]'),
            'wl[93]': Net.create(cell, 'wl[93]'),
            'wl[94]': Net.create(cell, 'wl[94]'),
            'wl[95]': Net.create(cell, 'wl[95]'),
            'wl[96]': Net.create(cell, 'wl[96]'),
            'wl[97]': Net.create(cell, 'wl[97]'),
            'wl[98]': Net.create(cell, 'wl[98]'),
            'wl[99]': Net.create(cell, 'wl[99]'),
            'wl[9]': Net.create(cell, 'wl[9]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,271.97),(0.0,272.23),(527.36,272.23),(527.36,271.97),(0.0,271.97)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,136.22),(0.0,136.48),(527.36,136.48),(527.36,136.22),(0.0,136.22)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,347.99),(0.0,348.25),(527.36,348.25),(527.36,347.99),(0.0,347.99)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,179.66),(0.0,179.92),(527.36,179.92),(527.36,179.66),(0.0,179.66)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,299.12),(0.0,299.38),(527.36,299.38),(527.36,299.12),(0.0,299.12)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,114.5),(0.0,114.76),(527.36,114.76),(527.36,114.5),(0.0,114.5)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,266.54),(0.0,266.8),(527.36,266.8),(527.36,266.54),(0.0,266.54)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,358.85),(0.0,359.11),(527.36,359.11),(527.36,358.85),(0.0,358.85)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,402.29),(0.0,402.55),(527.36,402.55),(527.36,402.29),(0.0,402.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,130.79),(0.0,131.05),(527.36,131.05),(527.36,130.79),(0.0,130.79)),
        )
        createRL(
            tech, net, 'm2',
            ((-0.13,58.71),(-0.13,59.35),(527.49,59.35),(527.49,58.71),(-0.13,58.71)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,92.78),(0.0,93.04),(527.36,93.04),(527.36,92.78),(0.0,92.78)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,71.06),(0.0,71.32),(527.36,71.32),(527.36,71.06),(0.0,71.06)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,375.14),(0.0,375.4),(527.36,375.4),(527.36,375.14),(0.0,375.14)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,391.43),(0.0,391.69),(527.36,391.69),(527.36,391.43),(0.0,391.43)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,320.84),(0.0,321.1),(527.36,321.1),(527.36,320.84),(0.0,320.84)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,261.11),(0.0,261.37),(527.36,261.37),(527.36,261.11),(0.0,261.11)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,293.69),(0.0,293.95),(527.36,293.95),(527.36,293.69),(0.0,293.69)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,152.51),(0.0,152.77),(527.36,152.77),(527.36,152.51),(0.0,152.51)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,326.27),(0.0,326.53),(527.36,326.53),(527.36,326.27),(0.0,326.27)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,163.37),(0.0,163.63),(527.36,163.63),(527.36,163.37),(0.0,163.37)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,98.21),(0.0,98.47),(527.36,98.47),(527.36,98.21),(0.0,98.21)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,168.8),(0.0,169.06),(527.36,169.06),(527.36,168.8),(0.0,168.8)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,380.57),(0.0,380.83),(527.36,380.83),(527.36,380.57),(0.0,380.57)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,65.63),(0.0,65.89),(527.36,65.89),(527.36,65.63),(0.0,65.63)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,109.07),(0.0,109.33),(527.36,109.33),(527.36,109.07),(0.0,109.07)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,141.65),(0.0,141.91),(527.36,141.91),(527.36,141.65),(0.0,141.65)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,353.42),(0.0,353.68),(527.36,353.68),(527.36,353.42),(0.0,353.42)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,190.52),(0.0,190.78),(527.36,190.78),(527.36,190.52),(0.0,190.52)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,288.26),(0.0,288.52),(527.36,288.52),(527.36,288.26),(0.0,288.26)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,304.55),(0.0,304.81),(527.36,304.81),(527.36,304.55),(0.0,304.55)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,239.39),(0.0,239.65),(527.36,239.65),(527.36,239.39),(0.0,239.39)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,201.38),(0.0,201.64),(527.36,201.64),(527.36,201.38),(0.0,201.38)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,277.4),(0.0,277.66),(527.36,277.66),(527.36,277.4),(0.0,277.4)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,342.56),(0.0,342.82),(527.36,342.82),(527.36,342.56),(0.0,342.56)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,195.95),(0.0,196.21),(527.36,196.21),(527.36,195.95),(0.0,195.95)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,147.08),(0.0,147.34),(527.36,147.34),(527.36,147.08),(0.0,147.08)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,331.7),(0.0,331.96),(527.36,331.96),(527.36,331.7),(0.0,331.7)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,76.49),(0.0,76.75),(527.36,76.75),(527.36,76.49),(0.0,76.49)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,212.24),(0.0,212.5),(527.36,212.5),(527.36,212.24),(0.0,212.24)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,364.28),(0.0,364.54),(527.36,364.54),(527.36,364.28),(0.0,364.28)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,282.83),(0.0,283.09),(527.36,283.09),(527.36,282.83),(0.0,282.83)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,103.64),(0.0,103.9),(527.36,103.9),(527.36,103.64),(0.0,103.64)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,87.35),(0.0,87.61),(527.36,87.61),(527.36,87.35),(0.0,87.35)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,407.72),(0.0,407.98),(527.36,407.98),(527.36,407.72),(0.0,407.72)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,206.81),(0.0,207.07),(527.36,207.07),(527.36,206.81),(0.0,206.81)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,309.98),(0.0,310.24),(527.36,310.24),(527.36,309.98),(0.0,309.98)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,185.09),(0.0,185.35),(527.36,185.35),(527.36,185.09),(0.0,185.09)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,217.67),(0.0,217.93),(527.36,217.93),(527.36,217.67),(0.0,217.67)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,315.41),(0.0,315.67),(527.36,315.67),(527.36,315.41),(0.0,315.41)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,81.92),(0.0,82.18),(527.36,82.18),(527.36,81.92),(0.0,81.92)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,157.94),(0.0,158.2),(527.36,158.2),(527.36,157.94),(0.0,157.94)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,228.53),(0.0,228.79),(527.36,228.79),(527.36,228.53),(0.0,228.53)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,250.25),(0.0,250.51),(527.36,250.51),(527.36,250.25),(0.0,250.25)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,119.93),(0.0,120.19),(527.36,120.19),(527.36,119.93),(0.0,119.93)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,49.08),(0.0,49.72),(527.36,49.72),(527.36,49.08),(0.0,49.08)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,125.36),(0.0,125.62),(527.36,125.62),(527.36,125.36),(0.0,125.36)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,255.68),(0.0,255.94),(527.36,255.94),(527.36,255.68),(0.0,255.68)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,337.13),(0.0,337.39),(527.36,337.39),(527.36,337.13),(0.0,337.13)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,174.23),(0.0,174.49),(527.36,174.49),(527.36,174.23),(0.0,174.23)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,244.82),(0.0,245.08),(527.36,245.08),(527.36,244.82),(0.0,244.82)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,369.71),(0.0,369.97),(527.36,369.97),(527.36,369.71),(0.0,369.71)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,386.0),(0.0,386.26),(527.36,386.26),(527.36,386.0),(0.0,386.0)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,223.1),(0.0,223.36),(527.36,223.36),(527.36,223.1),(0.0,223.1)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,396.86),(0.0,397.12),(527.36,397.12),(527.36,396.86),(0.0,396.86)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,233.96),(0.0,234.22),(527.36,234.22),(527.36,233.96),(0.0,233.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(272.1), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(272.1), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(136.35), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(136.35), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(348.12), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(348.12), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(179.79), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(179.79), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(299.25), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(299.25), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(114.63), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(114.63), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(266.67), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(266.67), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(358.98), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(358.98), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(402.42), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(402.42), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(130.92), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(130.92), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(59.03), u(0.64), u(-0.13), u(527.49),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(59.03), u(0.64), u(-0.13), u(527.49),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(92.91), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(92.91), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(71.19), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(71.19), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(375.27), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(375.27), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(391.56), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(391.56), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(320.97), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(320.97), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(261.24), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(261.24), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(293.82), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(293.82), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(152.64), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(152.64), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(326.4), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(326.4), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(163.5), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(163.5), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(98.34), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(98.34), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(168.93), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(168.93), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(380.7), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(380.7), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(65.76), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(65.76), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(109.2), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(109.2), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(141.78), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(141.78), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(353.55), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(353.55), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(190.65), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(190.65), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(288.39), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(288.39), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(304.68), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(304.68), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(239.52), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(239.52), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(201.51), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(201.51), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(277.53), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(277.53), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(342.69), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(342.69), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(196.08), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(196.08), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(147.21), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(147.21), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(331.83), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(331.83), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(76.62), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(76.62), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(212.37), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(212.37), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(364.41), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(364.41), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(282.96), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(282.96), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(103.77), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(103.77), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(87.48), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(87.48), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(407.85), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(407.85), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(206.94), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(206.94), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(310.11), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(310.11), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(185.22), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(185.22), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(217.8), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(217.8), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(315.54), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(315.54), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(82.05), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(82.05), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(158.07), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(158.07), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(228.66), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(228.66), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(250.38), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(250.38), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(120.06), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(120.06), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(49.4), u(0.64), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(49.4), u(0.64), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(125.49), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(125.49), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(255.81), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(255.81), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(337.26), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(337.26), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(174.36), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(174.36), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(244.95), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(244.95), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(369.84), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(369.84), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(386.13), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(386.13), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(223.23), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(223.23), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(396.99), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(396.99), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(234.09), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(234.09), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,111.785),(0.0,112.045),(527.36,112.045),(527.36,111.785),(0.0,111.785)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,117.215),(0.0,117.475),(527.36,117.475),(527.36,117.215),(0.0,117.215)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,361.565),(0.0,361.825),(527.36,361.825),(527.36,361.565),(0.0,361.565)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,296.405),(0.0,296.665),(527.36,296.665),(527.36,296.405),(0.0,296.405)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,383.285),(0.0,383.545),(527.36,383.545),(527.36,383.285),(0.0,383.285)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,187.805),(0.0,188.065),(527.36,188.065),(527.36,187.805),(0.0,187.805)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,171.515),(0.0,171.775),(527.36,171.775),(527.36,171.515),(0.0,171.515)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,307.265),(0.0,307.525),(527.36,307.525),(527.36,307.265),(0.0,307.265)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,106.355),(0.0,106.615),(527.36,106.615),(527.36,106.355),(0.0,106.355)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,242.105),(0.0,242.365),(527.36,242.365),(527.36,242.105),(0.0,242.105)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,274.685),(0.0,274.945),(527.36,274.945),(527.36,274.685),(0.0,274.685)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,394.145),(0.0,394.405),(527.36,394.405),(527.36,394.145),(0.0,394.145)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,100.925),(0.0,101.185),(527.36,101.185),(527.36,100.925),(0.0,100.925)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,247.535),(0.0,247.795),(527.36,247.795),(527.36,247.535),(0.0,247.535)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,176.945),(0.0,177.205),(527.36,177.205),(527.36,176.945),(0.0,176.945)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,366.995),(0.0,367.255),(527.36,367.255),(527.36,366.995),(0.0,366.995)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,133.505),(0.0,133.765),(527.36,133.765),(527.36,133.505),(0.0,133.505)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,198.665),(0.0,198.925),(527.36,198.925),(527.36,198.665),(0.0,198.665)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,280.115),(0.0,280.375),(527.36,280.375),(527.36,280.115),(0.0,280.115)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,323.555),(0.0,323.815),(527.36,323.815),(527.36,323.555),(0.0,323.555)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,225.815),(0.0,226.075),(527.36,226.075),(527.36,225.815),(0.0,225.815)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,68.345),(0.0,68.605),(527.36,68.605),(527.36,68.345),(0.0,68.345)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,90.065),(0.0,90.325),(527.36,90.325),(527.36,90.065),(0.0,90.065)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,301.835),(0.0,302.095),(527.36,302.095),(527.36,301.835),(0.0,301.835)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,328.985),(0.0,329.245),(527.36,329.245),(527.36,328.985),(0.0,328.985)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,193.235),(0.0,193.495),(527.36,193.495),(527.36,193.235),(0.0,193.235)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,269.255),(0.0,269.515),(527.36,269.515),(527.36,269.255),(0.0,269.255)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,388.715),(0.0,388.975),(527.36,388.975),(527.36,388.715),(0.0,388.715)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,410.435),(0.0,410.695),(527.36,410.695),(527.36,410.435),(0.0,410.435)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,160.655),(0.0,160.915),(527.36,160.915),(527.36,160.655),(0.0,160.655)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,138.935),(0.0,139.195),(527.36,139.195),(527.36,138.935),(0.0,138.935)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,144.365),(0.0,144.625),(527.36,144.625),(527.36,144.365),(0.0,144.365)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,48.3),(0.0,48.94),(527.36,48.94),(527.36,48.3),(0.0,48.3)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,79.205),(0.0,79.465),(527.36,79.465),(527.36,79.205),(0.0,79.205)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,318.125),(0.0,318.385),(527.36,318.385),(527.36,318.125),(0.0,318.125)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,334.415),(0.0,334.675),(527.36,334.675),(527.36,334.415),(0.0,334.415)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,149.795),(0.0,150.055),(527.36,150.055),(527.36,149.795),(0.0,149.795)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,73.775),(0.0,74.035),(527.36,74.035),(527.36,73.775),(0.0,73.775)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,399.575),(0.0,399.835),(527.36,399.835),(527.36,399.575),(0.0,399.575)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,405.005),(0.0,405.265),(527.36,405.265),(527.36,405.005),(0.0,405.005)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,182.375),(0.0,182.635),(527.36,182.635),(527.36,182.375),(0.0,182.375)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,84.635),(0.0,84.895),(527.36,84.895),(527.36,84.635),(0.0,84.635)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,204.095),(0.0,204.355),(527.36,204.355),(527.36,204.095),(0.0,204.095)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,236.675),(0.0,236.935),(527.36,236.935),(527.36,236.675),(0.0,236.675)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,372.425),(0.0,372.685),(527.36,372.685),(527.36,372.425),(0.0,372.425)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,350.705),(0.0,350.965),(527.36,350.965),(527.36,350.705),(0.0,350.705)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,252.965),(0.0,253.225),(527.36,253.225),(527.36,252.965),(0.0,252.965)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,290.975),(0.0,291.235),(527.36,291.235),(527.36,290.975),(0.0,290.975)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,231.245),(0.0,231.505),(527.36,231.505),(527.36,231.245),(0.0,231.245)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,377.855),(0.0,378.115),(527.36,378.115),(527.36,377.855),(0.0,377.855)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,62.915),(0.0,63.175),(527.36,63.175),(527.36,62.915),(0.0,62.915)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,345.275),(0.0,345.535),(527.36,345.535),(527.36,345.275),(0.0,345.275)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,166.085),(0.0,166.345),(527.36,166.345),(527.36,166.085),(0.0,166.085)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,312.695),(0.0,312.955),(527.36,312.955),(527.36,312.695),(0.0,312.695)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,339.845),(0.0,340.105),(527.36,340.105),(527.36,339.845),(0.0,339.845)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,155.225),(0.0,155.485),(527.36,155.485),(527.36,155.225),(0.0,155.225)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,122.645),(0.0,122.905),(527.36,122.905),(527.36,122.645),(0.0,122.645)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,214.955),(0.0,215.215),(527.36,215.215),(527.36,214.955),(0.0,214.955)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,220.385),(0.0,220.645),(527.36,220.645),(527.36,220.385),(0.0,220.385)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,258.395),(0.0,258.655),(527.36,258.655),(527.36,258.395),(0.0,258.395)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,209.525),(0.0,209.785),(527.36,209.785),(527.36,209.525),(0.0,209.525)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,263.825),(0.0,264.085),(527.36,264.085),(527.36,263.825),(0.0,263.825)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,285.545),(0.0,285.805),(527.36,285.805),(527.36,285.545),(0.0,285.545)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,356.135),(0.0,356.395),(527.36,356.395),(527.36,356.135),(0.0,356.135)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,128.075),(0.0,128.335),(527.36,128.335),(527.36,128.075),(0.0,128.075)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,95.495),(0.0,95.755),(527.36,95.755),(527.36,95.495),(0.0,95.495)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(111.915), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(111.915), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(117.345), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(117.345), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(361.695), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(361.695), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(296.535), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(296.535), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(383.415), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(383.415), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(187.935), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(187.935), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(171.645), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(171.645), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(307.395), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(307.395), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(106.485), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(106.485), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(242.235), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(242.235), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(274.815), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(274.815), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(394.275), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(394.275), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(101.055), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(101.055), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(247.665), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(247.665), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(177.075), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(177.075), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(367.125), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(367.125), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(133.635), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(133.635), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(198.795), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(198.795), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(280.245), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(280.245), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(323.685), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(323.685), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(225.945), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(225.945), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(68.475), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(68.475), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.195), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.195), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(301.965), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(301.965), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(329.115), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(329.115), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(193.365), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(193.365), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(269.385), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(269.385), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(388.845), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(388.845), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(410.565), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(410.565), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(160.785), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(160.785), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(139.065), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(139.065), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(144.495), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(144.495), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.62), u(0.64), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.62), u(0.64), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(79.335), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(79.335), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(318.255), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(318.255), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(334.545), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(334.545), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(149.925), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(149.925), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(73.905), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(73.905), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(399.705), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(399.705), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(405.135), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(405.135), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(182.505), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(182.505), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(84.765), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(84.765), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(204.225), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(204.225), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(236.805), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(236.805), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(372.555), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(372.555), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(350.835), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(350.835), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(253.095), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(253.095), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(291.105), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(291.105), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(231.375), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(231.375), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(377.985), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(377.985), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.045), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.045), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(345.405), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(345.405), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(166.215), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(166.215), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(312.825), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(312.825), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(339.975), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(339.975), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(155.355), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(155.355), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(122.775), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(122.775), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(215.085), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(215.085), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(220.515), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(220.515), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(258.525), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(258.525), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(209.655), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(209.655), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(263.955), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(263.955), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(285.675), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(285.675), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(356.265), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(356.265), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(128.205), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(128.205), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(95.625), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(95.625), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk']
        createRL(
            tech, net, 'm1',
            ((0.0,2.1),(0.0,2.75),(527.36,2.75),(527.36,2.1),(0.0,2.1)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(2.425), u(0.65), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(2.425), u(0.65), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['precharge_n']
        createRL(
            tech, net, 'm2',
            ((0.0,61.78),(0.0,62.04),(527.36,62.04),(527.36,61.78),(0.0,61.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(61.91), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(61.91), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_en']
        createRL(
            tech, net, 'm1',
            ((0.0,3.03),(0.0,3.68),(527.36,3.68),(527.36,3.03),(0.0,3.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(3.355), u(0.65), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(3.355), u(0.65), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,64.77),(0.0,65.03),(527.36,65.03),(527.36,64.77),(0.0,64.77)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(64.9), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(64.9), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,66.49),(0.0,66.75),(527.36,66.75),(527.36,66.49),(0.0,66.49)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(66.62), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(66.62), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,70.2),(0.0,70.46),(527.36,70.46),(527.36,70.2),(0.0,70.2)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(70.33), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(70.33), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,71.92),(0.0,72.18),(527.36,72.18),(527.36,71.92),(0.0,71.92)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.05), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.05), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,75.63),(0.0,75.89),(527.36,75.89),(527.36,75.63),(0.0,75.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(75.76), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(75.76), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,77.35),(0.0,77.61),(527.36,77.61),(527.36,77.35),(0.0,77.35)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(77.48), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(77.48), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,81.06),(0.0,81.32),(527.36,81.32),(527.36,81.06),(0.0,81.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(81.19), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(81.19), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,82.78),(0.0,83.04),(527.36,83.04),(527.36,82.78),(0.0,82.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(82.91), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(82.91), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,86.49),(0.0,86.75),(527.36,86.75),(527.36,86.49),(0.0,86.49)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(86.62), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(86.62), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,88.21),(0.0,88.47),(527.36,88.47),(527.36,88.21),(0.0,88.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(88.34), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(88.34), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,91.92),(0.0,92.18),(527.36,92.18),(527.36,91.92),(0.0,91.92)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(92.05), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(92.05), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,93.64),(0.0,93.9),(527.36,93.9),(527.36,93.64),(0.0,93.64)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(93.77), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(93.77), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,97.35),(0.0,97.61),(527.36,97.61),(527.36,97.35),(0.0,97.35)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(97.48), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(97.48), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,99.07),(0.0,99.33),(527.36,99.33),(527.36,99.07),(0.0,99.07)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(99.2), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(99.2), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,102.78),(0.0,103.04),(527.36,103.04),(527.36,102.78),(0.0,102.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(102.91), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(102.91), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,104.5),(0.0,104.76),(527.36,104.76),(527.36,104.5),(0.0,104.5)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(104.63), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(104.63), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[16]']
        createRL(
            tech, net, 'm2',
            ((0.0,108.21),(0.0,108.47),(527.36,108.47),(527.36,108.21),(0.0,108.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(108.34), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(108.34), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[17]']
        createRL(
            tech, net, 'm2',
            ((0.0,109.93),(0.0,110.19),(527.36,110.19),(527.36,109.93),(0.0,109.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(110.06), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(110.06), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[18]']
        createRL(
            tech, net, 'm2',
            ((0.0,113.64),(0.0,113.9),(527.36,113.9),(527.36,113.64),(0.0,113.64)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(113.77), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(113.77), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[19]']
        createRL(
            tech, net, 'm2',
            ((0.0,115.36),(0.0,115.62),(527.36,115.62),(527.36,115.36),(0.0,115.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(115.49), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(115.49), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[20]']
        createRL(
            tech, net, 'm2',
            ((0.0,119.07),(0.0,119.33),(527.36,119.33),(527.36,119.07),(0.0,119.07)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(119.2), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(119.2), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[21]']
        createRL(
            tech, net, 'm2',
            ((0.0,120.79),(0.0,121.05),(527.36,121.05),(527.36,120.79),(0.0,120.79)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(120.92), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(120.92), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[22]']
        createRL(
            tech, net, 'm2',
            ((0.0,124.5),(0.0,124.76),(527.36,124.76),(527.36,124.5),(0.0,124.5)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(124.63), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(124.63), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[23]']
        createRL(
            tech, net, 'm2',
            ((0.0,126.22),(0.0,126.48),(527.36,126.48),(527.36,126.22),(0.0,126.22)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(126.35), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(126.35), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[24]']
        createRL(
            tech, net, 'm2',
            ((0.0,129.93),(0.0,130.19),(527.36,130.19),(527.36,129.93),(0.0,129.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(130.06), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(130.06), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[25]']
        createRL(
            tech, net, 'm2',
            ((0.0,131.65),(0.0,131.91),(527.36,131.91),(527.36,131.65),(0.0,131.65)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(131.78), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(131.78), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[26]']
        createRL(
            tech, net, 'm2',
            ((0.0,135.36),(0.0,135.62),(527.36,135.62),(527.36,135.36),(0.0,135.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(135.49), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(135.49), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[27]']
        createRL(
            tech, net, 'm2',
            ((0.0,137.08),(0.0,137.34),(527.36,137.34),(527.36,137.08),(0.0,137.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(137.21), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(137.21), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[28]']
        createRL(
            tech, net, 'm2',
            ((0.0,140.79),(0.0,141.05),(527.36,141.05),(527.36,140.79),(0.0,140.79)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(140.92), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(140.92), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[29]']
        createRL(
            tech, net, 'm2',
            ((0.0,142.51),(0.0,142.77),(527.36,142.77),(527.36,142.51),(0.0,142.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(142.64), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(142.64), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[30]']
        createRL(
            tech, net, 'm2',
            ((0.0,146.22),(0.0,146.48),(527.36,146.48),(527.36,146.22),(0.0,146.22)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(146.35), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(146.35), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[31]']
        createRL(
            tech, net, 'm2',
            ((0.0,147.94),(0.0,148.2),(527.36,148.2),(527.36,147.94),(0.0,147.94)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(148.07), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(148.07), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[32]']
        createRL(
            tech, net, 'm2',
            ((0.0,151.65),(0.0,151.91),(527.36,151.91),(527.36,151.65),(0.0,151.65)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(151.78), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(151.78), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[33]']
        createRL(
            tech, net, 'm2',
            ((0.0,153.37),(0.0,153.63),(527.36,153.63),(527.36,153.37),(0.0,153.37)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(153.5), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(153.5), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[34]']
        createRL(
            tech, net, 'm2',
            ((0.0,157.08),(0.0,157.34),(527.36,157.34),(527.36,157.08),(0.0,157.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(157.21), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(157.21), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[35]']
        createRL(
            tech, net, 'm2',
            ((0.0,158.8),(0.0,159.06),(527.36,159.06),(527.36,158.8),(0.0,158.8)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(158.93), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(158.93), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[36]']
        createRL(
            tech, net, 'm2',
            ((0.0,162.51),(0.0,162.77),(527.36,162.77),(527.36,162.51),(0.0,162.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(162.64), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(162.64), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[37]']
        createRL(
            tech, net, 'm2',
            ((0.0,164.23),(0.0,164.49),(527.36,164.49),(527.36,164.23),(0.0,164.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(164.36), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(164.36), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[38]']
        createRL(
            tech, net, 'm2',
            ((0.0,167.94),(0.0,168.2),(527.36,168.2),(527.36,167.94),(0.0,167.94)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(168.07), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(168.07), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[39]']
        createRL(
            tech, net, 'm2',
            ((0.0,169.66),(0.0,169.92),(527.36,169.92),(527.36,169.66),(0.0,169.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(169.79), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(169.79), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[40]']
        createRL(
            tech, net, 'm2',
            ((0.0,173.37),(0.0,173.63),(527.36,173.63),(527.36,173.37),(0.0,173.37)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(173.5), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(173.5), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[41]']
        createRL(
            tech, net, 'm2',
            ((0.0,175.09),(0.0,175.35),(527.36,175.35),(527.36,175.09),(0.0,175.09)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(175.22), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(175.22), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[42]']
        createRL(
            tech, net, 'm2',
            ((0.0,178.8),(0.0,179.06),(527.36,179.06),(527.36,178.8),(0.0,178.8)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(178.93), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(178.93), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[43]']
        createRL(
            tech, net, 'm2',
            ((0.0,180.52),(0.0,180.78),(527.36,180.78),(527.36,180.52),(0.0,180.52)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(180.65), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(180.65), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[44]']
        createRL(
            tech, net, 'm2',
            ((0.0,184.23),(0.0,184.49),(527.36,184.49),(527.36,184.23),(0.0,184.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(184.36), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(184.36), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[45]']
        createRL(
            tech, net, 'm2',
            ((0.0,185.95),(0.0,186.21),(527.36,186.21),(527.36,185.95),(0.0,185.95)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(186.08), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(186.08), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[46]']
        createRL(
            tech, net, 'm2',
            ((0.0,189.66),(0.0,189.92),(527.36,189.92),(527.36,189.66),(0.0,189.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(189.79), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(189.79), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[47]']
        createRL(
            tech, net, 'm2',
            ((0.0,191.38),(0.0,191.64),(527.36,191.64),(527.36,191.38),(0.0,191.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(191.51), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(191.51), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[48]']
        createRL(
            tech, net, 'm2',
            ((0.0,195.09),(0.0,195.35),(527.36,195.35),(527.36,195.09),(0.0,195.09)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(195.22), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(195.22), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[49]']
        createRL(
            tech, net, 'm2',
            ((0.0,196.81),(0.0,197.07),(527.36,197.07),(527.36,196.81),(0.0,196.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(196.94), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(196.94), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[50]']
        createRL(
            tech, net, 'm2',
            ((0.0,200.52),(0.0,200.78),(527.36,200.78),(527.36,200.52),(0.0,200.52)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(200.65), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(200.65), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[51]']
        createRL(
            tech, net, 'm2',
            ((0.0,202.24),(0.0,202.5),(527.36,202.5),(527.36,202.24),(0.0,202.24)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(202.37), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(202.37), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[52]']
        createRL(
            tech, net, 'm2',
            ((0.0,205.95),(0.0,206.21),(527.36,206.21),(527.36,205.95),(0.0,205.95)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(206.08), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(206.08), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[53]']
        createRL(
            tech, net, 'm2',
            ((0.0,207.67),(0.0,207.93),(527.36,207.93),(527.36,207.67),(0.0,207.67)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(207.8), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(207.8), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[54]']
        createRL(
            tech, net, 'm2',
            ((0.0,211.38),(0.0,211.64),(527.36,211.64),(527.36,211.38),(0.0,211.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(211.51), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(211.51), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[55]']
        createRL(
            tech, net, 'm2',
            ((0.0,213.1),(0.0,213.36),(527.36,213.36),(527.36,213.1),(0.0,213.1)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(213.23), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(213.23), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[56]']
        createRL(
            tech, net, 'm2',
            ((0.0,216.81),(0.0,217.07),(527.36,217.07),(527.36,216.81),(0.0,216.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(216.94), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(216.94), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[57]']
        createRL(
            tech, net, 'm2',
            ((0.0,218.53),(0.0,218.79),(527.36,218.79),(527.36,218.53),(0.0,218.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(218.66), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(218.66), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[58]']
        createRL(
            tech, net, 'm2',
            ((0.0,222.24),(0.0,222.5),(527.36,222.5),(527.36,222.24),(0.0,222.24)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(222.37), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(222.37), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[59]']
        createRL(
            tech, net, 'm2',
            ((0.0,223.96),(0.0,224.22),(527.36,224.22),(527.36,223.96),(0.0,223.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(224.09), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(224.09), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[60]']
        createRL(
            tech, net, 'm2',
            ((0.0,227.67),(0.0,227.93),(527.36,227.93),(527.36,227.67),(0.0,227.67)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(227.8), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(227.8), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[61]']
        createRL(
            tech, net, 'm2',
            ((0.0,229.39),(0.0,229.65),(527.36,229.65),(527.36,229.39),(0.0,229.39)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(229.52), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(229.52), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[62]']
        createRL(
            tech, net, 'm2',
            ((0.0,233.1),(0.0,233.36),(527.36,233.36),(527.36,233.1),(0.0,233.1)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(233.23), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(233.23), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[63]']
        createRL(
            tech, net, 'm2',
            ((0.0,234.82),(0.0,235.08),(527.36,235.08),(527.36,234.82),(0.0,234.82)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(234.95), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(234.95), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[64]']
        createRL(
            tech, net, 'm2',
            ((0.0,238.53),(0.0,238.79),(527.36,238.79),(527.36,238.53),(0.0,238.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(238.66), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(238.66), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[65]']
        createRL(
            tech, net, 'm2',
            ((0.0,240.25),(0.0,240.51),(527.36,240.51),(527.36,240.25),(0.0,240.25)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(240.38), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(240.38), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[66]']
        createRL(
            tech, net, 'm2',
            ((0.0,243.96),(0.0,244.22),(527.36,244.22),(527.36,243.96),(0.0,243.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(244.09), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(244.09), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[67]']
        createRL(
            tech, net, 'm2',
            ((0.0,245.68),(0.0,245.94),(527.36,245.94),(527.36,245.68),(0.0,245.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(245.81), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(245.81), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[68]']
        createRL(
            tech, net, 'm2',
            ((0.0,249.39),(0.0,249.65),(527.36,249.65),(527.36,249.39),(0.0,249.39)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(249.52), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(249.52), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[69]']
        createRL(
            tech, net, 'm2',
            ((0.0,251.11),(0.0,251.37),(527.36,251.37),(527.36,251.11),(0.0,251.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(251.24), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(251.24), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[70]']
        createRL(
            tech, net, 'm2',
            ((0.0,254.82),(0.0,255.08),(527.36,255.08),(527.36,254.82),(0.0,254.82)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(254.95), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(254.95), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[71]']
        createRL(
            tech, net, 'm2',
            ((0.0,256.54),(0.0,256.8),(527.36,256.8),(527.36,256.54),(0.0,256.54)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(256.67), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(256.67), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[72]']
        createRL(
            tech, net, 'm2',
            ((0.0,260.25),(0.0,260.51),(527.36,260.51),(527.36,260.25),(0.0,260.25)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(260.38), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(260.38), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[73]']
        createRL(
            tech, net, 'm2',
            ((0.0,261.97),(0.0,262.23),(527.36,262.23),(527.36,261.97),(0.0,261.97)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(262.1), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(262.1), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[74]']
        createRL(
            tech, net, 'm2',
            ((0.0,265.68),(0.0,265.94),(527.36,265.94),(527.36,265.68),(0.0,265.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(265.81), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(265.81), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[75]']
        createRL(
            tech, net, 'm2',
            ((0.0,267.4),(0.0,267.66),(527.36,267.66),(527.36,267.4),(0.0,267.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(267.53), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(267.53), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[76]']
        createRL(
            tech, net, 'm2',
            ((0.0,271.11),(0.0,271.37),(527.36,271.37),(527.36,271.11),(0.0,271.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(271.24), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(271.24), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[77]']
        createRL(
            tech, net, 'm2',
            ((0.0,272.83),(0.0,273.09),(527.36,273.09),(527.36,272.83),(0.0,272.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(272.96), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(272.96), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[78]']
        createRL(
            tech, net, 'm2',
            ((0.0,276.54),(0.0,276.8),(527.36,276.8),(527.36,276.54),(0.0,276.54)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(276.67), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(276.67), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[79]']
        createRL(
            tech, net, 'm2',
            ((0.0,278.26),(0.0,278.52),(527.36,278.52),(527.36,278.26),(0.0,278.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(278.39), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(278.39), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[80]']
        createRL(
            tech, net, 'm2',
            ((0.0,281.97),(0.0,282.23),(527.36,282.23),(527.36,281.97),(0.0,281.97)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(282.1), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(282.1), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[81]']
        createRL(
            tech, net, 'm2',
            ((0.0,283.69),(0.0,283.95),(527.36,283.95),(527.36,283.69),(0.0,283.69)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(283.82), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(283.82), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[82]']
        createRL(
            tech, net, 'm2',
            ((0.0,287.4),(0.0,287.66),(527.36,287.66),(527.36,287.4),(0.0,287.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(287.53), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(287.53), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[83]']
        createRL(
            tech, net, 'm2',
            ((0.0,289.12),(0.0,289.38),(527.36,289.38),(527.36,289.12),(0.0,289.12)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(289.25), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(289.25), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[84]']
        createRL(
            tech, net, 'm2',
            ((0.0,292.83),(0.0,293.09),(527.36,293.09),(527.36,292.83),(0.0,292.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(292.96), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(292.96), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[85]']
        createRL(
            tech, net, 'm2',
            ((0.0,294.55),(0.0,294.81),(527.36,294.81),(527.36,294.55),(0.0,294.55)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(294.68), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(294.68), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[86]']
        createRL(
            tech, net, 'm2',
            ((0.0,298.26),(0.0,298.52),(527.36,298.52),(527.36,298.26),(0.0,298.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(298.39), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(298.39), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[87]']
        createRL(
            tech, net, 'm2',
            ((0.0,299.98),(0.0,300.24),(527.36,300.24),(527.36,299.98),(0.0,299.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(300.11), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(300.11), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[88]']
        createRL(
            tech, net, 'm2',
            ((0.0,303.69),(0.0,303.95),(527.36,303.95),(527.36,303.69),(0.0,303.69)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(303.82), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(303.82), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[89]']
        createRL(
            tech, net, 'm2',
            ((0.0,305.41),(0.0,305.67),(527.36,305.67),(527.36,305.41),(0.0,305.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(305.54), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(305.54), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[90]']
        createRL(
            tech, net, 'm2',
            ((0.0,309.12),(0.0,309.38),(527.36,309.38),(527.36,309.12),(0.0,309.12)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(309.25), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(309.25), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[91]']
        createRL(
            tech, net, 'm2',
            ((0.0,310.84),(0.0,311.1),(527.36,311.1),(527.36,310.84),(0.0,310.84)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(310.97), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(310.97), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[92]']
        createRL(
            tech, net, 'm2',
            ((0.0,314.55),(0.0,314.81),(527.36,314.81),(527.36,314.55),(0.0,314.55)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(314.68), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(314.68), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[93]']
        createRL(
            tech, net, 'm2',
            ((0.0,316.27),(0.0,316.53),(527.36,316.53),(527.36,316.27),(0.0,316.27)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(316.4), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(316.4), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[94]']
        createRL(
            tech, net, 'm2',
            ((0.0,319.98),(0.0,320.24),(527.36,320.24),(527.36,319.98),(0.0,319.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(320.11), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(320.11), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[95]']
        createRL(
            tech, net, 'm2',
            ((0.0,321.7),(0.0,321.96),(527.36,321.96),(527.36,321.7),(0.0,321.7)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(321.83), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(321.83), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[96]']
        createRL(
            tech, net, 'm2',
            ((0.0,325.41),(0.0,325.67),(527.36,325.67),(527.36,325.41),(0.0,325.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(325.54), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(325.54), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[97]']
        createRL(
            tech, net, 'm2',
            ((0.0,327.13),(0.0,327.39),(527.36,327.39),(527.36,327.13),(0.0,327.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(327.26), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(327.26), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[98]']
        createRL(
            tech, net, 'm2',
            ((0.0,330.84),(0.0,331.1),(527.36,331.1),(527.36,330.84),(0.0,330.84)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(330.97), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(330.97), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[99]']
        createRL(
            tech, net, 'm2',
            ((0.0,332.56),(0.0,332.82),(527.36,332.82),(527.36,332.56),(0.0,332.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(332.69), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(332.69), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[100]']
        createRL(
            tech, net, 'm2',
            ((0.0,336.27),(0.0,336.53),(527.36,336.53),(527.36,336.27),(0.0,336.27)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(336.4), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(336.4), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[101]']
        createRL(
            tech, net, 'm2',
            ((0.0,337.99),(0.0,338.25),(527.36,338.25),(527.36,337.99),(0.0,337.99)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(338.12), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(338.12), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[102]']
        createRL(
            tech, net, 'm2',
            ((0.0,341.7),(0.0,341.96),(527.36,341.96),(527.36,341.7),(0.0,341.7)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(341.83), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(341.83), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[103]']
        createRL(
            tech, net, 'm2',
            ((0.0,343.42),(0.0,343.68),(527.36,343.68),(527.36,343.42),(0.0,343.42)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(343.55), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(343.55), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[104]']
        createRL(
            tech, net, 'm2',
            ((0.0,347.13),(0.0,347.39),(527.36,347.39),(527.36,347.13),(0.0,347.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(347.26), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(347.26), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[105]']
        createRL(
            tech, net, 'm2',
            ((0.0,348.85),(0.0,349.11),(527.36,349.11),(527.36,348.85),(0.0,348.85)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(348.98), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(348.98), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[106]']
        createRL(
            tech, net, 'm2',
            ((0.0,352.56),(0.0,352.82),(527.36,352.82),(527.36,352.56),(0.0,352.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(352.69), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(352.69), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[107]']
        createRL(
            tech, net, 'm2',
            ((0.0,354.28),(0.0,354.54),(527.36,354.54),(527.36,354.28),(0.0,354.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(354.41), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(354.41), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[108]']
        createRL(
            tech, net, 'm2',
            ((0.0,357.99),(0.0,358.25),(527.36,358.25),(527.36,357.99),(0.0,357.99)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(358.12), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(358.12), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[109]']
        createRL(
            tech, net, 'm2',
            ((0.0,359.71),(0.0,359.97),(527.36,359.97),(527.36,359.71),(0.0,359.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(359.84), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(359.84), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[110]']
        createRL(
            tech, net, 'm2',
            ((0.0,363.42),(0.0,363.68),(527.36,363.68),(527.36,363.42),(0.0,363.42)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(363.55), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(363.55), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[111]']
        createRL(
            tech, net, 'm2',
            ((0.0,365.14),(0.0,365.4),(527.36,365.4),(527.36,365.14),(0.0,365.14)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(365.27), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(365.27), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[112]']
        createRL(
            tech, net, 'm2',
            ((0.0,368.85),(0.0,369.11),(527.36,369.11),(527.36,368.85),(0.0,368.85)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(368.98), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(368.98), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[113]']
        createRL(
            tech, net, 'm2',
            ((0.0,370.57),(0.0,370.83),(527.36,370.83),(527.36,370.57),(0.0,370.57)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(370.7), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(370.7), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[114]']
        createRL(
            tech, net, 'm2',
            ((0.0,374.28),(0.0,374.54),(527.36,374.54),(527.36,374.28),(0.0,374.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(374.41), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(374.41), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[115]']
        createRL(
            tech, net, 'm2',
            ((0.0,376.0),(0.0,376.26),(527.36,376.26),(527.36,376.0),(0.0,376.0)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(376.13), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(376.13), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[116]']
        createRL(
            tech, net, 'm2',
            ((0.0,379.71),(0.0,379.97),(527.36,379.97),(527.36,379.71),(0.0,379.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(379.84), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(379.84), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[117]']
        createRL(
            tech, net, 'm2',
            ((0.0,381.43),(0.0,381.69),(527.36,381.69),(527.36,381.43),(0.0,381.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(381.56), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(381.56), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[118]']
        createRL(
            tech, net, 'm2',
            ((0.0,385.14),(0.0,385.4),(527.36,385.4),(527.36,385.14),(0.0,385.14)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(385.27), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(385.27), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[119]']
        createRL(
            tech, net, 'm2',
            ((0.0,386.86),(0.0,387.12),(527.36,387.12),(527.36,386.86),(0.0,386.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(386.99), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(386.99), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[120]']
        createRL(
            tech, net, 'm2',
            ((0.0,390.57),(0.0,390.83),(527.36,390.83),(527.36,390.57),(0.0,390.57)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(390.7), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(390.7), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[121]']
        createRL(
            tech, net, 'm2',
            ((0.0,392.29),(0.0,392.55),(527.36,392.55),(527.36,392.29),(0.0,392.29)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(392.42), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(392.42), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[122]']
        createRL(
            tech, net, 'm2',
            ((0.0,396.0),(0.0,396.26),(527.36,396.26),(527.36,396.0),(0.0,396.0)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(396.13), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(396.13), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[123]']
        createRL(
            tech, net, 'm2',
            ((0.0,397.72),(0.0,397.98),(527.36,397.98),(527.36,397.72),(0.0,397.72)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(397.85), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(397.85), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[124]']
        createRL(
            tech, net, 'm2',
            ((0.0,401.43),(0.0,401.69),(527.36,401.69),(527.36,401.43),(0.0,401.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(401.56), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(401.56), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[125]']
        createRL(
            tech, net, 'm2',
            ((0.0,403.15),(0.0,403.41),(527.36,403.41),(527.36,403.15),(0.0,403.15)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(403.28), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(403.28), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[126]']
        createRL(
            tech, net, 'm2',
            ((0.0,406.86),(0.0,407.12),(527.36,407.12),(527.36,406.86),(0.0,406.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(406.99), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(406.99), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[127]']
        createRL(
            tech, net, 'm2',
            ((0.0,408.58),(0.0,408.84),(527.36,408.84),(527.36,408.58),(0.0,408.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(408.71), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(408.71), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,50.33),(0.0,50.59),(527.36,50.59),(527.36,50.33),(0.0,50.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.46), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.46), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,50.79),(0.0,51.05),(527.36,51.05),(527.36,50.79),(0.0,50.79)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.92), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.92), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,51.25),(0.0,51.51),(527.36,51.51),(527.36,51.25),(0.0,51.25)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.38), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.38), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,51.71),(0.0,51.97),(527.36,51.97),(527.36,51.71),(0.0,51.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.84), u(0.26), u(0.0), u(527.36),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.84), u(0.26), u(0.0), u(527.36),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[0]']
        createRL(
            tech, net, 'm2',
            ((1.37,0.0),(1.37,41.955),(1.63,41.955),(1.63,0.0),(1.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(1.5), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(1.5), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[1]']
        createRL(
            tech, net, 'm2',
            ((9.61,0.0),(9.61,41.955),(9.87,41.955),(9.87,0.0),(9.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(9.74), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(9.74), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[2]']
        createRL(
            tech, net, 'm2',
            ((17.85,0.0),(17.85,41.955),(18.11,41.955),(18.11,0.0),(17.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(17.98), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(17.98), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[3]']
        createRL(
            tech, net, 'm2',
            ((26.09,0.0),(26.09,41.955),(26.35,41.955),(26.35,0.0),(26.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(26.22), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(26.22), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[4]']
        createRL(
            tech, net, 'm2',
            ((34.33,0.0),(34.33,41.955),(34.59,41.955),(34.59,0.0),(34.33,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(34.46), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(34.46), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[5]']
        createRL(
            tech, net, 'm2',
            ((42.57,0.0),(42.57,41.955),(42.83,41.955),(42.83,0.0),(42.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(42.7), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(42.7), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[6]']
        createRL(
            tech, net, 'm2',
            ((50.81,0.0),(50.81,41.955),(51.07,41.955),(51.07,0.0),(50.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(50.94), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(50.94), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[7]']
        createRL(
            tech, net, 'm2',
            ((59.05,0.0),(59.05,41.955),(59.31,41.955),(59.31,0.0),(59.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(59.18), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(59.18), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[8]']
        createRL(
            tech, net, 'm2',
            ((67.29,0.0),(67.29,41.955),(67.55,41.955),(67.55,0.0),(67.29,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(67.42), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(67.42), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[9]']
        createRL(
            tech, net, 'm2',
            ((75.53,0.0),(75.53,41.955),(75.79,41.955),(75.79,0.0),(75.53,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(75.66), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(75.66), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[10]']
        createRL(
            tech, net, 'm2',
            ((83.77,0.0),(83.77,41.955),(84.03,41.955),(84.03,0.0),(83.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(83.9), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(83.9), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[11]']
        createRL(
            tech, net, 'm2',
            ((92.01,0.0),(92.01,41.955),(92.27,41.955),(92.27,0.0),(92.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(92.14), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(92.14), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[12]']
        createRL(
            tech, net, 'm2',
            ((100.25,0.0),(100.25,41.955),(100.51,41.955),(100.51,0.0),(100.25,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(100.38), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(100.38), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[13]']
        createRL(
            tech, net, 'm2',
            ((108.49,0.0),(108.49,41.955),(108.75,41.955),(108.75,0.0),(108.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(108.62), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(108.62), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[14]']
        createRL(
            tech, net, 'm2',
            ((116.73,0.0),(116.73,41.955),(116.99,41.955),(116.99,0.0),(116.73,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(116.86), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(116.86), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[15]']
        createRL(
            tech, net, 'm2',
            ((124.97,0.0),(124.97,41.955),(125.23,41.955),(125.23,0.0),(124.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(125.1), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(125.1), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[16]']
        createRL(
            tech, net, 'm2',
            ((133.21,0.0),(133.21,41.955),(133.47,41.955),(133.47,0.0),(133.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(133.34), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(133.34), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[17]']
        createRL(
            tech, net, 'm2',
            ((141.45,0.0),(141.45,41.955),(141.71,41.955),(141.71,0.0),(141.45,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(141.58), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(141.58), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[18]']
        createRL(
            tech, net, 'm2',
            ((149.69,0.0),(149.69,41.955),(149.95,41.955),(149.95,0.0),(149.69,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(149.82), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(149.82), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[19]']
        createRL(
            tech, net, 'm2',
            ((157.93,0.0),(157.93,41.955),(158.19,41.955),(158.19,0.0),(157.93,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(158.06), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(158.06), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[20]']
        createRL(
            tech, net, 'm2',
            ((166.17,0.0),(166.17,41.955),(166.43,41.955),(166.43,0.0),(166.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(166.3), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(166.3), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[21]']
        createRL(
            tech, net, 'm2',
            ((174.41,0.0),(174.41,41.955),(174.67,41.955),(174.67,0.0),(174.41,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(174.54), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(174.54), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[22]']
        createRL(
            tech, net, 'm2',
            ((182.65,0.0),(182.65,41.955),(182.91,41.955),(182.91,0.0),(182.65,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(182.78), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(182.78), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[23]']
        createRL(
            tech, net, 'm2',
            ((190.89,0.0),(190.89,41.955),(191.15,41.955),(191.15,0.0),(190.89,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(191.02), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(191.02), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[24]']
        createRL(
            tech, net, 'm2',
            ((199.13,0.0),(199.13,41.955),(199.39,41.955),(199.39,0.0),(199.13,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(199.26), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(199.26), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[25]']
        createRL(
            tech, net, 'm2',
            ((207.37,0.0),(207.37,41.955),(207.63,41.955),(207.63,0.0),(207.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(207.5), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(207.5), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[26]']
        createRL(
            tech, net, 'm2',
            ((215.61,0.0),(215.61,41.955),(215.87,41.955),(215.87,0.0),(215.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(215.74), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(215.74), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[27]']
        createRL(
            tech, net, 'm2',
            ((223.85,0.0),(223.85,41.955),(224.11,41.955),(224.11,0.0),(223.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(223.98), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(223.98), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[28]']
        createRL(
            tech, net, 'm2',
            ((232.09,0.0),(232.09,41.955),(232.35,41.955),(232.35,0.0),(232.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(232.22), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(232.22), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[29]']
        createRL(
            tech, net, 'm2',
            ((240.33,0.0),(240.33,41.955),(240.59,41.955),(240.59,0.0),(240.33,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(240.46), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(240.46), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[30]']
        createRL(
            tech, net, 'm2',
            ((248.57,0.0),(248.57,41.955),(248.83,41.955),(248.83,0.0),(248.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(248.7), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(248.7), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[31]']
        createRL(
            tech, net, 'm2',
            ((256.81,0.0),(256.81,41.955),(257.07,41.955),(257.07,0.0),(256.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(256.94), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(256.94), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[32]']
        createRL(
            tech, net, 'm2',
            ((265.05,0.0),(265.05,41.955),(265.31,41.955),(265.31,0.0),(265.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(265.18), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(265.18), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[33]']
        createRL(
            tech, net, 'm2',
            ((273.29,0.0),(273.29,41.955),(273.55,41.955),(273.55,0.0),(273.29,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(273.42), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(273.42), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[34]']
        createRL(
            tech, net, 'm2',
            ((281.53,0.0),(281.53,41.955),(281.79,41.955),(281.79,0.0),(281.53,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(281.66), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(281.66), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[35]']
        createRL(
            tech, net, 'm2',
            ((289.77,0.0),(289.77,41.955),(290.03,41.955),(290.03,0.0),(289.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(289.9), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(289.9), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[36]']
        createRL(
            tech, net, 'm2',
            ((298.01,0.0),(298.01,41.955),(298.27,41.955),(298.27,0.0),(298.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(298.14), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(298.14), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[37]']
        createRL(
            tech, net, 'm2',
            ((306.25,0.0),(306.25,41.955),(306.51,41.955),(306.51,0.0),(306.25,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(306.38), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(306.38), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[38]']
        createRL(
            tech, net, 'm2',
            ((314.49,0.0),(314.49,41.955),(314.75,41.955),(314.75,0.0),(314.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(314.62), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(314.62), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[39]']
        createRL(
            tech, net, 'm2',
            ((322.73,0.0),(322.73,41.955),(322.99,41.955),(322.99,0.0),(322.73,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(322.86), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(322.86), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[40]']
        createRL(
            tech, net, 'm2',
            ((330.97,0.0),(330.97,41.955),(331.23,41.955),(331.23,0.0),(330.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(331.1), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(331.1), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[41]']
        createRL(
            tech, net, 'm2',
            ((339.21,0.0),(339.21,41.955),(339.47,41.955),(339.47,0.0),(339.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(339.34), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(339.34), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[42]']
        createRL(
            tech, net, 'm2',
            ((347.45,0.0),(347.45,41.955),(347.71,41.955),(347.71,0.0),(347.45,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(347.58), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(347.58), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[43]']
        createRL(
            tech, net, 'm2',
            ((355.69,0.0),(355.69,41.955),(355.95,41.955),(355.95,0.0),(355.69,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(355.82), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(355.82), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[44]']
        createRL(
            tech, net, 'm2',
            ((363.93,0.0),(363.93,41.955),(364.19,41.955),(364.19,0.0),(363.93,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(364.06), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(364.06), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[45]']
        createRL(
            tech, net, 'm2',
            ((372.17,0.0),(372.17,41.955),(372.43,41.955),(372.43,0.0),(372.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(372.3), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(372.3), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[46]']
        createRL(
            tech, net, 'm2',
            ((380.41,0.0),(380.41,41.955),(380.67,41.955),(380.67,0.0),(380.41,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(380.54), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(380.54), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[47]']
        createRL(
            tech, net, 'm2',
            ((388.65,0.0),(388.65,41.955),(388.91,41.955),(388.91,0.0),(388.65,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(388.78), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(388.78), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[48]']
        createRL(
            tech, net, 'm2',
            ((396.89,0.0),(396.89,41.955),(397.15,41.955),(397.15,0.0),(396.89,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(397.02), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(397.02), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[49]']
        createRL(
            tech, net, 'm2',
            ((405.13,0.0),(405.13,41.955),(405.39,41.955),(405.39,0.0),(405.13,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(405.26), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(405.26), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[50]']
        createRL(
            tech, net, 'm2',
            ((413.37,0.0),(413.37,41.955),(413.63,41.955),(413.63,0.0),(413.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(413.5), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(413.5), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[51]']
        createRL(
            tech, net, 'm2',
            ((421.61,0.0),(421.61,41.955),(421.87,41.955),(421.87,0.0),(421.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(421.74), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(421.74), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[52]']
        createRL(
            tech, net, 'm2',
            ((429.85,0.0),(429.85,41.955),(430.11,41.955),(430.11,0.0),(429.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(429.98), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(429.98), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[53]']
        createRL(
            tech, net, 'm2',
            ((438.09,0.0),(438.09,41.955),(438.35,41.955),(438.35,0.0),(438.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(438.22), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(438.22), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[54]']
        createRL(
            tech, net, 'm2',
            ((446.33,0.0),(446.33,41.955),(446.59,41.955),(446.59,0.0),(446.33,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(446.46), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(446.46), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[55]']
        createRL(
            tech, net, 'm2',
            ((454.57,0.0),(454.57,41.955),(454.83,41.955),(454.83,0.0),(454.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(454.7), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(454.7), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[56]']
        createRL(
            tech, net, 'm2',
            ((462.81,0.0),(462.81,41.955),(463.07,41.955),(463.07,0.0),(462.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(462.94), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(462.94), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[57]']
        createRL(
            tech, net, 'm2',
            ((471.05,0.0),(471.05,41.955),(471.31,41.955),(471.31,0.0),(471.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(471.18), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(471.18), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[58]']
        createRL(
            tech, net, 'm2',
            ((479.29,0.0),(479.29,41.955),(479.55,41.955),(479.55,0.0),(479.29,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(479.42), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(479.42), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[59]']
        createRL(
            tech, net, 'm2',
            ((487.53,0.0),(487.53,41.955),(487.79,41.955),(487.79,0.0),(487.53,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(487.66), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(487.66), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[60]']
        createRL(
            tech, net, 'm2',
            ((495.77,0.0),(495.77,41.955),(496.03,41.955),(496.03,0.0),(495.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(495.9), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(495.9), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[61]']
        createRL(
            tech, net, 'm2',
            ((504.01,0.0),(504.01,41.955),(504.27,41.955),(504.27,0.0),(504.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(504.14), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(504.14), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[62]']
        createRL(
            tech, net, 'm2',
            ((512.25,0.0),(512.25,41.955),(512.51,41.955),(512.51,0.0),(512.25,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(512.38), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(512.38), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[63]']
        createRL(
            tech, net, 'm2',
            ((520.49,0.0),(520.49,41.955),(520.75,41.955),(520.75,0.0),(520.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(520.62), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(520.62), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[0]']
        createRL(
            tech, net, 'm2',
            ((4.37,0.0),(4.37,11.955),(4.63,11.955),(4.63,0.0),(4.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(4.5), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(4.5), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[1]']
        createRL(
            tech, net, 'm2',
            ((4.88,0.0),(4.88,21.955),(5.14,21.955),(5.14,0.0),(4.88,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(5.01), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(5.01), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[2]']
        createRL(
            tech, net, 'm2',
            ((20.85,0.0),(20.85,11.955),(21.11,11.955),(21.11,0.0),(20.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(20.98), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(20.98), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[3]']
        createRL(
            tech, net, 'm2',
            ((21.36,0.0),(21.36,21.955),(21.62,21.955),(21.62,0.0),(21.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(21.49), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(21.49), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[4]']
        createRL(
            tech, net, 'm2',
            ((37.33,0.0),(37.33,11.955),(37.59,11.955),(37.59,0.0),(37.33,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(37.46), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(37.46), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[5]']
        createRL(
            tech, net, 'm2',
            ((37.84,0.0),(37.84,21.955),(38.1,21.955),(38.1,0.0),(37.84,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(37.97), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(37.97), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[6]']
        createRL(
            tech, net, 'm2',
            ((53.81,0.0),(53.81,11.955),(54.07,11.955),(54.07,0.0),(53.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(53.94), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(53.94), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[7]']
        createRL(
            tech, net, 'm2',
            ((54.32,0.0),(54.32,21.955),(54.58,21.955),(54.58,0.0),(54.32,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(54.45), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(54.45), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[8]']
        createRL(
            tech, net, 'm2',
            ((70.29,0.0),(70.29,11.955),(70.55,11.955),(70.55,0.0),(70.29,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(70.42), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(70.42), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[9]']
        createRL(
            tech, net, 'm2',
            ((70.8,0.0),(70.8,21.955),(71.06,21.955),(71.06,0.0),(70.8,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(70.93), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(70.93), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[10]']
        createRL(
            tech, net, 'm2',
            ((86.77,0.0),(86.77,11.955),(87.03,11.955),(87.03,0.0),(86.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(86.9), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(86.9), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[11]']
        createRL(
            tech, net, 'm2',
            ((87.28,0.0),(87.28,21.955),(87.54,21.955),(87.54,0.0),(87.28,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(87.41), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(87.41), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[12]']
        createRL(
            tech, net, 'm2',
            ((103.25,0.0),(103.25,11.955),(103.51,11.955),(103.51,0.0),(103.25,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(103.38), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(103.38), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[13]']
        createRL(
            tech, net, 'm2',
            ((103.76,0.0),(103.76,21.955),(104.02,21.955),(104.02,0.0),(103.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(103.89), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(103.89), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[14]']
        createRL(
            tech, net, 'm2',
            ((119.73,0.0),(119.73,11.955),(119.99,11.955),(119.99,0.0),(119.73,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(119.86), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(119.86), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[15]']
        createRL(
            tech, net, 'm2',
            ((120.24,0.0),(120.24,21.955),(120.5,21.955),(120.5,0.0),(120.24,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(120.37), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(120.37), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[16]']
        createRL(
            tech, net, 'm2',
            ((136.21,0.0),(136.21,11.955),(136.47,11.955),(136.47,0.0),(136.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(136.34), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(136.34), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[17]']
        createRL(
            tech, net, 'm2',
            ((136.72,0.0),(136.72,21.955),(136.98,21.955),(136.98,0.0),(136.72,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(136.85), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(136.85), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[18]']
        createRL(
            tech, net, 'm2',
            ((152.69,0.0),(152.69,11.955),(152.95,11.955),(152.95,0.0),(152.69,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(152.82), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(152.82), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[19]']
        createRL(
            tech, net, 'm2',
            ((153.2,0.0),(153.2,21.955),(153.46,21.955),(153.46,0.0),(153.2,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(153.33), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(153.33), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[20]']
        createRL(
            tech, net, 'm2',
            ((169.17,0.0),(169.17,11.955),(169.43,11.955),(169.43,0.0),(169.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(169.3), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(169.3), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[21]']
        createRL(
            tech, net, 'm2',
            ((169.68,0.0),(169.68,21.955),(169.94,21.955),(169.94,0.0),(169.68,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(169.81), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(169.81), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[22]']
        createRL(
            tech, net, 'm2',
            ((185.65,0.0),(185.65,11.955),(185.91,11.955),(185.91,0.0),(185.65,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(185.78), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(185.78), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[23]']
        createRL(
            tech, net, 'm2',
            ((186.16,0.0),(186.16,21.955),(186.42,21.955),(186.42,0.0),(186.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(186.29), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(186.29), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[24]']
        createRL(
            tech, net, 'm2',
            ((202.13,0.0),(202.13,11.955),(202.39,11.955),(202.39,0.0),(202.13,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(202.26), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(202.26), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[25]']
        createRL(
            tech, net, 'm2',
            ((202.64,0.0),(202.64,21.955),(202.9,21.955),(202.9,0.0),(202.64,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(202.77), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(202.77), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[26]']
        createRL(
            tech, net, 'm2',
            ((218.61,0.0),(218.61,11.955),(218.87,11.955),(218.87,0.0),(218.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(218.74), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(218.74), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[27]']
        createRL(
            tech, net, 'm2',
            ((219.12,0.0),(219.12,21.955),(219.38,21.955),(219.38,0.0),(219.12,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(219.25), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(219.25), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[28]']
        createRL(
            tech, net, 'm2',
            ((235.09,0.0),(235.09,11.955),(235.35,11.955),(235.35,0.0),(235.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(235.22), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(235.22), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[29]']
        createRL(
            tech, net, 'm2',
            ((235.6,0.0),(235.6,21.955),(235.86,21.955),(235.86,0.0),(235.6,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(235.73), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(235.73), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[30]']
        createRL(
            tech, net, 'm2',
            ((251.57,0.0),(251.57,11.955),(251.83,11.955),(251.83,0.0),(251.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(251.7), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(251.7), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[31]']
        createRL(
            tech, net, 'm2',
            ((252.08,0.0),(252.08,21.955),(252.34,21.955),(252.34,0.0),(252.08,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(252.21), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(252.21), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[32]']
        createRL(
            tech, net, 'm2',
            ((268.05,0.0),(268.05,11.955),(268.31,11.955),(268.31,0.0),(268.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(268.18), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(268.18), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[33]']
        createRL(
            tech, net, 'm2',
            ((268.56,0.0),(268.56,21.955),(268.82,21.955),(268.82,0.0),(268.56,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(268.69), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(268.69), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[34]']
        createRL(
            tech, net, 'm2',
            ((284.53,0.0),(284.53,11.955),(284.79,11.955),(284.79,0.0),(284.53,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(284.66), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(284.66), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[35]']
        createRL(
            tech, net, 'm2',
            ((285.04,0.0),(285.04,21.955),(285.3,21.955),(285.3,0.0),(285.04,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(285.17), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(285.17), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[36]']
        createRL(
            tech, net, 'm2',
            ((301.01,0.0),(301.01,11.955),(301.27,11.955),(301.27,0.0),(301.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(301.14), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(301.14), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[37]']
        createRL(
            tech, net, 'm2',
            ((301.52,0.0),(301.52,21.955),(301.78,21.955),(301.78,0.0),(301.52,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(301.65), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(301.65), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[38]']
        createRL(
            tech, net, 'm2',
            ((317.49,0.0),(317.49,11.955),(317.75,11.955),(317.75,0.0),(317.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(317.62), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(317.62), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[39]']
        createRL(
            tech, net, 'm2',
            ((318.0,0.0),(318.0,21.955),(318.26,21.955),(318.26,0.0),(318.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(318.13), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(318.13), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[40]']
        createRL(
            tech, net, 'm2',
            ((333.97,0.0),(333.97,11.955),(334.23,11.955),(334.23,0.0),(333.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(334.1), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(334.1), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[41]']
        createRL(
            tech, net, 'm2',
            ((334.48,0.0),(334.48,21.955),(334.74,21.955),(334.74,0.0),(334.48,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(334.61), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(334.61), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[42]']
        createRL(
            tech, net, 'm2',
            ((350.45,0.0),(350.45,11.955),(350.71,11.955),(350.71,0.0),(350.45,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(350.58), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(350.58), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[43]']
        createRL(
            tech, net, 'm2',
            ((350.96,0.0),(350.96,21.955),(351.22,21.955),(351.22,0.0),(350.96,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(351.09), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(351.09), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[44]']
        createRL(
            tech, net, 'm2',
            ((366.93,0.0),(366.93,11.955),(367.19,11.955),(367.19,0.0),(366.93,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(367.06), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(367.06), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[45]']
        createRL(
            tech, net, 'm2',
            ((367.44,0.0),(367.44,21.955),(367.7,21.955),(367.7,0.0),(367.44,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(367.57), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(367.57), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[46]']
        createRL(
            tech, net, 'm2',
            ((383.41,0.0),(383.41,11.955),(383.67,11.955),(383.67,0.0),(383.41,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(383.54), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(383.54), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[47]']
        createRL(
            tech, net, 'm2',
            ((383.92,0.0),(383.92,21.955),(384.18,21.955),(384.18,0.0),(383.92,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(384.05), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(384.05), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[48]']
        createRL(
            tech, net, 'm2',
            ((399.89,0.0),(399.89,11.955),(400.15,11.955),(400.15,0.0),(399.89,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(400.02), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(400.02), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[49]']
        createRL(
            tech, net, 'm2',
            ((400.4,0.0),(400.4,21.955),(400.66,21.955),(400.66,0.0),(400.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(400.53), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(400.53), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[50]']
        createRL(
            tech, net, 'm2',
            ((416.37,0.0),(416.37,11.955),(416.63,11.955),(416.63,0.0),(416.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(416.5), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(416.5), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[51]']
        createRL(
            tech, net, 'm2',
            ((416.88,0.0),(416.88,21.955),(417.14,21.955),(417.14,0.0),(416.88,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(417.01), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(417.01), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[52]']
        createRL(
            tech, net, 'm2',
            ((432.85,0.0),(432.85,11.955),(433.11,11.955),(433.11,0.0),(432.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(432.98), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(432.98), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[53]']
        createRL(
            tech, net, 'm2',
            ((433.36,0.0),(433.36,21.955),(433.62,21.955),(433.62,0.0),(433.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(433.49), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(433.49), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[54]']
        createRL(
            tech, net, 'm2',
            ((449.33,0.0),(449.33,11.955),(449.59,11.955),(449.59,0.0),(449.33,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(449.46), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(449.46), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[55]']
        createRL(
            tech, net, 'm2',
            ((449.84,0.0),(449.84,21.955),(450.1,21.955),(450.1,0.0),(449.84,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(449.97), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(449.97), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[56]']
        createRL(
            tech, net, 'm2',
            ((465.81,0.0),(465.81,11.955),(466.07,11.955),(466.07,0.0),(465.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(465.94), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(465.94), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[57]']
        createRL(
            tech, net, 'm2',
            ((466.32,0.0),(466.32,21.955),(466.58,21.955),(466.58,0.0),(466.32,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(466.45), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(466.45), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[58]']
        createRL(
            tech, net, 'm2',
            ((482.29,0.0),(482.29,11.955),(482.55,11.955),(482.55,0.0),(482.29,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(482.42), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(482.42), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[59]']
        createRL(
            tech, net, 'm2',
            ((482.8,0.0),(482.8,21.955),(483.06,21.955),(483.06,0.0),(482.8,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(482.93), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(482.93), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[60]']
        createRL(
            tech, net, 'm2',
            ((498.77,0.0),(498.77,11.955),(499.03,11.955),(499.03,0.0),(498.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(498.9), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(498.9), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[61]']
        createRL(
            tech, net, 'm2',
            ((499.28,0.0),(499.28,21.955),(499.54,21.955),(499.54,0.0),(499.28,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(499.41), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(499.41), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[62]']
        createRL(
            tech, net, 'm2',
            ((515.25,0.0),(515.25,11.955),(515.51,11.955),(515.51,0.0),(515.25,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(515.38), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(515.38), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[63]']
        createRL(
            tech, net, 'm2',
            ((515.76,0.0),(515.76,21.955),(516.02,21.955),(516.02,0.0),(515.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(515.89), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(515.89), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we[0]']
        createRL(
            tech, net, 'm2',
            ((7.37,0.0),(7.37,1.955),(7.63,1.955),(7.63,0.0),(7.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(7.5), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(7.5), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we[1]']
        createRL(
            tech, net, 'm2',
            ((73.29,0.0),(73.29,1.955),(73.55,1.955),(73.55,0.0),(73.29,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(73.42), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(73.42), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we[2]']
        createRL(
            tech, net, 'm2',
            ((139.21,0.0),(139.21,1.955),(139.47,1.955),(139.47,0.0),(139.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(139.34), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(139.34), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we[3]']
        createRL(
            tech, net, 'm2',
            ((205.13,0.0),(205.13,1.955),(205.39,1.955),(205.39,0.0),(205.13,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(205.26), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(205.26), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we[4]']
        createRL(
            tech, net, 'm2',
            ((271.05,0.0),(271.05,1.955),(271.31,1.955),(271.31,0.0),(271.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(271.18), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(271.18), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we[5]']
        createRL(
            tech, net, 'm2',
            ((336.97,0.0),(336.97,1.955),(337.23,1.955),(337.23,0.0),(336.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(337.1), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(337.1), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we[6]']
        createRL(
            tech, net, 'm2',
            ((402.89,0.0),(402.89,1.955),(403.15,1.955),(403.15,0.0),(402.89,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(403.02), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(403.02), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we[7]']
        createRL(
            tech, net, 'm2',
            ((468.81,0.0),(468.81,1.955),(469.07,1.955),(469.07,0.0),(468.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(468.94), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(468.94), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,410.565),(527.36,410.565),(527.36,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['precharge_n'].setDirection(Net.Direction.IN)
        nets['we_en'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['wl[4]'].setDirection(Net.Direction.IN)
        nets['wl[5]'].setDirection(Net.Direction.IN)
        nets['wl[6]'].setDirection(Net.Direction.IN)
        nets['wl[7]'].setDirection(Net.Direction.IN)
        nets['wl[8]'].setDirection(Net.Direction.IN)
        nets['wl[9]'].setDirection(Net.Direction.IN)
        nets['wl[10]'].setDirection(Net.Direction.IN)
        nets['wl[11]'].setDirection(Net.Direction.IN)
        nets['wl[12]'].setDirection(Net.Direction.IN)
        nets['wl[13]'].setDirection(Net.Direction.IN)
        nets['wl[14]'].setDirection(Net.Direction.IN)
        nets['wl[15]'].setDirection(Net.Direction.IN)
        nets['wl[16]'].setDirection(Net.Direction.IN)
        nets['wl[17]'].setDirection(Net.Direction.IN)
        nets['wl[18]'].setDirection(Net.Direction.IN)
        nets['wl[19]'].setDirection(Net.Direction.IN)
        nets['wl[20]'].setDirection(Net.Direction.IN)
        nets['wl[21]'].setDirection(Net.Direction.IN)
        nets['wl[22]'].setDirection(Net.Direction.IN)
        nets['wl[23]'].setDirection(Net.Direction.IN)
        nets['wl[24]'].setDirection(Net.Direction.IN)
        nets['wl[25]'].setDirection(Net.Direction.IN)
        nets['wl[26]'].setDirection(Net.Direction.IN)
        nets['wl[27]'].setDirection(Net.Direction.IN)
        nets['wl[28]'].setDirection(Net.Direction.IN)
        nets['wl[29]'].setDirection(Net.Direction.IN)
        nets['wl[30]'].setDirection(Net.Direction.IN)
        nets['wl[31]'].setDirection(Net.Direction.IN)
        nets['wl[32]'].setDirection(Net.Direction.IN)
        nets['wl[33]'].setDirection(Net.Direction.IN)
        nets['wl[34]'].setDirection(Net.Direction.IN)
        nets['wl[35]'].setDirection(Net.Direction.IN)
        nets['wl[36]'].setDirection(Net.Direction.IN)
        nets['wl[37]'].setDirection(Net.Direction.IN)
        nets['wl[38]'].setDirection(Net.Direction.IN)
        nets['wl[39]'].setDirection(Net.Direction.IN)
        nets['wl[40]'].setDirection(Net.Direction.IN)
        nets['wl[41]'].setDirection(Net.Direction.IN)
        nets['wl[42]'].setDirection(Net.Direction.IN)
        nets['wl[43]'].setDirection(Net.Direction.IN)
        nets['wl[44]'].setDirection(Net.Direction.IN)
        nets['wl[45]'].setDirection(Net.Direction.IN)
        nets['wl[46]'].setDirection(Net.Direction.IN)
        nets['wl[47]'].setDirection(Net.Direction.IN)
        nets['wl[48]'].setDirection(Net.Direction.IN)
        nets['wl[49]'].setDirection(Net.Direction.IN)
        nets['wl[50]'].setDirection(Net.Direction.IN)
        nets['wl[51]'].setDirection(Net.Direction.IN)
        nets['wl[52]'].setDirection(Net.Direction.IN)
        nets['wl[53]'].setDirection(Net.Direction.IN)
        nets['wl[54]'].setDirection(Net.Direction.IN)
        nets['wl[55]'].setDirection(Net.Direction.IN)
        nets['wl[56]'].setDirection(Net.Direction.IN)
        nets['wl[57]'].setDirection(Net.Direction.IN)
        nets['wl[58]'].setDirection(Net.Direction.IN)
        nets['wl[59]'].setDirection(Net.Direction.IN)
        nets['wl[60]'].setDirection(Net.Direction.IN)
        nets['wl[61]'].setDirection(Net.Direction.IN)
        nets['wl[62]'].setDirection(Net.Direction.IN)
        nets['wl[63]'].setDirection(Net.Direction.IN)
        nets['wl[64]'].setDirection(Net.Direction.IN)
        nets['wl[65]'].setDirection(Net.Direction.IN)
        nets['wl[66]'].setDirection(Net.Direction.IN)
        nets['wl[67]'].setDirection(Net.Direction.IN)
        nets['wl[68]'].setDirection(Net.Direction.IN)
        nets['wl[69]'].setDirection(Net.Direction.IN)
        nets['wl[70]'].setDirection(Net.Direction.IN)
        nets['wl[71]'].setDirection(Net.Direction.IN)
        nets['wl[72]'].setDirection(Net.Direction.IN)
        nets['wl[73]'].setDirection(Net.Direction.IN)
        nets['wl[74]'].setDirection(Net.Direction.IN)
        nets['wl[75]'].setDirection(Net.Direction.IN)
        nets['wl[76]'].setDirection(Net.Direction.IN)
        nets['wl[77]'].setDirection(Net.Direction.IN)
        nets['wl[78]'].setDirection(Net.Direction.IN)
        nets['wl[79]'].setDirection(Net.Direction.IN)
        nets['wl[80]'].setDirection(Net.Direction.IN)
        nets['wl[81]'].setDirection(Net.Direction.IN)
        nets['wl[82]'].setDirection(Net.Direction.IN)
        nets['wl[83]'].setDirection(Net.Direction.IN)
        nets['wl[84]'].setDirection(Net.Direction.IN)
        nets['wl[85]'].setDirection(Net.Direction.IN)
        nets['wl[86]'].setDirection(Net.Direction.IN)
        nets['wl[87]'].setDirection(Net.Direction.IN)
        nets['wl[88]'].setDirection(Net.Direction.IN)
        nets['wl[89]'].setDirection(Net.Direction.IN)
        nets['wl[90]'].setDirection(Net.Direction.IN)
        nets['wl[91]'].setDirection(Net.Direction.IN)
        nets['wl[92]'].setDirection(Net.Direction.IN)
        nets['wl[93]'].setDirection(Net.Direction.IN)
        nets['wl[94]'].setDirection(Net.Direction.IN)
        nets['wl[95]'].setDirection(Net.Direction.IN)
        nets['wl[96]'].setDirection(Net.Direction.IN)
        nets['wl[97]'].setDirection(Net.Direction.IN)
        nets['wl[98]'].setDirection(Net.Direction.IN)
        nets['wl[99]'].setDirection(Net.Direction.IN)
        nets['wl[100]'].setDirection(Net.Direction.IN)
        nets['wl[101]'].setDirection(Net.Direction.IN)
        nets['wl[102]'].setDirection(Net.Direction.IN)
        nets['wl[103]'].setDirection(Net.Direction.IN)
        nets['wl[104]'].setDirection(Net.Direction.IN)
        nets['wl[105]'].setDirection(Net.Direction.IN)
        nets['wl[106]'].setDirection(Net.Direction.IN)
        nets['wl[107]'].setDirection(Net.Direction.IN)
        nets['wl[108]'].setDirection(Net.Direction.IN)
        nets['wl[109]'].setDirection(Net.Direction.IN)
        nets['wl[110]'].setDirection(Net.Direction.IN)
        nets['wl[111]'].setDirection(Net.Direction.IN)
        nets['wl[112]'].setDirection(Net.Direction.IN)
        nets['wl[113]'].setDirection(Net.Direction.IN)
        nets['wl[114]'].setDirection(Net.Direction.IN)
        nets['wl[115]'].setDirection(Net.Direction.IN)
        nets['wl[116]'].setDirection(Net.Direction.IN)
        nets['wl[117]'].setDirection(Net.Direction.IN)
        nets['wl[118]'].setDirection(Net.Direction.IN)
        nets['wl[119]'].setDirection(Net.Direction.IN)
        nets['wl[120]'].setDirection(Net.Direction.IN)
        nets['wl[121]'].setDirection(Net.Direction.IN)
        nets['wl[122]'].setDirection(Net.Direction.IN)
        nets['wl[123]'].setDirection(Net.Direction.IN)
        nets['wl[124]'].setDirection(Net.Direction.IN)
        nets['wl[125]'].setDirection(Net.Direction.IN)
        nets['wl[126]'].setDirection(Net.Direction.IN)
        nets['wl[127]'].setDirection(Net.Direction.IN)
        nets['mux[0]'].setDirection(Net.Direction.IN)
        nets['mux[1]'].setDirection(Net.Direction.IN)
        nets['mux[2]'].setDirection(Net.Direction.IN)
        nets['mux[3]'].setDirection(Net.Direction.IN)
        nets['we[0]'].setDirection(Net.Direction.IN)
        nets['q[0]'].setDirection(Net.Direction.IN)
        nets['d[0]'].setDirection(Net.Direction.IN)
        nets['q[1]'].setDirection(Net.Direction.IN)
        nets['d[1]'].setDirection(Net.Direction.IN)
        nets['q[2]'].setDirection(Net.Direction.IN)
        nets['d[2]'].setDirection(Net.Direction.IN)
        nets['q[3]'].setDirection(Net.Direction.IN)
        nets['d[3]'].setDirection(Net.Direction.IN)
        nets['q[4]'].setDirection(Net.Direction.IN)
        nets['d[4]'].setDirection(Net.Direction.IN)
        nets['q[5]'].setDirection(Net.Direction.IN)
        nets['d[5]'].setDirection(Net.Direction.IN)
        nets['q[6]'].setDirection(Net.Direction.IN)
        nets['d[6]'].setDirection(Net.Direction.IN)
        nets['q[7]'].setDirection(Net.Direction.IN)
        nets['d[7]'].setDirection(Net.Direction.IN)
        nets['we[1]'].setDirection(Net.Direction.IN)
        nets['q[8]'].setDirection(Net.Direction.IN)
        nets['d[8]'].setDirection(Net.Direction.IN)
        nets['q[9]'].setDirection(Net.Direction.IN)
        nets['d[9]'].setDirection(Net.Direction.IN)
        nets['q[10]'].setDirection(Net.Direction.IN)
        nets['d[10]'].setDirection(Net.Direction.IN)
        nets['q[11]'].setDirection(Net.Direction.IN)
        nets['d[11]'].setDirection(Net.Direction.IN)
        nets['q[12]'].setDirection(Net.Direction.IN)
        nets['d[12]'].setDirection(Net.Direction.IN)
        nets['q[13]'].setDirection(Net.Direction.IN)
        nets['d[13]'].setDirection(Net.Direction.IN)
        nets['q[14]'].setDirection(Net.Direction.IN)
        nets['d[14]'].setDirection(Net.Direction.IN)
        nets['q[15]'].setDirection(Net.Direction.IN)
        nets['d[15]'].setDirection(Net.Direction.IN)
        nets['we[2]'].setDirection(Net.Direction.IN)
        nets['q[16]'].setDirection(Net.Direction.IN)
        nets['d[16]'].setDirection(Net.Direction.IN)
        nets['q[17]'].setDirection(Net.Direction.IN)
        nets['d[17]'].setDirection(Net.Direction.IN)
        nets['q[18]'].setDirection(Net.Direction.IN)
        nets['d[18]'].setDirection(Net.Direction.IN)
        nets['q[19]'].setDirection(Net.Direction.IN)
        nets['d[19]'].setDirection(Net.Direction.IN)
        nets['q[20]'].setDirection(Net.Direction.IN)
        nets['d[20]'].setDirection(Net.Direction.IN)
        nets['q[21]'].setDirection(Net.Direction.IN)
        nets['d[21]'].setDirection(Net.Direction.IN)
        nets['q[22]'].setDirection(Net.Direction.IN)
        nets['d[22]'].setDirection(Net.Direction.IN)
        nets['q[23]'].setDirection(Net.Direction.IN)
        nets['d[23]'].setDirection(Net.Direction.IN)
        nets['we[3]'].setDirection(Net.Direction.IN)
        nets['q[24]'].setDirection(Net.Direction.IN)
        nets['d[24]'].setDirection(Net.Direction.IN)
        nets['q[25]'].setDirection(Net.Direction.IN)
        nets['d[25]'].setDirection(Net.Direction.IN)
        nets['q[26]'].setDirection(Net.Direction.IN)
        nets['d[26]'].setDirection(Net.Direction.IN)
        nets['q[27]'].setDirection(Net.Direction.IN)
        nets['d[27]'].setDirection(Net.Direction.IN)
        nets['q[28]'].setDirection(Net.Direction.IN)
        nets['d[28]'].setDirection(Net.Direction.IN)
        nets['q[29]'].setDirection(Net.Direction.IN)
        nets['d[29]'].setDirection(Net.Direction.IN)
        nets['q[30]'].setDirection(Net.Direction.IN)
        nets['d[30]'].setDirection(Net.Direction.IN)
        nets['q[31]'].setDirection(Net.Direction.IN)
        nets['d[31]'].setDirection(Net.Direction.IN)
        nets['we[4]'].setDirection(Net.Direction.IN)
        nets['q[32]'].setDirection(Net.Direction.IN)
        nets['d[32]'].setDirection(Net.Direction.IN)
        nets['q[33]'].setDirection(Net.Direction.IN)
        nets['d[33]'].setDirection(Net.Direction.IN)
        nets['q[34]'].setDirection(Net.Direction.IN)
        nets['d[34]'].setDirection(Net.Direction.IN)
        nets['q[35]'].setDirection(Net.Direction.IN)
        nets['d[35]'].setDirection(Net.Direction.IN)
        nets['q[36]'].setDirection(Net.Direction.IN)
        nets['d[36]'].setDirection(Net.Direction.IN)
        nets['q[37]'].setDirection(Net.Direction.IN)
        nets['d[37]'].setDirection(Net.Direction.IN)
        nets['q[38]'].setDirection(Net.Direction.IN)
        nets['d[38]'].setDirection(Net.Direction.IN)
        nets['q[39]'].setDirection(Net.Direction.IN)
        nets['d[39]'].setDirection(Net.Direction.IN)
        nets['we[5]'].setDirection(Net.Direction.IN)
        nets['q[40]'].setDirection(Net.Direction.IN)
        nets['d[40]'].setDirection(Net.Direction.IN)
        nets['q[41]'].setDirection(Net.Direction.IN)
        nets['d[41]'].setDirection(Net.Direction.IN)
        nets['q[42]'].setDirection(Net.Direction.IN)
        nets['d[42]'].setDirection(Net.Direction.IN)
        nets['q[43]'].setDirection(Net.Direction.IN)
        nets['d[43]'].setDirection(Net.Direction.IN)
        nets['q[44]'].setDirection(Net.Direction.IN)
        nets['d[44]'].setDirection(Net.Direction.IN)
        nets['q[45]'].setDirection(Net.Direction.IN)
        nets['d[45]'].setDirection(Net.Direction.IN)
        nets['q[46]'].setDirection(Net.Direction.IN)
        nets['d[46]'].setDirection(Net.Direction.IN)
        nets['q[47]'].setDirection(Net.Direction.IN)
        nets['d[47]'].setDirection(Net.Direction.IN)
        nets['we[6]'].setDirection(Net.Direction.IN)
        nets['q[48]'].setDirection(Net.Direction.IN)
        nets['d[48]'].setDirection(Net.Direction.IN)
        nets['q[49]'].setDirection(Net.Direction.IN)
        nets['d[49]'].setDirection(Net.Direction.IN)
        nets['q[50]'].setDirection(Net.Direction.IN)
        nets['d[50]'].setDirection(Net.Direction.IN)
        nets['q[51]'].setDirection(Net.Direction.IN)
        nets['d[51]'].setDirection(Net.Direction.IN)
        nets['q[52]'].setDirection(Net.Direction.IN)
        nets['d[52]'].setDirection(Net.Direction.IN)
        nets['q[53]'].setDirection(Net.Direction.IN)
        nets['d[53]'].setDirection(Net.Direction.IN)
        nets['q[54]'].setDirection(Net.Direction.IN)
        nets['d[54]'].setDirection(Net.Direction.IN)
        nets['q[55]'].setDirection(Net.Direction.IN)
        nets['d[55]'].setDirection(Net.Direction.IN)
        nets['we[7]'].setDirection(Net.Direction.IN)
        nets['q[56]'].setDirection(Net.Direction.IN)
        nets['d[56]'].setDirection(Net.Direction.IN)
        nets['q[57]'].setDirection(Net.Direction.IN)
        nets['d[57]'].setDirection(Net.Direction.IN)
        nets['q[58]'].setDirection(Net.Direction.IN)
        nets['d[58]'].setDirection(Net.Direction.IN)
        nets['q[59]'].setDirection(Net.Direction.IN)
        nets['d[59]'].setDirection(Net.Direction.IN)
        nets['q[60]'].setDirection(Net.Direction.IN)
        nets['d[60]'].setDirection(Net.Direction.IN)
        nets['q[61]'].setDirection(Net.Direction.IN)
        nets['d[61]'].setDirection(Net.Direction.IN)
        nets['q[62]'].setDirection(Net.Direction.IN)
        nets['d[62]'].setDirection(Net.Direction.IN)
        nets['q[63]'].setDirection(Net.Direction.IN)
        nets['d[63]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TColumn_128R8B4M']
        except:
            subcell = af.getCell('SP6TColumn_128R8B4M', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'column[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TColumn_128R8B4M']
        except:
            subcell = af.getCell('SP6TColumn_128R8B4M', 0)
        trans = Transformation(
            u(65.91999999999999), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'column[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TColumn_128R8B4M']
        except:
            subcell = af.getCell('SP6TColumn_128R8B4M', 0)
        trans = Transformation(
            u(131.83999999999997), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'column[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TColumn_128R8B4M']
        except:
            subcell = af.getCell('SP6TColumn_128R8B4M', 0)
        trans = Transformation(
            u(197.75999999999996), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'column[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TColumn_128R8B4M']
        except:
            subcell = af.getCell('SP6TColumn_128R8B4M', 0)
        trans = Transformation(
            u(263.67999999999995), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'column[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TColumn_128R8B4M']
        except:
            subcell = af.getCell('SP6TColumn_128R8B4M', 0)
        trans = Transformation(
            u(329.5999999999999), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'column[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TColumn_128R8B4M']
        except:
            subcell = af.getCell('SP6TColumn_128R8B4M', 0)
        trans = Transformation(
            u(395.51999999999987), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'column[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TColumn_128R8B4M']
        except:
            subcell = af.getCell('SP6TColumn_128R8B4M', 0)
        trans = Transformation(
            u(461.4399999999998), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'column[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TClockGenerator']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(-10.0), u(28.0), u(10.0),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'clk': Net.create(cell, 'clk'),
            'columnclk': Net.create(cell, 'columnclk'),
            'decodeclk': Net.create(cell, 'decodeclk'),
            'firstpulse': Net.create(cell, 'firstpulse'),
            'precharge_n': Net.create(cell, 'precharge_n'),
            'secondpulse': Net.create(cell, 'secondpulse'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'we_en': Net.create(cell, 'we_en'),
            'wl_en': Net.create(cell, 'wl_en'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'li',
            ((0.0,-1.2),(0.0,1.2),(28.0,1.2),(28.0,-1.2),(0.0,-1.2)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(0.0), u(2.4), u(0.0), u(28.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(0.0), u(2.4), u(0.0), u(28.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'li',
            ((0.0,-10.0),(0.0,-8.8),(28.0,-8.8),(28.0,-10.0),(0.0,-10.0)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,8.8),(0.0,10.0),(28.0,10.0),(28.0,8.8),(0.0,8.8)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(-9.4), u(1.2), u(0.0), u(28.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(-9.4), u(1.2), u(0.0), u(28.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(9.4), u(1.2), u(0.0), u(28.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(9.4), u(1.2), u(0.0), u(28.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk']
        createRL(
            tech, net, 'li',
            ((20.695,-2.83),(20.695,-2.3),(20.865,-2.3),(20.865,-2.83),(20.695,-2.83)),
        )
        createRL(
            tech, net, 'li',
            ((20.695,1.37),(20.695,1.9),(20.865,1.9),(20.865,1.37),(20.695,1.37)),
        )
        createRL(
            tech, net, 'mcon',
            ((20.695,1.37),(20.695,1.54),(20.865,1.54),(20.865,1.37),(20.695,1.37)),
        )
        createRL(
            tech, net, 'mcon',
            ((20.695,1.73),(20.695,1.9),(20.865,1.9),(20.865,1.73),(20.695,1.73)),
        )
        createRL(
            tech, net, 'mcon',
            ((20.695,-2.83),(20.695,-2.66),(20.865,-2.66),(20.865,-2.83),(20.695,-2.83)),
        )
        createRL(
            tech, net, 'mcon',
            ((20.695,-2.47),(20.695,-2.3),(20.865,-2.3),(20.865,-2.47),(20.695,-2.47)),
        )
        createRL(
            tech, net, 'm1',
            ((0.14,-2.89),(0.14,1.96),(0.695,1.96),(0.695,-2.24),(20.665,-2.24),(20.665,1.96),(20.895,1.96),(20.895,-2.89),(0.14,-2.89)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.4175), u(0.555), u(-2.89), u(1.96),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.4175), u(0.555), u(-2.89), u(1.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['firstpulse']
        createRL(
            tech, net, 'li',
            ((23.695,4.735),(23.695,5.265),(23.865,5.265),(23.865,4.735),(23.695,4.735)),
        )
        createRL(
            tech, net, 'li',
            ((16.17,4.735),(16.17,5.265),(16.34,5.265),(16.34,4.735),(16.17,4.735)),
        )
        createRL(
            tech, net, 'li',
            ((23.695,-1.9),(23.695,-1.37),(23.865,-1.37),(23.865,-1.9),(23.695,-1.9)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.17,4.735),(16.17,4.905),(16.34,4.905),(16.34,4.735),(16.17,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.17,5.095),(16.17,5.265),(16.34,5.265),(16.34,5.095),(16.17,5.095)),
        )
        createRL(
            tech, net, 'mcon',
            ((23.695,-1.9),(23.695,-1.73),(23.865,-1.73),(23.865,-1.9),(23.695,-1.9)),
        )
        createRL(
            tech, net, 'mcon',
            ((23.695,-1.54),(23.695,-1.37),(23.865,-1.37),(23.865,-1.54),(23.695,-1.54)),
        )
        createRL(
            tech, net, 'mcon',
            ((23.695,4.735),(23.695,4.905),(23.865,4.905),(23.865,4.735),(23.695,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((23.695,5.095),(23.695,5.265),(23.865,5.265),(23.865,5.095),(23.695,5.095)),
        )
        createRL(
            tech, net, 'm1',
            ((23.665,-1.96),(23.665,4.675),(16.14,4.675),(16.14,5.325),(23.895,5.325),(23.895,-1.96),(23.665,-1.96)),
        )
        net = nets['secondpulse']
        createRL(
            tech, net, 'li',
            ((26.17,-5.265),(26.17,-4.735),(26.34,-4.735),(26.34,-5.265),(26.17,-5.265)),
        )
        createRL(
            tech, net, 'li',
            ((18.17,-5.265),(18.17,-4.735),(18.34,-4.735),(18.34,-5.265),(18.17,-5.265)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.17,-5.265),(18.17,-5.095),(18.34,-5.095),(18.34,-5.265),(18.17,-5.265)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.17,-4.905),(18.17,-4.735),(18.34,-4.735),(18.34,-4.905),(18.17,-4.905)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.17,-5.265),(26.17,-5.095),(26.34,-5.095),(26.34,-5.265),(26.17,-5.265)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.17,-4.905),(26.17,-4.735),(26.34,-4.735),(26.34,-4.905),(26.17,-4.905)),
        )
        createRL(
            tech, net, 'm1',
            ((18.14,-5.325),(18.14,-4.675),(26.37,-4.675),(26.37,-5.325),(18.14,-5.325)),
        )
        net = nets['decodeclk']
        createRL(
            tech, net, 'li',
            ((21.36,1.37),(21.36,8.63),(21.53,8.63),(21.53,1.37),(21.36,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(21.445), u(0.17), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(21.445), u(0.17), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['columnclk']
        createRL(
            tech, net, 'li',
            ((21.36,-8.63),(21.36,-1.37),(21.53,-1.37),(21.53,-8.63),(21.36,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(21.445), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(21.445), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_en']
        createRL(
            tech, net, 'li',
            ((24.36,1.37),(24.36,8.63),(24.53,8.63),(24.53,1.37),(24.36,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(24.445), u(0.17), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(24.445), u(0.17), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_en']
        createRL(
            tech, net, 'li',
            ((24.36,-8.63),(24.36,-1.37),(24.53,-1.37),(24.53,-8.63),(24.36,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(24.445), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(24.445), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['precharge_n']
        createRL(
            tech, net, 'li',
            ((26.845,-8.63),(26.845,-1.37),(27.015,-1.37),(27.015,-8.63),(26.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(26.93), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(26.93), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,-10.0),(0.0,10.0),(28.0,10.0),(28.0,-10.0),(0.0,-10.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['decodeclk'].setDirection(Net.Direction.IN)
        nets['columnclk'].setDirection(Net.Direction.IN)
        nets['precharge_n'].setDirection(Net.Direction.IN)
        nets['wl_en'].setDirection(Net.Direction.IN)
        nets['we_en'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TNonOverlapClock_8S']
        except:
            subcell = af.getCell('SP6TNonOverlapClock_8S', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'nonovl', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['buf_x2']
        except:
            subcell = af.getCell('buf_x2', 0)
        trans = Transformation(
            u(20.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'decodeclkbuf', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['buf_x2']
        except:
            subcell = af.getCell('buf_x2', 0)
        trans = Transformation(
            u(20.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'columnclkbuf', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['buf_x2']
        except:
            subcell = af.getCell('buf_x2', 0)
        trans = Transformation(
            u(23.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'wlenbuf', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['buf_x2']
        except:
            subcell = af.getCell('buf_x2', 0)
        trans = Transformation(
            u(23.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'weenbuf', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x2']
        except:
            subcell = af.getCell('inv_x2', 0)
        trans = Transformation(
            u(26.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'prechargeinv', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TLatchedDecoder_2A2R']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(-10.0), u(30.0), u(10.0),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'a[0]': Net.create(cell, 'a[0]'),
            'a[1]': Net.create(cell, 'a[1]'),
            'aint[0]': Net.create(cell, 'aint[0]'),
            'aint[1]': Net.create(cell, 'aint[1]'),
            'aint_n[0]': Net.create(cell, 'aint_n[0]'),
            'aint_n[1]': Net.create(cell, 'aint_n[1]'),
            'clk': Net.create(cell, 'clk'),
            'line[0]': Net.create(cell, 'line[0]'),
            'line[1]': Net.create(cell, 'line[1]'),
            'line[2]': Net.create(cell, 'line[2]'),
            'line[3]': Net.create(cell, 'line[3]'),
            'line_n[0]': Net.create(cell, 'line_n[0]'),
            'line_n[1]': Net.create(cell, 'line_n[1]'),
            'line_n[2]': Net.create(cell, 'line_n[2]'),
            'line_n[3]': Net.create(cell, 'line_n[3]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'li',
            ((0.0,-1.2),(0.0,1.2),(30.0,1.2),(30.0,-1.2),(0.0,-1.2)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(0.0), u(2.4), u(0.0), u(30.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(0.0), u(2.4), u(0.0), u(30.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'li',
            ((0.0,-10.0),(0.0,-8.8),(30.0,-8.8),(30.0,-10.0),(0.0,-10.0)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,8.8),(0.0,10.0),(30.0,10.0),(30.0,8.8),(0.0,8.8)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(-9.4), u(1.2), u(0.0), u(30.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(-9.4), u(1.2), u(0.0), u(30.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(9.4), u(1.2), u(0.0), u(30.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(9.4), u(1.2), u(0.0), u(30.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk']
        createRL(
            tech, net, 'li',
            ((13.415,4.735),(13.415,5.265),(13.585,5.265),(13.585,4.735),(13.415,4.735)),
        )
        createRL(
            tech, net, 'li',
            ((16.415,4.735),(16.415,5.265),(16.585,5.265),(16.585,4.735),(16.415,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((13.415,4.735),(13.415,4.905),(13.585,4.905),(13.585,4.735),(13.415,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((13.415,5.095),(13.415,5.265),(13.585,5.265),(13.585,5.095),(13.415,5.095)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.415,4.735),(16.415,4.905),(16.585,4.905),(16.585,4.735),(16.415,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.415,5.095),(16.415,5.265),(16.585,5.265),(16.585,5.095),(16.415,5.095)),
        )
        createRL(
            tech, net, 'm1',
            ((13.385,4.675),(13.385,5.325),(16.615,5.325),(16.615,4.675),(13.385,4.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(5.0), u(0.65), u(13.5), u(16.5),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(5.0), u(0.65), u(13.5), u(16.5),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['line_n[0]']
        createRL(
            tech, net, 'li',
            ((3.4,-8.63),(3.4,-1.37),(4.34,-1.37),(4.34,-8.63),(3.4,-8.63)),
        )
        net = nets['line[0]']
        createRL(
            tech, net, 'li',
            ((4.845,-8.63),(4.845,-1.37),(5.015,-1.37),(5.015,-8.63),(4.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(4.93), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(4.93), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['line_n[1]']
        createRL(
            tech, net, 'li',
            ((7.4,-8.63),(7.4,-1.37),(8.34,-1.37),(8.34,-8.63),(7.4,-8.63)),
        )
        net = nets['line[1]']
        createRL(
            tech, net, 'li',
            ((8.845,-8.63),(8.845,-1.37),(9.015,-1.37),(9.015,-8.63),(8.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(8.93), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(8.93), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['line_n[2]']
        createRL(
            tech, net, 'li',
            ((11.4,-8.63),(11.4,-1.37),(12.34,-1.37),(12.34,-8.63),(11.4,-8.63)),
        )
        net = nets['line[2]']
        createRL(
            tech, net, 'li',
            ((12.845,-8.63),(12.845,-1.37),(13.015,-1.37),(13.015,-8.63),(12.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(12.93), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(12.93), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['line_n[3]']
        createRL(
            tech, net, 'li',
            ((15.4,-8.63),(15.4,-1.37),(16.34,-1.37),(16.34,-8.63),(15.4,-8.63)),
        )
        net = nets['line[3]']
        createRL(
            tech, net, 'li',
            ((16.845,-8.63),(16.845,-1.37),(17.015,-1.37),(17.015,-8.63),(16.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(16.93), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(16.93), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[0]']
        createRL(
            tech, net, 'li',
            ((10.415,1.37),(10.415,8.63),(10.585,8.63),(10.585,1.37),(10.415,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(10.5), u(0.17), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(10.5), u(0.17), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[1]']
        createRL(
            tech, net, 'li',
            ((19.415,1.37),(19.415,8.63),(19.585,8.63),(19.585,1.37),(19.415,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(19.5), u(0.17), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(19.5), u(0.17), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['aint[0]']
        createRL(
            tech, net, 'li',
            ((1.415,1.37),(1.415,1.54),(1.585,1.54),(1.585,1.37),(1.415,1.37)),
        )
        createRL(
            tech, net, 'li',
            ((6.495,-1.54),(6.495,-1.37),(6.665,-1.37),(6.665,-1.54),(6.495,-1.54)),
        )
        createRL(
            tech, net, 'li',
            ((14.495,-1.54),(14.495,-1.37),(14.665,-1.37),(14.665,-1.54),(14.495,-1.54)),
        )
        createRL(
            tech, net, 'li',
            ((0.17,-1.54),(0.17,-1.37),(0.34,-1.37),(0.34,-1.54),(0.17,-1.54)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.415,1.37),(1.415,1.54),(1.585,1.54),(1.585,1.37),(1.415,1.37)),
        )
        createRL(
            tech, net, 'mcon',
            ((6.495,-1.54),(6.495,-1.37),(6.665,-1.37),(6.665,-1.54),(6.495,-1.54)),
        )
        createRL(
            tech, net, 'mcon',
            ((14.495,-1.54),(14.495,-1.37),(14.665,-1.37),(14.665,-1.54),(14.495,-1.54)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.17,-1.54),(0.17,-1.37),(0.34,-1.37),(0.34,-1.54),(0.17,-1.54)),
        )
        createRL(
            tech, net, 'm1',
            ((0.11,-1.57),(0.11,-1.34),(1.355,-1.34),(1.355,1.57),(1.645,1.57),(1.645,-1.34),(14.725,-1.34),(14.725,-1.57),(0.11,-1.57)),
        )
        net = nets['aint[1]']
        createRL(
            tech, net, 'li',
            ((15.05,-1.91),(15.05,-1.74),(15.22,-1.74),(15.22,-1.91),(15.05,-1.91)),
        )
        createRL(
            tech, net, 'li',
            ((28.415,1.37),(28.415,1.54),(28.585,1.54),(28.585,1.37),(28.415,1.37)),
        )
        createRL(
            tech, net, 'li',
            ((11.05,-1.91),(11.05,-1.74),(11.22,-1.74),(11.22,-1.91),(11.05,-1.91)),
        )
        createRL(
            tech, net, 'li',
            ((28.17,-1.91),(28.17,-1.74),(28.34,-1.74),(28.34,-1.91),(28.17,-1.91)),
        )
        createRL(
            tech, net, 'mcon',
            ((15.05,-1.91),(15.05,-1.74),(15.22,-1.74),(15.22,-1.91),(15.05,-1.91)),
        )
        createRL(
            tech, net, 'mcon',
            ((28.415,1.37),(28.415,1.54),(28.585,1.54),(28.585,1.37),(28.415,1.37)),
        )
        createRL(
            tech, net, 'mcon',
            ((11.05,-1.91),(11.05,-1.74),(11.22,-1.74),(11.22,-1.91),(11.05,-1.91)),
        )
        createRL(
            tech, net, 'mcon',
            ((28.17,-1.91),(28.17,-1.74),(28.34,-1.74),(28.34,-1.91),(28.17,-1.91)),
        )
        createRL(
            tech, net, 'm1',
            ((10.99,-1.94),(10.99,-1.71),(28.355,-1.71),(28.355,1.57),(28.645,1.57),(28.645,-1.94),(10.99,-1.94)),
        )
        net = nets['aint_n[0]']
        createRL(
            tech, net, 'li',
            ((10.495,-2.28),(10.495,-2.11),(10.665,-2.11),(10.665,-2.28),(10.495,-2.28)),
        )
        createRL(
            tech, net, 'li',
            ((0.845,-2.28),(0.845,-2.11),(1.015,-2.11),(1.015,-2.28),(0.845,-2.28)),
        )
        createRL(
            tech, net, 'li',
            ((2.495,-2.28),(2.495,-2.11),(2.665,-2.11),(2.665,-2.28),(2.495,-2.28)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.495,-2.28),(10.495,-2.11),(10.665,-2.11),(10.665,-2.28),(10.495,-2.28)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.845,-2.28),(0.845,-2.11),(1.015,-2.11),(1.015,-2.28),(0.845,-2.28)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.495,-2.28),(2.495,-2.11),(2.665,-2.11),(2.665,-2.28),(2.495,-2.28)),
        )
        createRL(
            tech, net, 'm1',
            ((0.785,-2.31),(0.785,-2.08),(10.725,-2.08),(10.725,-2.31),(0.785,-2.31)),
        )
        net = nets['aint_n[1]']
        createRL(
            tech, net, 'li',
            ((3.05,-2.65),(3.05,-2.48),(3.22,-2.48),(3.22,-2.65),(3.05,-2.65)),
        )
        createRL(
            tech, net, 'li',
            ((7.05,-2.65),(7.05,-2.48),(7.22,-2.48),(7.22,-2.65),(7.05,-2.65)),
        )
        createRL(
            tech, net, 'li',
            ((28.845,-2.65),(28.845,-2.48),(29.015,-2.48),(29.015,-2.65),(28.845,-2.65)),
        )
        createRL(
            tech, net, 'mcon',
            ((3.05,-2.65),(3.05,-2.48),(3.22,-2.48),(3.22,-2.65),(3.05,-2.65)),
        )
        createRL(
            tech, net, 'mcon',
            ((7.05,-2.65),(7.05,-2.48),(7.22,-2.48),(7.22,-2.65),(7.05,-2.65)),
        )
        createRL(
            tech, net, 'mcon',
            ((28.845,-2.65),(28.845,-2.48),(29.015,-2.48),(29.015,-2.65),(28.845,-2.65)),
        )
        createRL(
            tech, net, 'm1',
            ((2.99,-2.68),(2.99,-2.45),(29.075,-2.45),(29.075,-2.68),(2.99,-2.68)),
        )
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,-10.0),(0.0,10.0),(30.0,10.0),(30.0,-10.0),(0.0,-10.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['a[0]'].setDirection(Net.Direction.IN)
        nets['a[1]'].setDirection(Net.Direction.IN)
        nets['line[0]'].setDirection(Net.Direction.IN)
        nets['line[1]'].setDirection(Net.Direction.IN)
        nets['line[2]'].setDirection(Net.Direction.IN)
        nets['line[3]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(15.0), u(0.0), Transformation.Orientation.MY,
        )
        Instance.create(
            cell, 'aff[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(15.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'aff[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x1']
        except:
            subcell = af.getCell('inv_x1', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'ainv[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x1']
        except:
            subcell = af.getCell('inv_x1', 0)
        trans = Transformation(
            u(28.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'ainv[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['nand2_x0']
        except:
            subcell = af.getCell('nand2_x0', 0)
        trans = Transformation(
            u(2.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'linenand[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x2']
        except:
            subcell = af.getCell('inv_x2', 0)
        trans = Transformation(
            u(4.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'lineinv[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['nand2_x0']
        except:
            subcell = af.getCell('nand2_x0', 0)
        trans = Transformation(
            u(6.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'linenand[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x2']
        except:
            subcell = af.getCell('inv_x2', 0)
        trans = Transformation(
            u(8.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'lineinv[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['nand2_x0']
        except:
            subcell = af.getCell('nand2_x0', 0)
        trans = Transformation(
            u(10.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'linenand[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x2']
        except:
            subcell = af.getCell('inv_x2', 0)
        trans = Transformation(
            u(12.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'lineinv[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['nand2_x0']
        except:
            subcell = af.getCell('nand2_x0', 0)
        trans = Transformation(
            u(14.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'linenand[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x2']
        except:
            subcell = af.getCell('inv_x2', 0)
        trans = Transformation(
            u(16.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'lineinv[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TRowDecoder_3_4B']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(27.459999999999994), u(347.52),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'a[0]': Net.create(cell, 'a[0]'),
            'a[1]': Net.create(cell, 'a[1]'),
            'a[2]': Net.create(cell, 'a[2]'),
            'a[3]': Net.create(cell, 'a[3]'),
            'a[4]': Net.create(cell, 'a[4]'),
            'a[5]': Net.create(cell, 'a[5]'),
            'a[6]': Net.create(cell, 'a[6]'),
            'clk': Net.create(cell, 'clk'),
            'pd[0][0]': Net.create(cell, 'pd[0][0]'),
            'pd[0][1]': Net.create(cell, 'pd[0][1]'),
            'pd[0][2]': Net.create(cell, 'pd[0][2]'),
            'pd[0][3]': Net.create(cell, 'pd[0][3]'),
            'pd[0][4]': Net.create(cell, 'pd[0][4]'),
            'pd[0][5]': Net.create(cell, 'pd[0][5]'),
            'pd[0][6]': Net.create(cell, 'pd[0][6]'),
            'pd[0][7]': Net.create(cell, 'pd[0][7]'),
            'pd[1][0]': Net.create(cell, 'pd[1][0]'),
            'pd[1][10]': Net.create(cell, 'pd[1][10]'),
            'pd[1][11]': Net.create(cell, 'pd[1][11]'),
            'pd[1][12]': Net.create(cell, 'pd[1][12]'),
            'pd[1][13]': Net.create(cell, 'pd[1][13]'),
            'pd[1][14]': Net.create(cell, 'pd[1][14]'),
            'pd[1][15]': Net.create(cell, 'pd[1][15]'),
            'pd[1][1]': Net.create(cell, 'pd[1][1]'),
            'pd[1][2]': Net.create(cell, 'pd[1][2]'),
            'pd[1][3]': Net.create(cell, 'pd[1][3]'),
            'pd[1][4]': Net.create(cell, 'pd[1][4]'),
            'pd[1][5]': Net.create(cell, 'pd[1][5]'),
            'pd[1][6]': Net.create(cell, 'pd[1][6]'),
            'pd[1][7]': Net.create(cell, 'pd[1][7]'),
            'pd[1][8]': Net.create(cell, 'pd[1][8]'),
            'pd[1][9]': Net.create(cell, 'pd[1][9]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[100]': Net.create(cell, 'wl[100]'),
            'wl[101]': Net.create(cell, 'wl[101]'),
            'wl[102]': Net.create(cell, 'wl[102]'),
            'wl[103]': Net.create(cell, 'wl[103]'),
            'wl[104]': Net.create(cell, 'wl[104]'),
            'wl[105]': Net.create(cell, 'wl[105]'),
            'wl[106]': Net.create(cell, 'wl[106]'),
            'wl[107]': Net.create(cell, 'wl[107]'),
            'wl[108]': Net.create(cell, 'wl[108]'),
            'wl[109]': Net.create(cell, 'wl[109]'),
            'wl[10]': Net.create(cell, 'wl[10]'),
            'wl[110]': Net.create(cell, 'wl[110]'),
            'wl[111]': Net.create(cell, 'wl[111]'),
            'wl[112]': Net.create(cell, 'wl[112]'),
            'wl[113]': Net.create(cell, 'wl[113]'),
            'wl[114]': Net.create(cell, 'wl[114]'),
            'wl[115]': Net.create(cell, 'wl[115]'),
            'wl[116]': Net.create(cell, 'wl[116]'),
            'wl[117]': Net.create(cell, 'wl[117]'),
            'wl[118]': Net.create(cell, 'wl[118]'),
            'wl[119]': Net.create(cell, 'wl[119]'),
            'wl[11]': Net.create(cell, 'wl[11]'),
            'wl[120]': Net.create(cell, 'wl[120]'),
            'wl[121]': Net.create(cell, 'wl[121]'),
            'wl[122]': Net.create(cell, 'wl[122]'),
            'wl[123]': Net.create(cell, 'wl[123]'),
            'wl[124]': Net.create(cell, 'wl[124]'),
            'wl[125]': Net.create(cell, 'wl[125]'),
            'wl[126]': Net.create(cell, 'wl[126]'),
            'wl[127]': Net.create(cell, 'wl[127]'),
            'wl[12]': Net.create(cell, 'wl[12]'),
            'wl[13]': Net.create(cell, 'wl[13]'),
            'wl[14]': Net.create(cell, 'wl[14]'),
            'wl[15]': Net.create(cell, 'wl[15]'),
            'wl[16]': Net.create(cell, 'wl[16]'),
            'wl[17]': Net.create(cell, 'wl[17]'),
            'wl[18]': Net.create(cell, 'wl[18]'),
            'wl[19]': Net.create(cell, 'wl[19]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[20]': Net.create(cell, 'wl[20]'),
            'wl[21]': Net.create(cell, 'wl[21]'),
            'wl[22]': Net.create(cell, 'wl[22]'),
            'wl[23]': Net.create(cell, 'wl[23]'),
            'wl[24]': Net.create(cell, 'wl[24]'),
            'wl[25]': Net.create(cell, 'wl[25]'),
            'wl[26]': Net.create(cell, 'wl[26]'),
            'wl[27]': Net.create(cell, 'wl[27]'),
            'wl[28]': Net.create(cell, 'wl[28]'),
            'wl[29]': Net.create(cell, 'wl[29]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[30]': Net.create(cell, 'wl[30]'),
            'wl[31]': Net.create(cell, 'wl[31]'),
            'wl[32]': Net.create(cell, 'wl[32]'),
            'wl[33]': Net.create(cell, 'wl[33]'),
            'wl[34]': Net.create(cell, 'wl[34]'),
            'wl[35]': Net.create(cell, 'wl[35]'),
            'wl[36]': Net.create(cell, 'wl[36]'),
            'wl[37]': Net.create(cell, 'wl[37]'),
            'wl[38]': Net.create(cell, 'wl[38]'),
            'wl[39]': Net.create(cell, 'wl[39]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
            'wl[40]': Net.create(cell, 'wl[40]'),
            'wl[41]': Net.create(cell, 'wl[41]'),
            'wl[42]': Net.create(cell, 'wl[42]'),
            'wl[43]': Net.create(cell, 'wl[43]'),
            'wl[44]': Net.create(cell, 'wl[44]'),
            'wl[45]': Net.create(cell, 'wl[45]'),
            'wl[46]': Net.create(cell, 'wl[46]'),
            'wl[47]': Net.create(cell, 'wl[47]'),
            'wl[48]': Net.create(cell, 'wl[48]'),
            'wl[49]': Net.create(cell, 'wl[49]'),
            'wl[4]': Net.create(cell, 'wl[4]'),
            'wl[50]': Net.create(cell, 'wl[50]'),
            'wl[51]': Net.create(cell, 'wl[51]'),
            'wl[52]': Net.create(cell, 'wl[52]'),
            'wl[53]': Net.create(cell, 'wl[53]'),
            'wl[54]': Net.create(cell, 'wl[54]'),
            'wl[55]': Net.create(cell, 'wl[55]'),
            'wl[56]': Net.create(cell, 'wl[56]'),
            'wl[57]': Net.create(cell, 'wl[57]'),
            'wl[58]': Net.create(cell, 'wl[58]'),
            'wl[59]': Net.create(cell, 'wl[59]'),
            'wl[5]': Net.create(cell, 'wl[5]'),
            'wl[60]': Net.create(cell, 'wl[60]'),
            'wl[61]': Net.create(cell, 'wl[61]'),
            'wl[62]': Net.create(cell, 'wl[62]'),
            'wl[63]': Net.create(cell, 'wl[63]'),
            'wl[64]': Net.create(cell, 'wl[64]'),
            'wl[65]': Net.create(cell, 'wl[65]'),
            'wl[66]': Net.create(cell, 'wl[66]'),
            'wl[67]': Net.create(cell, 'wl[67]'),
            'wl[68]': Net.create(cell, 'wl[68]'),
            'wl[69]': Net.create(cell, 'wl[69]'),
            'wl[6]': Net.create(cell, 'wl[6]'),
            'wl[70]': Net.create(cell, 'wl[70]'),
            'wl[71]': Net.create(cell, 'wl[71]'),
            'wl[72]': Net.create(cell, 'wl[72]'),
            'wl[73]': Net.create(cell, 'wl[73]'),
            'wl[74]': Net.create(cell, 'wl[74]'),
            'wl[75]': Net.create(cell, 'wl[75]'),
            'wl[76]': Net.create(cell, 'wl[76]'),
            'wl[77]': Net.create(cell, 'wl[77]'),
            'wl[78]': Net.create(cell, 'wl[78]'),
            'wl[79]': Net.create(cell, 'wl[79]'),
            'wl[7]': Net.create(cell, 'wl[7]'),
            'wl[80]': Net.create(cell, 'wl[80]'),
            'wl[81]': Net.create(cell, 'wl[81]'),
            'wl[82]': Net.create(cell, 'wl[82]'),
            'wl[83]': Net.create(cell, 'wl[83]'),
            'wl[84]': Net.create(cell, 'wl[84]'),
            'wl[85]': Net.create(cell, 'wl[85]'),
            'wl[86]': Net.create(cell, 'wl[86]'),
            'wl[87]': Net.create(cell, 'wl[87]'),
            'wl[88]': Net.create(cell, 'wl[88]'),
            'wl[89]': Net.create(cell, 'wl[89]'),
            'wl[8]': Net.create(cell, 'wl[8]'),
            'wl[90]': Net.create(cell, 'wl[90]'),
            'wl[91]': Net.create(cell, 'wl[91]'),
            'wl[92]': Net.create(cell, 'wl[92]'),
            'wl[93]': Net.create(cell, 'wl[93]'),
            'wl[94]': Net.create(cell, 'wl[94]'),
            'wl[95]': Net.create(cell, 'wl[95]'),
            'wl[96]': Net.create(cell, 'wl[96]'),
            'wl[97]': Net.create(cell, 'wl[97]'),
            'wl[98]': Net.create(cell, 'wl[98]'),
            'wl[99]': Net.create(cell, 'wl[99]'),
            'wl[9]': Net.create(cell, 'wl[9]'),
            'wl_en': Net.create(cell, 'wl_en'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,127.475),(0.0,127.735),(27.46,127.735),(27.46,127.475),(0.0,127.475)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,279.515),(0.0,279.775),(27.46,279.775),(27.46,279.515),(0.0,279.515)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,105.755),(0.0,106.015),(27.46,106.015),(27.46,105.755),(0.0,105.755)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,84.035),(0.0,84.295),(27.46,84.295),(27.46,84.035),(0.0,84.035)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,149.195),(0.0,149.455),(27.46,149.455),(27.46,149.195),(0.0,149.195)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,170.915),(0.0,171.175),(27.46,171.175),(27.46,170.915),(0.0,170.915)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,257.795),(0.0,258.055),(27.46,258.055),(27.46,257.795),(0.0,257.795)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,236.075),(0.0,236.335),(27.46,236.335),(27.46,236.075),(0.0,236.075)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,214.355),(0.0,214.615),(27.46,214.615),(27.46,214.355),(0.0,214.355)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,301.235),(0.0,301.495),(27.46,301.495),(27.46,301.235),(0.0,301.235)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,192.635),(0.0,192.895),(27.46,192.895),(27.46,192.635),(0.0,192.635)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,322.955),(0.0,323.215),(27.46,323.215),(27.46,322.955),(0.0,322.955)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,344.675),(0.0,344.935),(27.46,344.935),(27.46,344.675),(0.0,344.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(127.605), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(127.605), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(279.645), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(279.645), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(105.885), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(105.885), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(84.165), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(84.165), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(149.325), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(149.325), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(171.045), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(171.045), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(257.925), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(257.925), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(236.205), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(236.205), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(214.485), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(214.485), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(301.365), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(301.365), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(192.765), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(192.765), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(323.085), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(323.085), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(344.805), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(344.805), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        createRL(
            tech, net, 'li',
            ((8.8,149.195),(8.8,149.455),(11.2,149.455),(11.2,149.195),(8.8,149.195)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,170.915),(8.8,171.175),(11.2,171.175),(11.2,170.915),(8.8,170.915)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,279.515),(8.8,279.775),(11.2,279.775),(11.2,279.515),(8.8,279.515)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,257.795),(8.8,258.055),(11.2,258.055),(11.2,257.795),(8.8,257.795)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,236.075),(8.8,236.335),(11.2,236.335),(11.2,236.075),(8.8,236.075)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,301.235),(8.8,301.495),(11.2,301.495),(11.2,301.235),(8.8,301.235)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,192.635),(8.8,192.895),(11.2,192.895),(11.2,192.635),(8.8,192.635)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,214.355),(8.8,214.615),(11.2,214.615),(11.2,214.355),(8.8,214.355)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,322.955),(8.8,323.215),(11.2,323.215),(11.2,322.955),(8.8,322.955)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,344.675),(8.8,344.935),(11.2,344.935),(11.2,344.675),(8.8,344.675)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,127.475),(8.8,127.735),(11.2,127.735),(11.2,127.475),(8.8,127.475)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,105.755),(8.8,106.015),(11.2,106.015),(11.2,105.755),(8.8,105.755)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,84.035),(8.8,84.295),(11.2,84.295),(11.2,84.035),(8.8,84.035)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,301.28),(10.155,301.45),(10.325,301.45),(10.325,301.28),(10.155,301.28)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,301.28),(10.515,301.45),(10.685,301.45),(10.685,301.28),(10.515,301.28)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,301.28),(10.875,301.45),(11.045,301.45),(11.045,301.28),(10.875,301.28)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,84.08),(10.155,84.25),(10.325,84.25),(10.325,84.08),(10.155,84.08)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,84.08),(10.515,84.25),(10.685,84.25),(10.685,84.08),(10.515,84.08)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,84.08),(10.875,84.25),(11.045,84.25),(11.045,84.08),(10.875,84.08)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,170.96),(10.155,171.13),(10.325,171.13),(10.325,170.96),(10.155,170.96)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,170.96),(10.515,171.13),(10.685,171.13),(10.685,170.96),(10.515,170.96)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,170.96),(10.875,171.13),(11.045,171.13),(11.045,170.96),(10.875,170.96)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,127.52),(8.955,127.69),(9.125,127.69),(9.125,127.52),(8.955,127.52)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,127.52),(9.315,127.69),(9.485,127.69),(9.485,127.52),(9.315,127.52)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,127.52),(9.675,127.69),(9.845,127.69),(9.845,127.52),(9.675,127.52)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,323.0),(10.155,323.17),(10.325,323.17),(10.325,323.0),(10.155,323.0)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,323.0),(10.515,323.17),(10.685,323.17),(10.685,323.0),(10.515,323.0)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,323.0),(10.875,323.17),(11.045,323.17),(11.045,323.0),(10.875,323.0)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,149.24),(10.155,149.41),(10.325,149.41),(10.325,149.24),(10.155,149.24)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,149.24),(10.515,149.41),(10.685,149.41),(10.685,149.24),(10.515,149.24)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,149.24),(10.875,149.41),(11.045,149.41),(11.045,149.24),(10.875,149.24)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,257.84),(10.155,258.01),(10.325,258.01),(10.325,257.84),(10.155,257.84)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,257.84),(10.515,258.01),(10.685,258.01),(10.685,257.84),(10.515,257.84)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,257.84),(10.875,258.01),(11.045,258.01),(11.045,257.84),(10.875,257.84)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,301.28),(8.955,301.45),(9.125,301.45),(9.125,301.28),(8.955,301.28)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,301.28),(9.315,301.45),(9.485,301.45),(9.485,301.28),(9.315,301.28)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,301.28),(9.675,301.45),(9.845,301.45),(9.845,301.28),(9.675,301.28)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,257.84),(8.955,258.01),(9.125,258.01),(9.125,257.84),(8.955,257.84)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,257.84),(9.315,258.01),(9.485,258.01),(9.485,257.84),(9.315,257.84)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,257.84),(9.675,258.01),(9.845,258.01),(9.845,257.84),(9.675,257.84)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,170.96),(8.955,171.13),(9.125,171.13),(9.125,170.96),(8.955,170.96)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,170.96),(9.315,171.13),(9.485,171.13),(9.485,170.96),(9.315,170.96)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,170.96),(9.675,171.13),(9.845,171.13),(9.845,170.96),(9.675,170.96)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,279.56),(8.955,279.73),(9.125,279.73),(9.125,279.56),(8.955,279.56)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,279.56),(9.315,279.73),(9.485,279.73),(9.485,279.56),(9.315,279.56)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,279.56),(9.675,279.73),(9.845,279.73),(9.845,279.56),(9.675,279.56)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,127.52),(10.155,127.69),(10.325,127.69),(10.325,127.52),(10.155,127.52)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,127.52),(10.515,127.69),(10.685,127.69),(10.685,127.52),(10.515,127.52)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,127.52),(10.875,127.69),(11.045,127.69),(11.045,127.52),(10.875,127.52)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,192.68),(10.155,192.85),(10.325,192.85),(10.325,192.68),(10.155,192.68)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,192.68),(10.515,192.85),(10.685,192.85),(10.685,192.68),(10.515,192.68)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,192.68),(10.875,192.85),(11.045,192.85),(11.045,192.68),(10.875,192.68)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,214.4),(10.155,214.57),(10.325,214.57),(10.325,214.4),(10.155,214.4)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,214.4),(10.515,214.57),(10.685,214.57),(10.685,214.4),(10.515,214.4)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,214.4),(10.875,214.57),(11.045,214.57),(11.045,214.4),(10.875,214.4)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,105.8),(8.955,105.97),(9.125,105.97),(9.125,105.8),(8.955,105.8)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,105.8),(9.315,105.97),(9.485,105.97),(9.485,105.8),(9.315,105.8)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,105.8),(9.675,105.97),(9.845,105.97),(9.845,105.8),(9.675,105.8)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,149.24),(8.955,149.41),(9.125,149.41),(9.125,149.24),(8.955,149.24)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,149.24),(9.315,149.41),(9.485,149.41),(9.485,149.24),(9.315,149.24)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,149.24),(9.675,149.41),(9.845,149.41),(9.845,149.24),(9.675,149.24)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,236.12),(10.155,236.29),(10.325,236.29),(10.325,236.12),(10.155,236.12)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,236.12),(10.515,236.29),(10.685,236.29),(10.685,236.12),(10.515,236.12)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,236.12),(10.875,236.29),(11.045,236.29),(11.045,236.12),(10.875,236.12)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,84.08),(8.955,84.25),(9.125,84.25),(9.125,84.08),(8.955,84.08)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,84.08),(9.315,84.25),(9.485,84.25),(9.485,84.08),(9.315,84.08)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,84.08),(9.675,84.25),(9.845,84.25),(9.845,84.08),(9.675,84.08)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,192.68),(8.955,192.85),(9.125,192.85),(9.125,192.68),(8.955,192.68)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,192.68),(9.315,192.85),(9.485,192.85),(9.485,192.68),(9.315,192.68)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,192.68),(9.675,192.85),(9.845,192.85),(9.845,192.68),(9.675,192.68)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,323.0),(8.955,323.17),(9.125,323.17),(9.125,323.0),(8.955,323.0)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,323.0),(9.315,323.17),(9.485,323.17),(9.485,323.0),(9.315,323.0)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,323.0),(9.675,323.17),(9.845,323.17),(9.845,323.0),(9.675,323.0)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,344.72),(8.955,344.89),(9.125,344.89),(9.125,344.72),(8.955,344.72)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,344.72),(9.315,344.89),(9.485,344.89),(9.485,344.72),(9.315,344.72)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,344.72),(9.675,344.89),(9.845,344.89),(9.845,344.72),(9.675,344.72)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,105.8),(10.155,105.97),(10.325,105.97),(10.325,105.8),(10.155,105.8)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,105.8),(10.515,105.97),(10.685,105.97),(10.685,105.8),(10.515,105.8)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,105.8),(10.875,105.97),(11.045,105.97),(11.045,105.8),(10.875,105.8)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,236.12),(8.955,236.29),(9.125,236.29),(9.125,236.12),(8.955,236.12)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,236.12),(9.315,236.29),(9.485,236.29),(9.485,236.12),(9.315,236.12)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,236.12),(9.675,236.29),(9.845,236.29),(9.845,236.12),(9.675,236.12)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,344.72),(10.155,344.89),(10.325,344.89),(10.325,344.72),(10.155,344.72)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,344.72),(10.515,344.89),(10.685,344.89),(10.685,344.72),(10.515,344.72)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,344.72),(10.875,344.89),(11.045,344.89),(11.045,344.72),(10.875,344.72)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,279.56),(10.155,279.73),(10.325,279.73),(10.325,279.56),(10.155,279.56)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,279.56),(10.515,279.73),(10.685,279.73),(10.685,279.56),(10.515,279.56)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,279.56),(10.875,279.73),(11.045,279.73),(11.045,279.56),(10.875,279.56)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,214.4),(8.955,214.57),(9.125,214.57),(9.125,214.4),(8.955,214.4)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,214.4),(9.315,214.57),(9.485,214.57),(9.485,214.4),(9.315,214.4)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,214.4),(9.675,214.57),(9.845,214.57),(9.845,214.4),(9.675,214.4)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,149.195),(8.8,149.455),(11.2,149.455),(11.2,149.195),(8.8,149.195)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,170.915),(8.8,171.175),(11.2,171.175),(11.2,170.915),(8.8,170.915)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,279.515),(8.8,279.775),(11.2,279.775),(11.2,279.515),(8.8,279.515)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,257.795),(8.8,258.055),(11.2,258.055),(11.2,257.795),(8.8,257.795)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,236.075),(8.8,236.335),(11.2,236.335),(11.2,236.075),(8.8,236.075)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,301.235),(8.8,301.495),(11.2,301.495),(11.2,301.235),(8.8,301.235)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,192.635),(8.8,192.895),(11.2,192.895),(11.2,192.635),(8.8,192.635)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,214.355),(8.8,214.615),(11.2,214.615),(11.2,214.355),(8.8,214.355)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,322.955),(8.8,323.215),(11.2,323.215),(11.2,322.955),(8.8,322.955)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,344.675),(8.8,344.935),(11.2,344.935),(11.2,344.675),(8.8,344.675)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,127.475),(8.8,127.735),(11.2,127.735),(11.2,127.475),(8.8,127.475)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,105.755),(8.8,106.015),(11.2,106.015),(11.2,105.755),(8.8,105.755)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,84.035),(8.8,84.295),(11.2,84.295),(11.2,84.035),(8.8,84.035)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,170.97),(9.005,171.12),(9.155,171.12),(9.155,170.97),(9.005,170.97)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,170.97),(9.325,171.12),(9.475,171.12),(9.475,170.97),(9.325,170.97)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,170.97),(9.645,171.12),(9.795,171.12),(9.795,170.97),(9.645,170.97)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,257.85),(10.205,258.0),(10.355,258.0),(10.355,257.85),(10.205,257.85)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,257.85),(10.525,258.0),(10.675,258.0),(10.675,257.85),(10.525,257.85)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,257.85),(10.845,258.0),(10.995,258.0),(10.995,257.85),(10.845,257.85)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,301.29),(10.205,301.44),(10.355,301.44),(10.355,301.29),(10.205,301.29)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,301.29),(10.525,301.44),(10.675,301.44),(10.675,301.29),(10.525,301.29)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,301.29),(10.845,301.44),(10.995,301.44),(10.995,301.29),(10.845,301.29)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,344.73),(9.005,344.88),(9.155,344.88),(9.155,344.73),(9.005,344.73)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,344.73),(9.325,344.88),(9.475,344.88),(9.475,344.73),(9.325,344.73)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,344.73),(9.645,344.88),(9.795,344.88),(9.795,344.73),(9.645,344.73)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,84.09),(10.205,84.24),(10.355,84.24),(10.355,84.09),(10.205,84.09)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,84.09),(10.525,84.24),(10.675,84.24),(10.675,84.09),(10.525,84.09)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,84.09),(10.845,84.24),(10.995,84.24),(10.995,84.09),(10.845,84.09)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,127.53),(9.005,127.68),(9.155,127.68),(9.155,127.53),(9.005,127.53)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,127.53),(9.325,127.68),(9.475,127.68),(9.475,127.53),(9.325,127.53)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,127.53),(9.645,127.68),(9.795,127.68),(9.795,127.53),(9.645,127.53)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,236.13),(9.005,236.28),(9.155,236.28),(9.155,236.13),(9.005,236.13)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,236.13),(9.325,236.28),(9.475,236.28),(9.475,236.13),(9.325,236.13)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,236.13),(9.645,236.28),(9.795,236.28),(9.795,236.13),(9.645,236.13)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,170.97),(10.205,171.12),(10.355,171.12),(10.355,170.97),(10.205,170.97)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,170.97),(10.525,171.12),(10.675,171.12),(10.675,170.97),(10.525,170.97)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,170.97),(10.845,171.12),(10.995,171.12),(10.995,170.97),(10.845,170.97)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,84.09),(9.005,84.24),(9.155,84.24),(9.155,84.09),(9.005,84.09)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,84.09),(9.325,84.24),(9.475,84.24),(9.475,84.09),(9.325,84.09)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,84.09),(9.645,84.24),(9.795,84.24),(9.795,84.09),(9.645,84.09)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,279.57),(10.205,279.72),(10.355,279.72),(10.355,279.57),(10.205,279.57)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,279.57),(10.525,279.72),(10.675,279.72),(10.675,279.57),(10.525,279.57)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,279.57),(10.845,279.72),(10.995,279.72),(10.995,279.57),(10.845,279.57)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,323.01),(9.005,323.16),(9.155,323.16),(9.155,323.01),(9.005,323.01)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,323.01),(9.325,323.16),(9.475,323.16),(9.475,323.01),(9.325,323.01)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,323.01),(9.645,323.16),(9.795,323.16),(9.795,323.01),(9.645,323.01)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,105.81),(9.005,105.96),(9.155,105.96),(9.155,105.81),(9.005,105.81)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,105.81),(9.325,105.96),(9.475,105.96),(9.475,105.81),(9.325,105.81)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,105.81),(9.645,105.96),(9.795,105.96),(9.795,105.81),(9.645,105.81)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,192.69),(9.005,192.84),(9.155,192.84),(9.155,192.69),(9.005,192.69)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,192.69),(9.325,192.84),(9.475,192.84),(9.475,192.69),(9.325,192.69)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,192.69),(9.645,192.84),(9.795,192.84),(9.795,192.69),(9.645,192.69)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,279.57),(9.005,279.72),(9.155,279.72),(9.155,279.57),(9.005,279.57)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,279.57),(9.325,279.72),(9.475,279.72),(9.475,279.57),(9.325,279.57)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,279.57),(9.645,279.72),(9.795,279.72),(9.795,279.57),(9.645,279.57)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,257.85),(9.005,258.0),(9.155,258.0),(9.155,257.85),(9.005,257.85)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,257.85),(9.325,258.0),(9.475,258.0),(9.475,257.85),(9.325,257.85)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,257.85),(9.645,258.0),(9.795,258.0),(9.795,257.85),(9.645,257.85)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,236.13),(10.205,236.28),(10.355,236.28),(10.355,236.13),(10.205,236.13)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,236.13),(10.525,236.28),(10.675,236.28),(10.675,236.13),(10.525,236.13)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,236.13),(10.845,236.28),(10.995,236.28),(10.995,236.13),(10.845,236.13)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,192.69),(10.205,192.84),(10.355,192.84),(10.355,192.69),(10.205,192.69)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,192.69),(10.525,192.84),(10.675,192.84),(10.675,192.69),(10.525,192.69)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,192.69),(10.845,192.84),(10.995,192.84),(10.995,192.69),(10.845,192.69)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,127.53),(10.205,127.68),(10.355,127.68),(10.355,127.53),(10.205,127.53)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,127.53),(10.525,127.68),(10.675,127.68),(10.675,127.53),(10.525,127.53)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,127.53),(10.845,127.68),(10.995,127.68),(10.995,127.53),(10.845,127.53)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,149.25),(9.005,149.4),(9.155,149.4),(9.155,149.25),(9.005,149.25)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,149.25),(9.325,149.4),(9.475,149.4),(9.475,149.25),(9.325,149.25)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,149.25),(9.645,149.4),(9.795,149.4),(9.795,149.25),(9.645,149.25)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,214.41),(10.205,214.56),(10.355,214.56),(10.355,214.41),(10.205,214.41)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,214.41),(10.525,214.56),(10.675,214.56),(10.675,214.41),(10.525,214.41)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,214.41),(10.845,214.56),(10.995,214.56),(10.995,214.41),(10.845,214.41)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,323.01),(10.205,323.16),(10.355,323.16),(10.355,323.01),(10.205,323.01)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,323.01),(10.525,323.16),(10.675,323.16),(10.675,323.01),(10.525,323.01)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,323.01),(10.845,323.16),(10.995,323.16),(10.995,323.01),(10.845,323.01)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,149.25),(10.205,149.4),(10.355,149.4),(10.355,149.25),(10.205,149.25)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,149.25),(10.525,149.4),(10.675,149.4),(10.675,149.25),(10.525,149.25)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,149.25),(10.845,149.4),(10.995,149.4),(10.995,149.25),(10.845,149.25)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,344.73),(10.205,344.88),(10.355,344.88),(10.355,344.73),(10.205,344.73)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,344.73),(10.525,344.88),(10.675,344.88),(10.675,344.73),(10.525,344.73)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,344.73),(10.845,344.88),(10.995,344.88),(10.995,344.73),(10.845,344.73)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,105.81),(10.205,105.96),(10.355,105.96),(10.355,105.81),(10.205,105.81)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,105.81),(10.525,105.96),(10.675,105.96),(10.675,105.81),(10.525,105.81)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,105.81),(10.845,105.96),(10.995,105.96),(10.995,105.81),(10.845,105.81)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,214.41),(9.005,214.56),(9.155,214.56),(9.155,214.41),(9.005,214.41)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,214.41),(9.325,214.56),(9.475,214.56),(9.475,214.41),(9.325,214.41)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,214.41),(9.645,214.56),(9.795,214.56),(9.795,214.41),(9.645,214.41)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,301.29),(9.005,301.44),(9.155,301.44),(9.155,301.29),(9.005,301.29)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,301.29),(9.325,301.44),(9.475,301.44),(9.475,301.29),(9.325,301.29)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,301.29),(9.645,301.44),(9.795,301.44),(9.795,301.29),(9.645,301.29)),
        )
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,260.51),(0.0,260.77),(27.46,260.77),(27.46,260.51),(0.0,260.51)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,86.75),(0.0,87.01),(27.46,87.01),(27.46,86.75),(0.0,86.75)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,238.79),(0.0,239.05),(27.46,239.05),(27.46,238.79),(0.0,238.79)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,282.23),(0.0,282.49),(27.46,282.49),(27.46,282.23),(0.0,282.23)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,217.07),(0.0,217.33),(27.46,217.33),(27.46,217.07),(0.0,217.07)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,325.67),(0.0,325.93),(27.46,325.93),(27.46,325.67),(0.0,325.67)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,151.91),(0.0,152.17),(27.46,152.17),(27.46,151.91),(0.0,151.91)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,195.35),(0.0,195.61),(27.46,195.61),(27.46,195.35),(0.0,195.35)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,347.39),(0.0,347.65),(27.46,347.65),(27.46,347.39),(0.0,347.39)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,108.47),(0.0,108.73),(27.46,108.73),(27.46,108.47),(0.0,108.47)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,130.19),(0.0,130.45),(27.46,130.45),(27.46,130.19),(0.0,130.19)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,173.63),(0.0,173.89),(27.46,173.89),(27.46,173.63),(0.0,173.63)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,303.95),(0.0,304.21),(27.46,304.21),(27.46,303.95),(0.0,303.95)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(260.64), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(260.64), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(86.88), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(86.88), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(238.92), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(238.92), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(282.36), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(282.36), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(217.2), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(217.2), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(325.8), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(325.8), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(152.04), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(152.04), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(195.48), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(195.48), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(347.52), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(347.52), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(108.6), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(108.6), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(130.32), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(130.32), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(173.76), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(173.76), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(304.08), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(304.08), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        createRL(
            tech, net, 'li',
            ((18.8,282.23),(18.8,282.49),(20.0,282.49),(20.0,282.23),(18.8,282.23)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,86.75),(0.0,87.01),(1.2,87.01),(1.2,86.75),(0.0,86.75)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,303.95),(0.0,304.21),(1.2,304.21),(1.2,303.95),(0.0,303.95)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,238.79),(0.0,239.05),(1.2,239.05),(1.2,238.79),(0.0,238.79)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,173.63),(0.0,173.89),(1.2,173.89),(1.2,173.63),(0.0,173.63)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,173.63),(18.8,173.89),(20.0,173.89),(20.0,173.63),(18.8,173.63)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,108.47),(18.8,108.73),(20.0,108.73),(20.0,108.47),(18.8,108.47)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,195.35),(0.0,195.61),(1.2,195.61),(1.2,195.35),(0.0,195.35)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,303.95),(18.8,304.21),(20.0,304.21),(20.0,303.95),(18.8,303.95)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,325.67),(18.8,325.93),(20.0,325.93),(20.0,325.67),(18.8,325.67)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,260.51),(0.0,260.77),(1.2,260.77),(1.2,260.51),(0.0,260.51)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,325.67),(0.0,325.93),(1.2,325.93),(1.2,325.67),(0.0,325.67)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,347.39),(0.0,347.65),(1.2,347.65),(1.2,347.39),(0.0,347.39)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,217.07),(0.0,217.33),(1.2,217.33),(1.2,217.07),(0.0,217.07)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,151.91),(0.0,152.17),(1.2,152.17),(1.2,151.91),(0.0,151.91)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,108.47),(0.0,108.73),(1.2,108.73),(1.2,108.47),(0.0,108.47)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,130.19),(18.8,130.45),(20.0,130.45),(20.0,130.19),(18.8,130.19)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,151.91),(18.8,152.17),(20.0,152.17),(20.0,151.91),(18.8,151.91)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,195.35),(18.8,195.61),(20.0,195.61),(20.0,195.35),(18.8,195.35)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,86.75),(18.8,87.01),(20.0,87.01),(20.0,86.75),(18.8,86.75)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,238.79),(18.8,239.05),(20.0,239.05),(20.0,238.79),(18.8,238.79)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,217.07),(18.8,217.33),(20.0,217.33),(20.0,217.07),(18.8,217.07)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,347.39),(18.8,347.65),(20.0,347.65),(20.0,347.39),(18.8,347.39)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,130.19),(0.0,130.45),(1.2,130.45),(1.2,130.19),(0.0,130.19)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,282.23),(0.0,282.49),(1.2,282.49),(1.2,282.23),(0.0,282.23)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,260.51),(18.8,260.77),(20.0,260.77),(20.0,260.51),(18.8,260.51)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,303.995),(18.955,304.165),(19.125,304.165),(19.125,303.995),(18.955,303.995)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,303.995),(19.315,304.165),(19.485,304.165),(19.485,303.995),(19.315,303.995)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,303.995),(19.675,304.165),(19.845,304.165),(19.845,303.995),(19.675,303.995)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,130.235),(0.155,130.405),(0.325,130.405),(0.325,130.235),(0.155,130.235)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,130.235),(0.515,130.405),(0.685,130.405),(0.685,130.235),(0.515,130.235)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,130.235),(0.875,130.405),(1.045,130.405),(1.045,130.235),(0.875,130.235)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,325.715),(18.955,325.885),(19.125,325.885),(19.125,325.715),(18.955,325.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,325.715),(19.315,325.885),(19.485,325.885),(19.485,325.715),(19.315,325.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,325.715),(19.675,325.885),(19.845,325.885),(19.845,325.715),(19.675,325.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,303.995),(0.155,304.165),(0.325,304.165),(0.325,303.995),(0.155,303.995)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,303.995),(0.515,304.165),(0.685,304.165),(0.685,303.995),(0.515,303.995)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,303.995),(0.875,304.165),(1.045,304.165),(1.045,303.995),(0.875,303.995)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,217.115),(18.955,217.285),(19.125,217.285),(19.125,217.115),(18.955,217.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,217.115),(19.315,217.285),(19.485,217.285),(19.485,217.115),(19.315,217.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,217.115),(19.675,217.285),(19.845,217.285),(19.845,217.115),(19.675,217.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,86.795),(0.155,86.965),(0.325,86.965),(0.325,86.795),(0.155,86.795)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,86.795),(0.515,86.965),(0.685,86.965),(0.685,86.795),(0.515,86.795)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,86.795),(0.875,86.965),(1.045,86.965),(1.045,86.795),(0.875,86.795)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,151.955),(0.155,152.125),(0.325,152.125),(0.325,151.955),(0.155,151.955)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,151.955),(0.515,152.125),(0.685,152.125),(0.685,151.955),(0.515,151.955)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,151.955),(0.875,152.125),(1.045,152.125),(1.045,151.955),(0.875,151.955)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,173.675),(18.955,173.845),(19.125,173.845),(19.125,173.675),(18.955,173.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,173.675),(19.315,173.845),(19.485,173.845),(19.485,173.675),(19.315,173.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,173.675),(19.675,173.845),(19.845,173.845),(19.845,173.675),(19.675,173.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,260.555),(0.155,260.725),(0.325,260.725),(0.325,260.555),(0.155,260.555)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,260.555),(0.515,260.725),(0.685,260.725),(0.685,260.555),(0.515,260.555)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,260.555),(0.875,260.725),(1.045,260.725),(1.045,260.555),(0.875,260.555)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,347.435),(0.155,347.605),(0.325,347.605),(0.325,347.435),(0.155,347.435)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,347.435),(0.515,347.605),(0.685,347.605),(0.685,347.435),(0.515,347.435)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,347.435),(0.875,347.605),(1.045,347.605),(1.045,347.435),(0.875,347.435)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,195.395),(0.155,195.565),(0.325,195.565),(0.325,195.395),(0.155,195.395)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,195.395),(0.515,195.565),(0.685,195.565),(0.685,195.395),(0.515,195.395)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,195.395),(0.875,195.565),(1.045,195.565),(1.045,195.395),(0.875,195.395)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,325.715),(0.155,325.885),(0.325,325.885),(0.325,325.715),(0.155,325.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,325.715),(0.515,325.885),(0.685,325.885),(0.685,325.715),(0.515,325.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,325.715),(0.875,325.885),(1.045,325.885),(1.045,325.715),(0.875,325.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,108.515),(0.155,108.685),(0.325,108.685),(0.325,108.515),(0.155,108.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,108.515),(0.515,108.685),(0.685,108.685),(0.685,108.515),(0.515,108.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,108.515),(0.875,108.685),(1.045,108.685),(1.045,108.515),(0.875,108.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,260.555),(18.955,260.725),(19.125,260.725),(19.125,260.555),(18.955,260.555)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,260.555),(19.315,260.725),(19.485,260.725),(19.485,260.555),(19.315,260.555)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,260.555),(19.675,260.725),(19.845,260.725),(19.845,260.555),(19.675,260.555)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,347.435),(18.955,347.605),(19.125,347.605),(19.125,347.435),(18.955,347.435)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,347.435),(19.315,347.605),(19.485,347.605),(19.485,347.435),(19.315,347.435)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,347.435),(19.675,347.605),(19.845,347.605),(19.845,347.435),(19.675,347.435)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,238.835),(0.155,239.005),(0.325,239.005),(0.325,238.835),(0.155,238.835)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,238.835),(0.515,239.005),(0.685,239.005),(0.685,238.835),(0.515,238.835)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,238.835),(0.875,239.005),(1.045,239.005),(1.045,238.835),(0.875,238.835)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,108.515),(18.955,108.685),(19.125,108.685),(19.125,108.515),(18.955,108.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,108.515),(19.315,108.685),(19.485,108.685),(19.485,108.515),(19.315,108.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,108.515),(19.675,108.685),(19.845,108.685),(19.845,108.515),(19.675,108.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,130.235),(18.955,130.405),(19.125,130.405),(19.125,130.235),(18.955,130.235)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,130.235),(19.315,130.405),(19.485,130.405),(19.485,130.235),(19.315,130.235)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,130.235),(19.675,130.405),(19.845,130.405),(19.845,130.235),(19.675,130.235)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,86.795),(18.955,86.965),(19.125,86.965),(19.125,86.795),(18.955,86.795)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,86.795),(19.315,86.965),(19.485,86.965),(19.485,86.795),(19.315,86.795)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,86.795),(19.675,86.965),(19.845,86.965),(19.845,86.795),(19.675,86.795)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,151.955),(18.955,152.125),(19.125,152.125),(19.125,151.955),(18.955,151.955)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,151.955),(19.315,152.125),(19.485,152.125),(19.485,151.955),(19.315,151.955)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,151.955),(19.675,152.125),(19.845,152.125),(19.845,151.955),(19.675,151.955)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,282.275),(18.955,282.445),(19.125,282.445),(19.125,282.275),(18.955,282.275)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,282.275),(19.315,282.445),(19.485,282.445),(19.485,282.275),(19.315,282.275)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,282.275),(19.675,282.445),(19.845,282.445),(19.845,282.275),(19.675,282.275)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,238.835),(18.955,239.005),(19.125,239.005),(19.125,238.835),(18.955,238.835)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,238.835),(19.315,239.005),(19.485,239.005),(19.485,238.835),(19.315,238.835)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,238.835),(19.675,239.005),(19.845,239.005),(19.845,238.835),(19.675,238.835)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,195.395),(18.955,195.565),(19.125,195.565),(19.125,195.395),(18.955,195.395)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,195.395),(19.315,195.565),(19.485,195.565),(19.485,195.395),(19.315,195.395)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,195.395),(19.675,195.565),(19.845,195.565),(19.845,195.395),(19.675,195.395)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,217.115),(0.155,217.285),(0.325,217.285),(0.325,217.115),(0.155,217.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,217.115),(0.515,217.285),(0.685,217.285),(0.685,217.115),(0.515,217.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,217.115),(0.875,217.285),(1.045,217.285),(1.045,217.115),(0.875,217.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,282.275),(0.155,282.445),(0.325,282.445),(0.325,282.275),(0.155,282.275)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,282.275),(0.515,282.445),(0.685,282.445),(0.685,282.275),(0.515,282.275)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,282.275),(0.875,282.445),(1.045,282.445),(1.045,282.275),(0.875,282.275)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,173.675),(0.155,173.845),(0.325,173.845),(0.325,173.675),(0.155,173.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,173.675),(0.515,173.845),(0.685,173.845),(0.685,173.675),(0.515,173.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,173.675),(0.875,173.845),(1.045,173.845),(1.045,173.675),(0.875,173.675)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,282.23),(18.8,282.49),(20.0,282.49),(20.0,282.23),(18.8,282.23)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,86.75),(0.0,87.01),(1.2,87.01),(1.2,86.75),(0.0,86.75)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,303.95),(0.0,304.21),(1.2,304.21),(1.2,303.95),(0.0,303.95)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,238.79),(0.0,239.05),(1.2,239.05),(1.2,238.79),(0.0,238.79)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,173.63),(0.0,173.89),(1.2,173.89),(1.2,173.63),(0.0,173.63)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,173.63),(18.8,173.89),(20.0,173.89),(20.0,173.63),(18.8,173.63)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,108.47),(18.8,108.73),(20.0,108.73),(20.0,108.47),(18.8,108.47)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,195.35),(0.0,195.61),(1.2,195.61),(1.2,195.35),(0.0,195.35)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,303.95),(18.8,304.21),(20.0,304.21),(20.0,303.95),(18.8,303.95)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,325.67),(18.8,325.93),(20.0,325.93),(20.0,325.67),(18.8,325.67)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,260.51),(0.0,260.77),(1.2,260.77),(1.2,260.51),(0.0,260.51)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,325.67),(0.0,325.93),(1.2,325.93),(1.2,325.67),(0.0,325.67)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,347.39),(0.0,347.65),(1.2,347.65),(1.2,347.39),(0.0,347.39)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,217.07),(0.0,217.33),(1.2,217.33),(1.2,217.07),(0.0,217.07)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,151.91),(0.0,152.17),(1.2,152.17),(1.2,151.91),(0.0,151.91)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,108.47),(0.0,108.73),(1.2,108.73),(1.2,108.47),(0.0,108.47)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,130.19),(18.8,130.45),(20.0,130.45),(20.0,130.19),(18.8,130.19)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,151.91),(18.8,152.17),(20.0,152.17),(20.0,151.91),(18.8,151.91)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,195.35),(18.8,195.61),(20.0,195.61),(20.0,195.35),(18.8,195.35)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,86.75),(18.8,87.01),(20.0,87.01),(20.0,86.75),(18.8,86.75)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,238.79),(18.8,239.05),(20.0,239.05),(20.0,238.79),(18.8,238.79)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,217.07),(18.8,217.33),(20.0,217.33),(20.0,217.07),(18.8,217.07)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,347.39),(18.8,347.65),(20.0,347.65),(20.0,347.39),(18.8,347.39)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,130.19),(0.0,130.45),(1.2,130.45),(1.2,130.19),(0.0,130.19)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,282.23),(0.0,282.49),(1.2,282.49),(1.2,282.23),(0.0,282.23)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,260.51),(18.8,260.77),(20.0,260.77),(20.0,260.51),(18.8,260.51)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,304.005),(19.005,304.155),(19.155,304.155),(19.155,304.005),(19.005,304.005)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,304.005),(19.325,304.155),(19.475,304.155),(19.475,304.005),(19.325,304.005)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,304.005),(19.645,304.155),(19.795,304.155),(19.795,304.005),(19.645,304.005)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,108.525),(19.005,108.675),(19.155,108.675),(19.155,108.525),(19.005,108.525)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,108.525),(19.325,108.675),(19.475,108.675),(19.475,108.525),(19.325,108.525)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,108.525),(19.645,108.675),(19.795,108.675),(19.795,108.525),(19.645,108.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,238.845),(0.205,238.995),(0.355,238.995),(0.355,238.845),(0.205,238.845)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,238.845),(0.525,238.995),(0.675,238.995),(0.675,238.845),(0.525,238.845)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,238.845),(0.845,238.995),(0.995,238.995),(0.995,238.845),(0.845,238.845)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,282.285),(0.205,282.435),(0.355,282.435),(0.355,282.285),(0.205,282.285)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,282.285),(0.525,282.435),(0.675,282.435),(0.675,282.285),(0.525,282.285)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,282.285),(0.845,282.435),(0.995,282.435),(0.995,282.285),(0.845,282.285)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,173.685),(0.205,173.835),(0.355,173.835),(0.355,173.685),(0.205,173.685)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,173.685),(0.525,173.835),(0.675,173.835),(0.675,173.685),(0.525,173.685)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,173.685),(0.845,173.835),(0.995,173.835),(0.995,173.685),(0.845,173.685)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,347.445),(0.205,347.595),(0.355,347.595),(0.355,347.445),(0.205,347.445)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,347.445),(0.525,347.595),(0.675,347.595),(0.675,347.445),(0.525,347.445)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,347.445),(0.845,347.595),(0.995,347.595),(0.995,347.445),(0.845,347.445)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,238.845),(19.005,238.995),(19.155,238.995),(19.155,238.845),(19.005,238.845)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,238.845),(19.325,238.995),(19.475,238.995),(19.475,238.845),(19.325,238.845)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,238.845),(19.645,238.995),(19.795,238.995),(19.795,238.845),(19.645,238.845)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,325.725),(0.205,325.875),(0.355,325.875),(0.355,325.725),(0.205,325.725)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,325.725),(0.525,325.875),(0.675,325.875),(0.675,325.725),(0.525,325.725)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,325.725),(0.845,325.875),(0.995,325.875),(0.995,325.725),(0.845,325.725)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,86.805),(19.005,86.955),(19.155,86.955),(19.155,86.805),(19.005,86.805)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,86.805),(19.325,86.955),(19.475,86.955),(19.475,86.805),(19.325,86.805)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,86.805),(19.645,86.955),(19.795,86.955),(19.795,86.805),(19.645,86.805)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,217.125),(0.205,217.275),(0.355,217.275),(0.355,217.125),(0.205,217.125)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,217.125),(0.525,217.275),(0.675,217.275),(0.675,217.125),(0.525,217.125)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,217.125),(0.845,217.275),(0.995,217.275),(0.995,217.125),(0.845,217.125)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,325.725),(19.005,325.875),(19.155,325.875),(19.155,325.725),(19.005,325.725)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,325.725),(19.325,325.875),(19.475,325.875),(19.475,325.725),(19.325,325.725)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,325.725),(19.645,325.875),(19.795,325.875),(19.795,325.725),(19.645,325.725)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,217.125),(19.005,217.275),(19.155,217.275),(19.155,217.125),(19.005,217.125)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,217.125),(19.325,217.275),(19.475,217.275),(19.475,217.125),(19.325,217.125)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,217.125),(19.645,217.275),(19.795,217.275),(19.795,217.125),(19.645,217.125)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,151.965),(19.005,152.115),(19.155,152.115),(19.155,151.965),(19.005,151.965)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,151.965),(19.325,152.115),(19.475,152.115),(19.475,151.965),(19.325,151.965)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,151.965),(19.645,152.115),(19.795,152.115),(19.795,151.965),(19.645,151.965)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,282.285),(19.005,282.435),(19.155,282.435),(19.155,282.285),(19.005,282.285)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,282.285),(19.325,282.435),(19.475,282.435),(19.475,282.285),(19.325,282.285)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,282.285),(19.645,282.435),(19.795,282.435),(19.795,282.285),(19.645,282.285)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,108.525),(0.205,108.675),(0.355,108.675),(0.355,108.525),(0.205,108.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,108.525),(0.525,108.675),(0.675,108.675),(0.675,108.525),(0.525,108.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,108.525),(0.845,108.675),(0.995,108.675),(0.995,108.525),(0.845,108.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,151.965),(0.205,152.115),(0.355,152.115),(0.355,151.965),(0.205,151.965)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,151.965),(0.525,152.115),(0.675,152.115),(0.675,151.965),(0.525,151.965)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,151.965),(0.845,152.115),(0.995,152.115),(0.995,151.965),(0.845,151.965)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,173.685),(19.005,173.835),(19.155,173.835),(19.155,173.685),(19.005,173.685)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,173.685),(19.325,173.835),(19.475,173.835),(19.475,173.685),(19.325,173.685)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,173.685),(19.645,173.835),(19.795,173.835),(19.795,173.685),(19.645,173.685)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,260.565),(19.005,260.715),(19.155,260.715),(19.155,260.565),(19.005,260.565)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,260.565),(19.325,260.715),(19.475,260.715),(19.475,260.565),(19.325,260.565)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,260.565),(19.645,260.715),(19.795,260.715),(19.795,260.565),(19.645,260.565)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,195.405),(19.005,195.555),(19.155,195.555),(19.155,195.405),(19.005,195.405)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,195.405),(19.325,195.555),(19.475,195.555),(19.475,195.405),(19.325,195.405)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,195.405),(19.645,195.555),(19.795,195.555),(19.795,195.405),(19.645,195.405)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,195.405),(0.205,195.555),(0.355,195.555),(0.355,195.405),(0.205,195.405)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,195.405),(0.525,195.555),(0.675,195.555),(0.675,195.405),(0.525,195.405)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,195.405),(0.845,195.555),(0.995,195.555),(0.995,195.405),(0.845,195.405)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,130.245),(0.205,130.395),(0.355,130.395),(0.355,130.245),(0.205,130.245)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,130.245),(0.525,130.395),(0.675,130.395),(0.675,130.245),(0.525,130.245)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,130.245),(0.845,130.395),(0.995,130.395),(0.995,130.245),(0.845,130.245)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,260.565),(0.205,260.715),(0.355,260.715),(0.355,260.565),(0.205,260.565)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,260.565),(0.525,260.715),(0.675,260.715),(0.675,260.565),(0.525,260.565)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,260.565),(0.845,260.715),(0.995,260.715),(0.995,260.565),(0.845,260.565)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,304.005),(0.205,304.155),(0.355,304.155),(0.355,304.005),(0.205,304.005)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,304.005),(0.525,304.155),(0.675,304.155),(0.675,304.005),(0.525,304.005)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,304.005),(0.845,304.155),(0.995,304.155),(0.995,304.005),(0.845,304.005)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,86.805),(0.205,86.955),(0.355,86.955),(0.355,86.805),(0.205,86.805)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,86.805),(0.525,86.955),(0.675,86.955),(0.675,86.805),(0.525,86.805)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,86.805),(0.845,86.955),(0.995,86.955),(0.995,86.805),(0.845,86.805)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,347.445),(19.005,347.595),(19.155,347.595),(19.155,347.445),(19.005,347.445)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,347.445),(19.325,347.595),(19.475,347.595),(19.475,347.445),(19.325,347.445)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,347.445),(19.645,347.595),(19.795,347.595),(19.795,347.445),(19.645,347.445)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,130.245),(19.005,130.395),(19.155,130.395),(19.155,130.245),(19.005,130.245)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,130.245),(19.325,130.395),(19.475,130.395),(19.475,130.245),(19.325,130.245)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,130.245),(19.645,130.395),(19.795,130.395),(19.795,130.245),(19.645,130.245)),
        )
        createRL(
            tech, net, 'nwm',
            ((19.96,-1.14),(19.96,347.52),(20.8,347.52),(20.8,-1.14),(19.96,-1.14)),
        )
        net = nets['a[0]']
        createRL(
            tech, net, 'm1',
            ((0.0,4.355),(0.0,4.645),(1.57,4.645),(1.57,4.355),(0.0,4.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(4.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(4.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[1]']
        createRL(
            tech, net, 'm1',
            ((0.0,21.355),(0.0,21.645),(1.57,21.645),(1.57,21.355),(0.0,21.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(21.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(21.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[2]']
        createRL(
            tech, net, 'm1',
            ((0.0,38.355),(0.0,38.645),(1.57,38.645),(1.57,38.355),(0.0,38.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(38.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(38.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[3]']
        createRL(
            tech, net, 'm1',
            ((0.0,55.355),(0.0,55.645),(1.57,55.645),(1.57,55.355),(0.0,55.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(55.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(55.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[4]']
        createRL(
            tech, net, 'm1',
            ((0.0,72.355),(0.0,72.645),(1.57,72.645),(1.57,72.355),(0.0,72.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(72.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(72.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[5]']
        createRL(
            tech, net, 'm1',
            ((0.0,89.355),(0.0,89.645),(1.57,89.645),(1.57,89.355),(0.0,89.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(89.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(89.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[6]']
        createRL(
            tech, net, 'm1',
            ((0.0,106.355),(0.0,106.645),(1.57,106.645),(1.57,106.355),(0.0,106.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(106.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(106.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk']
        createRL(
            tech, net, 'm1',
            ((1.725,0.0),(1.725,103.5),(1.985,103.5),(1.985,0.0),(1.725,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.855), u(0.26), u(0.0), u(103.5),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.855), u(0.26), u(0.0), u(103.5),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_en']
        createRL(
            tech, net, 'm1',
            ((22.915,0.0),(22.915,346.125),(23.145,346.125),(23.145,0.0),(22.915,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(23.03), u(0.23), u(0.0), u(346.125),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(23.03), u(0.23), u(0.0), u(346.125),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((26.9,1.725),(26.9,1.985),(27.46,1.985),(27.46,1.725),(26.9,1.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.855), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.855), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((26.9,3.445),(26.9,3.705),(27.46,3.705),(27.46,3.445),(26.9,3.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.575), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.575), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((26.9,7.155),(26.9,7.415),(27.46,7.415),(27.46,7.155),(26.9,7.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.285), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.285), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((26.9,8.875),(26.9,9.135),(27.46,9.135),(27.46,8.875),(26.9,8.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.005), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.005), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[4]']
        createRL(
            tech, net, 'm2',
            ((26.9,12.585),(26.9,12.845),(27.46,12.845),(27.46,12.585),(26.9,12.585)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.715), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.715), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[5]']
        createRL(
            tech, net, 'm2',
            ((26.9,14.305),(26.9,14.565),(27.46,14.565),(27.46,14.305),(26.9,14.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(14.435), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(14.435), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[6]']
        createRL(
            tech, net, 'm2',
            ((26.9,18.015),(26.9,18.275),(27.46,18.275),(27.46,18.015),(26.9,18.015)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.145), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.145), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[7]']
        createRL(
            tech, net, 'm2',
            ((26.9,19.735),(26.9,19.995),(27.46,19.995),(27.46,19.735),(26.9,19.735)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(19.865), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(19.865), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[8]']
        createRL(
            tech, net, 'm2',
            ((26.9,23.445),(26.9,23.705),(27.46,23.705),(27.46,23.445),(26.9,23.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(23.575), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(23.575), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[9]']
        createRL(
            tech, net, 'm2',
            ((26.9,25.165),(26.9,25.425),(27.46,25.425),(27.46,25.165),(26.9,25.165)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.295), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.295), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[10]']
        createRL(
            tech, net, 'm2',
            ((26.9,28.875),(26.9,29.135),(27.46,29.135),(27.46,28.875),(26.9,28.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.005), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.005), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[11]']
        createRL(
            tech, net, 'm2',
            ((26.9,30.595),(26.9,30.855),(27.46,30.855),(27.46,30.595),(26.9,30.595)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(30.725), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(30.725), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[12]']
        createRL(
            tech, net, 'm2',
            ((26.9,34.305),(26.9,34.565),(27.46,34.565),(27.46,34.305),(26.9,34.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.435), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.435), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[13]']
        createRL(
            tech, net, 'm2',
            ((26.9,36.025),(26.9,36.285),(27.46,36.285),(27.46,36.025),(26.9,36.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(36.155), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(36.155), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[14]']
        createRL(
            tech, net, 'm2',
            ((26.9,39.735),(26.9,39.995),(27.46,39.995),(27.46,39.735),(26.9,39.735)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(39.865), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(39.865), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[15]']
        createRL(
            tech, net, 'm2',
            ((26.9,41.455),(26.9,41.715),(27.46,41.715),(27.46,41.455),(26.9,41.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(41.585), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(41.585), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[16]']
        createRL(
            tech, net, 'm2',
            ((26.9,45.165),(26.9,45.425),(27.46,45.425),(27.46,45.165),(26.9,45.165)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(45.295), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(45.295), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[17]']
        createRL(
            tech, net, 'm2',
            ((26.9,46.885),(26.9,47.145),(27.46,47.145),(27.46,46.885),(26.9,46.885)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(47.015), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(47.015), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[18]']
        createRL(
            tech, net, 'm2',
            ((26.9,50.595),(26.9,50.855),(27.46,50.855),(27.46,50.595),(26.9,50.595)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.725), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.725), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[19]']
        createRL(
            tech, net, 'm2',
            ((26.9,52.315),(26.9,52.575),(27.46,52.575),(27.46,52.315),(26.9,52.315)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(52.445), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(52.445), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[20]']
        createRL(
            tech, net, 'm2',
            ((26.9,56.025),(26.9,56.285),(27.46,56.285),(27.46,56.025),(26.9,56.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(56.155), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(56.155), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[21]']
        createRL(
            tech, net, 'm2',
            ((26.9,57.745),(26.9,58.005),(27.46,58.005),(27.46,57.745),(26.9,57.745)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(57.875), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(57.875), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[22]']
        createRL(
            tech, net, 'm2',
            ((26.9,61.455),(26.9,61.715),(27.46,61.715),(27.46,61.455),(26.9,61.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(61.585), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(61.585), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[23]']
        createRL(
            tech, net, 'm2',
            ((26.9,63.175),(26.9,63.435),(27.46,63.435),(27.46,63.175),(26.9,63.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.305), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.305), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[24]']
        createRL(
            tech, net, 'm2',
            ((26.9,66.885),(26.9,67.145),(27.46,67.145),(27.46,66.885),(26.9,66.885)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.015), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.015), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[25]']
        createRL(
            tech, net, 'm2',
            ((26.9,68.605),(26.9,68.865),(27.46,68.865),(27.46,68.605),(26.9,68.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(68.735), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(68.735), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[26]']
        createRL(
            tech, net, 'm2',
            ((26.9,72.315),(26.9,72.575),(27.46,72.575),(27.46,72.315),(26.9,72.315)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.445), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.445), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[27]']
        createRL(
            tech, net, 'm2',
            ((26.9,74.035),(26.9,74.295),(27.46,74.295),(27.46,74.035),(26.9,74.035)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(74.165), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(74.165), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[28]']
        createRL(
            tech, net, 'm2',
            ((26.9,77.745),(26.9,78.005),(27.46,78.005),(27.46,77.745),(26.9,77.745)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(77.875), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(77.875), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[29]']
        createRL(
            tech, net, 'm2',
            ((26.9,79.465),(26.9,79.725),(27.46,79.725),(27.46,79.465),(26.9,79.465)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(79.595), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(79.595), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[30]']
        createRL(
            tech, net, 'm2',
            ((26.9,83.175),(26.9,83.435),(27.46,83.435),(27.46,83.175),(26.9,83.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(83.305), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(83.305), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[31]']
        createRL(
            tech, net, 'm2',
            ((26.9,84.895),(26.9,85.155),(27.46,85.155),(27.46,84.895),(26.9,84.895)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(85.025), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(85.025), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[32]']
        createRL(
            tech, net, 'm2',
            ((26.9,88.605),(26.9,88.865),(27.46,88.865),(27.46,88.605),(26.9,88.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(88.735), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(88.735), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[33]']
        createRL(
            tech, net, 'm2',
            ((26.9,90.325),(26.9,90.585),(27.46,90.585),(27.46,90.325),(26.9,90.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.455), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.455), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[34]']
        createRL(
            tech, net, 'm2',
            ((26.9,94.035),(26.9,94.295),(27.46,94.295),(27.46,94.035),(26.9,94.035)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(94.165), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(94.165), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[35]']
        createRL(
            tech, net, 'm2',
            ((26.9,95.755),(26.9,96.015),(27.46,96.015),(27.46,95.755),(26.9,95.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(95.885), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(95.885), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[36]']
        createRL(
            tech, net, 'm2',
            ((26.9,99.465),(26.9,99.725),(27.46,99.725),(27.46,99.465),(26.9,99.465)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(99.595), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(99.595), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[37]']
        createRL(
            tech, net, 'm2',
            ((26.9,101.185),(26.9,101.445),(27.46,101.445),(27.46,101.185),(26.9,101.185)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(101.315), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(101.315), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[38]']
        createRL(
            tech, net, 'm2',
            ((26.9,104.895),(26.9,105.155),(27.46,105.155),(27.46,104.895),(26.9,104.895)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(105.025), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(105.025), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[39]']
        createRL(
            tech, net, 'm2',
            ((26.9,106.615),(26.9,106.875),(27.46,106.875),(27.46,106.615),(26.9,106.615)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(106.745), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(106.745), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[40]']
        createRL(
            tech, net, 'm2',
            ((26.9,110.325),(26.9,110.585),(27.46,110.585),(27.46,110.325),(26.9,110.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(110.455), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(110.455), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[41]']
        createRL(
            tech, net, 'm2',
            ((26.9,112.045),(26.9,112.305),(27.46,112.305),(27.46,112.045),(26.9,112.045)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(112.175), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(112.175), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[42]']
        createRL(
            tech, net, 'm2',
            ((26.9,115.755),(26.9,116.015),(27.46,116.015),(27.46,115.755),(26.9,115.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(115.885), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(115.885), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[43]']
        createRL(
            tech, net, 'm2',
            ((26.9,117.475),(26.9,117.735),(27.46,117.735),(27.46,117.475),(26.9,117.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(117.605), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(117.605), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[44]']
        createRL(
            tech, net, 'm2',
            ((26.9,121.185),(26.9,121.445),(27.46,121.445),(27.46,121.185),(26.9,121.185)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(121.315), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(121.315), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[45]']
        createRL(
            tech, net, 'm2',
            ((26.9,122.905),(26.9,123.165),(27.46,123.165),(27.46,122.905),(26.9,122.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(123.035), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(123.035), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[46]']
        createRL(
            tech, net, 'm2',
            ((26.9,126.615),(26.9,126.875),(27.46,126.875),(27.46,126.615),(26.9,126.615)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(126.745), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(126.745), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[47]']
        createRL(
            tech, net, 'm2',
            ((26.9,128.335),(26.9,128.595),(27.46,128.595),(27.46,128.335),(26.9,128.335)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(128.465), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(128.465), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[48]']
        createRL(
            tech, net, 'm2',
            ((26.9,132.045),(26.9,132.305),(27.46,132.305),(27.46,132.045),(26.9,132.045)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(132.175), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(132.175), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[49]']
        createRL(
            tech, net, 'm2',
            ((26.9,133.765),(26.9,134.025),(27.46,134.025),(27.46,133.765),(26.9,133.765)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(133.895), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(133.895), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[50]']
        createRL(
            tech, net, 'm2',
            ((26.9,137.475),(26.9,137.735),(27.46,137.735),(27.46,137.475),(26.9,137.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(137.605), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(137.605), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[51]']
        createRL(
            tech, net, 'm2',
            ((26.9,139.195),(26.9,139.455),(27.46,139.455),(27.46,139.195),(26.9,139.195)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(139.325), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(139.325), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[52]']
        createRL(
            tech, net, 'm2',
            ((26.9,142.905),(26.9,143.165),(27.46,143.165),(27.46,142.905),(26.9,142.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(143.035), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(143.035), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[53]']
        createRL(
            tech, net, 'm2',
            ((26.9,144.625),(26.9,144.885),(27.46,144.885),(27.46,144.625),(26.9,144.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(144.755), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(144.755), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[54]']
        createRL(
            tech, net, 'm2',
            ((26.9,148.335),(26.9,148.595),(27.46,148.595),(27.46,148.335),(26.9,148.335)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(148.465), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(148.465), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[55]']
        createRL(
            tech, net, 'm2',
            ((26.9,150.055),(26.9,150.315),(27.46,150.315),(27.46,150.055),(26.9,150.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(150.185), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(150.185), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[56]']
        createRL(
            tech, net, 'm2',
            ((26.9,153.765),(26.9,154.025),(27.46,154.025),(27.46,153.765),(26.9,153.765)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(153.895), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(153.895), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[57]']
        createRL(
            tech, net, 'm2',
            ((26.9,155.485),(26.9,155.745),(27.46,155.745),(27.46,155.485),(26.9,155.485)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(155.615), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(155.615), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[58]']
        createRL(
            tech, net, 'm2',
            ((26.9,159.195),(26.9,159.455),(27.46,159.455),(27.46,159.195),(26.9,159.195)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(159.325), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(159.325), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[59]']
        createRL(
            tech, net, 'm2',
            ((26.9,160.915),(26.9,161.175),(27.46,161.175),(27.46,160.915),(26.9,160.915)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(161.045), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(161.045), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[60]']
        createRL(
            tech, net, 'm2',
            ((26.9,164.625),(26.9,164.885),(27.46,164.885),(27.46,164.625),(26.9,164.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(164.755), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(164.755), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[61]']
        createRL(
            tech, net, 'm2',
            ((26.9,166.345),(26.9,166.605),(27.46,166.605),(27.46,166.345),(26.9,166.345)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(166.475), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(166.475), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[62]']
        createRL(
            tech, net, 'm2',
            ((26.9,170.055),(26.9,170.315),(27.46,170.315),(27.46,170.055),(26.9,170.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(170.185), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(170.185), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[63]']
        createRL(
            tech, net, 'm2',
            ((26.9,171.775),(26.9,172.035),(27.46,172.035),(27.46,171.775),(26.9,171.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(171.905), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(171.905), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[64]']
        createRL(
            tech, net, 'm2',
            ((26.9,175.485),(26.9,175.745),(27.46,175.745),(27.46,175.485),(26.9,175.485)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(175.615), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(175.615), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[65]']
        createRL(
            tech, net, 'm2',
            ((26.9,177.205),(26.9,177.465),(27.46,177.465),(27.46,177.205),(26.9,177.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(177.335), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(177.335), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[66]']
        createRL(
            tech, net, 'm2',
            ((26.9,180.915),(26.9,181.175),(27.46,181.175),(27.46,180.915),(26.9,180.915)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(181.045), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(181.045), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[67]']
        createRL(
            tech, net, 'm2',
            ((26.9,182.635),(26.9,182.895),(27.46,182.895),(27.46,182.635),(26.9,182.635)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(182.765), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(182.765), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[68]']
        createRL(
            tech, net, 'm2',
            ((26.9,186.345),(26.9,186.605),(27.46,186.605),(27.46,186.345),(26.9,186.345)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(186.475), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(186.475), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[69]']
        createRL(
            tech, net, 'm2',
            ((26.9,188.065),(26.9,188.325),(27.46,188.325),(27.46,188.065),(26.9,188.065)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(188.195), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(188.195), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[70]']
        createRL(
            tech, net, 'm2',
            ((26.9,191.775),(26.9,192.035),(27.46,192.035),(27.46,191.775),(26.9,191.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(191.905), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(191.905), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[71]']
        createRL(
            tech, net, 'm2',
            ((26.9,193.495),(26.9,193.755),(27.46,193.755),(27.46,193.495),(26.9,193.495)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(193.625), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(193.625), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[72]']
        createRL(
            tech, net, 'm2',
            ((26.9,197.205),(26.9,197.465),(27.46,197.465),(27.46,197.205),(26.9,197.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(197.335), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(197.335), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[73]']
        createRL(
            tech, net, 'm2',
            ((26.9,198.925),(26.9,199.185),(27.46,199.185),(27.46,198.925),(26.9,198.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(199.055), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(199.055), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[74]']
        createRL(
            tech, net, 'm2',
            ((26.9,202.635),(26.9,202.895),(27.46,202.895),(27.46,202.635),(26.9,202.635)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(202.765), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(202.765), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[75]']
        createRL(
            tech, net, 'm2',
            ((26.9,204.355),(26.9,204.615),(27.46,204.615),(27.46,204.355),(26.9,204.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(204.485), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(204.485), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[76]']
        createRL(
            tech, net, 'm2',
            ((26.9,208.065),(26.9,208.325),(27.46,208.325),(27.46,208.065),(26.9,208.065)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(208.195), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(208.195), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[77]']
        createRL(
            tech, net, 'm2',
            ((26.9,209.785),(26.9,210.045),(27.46,210.045),(27.46,209.785),(26.9,209.785)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(209.915), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(209.915), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[78]']
        createRL(
            tech, net, 'm2',
            ((26.9,213.495),(26.9,213.755),(27.46,213.755),(27.46,213.495),(26.9,213.495)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(213.625), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(213.625), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[79]']
        createRL(
            tech, net, 'm2',
            ((26.9,215.215),(26.9,215.475),(27.46,215.475),(27.46,215.215),(26.9,215.215)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(215.345), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(215.345), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[80]']
        createRL(
            tech, net, 'm2',
            ((26.9,218.925),(26.9,219.185),(27.46,219.185),(27.46,218.925),(26.9,218.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(219.055), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(219.055), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[81]']
        createRL(
            tech, net, 'm2',
            ((26.9,220.645),(26.9,220.905),(27.46,220.905),(27.46,220.645),(26.9,220.645)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(220.775), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(220.775), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[82]']
        createRL(
            tech, net, 'm2',
            ((26.9,224.355),(26.9,224.615),(27.46,224.615),(27.46,224.355),(26.9,224.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(224.485), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(224.485), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[83]']
        createRL(
            tech, net, 'm2',
            ((26.9,226.075),(26.9,226.335),(27.46,226.335),(27.46,226.075),(26.9,226.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(226.205), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(226.205), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[84]']
        createRL(
            tech, net, 'm2',
            ((26.9,229.785),(26.9,230.045),(27.46,230.045),(27.46,229.785),(26.9,229.785)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(229.915), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(229.915), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[85]']
        createRL(
            tech, net, 'm2',
            ((26.9,231.505),(26.9,231.765),(27.46,231.765),(27.46,231.505),(26.9,231.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(231.635), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(231.635), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[86]']
        createRL(
            tech, net, 'm2',
            ((26.9,235.215),(26.9,235.475),(27.46,235.475),(27.46,235.215),(26.9,235.215)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(235.345), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(235.345), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[87]']
        createRL(
            tech, net, 'm2',
            ((26.9,236.935),(26.9,237.195),(27.46,237.195),(27.46,236.935),(26.9,236.935)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(237.065), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(237.065), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[88]']
        createRL(
            tech, net, 'm2',
            ((26.9,240.645),(26.9,240.905),(27.46,240.905),(27.46,240.645),(26.9,240.645)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(240.775), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(240.775), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[89]']
        createRL(
            tech, net, 'm2',
            ((26.9,242.365),(26.9,242.625),(27.46,242.625),(27.46,242.365),(26.9,242.365)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(242.495), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(242.495), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[90]']
        createRL(
            tech, net, 'm2',
            ((26.9,246.075),(26.9,246.335),(27.46,246.335),(27.46,246.075),(26.9,246.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(246.205), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(246.205), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[91]']
        createRL(
            tech, net, 'm2',
            ((26.9,247.795),(26.9,248.055),(27.46,248.055),(27.46,247.795),(26.9,247.795)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(247.925), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(247.925), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[92]']
        createRL(
            tech, net, 'm2',
            ((26.9,251.505),(26.9,251.765),(27.46,251.765),(27.46,251.505),(26.9,251.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(251.635), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(251.635), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[93]']
        createRL(
            tech, net, 'm2',
            ((26.9,253.225),(26.9,253.485),(27.46,253.485),(27.46,253.225),(26.9,253.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(253.355), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(253.355), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[94]']
        createRL(
            tech, net, 'm2',
            ((26.9,256.935),(26.9,257.195),(27.46,257.195),(27.46,256.935),(26.9,256.935)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(257.065), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(257.065), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[95]']
        createRL(
            tech, net, 'm2',
            ((26.9,258.655),(26.9,258.915),(27.46,258.915),(27.46,258.655),(26.9,258.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(258.785), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(258.785), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[96]']
        createRL(
            tech, net, 'm2',
            ((26.9,262.365),(26.9,262.625),(27.46,262.625),(27.46,262.365),(26.9,262.365)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(262.495), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(262.495), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[97]']
        createRL(
            tech, net, 'm2',
            ((26.9,264.085),(26.9,264.345),(27.46,264.345),(27.46,264.085),(26.9,264.085)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(264.215), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(264.215), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[98]']
        createRL(
            tech, net, 'm2',
            ((26.9,267.795),(26.9,268.055),(27.46,268.055),(27.46,267.795),(26.9,267.795)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(267.925), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(267.925), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[99]']
        createRL(
            tech, net, 'm2',
            ((26.9,269.515),(26.9,269.775),(27.46,269.775),(27.46,269.515),(26.9,269.515)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(269.645), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(269.645), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[100]']
        createRL(
            tech, net, 'm2',
            ((26.9,273.225),(26.9,273.485),(27.46,273.485),(27.46,273.225),(26.9,273.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(273.355), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(273.355), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[101]']
        createRL(
            tech, net, 'm2',
            ((26.9,274.945),(26.9,275.205),(27.46,275.205),(27.46,274.945),(26.9,274.945)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(275.075), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(275.075), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[102]']
        createRL(
            tech, net, 'm2',
            ((26.9,278.655),(26.9,278.915),(27.46,278.915),(27.46,278.655),(26.9,278.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(278.785), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(278.785), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[103]']
        createRL(
            tech, net, 'm2',
            ((26.9,280.375),(26.9,280.635),(27.46,280.635),(27.46,280.375),(26.9,280.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(280.505), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(280.505), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[104]']
        createRL(
            tech, net, 'm2',
            ((26.9,284.085),(26.9,284.345),(27.46,284.345),(27.46,284.085),(26.9,284.085)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(284.215), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(284.215), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[105]']
        createRL(
            tech, net, 'm2',
            ((26.9,285.805),(26.9,286.065),(27.46,286.065),(27.46,285.805),(26.9,285.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(285.935), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(285.935), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[106]']
        createRL(
            tech, net, 'm2',
            ((26.9,289.515),(26.9,289.775),(27.46,289.775),(27.46,289.515),(26.9,289.515)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(289.645), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(289.645), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[107]']
        createRL(
            tech, net, 'm2',
            ((26.9,291.235),(26.9,291.495),(27.46,291.495),(27.46,291.235),(26.9,291.235)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(291.365), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(291.365), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[108]']
        createRL(
            tech, net, 'm2',
            ((26.9,294.945),(26.9,295.205),(27.46,295.205),(27.46,294.945),(26.9,294.945)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(295.075), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(295.075), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[109]']
        createRL(
            tech, net, 'm2',
            ((26.9,296.665),(26.9,296.925),(27.46,296.925),(27.46,296.665),(26.9,296.665)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(296.795), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(296.795), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[110]']
        createRL(
            tech, net, 'm2',
            ((26.9,300.375),(26.9,300.635),(27.46,300.635),(27.46,300.375),(26.9,300.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(300.505), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(300.505), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[111]']
        createRL(
            tech, net, 'm2',
            ((26.9,302.095),(26.9,302.355),(27.46,302.355),(27.46,302.095),(26.9,302.095)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(302.225), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(302.225), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[112]']
        createRL(
            tech, net, 'm2',
            ((26.9,305.805),(26.9,306.065),(27.46,306.065),(27.46,305.805),(26.9,305.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(305.935), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(305.935), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[113]']
        createRL(
            tech, net, 'm2',
            ((26.9,307.525),(26.9,307.785),(27.46,307.785),(27.46,307.525),(26.9,307.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(307.655), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(307.655), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[114]']
        createRL(
            tech, net, 'm2',
            ((26.9,311.235),(26.9,311.495),(27.46,311.495),(27.46,311.235),(26.9,311.235)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(311.365), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(311.365), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[115]']
        createRL(
            tech, net, 'm2',
            ((26.9,312.955),(26.9,313.215),(27.46,313.215),(27.46,312.955),(26.9,312.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(313.085), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(313.085), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[116]']
        createRL(
            tech, net, 'm2',
            ((26.9,316.665),(26.9,316.925),(27.46,316.925),(27.46,316.665),(26.9,316.665)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(316.795), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(316.795), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[117]']
        createRL(
            tech, net, 'm2',
            ((26.9,318.385),(26.9,318.645),(27.46,318.645),(27.46,318.385),(26.9,318.385)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(318.515), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(318.515), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[118]']
        createRL(
            tech, net, 'm2',
            ((26.9,322.095),(26.9,322.355),(27.46,322.355),(27.46,322.095),(26.9,322.095)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(322.225), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(322.225), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[119]']
        createRL(
            tech, net, 'm2',
            ((26.9,323.815),(26.9,324.075),(27.46,324.075),(27.46,323.815),(26.9,323.815)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(323.945), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(323.945), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[120]']
        createRL(
            tech, net, 'm2',
            ((26.9,327.525),(26.9,327.785),(27.46,327.785),(27.46,327.525),(26.9,327.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(327.655), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(327.655), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[121]']
        createRL(
            tech, net, 'm2',
            ((26.9,329.245),(26.9,329.505),(27.46,329.505),(27.46,329.245),(26.9,329.245)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(329.375), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(329.375), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[122]']
        createRL(
            tech, net, 'm2',
            ((26.9,332.955),(26.9,333.215),(27.46,333.215),(27.46,332.955),(26.9,332.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(333.085), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(333.085), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[123]']
        createRL(
            tech, net, 'm2',
            ((26.9,334.675),(26.9,334.935),(27.46,334.935),(27.46,334.675),(26.9,334.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(334.805), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(334.805), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[124]']
        createRL(
            tech, net, 'm2',
            ((26.9,338.385),(26.9,338.645),(27.46,338.645),(27.46,338.385),(26.9,338.385)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(338.515), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(338.515), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[125]']
        createRL(
            tech, net, 'm2',
            ((26.9,340.105),(26.9,340.365),(27.46,340.365),(27.46,340.105),(26.9,340.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(340.235), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(340.235), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[126]']
        createRL(
            tech, net, 'm2',
            ((26.9,343.815),(26.9,344.075),(27.46,344.075),(27.46,343.815),(26.9,343.815)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(343.945), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(343.945), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[127]']
        createRL(
            tech, net, 'm2',
            ((26.9,345.535),(26.9,345.795),(27.46,345.795),(27.46,345.535),(26.9,345.535)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(345.665), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(345.665), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][0]']
        createRL(
            tech, net, 'li',
            ((21.885,1.275),(21.885,1.805),(22.055,1.805),(22.055,1.275),(21.885,1.275)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,153.31),(21.885,153.84),(22.055,153.84),(22.055,153.31),(21.885,153.31)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,218.475),(21.885,219.005),(22.055,219.005),(22.055,218.475),(21.885,218.475)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,305.35),(21.885,305.88),(22.055,305.88),(22.055,305.35),(21.885,305.35)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,240.19),(21.885,240.72),(22.055,240.72),(22.055,240.19),(21.885,240.19)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,109.87),(21.885,110.4),(22.055,110.4),(22.055,109.87),(21.885,109.87)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,175.035),(21.885,175.565),(22.055,175.565),(22.055,175.035),(21.885,175.035)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,261.915),(21.885,262.445),(22.055,262.445),(22.055,261.915),(21.885,261.915)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,283.635),(21.885,284.165),(22.055,284.165),(22.055,283.635),(21.885,283.635)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,66.43),(21.885,66.96),(22.055,66.96),(22.055,66.43),(21.885,66.43)),
        )
        createRL(
            tech, net, 'li',
            ((13.155,4.415),(13.155,4.585),(13.325,4.585),(13.325,4.415),(13.155,4.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,88.15),(21.885,88.68),(22.055,88.68),(22.055,88.15),(21.885,88.15)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,44.715),(21.885,45.245),(22.055,45.245),(22.055,44.715),(21.885,44.715)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,196.75),(21.885,197.28),(22.055,197.28),(22.055,196.75),(21.885,196.75)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,327.07),(21.885,327.6),(22.055,327.6),(22.055,327.07),(21.885,327.07)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,131.595),(21.885,132.125),(22.055,132.125),(22.055,131.595),(21.885,131.595)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,22.995),(21.885,23.525),(22.055,23.525),(22.055,22.995),(21.885,22.995)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,153.31),(21.885,153.48),(22.055,153.48),(22.055,153.31),(21.885,153.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,153.67),(21.885,153.84),(22.055,153.84),(22.055,153.67),(21.885,153.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,109.87),(21.885,110.04),(22.055,110.04),(22.055,109.87),(21.885,109.87)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,110.23),(21.885,110.4),(22.055,110.4),(22.055,110.23),(21.885,110.23)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,66.43),(21.885,66.6),(22.055,66.6),(22.055,66.43),(21.885,66.43)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,66.79),(21.885,66.96),(22.055,66.96),(22.055,66.79),(21.885,66.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,131.595),(21.885,131.765),(22.055,131.765),(22.055,131.595),(21.885,131.595)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,131.955),(21.885,132.125),(22.055,132.125),(22.055,131.955),(21.885,131.955)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,261.915),(21.885,262.085),(22.055,262.085),(22.055,261.915),(21.885,261.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,262.275),(21.885,262.445),(22.055,262.445),(22.055,262.275),(21.885,262.275)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,240.19),(21.885,240.36),(22.055,240.36),(22.055,240.19),(21.885,240.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,240.55),(21.885,240.72),(22.055,240.72),(22.055,240.55),(21.885,240.55)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,283.635),(21.885,283.805),(22.055,283.805),(22.055,283.635),(21.885,283.635)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,283.995),(21.885,284.165),(22.055,284.165),(22.055,283.995),(21.885,283.995)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,1.275),(21.885,1.445),(22.055,1.445),(22.055,1.275),(21.885,1.275)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,1.635),(21.885,1.805),(22.055,1.805),(22.055,1.635),(21.885,1.635)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,88.15),(21.885,88.32),(22.055,88.32),(22.055,88.15),(21.885,88.15)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,88.51),(21.885,88.68),(22.055,88.68),(22.055,88.51),(21.885,88.51)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,175.035),(21.885,175.205),(22.055,175.205),(22.055,175.035),(21.885,175.035)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,175.395),(21.885,175.565),(22.055,175.565),(22.055,175.395),(21.885,175.395)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,305.35),(21.885,305.52),(22.055,305.52),(22.055,305.35),(21.885,305.35)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,305.71),(21.885,305.88),(22.055,305.88),(22.055,305.71),(21.885,305.71)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,218.475),(21.885,218.645),(22.055,218.645),(22.055,218.475),(21.885,218.475)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,218.835),(21.885,219.005),(22.055,219.005),(22.055,218.835),(21.885,218.835)),
        )
        createRL(
            tech, net, 'mcon',
            ((13.155,4.415),(13.155,4.585),(13.325,4.585),(13.325,4.415),(13.155,4.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,327.07),(21.885,327.24),(22.055,327.24),(22.055,327.07),(21.885,327.07)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,327.43),(21.885,327.6),(22.055,327.6),(22.055,327.43),(21.885,327.43)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,196.75),(21.885,196.92),(22.055,196.92),(22.055,196.75),(21.885,196.75)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,197.11),(21.885,197.28),(22.055,197.28),(22.055,197.11),(21.885,197.11)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,22.995),(21.885,23.165),(22.055,23.165),(22.055,22.995),(21.885,22.995)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,23.355),(21.885,23.525),(22.055,23.525),(22.055,23.355),(21.885,23.355)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,44.715),(21.885,44.885),(22.055,44.885),(22.055,44.715),(21.885,44.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,45.075),(21.885,45.245),(22.055,45.245),(22.055,45.075),(21.885,45.075)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,327.01),(21.855,327.015),(21.84,327.015),(21.84,327.655),(21.855,327.655),(21.855,327.66),(22.085,327.66),(22.085,327.655),(22.1,327.655),(22.1,327.015),(22.085,327.015),(22.085,327.01),(21.855,327.01)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,196.69),(21.855,196.695),(21.84,196.695),(21.84,197.335),(21.855,197.335),(21.855,197.34),(22.085,197.34),(22.085,197.335),(22.1,197.335),(22.1,196.695),(22.085,196.695),(22.085,196.69),(21.855,196.69)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,240.13),(21.855,240.135),(21.84,240.135),(21.84,240.775),(21.855,240.775),(21.855,240.78),(22.085,240.78),(22.085,240.775),(22.1,240.775),(22.1,240.135),(22.085,240.135),(22.085,240.13),(21.855,240.13)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,283.575),(21.855,283.58),(21.84,283.58),(21.84,284.22),(21.855,284.22),(21.855,284.225),(22.085,284.225),(22.085,284.22),(22.1,284.22),(22.1,283.58),(22.085,283.58),(22.085,283.575),(21.855,283.575)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,218.415),(21.855,218.42),(21.84,218.42),(21.84,219.06),(21.855,219.06),(21.855,219.065),(22.085,219.065),(22.085,219.06),(22.1,219.06),(22.1,218.42),(22.085,218.42),(22.085,218.415),(21.855,218.415)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,261.855),(21.855,261.86),(21.84,261.86),(21.84,262.5),(21.855,262.5),(21.855,262.505),(22.085,262.505),(22.085,262.5),(22.1,262.5),(22.1,261.86),(22.085,261.86),(22.085,261.855),(21.855,261.855)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,1.215),(21.855,1.22),(21.84,1.22),(21.84,1.86),(21.855,1.86),(21.855,1.865),(22.085,1.865),(22.085,1.86),(22.1,1.86),(22.1,1.22),(22.085,1.22),(22.085,1.215),(21.855,1.215)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,131.535),(21.855,131.54),(21.84,131.54),(21.84,132.18),(21.855,132.18),(21.855,132.185),(22.085,132.185),(22.085,132.18),(22.1,132.18),(22.1,131.54),(22.085,131.54),(22.085,131.535),(21.855,131.535)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,66.37),(21.855,66.375),(21.84,66.375),(21.84,67.015),(21.855,67.015),(21.855,67.02),(22.085,67.02),(22.085,67.015),(22.1,67.015),(22.1,66.375),(22.085,66.375),(22.085,66.37),(21.855,66.37)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,109.81),(21.855,109.815),(21.84,109.815),(21.84,110.455),(21.855,110.455),(21.855,110.46),(22.085,110.46),(22.085,110.455),(22.1,110.455),(22.1,109.815),(22.085,109.815),(22.085,109.81),(21.855,109.81)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,153.25),(21.855,153.255),(21.84,153.255),(21.84,153.895),(21.855,153.895),(21.855,153.9),(22.085,153.9),(22.085,153.895),(22.1,153.895),(22.1,153.255),(22.085,153.255),(22.085,153.25),(21.855,153.25)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,88.09),(21.855,88.095),(21.84,88.095),(21.84,88.735),(21.855,88.735),(21.855,88.74),(22.085,88.74),(22.085,88.735),(22.1,88.735),(22.1,88.095),(22.085,88.095),(22.085,88.09),(21.855,88.09)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,174.975),(21.855,174.98),(21.84,174.98),(21.84,175.62),(21.855,175.62),(21.855,175.625),(22.085,175.625),(22.085,175.62),(22.1,175.62),(22.1,174.98),(22.085,174.98),(22.085,174.975),(21.855,174.975)),
        )
        createRL(
            tech, net, 'm1',
            ((13.11,1.22),(13.11,327.655),(13.37,327.655),(13.37,1.22),(13.11,1.22)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,44.655),(21.855,44.66),(21.84,44.66),(21.84,45.3),(21.855,45.3),(21.855,45.305),(22.085,45.305),(22.085,45.3),(22.1,45.3),(22.1,44.66),(22.085,44.66),(22.085,44.655),(21.855,44.655)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,305.29),(21.855,305.295),(21.84,305.295),(21.84,305.935),(21.855,305.935),(21.855,305.94),(22.085,305.94),(22.085,305.935),(22.1,305.935),(22.1,305.295),(22.085,305.295),(22.085,305.29),(21.855,305.29)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,22.935),(21.855,22.94),(21.84,22.94),(21.84,23.58),(21.855,23.58),(21.855,23.585),(22.085,23.585),(22.085,23.58),(22.1,23.58),(22.1,22.94),(22.085,22.94),(22.085,22.935),(21.855,22.935)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,305.38),(21.895,305.53),(22.045,305.53),(22.045,305.38),(21.895,305.38)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,305.7),(21.895,305.85),(22.045,305.85),(22.045,305.7),(21.895,305.7)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,88.18),(21.895,88.33),(22.045,88.33),(22.045,88.18),(21.895,88.18)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,88.5),(21.895,88.65),(22.045,88.65),(22.045,88.5),(21.895,88.5)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,218.505),(13.165,218.655),(13.315,218.655),(13.315,218.505),(13.165,218.505)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,218.825),(13.165,218.975),(13.315,218.975),(13.315,218.825),(13.165,218.825)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,131.625),(21.895,131.775),(22.045,131.775),(22.045,131.625),(21.895,131.625)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,131.945),(21.895,132.095),(22.045,132.095),(22.045,131.945),(21.895,131.945)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,1.305),(21.895,1.455),(22.045,1.455),(22.045,1.305),(21.895,1.305)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,1.625),(21.895,1.775),(22.045,1.775),(22.045,1.625),(21.895,1.625)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,305.38),(13.165,305.53),(13.315,305.53),(13.315,305.38),(13.165,305.38)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,305.7),(13.165,305.85),(13.315,305.85),(13.315,305.7),(13.165,305.7)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,240.22),(21.895,240.37),(22.045,240.37),(22.045,240.22),(21.895,240.22)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,240.54),(21.895,240.69),(22.045,240.69),(22.045,240.54),(21.895,240.54)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,88.18),(13.165,88.33),(13.315,88.33),(13.315,88.18),(13.165,88.18)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,88.5),(13.165,88.65),(13.315,88.65),(13.315,88.5),(13.165,88.5)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,175.065),(21.895,175.215),(22.045,175.215),(22.045,175.065),(21.895,175.065)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,175.385),(21.895,175.535),(22.045,175.535),(22.045,175.385),(21.895,175.385)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,44.745),(13.165,44.895),(13.315,44.895),(13.315,44.745),(13.165,44.745)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,45.065),(13.165,45.215),(13.315,45.215),(13.315,45.065),(13.165,45.065)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,218.505),(21.895,218.655),(22.045,218.655),(22.045,218.505),(21.895,218.505)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,218.825),(21.895,218.975),(22.045,218.975),(22.045,218.825),(21.895,218.825)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,283.665),(21.895,283.815),(22.045,283.815),(22.045,283.665),(21.895,283.665)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,283.985),(21.895,284.135),(22.045,284.135),(22.045,283.985),(21.895,283.985)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,109.9),(21.895,110.05),(22.045,110.05),(22.045,109.9),(21.895,109.9)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,110.22),(21.895,110.37),(22.045,110.37),(22.045,110.22),(21.895,110.22)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,23.025),(21.895,23.175),(22.045,23.175),(22.045,23.025),(21.895,23.025)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,23.345),(21.895,23.495),(22.045,23.495),(22.045,23.345),(21.895,23.345)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,23.025),(13.165,23.175),(13.315,23.175),(13.315,23.025),(13.165,23.025)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,23.345),(13.165,23.495),(13.315,23.495),(13.315,23.345),(13.165,23.345)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,327.1),(13.165,327.25),(13.315,327.25),(13.315,327.1),(13.165,327.1)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,327.42),(13.165,327.57),(13.315,327.57),(13.315,327.42),(13.165,327.42)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,44.745),(21.895,44.895),(22.045,44.895),(22.045,44.745),(21.895,44.745)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,45.065),(21.895,45.215),(22.045,45.215),(22.045,45.065),(21.895,45.065)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,196.78),(13.165,196.93),(13.315,196.93),(13.315,196.78),(13.165,196.78)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,197.1),(13.165,197.25),(13.315,197.25),(13.315,197.1),(13.165,197.1)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,196.78),(21.895,196.93),(22.045,196.93),(22.045,196.78),(21.895,196.78)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,197.1),(21.895,197.25),(22.045,197.25),(22.045,197.1),(21.895,197.1)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,153.34),(13.165,153.49),(13.315,153.49),(13.315,153.34),(13.165,153.34)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,153.66),(13.165,153.81),(13.315,153.81),(13.315,153.66),(13.165,153.66)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,153.34),(21.895,153.49),(22.045,153.49),(22.045,153.34),(21.895,153.34)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,153.66),(21.895,153.81),(22.045,153.81),(22.045,153.66),(21.895,153.66)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,109.9),(13.165,110.05),(13.315,110.05),(13.315,109.9),(13.165,109.9)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,110.22),(13.165,110.37),(13.315,110.37),(13.315,110.22),(13.165,110.22)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,261.945),(13.165,262.095),(13.315,262.095),(13.315,261.945),(13.165,261.945)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,262.265),(13.165,262.415),(13.315,262.415),(13.315,262.265),(13.165,262.265)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,261.945),(21.895,262.095),(22.045,262.095),(22.045,261.945),(21.895,261.945)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,262.265),(21.895,262.415),(22.045,262.415),(22.045,262.265),(21.895,262.265)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,175.065),(13.165,175.215),(13.315,175.215),(13.315,175.065),(13.165,175.065)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,175.385),(13.165,175.535),(13.315,175.535),(13.315,175.385),(13.165,175.385)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,1.305),(13.165,1.455),(13.315,1.455),(13.315,1.305),(13.165,1.305)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,1.625),(13.165,1.775),(13.315,1.775),(13.315,1.625),(13.165,1.625)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,131.625),(13.165,131.775),(13.315,131.775),(13.315,131.625),(13.165,131.625)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,131.945),(13.165,132.095),(13.315,132.095),(13.315,131.945),(13.165,131.945)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,283.665),(13.165,283.815),(13.315,283.815),(13.315,283.665),(13.165,283.665)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,283.985),(13.165,284.135),(13.315,284.135),(13.315,283.985),(13.165,283.985)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,66.46),(13.165,66.61),(13.315,66.61),(13.315,66.46),(13.165,66.46)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,66.78),(13.165,66.93),(13.315,66.93),(13.315,66.78),(13.165,66.78)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,327.1),(21.895,327.25),(22.045,327.25),(22.045,327.1),(21.895,327.1)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,327.42),(21.895,327.57),(22.045,327.57),(22.045,327.42),(21.895,327.42)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,240.22),(13.165,240.37),(13.315,240.37),(13.315,240.22),(13.165,240.22)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,240.54),(13.165,240.69),(13.315,240.69),(13.315,240.54),(13.165,240.54)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,66.46),(21.895,66.61),(22.045,66.61),(22.045,66.46),(21.895,66.46)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,66.78),(21.895,66.93),(22.045,66.93),(22.045,66.78),(21.895,66.78)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,327.015),(13.11,327.655),(22.1,327.655),(22.1,327.015),(13.11,327.015)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,44.66),(13.11,45.3),(22.1,45.3),(22.1,44.66),(13.11,44.66)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,131.54),(13.11,132.18),(22.1,132.18),(22.1,131.54),(13.11,131.54)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,22.94),(13.11,23.58),(22.1,23.58),(22.1,22.94),(13.11,22.94)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,1.22),(13.11,1.86),(22.1,1.86),(22.1,1.22),(13.11,1.22)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,153.255),(13.11,153.895),(22.1,153.895),(22.1,153.255),(13.11,153.255)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,305.295),(13.11,305.935),(22.1,305.935),(22.1,305.295),(13.11,305.295)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,240.135),(13.11,240.775),(22.1,240.775),(22.1,240.135),(13.11,240.135)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,109.815),(13.11,110.455),(22.1,110.455),(22.1,109.815),(13.11,109.815)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,261.86),(13.11,262.5),(22.1,262.5),(22.1,261.86),(13.11,261.86)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,218.42),(13.11,219.06),(22.1,219.06),(22.1,218.42),(13.11,218.42)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,283.58),(13.11,284.22),(22.1,284.22),(22.1,283.58),(13.11,283.58)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,174.98),(13.11,175.62),(22.1,175.62),(22.1,174.98),(13.11,174.98)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,196.695),(13.11,197.335),(22.1,197.335),(22.1,196.695),(13.11,196.695)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,88.095),(13.11,88.735),(22.1,88.735),(22.1,88.095),(13.11,88.095)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,66.375),(13.11,67.015),(22.1,67.015),(22.1,66.375),(13.11,66.375)),
        )
        net = nets['pd[0][1]']
        createRL(
            tech, net, 'li',
            ((21.885,220.825),(21.885,221.355),(22.055,221.355),(22.055,220.825),(21.885,220.825)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,25.345),(21.885,25.875),(22.055,25.875),(22.055,25.345),(21.885,25.345)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,177.385),(21.885,177.915),(22.055,177.915),(22.055,177.385),(21.885,177.385)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,242.545),(21.885,243.075),(22.055,243.075),(22.055,242.545),(21.885,242.545)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,329.425),(21.885,329.955),(22.055,329.955),(22.055,329.425),(21.885,329.425)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,112.225),(21.885,112.755),(22.055,112.755),(22.055,112.225),(21.885,112.225)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,133.945),(21.885,134.475),(22.055,134.475),(22.055,133.945),(21.885,133.945)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,47.065),(21.885,47.595),(22.055,47.595),(22.055,47.065),(21.885,47.065)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,90.505),(21.885,91.035),(22.055,91.035),(22.055,90.505),(21.885,90.505)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,285.99),(21.885,286.52),(22.055,286.52),(22.055,285.99),(21.885,285.99)),
        )
        createRL(
            tech, net, 'li',
            ((15.315,9.415),(15.315,9.585),(15.485,9.585),(15.485,9.415),(15.315,9.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,155.665),(21.885,156.195),(22.055,156.195),(22.055,155.665),(21.885,155.665)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,307.705),(21.885,308.235),(22.055,308.235),(22.055,307.705),(21.885,307.705)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,264.27),(21.885,264.8),(22.055,264.8),(22.055,264.27),(21.885,264.27)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,68.785),(21.885,69.315),(22.055,69.315),(22.055,68.785),(21.885,68.785)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,199.105),(21.885,199.635),(22.055,199.635),(22.055,199.105),(21.885,199.105)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,3.625),(21.885,4.155),(22.055,4.155),(22.055,3.625),(21.885,3.625)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,307.705),(21.885,307.875),(22.055,307.875),(22.055,307.705),(21.885,307.705)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,308.065),(21.885,308.235),(22.055,308.235),(22.055,308.065),(21.885,308.065)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,3.625),(21.885,3.795),(22.055,3.795),(22.055,3.625),(21.885,3.625)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,3.985),(21.885,4.155),(22.055,4.155),(22.055,3.985),(21.885,3.985)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,133.945),(21.885,134.115),(22.055,134.115),(22.055,133.945),(21.885,133.945)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,134.305),(21.885,134.475),(22.055,134.475),(22.055,134.305),(21.885,134.305)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,90.505),(21.885,90.675),(22.055,90.675),(22.055,90.505),(21.885,90.505)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,90.865),(21.885,91.035),(22.055,91.035),(22.055,90.865),(21.885,90.865)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,47.065),(21.885,47.235),(22.055,47.235),(22.055,47.065),(21.885,47.065)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,47.425),(21.885,47.595),(22.055,47.595),(22.055,47.425),(21.885,47.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,329.425),(21.885,329.595),(22.055,329.595),(22.055,329.425),(21.885,329.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,329.785),(21.885,329.955),(22.055,329.955),(22.055,329.785),(21.885,329.785)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,220.825),(21.885,220.995),(22.055,220.995),(22.055,220.825),(21.885,220.825)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,221.185),(21.885,221.355),(22.055,221.355),(22.055,221.185),(21.885,221.185)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,177.385),(21.885,177.555),(22.055,177.555),(22.055,177.385),(21.885,177.385)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,177.745),(21.885,177.915),(22.055,177.915),(22.055,177.745),(21.885,177.745)),
        )
        createRL(
            tech, net, 'mcon',
            ((15.315,9.415),(15.315,9.585),(15.485,9.585),(15.485,9.415),(15.315,9.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,264.27),(21.885,264.44),(22.055,264.44),(22.055,264.27),(21.885,264.27)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,264.63),(21.885,264.8),(22.055,264.8),(22.055,264.63),(21.885,264.63)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,25.345),(21.885,25.515),(22.055,25.515),(22.055,25.345),(21.885,25.345)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,25.705),(21.885,25.875),(22.055,25.875),(22.055,25.705),(21.885,25.705)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,285.99),(21.885,286.16),(22.055,286.16),(22.055,285.99),(21.885,285.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,286.35),(21.885,286.52),(22.055,286.52),(22.055,286.35),(21.885,286.35)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,112.225),(21.885,112.395),(22.055,112.395),(22.055,112.225),(21.885,112.225)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,112.585),(21.885,112.755),(22.055,112.755),(22.055,112.585),(21.885,112.585)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,68.785),(21.885,68.955),(22.055,68.955),(22.055,68.785),(21.885,68.785)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,69.145),(21.885,69.315),(22.055,69.315),(22.055,69.145),(21.885,69.145)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,155.665),(21.885,155.835),(22.055,155.835),(22.055,155.665),(21.885,155.665)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,156.025),(21.885,156.195),(22.055,156.195),(22.055,156.025),(21.885,156.025)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,242.545),(21.885,242.715),(22.055,242.715),(22.055,242.545),(21.885,242.545)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,242.905),(21.885,243.075),(22.055,243.075),(22.055,242.905),(21.885,242.905)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,199.105),(21.885,199.275),(22.055,199.275),(22.055,199.105),(21.885,199.105)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,199.465),(21.885,199.635),(22.055,199.635),(22.055,199.465),(21.885,199.465)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,199.045),(21.855,199.05),(21.84,199.05),(21.84,199.69),(21.855,199.69),(21.855,199.695),(22.085,199.695),(22.085,199.69),(22.1,199.69),(22.1,199.05),(22.085,199.05),(22.085,199.045),(21.855,199.045)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,307.645),(21.855,307.65),(21.84,307.65),(21.84,308.29),(21.855,308.29),(21.855,308.295),(22.085,308.295),(22.085,308.29),(22.1,308.29),(22.1,307.65),(22.085,307.65),(22.085,307.645),(21.855,307.645)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,242.485),(21.855,242.49),(21.84,242.49),(21.84,243.13),(21.855,243.13),(21.855,243.135),(22.085,243.135),(22.085,243.13),(22.1,243.13),(22.1,242.49),(22.085,242.49),(22.085,242.485),(21.855,242.485)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,285.93),(21.855,285.935),(21.84,285.935),(21.84,286.575),(21.855,286.575),(21.855,286.58),(22.085,286.58),(22.085,286.575),(22.1,286.575),(22.1,285.935),(22.085,285.935),(22.085,285.93),(21.855,285.93)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,68.725),(21.855,68.73),(21.84,68.73),(21.84,69.37),(21.855,69.37),(21.855,69.375),(22.085,69.375),(22.085,69.37),(22.1,69.37),(22.1,68.73),(22.085,68.73),(22.085,68.725),(21.855,68.725)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,264.21),(21.855,264.215),(21.84,264.215),(21.84,264.855),(21.855,264.855),(21.855,264.86),(22.085,264.86),(22.085,264.855),(22.1,264.855),(22.1,264.215),(22.085,264.215),(22.085,264.21),(21.855,264.21)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,47.005),(21.855,47.01),(21.84,47.01),(21.84,47.65),(21.855,47.65),(21.855,47.655),(22.085,47.655),(22.085,47.65),(22.1,47.65),(22.1,47.01),(22.085,47.01),(22.085,47.005),(21.855,47.005)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,155.605),(21.855,155.61),(21.84,155.61),(21.84,156.25),(21.855,156.25),(21.855,156.255),(22.085,156.255),(22.085,156.25),(22.1,156.25),(22.1,155.61),(22.085,155.61),(22.085,155.605),(21.855,155.605)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,90.445),(21.855,90.45),(21.84,90.45),(21.84,91.09),(21.855,91.09),(21.855,91.095),(22.085,91.095),(22.085,91.09),(22.1,91.09),(22.1,90.45),(22.085,90.45),(22.085,90.445),(21.855,90.445)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,133.885),(21.855,133.89),(21.84,133.89),(21.84,134.53),(21.855,134.53),(21.855,134.535),(22.085,134.535),(22.085,134.53),(22.1,134.53),(22.1,133.89),(22.085,133.89),(22.085,133.885),(21.855,133.885)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,220.765),(21.855,220.77),(21.84,220.77),(21.84,221.41),(21.855,221.41),(21.855,221.415),(22.085,221.415),(22.085,221.41),(22.1,221.41),(22.1,220.77),(22.085,220.77),(22.085,220.765),(21.855,220.765)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,3.565),(21.855,3.57),(21.84,3.57),(21.84,4.21),(21.855,4.21),(21.855,4.215),(22.085,4.215),(22.085,4.21),(22.1,4.21),(22.1,3.57),(22.085,3.57),(22.085,3.565),(21.855,3.565)),
        )
        createRL(
            tech, net, 'm1',
            ((15.27,3.57),(15.27,330.01),(15.53,330.01),(15.53,3.57),(15.27,3.57)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,25.285),(21.855,25.29),(21.84,25.29),(21.84,25.93),(21.855,25.93),(21.855,25.935),(22.085,25.935),(22.085,25.93),(22.1,25.93),(22.1,25.29),(22.085,25.29),(22.085,25.285),(21.855,25.285)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,329.365),(21.855,329.37),(21.84,329.37),(21.84,330.01),(21.855,330.01),(21.855,330.015),(22.085,330.015),(22.085,330.01),(22.1,330.01),(22.1,329.37),(22.085,329.37),(22.085,329.365),(21.855,329.365)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,177.325),(21.855,177.33),(21.84,177.33),(21.84,177.97),(21.855,177.97),(21.855,177.975),(22.085,177.975),(22.085,177.97),(22.1,177.97),(22.1,177.33),(22.085,177.33),(22.085,177.325),(21.855,177.325)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,112.165),(21.855,112.17),(21.84,112.17),(21.84,112.81),(21.855,112.81),(21.855,112.815),(22.085,112.815),(22.085,112.81),(22.1,112.81),(22.1,112.17),(22.085,112.17),(22.085,112.165),(21.855,112.165)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,264.3),(15.325,264.45),(15.475,264.45),(15.475,264.3),(15.325,264.3)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,264.62),(15.325,264.77),(15.475,264.77),(15.475,264.62),(15.325,264.62)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,242.575),(15.325,242.725),(15.475,242.725),(15.475,242.575),(15.325,242.575)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,242.895),(15.325,243.045),(15.475,243.045),(15.475,242.895),(15.325,242.895)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,199.135),(15.325,199.285),(15.475,199.285),(15.475,199.135),(15.325,199.135)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,199.455),(15.325,199.605),(15.475,199.605),(15.475,199.455),(15.325,199.455)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,25.375),(15.325,25.525),(15.475,25.525),(15.475,25.375),(15.325,25.375)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,25.695),(15.325,25.845),(15.475,25.845),(15.475,25.695),(15.325,25.695)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,177.415),(15.325,177.565),(15.475,177.565),(15.475,177.415),(15.325,177.415)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,177.735),(15.325,177.885),(15.475,177.885),(15.475,177.735),(15.325,177.735)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,329.455),(21.895,329.605),(22.045,329.605),(22.045,329.455),(21.895,329.455)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,329.775),(21.895,329.925),(22.045,329.925),(22.045,329.775),(21.895,329.775)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,25.375),(21.895,25.525),(22.045,25.525),(22.045,25.375),(21.895,25.375)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,25.695),(21.895,25.845),(22.045,25.845),(22.045,25.695),(21.895,25.695)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,68.815),(21.895,68.965),(22.045,68.965),(22.045,68.815),(21.895,68.815)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,69.135),(21.895,69.285),(22.045,69.285),(22.045,69.135),(21.895,69.135)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,199.135),(21.895,199.285),(22.045,199.285),(22.045,199.135),(21.895,199.135)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,199.455),(21.895,199.605),(22.045,199.605),(22.045,199.455),(21.895,199.455)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,307.735),(21.895,307.885),(22.045,307.885),(22.045,307.735),(21.895,307.735)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,308.055),(21.895,308.205),(22.045,308.205),(22.045,308.055),(21.895,308.055)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,90.535),(15.325,90.685),(15.475,90.685),(15.475,90.535),(15.325,90.535)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,90.855),(15.325,91.005),(15.475,91.005),(15.475,90.855),(15.325,90.855)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,155.695),(15.325,155.845),(15.475,155.845),(15.475,155.695),(15.325,155.695)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,156.015),(15.325,156.165),(15.475,156.165),(15.475,156.015),(15.325,156.015)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,286.02),(21.895,286.17),(22.045,286.17),(22.045,286.02),(21.895,286.02)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,286.34),(21.895,286.49),(22.045,286.49),(22.045,286.34),(21.895,286.34)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,47.095),(15.325,47.245),(15.475,47.245),(15.475,47.095),(15.325,47.095)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,47.415),(15.325,47.565),(15.475,47.565),(15.475,47.415),(15.325,47.415)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,220.855),(21.895,221.005),(22.045,221.005),(22.045,220.855),(21.895,220.855)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,221.175),(21.895,221.325),(22.045,221.325),(22.045,221.175),(21.895,221.175)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,68.815),(15.325,68.965),(15.475,68.965),(15.475,68.815),(15.325,68.815)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,69.135),(15.325,69.285),(15.475,69.285),(15.475,69.135),(15.325,69.135)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,3.655),(21.895,3.805),(22.045,3.805),(22.045,3.655),(21.895,3.655)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,3.975),(21.895,4.125),(22.045,4.125),(22.045,3.975),(21.895,3.975)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,112.255),(15.325,112.405),(15.475,112.405),(15.475,112.255),(15.325,112.255)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,112.575),(15.325,112.725),(15.475,112.725),(15.475,112.575),(15.325,112.575)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,155.695),(21.895,155.845),(22.045,155.845),(22.045,155.695),(21.895,155.695)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,156.015),(21.895,156.165),(22.045,156.165),(22.045,156.015),(21.895,156.015)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,286.02),(15.325,286.17),(15.475,286.17),(15.475,286.02),(15.325,286.02)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,286.34),(15.325,286.49),(15.475,286.49),(15.475,286.34),(15.325,286.34)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,307.735),(15.325,307.885),(15.475,307.885),(15.475,307.735),(15.325,307.735)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,308.055),(15.325,308.205),(15.475,308.205),(15.475,308.055),(15.325,308.055)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,177.415),(21.895,177.565),(22.045,177.565),(22.045,177.415),(21.895,177.415)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,177.735),(21.895,177.885),(22.045,177.885),(22.045,177.735),(21.895,177.735)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,112.255),(21.895,112.405),(22.045,112.405),(22.045,112.255),(21.895,112.255)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,112.575),(21.895,112.725),(22.045,112.725),(22.045,112.575),(21.895,112.575)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,329.455),(15.325,329.605),(15.475,329.605),(15.475,329.455),(15.325,329.455)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,329.775),(15.325,329.925),(15.475,329.925),(15.475,329.775),(15.325,329.775)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,220.855),(15.325,221.005),(15.475,221.005),(15.475,220.855),(15.325,220.855)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,221.175),(15.325,221.325),(15.475,221.325),(15.475,221.175),(15.325,221.175)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,3.655),(15.325,3.805),(15.475,3.805),(15.475,3.655),(15.325,3.655)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,3.975),(15.325,4.125),(15.475,4.125),(15.475,3.975),(15.325,3.975)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,242.575),(21.895,242.725),(22.045,242.725),(22.045,242.575),(21.895,242.575)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,242.895),(21.895,243.045),(22.045,243.045),(22.045,242.895),(21.895,242.895)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,133.975),(15.325,134.125),(15.475,134.125),(15.475,133.975),(15.325,133.975)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,134.295),(15.325,134.445),(15.475,134.445),(15.475,134.295),(15.325,134.295)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,47.095),(21.895,47.245),(22.045,47.245),(22.045,47.095),(21.895,47.095)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,47.415),(21.895,47.565),(22.045,47.565),(22.045,47.415),(21.895,47.415)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,264.3),(21.895,264.45),(22.045,264.45),(22.045,264.3),(21.895,264.3)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,264.62),(21.895,264.77),(22.045,264.77),(22.045,264.62),(21.895,264.62)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,90.535),(21.895,90.685),(22.045,90.685),(22.045,90.535),(21.895,90.535)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,90.855),(21.895,91.005),(22.045,91.005),(22.045,90.855),(21.895,90.855)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,133.975),(21.895,134.125),(22.045,134.125),(22.045,133.975),(21.895,133.975)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,134.295),(21.895,134.445),(22.045,134.445),(22.045,134.295),(21.895,134.295)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,47.01),(15.27,47.65),(22.1,47.65),(22.1,47.01),(15.27,47.01)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,199.05),(15.27,199.69),(22.1,199.69),(22.1,199.05),(15.27,199.05)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,264.215),(15.27,264.855),(22.1,264.855),(22.1,264.215),(15.27,264.215)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,133.89),(15.27,134.53),(22.1,134.53),(22.1,133.89),(15.27,133.89)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,329.37),(15.27,330.01),(22.1,330.01),(22.1,329.37),(15.27,329.37)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,3.57),(15.27,4.21),(22.1,4.21),(22.1,3.57),(15.27,3.57)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,25.29),(15.27,25.93),(22.1,25.93),(22.1,25.29),(15.27,25.29)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,155.61),(15.27,156.25),(22.1,156.25),(22.1,155.61),(15.27,155.61)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,307.65),(15.27,308.29),(22.1,308.29),(22.1,307.65),(15.27,307.65)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,90.45),(15.27,91.09),(22.1,91.09),(22.1,90.45),(15.27,90.45)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,68.73),(15.27,69.37),(22.1,69.37),(22.1,68.73),(15.27,68.73)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,285.935),(15.27,286.575),(22.1,286.575),(22.1,285.935),(15.27,285.935)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,242.49),(15.27,243.13),(22.1,243.13),(22.1,242.49),(15.27,242.49)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,177.33),(15.27,177.97),(22.1,177.97),(22.1,177.33),(15.27,177.33)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,112.17),(15.27,112.81),(22.1,112.81),(22.1,112.17),(15.27,112.17)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,220.77),(15.27,221.41),(22.1,221.41),(22.1,220.77),(15.27,220.77)),
        )
        net = nets['pd[0][2]']
        createRL(
            tech, net, 'li',
            ((21.885,137.02),(21.885,137.55),(22.055,137.55),(22.055,137.02),(21.885,137.02)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,289.06),(21.885,289.59),(22.055,289.59),(22.055,289.06),(21.885,289.06)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,310.785),(21.885,311.315),(22.055,311.315),(22.055,310.785),(21.885,310.785)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,93.585),(21.885,94.115),(22.055,94.115),(22.055,93.585),(21.885,93.585)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,115.305),(21.885,115.835),(22.055,115.835),(22.055,115.305),(21.885,115.305)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,245.625),(21.885,246.155),(22.055,246.155),(22.055,245.625),(21.885,245.625)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,50.145),(21.885,50.675),(22.055,50.675),(22.055,50.145),(21.885,50.145)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,28.425),(21.885,28.955),(22.055,28.955),(22.055,28.425),(21.885,28.425)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,158.74),(21.885,159.27),(22.055,159.27),(22.055,158.74),(21.885,158.74)),
        )
        createRL(
            tech, net, 'li',
            ((13.695,20.415),(13.695,20.585),(13.865,20.585),(13.865,20.415),(13.695,20.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,180.46),(21.885,180.99),(22.055,180.99),(22.055,180.46),(21.885,180.46)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,202.185),(21.885,202.715),(22.055,202.715),(22.055,202.185),(21.885,202.185)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,71.865),(21.885,72.395),(22.055,72.395),(22.055,71.865),(21.885,71.865)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,223.9),(21.885,224.43),(22.055,224.43),(22.055,223.9),(21.885,223.9)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,332.5),(21.885,333.03),(22.055,333.03),(22.055,332.5),(21.885,332.5)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,267.34),(21.885,267.87),(22.055,267.87),(22.055,267.34),(21.885,267.34)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,6.7),(21.885,7.23),(22.055,7.23),(22.055,6.7),(21.885,6.7)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,6.7),(21.885,6.87),(22.055,6.87),(22.055,6.7),(21.885,6.7)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,7.06),(21.885,7.23),(22.055,7.23),(22.055,7.06),(21.885,7.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,202.185),(21.885,202.355),(22.055,202.355),(22.055,202.185),(21.885,202.185)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,202.545),(21.885,202.715),(22.055,202.715),(22.055,202.545),(21.885,202.545)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,180.46),(21.885,180.63),(22.055,180.63),(22.055,180.46),(21.885,180.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,180.82),(21.885,180.99),(22.055,180.99),(22.055,180.82),(21.885,180.82)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,137.02),(21.885,137.19),(22.055,137.19),(22.055,137.02),(21.885,137.02)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,137.38),(21.885,137.55),(22.055,137.55),(22.055,137.38),(21.885,137.38)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,332.5),(21.885,332.67),(22.055,332.67),(22.055,332.5),(21.885,332.5)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,332.86),(21.885,333.03),(22.055,333.03),(22.055,332.86),(21.885,332.86)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,158.74),(21.885,158.91),(22.055,158.91),(22.055,158.74),(21.885,158.74)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,159.1),(21.885,159.27),(22.055,159.27),(22.055,159.1),(21.885,159.1)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,245.625),(21.885,245.795),(22.055,245.795),(22.055,245.625),(21.885,245.625)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,245.985),(21.885,246.155),(22.055,246.155),(22.055,245.985),(21.885,245.985)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,310.785),(21.885,310.955),(22.055,310.955),(22.055,310.785),(21.885,310.785)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,311.145),(21.885,311.315),(22.055,311.315),(22.055,311.145),(21.885,311.145)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,93.585),(21.885,93.755),(22.055,93.755),(22.055,93.585),(21.885,93.585)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,93.945),(21.885,94.115),(22.055,94.115),(22.055,93.945),(21.885,93.945)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,289.06),(21.885,289.23),(22.055,289.23),(22.055,289.06),(21.885,289.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,289.42),(21.885,289.59),(22.055,289.59),(22.055,289.42),(21.885,289.42)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,50.145),(21.885,50.315),(22.055,50.315),(22.055,50.145),(21.885,50.145)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,50.505),(21.885,50.675),(22.055,50.675),(22.055,50.505),(21.885,50.505)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,223.9),(21.885,224.07),(22.055,224.07),(22.055,223.9),(21.885,223.9)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,224.26),(21.885,224.43),(22.055,224.43),(22.055,224.26),(21.885,224.26)),
        )
        createRL(
            tech, net, 'mcon',
            ((13.695,20.415),(13.695,20.585),(13.865,20.585),(13.865,20.415),(13.695,20.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,71.865),(21.885,72.035),(22.055,72.035),(22.055,71.865),(21.885,71.865)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,72.225),(21.885,72.395),(22.055,72.395),(22.055,72.225),(21.885,72.225)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,115.305),(21.885,115.475),(22.055,115.475),(22.055,115.305),(21.885,115.305)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,115.665),(21.885,115.835),(22.055,115.835),(22.055,115.665),(21.885,115.665)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,28.425),(21.885,28.595),(22.055,28.595),(22.055,28.425),(21.885,28.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,28.785),(21.885,28.955),(22.055,28.955),(22.055,28.785),(21.885,28.785)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,267.34),(21.885,267.51),(22.055,267.51),(22.055,267.34),(21.885,267.34)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,267.7),(21.885,267.87),(22.055,267.87),(22.055,267.7),(21.885,267.7)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,136.96),(21.855,136.965),(21.84,136.965),(21.84,137.605),(21.855,137.605),(21.855,137.61),(22.085,137.61),(22.085,137.605),(22.1,137.605),(22.1,136.965),(22.085,136.965),(22.085,136.96),(21.855,136.96)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,93.525),(21.855,93.53),(21.84,93.53),(21.84,94.17),(21.855,94.17),(21.855,94.175),(22.085,94.175),(22.085,94.17),(22.1,94.17),(22.1,93.53),(22.085,93.53),(22.085,93.525),(21.855,93.525)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,50.085),(21.855,50.09),(21.84,50.09),(21.84,50.73),(21.855,50.73),(21.855,50.735),(22.085,50.735),(22.085,50.73),(22.1,50.73),(22.1,50.09),(22.085,50.09),(22.085,50.085),(21.855,50.085)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,332.44),(21.855,332.445),(21.84,332.445),(21.84,333.085),(21.855,333.085),(21.855,333.09),(22.085,333.09),(22.085,333.085),(22.1,333.085),(22.1,332.445),(22.085,332.445),(22.085,332.44),(21.855,332.44)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,158.68),(21.855,158.685),(21.84,158.685),(21.84,159.325),(21.855,159.325),(21.855,159.33),(22.085,159.33),(22.085,159.325),(22.1,159.325),(22.1,158.685),(22.085,158.685),(22.085,158.68),(21.855,158.68)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,245.565),(21.855,245.57),(21.84,245.57),(21.84,246.21),(21.855,246.21),(21.855,246.215),(22.085,246.215),(22.085,246.21),(22.1,246.21),(22.1,245.57),(22.085,245.57),(22.085,245.565),(21.855,245.565)),
        )
        createRL(
            tech, net, 'm1',
            ((13.65,6.645),(13.65,333.085),(13.91,333.085),(13.91,6.645),(13.65,6.645)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,28.365),(21.855,28.37),(21.84,28.37),(21.84,29.01),(21.855,29.01),(21.855,29.015),(22.085,29.015),(22.085,29.01),(22.1,29.01),(22.1,28.37),(22.085,28.37),(22.085,28.365),(21.855,28.365)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,289.0),(21.855,289.005),(21.84,289.005),(21.84,289.645),(21.855,289.645),(21.855,289.65),(22.085,289.65),(22.085,289.645),(22.1,289.645),(22.1,289.005),(22.085,289.005),(22.085,289.0),(21.855,289.0)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,6.64),(21.855,6.645),(21.84,6.645),(21.84,7.285),(21.855,7.285),(21.855,7.29),(22.085,7.29),(22.085,7.285),(22.1,7.285),(22.1,6.645),(22.085,6.645),(22.085,6.64),(21.855,6.64)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,267.28),(21.855,267.285),(21.84,267.285),(21.84,267.925),(21.855,267.925),(21.855,267.93),(22.085,267.93),(22.085,267.925),(22.1,267.925),(22.1,267.285),(22.085,267.285),(22.085,267.28),(21.855,267.28)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,180.4),(21.855,180.405),(21.84,180.405),(21.84,181.045),(21.855,181.045),(21.855,181.05),(22.085,181.05),(22.085,181.045),(22.1,181.045),(22.1,180.405),(22.085,180.405),(22.085,180.4),(21.855,180.4)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,223.84),(21.855,223.845),(21.84,223.845),(21.84,224.485),(21.855,224.485),(21.855,224.49),(22.085,224.49),(22.085,224.485),(22.1,224.485),(22.1,223.845),(22.085,223.845),(22.085,223.84),(21.855,223.84)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,115.245),(21.855,115.25),(21.84,115.25),(21.84,115.89),(21.855,115.89),(21.855,115.895),(22.085,115.895),(22.085,115.89),(22.1,115.89),(22.1,115.25),(22.085,115.25),(22.085,115.245),(21.855,115.245)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,202.125),(21.855,202.13),(21.84,202.13),(21.84,202.77),(21.855,202.77),(21.855,202.775),(22.085,202.775),(22.085,202.77),(22.1,202.77),(22.1,202.13),(22.085,202.13),(22.085,202.125),(21.855,202.125)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,71.805),(21.855,71.81),(21.84,71.81),(21.84,72.45),(21.855,72.45),(21.855,72.455),(22.085,72.455),(22.085,72.45),(22.1,72.45),(22.1,71.81),(22.085,71.81),(22.085,71.805),(21.855,71.805)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,310.725),(21.855,310.73),(21.84,310.73),(21.84,311.37),(21.855,311.37),(21.855,311.375),(22.085,311.375),(22.085,311.37),(22.1,311.37),(22.1,310.73),(22.085,310.73),(22.085,310.725),(21.855,310.725)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,267.37),(21.895,267.52),(22.045,267.52),(22.045,267.37),(21.895,267.37)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,267.69),(21.895,267.84),(22.045,267.84),(22.045,267.69),(21.895,267.69)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,50.175),(13.705,50.325),(13.855,50.325),(13.855,50.175),(13.705,50.175)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,50.495),(13.705,50.645),(13.855,50.645),(13.855,50.495),(13.705,50.495)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,332.53),(13.705,332.68),(13.855,332.68),(13.855,332.53),(13.705,332.53)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,332.85),(13.705,333.0),(13.855,333.0),(13.855,332.85),(13.705,332.85)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,115.335),(13.705,115.485),(13.855,115.485),(13.855,115.335),(13.705,115.335)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,115.655),(13.705,115.805),(13.855,115.805),(13.855,115.655),(13.705,115.655)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,115.335),(21.895,115.485),(22.045,115.485),(22.045,115.335),(21.895,115.335)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,115.655),(21.895,115.805),(22.045,115.805),(22.045,115.655),(21.895,115.655)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,267.37),(13.705,267.52),(13.855,267.52),(13.855,267.37),(13.705,267.37)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,267.69),(13.705,267.84),(13.855,267.84),(13.855,267.69),(13.705,267.69)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,28.455),(21.895,28.605),(22.045,28.605),(22.045,28.455),(21.895,28.455)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,28.775),(21.895,28.925),(22.045,28.925),(22.045,28.775),(21.895,28.775)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,289.09),(13.705,289.24),(13.855,289.24),(13.855,289.09),(13.705,289.09)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,289.41),(13.705,289.56),(13.855,289.56),(13.855,289.41),(13.705,289.41)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,28.455),(13.705,28.605),(13.855,28.605),(13.855,28.455),(13.705,28.455)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,28.775),(13.705,28.925),(13.855,28.925),(13.855,28.775),(13.705,28.775)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,137.05),(21.895,137.2),(22.045,137.2),(22.045,137.05),(21.895,137.05)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,137.37),(21.895,137.52),(22.045,137.52),(22.045,137.37),(21.895,137.37)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,158.77),(13.705,158.92),(13.855,158.92),(13.855,158.77),(13.705,158.77)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,159.09),(13.705,159.24),(13.855,159.24),(13.855,159.09),(13.705,159.09)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,71.895),(13.705,72.045),(13.855,72.045),(13.855,71.895),(13.705,71.895)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,72.215),(13.705,72.365),(13.855,72.365),(13.855,72.215),(13.705,72.215)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,180.49),(21.895,180.64),(22.045,180.64),(22.045,180.49),(21.895,180.49)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,180.81),(21.895,180.96),(22.045,180.96),(22.045,180.81),(21.895,180.81)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,137.05),(13.705,137.2),(13.855,137.2),(13.855,137.05),(13.705,137.05)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,137.37),(13.705,137.52),(13.855,137.52),(13.855,137.37),(13.705,137.37)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,310.815),(13.705,310.965),(13.855,310.965),(13.855,310.815),(13.705,310.815)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,311.135),(13.705,311.285),(13.855,311.285),(13.855,311.135),(13.705,311.135)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,71.895),(21.895,72.045),(22.045,72.045),(22.045,71.895),(21.895,71.895)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,72.215),(21.895,72.365),(22.045,72.365),(22.045,72.215),(21.895,72.215)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,223.93),(13.705,224.08),(13.855,224.08),(13.855,223.93),(13.705,223.93)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,224.25),(13.705,224.4),(13.855,224.4),(13.855,224.25),(13.705,224.25)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,245.655),(13.705,245.805),(13.855,245.805),(13.855,245.655),(13.705,245.655)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,245.975),(13.705,246.125),(13.855,246.125),(13.855,245.975),(13.705,245.975)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,332.53),(21.895,332.68),(22.045,332.68),(22.045,332.53),(21.895,332.53)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,332.85),(21.895,333.0),(22.045,333.0),(22.045,332.85),(21.895,332.85)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,310.815),(21.895,310.965),(22.045,310.965),(22.045,310.815),(21.895,310.815)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,311.135),(21.895,311.285),(22.045,311.285),(22.045,311.135),(21.895,311.135)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,245.655),(21.895,245.805),(22.045,245.805),(22.045,245.655),(21.895,245.655)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,245.975),(21.895,246.125),(22.045,246.125),(22.045,245.975),(21.895,245.975)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,93.615),(21.895,93.765),(22.045,93.765),(22.045,93.615),(21.895,93.615)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,93.935),(21.895,94.085),(22.045,94.085),(22.045,93.935),(21.895,93.935)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,223.93),(21.895,224.08),(22.045,224.08),(22.045,223.93),(21.895,223.93)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,224.25),(21.895,224.4),(22.045,224.4),(22.045,224.25),(21.895,224.25)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,289.09),(21.895,289.24),(22.045,289.24),(22.045,289.09),(21.895,289.09)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,289.41),(21.895,289.56),(22.045,289.56),(22.045,289.41),(21.895,289.41)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,6.73),(21.895,6.88),(22.045,6.88),(22.045,6.73),(21.895,6.73)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,7.05),(21.895,7.2),(22.045,7.2),(22.045,7.05),(21.895,7.05)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,180.49),(13.705,180.64),(13.855,180.64),(13.855,180.49),(13.705,180.49)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,180.81),(13.705,180.96),(13.855,180.96),(13.855,180.81),(13.705,180.81)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,202.215),(13.705,202.365),(13.855,202.365),(13.855,202.215),(13.705,202.215)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,202.535),(13.705,202.685),(13.855,202.685),(13.855,202.535),(13.705,202.535)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,93.615),(13.705,93.765),(13.855,93.765),(13.855,93.615),(13.705,93.615)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,93.935),(13.705,94.085),(13.855,94.085),(13.855,93.935),(13.705,93.935)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,6.73),(13.705,6.88),(13.855,6.88),(13.855,6.73),(13.705,6.73)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,7.05),(13.705,7.2),(13.855,7.2),(13.855,7.05),(13.705,7.05)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,202.215),(21.895,202.365),(22.045,202.365),(22.045,202.215),(21.895,202.215)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,202.535),(21.895,202.685),(22.045,202.685),(22.045,202.535),(21.895,202.535)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,50.175),(21.895,50.325),(22.045,50.325),(22.045,50.175),(21.895,50.175)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,50.495),(21.895,50.645),(22.045,50.645),(22.045,50.495),(21.895,50.495)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,158.77),(21.895,158.92),(22.045,158.92),(22.045,158.77),(21.895,158.77)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,159.09),(21.895,159.24),(22.045,159.24),(22.045,159.09),(21.895,159.09)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,267.285),(13.65,267.925),(22.1,267.925),(22.1,267.285),(13.65,267.285)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,6.645),(13.65,7.285),(22.1,7.285),(22.1,6.645),(13.65,6.645)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,136.965),(13.65,137.605),(22.1,137.605),(22.1,136.965),(13.65,136.965)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,310.73),(13.65,311.37),(22.1,311.37),(22.1,310.73),(13.65,310.73)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,289.005),(13.65,289.645),(22.1,289.645),(22.1,289.005),(13.65,289.005)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,71.81),(13.65,72.45),(22.1,72.45),(22.1,71.81),(13.65,71.81)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,223.845),(13.65,224.485),(22.1,224.485),(22.1,223.845),(13.65,223.845)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,180.405),(13.65,181.045),(22.1,181.045),(22.1,180.405),(13.65,180.405)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,93.53),(13.65,94.17),(22.1,94.17),(22.1,93.53),(13.65,93.53)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,115.25),(13.65,115.89),(22.1,115.89),(22.1,115.25),(13.65,115.25)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,245.57),(13.65,246.21),(22.1,246.21),(22.1,245.57),(13.65,245.57)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,332.445),(13.65,333.085),(22.1,333.085),(22.1,332.445),(13.65,332.445)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,50.09),(13.65,50.73),(22.1,50.73),(22.1,50.09),(13.65,50.09)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,158.685),(13.65,159.325),(22.1,159.325),(22.1,158.685),(13.65,158.685)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,202.13),(13.65,202.77),(22.1,202.77),(22.1,202.13),(13.65,202.13)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,28.37),(13.65,29.01),(22.1,29.01),(22.1,28.37),(13.65,28.37)),
        )
        net = nets['pd[0][3]']
        createRL(
            tech, net, 'li',
            ((21.885,204.535),(21.885,205.065),(22.055,205.065),(22.055,204.535),(21.885,204.535)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,9.055),(21.885,9.585),(22.055,9.585),(22.055,9.055),(21.885,9.055)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,161.095),(21.885,161.625),(22.055,161.625),(22.055,161.095),(21.885,161.095)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,313.135),(21.885,313.665),(22.055,313.665),(22.055,313.135),(21.885,313.135)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,117.655),(21.885,118.185),(22.055,118.185),(22.055,117.655),(21.885,117.655)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,269.695),(21.885,270.225),(22.055,270.225),(22.055,269.695),(21.885,269.695)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,291.415),(21.885,291.945),(22.055,291.945),(22.055,291.415),(21.885,291.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,74.215),(21.885,74.745),(22.055,74.745),(22.055,74.215),(21.885,74.215)),
        )
        createRL(
            tech, net, 'li',
            ((15.855,25.415),(15.855,25.585),(16.025,25.585),(16.025,25.415),(15.855,25.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,30.775),(21.885,31.305),(22.055,31.305),(22.055,30.775),(21.885,30.775)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,226.255),(21.885,226.785),(22.055,226.785),(22.055,226.255),(21.885,226.255)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,334.855),(21.885,335.385),(22.055,335.385),(22.055,334.855),(21.885,334.855)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,95.935),(21.885,96.465),(22.055,96.465),(22.055,95.935),(21.885,95.935)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,247.975),(21.885,248.505),(22.055,248.505),(22.055,247.975),(21.885,247.975)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,52.495),(21.885,53.025),(22.055,53.025),(22.055,52.495),(21.885,52.495)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,139.375),(21.885,139.905),(22.055,139.905),(22.055,139.375),(21.885,139.375)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,182.815),(21.885,183.345),(22.055,183.345),(22.055,182.815),(21.885,182.815)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,139.375),(21.885,139.545),(22.055,139.545),(22.055,139.375),(21.885,139.375)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,139.735),(21.885,139.905),(22.055,139.905),(22.055,139.735),(21.885,139.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,226.255),(21.885,226.425),(22.055,226.425),(22.055,226.255),(21.885,226.255)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,226.615),(21.885,226.785),(22.055,226.785),(22.055,226.615),(21.885,226.615)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,52.495),(21.885,52.665),(22.055,52.665),(22.055,52.495),(21.885,52.495)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,52.855),(21.885,53.025),(22.055,53.025),(22.055,52.855),(21.885,52.855)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,161.095),(21.885,161.265),(22.055,161.265),(22.055,161.095),(21.885,161.095)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,161.455),(21.885,161.625),(22.055,161.625),(22.055,161.455),(21.885,161.455)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,313.135),(21.885,313.305),(22.055,313.305),(22.055,313.135),(21.885,313.135)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,313.495),(21.885,313.665),(22.055,313.665),(22.055,313.495),(21.885,313.495)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,291.415),(21.885,291.585),(22.055,291.585),(22.055,291.415),(21.885,291.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,291.775),(21.885,291.945),(22.055,291.945),(22.055,291.775),(21.885,291.775)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,117.655),(21.885,117.825),(22.055,117.825),(22.055,117.655),(21.885,117.655)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,118.015),(21.885,118.185),(22.055,118.185),(22.055,118.015),(21.885,118.015)),
        )
        createRL(
            tech, net, 'mcon',
            ((15.855,25.415),(15.855,25.585),(16.025,25.585),(16.025,25.415),(15.855,25.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,9.055),(21.885,9.225),(22.055,9.225),(22.055,9.055),(21.885,9.055)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,9.415),(21.885,9.585),(22.055,9.585),(22.055,9.415),(21.885,9.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,334.855),(21.885,335.025),(22.055,335.025),(22.055,334.855),(21.885,334.855)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,335.215),(21.885,335.385),(22.055,335.385),(22.055,335.215),(21.885,335.215)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,269.695),(21.885,269.865),(22.055,269.865),(22.055,269.695),(21.885,269.695)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,270.055),(21.885,270.225),(22.055,270.225),(22.055,270.055),(21.885,270.055)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,95.935),(21.885,96.105),(22.055,96.105),(22.055,95.935),(21.885,95.935)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,96.295),(21.885,96.465),(22.055,96.465),(22.055,96.295),(21.885,96.295)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,74.215),(21.885,74.385),(22.055,74.385),(22.055,74.215),(21.885,74.215)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,74.575),(21.885,74.745),(22.055,74.745),(22.055,74.575),(21.885,74.575)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,204.535),(21.885,204.705),(22.055,204.705),(22.055,204.535),(21.885,204.535)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,204.895),(21.885,205.065),(22.055,205.065),(22.055,204.895),(21.885,204.895)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,247.975),(21.885,248.145),(22.055,248.145),(22.055,247.975),(21.885,247.975)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,248.335),(21.885,248.505),(22.055,248.505),(22.055,248.335),(21.885,248.335)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,182.815),(21.885,182.985),(22.055,182.985),(22.055,182.815),(21.885,182.815)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,183.175),(21.885,183.345),(22.055,183.345),(22.055,183.175),(21.885,183.175)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,30.775),(21.885,30.945),(22.055,30.945),(22.055,30.775),(21.885,30.775)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,31.135),(21.885,31.305),(22.055,31.305),(22.055,31.135),(21.885,31.135)),
        )
        createRL(
            tech, net, 'm1',
            ((15.81,9.0),(15.81,335.44),(16.07,335.44),(16.07,9.0),(15.81,9.0)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,30.715),(21.855,30.72),(21.84,30.72),(21.84,31.36),(21.855,31.36),(21.855,31.365),(22.085,31.365),(22.085,31.36),(22.1,31.36),(22.1,30.72),(22.085,30.72),(22.085,30.715),(21.855,30.715)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,334.795),(21.855,334.8),(21.84,334.8),(21.84,335.44),(21.855,335.44),(21.855,335.445),(22.085,335.445),(22.085,335.44),(22.1,335.44),(22.1,334.8),(22.085,334.8),(22.085,334.795),(21.855,334.795)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,161.035),(21.855,161.04),(21.84,161.04),(21.84,161.68),(21.855,161.68),(21.855,161.685),(22.085,161.685),(22.085,161.68),(22.1,161.68),(22.1,161.04),(22.085,161.04),(22.085,161.035),(21.855,161.035)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,247.915),(21.855,247.92),(21.84,247.92),(21.84,248.56),(21.855,248.56),(21.855,248.565),(22.085,248.565),(22.085,248.56),(22.1,248.56),(22.1,247.92),(22.085,247.92),(22.085,247.915),(21.855,247.915)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,291.355),(21.855,291.36),(21.84,291.36),(21.84,292.0),(21.855,292.0),(21.855,292.005),(22.085,292.005),(22.085,292.0),(22.1,292.0),(22.1,291.36),(22.085,291.36),(22.085,291.355),(21.855,291.355)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,8.995),(21.855,9.0),(21.84,9.0),(21.84,9.64),(21.855,9.64),(21.855,9.645),(22.085,9.645),(22.085,9.64),(22.1,9.64),(22.1,9.0),(22.085,9.0),(22.085,8.995),(21.855,8.995)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,52.435),(21.855,52.44),(21.84,52.44),(21.84,53.08),(21.855,53.08),(21.855,53.085),(22.085,53.085),(22.085,53.08),(22.1,53.08),(22.1,52.44),(22.085,52.44),(22.085,52.435),(21.855,52.435)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,95.875),(21.855,95.88),(21.84,95.88),(21.84,96.52),(21.855,96.52),(21.855,96.525),(22.085,96.525),(22.085,96.52),(22.1,96.52),(22.1,95.88),(22.085,95.88),(22.085,95.875),(21.855,95.875)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,139.315),(21.855,139.32),(21.84,139.32),(21.84,139.96),(21.855,139.96),(21.855,139.965),(22.085,139.965),(22.085,139.96),(22.1,139.96),(22.1,139.32),(22.085,139.32),(22.085,139.315),(21.855,139.315)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,226.195),(21.855,226.2),(21.84,226.2),(21.84,226.84),(21.855,226.84),(21.855,226.845),(22.085,226.845),(22.085,226.84),(22.1,226.84),(22.1,226.2),(22.085,226.2),(22.085,226.195),(21.855,226.195)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,269.635),(21.855,269.64),(21.84,269.64),(21.84,270.28),(21.855,270.28),(21.855,270.285),(22.085,270.285),(22.085,270.28),(22.1,270.28),(22.1,269.64),(22.085,269.64),(22.085,269.635),(21.855,269.635)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,204.475),(21.855,204.48),(21.84,204.48),(21.84,205.12),(21.855,205.12),(21.855,205.125),(22.085,205.125),(22.085,205.12),(22.1,205.12),(22.1,204.48),(22.085,204.48),(22.085,204.475),(21.855,204.475)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,313.075),(21.855,313.08),(21.84,313.08),(21.84,313.72),(21.855,313.72),(21.855,313.725),(22.085,313.725),(22.085,313.72),(22.1,313.72),(22.1,313.08),(22.085,313.08),(22.085,313.075),(21.855,313.075)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,117.595),(21.855,117.6),(21.84,117.6),(21.84,118.24),(21.855,118.24),(21.855,118.245),(22.085,118.245),(22.085,118.24),(22.1,118.24),(22.1,117.6),(22.085,117.6),(22.085,117.595),(21.855,117.595)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,74.155),(21.855,74.16),(21.84,74.16),(21.84,74.8),(21.855,74.8),(21.855,74.805),(22.085,74.805),(22.085,74.8),(22.1,74.8),(22.1,74.16),(22.085,74.16),(22.085,74.155),(21.855,74.155)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,182.755),(21.855,182.76),(21.84,182.76),(21.84,183.4),(21.855,183.4),(21.855,183.405),(22.085,183.405),(22.085,183.4),(22.1,183.4),(22.1,182.76),(22.085,182.76),(22.085,182.755),(21.855,182.755)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,291.445),(15.865,291.595),(16.015,291.595),(16.015,291.445),(15.865,291.445)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,291.765),(15.865,291.915),(16.015,291.915),(16.015,291.765),(15.865,291.765)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,117.685),(21.895,117.835),(22.045,117.835),(22.045,117.685),(21.895,117.685)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,118.005),(21.895,118.155),(22.045,118.155),(22.045,118.005),(21.895,118.005)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,139.405),(15.865,139.555),(16.015,139.555),(16.015,139.405),(15.865,139.405)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,139.725),(15.865,139.875),(16.015,139.875),(16.015,139.725),(15.865,139.725)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,139.405),(21.895,139.555),(22.045,139.555),(22.045,139.405),(21.895,139.405)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,139.725),(21.895,139.875),(22.045,139.875),(22.045,139.725),(21.895,139.725)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,30.805),(15.865,30.955),(16.015,30.955),(16.015,30.805),(15.865,30.805)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,31.125),(15.865,31.275),(16.015,31.275),(16.015,31.125),(15.865,31.125)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,269.725),(21.895,269.875),(22.045,269.875),(22.045,269.725),(21.895,269.725)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,270.045),(21.895,270.195),(22.045,270.195),(22.045,270.045),(21.895,270.045)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,95.965),(21.895,96.115),(22.045,96.115),(22.045,95.965),(21.895,95.965)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,96.285),(21.895,96.435),(22.045,96.435),(22.045,96.285),(21.895,96.285)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,95.965),(15.865,96.115),(16.015,96.115),(16.015,95.965),(15.865,95.965)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,96.285),(15.865,96.435),(16.015,96.435),(16.015,96.285),(15.865,96.285)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,248.005),(15.865,248.155),(16.015,248.155),(16.015,248.005),(15.865,248.005)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,248.325),(15.865,248.475),(16.015,248.475),(16.015,248.325),(15.865,248.325)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,248.005),(21.895,248.155),(22.045,248.155),(22.045,248.005),(21.895,248.005)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,248.325),(21.895,248.475),(22.045,248.475),(22.045,248.325),(21.895,248.325)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,117.685),(15.865,117.835),(16.015,117.835),(16.015,117.685),(15.865,117.685)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,118.005),(15.865,118.155),(16.015,118.155),(16.015,118.005),(15.865,118.005)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,74.245),(21.895,74.395),(22.045,74.395),(22.045,74.245),(21.895,74.245)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,74.565),(21.895,74.715),(22.045,74.715),(22.045,74.565),(21.895,74.565)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,9.085),(21.895,9.235),(22.045,9.235),(22.045,9.085),(21.895,9.085)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,9.405),(21.895,9.555),(22.045,9.555),(22.045,9.405),(21.895,9.405)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,30.805),(21.895,30.955),(22.045,30.955),(22.045,30.805),(21.895,30.805)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,31.125),(21.895,31.275),(22.045,31.275),(22.045,31.125),(21.895,31.125)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,161.125),(15.865,161.275),(16.015,161.275),(16.015,161.125),(15.865,161.125)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,161.445),(15.865,161.595),(16.015,161.595),(16.015,161.445),(15.865,161.445)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,291.445),(21.895,291.595),(22.045,291.595),(22.045,291.445),(21.895,291.445)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,291.765),(21.895,291.915),(22.045,291.915),(22.045,291.765),(21.895,291.765)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,313.165),(15.865,313.315),(16.015,313.315),(16.015,313.165),(15.865,313.165)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,313.485),(15.865,313.635),(16.015,313.635),(16.015,313.485),(15.865,313.485)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,334.885),(21.895,335.035),(22.045,335.035),(22.045,334.885),(21.895,334.885)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,335.205),(21.895,335.355),(22.045,335.355),(22.045,335.205),(21.895,335.205)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,226.285),(15.865,226.435),(16.015,226.435),(16.015,226.285),(15.865,226.285)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,226.605),(15.865,226.755),(16.015,226.755),(16.015,226.605),(15.865,226.605)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,182.845),(15.865,182.995),(16.015,182.995),(16.015,182.845),(15.865,182.845)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,183.165),(15.865,183.315),(16.015,183.315),(16.015,183.165),(15.865,183.165)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,9.085),(15.865,9.235),(16.015,9.235),(16.015,9.085),(15.865,9.085)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,9.405),(15.865,9.555),(16.015,9.555),(16.015,9.405),(15.865,9.405)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,204.565),(15.865,204.715),(16.015,204.715),(16.015,204.565),(15.865,204.565)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,204.885),(15.865,205.035),(16.015,205.035),(16.015,204.885),(15.865,204.885)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,269.725),(15.865,269.875),(16.015,269.875),(16.015,269.725),(15.865,269.725)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,270.045),(15.865,270.195),(16.015,270.195),(16.015,270.045),(15.865,270.045)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,182.845),(21.895,182.995),(22.045,182.995),(22.045,182.845),(21.895,182.845)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,183.165),(21.895,183.315),(22.045,183.315),(22.045,183.165),(21.895,183.165)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,226.285),(21.895,226.435),(22.045,226.435),(22.045,226.285),(21.895,226.285)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,226.605),(21.895,226.755),(22.045,226.755),(22.045,226.605),(21.895,226.605)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,313.165),(21.895,313.315),(22.045,313.315),(22.045,313.165),(21.895,313.165)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,313.485),(21.895,313.635),(22.045,313.635),(22.045,313.485),(21.895,313.485)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,161.125),(21.895,161.275),(22.045,161.275),(22.045,161.125),(21.895,161.125)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,161.445),(21.895,161.595),(22.045,161.595),(22.045,161.445),(21.895,161.445)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,74.245),(15.865,74.395),(16.015,74.395),(16.015,74.245),(15.865,74.245)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,74.565),(15.865,74.715),(16.015,74.715),(16.015,74.565),(15.865,74.565)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,204.565),(21.895,204.715),(22.045,204.715),(22.045,204.565),(21.895,204.565)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,204.885),(21.895,205.035),(22.045,205.035),(22.045,204.885),(21.895,204.885)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,52.525),(21.895,52.675),(22.045,52.675),(22.045,52.525),(21.895,52.525)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,52.845),(21.895,52.995),(22.045,52.995),(22.045,52.845),(21.895,52.845)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,334.885),(15.865,335.035),(16.015,335.035),(16.015,334.885),(15.865,334.885)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,335.205),(15.865,335.355),(16.015,335.355),(16.015,335.205),(15.865,335.205)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,52.525),(15.865,52.675),(16.015,52.675),(16.015,52.525),(15.865,52.525)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,52.845),(15.865,52.995),(16.015,52.995),(16.015,52.845),(15.865,52.845)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,117.6),(15.81,118.24),(22.1,118.24),(22.1,117.6),(15.81,117.6)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,74.16),(15.81,74.8),(22.1,74.8),(22.1,74.16),(15.81,74.16)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,30.72),(15.81,31.36),(22.1,31.36),(22.1,30.72),(15.81,30.72)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,182.76),(15.81,183.4),(22.1,183.4),(22.1,182.76),(15.81,182.76)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,291.36),(15.81,292.0),(22.1,292.0),(22.1,291.36),(15.81,291.36)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,9.0),(15.81,9.64),(22.1,9.64),(22.1,9.0),(15.81,9.0)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,313.08),(15.81,313.72),(22.1,313.72),(22.1,313.08),(15.81,313.08)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,334.8),(15.81,335.44),(22.1,335.44),(22.1,334.8),(15.81,334.8)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,52.44),(15.81,53.08),(22.1,53.08),(22.1,52.44),(15.81,52.44)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,247.92),(15.81,248.56),(22.1,248.56),(22.1,247.92),(15.81,247.92)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,139.32),(15.81,139.96),(22.1,139.96),(22.1,139.32),(15.81,139.32)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,269.64),(15.81,270.28),(22.1,270.28),(22.1,269.64),(15.81,269.64)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,226.2),(15.81,226.84),(22.1,226.84),(22.1,226.2),(15.81,226.2)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,161.04),(15.81,161.68),(22.1,161.68),(22.1,161.04),(15.81,161.04)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,204.48),(15.81,205.12),(22.1,205.12),(22.1,204.48),(15.81,204.48)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,95.88),(15.81,96.52),(22.1,96.52),(22.1,95.88),(15.81,95.88)),
        )
        net = nets['pd[0][4]']
        createRL(
            tech, net, 'li',
            ((21.885,142.45),(21.885,142.98),(22.055,142.98),(22.055,142.45),(21.885,142.45)),
        )
        createRL(
            tech, net, 'li',
            ((14.235,30.415),(14.235,30.585),(14.405,30.585),(14.405,30.415),(14.235,30.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,99.01),(21.885,99.54),(22.055,99.54),(22.055,99.01),(21.885,99.01)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,12.135),(21.885,12.665),(22.055,12.665),(22.055,12.135),(21.885,12.135)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,164.175),(21.885,164.705),(22.055,164.705),(22.055,164.175),(21.885,164.175)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,185.89),(21.885,186.42),(22.055,186.42),(22.055,185.89),(21.885,185.89)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,272.775),(21.885,273.305),(22.055,273.305),(22.055,272.775),(21.885,272.775)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,77.29),(21.885,77.82),(22.055,77.82),(22.055,77.29),(21.885,77.29)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,229.33),(21.885,229.86),(22.055,229.86),(22.055,229.33),(21.885,229.33)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,316.21),(21.885,316.74),(22.055,316.74),(22.055,316.21),(21.885,316.21)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,55.575),(21.885,56.105),(22.055,56.105),(22.055,55.575),(21.885,55.575)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,207.615),(21.885,208.145),(22.055,208.145),(22.055,207.615),(21.885,207.615)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,337.935),(21.885,338.465),(22.055,338.465),(22.055,337.935),(21.885,337.935)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,294.495),(21.885,295.025),(22.055,295.025),(22.055,294.495),(21.885,294.495)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,33.855),(21.885,34.385),(22.055,34.385),(22.055,33.855),(21.885,33.855)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,251.055),(21.885,251.585),(22.055,251.585),(22.055,251.055),(21.885,251.055)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,120.73),(21.885,121.26),(22.055,121.26),(22.055,120.73),(21.885,120.73)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,185.89),(21.885,186.06),(22.055,186.06),(22.055,185.89),(21.885,185.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,186.25),(21.885,186.42),(22.055,186.42),(22.055,186.25),(21.885,186.25)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,272.775),(21.885,272.945),(22.055,272.945),(22.055,272.775),(21.885,272.775)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,273.135),(21.885,273.305),(22.055,273.305),(22.055,273.135),(21.885,273.135)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,55.575),(21.885,55.745),(22.055,55.745),(22.055,55.575),(21.885,55.575)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,55.935),(21.885,56.105),(22.055,56.105),(22.055,55.935),(21.885,55.935)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,77.29),(21.885,77.46),(22.055,77.46),(22.055,77.29),(21.885,77.29)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,77.65),(21.885,77.82),(22.055,77.82),(22.055,77.65),(21.885,77.65)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,33.855),(21.885,34.025),(22.055,34.025),(22.055,33.855),(21.885,33.855)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,34.215),(21.885,34.385),(22.055,34.385),(22.055,34.215),(21.885,34.215)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,229.33),(21.885,229.5),(22.055,229.5),(22.055,229.33),(21.885,229.33)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,229.69),(21.885,229.86),(22.055,229.86),(22.055,229.69),(21.885,229.69)),
        )
        createRL(
            tech, net, 'mcon',
            ((14.235,30.415),(14.235,30.585),(14.405,30.585),(14.405,30.415),(14.235,30.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,316.21),(21.885,316.38),(22.055,316.38),(22.055,316.21),(21.885,316.21)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,316.57),(21.885,316.74),(22.055,316.74),(22.055,316.57),(21.885,316.57)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,337.935),(21.885,338.105),(22.055,338.105),(22.055,337.935),(21.885,337.935)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,338.295),(21.885,338.465),(22.055,338.465),(22.055,338.295),(21.885,338.295)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,120.73),(21.885,120.9),(22.055,120.9),(22.055,120.73),(21.885,120.73)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,121.09),(21.885,121.26),(22.055,121.26),(22.055,121.09),(21.885,121.09)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,12.135),(21.885,12.305),(22.055,12.305),(22.055,12.135),(21.885,12.135)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,12.495),(21.885,12.665),(22.055,12.665),(22.055,12.495),(21.885,12.495)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,142.45),(21.885,142.62),(22.055,142.62),(22.055,142.45),(21.885,142.45)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,142.81),(21.885,142.98),(22.055,142.98),(22.055,142.81),(21.885,142.81)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,207.615),(21.885,207.785),(22.055,207.785),(22.055,207.615),(21.885,207.615)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,207.975),(21.885,208.145),(22.055,208.145),(22.055,207.975),(21.885,207.975)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,294.495),(21.885,294.665),(22.055,294.665),(22.055,294.495),(21.885,294.495)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,294.855),(21.885,295.025),(22.055,295.025),(22.055,294.855),(21.885,294.855)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,251.055),(21.885,251.225),(22.055,251.225),(22.055,251.055),(21.885,251.055)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,251.415),(21.885,251.585),(22.055,251.585),(22.055,251.415),(21.885,251.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,99.01),(21.885,99.18),(22.055,99.18),(22.055,99.01),(21.885,99.01)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,99.37),(21.885,99.54),(22.055,99.54),(22.055,99.37),(21.885,99.37)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,164.175),(21.885,164.345),(22.055,164.345),(22.055,164.175),(21.885,164.175)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,164.535),(21.885,164.705),(22.055,164.705),(22.055,164.535),(21.885,164.535)),
        )
        createRL(
            tech, net, 'm1',
            ((14.19,12.08),(14.19,338.52),(14.45,338.52),(14.45,12.08),(14.19,12.08)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,337.875),(21.855,337.88),(21.84,337.88),(21.84,338.52),(21.855,338.52),(21.855,338.525),(22.085,338.525),(22.085,338.52),(22.1,338.52),(22.1,337.88),(22.085,337.88),(22.085,337.875),(21.855,337.875)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,207.555),(21.855,207.56),(21.84,207.56),(21.84,208.2),(21.855,208.2),(21.855,208.205),(22.085,208.205),(22.085,208.2),(22.1,208.2),(22.1,207.56),(22.085,207.56),(22.085,207.555),(21.855,207.555)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,185.83),(21.855,185.835),(21.84,185.835),(21.84,186.475),(21.855,186.475),(21.855,186.48),(22.085,186.48),(22.085,186.475),(22.1,186.475),(22.1,185.835),(22.085,185.835),(22.085,185.83),(21.855,185.83)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,77.23),(21.855,77.235),(21.84,77.235),(21.84,77.875),(21.855,77.875),(21.855,77.88),(22.085,77.88),(22.085,77.875),(22.1,77.875),(22.1,77.235),(22.085,77.235),(22.085,77.23),(21.855,77.23)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,12.075),(21.855,12.08),(21.84,12.08),(21.84,12.72),(21.855,12.72),(21.855,12.725),(22.085,12.725),(22.085,12.72),(22.1,12.72),(22.1,12.08),(22.085,12.08),(22.085,12.075),(21.855,12.075)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,55.515),(21.855,55.52),(21.84,55.52),(21.84,56.16),(21.855,56.16),(21.855,56.165),(22.085,56.165),(22.085,56.16),(22.1,56.16),(22.1,55.52),(22.085,55.52),(22.085,55.515),(21.855,55.515)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,294.435),(21.855,294.44),(21.84,294.44),(21.84,295.08),(21.855,295.08),(21.855,295.085),(22.085,295.085),(22.085,295.08),(22.1,295.08),(22.1,294.44),(22.085,294.44),(22.085,294.435),(21.855,294.435)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,33.795),(21.855,33.8),(21.84,33.8),(21.84,34.44),(21.855,34.44),(21.855,34.445),(22.085,34.445),(22.085,34.44),(22.1,34.44),(22.1,33.8),(22.085,33.8),(22.085,33.795),(21.855,33.795)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,120.67),(21.855,120.675),(21.84,120.675),(21.84,121.315),(21.855,121.315),(21.855,121.32),(22.085,121.32),(22.085,121.315),(22.1,121.315),(22.1,120.675),(22.085,120.675),(22.085,120.67),(21.855,120.67)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,229.27),(21.855,229.275),(21.84,229.275),(21.84,229.915),(21.855,229.915),(21.855,229.92),(22.085,229.92),(22.085,229.915),(22.1,229.915),(22.1,229.275),(22.085,229.275),(22.085,229.27),(21.855,229.27)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,98.95),(21.855,98.955),(21.84,98.955),(21.84,99.595),(21.855,99.595),(21.855,99.6),(22.085,99.6),(22.085,99.595),(22.1,99.595),(22.1,98.955),(22.085,98.955),(22.085,98.95),(21.855,98.95)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,164.115),(21.855,164.12),(21.84,164.12),(21.84,164.76),(21.855,164.76),(21.855,164.765),(22.085,164.765),(22.085,164.76),(22.1,164.76),(22.1,164.12),(22.085,164.12),(22.085,164.115),(21.855,164.115)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,142.39),(21.855,142.395),(21.84,142.395),(21.84,143.035),(21.855,143.035),(21.855,143.04),(22.085,143.04),(22.085,143.035),(22.1,143.035),(22.1,142.395),(22.085,142.395),(22.085,142.39),(21.855,142.39)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,272.715),(21.855,272.72),(21.84,272.72),(21.84,273.36),(21.855,273.36),(21.855,273.365),(22.085,273.365),(22.085,273.36),(22.1,273.36),(22.1,272.72),(22.085,272.72),(22.085,272.715),(21.855,272.715)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,316.15),(21.855,316.155),(21.84,316.155),(21.84,316.795),(21.855,316.795),(21.855,316.8),(22.085,316.8),(22.085,316.795),(22.1,316.795),(22.1,316.155),(22.085,316.155),(22.085,316.15),(21.855,316.15)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,250.995),(21.855,251.0),(21.84,251.0),(21.84,251.64),(21.855,251.64),(21.855,251.645),(22.085,251.645),(22.085,251.64),(22.1,251.64),(22.1,251.0),(22.085,251.0),(22.085,250.995),(21.855,250.995)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,142.48),(21.895,142.63),(22.045,142.63),(22.045,142.48),(21.895,142.48)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,142.8),(21.895,142.95),(22.045,142.95),(22.045,142.8),(21.895,142.8)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,33.885),(21.895,34.035),(22.045,34.035),(22.045,33.885),(21.895,33.885)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,34.205),(21.895,34.355),(22.045,34.355),(22.045,34.205),(21.895,34.205)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,99.04),(21.895,99.19),(22.045,99.19),(22.045,99.04),(21.895,99.04)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,99.36),(21.895,99.51),(22.045,99.51),(22.045,99.36),(21.895,99.36)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,55.605),(21.895,55.755),(22.045,55.755),(22.045,55.605),(21.895,55.605)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,55.925),(21.895,56.075),(22.045,56.075),(22.045,55.925),(21.895,55.925)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,207.645),(21.895,207.795),(22.045,207.795),(22.045,207.645),(21.895,207.645)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,207.965),(21.895,208.115),(22.045,208.115),(22.045,207.965),(21.895,207.965)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,164.205),(21.895,164.355),(22.045,164.355),(22.045,164.205),(21.895,164.205)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,164.525),(21.895,164.675),(22.045,164.675),(22.045,164.525),(21.895,164.525)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,251.085),(14.245,251.235),(14.395,251.235),(14.395,251.085),(14.245,251.085)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,251.405),(14.245,251.555),(14.395,251.555),(14.395,251.405),(14.245,251.405)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,12.165),(21.895,12.315),(22.045,12.315),(22.045,12.165),(21.895,12.165)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,12.485),(21.895,12.635),(22.045,12.635),(22.045,12.485),(21.895,12.485)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,229.36),(21.895,229.51),(22.045,229.51),(22.045,229.36),(21.895,229.36)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,229.68),(21.895,229.83),(22.045,229.83),(22.045,229.68),(21.895,229.68)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,229.36),(14.245,229.51),(14.395,229.51),(14.395,229.36),(14.245,229.36)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,229.68),(14.245,229.83),(14.395,229.83),(14.395,229.68),(14.245,229.68)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,294.525),(14.245,294.675),(14.395,294.675),(14.395,294.525),(14.245,294.525)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,294.845),(14.245,294.995),(14.395,294.995),(14.395,294.845),(14.245,294.845)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,207.645),(14.245,207.795),(14.395,207.795),(14.395,207.645),(14.245,207.645)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,207.965),(14.245,208.115),(14.395,208.115),(14.395,207.965),(14.245,207.965)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,77.32),(14.245,77.47),(14.395,77.47),(14.395,77.32),(14.245,77.32)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,77.64),(14.245,77.79),(14.395,77.79),(14.395,77.64),(14.245,77.64)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,294.525),(21.895,294.675),(22.045,294.675),(22.045,294.525),(21.895,294.525)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,294.845),(21.895,294.995),(22.045,294.995),(22.045,294.845),(21.895,294.845)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,185.92),(21.895,186.07),(22.045,186.07),(22.045,185.92),(21.895,185.92)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,186.24),(21.895,186.39),(22.045,186.39),(22.045,186.24),(21.895,186.24)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,99.04),(14.245,99.19),(14.395,99.19),(14.395,99.04),(14.245,99.04)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,99.36),(14.245,99.51),(14.395,99.51),(14.395,99.36),(14.245,99.36)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,185.92),(14.245,186.07),(14.395,186.07),(14.395,185.92),(14.245,185.92)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,186.24),(14.245,186.39),(14.395,186.39),(14.395,186.24),(14.245,186.24)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,142.48),(14.245,142.63),(14.395,142.63),(14.395,142.48),(14.245,142.48)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,142.8),(14.245,142.95),(14.395,142.95),(14.395,142.8),(14.245,142.8)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,120.76),(14.245,120.91),(14.395,120.91),(14.395,120.76),(14.245,120.76)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,121.08),(14.245,121.23),(14.395,121.23),(14.395,121.08),(14.245,121.08)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,33.885),(14.245,34.035),(14.395,34.035),(14.395,33.885),(14.245,33.885)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,34.205),(14.245,34.355),(14.395,34.355),(14.395,34.205),(14.245,34.205)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,12.165),(14.245,12.315),(14.395,12.315),(14.395,12.165),(14.245,12.165)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,12.485),(14.245,12.635),(14.395,12.635),(14.395,12.485),(14.245,12.485)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,251.085),(21.895,251.235),(22.045,251.235),(22.045,251.085),(21.895,251.085)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,251.405),(21.895,251.555),(22.045,251.555),(22.045,251.405),(21.895,251.405)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,120.76),(21.895,120.91),(22.045,120.91),(22.045,120.76),(21.895,120.76)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,121.08),(21.895,121.23),(22.045,121.23),(22.045,121.08),(21.895,121.08)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,337.965),(21.895,338.115),(22.045,338.115),(22.045,337.965),(21.895,337.965)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,338.285),(21.895,338.435),(22.045,338.435),(22.045,338.285),(21.895,338.285)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,164.205),(14.245,164.355),(14.395,164.355),(14.395,164.205),(14.245,164.205)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,164.525),(14.245,164.675),(14.395,164.675),(14.395,164.525),(14.245,164.525)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,272.805),(21.895,272.955),(22.045,272.955),(22.045,272.805),(21.895,272.805)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,273.125),(21.895,273.275),(22.045,273.275),(22.045,273.125),(21.895,273.125)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,55.605),(14.245,55.755),(14.395,55.755),(14.395,55.605),(14.245,55.605)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,55.925),(14.245,56.075),(14.395,56.075),(14.395,55.925),(14.245,55.925)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,77.32),(21.895,77.47),(22.045,77.47),(22.045,77.32),(21.895,77.32)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,77.64),(21.895,77.79),(22.045,77.79),(22.045,77.64),(21.895,77.64)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,316.24),(21.895,316.39),(22.045,316.39),(22.045,316.24),(21.895,316.24)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,316.56),(21.895,316.71),(22.045,316.71),(22.045,316.56),(21.895,316.56)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,316.24),(14.245,316.39),(14.395,316.39),(14.395,316.24),(14.245,316.24)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,316.56),(14.245,316.71),(14.395,316.71),(14.395,316.56),(14.245,316.56)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,272.805),(14.245,272.955),(14.395,272.955),(14.395,272.805),(14.245,272.805)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,273.125),(14.245,273.275),(14.395,273.275),(14.395,273.125),(14.245,273.125)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,337.965),(14.245,338.115),(14.395,338.115),(14.395,337.965),(14.245,337.965)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,338.285),(14.245,338.435),(14.395,338.435),(14.395,338.285),(14.245,338.285)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,33.8),(14.19,34.44),(22.1,34.44),(22.1,33.8),(14.19,33.8)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,185.835),(14.19,186.475),(22.1,186.475),(22.1,185.835),(14.19,185.835)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,337.88),(14.19,338.52),(22.1,338.52),(22.1,337.88),(14.19,337.88)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,77.235),(14.19,77.875),(22.1,77.875),(22.1,77.235),(14.19,77.235)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,207.56),(14.19,208.2),(22.1,208.2),(22.1,207.56),(14.19,207.56)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,294.44),(14.19,295.08),(22.1,295.08),(22.1,294.44),(14.19,294.44)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,12.08),(14.19,12.72),(22.1,12.72),(22.1,12.08),(14.19,12.08)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,164.12),(14.19,164.76),(22.1,164.76),(22.1,164.12),(14.19,164.12)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,316.155),(14.19,316.795),(22.1,316.795),(22.1,316.155),(14.19,316.155)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,120.675),(14.19,121.315),(22.1,121.315),(22.1,120.675),(14.19,120.675)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,272.72),(14.19,273.36),(22.1,273.36),(22.1,272.72),(14.19,272.72)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,229.275),(14.19,229.915),(22.1,229.915),(22.1,229.275),(14.19,229.275)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,55.52),(14.19,56.16),(22.1,56.16),(22.1,55.52),(14.19,55.52)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,251.0),(14.19,251.64),(22.1,251.64),(22.1,251.0),(14.19,251.0)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,98.955),(14.19,99.595),(22.1,99.595),(22.1,98.955),(14.19,98.955)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,142.395),(14.19,143.035),(22.1,143.035),(22.1,142.395),(14.19,142.395)),
        )
        net = nets['pd[0][5]']
        createRL(
            tech, net, 'li',
            ((21.885,209.965),(21.885,210.495),(22.055,210.495),(22.055,209.965),(21.885,209.965)),
        )
        createRL(
            tech, net, 'li',
            ((16.395,41.415),(16.395,41.585),(16.565,41.585),(16.565,41.415),(16.395,41.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,275.125),(21.885,275.655),(22.055,275.655),(22.055,275.125),(21.885,275.125)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,296.845),(21.885,297.375),(22.055,297.375),(22.055,296.845),(21.885,296.845)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,36.205),(21.885,36.735),(22.055,36.735),(22.055,36.205),(21.885,36.205)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,14.485),(21.885,15.015),(22.055,15.015),(22.055,14.485),(21.885,14.485)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,144.805),(21.885,145.335),(22.055,145.335),(22.055,144.805),(21.885,144.805)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,188.245),(21.885,188.775),(22.055,188.775),(22.055,188.245),(21.885,188.245)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,101.365),(21.885,101.895),(22.055,101.895),(22.055,101.365),(21.885,101.365)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,253.405),(21.885,253.935),(22.055,253.935),(22.055,253.405),(21.885,253.405)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,318.565),(21.885,319.095),(22.055,319.095),(22.055,318.565),(21.885,318.565)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,79.645),(21.885,80.175),(22.055,80.175),(22.055,79.645),(21.885,79.645)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,231.685),(21.885,232.215),(22.055,232.215),(22.055,231.685),(21.885,231.685)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,340.285),(21.885,340.815),(22.055,340.815),(22.055,340.285),(21.885,340.285)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,57.925),(21.885,58.455),(22.055,58.455),(22.055,57.925),(21.885,57.925)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,123.085),(21.885,123.615),(22.055,123.615),(22.055,123.085),(21.885,123.085)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,166.525),(21.885,167.055),(22.055,167.055),(22.055,166.525),(21.885,166.525)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,79.645),(21.885,79.815),(22.055,79.815),(22.055,79.645),(21.885,79.645)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,80.005),(21.885,80.175),(22.055,80.175),(22.055,80.005),(21.885,80.005)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,296.845),(21.885,297.015),(22.055,297.015),(22.055,296.845),(21.885,296.845)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,297.205),(21.885,297.375),(22.055,297.375),(22.055,297.205),(21.885,297.205)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,188.245),(21.885,188.415),(22.055,188.415),(22.055,188.245),(21.885,188.245)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,188.605),(21.885,188.775),(22.055,188.775),(22.055,188.605),(21.885,188.605)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,57.925),(21.885,58.095),(22.055,58.095),(22.055,57.925),(21.885,57.925)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,58.285),(21.885,58.455),(22.055,58.455),(22.055,58.285),(21.885,58.285)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,166.525),(21.885,166.695),(22.055,166.695),(22.055,166.525),(21.885,166.525)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,166.885),(21.885,167.055),(22.055,167.055),(22.055,166.885),(21.885,166.885)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,14.485),(21.885,14.655),(22.055,14.655),(22.055,14.485),(21.885,14.485)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,14.845),(21.885,15.015),(22.055,15.015),(22.055,14.845),(21.885,14.845)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,209.965),(21.885,210.135),(22.055,210.135),(22.055,209.965),(21.885,209.965)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,210.325),(21.885,210.495),(22.055,210.495),(22.055,210.325),(21.885,210.325)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,123.085),(21.885,123.255),(22.055,123.255),(22.055,123.085),(21.885,123.085)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,123.445),(21.885,123.615),(22.055,123.615),(22.055,123.445),(21.885,123.445)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,144.805),(21.885,144.975),(22.055,144.975),(22.055,144.805),(21.885,144.805)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,145.165),(21.885,145.335),(22.055,145.335),(22.055,145.165),(21.885,145.165)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,231.685),(21.885,231.855),(22.055,231.855),(22.055,231.685),(21.885,231.685)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,232.045),(21.885,232.215),(22.055,232.215),(22.055,232.045),(21.885,232.045)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,253.405),(21.885,253.575),(22.055,253.575),(22.055,253.405),(21.885,253.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,253.765),(21.885,253.935),(22.055,253.935),(22.055,253.765),(21.885,253.765)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,101.365),(21.885,101.535),(22.055,101.535),(22.055,101.365),(21.885,101.365)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,101.725),(21.885,101.895),(22.055,101.895),(22.055,101.725),(21.885,101.725)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,275.125),(21.885,275.295),(22.055,275.295),(22.055,275.125),(21.885,275.125)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,275.485),(21.885,275.655),(22.055,275.655),(22.055,275.485),(21.885,275.485)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,36.205),(21.885,36.375),(22.055,36.375),(22.055,36.205),(21.885,36.205)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,36.565),(21.885,36.735),(22.055,36.735),(22.055,36.565),(21.885,36.565)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,318.565),(21.885,318.735),(22.055,318.735),(22.055,318.565),(21.885,318.565)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,318.925),(21.885,319.095),(22.055,319.095),(22.055,318.925),(21.885,318.925)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.395,41.415),(16.395,41.585),(16.565,41.585),(16.565,41.415),(16.395,41.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,340.285),(21.885,340.455),(22.055,340.455),(22.055,340.285),(21.885,340.285)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,340.645),(21.885,340.815),(22.055,340.815),(22.055,340.645),(21.885,340.645)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,209.905),(21.855,209.91),(21.84,209.91),(21.84,210.55),(21.855,210.55),(21.855,210.555),(22.085,210.555),(22.085,210.55),(22.1,210.55),(22.1,209.91),(22.085,209.91),(22.085,209.905),(21.855,209.905)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,296.785),(21.855,296.79),(21.84,296.79),(21.84,297.43),(21.855,297.43),(21.855,297.435),(22.085,297.435),(22.085,297.43),(22.1,297.43),(22.1,296.79),(22.085,296.79),(22.085,296.785),(21.855,296.785)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,340.225),(21.855,340.23),(21.84,340.23),(21.84,340.87),(21.855,340.87),(21.855,340.875),(22.085,340.875),(22.085,340.87),(22.1,340.87),(22.1,340.23),(22.085,340.23),(22.085,340.225),(21.855,340.225)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,123.025),(21.855,123.03),(21.84,123.03),(21.84,123.67),(21.855,123.67),(21.855,123.675),(22.085,123.675),(22.085,123.67),(22.1,123.67),(22.1,123.03),(22.085,123.03),(22.085,123.025),(21.855,123.025)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,79.585),(21.855,79.59),(21.84,79.59),(21.84,80.23),(21.855,80.23),(21.855,80.235),(22.085,80.235),(22.085,80.23),(22.1,80.23),(22.1,79.59),(22.085,79.59),(22.085,79.585),(21.855,79.585)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,318.505),(21.855,318.51),(21.84,318.51),(21.84,319.15),(21.855,319.15),(21.855,319.155),(22.085,319.155),(22.085,319.15),(22.1,319.15),(22.1,318.51),(22.085,318.51),(22.085,318.505),(21.855,318.505)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,57.865),(21.855,57.87),(21.84,57.87),(21.84,58.51),(21.855,58.51),(21.855,58.515),(22.085,58.515),(22.085,58.51),(22.1,58.51),(22.1,57.87),(22.085,57.87),(22.085,57.865),(21.855,57.865)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,166.465),(21.855,166.47),(21.84,166.47),(21.84,167.11),(21.855,167.11),(21.855,167.115),(22.085,167.115),(22.085,167.11),(22.1,167.11),(22.1,166.47),(22.085,166.47),(22.085,166.465),(21.855,166.465)),
        )
        createRL(
            tech, net, 'm1',
            ((16.35,14.43),(16.35,340.87),(16.61,340.87),(16.61,14.43),(16.35,14.43)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,101.305),(21.855,101.31),(21.84,101.31),(21.84,101.95),(21.855,101.95),(21.855,101.955),(22.085,101.955),(22.085,101.95),(22.1,101.95),(22.1,101.31),(22.085,101.31),(22.085,101.305),(21.855,101.305)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,36.145),(21.855,36.15),(21.84,36.15),(21.84,36.79),(21.855,36.79),(21.855,36.795),(22.085,36.795),(22.085,36.79),(22.1,36.79),(22.1,36.15),(22.085,36.15),(22.085,36.145),(21.855,36.145)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,14.425),(21.855,14.43),(21.84,14.43),(21.84,15.07),(21.855,15.07),(21.855,15.075),(22.085,15.075),(22.085,15.07),(22.1,15.07),(22.1,14.43),(22.085,14.43),(22.085,14.425),(21.855,14.425)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,144.745),(21.855,144.75),(21.84,144.75),(21.84,145.39),(21.855,145.39),(21.855,145.395),(22.085,145.395),(22.085,145.39),(22.1,145.39),(22.1,144.75),(22.085,144.75),(22.085,144.745),(21.855,144.745)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,253.345),(21.855,253.35),(21.84,253.35),(21.84,253.99),(21.855,253.99),(21.855,253.995),(22.085,253.995),(22.085,253.99),(22.1,253.99),(22.1,253.35),(22.085,253.35),(22.085,253.345),(21.855,253.345)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,188.185),(21.855,188.19),(21.84,188.19),(21.84,188.83),(21.855,188.83),(21.855,188.835),(22.085,188.835),(22.085,188.83),(22.1,188.83),(22.1,188.19),(22.085,188.19),(22.085,188.185),(21.855,188.185)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,275.065),(21.855,275.07),(21.84,275.07),(21.84,275.71),(21.855,275.71),(21.855,275.715),(22.085,275.715),(22.085,275.71),(22.1,275.71),(22.1,275.07),(22.085,275.07),(22.085,275.065),(21.855,275.065)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,231.625),(21.855,231.63),(21.84,231.63),(21.84,232.27),(21.855,232.27),(21.855,232.275),(22.085,232.275),(22.085,232.27),(22.1,232.27),(22.1,231.63),(22.085,231.63),(22.085,231.625),(21.855,231.625)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,209.995),(21.895,210.145),(22.045,210.145),(22.045,209.995),(21.895,209.995)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,210.315),(21.895,210.465),(22.045,210.465),(22.045,210.315),(21.895,210.315)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,253.435),(16.405,253.585),(16.555,253.585),(16.555,253.435),(16.405,253.435)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,253.755),(16.405,253.905),(16.555,253.905),(16.555,253.755),(16.405,253.755)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,318.595),(16.405,318.745),(16.555,318.745),(16.555,318.595),(16.405,318.595)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,318.915),(16.405,319.065),(16.555,319.065),(16.555,318.915),(16.405,318.915)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,123.115),(21.895,123.265),(22.045,123.265),(22.045,123.115),(21.895,123.115)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,123.435),(21.895,123.585),(22.045,123.585),(22.045,123.435),(21.895,123.435)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,231.715),(16.405,231.865),(16.555,231.865),(16.555,231.715),(16.405,231.715)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,232.035),(16.405,232.185),(16.555,232.185),(16.555,232.035),(16.405,232.035)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,340.315),(21.895,340.465),(22.045,340.465),(22.045,340.315),(21.895,340.315)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,340.635),(21.895,340.785),(22.045,340.785),(22.045,340.635),(21.895,340.635)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,340.315),(16.405,340.465),(16.555,340.465),(16.555,340.315),(16.405,340.315)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,340.635),(16.405,340.785),(16.555,340.785),(16.555,340.635),(16.405,340.635)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,318.595),(21.895,318.745),(22.045,318.745),(22.045,318.595),(21.895,318.595)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,318.915),(21.895,319.065),(22.045,319.065),(22.045,318.915),(21.895,318.915)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,57.955),(16.405,58.105),(16.555,58.105),(16.555,57.955),(16.405,57.955)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,58.275),(16.405,58.425),(16.555,58.425),(16.555,58.275),(16.405,58.275)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,188.275),(16.405,188.425),(16.555,188.425),(16.555,188.275),(16.405,188.275)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,188.595),(16.405,188.745),(16.555,188.745),(16.555,188.595),(16.405,188.595)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,209.995),(16.405,210.145),(16.555,210.145),(16.555,209.995),(16.405,209.995)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,210.315),(16.405,210.465),(16.555,210.465),(16.555,210.315),(16.405,210.315)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,275.155),(16.405,275.305),(16.555,275.305),(16.555,275.155),(16.405,275.155)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,275.475),(16.405,275.625),(16.555,275.625),(16.555,275.475),(16.405,275.475)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,14.515),(16.405,14.665),(16.555,14.665),(16.555,14.515),(16.405,14.515)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,14.835),(16.405,14.985),(16.555,14.985),(16.555,14.835),(16.405,14.835)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,296.875),(21.895,297.025),(22.045,297.025),(22.045,296.875),(21.895,296.875)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,297.195),(21.895,297.345),(22.045,297.345),(22.045,297.195),(21.895,297.195)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,275.155),(21.895,275.305),(22.045,275.305),(22.045,275.155),(21.895,275.155)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,275.475),(21.895,275.625),(22.045,275.625),(22.045,275.475),(21.895,275.475)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,296.875),(16.405,297.025),(16.555,297.025),(16.555,296.875),(16.405,296.875)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,297.195),(16.405,297.345),(16.555,297.345),(16.555,297.195),(16.405,297.195)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,123.115),(16.405,123.265),(16.555,123.265),(16.555,123.115),(16.405,123.115)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,123.435),(16.405,123.585),(16.555,123.585),(16.555,123.435),(16.405,123.435)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,188.275),(21.895,188.425),(22.045,188.425),(22.045,188.275),(21.895,188.275)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,188.595),(21.895,188.745),(22.045,188.745),(22.045,188.595),(21.895,188.595)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,57.955),(21.895,58.105),(22.045,58.105),(22.045,57.955),(21.895,57.955)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,58.275),(21.895,58.425),(22.045,58.425),(22.045,58.275),(21.895,58.275)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,14.515),(21.895,14.665),(22.045,14.665),(22.045,14.515),(21.895,14.515)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,14.835),(21.895,14.985),(22.045,14.985),(22.045,14.835),(21.895,14.835)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,101.395),(21.895,101.545),(22.045,101.545),(22.045,101.395),(21.895,101.395)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,101.715),(21.895,101.865),(22.045,101.865),(22.045,101.715),(21.895,101.715)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,144.835),(16.405,144.985),(16.555,144.985),(16.555,144.835),(16.405,144.835)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,145.155),(16.405,145.305),(16.555,145.305),(16.555,145.155),(16.405,145.155)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,166.555),(16.405,166.705),(16.555,166.705),(16.555,166.555),(16.405,166.555)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,166.875),(16.405,167.025),(16.555,167.025),(16.555,166.875),(16.405,166.875)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,36.235),(21.895,36.385),(22.045,36.385),(22.045,36.235),(21.895,36.235)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,36.555),(21.895,36.705),(22.045,36.705),(22.045,36.555),(21.895,36.555)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,79.675),(16.405,79.825),(16.555,79.825),(16.555,79.675),(16.405,79.675)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,79.995),(16.405,80.145),(16.555,80.145),(16.555,79.995),(16.405,79.995)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,101.395),(16.405,101.545),(16.555,101.545),(16.555,101.395),(16.405,101.395)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,101.715),(16.405,101.865),(16.555,101.865),(16.555,101.715),(16.405,101.715)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,253.435),(21.895,253.585),(22.045,253.585),(22.045,253.435),(21.895,253.435)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,253.755),(21.895,253.905),(22.045,253.905),(22.045,253.755),(21.895,253.755)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,144.835),(21.895,144.985),(22.045,144.985),(22.045,144.835),(21.895,144.835)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,145.155),(21.895,145.305),(22.045,145.305),(22.045,145.155),(21.895,145.155)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,36.235),(16.405,36.385),(16.555,36.385),(16.555,36.235),(16.405,36.235)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,36.555),(16.405,36.705),(16.555,36.705),(16.555,36.555),(16.405,36.555)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,79.675),(21.895,79.825),(22.045,79.825),(22.045,79.675),(21.895,79.675)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,79.995),(21.895,80.145),(22.045,80.145),(22.045,79.995),(21.895,79.995)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,166.555),(21.895,166.705),(22.045,166.705),(22.045,166.555),(21.895,166.555)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,166.875),(21.895,167.025),(22.045,167.025),(22.045,166.875),(21.895,166.875)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,231.715),(21.895,231.865),(22.045,231.865),(22.045,231.715),(21.895,231.715)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,232.035),(21.895,232.185),(22.045,232.185),(22.045,232.035),(21.895,232.035)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,209.91),(16.35,210.55),(22.1,210.55),(22.1,209.91),(16.35,209.91)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,36.15),(16.35,36.79),(22.1,36.79),(22.1,36.15),(16.35,36.15)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,79.59),(16.35,80.23),(22.1,80.23),(22.1,79.59),(16.35,79.59)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,231.63),(16.35,232.27),(22.1,232.27),(22.1,231.63),(16.35,231.63)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,340.23),(16.35,340.87),(22.1,340.87),(22.1,340.23),(16.35,340.23)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,144.75),(16.35,145.39),(22.1,145.39),(22.1,144.75),(16.35,144.75)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,101.31),(16.35,101.95),(22.1,101.95),(22.1,101.31),(16.35,101.31)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,57.87),(16.35,58.51),(22.1,58.51),(22.1,57.87),(16.35,57.87)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,123.03),(16.35,123.67),(22.1,123.67),(22.1,123.03),(16.35,123.03)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,14.43),(16.35,15.07),(22.1,15.07),(22.1,14.43),(16.35,14.43)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,166.47),(16.35,167.11),(22.1,167.11),(22.1,166.47),(16.35,166.47)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,188.19),(16.35,188.83),(22.1,188.83),(22.1,188.19),(16.35,188.19)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,253.35),(16.35,253.99),(22.1,253.99),(22.1,253.35),(16.35,253.35)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,275.07),(16.35,275.71),(22.1,275.71),(22.1,275.07),(16.35,275.07)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,318.51),(16.35,319.15),(22.1,319.15),(22.1,318.51),(16.35,318.51)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,296.79),(16.35,297.43),(22.1,297.43),(22.1,296.79),(16.35,296.79)),
        )
        net = nets['pd[0][6]']
        createRL(
            tech, net, 'li',
            ((21.885,126.165),(21.885,126.695),(22.055,126.695),(22.055,126.165),(21.885,126.165)),
        )
        createRL(
            tech, net, 'li',
            ((14.775,46.415),(14.775,46.585),(14.945,46.585),(14.945,46.415),(14.775,46.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,191.32),(21.885,191.85),(22.055,191.85),(22.055,191.32),(21.885,191.32)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,299.925),(21.885,300.455),(22.055,300.455),(22.055,299.925),(21.885,299.925)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,256.48),(21.885,257.01),(22.055,257.01),(22.055,256.48),(21.885,256.48)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,169.605),(21.885,170.135),(22.055,170.135),(22.055,169.605),(21.885,169.605)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,61.005),(21.885,61.535),(22.055,61.535),(22.055,61.005),(21.885,61.005)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,213.045),(21.885,213.575),(22.055,213.575),(22.055,213.045),(21.885,213.045)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,104.445),(21.885,104.975),(22.055,104.975),(22.055,104.445),(21.885,104.445)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,82.725),(21.885,83.255),(22.055,83.255),(22.055,82.725),(21.885,82.725)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,234.76),(21.885,235.29),(22.055,235.29),(22.055,234.76),(21.885,234.76)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,17.565),(21.885,18.095),(22.055,18.095),(22.055,17.565),(21.885,17.565)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,39.285),(21.885,39.815),(22.055,39.815),(22.055,39.285),(21.885,39.285)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,278.2),(21.885,278.73),(22.055,278.73),(22.055,278.2),(21.885,278.2)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,321.645),(21.885,322.175),(22.055,322.175),(22.055,321.645),(21.885,321.645)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,147.88),(21.885,148.41),(22.055,148.41),(22.055,147.88),(21.885,147.88)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,343.36),(21.885,343.89),(22.055,343.89),(22.055,343.36),(21.885,343.36)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,61.005),(21.885,61.175),(22.055,61.175),(22.055,61.005),(21.885,61.005)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,61.365),(21.885,61.535),(22.055,61.535),(22.055,61.365),(21.885,61.365)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,278.2),(21.885,278.37),(22.055,278.37),(22.055,278.2),(21.885,278.2)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,278.56),(21.885,278.73),(22.055,278.73),(22.055,278.56),(21.885,278.56)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,299.925),(21.885,300.095),(22.055,300.095),(22.055,299.925),(21.885,299.925)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,300.285),(21.885,300.455),(22.055,300.455),(22.055,300.285),(21.885,300.285)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,39.285),(21.885,39.455),(22.055,39.455),(22.055,39.285),(21.885,39.285)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,39.645),(21.885,39.815),(22.055,39.815),(22.055,39.645),(21.885,39.645)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,82.725),(21.885,82.895),(22.055,82.895),(22.055,82.725),(21.885,82.725)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,83.085),(21.885,83.255),(22.055,83.255),(22.055,83.085),(21.885,83.085)),
        )
        createRL(
            tech, net, 'mcon',
            ((14.775,46.415),(14.775,46.585),(14.945,46.585),(14.945,46.415),(14.775,46.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,234.76),(21.885,234.93),(22.055,234.93),(22.055,234.76),(21.885,234.76)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,235.12),(21.885,235.29),(22.055,235.29),(22.055,235.12),(21.885,235.12)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,17.565),(21.885,17.735),(22.055,17.735),(22.055,17.565),(21.885,17.565)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,17.925),(21.885,18.095),(22.055,18.095),(22.055,17.925),(21.885,17.925)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,213.045),(21.885,213.215),(22.055,213.215),(22.055,213.045),(21.885,213.045)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,213.405),(21.885,213.575),(22.055,213.575),(22.055,213.405),(21.885,213.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,343.36),(21.885,343.53),(22.055,343.53),(22.055,343.36),(21.885,343.36)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,343.72),(21.885,343.89),(22.055,343.89),(22.055,343.72),(21.885,343.72)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,126.165),(21.885,126.335),(22.055,126.335),(22.055,126.165),(21.885,126.165)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,126.525),(21.885,126.695),(22.055,126.695),(22.055,126.525),(21.885,126.525)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,169.605),(21.885,169.775),(22.055,169.775),(22.055,169.605),(21.885,169.605)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,169.965),(21.885,170.135),(22.055,170.135),(22.055,169.965),(21.885,169.965)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,191.32),(21.885,191.49),(22.055,191.49),(22.055,191.32),(21.885,191.32)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,191.68),(21.885,191.85),(22.055,191.85),(22.055,191.68),(21.885,191.68)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,256.48),(21.885,256.65),(22.055,256.65),(22.055,256.48),(21.885,256.48)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,256.84),(21.885,257.01),(22.055,257.01),(22.055,256.84),(21.885,256.84)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,147.88),(21.885,148.05),(22.055,148.05),(22.055,147.88),(21.885,147.88)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,148.24),(21.885,148.41),(22.055,148.41),(22.055,148.24),(21.885,148.24)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,104.445),(21.885,104.615),(22.055,104.615),(22.055,104.445),(21.885,104.445)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,104.805),(21.885,104.975),(22.055,104.975),(22.055,104.805),(21.885,104.805)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,321.645),(21.885,321.815),(22.055,321.815),(22.055,321.645),(21.885,321.645)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,322.005),(21.885,322.175),(22.055,322.175),(22.055,322.005),(21.885,322.005)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,17.505),(21.855,17.51),(21.84,17.51),(21.84,18.15),(21.855,18.15),(21.855,18.155),(22.085,18.155),(22.085,18.15),(22.1,18.15),(22.1,17.51),(22.085,17.51),(22.085,17.505),(21.855,17.505)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,104.385),(21.855,104.39),(21.84,104.39),(21.84,105.03),(21.855,105.03),(21.855,105.035),(22.085,105.035),(22.085,105.03),(22.1,105.03),(22.1,104.39),(22.085,104.39),(22.085,104.385),(21.855,104.385)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,39.225),(21.855,39.23),(21.84,39.23),(21.84,39.87),(21.855,39.87),(21.855,39.875),(22.085,39.875),(22.085,39.87),(22.1,39.87),(22.1,39.23),(22.085,39.23),(22.085,39.225),(21.855,39.225)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,82.665),(21.855,82.67),(21.84,82.67),(21.84,83.31),(21.855,83.31),(21.855,83.315),(22.085,83.315),(22.085,83.31),(22.1,83.31),(22.1,82.67),(22.085,82.67),(22.085,82.665),(21.855,82.665)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,126.105),(21.855,126.11),(21.84,126.11),(21.84,126.75),(21.855,126.75),(21.855,126.755),(22.085,126.755),(22.085,126.75),(22.1,126.75),(22.1,126.11),(22.085,126.11),(22.085,126.105),(21.855,126.105)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,147.82),(21.855,147.825),(21.84,147.825),(21.84,148.465),(21.855,148.465),(21.855,148.47),(22.085,148.47),(22.085,148.465),(22.1,148.465),(22.1,147.825),(22.085,147.825),(22.085,147.82),(21.855,147.82)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,256.42),(21.855,256.425),(21.84,256.425),(21.84,257.065),(21.855,257.065),(21.855,257.07),(22.085,257.07),(22.085,257.065),(22.1,257.065),(22.1,256.425),(22.085,256.425),(22.085,256.42),(21.855,256.42)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,60.945),(21.855,60.95),(21.84,60.95),(21.84,61.59),(21.855,61.59),(21.855,61.595),(22.085,61.595),(22.085,61.59),(22.1,61.59),(22.1,60.95),(22.085,60.95),(22.085,60.945),(21.855,60.945)),
        )
        createRL(
            tech, net, 'm1',
            ((14.73,17.51),(14.73,343.945),(14.99,343.945),(14.99,17.51),(14.73,17.51)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,321.585),(21.855,321.59),(21.84,321.59),(21.84,322.23),(21.855,322.23),(21.855,322.235),(22.085,322.235),(22.085,322.23),(22.1,322.23),(22.1,321.59),(22.085,321.59),(22.085,321.585),(21.855,321.585)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,343.3),(21.855,343.305),(21.84,343.305),(21.84,343.945),(21.855,343.945),(21.855,343.95),(22.085,343.95),(22.085,343.945),(22.1,343.945),(22.1,343.305),(22.085,343.305),(22.085,343.3),(21.855,343.3)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,212.985),(21.855,212.99),(21.84,212.99),(21.84,213.63),(21.855,213.63),(21.855,213.635),(22.085,213.635),(22.085,213.63),(22.1,213.63),(22.1,212.99),(22.085,212.99),(22.085,212.985),(21.855,212.985)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,169.545),(21.855,169.55),(21.84,169.55),(21.84,170.19),(21.855,170.19),(21.855,170.195),(22.085,170.195),(22.085,170.19),(22.1,170.19),(22.1,169.55),(22.085,169.55),(22.085,169.545),(21.855,169.545)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,278.14),(21.855,278.145),(21.84,278.145),(21.84,278.785),(21.855,278.785),(21.855,278.79),(22.085,278.79),(22.085,278.785),(22.1,278.785),(22.1,278.145),(22.085,278.145),(22.085,278.14),(21.855,278.14)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,299.865),(21.855,299.87),(21.84,299.87),(21.84,300.51),(21.855,300.51),(21.855,300.515),(22.085,300.515),(22.085,300.51),(22.1,300.51),(22.1,299.87),(22.085,299.87),(22.085,299.865),(21.855,299.865)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,234.7),(21.855,234.705),(21.84,234.705),(21.84,235.345),(21.855,235.345),(21.855,235.35),(22.085,235.35),(22.085,235.345),(22.1,235.345),(22.1,234.705),(22.085,234.705),(22.085,234.7),(21.855,234.7)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,191.26),(21.855,191.265),(21.84,191.265),(21.84,191.905),(21.855,191.905),(21.855,191.91),(22.085,191.91),(22.085,191.905),(22.1,191.905),(22.1,191.265),(22.085,191.265),(22.085,191.26),(21.855,191.26)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,169.635),(21.895,169.785),(22.045,169.785),(22.045,169.635),(21.895,169.635)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,169.955),(21.895,170.105),(22.045,170.105),(22.045,169.955),(21.895,169.955)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,234.79),(21.895,234.94),(22.045,234.94),(22.045,234.79),(21.895,234.79)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,235.11),(21.895,235.26),(22.045,235.26),(22.045,235.11),(21.895,235.11)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,213.075),(14.785,213.225),(14.935,213.225),(14.935,213.075),(14.785,213.075)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,213.395),(14.785,213.545),(14.935,213.545),(14.935,213.395),(14.785,213.395)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,17.595),(21.895,17.745),(22.045,17.745),(22.045,17.595),(21.895,17.595)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,17.915),(21.895,18.065),(22.045,18.065),(22.045,17.915),(21.895,17.915)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,17.595),(14.785,17.745),(14.935,17.745),(14.935,17.595),(14.785,17.595)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,17.915),(14.785,18.065),(14.935,18.065),(14.935,17.915),(14.785,17.915)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,82.755),(14.785,82.905),(14.935,82.905),(14.935,82.755),(14.785,82.755)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,83.075),(14.785,83.225),(14.935,83.225),(14.935,83.075),(14.785,83.075)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,299.955),(21.895,300.105),(22.045,300.105),(22.045,299.955),(21.895,299.955)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,300.275),(21.895,300.425),(22.045,300.425),(22.045,300.275),(21.895,300.275)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,343.39),(14.785,343.54),(14.935,343.54),(14.935,343.39),(14.785,343.39)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,343.71),(14.785,343.86),(14.935,343.86),(14.935,343.71),(14.785,343.71)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,234.79),(14.785,234.94),(14.935,234.94),(14.935,234.79),(14.785,234.79)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,235.11),(14.785,235.26),(14.935,235.26),(14.935,235.11),(14.785,235.11)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,191.35),(21.895,191.5),(22.045,191.5),(22.045,191.35),(21.895,191.35)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,191.67),(21.895,191.82),(22.045,191.82),(22.045,191.67),(21.895,191.67)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,61.035),(14.785,61.185),(14.935,61.185),(14.935,61.035),(14.785,61.035)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,61.355),(14.785,61.505),(14.935,61.505),(14.935,61.355),(14.785,61.355)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,61.035),(21.895,61.185),(22.045,61.185),(22.045,61.035),(21.895,61.035)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,61.355),(21.895,61.505),(22.045,61.505),(22.045,61.355),(21.895,61.355)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,126.195),(14.785,126.345),(14.935,126.345),(14.935,126.195),(14.785,126.195)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,126.515),(14.785,126.665),(14.935,126.665),(14.935,126.515),(14.785,126.515)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,147.91),(21.895,148.06),(22.045,148.06),(22.045,147.91),(21.895,147.91)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,148.23),(21.895,148.38),(22.045,148.38),(22.045,148.23),(21.895,148.23)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,299.955),(14.785,300.105),(14.935,300.105),(14.935,299.955),(14.785,299.955)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,300.275),(14.785,300.425),(14.935,300.425),(14.935,300.275),(14.785,300.275)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,256.51),(21.895,256.66),(22.045,256.66),(22.045,256.51),(21.895,256.51)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,256.83),(21.895,256.98),(22.045,256.98),(22.045,256.83),(21.895,256.83)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,169.635),(14.785,169.785),(14.935,169.785),(14.935,169.635),(14.785,169.635)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,169.955),(14.785,170.105),(14.935,170.105),(14.935,169.955),(14.785,169.955)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,147.91),(14.785,148.06),(14.935,148.06),(14.935,147.91),(14.785,147.91)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,148.23),(14.785,148.38),(14.935,148.38),(14.935,148.23),(14.785,148.23)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,278.23),(21.895,278.38),(22.045,278.38),(22.045,278.23),(21.895,278.23)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,278.55),(21.895,278.7),(22.045,278.7),(22.045,278.55),(21.895,278.55)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,39.315),(21.895,39.465),(22.045,39.465),(22.045,39.315),(21.895,39.315)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,39.635),(21.895,39.785),(22.045,39.785),(22.045,39.635),(21.895,39.635)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,213.075),(21.895,213.225),(22.045,213.225),(22.045,213.075),(21.895,213.075)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,213.395),(21.895,213.545),(22.045,213.545),(22.045,213.395),(21.895,213.395)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,82.755),(21.895,82.905),(22.045,82.905),(22.045,82.755),(21.895,82.755)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,83.075),(21.895,83.225),(22.045,83.225),(22.045,83.075),(21.895,83.075)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,278.23),(14.785,278.38),(14.935,278.38),(14.935,278.23),(14.785,278.23)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,278.55),(14.785,278.7),(14.935,278.7),(14.935,278.55),(14.785,278.55)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,321.675),(21.895,321.825),(22.045,321.825),(22.045,321.675),(21.895,321.675)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,321.995),(21.895,322.145),(22.045,322.145),(22.045,321.995),(21.895,321.995)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,191.35),(14.785,191.5),(14.935,191.5),(14.935,191.35),(14.785,191.35)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,191.67),(14.785,191.82),(14.935,191.82),(14.935,191.67),(14.785,191.67)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,104.475),(21.895,104.625),(22.045,104.625),(22.045,104.475),(21.895,104.475)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,104.795),(21.895,104.945),(22.045,104.945),(22.045,104.795),(21.895,104.795)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,343.39),(21.895,343.54),(22.045,343.54),(22.045,343.39),(21.895,343.39)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,343.71),(21.895,343.86),(22.045,343.86),(22.045,343.71),(21.895,343.71)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,321.675),(14.785,321.825),(14.935,321.825),(14.935,321.675),(14.785,321.675)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,321.995),(14.785,322.145),(14.935,322.145),(14.935,321.995),(14.785,321.995)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,126.195),(21.895,126.345),(22.045,126.345),(22.045,126.195),(21.895,126.195)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,126.515),(21.895,126.665),(22.045,126.665),(22.045,126.515),(21.895,126.515)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,39.315),(14.785,39.465),(14.935,39.465),(14.935,39.315),(14.785,39.315)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,39.635),(14.785,39.785),(14.935,39.785),(14.935,39.635),(14.785,39.635)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,256.51),(14.785,256.66),(14.935,256.66),(14.935,256.51),(14.785,256.51)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,256.83),(14.785,256.98),(14.935,256.98),(14.935,256.83),(14.785,256.83)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,104.475),(14.785,104.625),(14.935,104.625),(14.935,104.475),(14.785,104.475)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,104.795),(14.785,104.945),(14.935,104.945),(14.935,104.795),(14.785,104.795)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,17.51),(14.73,18.15),(22.1,18.15),(22.1,17.51),(14.73,17.51)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,169.55),(14.73,170.19),(22.1,170.19),(22.1,169.55),(14.73,169.55)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,212.99),(14.73,213.63),(22.1,213.63),(22.1,212.99),(14.73,212.99)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,321.59),(14.73,322.23),(22.1,322.23),(22.1,321.59),(14.73,321.59)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,147.825),(14.73,148.465),(22.1,148.465),(22.1,147.825),(14.73,147.825)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,234.705),(14.73,235.345),(22.1,235.345),(22.1,234.705),(14.73,234.705)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,191.265),(14.73,191.905),(22.1,191.905),(22.1,191.265),(14.73,191.265)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,343.305),(14.73,343.945),(22.1,343.945),(22.1,343.305),(14.73,343.305)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,104.39),(14.73,105.03),(22.1,105.03),(22.1,104.39),(14.73,104.39)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,256.425),(14.73,257.065),(22.1,257.065),(22.1,256.425),(14.73,256.425)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,278.145),(14.73,278.785),(22.1,278.785),(22.1,278.145),(14.73,278.145)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,299.87),(14.73,300.51),(22.1,300.51),(22.1,299.87),(14.73,299.87)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,82.67),(14.73,83.31),(22.1,83.31),(22.1,82.67),(14.73,82.67)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,39.23),(14.73,39.87),(22.1,39.87),(22.1,39.23),(14.73,39.23)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,60.95),(14.73,61.59),(22.1,61.59),(22.1,60.95),(14.73,60.95)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,126.11),(14.73,126.75),(22.1,126.75),(22.1,126.11),(14.73,126.11)),
        )
        net = nets['pd[0][7]']
        createRL(
            tech, net, 'li',
            ((21.885,323.995),(21.885,324.525),(22.055,324.525),(22.055,323.995),(21.885,323.995)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,345.715),(21.885,346.245),(22.055,346.245),(22.055,345.715),(21.885,345.715)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,302.275),(21.885,302.805),(22.055,302.805),(22.055,302.275),(21.885,302.275)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,63.355),(21.885,63.885),(22.055,63.885),(22.055,63.355),(21.885,63.355)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,171.955),(21.885,172.485),(22.055,172.485),(22.055,171.955),(21.885,171.955)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,193.675),(21.885,194.205),(22.055,194.205),(22.055,193.675),(21.885,193.675)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,128.515),(21.885,129.045),(22.055,129.045),(22.055,128.515),(21.885,128.515)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,258.835),(21.885,259.365),(22.055,259.365),(22.055,258.835),(21.885,258.835)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,85.075),(21.885,85.605),(22.055,85.605),(22.055,85.075),(21.885,85.075)),
        )
        createRL(
            tech, net, 'li',
            ((16.935,51.415),(16.935,51.585),(17.105,51.585),(17.105,51.415),(16.935,51.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,237.115),(21.885,237.645),(22.055,237.645),(22.055,237.115),(21.885,237.115)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,150.235),(21.885,150.765),(22.055,150.765),(22.055,150.235),(21.885,150.235)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,106.795),(21.885,107.325),(22.055,107.325),(22.055,106.795),(21.885,106.795)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,41.635),(21.885,42.165),(22.055,42.165),(22.055,41.635),(21.885,41.635)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,215.395),(21.885,215.925),(22.055,215.925),(22.055,215.395),(21.885,215.395)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,19.915),(21.885,20.445),(22.055,20.445),(22.055,19.915),(21.885,19.915)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,280.555),(21.885,281.085),(22.055,281.085),(22.055,280.555),(21.885,280.555)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,106.795),(21.885,106.965),(22.055,106.965),(22.055,106.795),(21.885,106.795)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,107.155),(21.885,107.325),(22.055,107.325),(22.055,107.155),(21.885,107.155)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,345.715),(21.885,345.885),(22.055,345.885),(22.055,345.715),(21.885,345.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,346.075),(21.885,346.245),(22.055,346.245),(22.055,346.075),(21.885,346.075)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,258.835),(21.885,259.005),(22.055,259.005),(22.055,258.835),(21.885,258.835)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,259.195),(21.885,259.365),(22.055,259.365),(22.055,259.195),(21.885,259.195)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,150.235),(21.885,150.405),(22.055,150.405),(22.055,150.235),(21.885,150.235)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,150.595),(21.885,150.765),(22.055,150.765),(22.055,150.595),(21.885,150.595)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,19.915),(21.885,20.085),(22.055,20.085),(22.055,19.915),(21.885,19.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,20.275),(21.885,20.445),(22.055,20.445),(22.055,20.275),(21.885,20.275)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,193.675),(21.885,193.845),(22.055,193.845),(22.055,193.675),(21.885,193.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,194.035),(21.885,194.205),(22.055,194.205),(22.055,194.035),(21.885,194.035)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,128.515),(21.885,128.685),(22.055,128.685),(22.055,128.515),(21.885,128.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,128.875),(21.885,129.045),(22.055,129.045),(22.055,128.875),(21.885,128.875)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,237.115),(21.885,237.285),(22.055,237.285),(22.055,237.115),(21.885,237.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,237.475),(21.885,237.645),(22.055,237.645),(22.055,237.475),(21.885,237.475)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,323.995),(21.885,324.165),(22.055,324.165),(22.055,323.995),(21.885,323.995)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,324.355),(21.885,324.525),(22.055,324.525),(22.055,324.355),(21.885,324.355)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,63.355),(21.885,63.525),(22.055,63.525),(22.055,63.355),(21.885,63.355)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,63.715),(21.885,63.885),(22.055,63.885),(22.055,63.715),(21.885,63.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,171.955),(21.885,172.125),(22.055,172.125),(22.055,171.955),(21.885,171.955)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,172.315),(21.885,172.485),(22.055,172.485),(22.055,172.315),(21.885,172.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,280.555),(21.885,280.725),(22.055,280.725),(22.055,280.555),(21.885,280.555)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,280.915),(21.885,281.085),(22.055,281.085),(22.055,280.915),(21.885,280.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.935,51.415),(16.935,51.585),(17.105,51.585),(17.105,51.415),(16.935,51.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,85.075),(21.885,85.245),(22.055,85.245),(22.055,85.075),(21.885,85.075)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,85.435),(21.885,85.605),(22.055,85.605),(22.055,85.435),(21.885,85.435)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,215.395),(21.885,215.565),(22.055,215.565),(22.055,215.395),(21.885,215.395)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,215.755),(21.885,215.925),(22.055,215.925),(22.055,215.755),(21.885,215.755)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,302.275),(21.885,302.445),(22.055,302.445),(22.055,302.275),(21.885,302.275)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,302.635),(21.885,302.805),(22.055,302.805),(22.055,302.635),(21.885,302.635)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,41.635),(21.885,41.805),(22.055,41.805),(22.055,41.635),(21.885,41.635)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,41.995),(21.885,42.165),(22.055,42.165),(22.055,41.995),(21.885,41.995)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,63.295),(21.855,63.3),(21.84,63.3),(21.84,63.94),(21.855,63.94),(21.855,63.945),(22.085,63.945),(22.085,63.94),(22.1,63.94),(22.1,63.3),(22.085,63.3),(22.085,63.295),(21.855,63.295)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,19.855),(21.855,19.86),(21.84,19.86),(21.84,20.5),(21.855,20.5),(21.855,20.505),(22.085,20.505),(22.085,20.5),(22.1,20.5),(22.1,19.86),(22.085,19.86),(22.085,19.855),(21.855,19.855)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,85.015),(21.855,85.02),(21.84,85.02),(21.84,85.66),(21.855,85.66),(21.855,85.665),(22.085,85.665),(22.085,85.66),(22.1,85.66),(22.1,85.02),(22.085,85.02),(22.085,85.015),(21.855,85.015)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,345.655),(21.855,345.66),(21.84,345.66),(21.84,346.3),(21.855,346.3),(21.855,346.305),(22.085,346.305),(22.085,346.3),(22.1,346.3),(22.1,345.66),(22.085,345.66),(22.085,345.655),(21.855,345.655)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,128.455),(21.855,128.46),(21.84,128.46),(21.84,129.1),(21.855,129.1),(21.855,129.105),(22.085,129.105),(22.085,129.1),(22.1,129.1),(22.1,128.46),(22.085,128.46),(22.085,128.455),(21.855,128.455)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,237.055),(21.855,237.06),(21.84,237.06),(21.84,237.7),(21.855,237.7),(21.855,237.705),(22.085,237.705),(22.085,237.7),(22.1,237.7),(22.1,237.06),(22.085,237.06),(22.085,237.055),(21.855,237.055)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,193.615),(21.855,193.62),(21.84,193.62),(21.84,194.26),(21.855,194.26),(21.855,194.265),(22.085,194.265),(22.085,194.26),(22.1,194.26),(22.1,193.62),(22.085,193.62),(22.085,193.615),(21.855,193.615)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,215.335),(21.855,215.34),(21.84,215.34),(21.84,215.98),(21.855,215.98),(21.855,215.985),(22.085,215.985),(22.085,215.98),(22.1,215.98),(22.1,215.34),(22.085,215.34),(22.085,215.335),(21.855,215.335)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,280.495),(21.855,280.5),(21.84,280.5),(21.84,281.14),(21.855,281.14),(21.855,281.145),(22.085,281.145),(22.085,281.14),(22.1,281.14),(22.1,280.5),(22.085,280.5),(22.085,280.495),(21.855,280.495)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,258.775),(21.855,258.78),(21.84,258.78),(21.84,259.42),(21.855,259.42),(21.855,259.425),(22.085,259.425),(22.085,259.42),(22.1,259.42),(22.1,258.78),(22.085,258.78),(22.085,258.775),(21.855,258.775)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,302.215),(21.855,302.22),(21.84,302.22),(21.84,302.86),(21.855,302.86),(21.855,302.865),(22.085,302.865),(22.085,302.86),(22.1,302.86),(22.1,302.22),(22.085,302.22),(22.085,302.215),(21.855,302.215)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,323.935),(21.855,323.94),(21.84,323.94),(21.84,324.58),(21.855,324.58),(21.855,324.585),(22.085,324.585),(22.085,324.58),(22.1,324.58),(22.1,323.94),(22.085,323.94),(22.085,323.935),(21.855,323.935)),
        )
        createRL(
            tech, net, 'm1',
            ((16.89,19.86),(16.89,346.3),(17.15,346.3),(17.15,19.86),(16.89,19.86)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,41.575),(21.855,41.58),(21.84,41.58),(21.84,42.22),(21.855,42.22),(21.855,42.225),(22.085,42.225),(22.085,42.22),(22.1,42.22),(22.1,41.58),(22.085,41.58),(22.085,41.575),(21.855,41.575)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,150.175),(21.855,150.18),(21.84,150.18),(21.84,150.82),(21.855,150.82),(21.855,150.825),(22.085,150.825),(22.085,150.82),(22.1,150.82),(22.1,150.18),(22.085,150.18),(22.085,150.175),(21.855,150.175)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,171.895),(21.855,171.9),(21.84,171.9),(21.84,172.54),(21.855,172.54),(21.855,172.545),(22.085,172.545),(22.085,172.54),(22.1,172.54),(22.1,171.9),(22.085,171.9),(22.085,171.895),(21.855,171.895)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,106.735),(21.855,106.74),(21.84,106.74),(21.84,107.38),(21.855,107.38),(21.855,107.385),(22.085,107.385),(22.085,107.38),(22.1,107.38),(22.1,106.74),(22.085,106.74),(22.085,106.735),(21.855,106.735)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,41.665),(21.895,41.815),(22.045,41.815),(22.045,41.665),(21.895,41.665)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,41.985),(21.895,42.135),(22.045,42.135),(22.045,41.985),(21.895,41.985)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,150.265),(21.895,150.415),(22.045,150.415),(22.045,150.265),(21.895,150.265)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,150.585),(21.895,150.735),(22.045,150.735),(22.045,150.585),(21.895,150.585)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,302.305),(21.895,302.455),(22.045,302.455),(22.045,302.305),(21.895,302.305)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,302.625),(21.895,302.775),(22.045,302.775),(22.045,302.625),(21.895,302.625)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,19.945),(21.895,20.095),(22.045,20.095),(22.045,19.945),(21.895,19.945)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,20.265),(21.895,20.415),(22.045,20.415),(22.045,20.265),(21.895,20.265)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,150.265),(16.945,150.415),(17.095,150.415),(17.095,150.265),(16.945,150.265)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,150.585),(16.945,150.735),(17.095,150.735),(17.095,150.585),(16.945,150.585)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,63.385),(16.945,63.535),(17.095,63.535),(17.095,63.385),(16.945,63.385)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,63.705),(16.945,63.855),(17.095,63.855),(17.095,63.705),(16.945,63.705)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,85.105),(16.945,85.255),(17.095,85.255),(17.095,85.105),(16.945,85.105)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,85.425),(16.945,85.575),(17.095,85.575),(17.095,85.425),(16.945,85.425)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,106.825),(16.945,106.975),(17.095,106.975),(17.095,106.825),(16.945,106.825)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,107.145),(16.945,107.295),(17.095,107.295),(17.095,107.145),(16.945,107.145)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,345.745),(21.895,345.895),(22.045,345.895),(22.045,345.745),(21.895,345.745)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,346.065),(21.895,346.215),(22.045,346.215),(22.045,346.065),(21.895,346.065)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,215.425),(16.945,215.575),(17.095,215.575),(17.095,215.425),(16.945,215.425)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,215.745),(16.945,215.895),(17.095,215.895),(17.095,215.745),(16.945,215.745)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,63.385),(21.895,63.535),(22.045,63.535),(22.045,63.385),(21.895,63.385)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,63.705),(21.895,63.855),(22.045,63.855),(22.045,63.705),(21.895,63.705)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,106.825),(21.895,106.975),(22.045,106.975),(22.045,106.825),(21.895,106.825)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,107.145),(21.895,107.295),(22.045,107.295),(22.045,107.145),(21.895,107.145)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,128.545),(21.895,128.695),(22.045,128.695),(22.045,128.545),(21.895,128.545)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,128.865),(21.895,129.015),(22.045,129.015),(22.045,128.865),(21.895,128.865)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,324.025),(21.895,324.175),(22.045,324.175),(22.045,324.025),(21.895,324.025)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,324.345),(21.895,324.495),(22.045,324.495),(22.045,324.345),(21.895,324.345)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,85.105),(21.895,85.255),(22.045,85.255),(22.045,85.105),(21.895,85.105)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,85.425),(21.895,85.575),(22.045,85.575),(22.045,85.425),(21.895,85.425)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,193.705),(21.895,193.855),(22.045,193.855),(22.045,193.705),(21.895,193.705)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,194.025),(21.895,194.175),(22.045,194.175),(22.045,194.025),(21.895,194.025)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,345.745),(16.945,345.895),(17.095,345.895),(17.095,345.745),(16.945,345.745)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,346.065),(16.945,346.215),(17.095,346.215),(17.095,346.065),(16.945,346.065)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,280.585),(16.945,280.735),(17.095,280.735),(17.095,280.585),(16.945,280.585)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,280.905),(16.945,281.055),(17.095,281.055),(17.095,280.905),(16.945,280.905)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,324.025),(16.945,324.175),(17.095,324.175),(17.095,324.025),(16.945,324.025)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,324.345),(16.945,324.495),(17.095,324.495),(17.095,324.345),(16.945,324.345)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,302.305),(16.945,302.455),(17.095,302.455),(17.095,302.305),(16.945,302.305)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,302.625),(16.945,302.775),(17.095,302.775),(17.095,302.625),(16.945,302.625)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,41.665),(16.945,41.815),(17.095,41.815),(17.095,41.665),(16.945,41.665)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,41.985),(16.945,42.135),(17.095,42.135),(17.095,41.985),(16.945,41.985)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,280.585),(21.895,280.735),(22.045,280.735),(22.045,280.585),(21.895,280.585)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,280.905),(21.895,281.055),(22.045,281.055),(22.045,280.905),(21.895,280.905)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,237.145),(16.945,237.295),(17.095,237.295),(17.095,237.145),(16.945,237.145)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,237.465),(16.945,237.615),(17.095,237.615),(17.095,237.465),(16.945,237.465)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,193.705),(16.945,193.855),(17.095,193.855),(17.095,193.705),(16.945,193.705)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,194.025),(16.945,194.175),(17.095,194.175),(17.095,194.025),(16.945,194.025)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,258.865),(21.895,259.015),(22.045,259.015),(22.045,258.865),(21.895,258.865)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,259.185),(21.895,259.335),(22.045,259.335),(22.045,259.185),(21.895,259.185)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,215.425),(21.895,215.575),(22.045,215.575),(22.045,215.425),(21.895,215.425)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,215.745),(21.895,215.895),(22.045,215.895),(22.045,215.745),(21.895,215.745)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,171.985),(16.945,172.135),(17.095,172.135),(17.095,171.985),(16.945,171.985)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,172.305),(16.945,172.455),(17.095,172.455),(17.095,172.305),(16.945,172.305)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,128.545),(16.945,128.695),(17.095,128.695),(17.095,128.545),(16.945,128.545)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,128.865),(16.945,129.015),(17.095,129.015),(17.095,128.865),(16.945,128.865)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,171.985),(21.895,172.135),(22.045,172.135),(22.045,171.985),(21.895,171.985)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,172.305),(21.895,172.455),(22.045,172.455),(22.045,172.305),(21.895,172.305)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,258.865),(16.945,259.015),(17.095,259.015),(17.095,258.865),(16.945,258.865)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,259.185),(16.945,259.335),(17.095,259.335),(17.095,259.185),(16.945,259.185)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,237.145),(21.895,237.295),(22.045,237.295),(22.045,237.145),(21.895,237.145)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,237.465),(21.895,237.615),(22.045,237.615),(22.045,237.465),(21.895,237.465)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,19.945),(16.945,20.095),(17.095,20.095),(17.095,19.945),(16.945,19.945)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,20.265),(16.945,20.415),(17.095,20.415),(17.095,20.265),(16.945,20.265)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,193.62),(16.89,194.26),(22.1,194.26),(22.1,193.62),(16.89,193.62)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,106.74),(16.89,107.38),(22.1,107.38),(22.1,106.74),(16.89,106.74)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,258.78),(16.89,259.42),(22.1,259.42),(22.1,258.78),(16.89,258.78)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,215.34),(16.89,215.98),(22.1,215.98),(22.1,215.34),(16.89,215.34)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,128.46),(16.89,129.1),(22.1,129.1),(22.1,128.46),(16.89,128.46)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,85.02),(16.89,85.66),(22.1,85.66),(22.1,85.02),(16.89,85.02)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,41.58),(16.89,42.22),(22.1,42.22),(22.1,41.58),(16.89,41.58)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,237.06),(16.89,237.7),(22.1,237.7),(22.1,237.06),(16.89,237.06)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,345.66),(16.89,346.3),(22.1,346.3),(22.1,345.66),(16.89,345.66)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,19.86),(16.89,20.5),(22.1,20.5),(22.1,19.86),(16.89,19.86)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,171.9),(16.89,172.54),(22.1,172.54),(22.1,171.9),(16.89,171.9)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,302.22),(16.89,302.86),(22.1,302.86),(22.1,302.22),(16.89,302.22)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,63.3),(16.89,63.94),(22.1,63.94),(22.1,63.3),(16.89,63.3)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,323.94),(16.89,324.58),(22.1,324.58),(22.1,323.94),(16.89,323.94)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,280.5),(16.89,281.14),(22.1,281.14),(22.1,280.5),(16.89,280.5)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,150.18),(16.89,150.82),(22.1,150.82),(22.1,150.18),(16.89,150.18)),
        )
        net = nets['pd[1][0]']
        createRL(
            tech, net, 'li',
            ((18.46,15.415),(18.46,15.585),(18.63,15.585),(18.63,15.415),(18.46,15.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,15.415),(18.46,15.585),(18.63,15.585),(18.63,15.415),(18.46,15.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,11.67),(18.43,15.645),(18.66,15.645),(18.66,11.93),(22.635,11.93),(22.635,11.67),(18.43,11.67)),
        )
        net = nets['pd[1][1]']
        createRL(
            tech, net, 'li',
            ((18.46,36.415),(18.46,36.585),(18.63,36.585),(18.63,36.415),(18.46,36.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,36.415),(18.46,36.585),(18.63,36.585),(18.63,36.415),(18.46,36.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,33.39),(18.43,36.645),(18.66,36.645),(18.66,33.65),(22.635,33.65),(22.635,33.39),(18.43,33.39)),
        )
        net = nets['pd[1][2]']
        createRL(
            tech, net, 'li',
            ((18.46,57.415),(18.46,57.585),(18.63,57.585),(18.63,57.415),(18.46,57.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,57.415),(18.46,57.585),(18.63,57.585),(18.63,57.415),(18.46,57.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,55.11),(18.43,57.645),(18.66,57.645),(18.66,55.37),(22.635,55.37),(22.635,55.11),(18.43,55.11)),
        )
        net = nets['pd[1][3]']
        createRL(
            tech, net, 'li',
            ((18.46,79.415),(18.46,79.585),(18.63,79.585),(18.63,79.415),(18.46,79.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,79.415),(18.46,79.585),(18.63,79.585),(18.63,79.415),(18.46,79.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,76.83),(18.43,79.645),(18.66,79.645),(18.66,77.09),(22.635,77.09),(22.635,76.83),(18.43,76.83)),
        )
        net = nets['pd[1][4]']
        createRL(
            tech, net, 'li',
            ((18.46,101.415),(18.46,101.585),(18.63,101.585),(18.63,101.415),(18.46,101.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,101.415),(18.46,101.585),(18.63,101.585),(18.63,101.415),(18.46,101.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,98.55),(18.43,101.645),(18.66,101.645),(18.66,98.81),(22.635,98.81),(22.635,98.55),(18.43,98.55)),
        )
        net = nets['pd[1][5]']
        createRL(
            tech, net, 'li',
            ((18.46,119.415),(18.46,119.585),(18.63,119.585),(18.63,119.415),(18.46,119.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,119.415),(18.46,119.585),(18.63,119.585),(18.63,119.415),(18.46,119.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,119.355),(18.43,120.53),(22.635,120.53),(22.635,120.27),(18.66,120.27),(18.66,119.355),(18.43,119.355)),
        )
        net = nets['pd[1][6]']
        createRL(
            tech, net, 'li',
            ((18.46,141.415),(18.46,141.585),(18.63,141.585),(18.63,141.415),(18.46,141.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,141.415),(18.46,141.585),(18.63,141.585),(18.63,141.415),(18.46,141.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,141.355),(18.43,142.25),(22.635,142.25),(22.635,141.99),(18.66,141.99),(18.66,141.355),(18.43,141.355)),
        )
        net = nets['pd[1][7]']
        createRL(
            tech, net, 'li',
            ((18.46,163.415),(18.46,163.585),(18.63,163.585),(18.63,163.415),(18.46,163.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,163.415),(18.46,163.585),(18.63,163.585),(18.63,163.415),(18.46,163.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,163.355),(18.43,163.97),(22.635,163.97),(22.635,163.71),(18.66,163.71),(18.66,163.355),(18.43,163.355)),
        )
        net = nets['pd[1][8]']
        createRL(
            tech, net, 'li',
            ((18.46,185.415),(18.46,185.585),(18.63,185.585),(18.63,185.415),(18.46,185.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,185.415),(18.46,185.585),(18.63,185.585),(18.63,185.415),(18.46,185.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,185.355),(18.43,185.69),(22.635,185.69),(22.635,185.43),(18.66,185.43),(18.66,185.355),(18.43,185.355)),
        )
        net = nets['pd[1][9]']
        createRL(
            tech, net, 'li',
            ((18.46,207.415),(18.46,207.585),(18.63,207.585),(18.63,207.415),(18.46,207.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,207.415),(18.46,207.585),(18.63,207.585),(18.63,207.415),(18.46,207.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,207.15),(18.43,207.645),(18.66,207.645),(18.66,207.41),(22.635,207.41),(22.635,207.15),(18.43,207.15)),
        )
        net = nets['pd[1][10]']
        createRL(
            tech, net, 'li',
            ((18.46,229.415),(18.46,229.585),(18.63,229.585),(18.63,229.415),(18.46,229.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,229.415),(18.46,229.585),(18.63,229.585),(18.63,229.415),(18.46,229.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,228.87),(18.43,229.645),(18.66,229.645),(18.66,229.13),(22.635,229.13),(22.635,228.87),(18.43,228.87)),
        )
        net = nets['pd[1][11]']
        createRL(
            tech, net, 'li',
            ((18.46,251.415),(18.46,251.585),(18.63,251.585),(18.63,251.415),(18.46,251.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,251.415),(18.46,251.585),(18.63,251.585),(18.63,251.415),(18.46,251.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,250.59),(18.43,251.645),(18.66,251.645),(18.66,250.85),(22.635,250.85),(22.635,250.59),(18.43,250.59)),
        )
        net = nets['pd[1][12]']
        createRL(
            tech, net, 'li',
            ((18.46,273.415),(18.46,273.585),(18.63,273.585),(18.63,273.415),(18.46,273.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,273.415),(18.46,273.585),(18.63,273.585),(18.63,273.415),(18.46,273.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,272.31),(18.43,273.645),(18.66,273.645),(18.66,272.57),(22.635,272.57),(22.635,272.31),(18.43,272.31)),
        )
        net = nets['pd[1][13]']
        createRL(
            tech, net, 'li',
            ((18.46,295.415),(18.46,295.585),(18.63,295.585),(18.63,295.415),(18.46,295.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,295.415),(18.46,295.585),(18.63,295.585),(18.63,295.415),(18.46,295.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,294.03),(18.43,295.645),(18.66,295.645),(18.66,294.29),(22.635,294.29),(22.635,294.03),(18.43,294.03)),
        )
        net = nets['pd[1][14]']
        createRL(
            tech, net, 'li',
            ((18.46,317.415),(18.46,317.585),(18.63,317.585),(18.63,317.415),(18.46,317.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,317.415),(18.46,317.585),(18.63,317.585),(18.63,317.415),(18.46,317.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,315.75),(18.43,317.645),(18.66,317.645),(18.66,316.01),(22.635,316.01),(22.635,315.75),(18.43,315.75)),
        )
        net = nets['pd[1][15]']
        createRL(
            tech, net, 'li',
            ((18.46,339.415),(18.46,339.585),(18.63,339.585),(18.63,339.415),(18.46,339.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,339.415),(18.46,339.585),(18.63,339.585),(18.63,339.415),(18.46,339.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,337.47),(18.43,339.645),(18.66,339.645),(18.66,337.73),(22.635,337.73),(22.635,337.47),(18.43,337.47)),
        )
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,347.52),(27.46,347.52),(27.46,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['a[0]'].setDirection(Net.Direction.IN)
        nets['a[1]'].setDirection(Net.Direction.IN)
        nets['a[2]'].setDirection(Net.Direction.IN)
        nets['a[3]'].setDirection(Net.Direction.IN)
        nets['a[4]'].setDirection(Net.Direction.IN)
        nets['a[5]'].setDirection(Net.Direction.IN)
        nets['a[6]'].setDirection(Net.Direction.IN)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['wl_en'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['wl[4]'].setDirection(Net.Direction.IN)
        nets['wl[5]'].setDirection(Net.Direction.IN)
        nets['wl[6]'].setDirection(Net.Direction.IN)
        nets['wl[7]'].setDirection(Net.Direction.IN)
        nets['wl[8]'].setDirection(Net.Direction.IN)
        nets['wl[9]'].setDirection(Net.Direction.IN)
        nets['wl[10]'].setDirection(Net.Direction.IN)
        nets['wl[11]'].setDirection(Net.Direction.IN)
        nets['wl[12]'].setDirection(Net.Direction.IN)
        nets['wl[13]'].setDirection(Net.Direction.IN)
        nets['wl[14]'].setDirection(Net.Direction.IN)
        nets['wl[15]'].setDirection(Net.Direction.IN)
        nets['wl[16]'].setDirection(Net.Direction.IN)
        nets['wl[17]'].setDirection(Net.Direction.IN)
        nets['wl[18]'].setDirection(Net.Direction.IN)
        nets['wl[19]'].setDirection(Net.Direction.IN)
        nets['wl[20]'].setDirection(Net.Direction.IN)
        nets['wl[21]'].setDirection(Net.Direction.IN)
        nets['wl[22]'].setDirection(Net.Direction.IN)
        nets['wl[23]'].setDirection(Net.Direction.IN)
        nets['wl[24]'].setDirection(Net.Direction.IN)
        nets['wl[25]'].setDirection(Net.Direction.IN)
        nets['wl[26]'].setDirection(Net.Direction.IN)
        nets['wl[27]'].setDirection(Net.Direction.IN)
        nets['wl[28]'].setDirection(Net.Direction.IN)
        nets['wl[29]'].setDirection(Net.Direction.IN)
        nets['wl[30]'].setDirection(Net.Direction.IN)
        nets['wl[31]'].setDirection(Net.Direction.IN)
        nets['wl[32]'].setDirection(Net.Direction.IN)
        nets['wl[33]'].setDirection(Net.Direction.IN)
        nets['wl[34]'].setDirection(Net.Direction.IN)
        nets['wl[35]'].setDirection(Net.Direction.IN)
        nets['wl[36]'].setDirection(Net.Direction.IN)
        nets['wl[37]'].setDirection(Net.Direction.IN)
        nets['wl[38]'].setDirection(Net.Direction.IN)
        nets['wl[39]'].setDirection(Net.Direction.IN)
        nets['wl[40]'].setDirection(Net.Direction.IN)
        nets['wl[41]'].setDirection(Net.Direction.IN)
        nets['wl[42]'].setDirection(Net.Direction.IN)
        nets['wl[43]'].setDirection(Net.Direction.IN)
        nets['wl[44]'].setDirection(Net.Direction.IN)
        nets['wl[45]'].setDirection(Net.Direction.IN)
        nets['wl[46]'].setDirection(Net.Direction.IN)
        nets['wl[47]'].setDirection(Net.Direction.IN)
        nets['wl[48]'].setDirection(Net.Direction.IN)
        nets['wl[49]'].setDirection(Net.Direction.IN)
        nets['wl[50]'].setDirection(Net.Direction.IN)
        nets['wl[51]'].setDirection(Net.Direction.IN)
        nets['wl[52]'].setDirection(Net.Direction.IN)
        nets['wl[53]'].setDirection(Net.Direction.IN)
        nets['wl[54]'].setDirection(Net.Direction.IN)
        nets['wl[55]'].setDirection(Net.Direction.IN)
        nets['wl[56]'].setDirection(Net.Direction.IN)
        nets['wl[57]'].setDirection(Net.Direction.IN)
        nets['wl[58]'].setDirection(Net.Direction.IN)
        nets['wl[59]'].setDirection(Net.Direction.IN)
        nets['wl[60]'].setDirection(Net.Direction.IN)
        nets['wl[61]'].setDirection(Net.Direction.IN)
        nets['wl[62]'].setDirection(Net.Direction.IN)
        nets['wl[63]'].setDirection(Net.Direction.IN)
        nets['wl[64]'].setDirection(Net.Direction.IN)
        nets['wl[65]'].setDirection(Net.Direction.IN)
        nets['wl[66]'].setDirection(Net.Direction.IN)
        nets['wl[67]'].setDirection(Net.Direction.IN)
        nets['wl[68]'].setDirection(Net.Direction.IN)
        nets['wl[69]'].setDirection(Net.Direction.IN)
        nets['wl[70]'].setDirection(Net.Direction.IN)
        nets['wl[71]'].setDirection(Net.Direction.IN)
        nets['wl[72]'].setDirection(Net.Direction.IN)
        nets['wl[73]'].setDirection(Net.Direction.IN)
        nets['wl[74]'].setDirection(Net.Direction.IN)
        nets['wl[75]'].setDirection(Net.Direction.IN)
        nets['wl[76]'].setDirection(Net.Direction.IN)
        nets['wl[77]'].setDirection(Net.Direction.IN)
        nets['wl[78]'].setDirection(Net.Direction.IN)
        nets['wl[79]'].setDirection(Net.Direction.IN)
        nets['wl[80]'].setDirection(Net.Direction.IN)
        nets['wl[81]'].setDirection(Net.Direction.IN)
        nets['wl[82]'].setDirection(Net.Direction.IN)
        nets['wl[83]'].setDirection(Net.Direction.IN)
        nets['wl[84]'].setDirection(Net.Direction.IN)
        nets['wl[85]'].setDirection(Net.Direction.IN)
        nets['wl[86]'].setDirection(Net.Direction.IN)
        nets['wl[87]'].setDirection(Net.Direction.IN)
        nets['wl[88]'].setDirection(Net.Direction.IN)
        nets['wl[89]'].setDirection(Net.Direction.IN)
        nets['wl[90]'].setDirection(Net.Direction.IN)
        nets['wl[91]'].setDirection(Net.Direction.IN)
        nets['wl[92]'].setDirection(Net.Direction.IN)
        nets['wl[93]'].setDirection(Net.Direction.IN)
        nets['wl[94]'].setDirection(Net.Direction.IN)
        nets['wl[95]'].setDirection(Net.Direction.IN)
        nets['wl[96]'].setDirection(Net.Direction.IN)
        nets['wl[97]'].setDirection(Net.Direction.IN)
        nets['wl[98]'].setDirection(Net.Direction.IN)
        nets['wl[99]'].setDirection(Net.Direction.IN)
        nets['wl[100]'].setDirection(Net.Direction.IN)
        nets['wl[101]'].setDirection(Net.Direction.IN)
        nets['wl[102]'].setDirection(Net.Direction.IN)
        nets['wl[103]'].setDirection(Net.Direction.IN)
        nets['wl[104]'].setDirection(Net.Direction.IN)
        nets['wl[105]'].setDirection(Net.Direction.IN)
        nets['wl[106]'].setDirection(Net.Direction.IN)
        nets['wl[107]'].setDirection(Net.Direction.IN)
        nets['wl[108]'].setDirection(Net.Direction.IN)
        nets['wl[109]'].setDirection(Net.Direction.IN)
        nets['wl[110]'].setDirection(Net.Direction.IN)
        nets['wl[111]'].setDirection(Net.Direction.IN)
        nets['wl[112]'].setDirection(Net.Direction.IN)
        nets['wl[113]'].setDirection(Net.Direction.IN)
        nets['wl[114]'].setDirection(Net.Direction.IN)
        nets['wl[115]'].setDirection(Net.Direction.IN)
        nets['wl[116]'].setDirection(Net.Direction.IN)
        nets['wl[117]'].setDirection(Net.Direction.IN)
        nets['wl[118]'].setDirection(Net.Direction.IN)
        nets['wl[119]'].setDirection(Net.Direction.IN)
        nets['wl[120]'].setDirection(Net.Direction.IN)
        nets['wl[121]'].setDirection(Net.Direction.IN)
        nets['wl[122]'].setDirection(Net.Direction.IN)
        nets['wl[123]'].setDirection(Net.Direction.IN)
        nets['wl[124]'].setDirection(Net.Direction.IN)
        nets['wl[125]'].setDirection(Net.Direction.IN)
        nets['wl[126]'].setDirection(Net.Direction.IN)
        nets['wl[127]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TRowPredecoders_3_4B']
        except:
            subcell = af.getCell('SP6TRowPredecoders_3_4B', 0)
        trans = Transformation(
            u(10.0), u(0.0), Transformation.Orientation.R1,
        )
        Instance.create(
            cell, 'predec', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderDriverPage_2PD8R']
        except:
            subcell = af.getCell('SP6TRowDecoderDriverPage_2PD8R', 0)
        trans = Transformation(
            u(20.824999999999996), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderDriverPage_2PD8R']
        except:
            subcell = af.getCell('SP6TRowDecoderDriverPage_2PD8R', 0)
        trans = Transformation(
            u(20.824999999999996), u(21.72), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderDriverPage_2PD8R']
        except:
            subcell = af.getCell('SP6TRowDecoderDriverPage_2PD8R', 0)
        trans = Transformation(
            u(20.824999999999996), u(43.44), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderDriverPage_2PD8R']
        except:
            subcell = af.getCell('SP6TRowDecoderDriverPage_2PD8R', 0)
        trans = Transformation(
            u(20.824999999999996), u(65.16), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderDriverPage_2PD8R']
        except:
            subcell = af.getCell('SP6TRowDecoderDriverPage_2PD8R', 0)
        trans = Transformation(
            u(20.824999999999996), u(86.88), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderDriverPage_2PD8R']
        except:
            subcell = af.getCell('SP6TRowDecoderDriverPage_2PD8R', 0)
        trans = Transformation(
            u(20.824999999999996), u(108.6), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderDriverPage_2PD8R']
        except:
            subcell = af.getCell('SP6TRowDecoderDriverPage_2PD8R', 0)
        trans = Transformation(
            u(20.824999999999996), u(130.32), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderDriverPage_2PD8R']
        except:
            subcell = af.getCell('SP6TRowDecoderDriverPage_2PD8R', 0)
        trans = Transformation(
            u(20.824999999999996), u(152.04), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderDriverPage_2PD8R']
        except:
            subcell = af.getCell('SP6TRowDecoderDriverPage_2PD8R', 0)
        trans = Transformation(
            u(20.824999999999996), u(173.76), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[8]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderDriverPage_2PD8R']
        except:
            subcell = af.getCell('SP6TRowDecoderDriverPage_2PD8R', 0)
        trans = Transformation(
            u(20.824999999999996), u(195.48), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[9]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderDriverPage_2PD8R']
        except:
            subcell = af.getCell('SP6TRowDecoderDriverPage_2PD8R', 0)
        trans = Transformation(
            u(20.824999999999996), u(217.2), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[10]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderDriverPage_2PD8R']
        except:
            subcell = af.getCell('SP6TRowDecoderDriverPage_2PD8R', 0)
        trans = Transformation(
            u(20.824999999999996), u(238.92), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[11]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderDriverPage_2PD8R']
        except:
            subcell = af.getCell('SP6TRowDecoderDriverPage_2PD8R', 0)
        trans = Transformation(
            u(20.824999999999996), u(260.64), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[12]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderDriverPage_2PD8R']
        except:
            subcell = af.getCell('SP6TRowDecoderDriverPage_2PD8R', 0)
        trans = Transformation(
            u(20.824999999999996), u(282.36), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[13]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderDriverPage_2PD8R']
        except:
            subcell = af.getCell('SP6TRowDecoderDriverPage_2PD8R', 0)
        trans = Transformation(
            u(20.824999999999996), u(304.08), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[14]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderDriverPage_2PD8R']
        except:
            subcell = af.getCell('SP6TRowDecoderDriverPage_2PD8R', 0)
        trans = Transformation(
            u(20.824999999999996), u(325.79999999999995), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[15]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TNonOverlapClock_8S']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(-10.0), u(20.0), u(10.0),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'clk': Net.create(cell, 'clk'),
            'clk_n': Net.create(cell, 'clk_n'),
            'firststage[0]': Net.create(cell, 'firststage[0]'),
            'firststage[1]': Net.create(cell, 'firststage[1]'),
            'firststage[2]': Net.create(cell, 'firststage[2]'),
            'firststage[3]': Net.create(cell, 'firststage[3]'),
            'firststage[4]': Net.create(cell, 'firststage[4]'),
            'firststage[5]': Net.create(cell, 'firststage[5]'),
            'firststage[6]': Net.create(cell, 'firststage[6]'),
            'firststage[7]': Net.create(cell, 'firststage[7]'),
            'firststage[8]': Net.create(cell, 'firststage[8]'),
            'secondstage[0]': Net.create(cell, 'secondstage[0]'),
            'secondstage[1]': Net.create(cell, 'secondstage[1]'),
            'secondstage[2]': Net.create(cell, 'secondstage[2]'),
            'secondstage[3]': Net.create(cell, 'secondstage[3]'),
            'secondstage[4]': Net.create(cell, 'secondstage[4]'),
            'secondstage[5]': Net.create(cell, 'secondstage[5]'),
            'secondstage[6]': Net.create(cell, 'secondstage[6]'),
            'secondstage[7]': Net.create(cell, 'secondstage[7]'),
            'secondstage[8]': Net.create(cell, 'secondstage[8]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'li',
            ((0.0,-1.2),(0.0,1.2),(20.0,1.2),(20.0,-1.2),(0.0,-1.2)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(0.0), u(2.4), u(0.0), u(20.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(0.0), u(2.4), u(0.0), u(20.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'li',
            ((0.0,-10.0),(0.0,-8.8),(20.0,-8.8),(20.0,-10.0),(0.0,-10.0)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,8.8),(0.0,10.0),(20.0,10.0),(20.0,8.8),(0.0,8.8)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(-9.4), u(1.2), u(0.0), u(20.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(-9.4), u(1.2), u(0.0), u(20.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(9.4), u(1.2), u(0.0), u(20.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(9.4), u(1.2), u(0.0), u(20.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk']
        createRL(
            tech, net, 'li',
            ((0.495,1.37),(0.495,1.9),(0.665,1.9),(0.665,1.37),(0.495,1.37)),
        )
        createRL(
            tech, net, 'li',
            ((0.17,-1.9),(0.17,-1.37),(0.34,-1.37),(0.34,-1.9),(0.17,-1.9)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.17,-1.9),(0.17,-1.73),(0.34,-1.73),(0.34,-1.9),(0.17,-1.9)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.17,-1.54),(0.17,-1.37),(0.34,-1.37),(0.34,-1.54),(0.17,-1.54)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.495,1.37),(0.495,1.54),(0.665,1.54),(0.665,1.37),(0.495,1.37)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.495,1.73),(0.495,1.9),(0.665,1.9),(0.665,1.73),(0.495,1.73)),
        )
        createRL(
            tech, net, 'm1',
            ((0.14,-1.96),(0.14,1.96),(0.695,1.96),(0.695,-1.96),(0.14,-1.96)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.4175), u(0.555), u(-1.96), u(1.96),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.4175), u(0.555), u(-1.96), u(1.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk_n']
        createRL(
            tech, net, 'li',
            ((0.845,-8.63),(0.845,-1.37),(2.665,-1.37),(2.665,-8.63),(0.845,-8.63)),
        )
        net = nets['firststage[0]']
        createRL(
            tech, net, 'li',
            ((1.4,1.37),(1.4,8.63),(2.34,8.63),(2.34,1.37),(1.4,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.87), u(0.94), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.87), u(0.94), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['firststage[1]']
        createRL(
            tech, net, 'li',
            ((2.845,1.37),(2.845,8.63),(4.34,8.63),(4.34,1.37),(2.845,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(3.5925), u(1.495), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(3.5925), u(1.495), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['firststage[2]']
        createRL(
            tech, net, 'li',
            ((4.845,1.37),(4.845,8.63),(6.34,8.63),(6.34,1.37),(4.845,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(5.5925), u(1.495), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(5.5925), u(1.495), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['firststage[3]']
        createRL(
            tech, net, 'li',
            ((6.845,1.37),(6.845,8.63),(8.34,8.63),(8.34,1.37),(6.845,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(7.5925), u(1.495), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(7.5925), u(1.495), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['firststage[4]']
        createRL(
            tech, net, 'li',
            ((8.845,1.37),(8.845,8.63),(10.34,8.63),(10.34,1.37),(8.845,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(9.5925), u(1.495), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(9.5925), u(1.495), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['firststage[5]']
        createRL(
            tech, net, 'li',
            ((10.845,1.37),(10.845,8.63),(12.34,8.63),(12.34,1.37),(10.845,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(11.5925), u(1.495), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(11.5925), u(1.495), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['firststage[6]']
        createRL(
            tech, net, 'li',
            ((12.845,1.37),(12.845,8.63),(14.34,8.63),(14.34,1.37),(12.845,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(13.5925), u(1.495), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(13.5925), u(1.495), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['firststage[7]']
        createRL(
            tech, net, 'li',
            ((14.845,1.37),(14.845,8.63),(16.34,8.63),(16.34,1.37),(14.845,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(15.5925), u(1.495), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(15.5925), u(1.495), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['secondstage[0]']
        createRL(
            tech, net, 'li',
            ((3.4,-8.63),(3.4,-1.37),(4.34,-1.37),(4.34,-8.63),(3.4,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(3.87), u(0.94), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(3.87), u(0.94), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['secondstage[1]']
        createRL(
            tech, net, 'li',
            ((4.845,-8.63),(4.845,-1.37),(6.34,-1.37),(6.34,-8.63),(4.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(5.5925), u(1.495), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(5.5925), u(1.495), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['secondstage[2]']
        createRL(
            tech, net, 'li',
            ((6.845,-8.63),(6.845,-1.37),(8.34,-1.37),(8.34,-8.63),(6.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(7.5925), u(1.495), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(7.5925), u(1.495), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['secondstage[3]']
        createRL(
            tech, net, 'li',
            ((8.845,-8.63),(8.845,-1.37),(10.34,-1.37),(10.34,-8.63),(8.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(9.5925), u(1.495), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(9.5925), u(1.495), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['secondstage[4]']
        createRL(
            tech, net, 'li',
            ((10.845,-8.63),(10.845,-1.37),(12.34,-1.37),(12.34,-8.63),(10.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(11.5925), u(1.495), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(11.5925), u(1.495), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['secondstage[5]']
        createRL(
            tech, net, 'li',
            ((12.845,-8.63),(12.845,-1.37),(14.34,-1.37),(14.34,-8.63),(12.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(13.5925), u(1.495), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(13.5925), u(1.495), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['secondstage[6]']
        createRL(
            tech, net, 'li',
            ((14.845,-8.63),(14.845,-1.37),(16.34,-1.37),(16.34,-8.63),(14.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(15.5925), u(1.495), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(15.5925), u(1.495), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['secondstage[7]']
        createRL(
            tech, net, 'li',
            ((16.845,-8.63),(16.845,-1.37),(18.34,-1.37),(18.34,-8.63),(16.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(17.5925), u(1.495), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(17.5925), u(1.495), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['firststage[8]']
        createRL(
            tech, net, 'li',
            ((16.845,1.37),(16.845,1.9),(17.015,1.9),(17.015,1.37),(16.845,1.37)),
        )
        createRL(
            tech, net, 'li',
            ((3.05,-1.9),(3.05,-1.37),(3.22,-1.37),(3.22,-1.9),(3.05,-1.9)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.845,1.37),(16.845,1.54),(17.015,1.54),(17.015,1.37),(16.845,1.37)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.845,1.73),(16.845,1.9),(17.015,1.9),(17.015,1.73),(16.845,1.73)),
        )
        createRL(
            tech, net, 'mcon',
            ((3.05,-1.9),(3.05,-1.73),(3.22,-1.73),(3.22,-1.9),(3.05,-1.9)),
        )
        createRL(
            tech, net, 'mcon',
            ((3.05,-1.54),(3.05,-1.37),(3.22,-1.37),(3.22,-1.54),(3.05,-1.54)),
        )
        createRL(
            tech, net, 'm1',
            ((3.02,-1.96),(3.02,-1.31),(16.815,-1.31),(16.815,1.96),(17.045,1.96),(17.045,-1.96),(3.02,-1.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(-1.635), u(0.65), u(3.0199999999999996), u(17.044999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(-1.635), u(0.65), u(3.0199999999999996), u(17.044999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['secondstage[8]']
        createRL(
            tech, net, 'li',
            ((1.05,2.16),(1.05,2.69),(1.22,2.69),(1.22,2.16),(1.05,2.16)),
        )
        createRL(
            tech, net, 'li',
            ((18.845,-1.9),(18.845,-1.37),(19.015,-1.37),(19.015,-1.9),(18.845,-1.9)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.05,2.16),(1.05,2.33),(1.22,2.33),(1.22,2.16),(1.05,2.16)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.05,2.52),(1.05,2.69),(1.22,2.69),(1.22,2.52),(1.05,2.52)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.845,-1.9),(18.845,-1.73),(19.015,-1.73),(19.015,-1.9),(18.845,-1.9)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.845,-1.54),(18.845,-1.37),(19.015,-1.37),(19.015,-1.54),(18.845,-1.54)),
        )
        createRL(
            tech, net, 'm1',
            ((18.815,-1.96),(18.815,2.1),(1.02,2.1),(1.02,2.75),(19.045,2.75),(19.045,-1.96),(18.815,-1.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(2.425), u(0.65), u(1.0199999999999996), u(19.044999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(2.425), u(0.65), u(1.0199999999999996), u(19.044999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,-10.0),(0.0,10.0),(20.0,10.0),(20.0,-10.0),(0.0,-10.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['firststage[0]'].setDirection(Net.Direction.IN)
        nets['firststage[1]'].setDirection(Net.Direction.IN)
        nets['firststage[2]'].setDirection(Net.Direction.IN)
        nets['firststage[3]'].setDirection(Net.Direction.IN)
        nets['firststage[4]'].setDirection(Net.Direction.IN)
        nets['firststage[5]'].setDirection(Net.Direction.IN)
        nets['firststage[6]'].setDirection(Net.Direction.IN)
        nets['firststage[7]'].setDirection(Net.Direction.IN)
        nets['firststage[8]'].setDirection(Net.Direction.IN)
        nets['secondstage[0]'].setDirection(Net.Direction.IN)
        nets['secondstage[1]'].setDirection(Net.Direction.IN)
        nets['secondstage[2]'].setDirection(Net.Direction.IN)
        nets['secondstage[3]'].setDirection(Net.Direction.IN)
        nets['secondstage[4]'].setDirection(Net.Direction.IN)
        nets['secondstage[5]'].setDirection(Net.Direction.IN)
        nets['secondstage[6]'].setDirection(Net.Direction.IN)
        nets['secondstage[7]'].setDirection(Net.Direction.IN)
        nets['secondstage[8]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['nand2_x0']
        except:
            subcell = af.getCell('nand2_x0', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'firstnand2', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(2.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'firststage[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(4.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'firststage[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(6.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'firststage[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(8.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'firststage[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(10.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'firststage[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(12.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'firststage[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(14.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'firststage[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(16.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'firststage[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'clkinv', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['nand2_x0']
        except:
            subcell = af.getCell('nand2_x0', 0)
        trans = Transformation(
            u(2.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'secondnand2', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(4.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'secondstage[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(6.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'secondstage[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(8.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'secondstage[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(10.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'secondstage[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(12.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'secondstage[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(14.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'secondstage[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(16.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'secondstage[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(18.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'secondstage[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TRowPredecoders_3_4B']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(-10.0), u(347.52), u(10.0),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'a[0]': Net.create(cell, 'a[0]'),
            'a[1]': Net.create(cell, 'a[1]'),
            'a[2]': Net.create(cell, 'a[2]'),
            'a[3]': Net.create(cell, 'a[3]'),
            'a[4]': Net.create(cell, 'a[4]'),
            'a[5]': Net.create(cell, 'a[5]'),
            'a[6]': Net.create(cell, 'a[6]'),
            'aint[0]': Net.create(cell, 'aint[0]'),
            'aint[1]': Net.create(cell, 'aint[1]'),
            'aint[2]': Net.create(cell, 'aint[2]'),
            'aint[3]': Net.create(cell, 'aint[3]'),
            'aint[4]': Net.create(cell, 'aint[4]'),
            'aint[5]': Net.create(cell, 'aint[5]'),
            'aint[6]': Net.create(cell, 'aint[6]'),
            'aint_n[0]': Net.create(cell, 'aint_n[0]'),
            'aint_n[1]': Net.create(cell, 'aint_n[1]'),
            'aint_n[2]': Net.create(cell, 'aint_n[2]'),
            'aint_n[3]': Net.create(cell, 'aint_n[3]'),
            'aint_n[4]': Net.create(cell, 'aint_n[4]'),
            'aint_n[5]': Net.create(cell, 'aint_n[5]'),
            'aint_n[6]': Net.create(cell, 'aint_n[6]'),
            'clk': Net.create(cell, 'clk'),
            'pd[0][0]': Net.create(cell, 'pd[0][0]'),
            'pd[0][1]': Net.create(cell, 'pd[0][1]'),
            'pd[0][2]': Net.create(cell, 'pd[0][2]'),
            'pd[0][3]': Net.create(cell, 'pd[0][3]'),
            'pd[0][4]': Net.create(cell, 'pd[0][4]'),
            'pd[0][5]': Net.create(cell, 'pd[0][5]'),
            'pd[0][6]': Net.create(cell, 'pd[0][6]'),
            'pd[0][7]': Net.create(cell, 'pd[0][7]'),
            'pd[1][0]': Net.create(cell, 'pd[1][0]'),
            'pd[1][10]': Net.create(cell, 'pd[1][10]'),
            'pd[1][11]': Net.create(cell, 'pd[1][11]'),
            'pd[1][12]': Net.create(cell, 'pd[1][12]'),
            'pd[1][13]': Net.create(cell, 'pd[1][13]'),
            'pd[1][14]': Net.create(cell, 'pd[1][14]'),
            'pd[1][15]': Net.create(cell, 'pd[1][15]'),
            'pd[1][1]': Net.create(cell, 'pd[1][1]'),
            'pd[1][2]': Net.create(cell, 'pd[1][2]'),
            'pd[1][3]': Net.create(cell, 'pd[1][3]'),
            'pd[1][4]': Net.create(cell, 'pd[1][4]'),
            'pd[1][5]': Net.create(cell, 'pd[1][5]'),
            'pd[1][6]': Net.create(cell, 'pd[1][6]'),
            'pd[1][7]': Net.create(cell, 'pd[1][7]'),
            'pd[1][8]': Net.create(cell, 'pd[1][8]'),
            'pd[1][9]': Net.create(cell, 'pd[1][9]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'li',
            ((0.0,-1.2),(0.0,1.2),(347.52,1.2),(347.52,-1.2),(0.0,-1.2)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(0.0), u(2.4), u(0.0), u(347.52),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(0.0), u(2.4), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'li',
            ((0.0,-10.0),(0.0,-8.8),(347.52,-8.8),(347.52,-10.0),(0.0,-10.0)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,8.8),(0.0,10.0),(347.52,10.0),(347.52,8.8),(0.0,8.8)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(-9.4), u(1.2), u(0.0), u(347.52),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(-9.4), u(1.2), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(9.4), u(1.2), u(0.0), u(347.52),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(9.4), u(1.2), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk']
        createRL(
            tech, net, 'li',
            ((103.415,8.06),(103.415,8.23),(103.585,8.23),(103.585,8.06),(103.415,8.06)),
        )
        createRL(
            tech, net, 'li',
            ((52.415,8.06),(52.415,8.23),(52.585,8.23),(52.585,8.06),(52.415,8.06)),
        )
        createRL(
            tech, net, 'li',
            ((86.415,8.06),(86.415,8.23),(86.585,8.23),(86.585,8.06),(86.415,8.06)),
        )
        createRL(
            tech, net, 'li',
            ((69.415,8.06),(69.415,8.23),(69.585,8.23),(69.585,8.06),(69.415,8.06)),
        )
        createRL(
            tech, net, 'li',
            ((35.415,8.06),(35.415,8.23),(35.585,8.23),(35.585,8.06),(35.415,8.06)),
        )
        createRL(
            tech, net, 'li',
            ((1.415,8.06),(1.415,8.23),(1.585,8.23),(1.585,8.06),(1.415,8.06)),
        )
        createRL(
            tech, net, 'li',
            ((18.415,8.06),(18.415,8.23),(18.585,8.23),(18.585,8.06),(18.415,8.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((103.415,8.06),(103.415,8.23),(103.585,8.23),(103.585,8.06),(103.415,8.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((52.415,8.06),(52.415,8.23),(52.585,8.23),(52.585,8.06),(52.415,8.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((86.415,8.06),(86.415,8.23),(86.585,8.23),(86.585,8.06),(86.415,8.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((69.415,8.06),(69.415,8.23),(69.585,8.23),(69.585,8.06),(69.415,8.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((35.415,8.06),(35.415,8.23),(35.585,8.23),(35.585,8.06),(35.415,8.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.415,8.06),(1.415,8.23),(1.585,8.23),(1.585,8.06),(1.415,8.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.415,8.06),(18.415,8.23),(18.585,8.23),(18.585,8.06),(18.415,8.06)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,8.015),(0.0,8.275),(103.5,8.275),(103.5,8.26),(103.645,8.26),(103.645,8.03),(103.5,8.03),(103.5,8.015),(0.0,8.015)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(8.145), u(0.26), u(0.0), u(103.5),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(8.145), u(0.26), u(0.0), u(103.5),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[0]']
        createRL(
            tech, net, 'li',
            ((4.415,8.46),(4.415,8.63),(4.585,8.63),(4.585,8.46),(4.415,8.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,8.46),(4.415,8.63),(4.585,8.63),(4.585,8.46),(4.415,8.46)),
        )
        createRL(
            tech, net, 'm1',
            ((4.355,8.43),(4.355,10.0),(4.645,10.0),(4.645,8.43),(4.355,8.43)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.5), u(0.29), u(8.43), u(10.0),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.5), u(0.29), u(8.43), u(10.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['aint[0]']
        createRL(
            tech, net, 'li',
            ((5.415,-2.67),(5.415,-2.5),(5.585,-2.5),(5.585,-2.67),(5.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((21.415,-2.67),(21.415,-2.5),(21.585,-2.5),(21.585,-2.67),(21.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((37.415,-2.67),(37.415,-2.5),(37.585,-2.5),(37.585,-2.67),(37.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((13.415,6.46),(13.415,6.63),(13.585,6.63),(13.585,6.46),(13.415,6.46)),
        )
        createRL(
            tech, net, 'li',
            ((47.415,-2.67),(47.415,-2.5),(47.585,-2.5),(47.585,-2.67),(47.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((15.17,6.46),(15.17,6.63),(15.34,6.63),(15.34,6.46),(15.17,6.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((5.415,-2.67),(5.415,-2.5),(5.585,-2.5),(5.585,-2.67),(5.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.415,-2.67),(21.415,-2.5),(21.585,-2.5),(21.585,-2.67),(21.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((37.415,-2.67),(37.415,-2.5),(37.585,-2.5),(37.585,-2.67),(37.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((13.415,6.46),(13.415,6.63),(13.585,6.63),(13.585,6.46),(13.415,6.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((47.415,-2.67),(47.415,-2.5),(47.585,-2.5),(47.585,-2.67),(47.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((15.17,6.46),(15.17,6.63),(15.34,6.63),(15.34,6.46),(15.17,6.46)),
        )
        createRL(
            tech, net, 'm1',
            ((5.355,-2.7),(5.355,-2.47),(5.37,-2.47),(5.37,-2.06),(5.63,-2.06),(5.63,-2.47),(5.645,-2.47),(5.645,-2.7),(5.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((37.355,-2.7),(37.355,-2.47),(37.37,-2.47),(37.37,-2.06),(37.63,-2.06),(37.63,-2.47),(37.645,-2.47),(37.645,-2.7),(37.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((21.355,-2.7),(21.355,-2.47),(21.37,-2.47),(21.37,-2.06),(21.63,-2.06),(21.63,-2.47),(21.645,-2.47),(21.645,-2.7),(21.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((47.355,-2.7),(47.355,-2.47),(47.37,-2.47),(47.37,-2.06),(47.63,-2.06),(47.63,-2.47),(47.645,-2.47),(47.645,-2.7),(47.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((5.18,6.415),(5.18,6.675),(47.82,6.675),(47.82,6.415),(5.18,6.415)),
        )
        createRL(
            tech, net, 'via',
            ((21.425,-2.615),(21.425,-2.465),(21.575,-2.465),(21.575,-2.615),(21.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((21.425,-2.295),(21.425,-2.145),(21.575,-2.145),(21.575,-2.295),(21.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((37.425,-2.615),(37.425,-2.465),(37.575,-2.465),(37.575,-2.615),(37.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((37.425,-2.295),(37.425,-2.145),(37.575,-2.145),(37.575,-2.295),(37.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((47.425,-2.615),(47.425,-2.465),(47.575,-2.465),(47.575,-2.615),(47.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((47.425,-2.295),(47.425,-2.145),(47.575,-2.145),(47.575,-2.295),(47.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((47.265,6.47),(47.265,6.62),(47.415,6.62),(47.415,6.47),(47.265,6.47)),
        )
        createRL(
            tech, net, 'via',
            ((47.585,6.47),(47.585,6.62),(47.735,6.62),(47.735,6.47),(47.585,6.47)),
        )
        createRL(
            tech, net, 'via',
            ((5.425,-2.615),(5.425,-2.465),(5.575,-2.465),(5.575,-2.615),(5.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((5.425,-2.295),(5.425,-2.145),(5.575,-2.145),(5.575,-2.295),(5.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((5.265,6.47),(5.265,6.62),(5.415,6.62),(5.415,6.47),(5.265,6.47)),
        )
        createRL(
            tech, net, 'via',
            ((5.585,6.47),(5.585,6.62),(5.735,6.62),(5.735,6.47),(5.585,6.47)),
        )
        createRL(
            tech, net, 'via',
            ((37.265,6.47),(37.265,6.62),(37.415,6.62),(37.415,6.47),(37.265,6.47)),
        )
        createRL(
            tech, net, 'via',
            ((37.585,6.47),(37.585,6.62),(37.735,6.62),(37.735,6.47),(37.585,6.47)),
        )
        createRL(
            tech, net, 'via',
            ((21.265,6.47),(21.265,6.62),(21.415,6.62),(21.415,6.47),(21.265,6.47)),
        )
        createRL(
            tech, net, 'via',
            ((21.585,6.47),(21.585,6.62),(21.735,6.62),(21.735,6.47),(21.585,6.47)),
        )
        createRL(
            tech, net, 'm2',
            ((47.37,-2.7),(47.37,6.415),(47.18,6.415),(47.18,6.675),(47.82,6.675),(47.82,6.415),(47.63,6.415),(47.63,-2.7),(47.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((5.37,-2.7),(5.37,6.415),(5.18,6.415),(5.18,6.675),(5.82,6.675),(5.82,6.415),(5.63,6.415),(5.63,-2.7),(5.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((21.37,-2.7),(21.37,6.415),(21.18,6.415),(21.18,6.675),(21.82,6.675),(21.82,6.415),(21.63,6.415),(21.63,-2.7),(21.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((37.37,-2.7),(37.37,6.415),(37.18,6.415),(37.18,6.675),(37.82,6.675),(37.82,6.415),(37.63,6.415),(37.63,-2.7),(37.37,-2.7)),
        )
        net = nets['aint_n[0]']
        createRL(
            tech, net, 'li',
            ((0.415,-2.67),(0.415,-2.5),(0.585,-2.5),(0.585,-2.67),(0.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((15.845,3.66),(15.845,3.83),(16.015,3.83),(16.015,3.66),(15.845,3.66)),
        )
        createRL(
            tech, net, 'li',
            ((42.415,-2.67),(42.415,-2.5),(42.585,-2.5),(42.585,-2.67),(42.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((26.415,-2.67),(26.415,-2.5),(26.585,-2.5),(26.585,-2.67),(26.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((16.415,-2.67),(16.415,-2.5),(16.585,-2.5),(16.585,-2.67),(16.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.415,-2.67),(0.415,-2.5),(0.585,-2.5),(0.585,-2.67),(0.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((15.845,3.66),(15.845,3.83),(16.015,3.83),(16.015,3.66),(15.845,3.66)),
        )
        createRL(
            tech, net, 'mcon',
            ((42.415,-2.67),(42.415,-2.5),(42.585,-2.5),(42.585,-2.67),(42.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.415,-2.67),(26.415,-2.5),(26.585,-2.5),(26.585,-2.67),(26.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.415,-2.67),(16.415,-2.5),(16.585,-2.5),(16.585,-2.67),(16.415,-2.67)),
        )
        createRL(
            tech, net, 'm1',
            ((26.355,-2.7),(26.355,-2.47),(26.37,-2.47),(26.37,-2.06),(26.63,-2.06),(26.63,-2.47),(26.645,-2.47),(26.645,-2.7),(26.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((16.355,-2.7),(16.355,-2.47),(16.37,-2.47),(16.37,-2.06),(16.63,-2.06),(16.63,-2.47),(16.645,-2.47),(16.645,-2.7),(16.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((0.18,3.615),(0.18,3.875),(42.82,3.875),(42.82,3.615),(0.18,3.615)),
        )
        createRL(
            tech, net, 'm1',
            ((42.355,-2.7),(42.355,-2.47),(42.37,-2.47),(42.37,-2.06),(42.63,-2.06),(42.63,-2.47),(42.645,-2.47),(42.645,-2.7),(42.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((0.355,-2.7),(0.355,-2.47),(0.37,-2.47),(0.37,-2.06),(0.63,-2.06),(0.63,-2.47),(0.645,-2.47),(0.645,-2.7),(0.355,-2.7)),
        )
        createRL(
            tech, net, 'via',
            ((0.425,-2.615),(0.425,-2.465),(0.575,-2.465),(0.575,-2.615),(0.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((0.425,-2.295),(0.425,-2.145),(0.575,-2.145),(0.575,-2.295),(0.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((42.425,-2.615),(42.425,-2.465),(42.575,-2.465),(42.575,-2.615),(42.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((42.425,-2.295),(42.425,-2.145),(42.575,-2.145),(42.575,-2.295),(42.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((26.425,-2.615),(26.425,-2.465),(26.575,-2.465),(26.575,-2.615),(26.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((26.425,-2.295),(26.425,-2.145),(26.575,-2.145),(26.575,-2.295),(26.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((0.265,3.67),(0.265,3.82),(0.415,3.82),(0.415,3.67),(0.265,3.67)),
        )
        createRL(
            tech, net, 'via',
            ((0.585,3.67),(0.585,3.82),(0.735,3.82),(0.735,3.67),(0.585,3.67)),
        )
        createRL(
            tech, net, 'via',
            ((26.265,3.67),(26.265,3.82),(26.415,3.82),(26.415,3.67),(26.265,3.67)),
        )
        createRL(
            tech, net, 'via',
            ((26.585,3.67),(26.585,3.82),(26.735,3.82),(26.735,3.67),(26.585,3.67)),
        )
        createRL(
            tech, net, 'via',
            ((16.265,3.67),(16.265,3.82),(16.415,3.82),(16.415,3.67),(16.265,3.67)),
        )
        createRL(
            tech, net, 'via',
            ((16.585,3.67),(16.585,3.82),(16.735,3.82),(16.735,3.67),(16.585,3.67)),
        )
        createRL(
            tech, net, 'via',
            ((42.265,3.67),(42.265,3.82),(42.415,3.82),(42.415,3.67),(42.265,3.67)),
        )
        createRL(
            tech, net, 'via',
            ((42.585,3.67),(42.585,3.82),(42.735,3.82),(42.735,3.67),(42.585,3.67)),
        )
        createRL(
            tech, net, 'via',
            ((16.425,-2.615),(16.425,-2.465),(16.575,-2.465),(16.575,-2.615),(16.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((16.425,-2.295),(16.425,-2.145),(16.575,-2.145),(16.575,-2.295),(16.425,-2.295)),
        )
        createRL(
            tech, net, 'm2',
            ((42.37,-2.7),(42.37,3.615),(42.18,3.615),(42.18,3.875),(42.82,3.875),(42.82,3.615),(42.63,3.615),(42.63,-2.7),(42.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((26.37,-2.7),(26.37,3.615),(26.18,3.615),(26.18,3.875),(26.82,3.875),(26.82,3.615),(26.63,3.615),(26.63,-2.7),(26.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((16.37,-2.7),(16.37,3.615),(16.18,3.615),(16.18,3.875),(16.82,3.875),(16.82,3.615),(16.63,3.615),(16.63,-2.7),(16.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((0.37,-2.7),(0.37,3.615),(0.18,3.615),(0.18,3.875),(0.82,3.875),(0.82,3.615),(0.63,3.615),(0.63,-2.7),(0.37,-2.7)),
        )
        net = nets['a[1]']
        createRL(
            tech, net, 'li',
            ((21.415,8.46),(21.415,8.63),(21.585,8.63),(21.585,8.46),(21.415,8.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.415,8.46),(21.415,8.63),(21.585,8.63),(21.585,8.46),(21.415,8.46)),
        )
        createRL(
            tech, net, 'm1',
            ((21.355,8.43),(21.355,10.0),(21.645,10.0),(21.645,8.43),(21.355,8.43)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(21.5), u(0.29), u(8.43), u(10.0),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(21.5), u(0.29), u(8.43), u(10.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['aint[1]']
        createRL(
            tech, net, 'li',
            ((30.415,7.66),(30.415,7.83),(30.585,7.83),(30.585,7.66),(30.415,7.66)),
        )
        createRL(
            tech, net, 'li',
            ((32.17,7.66),(32.17,7.83),(32.34,7.83),(32.34,7.66),(32.17,7.66)),
        )
        createRL(
            tech, net, 'li',
            ((43.415,-2.425),(43.415,-2.255),(43.585,-2.255),(43.585,-2.425),(43.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((17.415,-2.425),(17.415,-2.255),(17.585,-2.255),(17.585,-2.425),(17.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((22.415,-2.425),(22.415,-2.255),(22.585,-2.255),(22.585,-2.425),(22.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((48.415,-2.425),(48.415,-2.255),(48.585,-2.255),(48.585,-2.425),(48.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((30.415,7.66),(30.415,7.83),(30.585,7.83),(30.585,7.66),(30.415,7.66)),
        )
        createRL(
            tech, net, 'mcon',
            ((32.17,7.66),(32.17,7.83),(32.34,7.83),(32.34,7.66),(32.17,7.66)),
        )
        createRL(
            tech, net, 'mcon',
            ((43.415,-2.425),(43.415,-2.255),(43.585,-2.255),(43.585,-2.425),(43.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((17.415,-2.425),(17.415,-2.255),(17.585,-2.255),(17.585,-2.425),(17.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((22.415,-2.425),(22.415,-2.255),(22.585,-2.255),(22.585,-2.425),(22.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((48.415,-2.425),(48.415,-2.255),(48.585,-2.255),(48.585,-2.425),(48.415,-2.425)),
        )
        createRL(
            tech, net, 'm1',
            ((43.355,-2.455),(43.355,-2.225),(43.37,-2.225),(43.37,-1.815),(43.63,-1.815),(43.63,-2.225),(43.645,-2.225),(43.645,-2.455),(43.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((17.355,-2.455),(17.355,-2.225),(17.37,-2.225),(17.37,-1.815),(17.63,-1.815),(17.63,-2.225),(17.645,-2.225),(17.645,-2.455),(17.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((17.18,7.615),(17.18,7.875),(48.82,7.875),(48.82,7.615),(17.18,7.615)),
        )
        createRL(
            tech, net, 'm1',
            ((22.355,-2.455),(22.355,-2.225),(22.37,-2.225),(22.37,-1.815),(22.63,-1.815),(22.63,-2.225),(22.645,-2.225),(22.645,-2.455),(22.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((48.355,-2.455),(48.355,-2.225),(48.37,-2.225),(48.37,-1.815),(48.63,-1.815),(48.63,-2.225),(48.645,-2.225),(48.645,-2.455),(48.355,-2.455)),
        )
        createRL(
            tech, net, 'via',
            ((22.265,7.67),(22.265,7.82),(22.415,7.82),(22.415,7.67),(22.265,7.67)),
        )
        createRL(
            tech, net, 'via',
            ((22.585,7.67),(22.585,7.82),(22.735,7.82),(22.735,7.67),(22.585,7.67)),
        )
        createRL(
            tech, net, 'via',
            ((43.425,-2.37),(43.425,-2.22),(43.575,-2.22),(43.575,-2.37),(43.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((43.425,-2.05),(43.425,-1.9),(43.575,-1.9),(43.575,-2.05),(43.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((48.265,7.67),(48.265,7.82),(48.415,7.82),(48.415,7.67),(48.265,7.67)),
        )
        createRL(
            tech, net, 'via',
            ((48.585,7.67),(48.585,7.82),(48.735,7.82),(48.735,7.67),(48.585,7.67)),
        )
        createRL(
            tech, net, 'via',
            ((17.265,7.67),(17.265,7.82),(17.415,7.82),(17.415,7.67),(17.265,7.67)),
        )
        createRL(
            tech, net, 'via',
            ((17.585,7.67),(17.585,7.82),(17.735,7.82),(17.735,7.67),(17.585,7.67)),
        )
        createRL(
            tech, net, 'via',
            ((48.425,-2.37),(48.425,-2.22),(48.575,-2.22),(48.575,-2.37),(48.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((48.425,-2.05),(48.425,-1.9),(48.575,-1.9),(48.575,-2.05),(48.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((43.265,7.67),(43.265,7.82),(43.415,7.82),(43.415,7.67),(43.265,7.67)),
        )
        createRL(
            tech, net, 'via',
            ((43.585,7.67),(43.585,7.82),(43.735,7.82),(43.735,7.67),(43.585,7.67)),
        )
        createRL(
            tech, net, 'via',
            ((17.425,-2.37),(17.425,-2.22),(17.575,-2.22),(17.575,-2.37),(17.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((17.425,-2.05),(17.425,-1.9),(17.575,-1.9),(17.575,-2.05),(17.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((22.425,-2.37),(22.425,-2.22),(22.575,-2.22),(22.575,-2.37),(22.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((22.425,-2.05),(22.425,-1.9),(22.575,-1.9),(22.575,-2.05),(22.425,-2.05)),
        )
        createRL(
            tech, net, 'm2',
            ((22.37,-2.455),(22.37,7.615),(22.18,7.615),(22.18,7.875),(22.82,7.875),(22.82,7.615),(22.63,7.615),(22.63,-2.455),(22.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((43.37,-2.455),(43.37,7.615),(43.18,7.615),(43.18,7.875),(43.82,7.875),(43.82,7.615),(43.63,7.615),(43.63,-2.455),(43.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((17.37,-2.455),(17.37,7.615),(17.18,7.615),(17.18,7.875),(17.82,7.875),(17.82,7.615),(17.63,7.615),(17.63,-2.455),(17.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((48.37,-2.455),(48.37,7.615),(48.18,7.615),(48.18,7.875),(48.82,7.875),(48.82,7.615),(48.63,7.615),(48.63,-2.455),(48.37,-2.455)),
        )
        net = nets['aint_n[1]']
        createRL(
            tech, net, 'li',
            ((6.415,-2.425),(6.415,-2.255),(6.585,-2.255),(6.585,-2.425),(6.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((27.415,-2.425),(27.415,-2.255),(27.585,-2.255),(27.585,-2.425),(27.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((1.415,-2.425),(1.415,-2.255),(1.585,-2.255),(1.585,-2.425),(1.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((38.415,-2.425),(38.415,-2.255),(38.585,-2.255),(38.585,-2.425),(38.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((32.845,4.86),(32.845,5.03),(33.015,5.03),(33.015,4.86),(32.845,4.86)),
        )
        createRL(
            tech, net, 'mcon',
            ((6.415,-2.425),(6.415,-2.255),(6.585,-2.255),(6.585,-2.425),(6.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((27.415,-2.425),(27.415,-2.255),(27.585,-2.255),(27.585,-2.425),(27.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.415,-2.425),(1.415,-2.255),(1.585,-2.255),(1.585,-2.425),(1.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((38.415,-2.425),(38.415,-2.255),(38.585,-2.255),(38.585,-2.425),(38.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((32.845,4.86),(32.845,5.03),(33.015,5.03),(33.015,4.86),(32.845,4.86)),
        )
        createRL(
            tech, net, 'm1',
            ((6.355,-2.455),(6.355,-2.225),(6.37,-2.225),(6.37,-1.815),(6.63,-1.815),(6.63,-2.225),(6.645,-2.225),(6.645,-2.455),(6.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((38.355,-2.455),(38.355,-2.225),(38.37,-2.225),(38.37,-1.815),(38.63,-1.815),(38.63,-2.225),(38.645,-2.225),(38.645,-2.455),(38.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((27.355,-2.455),(27.355,-2.225),(27.37,-2.225),(27.37,-1.815),(27.63,-1.815),(27.63,-2.225),(27.645,-2.225),(27.645,-2.455),(27.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((1.355,-2.455),(1.355,-2.225),(1.37,-2.225),(1.37,-1.815),(1.63,-1.815),(1.63,-2.225),(1.645,-2.225),(1.645,-2.455),(1.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((1.18,4.815),(1.18,5.075),(38.82,5.075),(38.82,4.815),(1.18,4.815)),
        )
        createRL(
            tech, net, 'via',
            ((6.265,4.87),(6.265,5.02),(6.415,5.02),(6.415,4.87),(6.265,4.87)),
        )
        createRL(
            tech, net, 'via',
            ((6.585,4.87),(6.585,5.02),(6.735,5.02),(6.735,4.87),(6.585,4.87)),
        )
        createRL(
            tech, net, 'via',
            ((38.425,-2.37),(38.425,-2.22),(38.575,-2.22),(38.575,-2.37),(38.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((38.425,-2.05),(38.425,-1.9),(38.575,-1.9),(38.575,-2.05),(38.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((1.265,4.87),(1.265,5.02),(1.415,5.02),(1.415,4.87),(1.265,4.87)),
        )
        createRL(
            tech, net, 'via',
            ((1.585,4.87),(1.585,5.02),(1.735,5.02),(1.735,4.87),(1.585,4.87)),
        )
        createRL(
            tech, net, 'via',
            ((38.265,4.87),(38.265,5.02),(38.415,5.02),(38.415,4.87),(38.265,4.87)),
        )
        createRL(
            tech, net, 'via',
            ((38.585,4.87),(38.585,5.02),(38.735,5.02),(38.735,4.87),(38.585,4.87)),
        )
        createRL(
            tech, net, 'via',
            ((6.425,-2.37),(6.425,-2.22),(6.575,-2.22),(6.575,-2.37),(6.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((6.425,-2.05),(6.425,-1.9),(6.575,-1.9),(6.575,-2.05),(6.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((27.265,4.87),(27.265,5.02),(27.415,5.02),(27.415,4.87),(27.265,4.87)),
        )
        createRL(
            tech, net, 'via',
            ((27.585,4.87),(27.585,5.02),(27.735,5.02),(27.735,4.87),(27.585,4.87)),
        )
        createRL(
            tech, net, 'via',
            ((27.425,-2.37),(27.425,-2.22),(27.575,-2.22),(27.575,-2.37),(27.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((27.425,-2.05),(27.425,-1.9),(27.575,-1.9),(27.575,-2.05),(27.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((1.425,-2.37),(1.425,-2.22),(1.575,-2.22),(1.575,-2.37),(1.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((1.425,-2.05),(1.425,-1.9),(1.575,-1.9),(1.575,-2.05),(1.425,-2.05)),
        )
        createRL(
            tech, net, 'm2',
            ((6.37,-2.455),(6.37,4.815),(6.18,4.815),(6.18,5.075),(6.82,5.075),(6.82,4.815),(6.63,4.815),(6.63,-2.455),(6.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((27.37,-2.455),(27.37,4.815),(27.18,4.815),(27.18,5.075),(27.82,5.075),(27.82,4.815),(27.63,4.815),(27.63,-2.455),(27.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((1.37,-2.455),(1.37,4.815),(1.18,4.815),(1.18,5.075),(1.82,5.075),(1.82,4.815),(1.63,4.815),(1.63,-2.455),(1.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((38.37,-2.455),(38.37,4.815),(38.18,4.815),(38.18,5.075),(38.82,5.075),(38.82,4.815),(38.63,4.815),(38.63,-2.455),(38.37,-2.455)),
        )
        net = nets['a[2]']
        createRL(
            tech, net, 'li',
            ((38.415,8.46),(38.415,8.63),(38.585,8.63),(38.585,8.46),(38.415,8.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((38.415,8.46),(38.415,8.63),(38.585,8.63),(38.585,8.46),(38.415,8.46)),
        )
        createRL(
            tech, net, 'm1',
            ((38.355,8.43),(38.355,10.0),(38.645,10.0),(38.645,8.43),(38.355,8.43)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(38.5), u(0.29), u(8.43), u(10.0),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(38.5), u(0.29), u(8.43), u(10.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['aint[2]']
        createRL(
            tech, net, 'li',
            ((39.415,-2.425),(39.415,-2.255),(39.585,-2.255),(39.585,-2.425),(39.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((47.415,6.06),(47.415,6.23),(47.585,6.23),(47.585,6.06),(47.415,6.06)),
        )
        createRL(
            tech, net, 'li',
            ((49.415,-2.425),(49.415,-2.255),(49.585,-2.255),(49.585,-2.425),(49.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((44.415,-2.425),(44.415,-2.255),(44.585,-2.255),(44.585,-2.425),(44.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((28.415,-2.425),(28.415,-2.255),(28.585,-2.255),(28.585,-2.425),(28.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((49.17,6.06),(49.17,6.23),(49.34,6.23),(49.34,6.06),(49.17,6.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((39.415,-2.425),(39.415,-2.255),(39.585,-2.255),(39.585,-2.425),(39.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((47.415,6.06),(47.415,6.23),(47.585,6.23),(47.585,6.06),(47.415,6.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((49.415,-2.425),(49.415,-2.255),(49.585,-2.255),(49.585,-2.425),(49.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((44.415,-2.425),(44.415,-2.255),(44.585,-2.255),(44.585,-2.425),(44.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((28.415,-2.425),(28.415,-2.255),(28.585,-2.255),(28.585,-2.425),(28.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((49.17,6.06),(49.17,6.23),(49.34,6.23),(49.34,6.06),(49.17,6.06)),
        )
        createRL(
            tech, net, 'm1',
            ((49.355,-2.455),(49.355,-2.225),(49.37,-2.225),(49.37,-1.815),(49.63,-1.815),(49.63,-2.225),(49.645,-2.225),(49.645,-2.455),(49.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((28.355,-2.455),(28.355,-2.225),(28.37,-2.225),(28.37,-1.815),(28.63,-1.815),(28.63,-2.225),(28.645,-2.225),(28.645,-2.455),(28.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((28.18,6.015),(28.18,6.275),(49.82,6.275),(49.82,6.015),(28.18,6.015)),
        )
        createRL(
            tech, net, 'm1',
            ((39.355,-2.455),(39.355,-2.225),(39.37,-2.225),(39.37,-1.815),(39.63,-1.815),(39.63,-2.225),(39.645,-2.225),(39.645,-2.455),(39.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((44.355,-2.455),(44.355,-2.225),(44.37,-2.225),(44.37,-1.815),(44.63,-1.815),(44.63,-2.225),(44.645,-2.225),(44.645,-2.455),(44.355,-2.455)),
        )
        createRL(
            tech, net, 'via',
            ((39.425,-2.37),(39.425,-2.22),(39.575,-2.22),(39.575,-2.37),(39.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((39.425,-2.05),(39.425,-1.9),(39.575,-1.9),(39.575,-2.05),(39.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((44.425,-2.37),(44.425,-2.22),(44.575,-2.22),(44.575,-2.37),(44.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((44.425,-2.05),(44.425,-1.9),(44.575,-1.9),(44.575,-2.05),(44.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((49.265,6.07),(49.265,6.22),(49.415,6.22),(49.415,6.07),(49.265,6.07)),
        )
        createRL(
            tech, net, 'via',
            ((49.585,6.07),(49.585,6.22),(49.735,6.22),(49.735,6.07),(49.585,6.07)),
        )
        createRL(
            tech, net, 'via',
            ((39.265,6.07),(39.265,6.22),(39.415,6.22),(39.415,6.07),(39.265,6.07)),
        )
        createRL(
            tech, net, 'via',
            ((39.585,6.07),(39.585,6.22),(39.735,6.22),(39.735,6.07),(39.585,6.07)),
        )
        createRL(
            tech, net, 'via',
            ((44.265,6.07),(44.265,6.22),(44.415,6.22),(44.415,6.07),(44.265,6.07)),
        )
        createRL(
            tech, net, 'via',
            ((44.585,6.07),(44.585,6.22),(44.735,6.22),(44.735,6.07),(44.585,6.07)),
        )
        createRL(
            tech, net, 'via',
            ((28.425,-2.37),(28.425,-2.22),(28.575,-2.22),(28.575,-2.37),(28.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((28.425,-2.05),(28.425,-1.9),(28.575,-1.9),(28.575,-2.05),(28.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((49.425,-2.37),(49.425,-2.22),(49.575,-2.22),(49.575,-2.37),(49.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((49.425,-2.05),(49.425,-1.9),(49.575,-1.9),(49.575,-2.05),(49.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((28.265,6.07),(28.265,6.22),(28.415,6.22),(28.415,6.07),(28.265,6.07)),
        )
        createRL(
            tech, net, 'via',
            ((28.585,6.07),(28.585,6.22),(28.735,6.22),(28.735,6.07),(28.585,6.07)),
        )
        createRL(
            tech, net, 'm2',
            ((39.37,-2.455),(39.37,6.015),(39.18,6.015),(39.18,6.275),(39.82,6.275),(39.82,6.015),(39.63,6.015),(39.63,-2.455),(39.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((49.37,-2.455),(49.37,6.015),(49.18,6.015),(49.18,6.275),(49.82,6.275),(49.82,6.015),(49.63,6.015),(49.63,-2.455),(49.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((28.37,-2.455),(28.37,6.015),(28.18,6.015),(28.18,6.275),(28.82,6.275),(28.82,6.015),(28.63,6.015),(28.63,-2.455),(28.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((44.37,-2.455),(44.37,6.015),(44.18,6.015),(44.18,6.275),(44.82,6.275),(44.82,6.015),(44.63,6.015),(44.63,-2.455),(44.37,-2.455)),
        )
        net = nets['aint_n[2]']
        createRL(
            tech, net, 'li',
            ((7.415,-2.425),(7.415,-2.255),(7.585,-2.255),(7.585,-2.425),(7.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((23.415,-2.425),(23.415,-2.255),(23.585,-2.255),(23.585,-2.425),(23.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((18.415,-2.425),(18.415,-2.255),(18.585,-2.255),(18.585,-2.425),(18.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((2.415,-2.425),(2.415,-2.255),(2.585,-2.255),(2.585,-2.425),(2.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((49.845,3.26),(49.845,3.43),(50.015,3.43),(50.015,3.26),(49.845,3.26)),
        )
        createRL(
            tech, net, 'mcon',
            ((7.415,-2.425),(7.415,-2.255),(7.585,-2.255),(7.585,-2.425),(7.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((23.415,-2.425),(23.415,-2.255),(23.585,-2.255),(23.585,-2.425),(23.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.415,-2.425),(18.415,-2.255),(18.585,-2.255),(18.585,-2.425),(18.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.415,-2.425),(2.415,-2.255),(2.585,-2.255),(2.585,-2.425),(2.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((49.845,3.26),(49.845,3.43),(50.015,3.43),(50.015,3.26),(49.845,3.26)),
        )
        createRL(
            tech, net, 'm1',
            ((18.355,-2.455),(18.355,-2.225),(18.37,-2.225),(18.37,-1.815),(18.63,-1.815),(18.63,-2.225),(18.645,-2.225),(18.645,-2.455),(18.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((2.18,3.215),(2.18,3.475),(49.93,3.475),(49.93,3.46),(50.075,3.46),(50.075,3.23),(49.93,3.23),(49.93,3.215),(2.18,3.215)),
        )
        createRL(
            tech, net, 'm1',
            ((7.355,-2.455),(7.355,-2.225),(7.37,-2.225),(7.37,-1.815),(7.63,-1.815),(7.63,-2.225),(7.645,-2.225),(7.645,-2.455),(7.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((2.355,-2.455),(2.355,-2.225),(2.37,-2.225),(2.37,-1.815),(2.63,-1.815),(2.63,-2.225),(2.645,-2.225),(2.645,-2.455),(2.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((23.355,-2.455),(23.355,-2.225),(23.37,-2.225),(23.37,-1.815),(23.63,-1.815),(23.63,-2.225),(23.645,-2.225),(23.645,-2.455),(23.355,-2.455)),
        )
        createRL(
            tech, net, 'via',
            ((2.265,3.27),(2.265,3.42),(2.415,3.42),(2.415,3.27),(2.265,3.27)),
        )
        createRL(
            tech, net, 'via',
            ((2.585,3.27),(2.585,3.42),(2.735,3.42),(2.735,3.27),(2.585,3.27)),
        )
        createRL(
            tech, net, 'via',
            ((7.425,-2.37),(7.425,-2.22),(7.575,-2.22),(7.575,-2.37),(7.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((7.425,-2.05),(7.425,-1.9),(7.575,-1.9),(7.575,-2.05),(7.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((23.425,-2.37),(23.425,-2.22),(23.575,-2.22),(23.575,-2.37),(23.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((23.425,-2.05),(23.425,-1.9),(23.575,-1.9),(23.575,-2.05),(23.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((18.265,3.27),(18.265,3.42),(18.415,3.42),(18.415,3.27),(18.265,3.27)),
        )
        createRL(
            tech, net, 'via',
            ((18.585,3.27),(18.585,3.42),(18.735,3.42),(18.735,3.27),(18.585,3.27)),
        )
        createRL(
            tech, net, 'via',
            ((2.425,-2.37),(2.425,-2.22),(2.575,-2.22),(2.575,-2.37),(2.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((2.425,-2.05),(2.425,-1.9),(2.575,-1.9),(2.575,-2.05),(2.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((18.425,-2.37),(18.425,-2.22),(18.575,-2.22),(18.575,-2.37),(18.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((18.425,-2.05),(18.425,-1.9),(18.575,-1.9),(18.575,-2.05),(18.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((23.265,3.27),(23.265,3.42),(23.415,3.42),(23.415,3.27),(23.265,3.27)),
        )
        createRL(
            tech, net, 'via',
            ((23.585,3.27),(23.585,3.42),(23.735,3.42),(23.735,3.27),(23.585,3.27)),
        )
        createRL(
            tech, net, 'via',
            ((7.265,3.27),(7.265,3.42),(7.415,3.42),(7.415,3.27),(7.265,3.27)),
        )
        createRL(
            tech, net, 'via',
            ((7.585,3.27),(7.585,3.42),(7.735,3.42),(7.735,3.27),(7.585,3.27)),
        )
        createRL(
            tech, net, 'm2',
            ((18.37,-2.455),(18.37,3.215),(18.18,3.215),(18.18,3.475),(18.82,3.475),(18.82,3.215),(18.63,3.215),(18.63,-2.455),(18.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((2.37,-2.455),(2.37,3.215),(2.18,3.215),(2.18,3.475),(2.82,3.475),(2.82,3.215),(2.63,3.215),(2.63,-2.455),(2.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((7.37,-2.455),(7.37,3.215),(7.18,3.215),(7.18,3.475),(7.82,3.475),(7.82,3.215),(7.63,3.215),(7.63,-2.455),(7.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((23.37,-2.455),(23.37,3.215),(23.18,3.215),(23.18,3.475),(23.82,3.475),(23.82,3.215),(23.63,3.215),(23.63,-2.455),(23.37,-2.455)),
        )
        net = nets['a[3]']
        createRL(
            tech, net, 'li',
            ((55.415,8.46),(55.415,8.63),(55.585,8.63),(55.585,8.46),(55.415,8.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((55.415,8.46),(55.415,8.63),(55.585,8.63),(55.585,8.46),(55.415,8.46)),
        )
        createRL(
            tech, net, 'm1',
            ((55.355,8.43),(55.355,10.0),(55.645,10.0),(55.645,8.43),(55.355,8.43)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(55.5), u(0.29), u(8.43), u(10.0),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(55.5), u(0.29), u(8.43), u(10.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['aint[3]']
        createRL(
            tech, net, 'li',
            ((66.17,7.26),(66.17,7.43),(66.34,7.43),(66.34,7.26),(66.17,7.26)),
        )
        createRL(
            tech, net, 'li',
            ((114.415,-2.67),(114.415,-2.5),(114.585,-2.5),(114.585,-2.67),(114.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((158.415,-2.67),(158.415,-2.5),(158.585,-2.5),(158.585,-2.67),(158.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((290.415,-2.67),(290.415,-2.5),(290.585,-2.5),(290.585,-2.67),(290.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((334.415,-2.67),(334.415,-2.5),(334.585,-2.5),(334.585,-2.67),(334.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((64.415,7.26),(64.415,7.43),(64.585,7.43),(64.585,7.26),(64.415,7.26)),
        )
        createRL(
            tech, net, 'li',
            ((246.415,-2.67),(246.415,-2.5),(246.585,-2.5),(246.585,-2.67),(246.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((31.415,-2.67),(31.415,-2.5),(31.585,-2.5),(31.585,-2.67),(31.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((202.415,-2.67),(202.415,-2.5),(202.585,-2.5),(202.585,-2.67),(202.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((74.415,-2.67),(74.415,-2.5),(74.585,-2.5),(74.585,-2.67),(74.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((66.17,7.26),(66.17,7.43),(66.34,7.43),(66.34,7.26),(66.17,7.26)),
        )
        createRL(
            tech, net, 'mcon',
            ((114.415,-2.67),(114.415,-2.5),(114.585,-2.5),(114.585,-2.67),(114.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((158.415,-2.67),(158.415,-2.5),(158.585,-2.5),(158.585,-2.67),(158.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((290.415,-2.67),(290.415,-2.5),(290.585,-2.5),(290.585,-2.67),(290.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((334.415,-2.67),(334.415,-2.5),(334.585,-2.5),(334.585,-2.67),(334.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((64.415,7.26),(64.415,7.43),(64.585,7.43),(64.585,7.26),(64.415,7.26)),
        )
        createRL(
            tech, net, 'mcon',
            ((246.415,-2.67),(246.415,-2.5),(246.585,-2.5),(246.585,-2.67),(246.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((31.415,-2.67),(31.415,-2.5),(31.585,-2.5),(31.585,-2.67),(31.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((202.415,-2.67),(202.415,-2.5),(202.585,-2.5),(202.585,-2.67),(202.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((74.415,-2.67),(74.415,-2.5),(74.585,-2.5),(74.585,-2.67),(74.415,-2.67)),
        )
        createRL(
            tech, net, 'm1',
            ((114.355,-2.7),(114.355,-2.47),(114.37,-2.47),(114.37,-2.06),(114.63,-2.06),(114.63,-2.47),(114.645,-2.47),(114.645,-2.7),(114.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((246.355,-2.7),(246.355,-2.47),(246.37,-2.47),(246.37,-2.06),(246.63,-2.06),(246.63,-2.47),(246.645,-2.47),(246.645,-2.7),(246.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((31.355,-2.7),(31.355,-2.47),(31.37,-2.47),(31.37,-2.06),(31.63,-2.06),(31.63,-2.47),(31.645,-2.47),(31.645,-2.7),(31.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((31.18,7.215),(31.18,7.475),(334.82,7.475),(334.82,7.215),(31.18,7.215)),
        )
        createRL(
            tech, net, 'm1',
            ((158.355,-2.7),(158.355,-2.47),(158.37,-2.47),(158.37,-2.06),(158.63,-2.06),(158.63,-2.47),(158.645,-2.47),(158.645,-2.7),(158.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((290.355,-2.7),(290.355,-2.47),(290.37,-2.47),(290.37,-2.06),(290.63,-2.06),(290.63,-2.47),(290.645,-2.47),(290.645,-2.7),(290.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((74.355,-2.7),(74.355,-2.47),(74.37,-2.47),(74.37,-2.06),(74.63,-2.06),(74.63,-2.47),(74.645,-2.47),(74.645,-2.7),(74.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((334.355,-2.7),(334.355,-2.47),(334.37,-2.47),(334.37,-2.06),(334.63,-2.06),(334.63,-2.47),(334.645,-2.47),(334.645,-2.7),(334.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((202.355,-2.7),(202.355,-2.47),(202.37,-2.47),(202.37,-2.06),(202.63,-2.06),(202.63,-2.47),(202.645,-2.47),(202.645,-2.7),(202.355,-2.7)),
        )
        createRL(
            tech, net, 'via',
            ((334.425,-2.615),(334.425,-2.465),(334.575,-2.465),(334.575,-2.615),(334.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((334.425,-2.295),(334.425,-2.145),(334.575,-2.145),(334.575,-2.295),(334.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((334.265,7.27),(334.265,7.42),(334.415,7.42),(334.415,7.27),(334.265,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((334.585,7.27),(334.585,7.42),(334.735,7.42),(334.735,7.27),(334.585,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((74.425,-2.615),(74.425,-2.465),(74.575,-2.465),(74.575,-2.615),(74.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((74.425,-2.295),(74.425,-2.145),(74.575,-2.145),(74.575,-2.295),(74.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((290.265,7.27),(290.265,7.42),(290.415,7.42),(290.415,7.27),(290.265,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((290.585,7.27),(290.585,7.42),(290.735,7.42),(290.735,7.27),(290.585,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((114.425,-2.615),(114.425,-2.465),(114.575,-2.465),(114.575,-2.615),(114.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((114.425,-2.295),(114.425,-2.145),(114.575,-2.145),(114.575,-2.295),(114.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((158.425,-2.615),(158.425,-2.465),(158.575,-2.465),(158.575,-2.615),(158.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((158.425,-2.295),(158.425,-2.145),(158.575,-2.145),(158.575,-2.295),(158.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((158.265,7.27),(158.265,7.42),(158.415,7.42),(158.415,7.27),(158.265,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((158.585,7.27),(158.585,7.42),(158.735,7.42),(158.735,7.27),(158.585,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((74.265,7.27),(74.265,7.42),(74.415,7.42),(74.415,7.27),(74.265,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((74.585,7.27),(74.585,7.42),(74.735,7.42),(74.735,7.27),(74.585,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((202.425,-2.615),(202.425,-2.465),(202.575,-2.465),(202.575,-2.615),(202.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((202.425,-2.295),(202.425,-2.145),(202.575,-2.145),(202.575,-2.295),(202.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((246.425,-2.615),(246.425,-2.465),(246.575,-2.465),(246.575,-2.615),(246.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((246.425,-2.295),(246.425,-2.145),(246.575,-2.145),(246.575,-2.295),(246.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((114.265,7.27),(114.265,7.42),(114.415,7.42),(114.415,7.27),(114.265,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((114.585,7.27),(114.585,7.42),(114.735,7.42),(114.735,7.27),(114.585,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((31.425,-2.615),(31.425,-2.465),(31.575,-2.465),(31.575,-2.615),(31.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((31.425,-2.295),(31.425,-2.145),(31.575,-2.145),(31.575,-2.295),(31.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((246.265,7.27),(246.265,7.42),(246.415,7.42),(246.415,7.27),(246.265,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((246.585,7.27),(246.585,7.42),(246.735,7.42),(246.735,7.27),(246.585,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((31.265,7.27),(31.265,7.42),(31.415,7.42),(31.415,7.27),(31.265,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((31.585,7.27),(31.585,7.42),(31.735,7.42),(31.735,7.27),(31.585,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((202.265,7.27),(202.265,7.42),(202.415,7.42),(202.415,7.27),(202.265,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((202.585,7.27),(202.585,7.42),(202.735,7.42),(202.735,7.27),(202.585,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((290.425,-2.615),(290.425,-2.465),(290.575,-2.465),(290.575,-2.615),(290.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((290.425,-2.295),(290.425,-2.145),(290.575,-2.145),(290.575,-2.295),(290.425,-2.295)),
        )
        createRL(
            tech, net, 'm2',
            ((246.37,-2.7),(246.37,7.215),(246.18,7.215),(246.18,7.475),(246.82,7.475),(246.82,7.215),(246.63,7.215),(246.63,-2.7),(246.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((74.37,-2.7),(74.37,7.215),(74.18,7.215),(74.18,7.475),(74.82,7.475),(74.82,7.215),(74.63,7.215),(74.63,-2.7),(74.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((31.37,-2.7),(31.37,7.215),(31.18,7.215),(31.18,7.475),(31.82,7.475),(31.82,7.215),(31.63,7.215),(31.63,-2.7),(31.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((290.37,-2.7),(290.37,7.215),(290.18,7.215),(290.18,7.475),(290.82,7.475),(290.82,7.215),(290.63,7.215),(290.63,-2.7),(290.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((334.37,-2.7),(334.37,7.215),(334.18,7.215),(334.18,7.475),(334.82,7.475),(334.82,7.215),(334.63,7.215),(334.63,-2.7),(334.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((114.37,-2.7),(114.37,7.215),(114.18,7.215),(114.18,7.475),(114.82,7.475),(114.82,7.215),(114.63,7.215),(114.63,-2.7),(114.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((158.37,-2.7),(158.37,7.215),(158.18,7.215),(158.18,7.475),(158.82,7.475),(158.82,7.215),(158.63,7.215),(158.63,-2.7),(158.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((202.37,-2.7),(202.37,7.215),(202.18,7.215),(202.18,7.475),(202.82,7.475),(202.82,7.215),(202.63,7.215),(202.63,-2.7),(202.37,-2.7)),
        )
        net = nets['aint_n[3]']
        createRL(
            tech, net, 'li',
            ((224.415,-2.67),(224.415,-2.5),(224.585,-2.5),(224.585,-2.67),(224.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((136.415,-2.67),(136.415,-2.5),(136.585,-2.5),(136.585,-2.67),(136.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((312.415,-2.67),(312.415,-2.5),(312.585,-2.5),(312.585,-2.67),(312.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((66.845,4.46),(66.845,4.63),(67.015,4.63),(67.015,4.46),(66.845,4.46)),
        )
        createRL(
            tech, net, 'li',
            ((52.415,-2.67),(52.415,-2.5),(52.585,-2.5),(52.585,-2.67),(52.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((180.415,-2.67),(180.415,-2.5),(180.585,-2.5),(180.585,-2.67),(180.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((268.415,-2.67),(268.415,-2.5),(268.585,-2.5),(268.585,-2.67),(268.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((10.415,-2.67),(10.415,-2.5),(10.585,-2.5),(10.585,-2.67),(10.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((96.415,-2.67),(96.415,-2.5),(96.585,-2.5),(96.585,-2.67),(96.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((224.415,-2.67),(224.415,-2.5),(224.585,-2.5),(224.585,-2.67),(224.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((136.415,-2.67),(136.415,-2.5),(136.585,-2.5),(136.585,-2.67),(136.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((312.415,-2.67),(312.415,-2.5),(312.585,-2.5),(312.585,-2.67),(312.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((66.845,4.46),(66.845,4.63),(67.015,4.63),(67.015,4.46),(66.845,4.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((52.415,-2.67),(52.415,-2.5),(52.585,-2.5),(52.585,-2.67),(52.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((180.415,-2.67),(180.415,-2.5),(180.585,-2.5),(180.585,-2.67),(180.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((268.415,-2.67),(268.415,-2.5),(268.585,-2.5),(268.585,-2.67),(268.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.415,-2.67),(10.415,-2.5),(10.585,-2.5),(10.585,-2.67),(10.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((96.415,-2.67),(96.415,-2.5),(96.585,-2.5),(96.585,-2.67),(96.415,-2.67)),
        )
        createRL(
            tech, net, 'm1',
            ((136.355,-2.7),(136.355,-2.47),(136.37,-2.47),(136.37,-2.06),(136.63,-2.06),(136.63,-2.47),(136.645,-2.47),(136.645,-2.7),(136.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((10.18,4.415),(10.18,4.675),(312.82,4.675),(312.82,4.415),(10.18,4.415)),
        )
        createRL(
            tech, net, 'm1',
            ((268.355,-2.7),(268.355,-2.47),(268.37,-2.47),(268.37,-2.06),(268.63,-2.06),(268.63,-2.47),(268.645,-2.47),(268.645,-2.7),(268.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((224.355,-2.7),(224.355,-2.47),(224.37,-2.47),(224.37,-2.06),(224.63,-2.06),(224.63,-2.47),(224.645,-2.47),(224.645,-2.7),(224.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((180.355,-2.7),(180.355,-2.47),(180.37,-2.47),(180.37,-2.06),(180.63,-2.06),(180.63,-2.47),(180.645,-2.47),(180.645,-2.7),(180.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((52.355,-2.7),(52.355,-2.47),(52.37,-2.47),(52.37,-2.06),(52.63,-2.06),(52.63,-2.47),(52.645,-2.47),(52.645,-2.7),(52.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((312.355,-2.7),(312.355,-2.47),(312.37,-2.47),(312.37,-2.06),(312.63,-2.06),(312.63,-2.47),(312.645,-2.47),(312.645,-2.7),(312.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((10.355,-2.7),(10.355,-2.47),(10.37,-2.47),(10.37,-2.06),(10.63,-2.06),(10.63,-2.47),(10.645,-2.47),(10.645,-2.7),(10.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((96.355,-2.7),(96.355,-2.47),(96.37,-2.47),(96.37,-2.06),(96.63,-2.06),(96.63,-2.47),(96.645,-2.47),(96.645,-2.7),(96.355,-2.7)),
        )
        createRL(
            tech, net, 'via',
            ((10.265,4.47),(10.265,4.62),(10.415,4.62),(10.415,4.47),(10.265,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((10.585,4.47),(10.585,4.62),(10.735,4.62),(10.735,4.47),(10.585,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((52.425,-2.615),(52.425,-2.465),(52.575,-2.465),(52.575,-2.615),(52.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((52.425,-2.295),(52.425,-2.145),(52.575,-2.145),(52.575,-2.295),(52.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((52.265,4.47),(52.265,4.62),(52.415,4.62),(52.415,4.47),(52.265,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((52.585,4.47),(52.585,4.62),(52.735,4.62),(52.735,4.47),(52.585,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((96.265,4.47),(96.265,4.62),(96.415,4.62),(96.415,4.47),(96.265,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((96.585,4.47),(96.585,4.62),(96.735,4.62),(96.735,4.47),(96.585,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((136.265,4.47),(136.265,4.62),(136.415,4.62),(136.415,4.47),(136.265,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((136.585,4.47),(136.585,4.62),(136.735,4.62),(136.735,4.47),(136.585,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((136.425,-2.615),(136.425,-2.465),(136.575,-2.465),(136.575,-2.615),(136.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((136.425,-2.295),(136.425,-2.145),(136.575,-2.145),(136.575,-2.295),(136.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((180.265,4.47),(180.265,4.62),(180.415,4.62),(180.415,4.47),(180.265,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((180.585,4.47),(180.585,4.62),(180.735,4.62),(180.735,4.47),(180.585,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((224.265,4.47),(224.265,4.62),(224.415,4.62),(224.415,4.47),(224.265,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((224.585,4.47),(224.585,4.62),(224.735,4.62),(224.735,4.47),(224.585,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((312.265,4.47),(312.265,4.62),(312.415,4.62),(312.415,4.47),(312.265,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((312.585,4.47),(312.585,4.62),(312.735,4.62),(312.735,4.47),(312.585,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((312.425,-2.615),(312.425,-2.465),(312.575,-2.465),(312.575,-2.615),(312.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((312.425,-2.295),(312.425,-2.145),(312.575,-2.145),(312.575,-2.295),(312.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((10.425,-2.615),(10.425,-2.465),(10.575,-2.465),(10.575,-2.615),(10.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((10.425,-2.295),(10.425,-2.145),(10.575,-2.145),(10.575,-2.295),(10.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((180.425,-2.615),(180.425,-2.465),(180.575,-2.465),(180.575,-2.615),(180.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((180.425,-2.295),(180.425,-2.145),(180.575,-2.145),(180.575,-2.295),(180.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((268.425,-2.615),(268.425,-2.465),(268.575,-2.465),(268.575,-2.615),(268.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((268.425,-2.295),(268.425,-2.145),(268.575,-2.145),(268.575,-2.295),(268.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((224.425,-2.615),(224.425,-2.465),(224.575,-2.465),(224.575,-2.615),(224.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((224.425,-2.295),(224.425,-2.145),(224.575,-2.145),(224.575,-2.295),(224.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((96.425,-2.615),(96.425,-2.465),(96.575,-2.465),(96.575,-2.615),(96.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((96.425,-2.295),(96.425,-2.145),(96.575,-2.145),(96.575,-2.295),(96.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((268.265,4.47),(268.265,4.62),(268.415,4.62),(268.415,4.47),(268.265,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((268.585,4.47),(268.585,4.62),(268.735,4.62),(268.735,4.47),(268.585,4.47)),
        )
        createRL(
            tech, net, 'm2',
            ((10.37,-2.7),(10.37,4.415),(10.18,4.415),(10.18,4.675),(10.82,4.675),(10.82,4.415),(10.63,4.415),(10.63,-2.7),(10.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((180.37,-2.7),(180.37,4.415),(180.18,4.415),(180.18,4.675),(180.82,4.675),(180.82,4.415),(180.63,4.415),(180.63,-2.7),(180.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((52.37,-2.7),(52.37,4.415),(52.18,4.415),(52.18,4.675),(52.82,4.675),(52.82,4.415),(52.63,4.415),(52.63,-2.7),(52.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((136.37,-2.7),(136.37,4.415),(136.18,4.415),(136.18,4.675),(136.82,4.675),(136.82,4.415),(136.63,4.415),(136.63,-2.7),(136.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((268.37,-2.7),(268.37,4.415),(268.18,4.415),(268.18,4.675),(268.82,4.675),(268.82,4.415),(268.63,4.415),(268.63,-2.7),(268.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((96.37,-2.7),(96.37,4.415),(96.18,4.415),(96.18,4.675),(96.82,4.675),(96.82,4.415),(96.63,4.415),(96.63,-2.7),(96.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((224.37,-2.7),(224.37,4.415),(224.18,4.415),(224.18,4.675),(224.82,4.675),(224.82,4.415),(224.63,4.415),(224.63,-2.7),(224.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((312.37,-2.7),(312.37,4.415),(312.18,4.415),(312.18,4.675),(312.82,4.675),(312.82,4.415),(312.63,4.415),(312.63,-2.7),(312.37,-2.7)),
        )
        net = nets['a[4]']
        createRL(
            tech, net, 'li',
            ((72.415,8.46),(72.415,8.63),(72.585,8.63),(72.585,8.46),(72.415,8.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((72.415,8.46),(72.415,8.63),(72.585,8.63),(72.585,8.46),(72.415,8.46)),
        )
        createRL(
            tech, net, 'm1',
            ((72.355,8.43),(72.355,10.0),(72.645,10.0),(72.645,8.43),(72.355,8.43)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(72.5), u(0.29), u(8.43), u(10.0),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(72.5), u(0.29), u(8.43), u(10.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['aint[4]']
        createRL(
            tech, net, 'li',
            ((137.415,-2.425),(137.415,-2.255),(137.585,-2.255),(137.585,-2.425),(137.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((247.415,-2.425),(247.415,-2.255),(247.585,-2.255),(247.585,-2.425),(247.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((313.415,-2.425),(313.415,-2.255),(313.585,-2.255),(313.585,-2.425),(313.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((53.415,-2.425),(53.415,-2.255),(53.585,-2.255),(53.585,-2.425),(53.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((75.415,-2.425),(75.415,-2.255),(75.585,-2.255),(75.585,-2.425),(75.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((83.17,5.66),(83.17,5.83),(83.34,5.83),(83.34,5.66),(83.17,5.66)),
        )
        createRL(
            tech, net, 'li',
            ((225.415,-2.425),(225.415,-2.255),(225.585,-2.255),(225.585,-2.425),(225.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((159.415,-2.425),(159.415,-2.255),(159.585,-2.255),(159.585,-2.425),(159.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((335.415,-2.425),(335.415,-2.255),(335.585,-2.255),(335.585,-2.425),(335.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((81.415,5.66),(81.415,5.83),(81.585,5.83),(81.585,5.66),(81.415,5.66)),
        )
        createRL(
            tech, net, 'mcon',
            ((137.415,-2.425),(137.415,-2.255),(137.585,-2.255),(137.585,-2.425),(137.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((247.415,-2.425),(247.415,-2.255),(247.585,-2.255),(247.585,-2.425),(247.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((313.415,-2.425),(313.415,-2.255),(313.585,-2.255),(313.585,-2.425),(313.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.415,-2.425),(53.415,-2.255),(53.585,-2.255),(53.585,-2.425),(53.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((75.415,-2.425),(75.415,-2.255),(75.585,-2.255),(75.585,-2.425),(75.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((83.17,5.66),(83.17,5.83),(83.34,5.83),(83.34,5.66),(83.17,5.66)),
        )
        createRL(
            tech, net, 'mcon',
            ((225.415,-2.425),(225.415,-2.255),(225.585,-2.255),(225.585,-2.425),(225.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((159.415,-2.425),(159.415,-2.255),(159.585,-2.255),(159.585,-2.425),(159.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((335.415,-2.425),(335.415,-2.255),(335.585,-2.255),(335.585,-2.425),(335.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((81.415,5.66),(81.415,5.83),(81.585,5.83),(81.585,5.66),(81.415,5.66)),
        )
        createRL(
            tech, net, 'm1',
            ((75.355,-2.455),(75.355,-2.225),(75.37,-2.225),(75.37,-1.815),(75.63,-1.815),(75.63,-2.225),(75.645,-2.225),(75.645,-2.455),(75.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((159.355,-2.455),(159.355,-2.225),(159.37,-2.225),(159.37,-1.815),(159.63,-1.815),(159.63,-2.225),(159.645,-2.225),(159.645,-2.455),(159.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((137.355,-2.455),(137.355,-2.225),(137.37,-2.225),(137.37,-1.815),(137.63,-1.815),(137.63,-2.225),(137.645,-2.225),(137.645,-2.455),(137.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((225.355,-2.455),(225.355,-2.225),(225.37,-2.225),(225.37,-1.815),(225.63,-1.815),(225.63,-2.225),(225.645,-2.225),(225.645,-2.455),(225.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((335.355,-2.455),(335.355,-2.225),(335.37,-2.225),(335.37,-1.815),(335.63,-1.815),(335.63,-2.225),(335.645,-2.225),(335.645,-2.455),(335.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((53.355,-2.455),(53.355,-2.225),(53.37,-2.225),(53.37,-1.815),(53.63,-1.815),(53.63,-2.225),(53.645,-2.225),(53.645,-2.455),(53.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((313.355,-2.455),(313.355,-2.225),(313.37,-2.225),(313.37,-1.815),(313.63,-1.815),(313.63,-2.225),(313.645,-2.225),(313.645,-2.455),(313.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((247.355,-2.455),(247.355,-2.225),(247.37,-2.225),(247.37,-1.815),(247.63,-1.815),(247.63,-2.225),(247.645,-2.225),(247.645,-2.455),(247.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((53.18,5.615),(53.18,5.875),(335.82,5.875),(335.82,5.615),(53.18,5.615)),
        )
        createRL(
            tech, net, 'via',
            ((159.265,5.67),(159.265,5.82),(159.415,5.82),(159.415,5.67),(159.265,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((159.585,5.67),(159.585,5.82),(159.735,5.82),(159.735,5.67),(159.585,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((313.425,-2.37),(313.425,-2.22),(313.575,-2.22),(313.575,-2.37),(313.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((313.425,-2.05),(313.425,-1.9),(313.575,-1.9),(313.575,-2.05),(313.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((313.265,5.67),(313.265,5.82),(313.415,5.82),(313.415,5.67),(313.265,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((313.585,5.67),(313.585,5.82),(313.735,5.82),(313.735,5.67),(313.585,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((335.265,5.67),(335.265,5.82),(335.415,5.82),(335.415,5.67),(335.265,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((335.585,5.67),(335.585,5.82),(335.735,5.82),(335.735,5.67),(335.585,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((247.425,-2.37),(247.425,-2.22),(247.575,-2.22),(247.575,-2.37),(247.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((247.425,-2.05),(247.425,-1.9),(247.575,-1.9),(247.575,-2.05),(247.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((247.265,5.67),(247.265,5.82),(247.415,5.82),(247.415,5.67),(247.265,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((247.585,5.67),(247.585,5.82),(247.735,5.82),(247.735,5.67),(247.585,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((53.265,5.67),(53.265,5.82),(53.415,5.82),(53.415,5.67),(53.265,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((53.585,5.67),(53.585,5.82),(53.735,5.82),(53.735,5.67),(53.585,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((53.425,-2.37),(53.425,-2.22),(53.575,-2.22),(53.575,-2.37),(53.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((53.425,-2.05),(53.425,-1.9),(53.575,-1.9),(53.575,-2.05),(53.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((75.265,5.67),(75.265,5.82),(75.415,5.82),(75.415,5.67),(75.265,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((75.585,5.67),(75.585,5.82),(75.735,5.82),(75.735,5.67),(75.585,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((159.425,-2.37),(159.425,-2.22),(159.575,-2.22),(159.575,-2.37),(159.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((159.425,-2.05),(159.425,-1.9),(159.575,-1.9),(159.575,-2.05),(159.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((225.425,-2.37),(225.425,-2.22),(225.575,-2.22),(225.575,-2.37),(225.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((225.425,-2.05),(225.425,-1.9),(225.575,-1.9),(225.575,-2.05),(225.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((225.265,5.67),(225.265,5.82),(225.415,5.82),(225.415,5.67),(225.265,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((225.585,5.67),(225.585,5.82),(225.735,5.82),(225.735,5.67),(225.585,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((137.425,-2.37),(137.425,-2.22),(137.575,-2.22),(137.575,-2.37),(137.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((137.425,-2.05),(137.425,-1.9),(137.575,-1.9),(137.575,-2.05),(137.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((75.425,-2.37),(75.425,-2.22),(75.575,-2.22),(75.575,-2.37),(75.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((75.425,-2.05),(75.425,-1.9),(75.575,-1.9),(75.575,-2.05),(75.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((137.265,5.67),(137.265,5.82),(137.415,5.82),(137.415,5.67),(137.265,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((137.585,5.67),(137.585,5.82),(137.735,5.82),(137.735,5.67),(137.585,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((335.425,-2.37),(335.425,-2.22),(335.575,-2.22),(335.575,-2.37),(335.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((335.425,-2.05),(335.425,-1.9),(335.575,-1.9),(335.575,-2.05),(335.425,-2.05)),
        )
        createRL(
            tech, net, 'm2',
            ((137.37,-2.455),(137.37,5.615),(137.18,5.615),(137.18,5.875),(137.82,5.875),(137.82,5.615),(137.63,5.615),(137.63,-2.455),(137.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((159.37,-2.455),(159.37,5.615),(159.18,5.615),(159.18,5.875),(159.82,5.875),(159.82,5.615),(159.63,5.615),(159.63,-2.455),(159.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((225.37,-2.455),(225.37,5.615),(225.18,5.615),(225.18,5.875),(225.82,5.875),(225.82,5.615),(225.63,5.615),(225.63,-2.455),(225.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((247.37,-2.455),(247.37,5.615),(247.18,5.615),(247.18,5.875),(247.82,5.875),(247.82,5.615),(247.63,5.615),(247.63,-2.455),(247.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((313.37,-2.455),(313.37,5.615),(313.18,5.615),(313.18,5.875),(313.82,5.875),(313.82,5.615),(313.63,5.615),(313.63,-2.455),(313.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((335.37,-2.455),(335.37,5.615),(335.18,5.615),(335.18,5.875),(335.82,5.875),(335.82,5.615),(335.63,5.615),(335.63,-2.455),(335.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((53.37,-2.455),(53.37,5.615),(53.18,5.615),(53.18,5.875),(53.82,5.875),(53.82,5.615),(53.63,5.615),(53.63,-2.455),(53.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((75.37,-2.455),(75.37,5.615),(75.18,5.615),(75.18,5.875),(75.82,5.875),(75.82,5.615),(75.63,5.615),(75.63,-2.455),(75.37,-2.455)),
        )
        net = nets['aint_n[4]']
        createRL(
            tech, net, 'li',
            ((83.845,2.86),(83.845,3.03),(84.015,3.03),(84.015,2.86),(83.845,2.86)),
        )
        createRL(
            tech, net, 'li',
            ((11.415,-2.425),(11.415,-2.255),(11.585,-2.255),(11.585,-2.425),(11.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((115.415,-2.425),(115.415,-2.255),(115.585,-2.255),(115.585,-2.425),(115.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((181.415,-2.425),(181.415,-2.255),(181.585,-2.255),(181.585,-2.425),(181.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((203.415,-2.425),(203.415,-2.255),(203.585,-2.255),(203.585,-2.425),(203.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((269.415,-2.425),(269.415,-2.255),(269.585,-2.255),(269.585,-2.425),(269.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((291.415,-2.425),(291.415,-2.255),(291.585,-2.255),(291.585,-2.425),(291.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((97.415,-2.425),(97.415,-2.255),(97.585,-2.255),(97.585,-2.425),(97.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((32.415,-2.425),(32.415,-2.255),(32.585,-2.255),(32.585,-2.425),(32.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((83.845,2.86),(83.845,3.03),(84.015,3.03),(84.015,2.86),(83.845,2.86)),
        )
        createRL(
            tech, net, 'mcon',
            ((11.415,-2.425),(11.415,-2.255),(11.585,-2.255),(11.585,-2.425),(11.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((115.415,-2.425),(115.415,-2.255),(115.585,-2.255),(115.585,-2.425),(115.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((181.415,-2.425),(181.415,-2.255),(181.585,-2.255),(181.585,-2.425),(181.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((203.415,-2.425),(203.415,-2.255),(203.585,-2.255),(203.585,-2.425),(203.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((269.415,-2.425),(269.415,-2.255),(269.585,-2.255),(269.585,-2.425),(269.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((291.415,-2.425),(291.415,-2.255),(291.585,-2.255),(291.585,-2.425),(291.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((97.415,-2.425),(97.415,-2.255),(97.585,-2.255),(97.585,-2.425),(97.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((32.415,-2.425),(32.415,-2.255),(32.585,-2.255),(32.585,-2.425),(32.415,-2.425)),
        )
        createRL(
            tech, net, 'm1',
            ((11.355,-2.455),(11.355,-2.225),(11.37,-2.225),(11.37,-1.815),(11.63,-1.815),(11.63,-2.225),(11.645,-2.225),(11.645,-2.455),(11.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((203.355,-2.455),(203.355,-2.225),(203.37,-2.225),(203.37,-1.815),(203.63,-1.815),(203.63,-2.225),(203.645,-2.225),(203.645,-2.455),(203.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((32.355,-2.455),(32.355,-2.225),(32.37,-2.225),(32.37,-1.815),(32.63,-1.815),(32.63,-2.225),(32.645,-2.225),(32.645,-2.455),(32.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((11.18,2.815),(11.18,3.075),(291.82,3.075),(291.82,2.815),(11.18,2.815)),
        )
        createRL(
            tech, net, 'm1',
            ((115.355,-2.455),(115.355,-2.225),(115.37,-2.225),(115.37,-1.815),(115.63,-1.815),(115.63,-2.225),(115.645,-2.225),(115.645,-2.455),(115.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((97.355,-2.455),(97.355,-2.225),(97.37,-2.225),(97.37,-1.815),(97.63,-1.815),(97.63,-2.225),(97.645,-2.225),(97.645,-2.455),(97.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((181.355,-2.455),(181.355,-2.225),(181.37,-2.225),(181.37,-1.815),(181.63,-1.815),(181.63,-2.225),(181.645,-2.225),(181.645,-2.455),(181.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((291.355,-2.455),(291.355,-2.225),(291.37,-2.225),(291.37,-1.815),(291.63,-1.815),(291.63,-2.225),(291.645,-2.225),(291.645,-2.455),(291.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((269.355,-2.455),(269.355,-2.225),(269.37,-2.225),(269.37,-1.815),(269.63,-1.815),(269.63,-2.225),(269.645,-2.225),(269.645,-2.455),(269.355,-2.455)),
        )
        createRL(
            tech, net, 'via',
            ((11.425,-2.37),(11.425,-2.22),(11.575,-2.22),(11.575,-2.37),(11.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((11.425,-2.05),(11.425,-1.9),(11.575,-1.9),(11.575,-2.05),(11.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((291.425,-2.37),(291.425,-2.22),(291.575,-2.22),(291.575,-2.37),(291.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((291.425,-2.05),(291.425,-1.9),(291.575,-1.9),(291.575,-2.05),(291.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((269.265,2.87),(269.265,3.02),(269.415,3.02),(269.415,2.87),(269.265,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((269.585,2.87),(269.585,3.02),(269.735,3.02),(269.735,2.87),(269.585,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((115.425,-2.37),(115.425,-2.22),(115.575,-2.22),(115.575,-2.37),(115.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((115.425,-2.05),(115.425,-1.9),(115.575,-1.9),(115.575,-2.05),(115.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((291.265,2.87),(291.265,3.02),(291.415,3.02),(291.415,2.87),(291.265,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((291.585,2.87),(291.585,3.02),(291.735,3.02),(291.735,2.87),(291.585,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((181.265,2.87),(181.265,3.02),(181.415,3.02),(181.415,2.87),(181.265,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((181.585,2.87),(181.585,3.02),(181.735,3.02),(181.735,2.87),(181.585,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((32.425,-2.37),(32.425,-2.22),(32.575,-2.22),(32.575,-2.37),(32.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((32.425,-2.05),(32.425,-1.9),(32.575,-1.9),(32.575,-2.05),(32.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((115.265,2.87),(115.265,3.02),(115.415,3.02),(115.415,2.87),(115.265,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((115.585,2.87),(115.585,3.02),(115.735,3.02),(115.735,2.87),(115.585,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((203.425,-2.37),(203.425,-2.22),(203.575,-2.22),(203.575,-2.37),(203.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((203.425,-2.05),(203.425,-1.9),(203.575,-1.9),(203.575,-2.05),(203.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((203.265,2.87),(203.265,3.02),(203.415,3.02),(203.415,2.87),(203.265,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((203.585,2.87),(203.585,3.02),(203.735,3.02),(203.735,2.87),(203.585,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((97.265,2.87),(97.265,3.02),(97.415,3.02),(97.415,2.87),(97.265,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((97.585,2.87),(97.585,3.02),(97.735,3.02),(97.735,2.87),(97.585,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((181.425,-2.37),(181.425,-2.22),(181.575,-2.22),(181.575,-2.37),(181.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((181.425,-2.05),(181.425,-1.9),(181.575,-1.9),(181.575,-2.05),(181.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((11.265,2.87),(11.265,3.02),(11.415,3.02),(11.415,2.87),(11.265,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((11.585,2.87),(11.585,3.02),(11.735,3.02),(11.735,2.87),(11.585,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((269.425,-2.37),(269.425,-2.22),(269.575,-2.22),(269.575,-2.37),(269.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((269.425,-2.05),(269.425,-1.9),(269.575,-1.9),(269.575,-2.05),(269.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((32.265,2.87),(32.265,3.02),(32.415,3.02),(32.415,2.87),(32.265,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((32.585,2.87),(32.585,3.02),(32.735,3.02),(32.735,2.87),(32.585,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((97.425,-2.37),(97.425,-2.22),(97.575,-2.22),(97.575,-2.37),(97.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((97.425,-2.05),(97.425,-1.9),(97.575,-1.9),(97.575,-2.05),(97.425,-2.05)),
        )
        createRL(
            tech, net, 'm2',
            ((291.37,-2.455),(291.37,2.815),(291.18,2.815),(291.18,3.075),(291.82,3.075),(291.82,2.815),(291.63,2.815),(291.63,-2.455),(291.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((97.37,-2.455),(97.37,2.815),(97.18,2.815),(97.18,3.075),(97.82,3.075),(97.82,2.815),(97.63,2.815),(97.63,-2.455),(97.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((115.37,-2.455),(115.37,2.815),(115.18,2.815),(115.18,3.075),(115.82,3.075),(115.82,2.815),(115.63,2.815),(115.63,-2.455),(115.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((32.37,-2.455),(32.37,2.815),(32.18,2.815),(32.18,3.075),(32.82,3.075),(32.82,2.815),(32.63,2.815),(32.63,-2.455),(32.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((269.37,-2.455),(269.37,2.815),(269.18,2.815),(269.18,3.075),(269.82,3.075),(269.82,2.815),(269.63,2.815),(269.63,-2.455),(269.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((11.37,-2.455),(11.37,2.815),(11.18,2.815),(11.18,3.075),(11.82,3.075),(11.82,2.815),(11.63,2.815),(11.63,-2.455),(11.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((203.37,-2.455),(203.37,2.815),(203.18,2.815),(203.18,3.075),(203.82,3.075),(203.82,2.815),(203.63,2.815),(203.63,-2.455),(203.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((181.37,-2.455),(181.37,2.815),(181.18,2.815),(181.18,3.075),(181.82,3.075),(181.82,2.815),(181.63,2.815),(181.63,-2.455),(181.37,-2.455)),
        )
        net = nets['a[5]']
        createRL(
            tech, net, 'li',
            ((89.415,8.46),(89.415,8.63),(89.585,8.63),(89.585,8.46),(89.415,8.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((89.415,8.46),(89.415,8.63),(89.585,8.63),(89.585,8.46),(89.415,8.46)),
        )
        createRL(
            tech, net, 'm1',
            ((89.355,8.43),(89.355,10.0),(89.645,10.0),(89.645,8.43),(89.355,8.43)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(89.5), u(0.29), u(8.43), u(10.0),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(89.5), u(0.29), u(8.43), u(10.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['aint[5]']
        createRL(
            tech, net, 'li',
            ((270.415,-2.425),(270.415,-2.255),(270.585,-2.255),(270.585,-2.425),(270.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((98.415,-2.425),(98.415,-2.255),(98.585,-2.255),(98.585,-2.425),(98.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((98.415,6.86),(98.415,7.03),(98.585,7.03),(98.585,6.86),(98.415,6.86)),
        )
        createRL(
            tech, net, 'li',
            ((314.415,-2.425),(314.415,-2.255),(314.585,-2.255),(314.585,-2.425),(314.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((116.415,-2.425),(116.415,-2.255),(116.585,-2.255),(116.585,-2.425),(116.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((292.415,-2.425),(292.415,-2.255),(292.585,-2.255),(292.585,-2.425),(292.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((336.415,-2.425),(336.415,-2.255),(336.585,-2.255),(336.585,-2.425),(336.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((138.415,-2.425),(138.415,-2.255),(138.585,-2.255),(138.585,-2.425),(138.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((100.17,6.86),(100.17,7.03),(100.34,7.03),(100.34,6.86),(100.17,6.86)),
        )
        createRL(
            tech, net, 'li',
            ((160.415,-2.425),(160.415,-2.255),(160.585,-2.255),(160.585,-2.425),(160.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((270.415,-2.425),(270.415,-2.255),(270.585,-2.255),(270.585,-2.425),(270.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((98.415,-2.425),(98.415,-2.255),(98.585,-2.255),(98.585,-2.425),(98.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((98.415,6.86),(98.415,7.03),(98.585,7.03),(98.585,6.86),(98.415,6.86)),
        )
        createRL(
            tech, net, 'mcon',
            ((314.415,-2.425),(314.415,-2.255),(314.585,-2.255),(314.585,-2.425),(314.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((116.415,-2.425),(116.415,-2.255),(116.585,-2.255),(116.585,-2.425),(116.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((292.415,-2.425),(292.415,-2.255),(292.585,-2.255),(292.585,-2.425),(292.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((336.415,-2.425),(336.415,-2.255),(336.585,-2.255),(336.585,-2.425),(336.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((138.415,-2.425),(138.415,-2.255),(138.585,-2.255),(138.585,-2.425),(138.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((100.17,6.86),(100.17,7.03),(100.34,7.03),(100.34,6.86),(100.17,6.86)),
        )
        createRL(
            tech, net, 'mcon',
            ((160.415,-2.425),(160.415,-2.255),(160.585,-2.255),(160.585,-2.425),(160.415,-2.425)),
        )
        createRL(
            tech, net, 'm1',
            ((116.355,-2.455),(116.355,-2.225),(116.37,-2.225),(116.37,-1.815),(116.63,-1.815),(116.63,-2.225),(116.645,-2.225),(116.645,-2.455),(116.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((98.18,6.815),(98.18,7.075),(336.82,7.075),(336.82,6.815),(98.18,6.815)),
        )
        createRL(
            tech, net, 'm1',
            ((160.355,-2.455),(160.355,-2.225),(160.37,-2.225),(160.37,-1.815),(160.63,-1.815),(160.63,-2.225),(160.645,-2.225),(160.645,-2.455),(160.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((138.355,-2.455),(138.355,-2.225),(138.37,-2.225),(138.37,-1.815),(138.63,-1.815),(138.63,-2.225),(138.645,-2.225),(138.645,-2.455),(138.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((292.355,-2.455),(292.355,-2.225),(292.37,-2.225),(292.37,-1.815),(292.63,-1.815),(292.63,-2.225),(292.645,-2.225),(292.645,-2.455),(292.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((98.355,-2.455),(98.355,-2.225),(98.37,-2.225),(98.37,-1.815),(98.63,-1.815),(98.63,-2.225),(98.645,-2.225),(98.645,-2.455),(98.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((336.355,-2.455),(336.355,-2.225),(336.37,-2.225),(336.37,-1.815),(336.63,-1.815),(336.63,-2.225),(336.645,-2.225),(336.645,-2.455),(336.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((270.355,-2.455),(270.355,-2.225),(270.37,-2.225),(270.37,-1.815),(270.63,-1.815),(270.63,-2.225),(270.645,-2.225),(270.645,-2.455),(270.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((314.355,-2.455),(314.355,-2.225),(314.37,-2.225),(314.37,-1.815),(314.63,-1.815),(314.63,-2.225),(314.645,-2.225),(314.645,-2.455),(314.355,-2.455)),
        )
        createRL(
            tech, net, 'via',
            ((292.265,6.87),(292.265,7.02),(292.415,7.02),(292.415,6.87),(292.265,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((292.585,6.87),(292.585,7.02),(292.735,7.02),(292.735,6.87),(292.585,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((98.265,6.87),(98.265,7.02),(98.415,7.02),(98.415,6.87),(98.265,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((98.585,6.87),(98.585,7.02),(98.735,7.02),(98.735,6.87),(98.585,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((336.265,6.87),(336.265,7.02),(336.415,7.02),(336.415,6.87),(336.265,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((336.585,6.87),(336.585,7.02),(336.735,7.02),(336.735,6.87),(336.585,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((336.425,-2.37),(336.425,-2.22),(336.575,-2.22),(336.575,-2.37),(336.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((336.425,-2.05),(336.425,-1.9),(336.575,-1.9),(336.575,-2.05),(336.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((116.265,6.87),(116.265,7.02),(116.415,7.02),(116.415,6.87),(116.265,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((116.585,6.87),(116.585,7.02),(116.735,7.02),(116.735,6.87),(116.585,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((116.425,-2.37),(116.425,-2.22),(116.575,-2.22),(116.575,-2.37),(116.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((116.425,-2.05),(116.425,-1.9),(116.575,-1.9),(116.575,-2.05),(116.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((314.425,-2.37),(314.425,-2.22),(314.575,-2.22),(314.575,-2.37),(314.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((314.425,-2.05),(314.425,-1.9),(314.575,-1.9),(314.575,-2.05),(314.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((138.265,6.87),(138.265,7.02),(138.415,7.02),(138.415,6.87),(138.265,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((138.585,6.87),(138.585,7.02),(138.735,7.02),(138.735,6.87),(138.585,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((160.425,-2.37),(160.425,-2.22),(160.575,-2.22),(160.575,-2.37),(160.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((160.425,-2.05),(160.425,-1.9),(160.575,-1.9),(160.575,-2.05),(160.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((270.425,-2.37),(270.425,-2.22),(270.575,-2.22),(270.575,-2.37),(270.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((270.425,-2.05),(270.425,-1.9),(270.575,-1.9),(270.575,-2.05),(270.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((138.425,-2.37),(138.425,-2.22),(138.575,-2.22),(138.575,-2.37),(138.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((138.425,-2.05),(138.425,-1.9),(138.575,-1.9),(138.575,-2.05),(138.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((270.265,6.87),(270.265,7.02),(270.415,7.02),(270.415,6.87),(270.265,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((270.585,6.87),(270.585,7.02),(270.735,7.02),(270.735,6.87),(270.585,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((98.425,-2.37),(98.425,-2.22),(98.575,-2.22),(98.575,-2.37),(98.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((98.425,-2.05),(98.425,-1.9),(98.575,-1.9),(98.575,-2.05),(98.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((314.265,6.87),(314.265,7.02),(314.415,7.02),(314.415,6.87),(314.265,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((314.585,6.87),(314.585,7.02),(314.735,7.02),(314.735,6.87),(314.585,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((160.265,6.87),(160.265,7.02),(160.415,7.02),(160.415,6.87),(160.265,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((160.585,6.87),(160.585,7.02),(160.735,7.02),(160.735,6.87),(160.585,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((292.425,-2.37),(292.425,-2.22),(292.575,-2.22),(292.575,-2.37),(292.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((292.425,-2.05),(292.425,-1.9),(292.575,-1.9),(292.575,-2.05),(292.425,-2.05)),
        )
        createRL(
            tech, net, 'm2',
            ((292.37,-2.455),(292.37,6.815),(292.18,6.815),(292.18,7.075),(292.82,7.075),(292.82,6.815),(292.63,6.815),(292.63,-2.455),(292.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((336.37,-2.455),(336.37,6.815),(336.18,6.815),(336.18,7.075),(336.82,7.075),(336.82,6.815),(336.63,6.815),(336.63,-2.455),(336.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((138.37,-2.455),(138.37,6.815),(138.18,6.815),(138.18,7.075),(138.82,7.075),(138.82,6.815),(138.63,6.815),(138.63,-2.455),(138.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((116.37,-2.455),(116.37,6.815),(116.18,6.815),(116.18,7.075),(116.82,7.075),(116.82,6.815),(116.63,6.815),(116.63,-2.455),(116.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((98.37,-2.455),(98.37,6.815),(98.18,6.815),(98.18,7.075),(98.82,7.075),(98.82,6.815),(98.63,6.815),(98.63,-2.455),(98.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((160.37,-2.455),(160.37,6.815),(160.18,6.815),(160.18,7.075),(160.82,7.075),(160.82,6.815),(160.63,6.815),(160.63,-2.455),(160.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((270.37,-2.455),(270.37,6.815),(270.18,6.815),(270.18,7.075),(270.82,7.075),(270.82,6.815),(270.63,6.815),(270.63,-2.455),(270.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((314.37,-2.455),(314.37,6.815),(314.18,6.815),(314.18,7.075),(314.82,7.075),(314.82,6.815),(314.63,6.815),(314.63,-2.455),(314.37,-2.455)),
        )
        net = nets['aint_n[5]']
        createRL(
            tech, net, 'li',
            ((226.415,-2.425),(226.415,-2.255),(226.585,-2.255),(226.585,-2.425),(226.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((54.415,-2.425),(54.415,-2.255),(54.585,-2.255),(54.585,-2.425),(54.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((248.415,-2.425),(248.415,-2.255),(248.585,-2.255),(248.585,-2.425),(248.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((100.845,4.06),(100.845,4.23),(101.015,4.23),(101.015,4.06),(100.845,4.06)),
        )
        createRL(
            tech, net, 'li',
            ((33.415,-2.425),(33.415,-2.255),(33.585,-2.255),(33.585,-2.425),(33.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((76.415,-2.425),(76.415,-2.255),(76.585,-2.255),(76.585,-2.425),(76.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((12.415,-2.425),(12.415,-2.255),(12.585,-2.255),(12.585,-2.425),(12.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((204.415,-2.425),(204.415,-2.255),(204.585,-2.255),(204.585,-2.425),(204.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((182.415,-2.425),(182.415,-2.255),(182.585,-2.255),(182.585,-2.425),(182.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((226.415,-2.425),(226.415,-2.255),(226.585,-2.255),(226.585,-2.425),(226.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((54.415,-2.425),(54.415,-2.255),(54.585,-2.255),(54.585,-2.425),(54.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((248.415,-2.425),(248.415,-2.255),(248.585,-2.255),(248.585,-2.425),(248.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((100.845,4.06),(100.845,4.23),(101.015,4.23),(101.015,4.06),(100.845,4.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((33.415,-2.425),(33.415,-2.255),(33.585,-2.255),(33.585,-2.425),(33.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((76.415,-2.425),(76.415,-2.255),(76.585,-2.255),(76.585,-2.425),(76.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((12.415,-2.425),(12.415,-2.255),(12.585,-2.255),(12.585,-2.425),(12.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((204.415,-2.425),(204.415,-2.255),(204.585,-2.255),(204.585,-2.425),(204.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((182.415,-2.425),(182.415,-2.255),(182.585,-2.255),(182.585,-2.425),(182.415,-2.425)),
        )
        createRL(
            tech, net, 'm1',
            ((54.355,-2.455),(54.355,-2.225),(54.37,-2.225),(54.37,-1.815),(54.63,-1.815),(54.63,-2.225),(54.645,-2.225),(54.645,-2.455),(54.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((182.355,-2.455),(182.355,-2.225),(182.37,-2.225),(182.37,-1.815),(182.63,-1.815),(182.63,-2.225),(182.645,-2.225),(182.645,-2.455),(182.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((33.355,-2.455),(33.355,-2.225),(33.37,-2.225),(33.37,-1.815),(33.63,-1.815),(33.63,-2.225),(33.645,-2.225),(33.645,-2.455),(33.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((226.355,-2.455),(226.355,-2.225),(226.37,-2.225),(226.37,-1.815),(226.63,-1.815),(226.63,-2.225),(226.645,-2.225),(226.645,-2.455),(226.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((12.18,4.015),(12.18,4.275),(248.82,4.275),(248.82,4.015),(12.18,4.015)),
        )
        createRL(
            tech, net, 'm1',
            ((76.355,-2.455),(76.355,-2.225),(76.37,-2.225),(76.37,-1.815),(76.63,-1.815),(76.63,-2.225),(76.645,-2.225),(76.645,-2.455),(76.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((12.355,-2.455),(12.355,-2.225),(12.37,-2.225),(12.37,-1.815),(12.63,-1.815),(12.63,-2.225),(12.645,-2.225),(12.645,-2.455),(12.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((204.355,-2.455),(204.355,-2.225),(204.37,-2.225),(204.37,-1.815),(204.63,-1.815),(204.63,-2.225),(204.645,-2.225),(204.645,-2.455),(204.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((248.355,-2.455),(248.355,-2.225),(248.37,-2.225),(248.37,-1.815),(248.63,-1.815),(248.63,-2.225),(248.645,-2.225),(248.645,-2.455),(248.355,-2.455)),
        )
        createRL(
            tech, net, 'via',
            ((182.425,-2.37),(182.425,-2.22),(182.575,-2.22),(182.575,-2.37),(182.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((182.425,-2.05),(182.425,-1.9),(182.575,-1.9),(182.575,-2.05),(182.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((226.425,-2.37),(226.425,-2.22),(226.575,-2.22),(226.575,-2.37),(226.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((226.425,-2.05),(226.425,-1.9),(226.575,-1.9),(226.575,-2.05),(226.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((33.425,-2.37),(33.425,-2.22),(33.575,-2.22),(33.575,-2.37),(33.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((33.425,-2.05),(33.425,-1.9),(33.575,-1.9),(33.575,-2.05),(33.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((204.425,-2.37),(204.425,-2.22),(204.575,-2.22),(204.575,-2.37),(204.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((204.425,-2.05),(204.425,-1.9),(204.575,-1.9),(204.575,-2.05),(204.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((76.265,4.07),(76.265,4.22),(76.415,4.22),(76.415,4.07),(76.265,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((76.585,4.07),(76.585,4.22),(76.735,4.22),(76.735,4.07),(76.585,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((12.425,-2.37),(12.425,-2.22),(12.575,-2.22),(12.575,-2.37),(12.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((12.425,-2.05),(12.425,-1.9),(12.575,-1.9),(12.575,-2.05),(12.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((226.265,4.07),(226.265,4.22),(226.415,4.22),(226.415,4.07),(226.265,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((226.585,4.07),(226.585,4.22),(226.735,4.22),(226.735,4.07),(226.585,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((76.425,-2.37),(76.425,-2.22),(76.575,-2.22),(76.575,-2.37),(76.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((76.425,-2.05),(76.425,-1.9),(76.575,-1.9),(76.575,-2.05),(76.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((182.265,4.07),(182.265,4.22),(182.415,4.22),(182.415,4.07),(182.265,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((182.585,4.07),(182.585,4.22),(182.735,4.22),(182.735,4.07),(182.585,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((33.265,4.07),(33.265,4.22),(33.415,4.22),(33.415,4.07),(33.265,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((33.585,4.07),(33.585,4.22),(33.735,4.22),(33.735,4.07),(33.585,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((248.425,-2.37),(248.425,-2.22),(248.575,-2.22),(248.575,-2.37),(248.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((248.425,-2.05),(248.425,-1.9),(248.575,-1.9),(248.575,-2.05),(248.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((54.265,4.07),(54.265,4.22),(54.415,4.22),(54.415,4.07),(54.265,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((54.585,4.07),(54.585,4.22),(54.735,4.22),(54.735,4.07),(54.585,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((204.265,4.07),(204.265,4.22),(204.415,4.22),(204.415,4.07),(204.265,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((204.585,4.07),(204.585,4.22),(204.735,4.22),(204.735,4.07),(204.585,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((54.425,-2.37),(54.425,-2.22),(54.575,-2.22),(54.575,-2.37),(54.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((54.425,-2.05),(54.425,-1.9),(54.575,-1.9),(54.575,-2.05),(54.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((248.265,4.07),(248.265,4.22),(248.415,4.22),(248.415,4.07),(248.265,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((248.585,4.07),(248.585,4.22),(248.735,4.22),(248.735,4.07),(248.585,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((12.265,4.07),(12.265,4.22),(12.415,4.22),(12.415,4.07),(12.265,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((12.585,4.07),(12.585,4.22),(12.735,4.22),(12.735,4.07),(12.585,4.07)),
        )
        createRL(
            tech, net, 'm2',
            ((226.37,-2.455),(226.37,4.015),(226.18,4.015),(226.18,4.275),(226.82,4.275),(226.82,4.015),(226.63,4.015),(226.63,-2.455),(226.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((76.37,-2.455),(76.37,4.015),(76.18,4.015),(76.18,4.275),(76.82,4.275),(76.82,4.015),(76.63,4.015),(76.63,-2.455),(76.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((12.37,-2.455),(12.37,4.015),(12.18,4.015),(12.18,4.275),(12.82,4.275),(12.82,4.015),(12.63,4.015),(12.63,-2.455),(12.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((33.37,-2.455),(33.37,4.015),(33.18,4.015),(33.18,4.275),(33.82,4.275),(33.82,4.015),(33.63,4.015),(33.63,-2.455),(33.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((204.37,-2.455),(204.37,4.015),(204.18,4.015),(204.18,4.275),(204.82,4.275),(204.82,4.015),(204.63,4.015),(204.63,-2.455),(204.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((248.37,-2.455),(248.37,4.015),(248.18,4.015),(248.18,4.275),(248.82,4.275),(248.82,4.015),(248.63,4.015),(248.63,-2.455),(248.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((182.37,-2.455),(182.37,4.015),(182.18,4.015),(182.18,4.275),(182.82,4.275),(182.82,4.015),(182.63,4.015),(182.63,-2.455),(182.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((54.37,-2.455),(54.37,4.015),(54.18,4.015),(54.18,4.275),(54.82,4.275),(54.82,4.015),(54.63,4.015),(54.63,-2.455),(54.37,-2.455)),
        )
        net = nets['a[6]']
        createRL(
            tech, net, 'li',
            ((106.415,8.46),(106.415,8.63),(106.585,8.63),(106.585,8.46),(106.415,8.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((106.415,8.46),(106.415,8.63),(106.585,8.63),(106.585,8.46),(106.415,8.46)),
        )
        createRL(
            tech, net, 'm1',
            ((106.355,8.43),(106.355,10.0),(106.645,10.0),(106.645,8.43),(106.355,8.43)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(106.5), u(0.29), u(8.43), u(10.0),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(106.5), u(0.29), u(8.43), u(10.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['aint[6]']
        createRL(
            tech, net, 'li',
            ((183.415,-2.425),(183.415,-2.255),(183.585,-2.255),(183.585,-2.425),(183.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((249.415,-2.425),(249.415,-2.255),(249.585,-2.255),(249.585,-2.425),(249.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((205.415,-2.425),(205.415,-2.255),(205.585,-2.255),(205.585,-2.425),(205.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((227.415,-2.425),(227.415,-2.255),(227.585,-2.255),(227.585,-2.425),(227.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((293.415,-2.425),(293.415,-2.255),(293.585,-2.255),(293.585,-2.425),(293.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((315.415,-2.425),(315.415,-2.255),(315.585,-2.255),(315.585,-2.425),(315.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((115.415,5.26),(115.415,5.43),(115.585,5.43),(115.585,5.26),(115.415,5.26)),
        )
        createRL(
            tech, net, 'li',
            ((117.17,5.26),(117.17,5.43),(117.34,5.43),(117.34,5.26),(117.17,5.26)),
        )
        createRL(
            tech, net, 'li',
            ((271.415,-2.425),(271.415,-2.255),(271.585,-2.255),(271.585,-2.425),(271.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((337.415,-2.425),(337.415,-2.255),(337.585,-2.255),(337.585,-2.425),(337.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((183.415,-2.425),(183.415,-2.255),(183.585,-2.255),(183.585,-2.425),(183.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((249.415,-2.425),(249.415,-2.255),(249.585,-2.255),(249.585,-2.425),(249.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((205.415,-2.425),(205.415,-2.255),(205.585,-2.255),(205.585,-2.425),(205.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((227.415,-2.425),(227.415,-2.255),(227.585,-2.255),(227.585,-2.425),(227.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((293.415,-2.425),(293.415,-2.255),(293.585,-2.255),(293.585,-2.425),(293.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((315.415,-2.425),(315.415,-2.255),(315.585,-2.255),(315.585,-2.425),(315.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((115.415,5.26),(115.415,5.43),(115.585,5.43),(115.585,5.26),(115.415,5.26)),
        )
        createRL(
            tech, net, 'mcon',
            ((117.17,5.26),(117.17,5.43),(117.34,5.43),(117.34,5.26),(117.17,5.26)),
        )
        createRL(
            tech, net, 'mcon',
            ((271.415,-2.425),(271.415,-2.255),(271.585,-2.255),(271.585,-2.425),(271.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((337.415,-2.425),(337.415,-2.255),(337.585,-2.255),(337.585,-2.425),(337.415,-2.425)),
        )
        createRL(
            tech, net, 'm1',
            ((337.355,-2.455),(337.355,-2.225),(337.37,-2.225),(337.37,-1.815),(337.63,-1.815),(337.63,-2.225),(337.645,-2.225),(337.645,-2.455),(337.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((293.355,-2.455),(293.355,-2.225),(293.37,-2.225),(293.37,-1.815),(293.63,-1.815),(293.63,-2.225),(293.645,-2.225),(293.645,-2.455),(293.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((315.355,-2.455),(315.355,-2.225),(315.37,-2.225),(315.37,-1.815),(315.63,-1.815),(315.63,-2.225),(315.645,-2.225),(315.645,-2.455),(315.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((115.5,5.215),(115.5,5.23),(115.355,5.23),(115.355,5.46),(115.5,5.46),(115.5,5.475),(337.82,5.475),(337.82,5.215),(115.5,5.215)),
        )
        createRL(
            tech, net, 'm1',
            ((271.355,-2.455),(271.355,-2.225),(271.37,-2.225),(271.37,-1.815),(271.63,-1.815),(271.63,-2.225),(271.645,-2.225),(271.645,-2.455),(271.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((227.355,-2.455),(227.355,-2.225),(227.37,-2.225),(227.37,-1.815),(227.63,-1.815),(227.63,-2.225),(227.645,-2.225),(227.645,-2.455),(227.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((249.355,-2.455),(249.355,-2.225),(249.37,-2.225),(249.37,-1.815),(249.63,-1.815),(249.63,-2.225),(249.645,-2.225),(249.645,-2.455),(249.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((183.355,-2.455),(183.355,-2.225),(183.37,-2.225),(183.37,-1.815),(183.63,-1.815),(183.63,-2.225),(183.645,-2.225),(183.645,-2.455),(183.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((205.355,-2.455),(205.355,-2.225),(205.37,-2.225),(205.37,-1.815),(205.63,-1.815),(205.63,-2.225),(205.645,-2.225),(205.645,-2.455),(205.355,-2.455)),
        )
        createRL(
            tech, net, 'via',
            ((249.265,5.27),(249.265,5.42),(249.415,5.42),(249.415,5.27),(249.265,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((249.585,5.27),(249.585,5.42),(249.735,5.42),(249.735,5.27),(249.585,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((293.425,-2.37),(293.425,-2.22),(293.575,-2.22),(293.575,-2.37),(293.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((293.425,-2.05),(293.425,-1.9),(293.575,-1.9),(293.575,-2.05),(293.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((183.265,5.27),(183.265,5.42),(183.415,5.42),(183.415,5.27),(183.265,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((183.585,5.27),(183.585,5.42),(183.735,5.42),(183.735,5.27),(183.585,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((293.265,5.27),(293.265,5.42),(293.415,5.42),(293.415,5.27),(293.265,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((293.585,5.27),(293.585,5.42),(293.735,5.42),(293.735,5.27),(293.585,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((249.425,-2.37),(249.425,-2.22),(249.575,-2.22),(249.575,-2.37),(249.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((249.425,-2.05),(249.425,-1.9),(249.575,-1.9),(249.575,-2.05),(249.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((315.265,5.27),(315.265,5.42),(315.415,5.42),(315.415,5.27),(315.265,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((315.585,5.27),(315.585,5.42),(315.735,5.42),(315.735,5.27),(315.585,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((227.425,-2.37),(227.425,-2.22),(227.575,-2.22),(227.575,-2.37),(227.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((227.425,-2.05),(227.425,-1.9),(227.575,-1.9),(227.575,-2.05),(227.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((315.425,-2.37),(315.425,-2.22),(315.575,-2.22),(315.575,-2.37),(315.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((315.425,-2.05),(315.425,-1.9),(315.575,-1.9),(315.575,-2.05),(315.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((183.425,-2.37),(183.425,-2.22),(183.575,-2.22),(183.575,-2.37),(183.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((183.425,-2.05),(183.425,-1.9),(183.575,-1.9),(183.575,-2.05),(183.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((205.425,-2.37),(205.425,-2.22),(205.575,-2.22),(205.575,-2.37),(205.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((205.425,-2.05),(205.425,-1.9),(205.575,-1.9),(205.575,-2.05),(205.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((337.265,5.27),(337.265,5.42),(337.415,5.42),(337.415,5.27),(337.265,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((337.585,5.27),(337.585,5.42),(337.735,5.42),(337.735,5.27),(337.585,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((271.265,5.27),(271.265,5.42),(271.415,5.42),(271.415,5.27),(271.265,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((271.585,5.27),(271.585,5.42),(271.735,5.42),(271.735,5.27),(271.585,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((271.425,-2.37),(271.425,-2.22),(271.575,-2.22),(271.575,-2.37),(271.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((271.425,-2.05),(271.425,-1.9),(271.575,-1.9),(271.575,-2.05),(271.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((205.265,5.27),(205.265,5.42),(205.415,5.42),(205.415,5.27),(205.265,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((205.585,5.27),(205.585,5.42),(205.735,5.42),(205.735,5.27),(205.585,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((337.425,-2.37),(337.425,-2.22),(337.575,-2.22),(337.575,-2.37),(337.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((337.425,-2.05),(337.425,-1.9),(337.575,-1.9),(337.575,-2.05),(337.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((227.265,5.27),(227.265,5.42),(227.415,5.42),(227.415,5.27),(227.265,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((227.585,5.27),(227.585,5.42),(227.735,5.42),(227.735,5.27),(227.585,5.27)),
        )
        createRL(
            tech, net, 'm2',
            ((227.37,-2.455),(227.37,5.215),(227.18,5.215),(227.18,5.475),(227.82,5.475),(227.82,5.215),(227.63,5.215),(227.63,-2.455),(227.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((293.37,-2.455),(293.37,5.215),(293.18,5.215),(293.18,5.475),(293.82,5.475),(293.82,5.215),(293.63,5.215),(293.63,-2.455),(293.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((315.37,-2.455),(315.37,5.215),(315.18,5.215),(315.18,5.475),(315.82,5.475),(315.82,5.215),(315.63,5.215),(315.63,-2.455),(315.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((183.37,-2.455),(183.37,5.215),(183.18,5.215),(183.18,5.475),(183.82,5.475),(183.82,5.215),(183.63,5.215),(183.63,-2.455),(183.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((249.37,-2.455),(249.37,5.215),(249.18,5.215),(249.18,5.475),(249.82,5.475),(249.82,5.215),(249.63,5.215),(249.63,-2.455),(249.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((271.37,-2.455),(271.37,5.215),(271.18,5.215),(271.18,5.475),(271.82,5.475),(271.82,5.215),(271.63,5.215),(271.63,-2.455),(271.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((337.37,-2.455),(337.37,5.215),(337.18,5.215),(337.18,5.475),(337.82,5.475),(337.82,5.215),(337.63,5.215),(337.63,-2.455),(337.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((205.37,-2.455),(205.37,5.215),(205.18,5.215),(205.18,5.475),(205.82,5.475),(205.82,5.215),(205.63,5.215),(205.63,-2.455),(205.37,-2.455)),
        )
        net = nets['aint_n[6]']
        createRL(
            tech, net, 'li',
            ((55.415,-2.425),(55.415,-2.255),(55.585,-2.255),(55.585,-2.425),(55.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((34.415,-2.425),(34.415,-2.255),(34.585,-2.255),(34.585,-2.425),(34.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((13.415,-2.425),(13.415,-2.255),(13.585,-2.255),(13.585,-2.425),(13.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((99.415,-2.425),(99.415,-2.255),(99.585,-2.255),(99.585,-2.425),(99.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((77.415,-2.425),(77.415,-2.255),(77.585,-2.255),(77.585,-2.425),(77.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((117.415,-2.425),(117.415,-2.255),(117.585,-2.255),(117.585,-2.425),(117.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((139.415,-2.425),(139.415,-2.255),(139.585,-2.255),(139.585,-2.425),(139.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((117.845,2.46),(117.845,2.63),(118.015,2.63),(118.015,2.46),(117.845,2.46)),
        )
        createRL(
            tech, net, 'li',
            ((161.415,-2.425),(161.415,-2.255),(161.585,-2.255),(161.585,-2.425),(161.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((55.415,-2.425),(55.415,-2.255),(55.585,-2.255),(55.585,-2.425),(55.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((34.415,-2.425),(34.415,-2.255),(34.585,-2.255),(34.585,-2.425),(34.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((13.415,-2.425),(13.415,-2.255),(13.585,-2.255),(13.585,-2.425),(13.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((99.415,-2.425),(99.415,-2.255),(99.585,-2.255),(99.585,-2.425),(99.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((77.415,-2.425),(77.415,-2.255),(77.585,-2.255),(77.585,-2.425),(77.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((117.415,-2.425),(117.415,-2.255),(117.585,-2.255),(117.585,-2.425),(117.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((139.415,-2.425),(139.415,-2.255),(139.585,-2.255),(139.585,-2.425),(139.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((117.845,2.46),(117.845,2.63),(118.015,2.63),(118.015,2.46),(117.845,2.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((161.415,-2.425),(161.415,-2.255),(161.585,-2.255),(161.585,-2.425),(161.415,-2.425)),
        )
        createRL(
            tech, net, 'm1',
            ((139.355,-2.455),(139.355,-2.225),(139.37,-2.225),(139.37,-1.815),(139.63,-1.815),(139.63,-2.225),(139.645,-2.225),(139.645,-2.455),(139.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((13.18,2.415),(13.18,2.675),(161.82,2.675),(161.82,2.415),(13.18,2.415)),
        )
        createRL(
            tech, net, 'm1',
            ((13.355,-2.455),(13.355,-2.225),(13.37,-2.225),(13.37,-1.815),(13.63,-1.815),(13.63,-2.225),(13.645,-2.225),(13.645,-2.455),(13.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((161.355,-2.455),(161.355,-2.225),(161.37,-2.225),(161.37,-1.815),(161.63,-1.815),(161.63,-2.225),(161.645,-2.225),(161.645,-2.455),(161.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((34.355,-2.455),(34.355,-2.225),(34.37,-2.225),(34.37,-1.815),(34.63,-1.815),(34.63,-2.225),(34.645,-2.225),(34.645,-2.455),(34.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((117.355,-2.455),(117.355,-2.225),(117.37,-2.225),(117.37,-1.815),(117.63,-1.815),(117.63,-2.225),(117.645,-2.225),(117.645,-2.455),(117.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((99.355,-2.455),(99.355,-2.225),(99.37,-2.225),(99.37,-1.815),(99.63,-1.815),(99.63,-2.225),(99.645,-2.225),(99.645,-2.455),(99.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((55.355,-2.455),(55.355,-2.225),(55.37,-2.225),(55.37,-1.815),(55.63,-1.815),(55.63,-2.225),(55.645,-2.225),(55.645,-2.455),(55.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((77.355,-2.455),(77.355,-2.225),(77.37,-2.225),(77.37,-1.815),(77.63,-1.815),(77.63,-2.225),(77.645,-2.225),(77.645,-2.455),(77.355,-2.455)),
        )
        createRL(
            tech, net, 'via',
            ((161.425,-2.37),(161.425,-2.22),(161.575,-2.22),(161.575,-2.37),(161.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((161.425,-2.05),(161.425,-1.9),(161.575,-1.9),(161.575,-2.05),(161.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((139.425,-2.37),(139.425,-2.22),(139.575,-2.22),(139.575,-2.37),(139.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((139.425,-2.05),(139.425,-1.9),(139.575,-1.9),(139.575,-2.05),(139.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((99.425,-2.37),(99.425,-2.22),(99.575,-2.22),(99.575,-2.37),(99.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((99.425,-2.05),(99.425,-1.9),(99.575,-1.9),(99.575,-2.05),(99.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((99.265,2.47),(99.265,2.62),(99.415,2.62),(99.415,2.47),(99.265,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((99.585,2.47),(99.585,2.62),(99.735,2.62),(99.735,2.47),(99.585,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((77.425,-2.37),(77.425,-2.22),(77.575,-2.22),(77.575,-2.37),(77.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((77.425,-2.05),(77.425,-1.9),(77.575,-1.9),(77.575,-2.05),(77.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((55.265,2.47),(55.265,2.62),(55.415,2.62),(55.415,2.47),(55.265,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((55.585,2.47),(55.585,2.62),(55.735,2.62),(55.735,2.47),(55.585,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((117.265,2.47),(117.265,2.62),(117.415,2.62),(117.415,2.47),(117.265,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((117.585,2.47),(117.585,2.62),(117.735,2.62),(117.735,2.47),(117.585,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((13.425,-2.37),(13.425,-2.22),(13.575,-2.22),(13.575,-2.37),(13.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((13.425,-2.05),(13.425,-1.9),(13.575,-1.9),(13.575,-2.05),(13.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((34.265,2.47),(34.265,2.62),(34.415,2.62),(34.415,2.47),(34.265,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((34.585,2.47),(34.585,2.62),(34.735,2.62),(34.735,2.47),(34.585,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((139.265,2.47),(139.265,2.62),(139.415,2.62),(139.415,2.47),(139.265,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((139.585,2.47),(139.585,2.62),(139.735,2.62),(139.735,2.47),(139.585,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((117.425,-2.37),(117.425,-2.22),(117.575,-2.22),(117.575,-2.37),(117.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((117.425,-2.05),(117.425,-1.9),(117.575,-1.9),(117.575,-2.05),(117.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((13.265,2.47),(13.265,2.62),(13.415,2.62),(13.415,2.47),(13.265,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((13.585,2.47),(13.585,2.62),(13.735,2.62),(13.735,2.47),(13.585,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((55.425,-2.37),(55.425,-2.22),(55.575,-2.22),(55.575,-2.37),(55.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((55.425,-2.05),(55.425,-1.9),(55.575,-1.9),(55.575,-2.05),(55.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((34.425,-2.37),(34.425,-2.22),(34.575,-2.22),(34.575,-2.37),(34.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((34.425,-2.05),(34.425,-1.9),(34.575,-1.9),(34.575,-2.05),(34.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((77.265,2.47),(77.265,2.62),(77.415,2.62),(77.415,2.47),(77.265,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((77.585,2.47),(77.585,2.62),(77.735,2.62),(77.735,2.47),(77.585,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((161.265,2.47),(161.265,2.62),(161.415,2.62),(161.415,2.47),(161.265,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((161.585,2.47),(161.585,2.62),(161.735,2.62),(161.735,2.47),(161.585,2.47)),
        )
        createRL(
            tech, net, 'm2',
            ((117.37,-2.455),(117.37,2.415),(117.18,2.415),(117.18,2.675),(117.82,2.675),(117.82,2.415),(117.63,2.415),(117.63,-2.455),(117.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((161.37,-2.455),(161.37,2.415),(161.18,2.415),(161.18,2.675),(161.82,2.675),(161.82,2.415),(161.63,2.415),(161.63,-2.455),(161.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((34.37,-2.455),(34.37,2.415),(34.18,2.415),(34.18,2.675),(34.82,2.675),(34.82,2.415),(34.63,2.415),(34.63,-2.455),(34.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((77.37,-2.455),(77.37,2.415),(77.18,2.415),(77.18,2.675),(77.82,2.675),(77.82,2.415),(77.63,2.415),(77.63,-2.455),(77.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((13.37,-2.455),(13.37,2.415),(13.18,2.415),(13.18,2.675),(13.82,2.675),(13.82,2.415),(13.63,2.415),(13.63,-2.455),(13.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((55.37,-2.455),(55.37,2.415),(55.18,2.415),(55.18,2.675),(55.82,2.675),(55.82,2.415),(55.63,2.415),(55.63,-2.455),(55.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((99.37,-2.455),(99.37,2.415),(99.18,2.415),(99.18,2.675),(99.82,2.675),(99.82,2.415),(99.63,2.415),(99.63,-2.455),(99.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((139.37,-2.455),(139.37,2.415),(139.18,2.415),(139.18,2.675),(139.82,2.675),(139.82,2.415),(139.63,2.415),(139.63,-2.455),(139.37,-2.455)),
        )
        net = nets['pd[0][0]']
        createRL(
            tech, net, 'li',
            ((4.415,-8.63),(4.415,-1.37),(4.585,-1.37),(4.585,-8.63),(4.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(4.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(4.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][1]']
        createRL(
            tech, net, 'li',
            ((9.415,-8.63),(9.415,-1.37),(9.585,-1.37),(9.585,-8.63),(9.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(9.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(9.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][2]']
        createRL(
            tech, net, 'li',
            ((20.415,-8.63),(20.415,-1.37),(20.585,-1.37),(20.585,-8.63),(20.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(20.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(20.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][3]']
        createRL(
            tech, net, 'li',
            ((25.415,-8.63),(25.415,-1.37),(25.585,-1.37),(25.585,-8.63),(25.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(25.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(25.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][4]']
        createRL(
            tech, net, 'li',
            ((30.415,-8.63),(30.415,-1.37),(30.585,-1.37),(30.585,-8.63),(30.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(30.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(30.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][5]']
        createRL(
            tech, net, 'li',
            ((41.415,-8.63),(41.415,-1.37),(41.585,-1.37),(41.585,-8.63),(41.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(41.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(41.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][6]']
        createRL(
            tech, net, 'li',
            ((46.415,-8.63),(46.415,-1.37),(46.585,-1.37),(46.585,-8.63),(46.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(46.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(46.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][7]']
        createRL(
            tech, net, 'li',
            ((51.415,-8.63),(51.415,-1.37),(51.585,-1.37),(51.585,-8.63),(51.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(51.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(51.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][0]']
        createRL(
            tech, net, 'li',
            ((15.415,-8.63),(15.415,-1.37),(15.585,-1.37),(15.585,-8.63),(15.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(15.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(15.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][1]']
        createRL(
            tech, net, 'li',
            ((36.415,-8.63),(36.415,-1.37),(36.585,-1.37),(36.585,-8.63),(36.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(36.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(36.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][2]']
        createRL(
            tech, net, 'li',
            ((57.415,-8.63),(57.415,-1.37),(57.585,-1.37),(57.585,-8.63),(57.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(57.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(57.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][3]']
        createRL(
            tech, net, 'li',
            ((79.415,-8.63),(79.415,-1.37),(79.585,-1.37),(79.585,-8.63),(79.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(79.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(79.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][4]']
        createRL(
            tech, net, 'li',
            ((101.415,-8.63),(101.415,-1.37),(101.585,-1.37),(101.585,-8.63),(101.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(101.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(101.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][5]']
        createRL(
            tech, net, 'li',
            ((119.415,-8.63),(119.415,-1.37),(119.585,-1.37),(119.585,-8.63),(119.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(119.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(119.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][6]']
        createRL(
            tech, net, 'li',
            ((141.415,-8.63),(141.415,-1.37),(141.585,-1.37),(141.585,-8.63),(141.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(141.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(141.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][7]']
        createRL(
            tech, net, 'li',
            ((163.415,-8.63),(163.415,-1.37),(163.585,-1.37),(163.585,-8.63),(163.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(163.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(163.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][8]']
        createRL(
            tech, net, 'li',
            ((185.415,-8.63),(185.415,-1.37),(185.585,-1.37),(185.585,-8.63),(185.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(185.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(185.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][9]']
        createRL(
            tech, net, 'li',
            ((207.415,-8.63),(207.415,-1.37),(207.585,-1.37),(207.585,-8.63),(207.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(207.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(207.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][10]']
        createRL(
            tech, net, 'li',
            ((229.415,-8.63),(229.415,-1.37),(229.585,-1.37),(229.585,-8.63),(229.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(229.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(229.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][11]']
        createRL(
            tech, net, 'li',
            ((251.415,-8.63),(251.415,-1.37),(251.585,-1.37),(251.585,-8.63),(251.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(251.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(251.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][12]']
        createRL(
            tech, net, 'li',
            ((273.415,-8.63),(273.415,-1.37),(273.585,-1.37),(273.585,-8.63),(273.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(273.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(273.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][13]']
        createRL(
            tech, net, 'li',
            ((295.415,-8.63),(295.415,-1.37),(295.585,-1.37),(295.585,-8.63),(295.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(295.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(295.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][14]']
        createRL(
            tech, net, 'li',
            ((317.415,-8.63),(317.415,-1.37),(317.585,-1.37),(317.585,-8.63),(317.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(317.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(317.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][15]']
        createRL(
            tech, net, 'li',
            ((339.415,-8.63),(339.415,-1.37),(339.585,-1.37),(339.585,-8.63),(339.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(339.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(339.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,-10.0),(0.0,10.0),(347.52,10.0),(347.52,-10.0),(0.0,-10.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['a[0]'].setDirection(Net.Direction.IN)
        nets['a[1]'].setDirection(Net.Direction.IN)
        nets['a[2]'].setDirection(Net.Direction.IN)
        nets['a[3]'].setDirection(Net.Direction.IN)
        nets['a[4]'].setDirection(Net.Direction.IN)
        nets['a[5]'].setDirection(Net.Direction.IN)
        nets['a[6]'].setDirection(Net.Direction.IN)
        nets['pd[0][0]'].setDirection(Net.Direction.IN)
        nets['pd[0][1]'].setDirection(Net.Direction.IN)
        nets['pd[0][2]'].setDirection(Net.Direction.IN)
        nets['pd[0][3]'].setDirection(Net.Direction.IN)
        nets['pd[0][4]'].setDirection(Net.Direction.IN)
        nets['pd[0][5]'].setDirection(Net.Direction.IN)
        nets['pd[0][6]'].setDirection(Net.Direction.IN)
        nets['pd[0][7]'].setDirection(Net.Direction.IN)
        nets['pd[1][0]'].setDirection(Net.Direction.IN)
        nets['pd[1][1]'].setDirection(Net.Direction.IN)
        nets['pd[1][2]'].setDirection(Net.Direction.IN)
        nets['pd[1][3]'].setDirection(Net.Direction.IN)
        nets['pd[1][4]'].setDirection(Net.Direction.IN)
        nets['pd[1][5]'].setDirection(Net.Direction.IN)
        nets['pd[1][6]'].setDirection(Net.Direction.IN)
        nets['pd[1][7]'].setDirection(Net.Direction.IN)
        nets['pd[1][8]'].setDirection(Net.Direction.IN)
        nets['pd[1][9]'].setDirection(Net.Direction.IN)
        nets['pd[1][10]'].setDirection(Net.Direction.IN)
        nets['pd[1][11]'].setDirection(Net.Direction.IN)
        nets['pd[1][12]'].setDirection(Net.Direction.IN)
        nets['pd[1][13]'].setDirection(Net.Direction.IN)
        nets['pd[1][14]'].setDirection(Net.Direction.IN)
        nets['pd[1][15]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'aff[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x1']
        except:
            subcell = af.getCell('inv_x1', 0)
        trans = Transformation(
            u(15.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'ainv[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(17.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'aff[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x1']
        except:
            subcell = af.getCell('inv_x1', 0)
        trans = Transformation(
            u(32.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'ainv[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(34.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'aff[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x1']
        except:
            subcell = af.getCell('inv_x1', 0)
        trans = Transformation(
            u(49.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'ainv[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(51.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'aff[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x1']
        except:
            subcell = af.getCell('inv_x1', 0)
        trans = Transformation(
            u(66.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'ainv[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(68.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'aff[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x1']
        except:
            subcell = af.getCell('inv_x1', 0)
        trans = Transformation(
            u(83.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'ainv[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(85.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'aff[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x1']
        except:
            subcell = af.getCell('inv_x1', 0)
        trans = Transformation(
            u(100.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'ainv[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(102.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'aff[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x1']
        except:
            subcell = af.getCell('inv_x1', 0)
        trans = Transformation(
            u(117.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'ainv[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(119.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(123.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(127.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(131.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(135.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(139.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(143.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(147.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(151.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[8]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(155.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[9]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(159.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[10]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(163.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[11]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(167.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[12]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(171.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[13]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(175.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[14]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(179.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[15]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(183.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[16]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(187.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[17]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(191.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[18]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(195.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[19]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(199.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[20]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(203.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[21]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(207.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[22]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(211.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[23]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(215.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[24]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(219.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[25]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(223.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[26]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(227.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[27]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(231.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[28]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(235.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[29]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(239.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[30]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(243.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[31]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(247.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[32]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(251.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[33]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(255.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[34]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(259.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[35]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(263.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[36]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(267.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[37]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(271.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[38]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(275.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[39]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(279.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[40]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(283.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[41]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(287.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[42]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(291.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[43]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(295.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[44]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(299.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[45]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(303.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[46]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(307.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[47]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(311.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[48]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(315.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[49]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(319.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[50]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(323.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[51]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(327.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[52]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(331.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[53]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(335.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[54]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(339.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[55]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(343.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[56]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a3_x2']
        except:
            subcell = af.getCell('a3_x2', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[0]and[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a3_x2']
        except:
            subcell = af.getCell('a3_x2', 0)
        trans = Transformation(
            u(5.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[0]and[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(10.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a3_x2']
        except:
            subcell = af.getCell('a3_x2', 0)
        trans = Transformation(
            u(16.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[0]and[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a3_x2']
        except:
            subcell = af.getCell('a3_x2', 0)
        trans = Transformation(
            u(21.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[0]and[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a3_x2']
        except:
            subcell = af.getCell('a3_x2', 0)
        trans = Transformation(
            u(26.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[0]and[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(31.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a3_x2']
        except:
            subcell = af.getCell('a3_x2', 0)
        trans = Transformation(
            u(37.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[0]and[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a3_x2']
        except:
            subcell = af.getCell('a3_x2', 0)
        trans = Transformation(
            u(42.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[0]and[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a3_x2']
        except:
            subcell = af.getCell('a3_x2', 0)
        trans = Transformation(
            u(47.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[0]and[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(52.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(58.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[57]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(62.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[58]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(66.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[59]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(70.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[60]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(74.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(80.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[61]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(84.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[62]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(88.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[63]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(92.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[64]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(96.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(102.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[65]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(106.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[66]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(110.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[67]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(114.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(120.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[68]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(124.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[69]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(128.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[70]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(132.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[71]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(136.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(142.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[72]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(146.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[73]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(150.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[74]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(154.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[75]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(158.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(164.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[76]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(168.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[77]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(172.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[78]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(176.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[79]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(180.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[8]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(186.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[80]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(190.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[81]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(194.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[82]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(198.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[83]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(202.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[9]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(208.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[84]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(212.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[85]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(216.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[86]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(220.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[87]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(224.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[10]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(230.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[88]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(234.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[89]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(238.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[90]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(242.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[91]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(246.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[11]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(252.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[92]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(256.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[93]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(260.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[94]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(264.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[95]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(268.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[12]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(274.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[96]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(278.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[97]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(282.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[98]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(286.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[99]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(290.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[13]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(296.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[100]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(300.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[101]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(304.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[102]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(308.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[103]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(312.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[14]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(318.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[104]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(322.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[105]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(326.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[106]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(330.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[107]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(334.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[15]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(340.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[108]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TRowDecoderDriverPage_2PD8R']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(6.635), u(21.72),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'pd[0][0]': Net.create(cell, 'pd[0][0]'),
            'pd[0][1]': Net.create(cell, 'pd[0][1]'),
            'pd[0][2]': Net.create(cell, 'pd[0][2]'),
            'pd[0][3]': Net.create(cell, 'pd[0][3]'),
            'pd[0][4]': Net.create(cell, 'pd[0][4]'),
            'pd[0][5]': Net.create(cell, 'pd[0][5]'),
            'pd[0][6]': Net.create(cell, 'pd[0][6]'),
            'pd[0][7]': Net.create(cell, 'pd[0][7]'),
            'pd[1]': Net.create(cell, 'pd[1]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
            'wl[4]': Net.create(cell, 'wl[4]'),
            'wl[5]': Net.create(cell, 'wl[5]'),
            'wl[6]': Net.create(cell, 'wl[6]'),
            'wl[7]': Net.create(cell, 'wl[7]'),
            'wl_en': Net.create(cell, 'wl_en'),
            'wl_n[0]': Net.create(cell, 'wl_n[0]'),
            'wl_n[1]': Net.create(cell, 'wl_n[1]'),
            'wl_n[2]': Net.create(cell, 'wl_n[2]'),
            'wl_n[3]': Net.create(cell, 'wl_n[3]'),
            'wl_n[4]': Net.create(cell, 'wl_n[4]'),
            'wl_n[5]': Net.create(cell, 'wl_n[5]'),
            'wl_n[6]': Net.create(cell, 'wl_n[6]'),
            'wl_n[7]': Net.create(cell, 'wl_n[7]'),
        }
        net = nets['pd[0][0]']
        createRL(
            tech, net, 'li',
            ((1.06,0.615),(1.06,2.46),(1.23,2.46),(1.23,0.615),(1.06,0.615)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(0.615), u(2.46),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(0.615), u(2.46),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1]']
        createRL(
            tech, net, 'li',
            ((1.61,3.805),(1.61,3.975),(1.78,3.975),(1.78,3.805),(1.61,3.805)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,6.88),(1.61,7.05),(1.78,7.05),(1.78,6.88),(1.61,6.88)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,12.315),(1.61,12.485),(1.78,12.485),(1.78,12.315),(1.61,12.315)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,9.235),(1.61,9.405),(1.78,9.405),(1.78,9.235),(1.61,9.235)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,1.455),(1.61,1.625),(1.78,1.625),(1.78,1.455),(1.61,1.455)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,17.745),(1.61,17.915),(1.78,17.915),(1.78,17.745),(1.61,17.745)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,14.665),(1.61,14.835),(1.78,14.835),(1.78,14.665),(1.61,14.665)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,20.095),(1.61,20.265),(1.78,20.265),(1.78,20.095),(1.61,20.095)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,3.805),(1.61,3.975),(1.78,3.975),(1.78,3.805),(1.61,3.805)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,6.88),(1.61,7.05),(1.78,7.05),(1.78,6.88),(1.61,6.88)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,12.315),(1.61,12.485),(1.78,12.485),(1.78,12.315),(1.61,12.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,9.235),(1.61,9.405),(1.78,9.405),(1.78,9.235),(1.61,9.235)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,1.455),(1.61,1.625),(1.78,1.625),(1.78,1.455),(1.61,1.455)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,17.745),(1.61,17.915),(1.78,17.915),(1.78,17.745),(1.61,17.745)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,14.665),(1.61,14.835),(1.78,14.835),(1.78,14.665),(1.61,14.665)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,20.095),(1.61,20.265),(1.78,20.265),(1.78,20.095),(1.61,20.095)),
        )
        createRL(
            tech, net, 'm1',
            ((1.58,1.395),(1.58,20.325),(1.81,20.325),(1.81,1.395),(1.58,1.395)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.695), u(0.23), u(1.395), u(20.325),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.695), u(0.23), u(1.395), u(20.325),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_en']
        createRL(
            tech, net, 'li',
            ((2.12,9.235),(2.12,9.405),(2.29,9.405),(2.29,9.235),(2.12,9.235)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,1.455),(2.12,1.625),(2.29,1.625),(2.29,1.455),(2.12,1.455)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,17.745),(2.12,17.915),(2.29,17.915),(2.29,17.745),(2.12,17.745)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,14.665),(2.12,14.835),(2.29,14.835),(2.29,14.665),(2.12,14.665)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,3.805),(2.12,3.975),(2.29,3.975),(2.29,3.805),(2.12,3.805)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,6.88),(2.12,7.05),(2.29,7.05),(2.29,6.88),(2.12,6.88)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,12.315),(2.12,12.485),(2.29,12.485),(2.29,12.315),(2.12,12.315)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,20.095),(2.12,20.265),(2.29,20.265),(2.29,20.095),(2.12,20.095)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,9.235),(2.12,9.405),(2.29,9.405),(2.29,9.235),(2.12,9.235)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,1.455),(2.12,1.625),(2.29,1.625),(2.29,1.455),(2.12,1.455)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,17.745),(2.12,17.915),(2.29,17.915),(2.29,17.745),(2.12,17.745)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,14.665),(2.12,14.835),(2.29,14.835),(2.29,14.665),(2.12,14.665)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,3.805),(2.12,3.975),(2.29,3.975),(2.29,3.805),(2.12,3.805)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,6.88),(2.12,7.05),(2.29,7.05),(2.29,6.88),(2.12,6.88)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,12.315),(2.12,12.485),(2.29,12.485),(2.29,12.315),(2.12,12.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,20.095),(2.12,20.265),(2.29,20.265),(2.29,20.095),(2.12,20.095)),
        )
        createRL(
            tech, net, 'm1',
            ((2.09,1.395),(2.09,20.325),(2.32,20.325),(2.32,1.395),(2.09,1.395)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.205), u(0.23), u(1.395), u(20.325),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.205), u(0.23), u(1.395), u(20.325),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[0]']
        createRL(
            tech, net, 'li',
            ((2.465,0.68),(2.465,2.03),(3.61,2.03),(3.61,0.68),(2.465,0.68)),
        )
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((6.075,1.725),(6.075,1.985),(6.635,1.985),(6.635,1.725),(6.075,1.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.855), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.855), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,10.73),(0.0,10.99),(6.635,10.99),(6.635,10.73),(0.0,10.73)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,5.3),(0.0,5.56),(6.635,5.56),(6.635,5.3),(0.0,5.3)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,21.59),(0.0,21.85),(6.635,21.85),(6.635,21.59),(0.0,21.59)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,16.16),(0.0,16.42),(6.635,16.42),(6.635,16.16),(0.0,16.16)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(6.635,0.13),(6.635,-0.13),(0.0,-0.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.86), u(0.26), u(0.0), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.86), u(0.26), u(0.0), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(5.43), u(0.26), u(0.0), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(5.43), u(0.26), u(0.0), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.72), u(0.26), u(0.0), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.72), u(0.26), u(0.0), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.29), u(0.26), u(0.0), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.29), u(0.26), u(0.0), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][1]']
        createRL(
            tech, net, 'li',
            ((1.06,2.97),(1.06,4.815),(1.23,4.815),(1.23,2.97),(1.06,2.97)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(2.97), u(4.815),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(2.97), u(4.815),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[1]']
        createRL(
            tech, net, 'li',
            ((2.465,3.4),(2.465,4.75),(3.61,4.75),(3.61,3.4),(2.465,3.4)),
        )
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((6.075,3.445),(6.075,3.705),(6.635,3.705),(6.635,3.445),(6.075,3.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.575), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.575), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,13.445),(0.0,13.705),(6.635,13.705),(6.635,13.445),(0.0,13.445)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,18.875),(0.0,19.135),(6.635,19.135),(6.635,18.875),(0.0,18.875)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,8.015),(0.0,8.275),(6.635,8.275),(6.635,8.015),(0.0,8.015)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,2.585),(0.0,2.845),(6.635,2.845),(6.635,2.585),(0.0,2.585)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.575), u(0.26), u(0.0), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.575), u(0.26), u(0.0), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(19.005), u(0.26), u(0.0), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(19.005), u(0.26), u(0.0), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.145), u(0.26), u(0.0), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.145), u(0.26), u(0.0), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.715), u(0.26), u(0.0), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.715), u(0.26), u(0.0), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][2]']
        createRL(
            tech, net, 'li',
            ((1.06,6.045),(1.06,7.89),(1.23,7.89),(1.23,6.045),(1.06,6.045)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(6.045), u(7.89),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(6.045), u(7.89),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[2]']
        createRL(
            tech, net, 'li',
            ((2.465,6.11),(2.465,7.46),(3.61,7.46),(3.61,6.11),(2.465,6.11)),
        )
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((6.075,7.155),(6.075,7.415),(6.635,7.415),(6.635,7.155),(6.075,7.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.285), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.285), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][3]']
        createRL(
            tech, net, 'li',
            ((1.06,8.4),(1.06,10.245),(1.23,10.245),(1.23,8.4),(1.06,8.4)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(8.4), u(10.245),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(8.4), u(10.245),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[3]']
        createRL(
            tech, net, 'li',
            ((2.465,8.83),(2.465,10.18),(3.61,10.18),(3.61,8.83),(2.465,8.83)),
        )
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((6.075,8.875),(6.075,9.135),(6.635,9.135),(6.635,8.875),(6.075,8.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.005), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.005), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][4]']
        createRL(
            tech, net, 'li',
            ((1.06,11.475),(1.06,13.32),(1.23,13.32),(1.23,11.475),(1.06,11.475)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(11.475), u(13.32),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(11.475), u(13.32),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[4]']
        createRL(
            tech, net, 'li',
            ((2.465,11.54),(2.465,12.89),(3.61,12.89),(3.61,11.54),(2.465,11.54)),
        )
        net = nets['wl[4]']
        createRL(
            tech, net, 'm2',
            ((6.075,12.585),(6.075,12.845),(6.635,12.845),(6.635,12.585),(6.075,12.585)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.715), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.715), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][5]']
        createRL(
            tech, net, 'li',
            ((1.06,13.83),(1.06,15.675),(1.23,15.675),(1.23,13.83),(1.06,13.83)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(13.83), u(15.675),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(13.83), u(15.675),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[5]']
        createRL(
            tech, net, 'li',
            ((2.465,14.26),(2.465,15.61),(3.61,15.61),(3.61,14.26),(2.465,14.26)),
        )
        net = nets['wl[5]']
        createRL(
            tech, net, 'm2',
            ((6.075,14.305),(6.075,14.565),(6.635,14.565),(6.635,14.305),(6.075,14.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(14.435), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(14.435), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][6]']
        createRL(
            tech, net, 'li',
            ((1.06,16.905),(1.06,18.75),(1.23,18.75),(1.23,16.905),(1.06,16.905)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(16.905), u(18.75),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(16.905), u(18.75),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[6]']
        createRL(
            tech, net, 'li',
            ((2.465,16.97),(2.465,18.32),(3.61,18.32),(3.61,16.97),(2.465,16.97)),
        )
        net = nets['wl[6]']
        createRL(
            tech, net, 'm2',
            ((6.075,18.015),(6.075,18.275),(6.635,18.275),(6.635,18.015),(6.075,18.015)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.145), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.145), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][7]']
        createRL(
            tech, net, 'li',
            ((1.06,19.26),(1.06,21.105),(1.23,21.105),(1.23,19.26),(1.06,19.26)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(19.26), u(21.105),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(19.26), u(21.105),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[7]']
        createRL(
            tech, net, 'li',
            ((2.465,19.69),(2.465,21.04),(3.61,21.04),(3.61,19.69),(2.465,19.69)),
        )
        net = nets['wl[7]']
        createRL(
            tech, net, 'm2',
            ((6.075,19.735),(6.075,19.995),(6.635,19.995),(6.635,19.735),(6.075,19.735)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(19.865), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(19.865), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,21.72),(6.635,21.72),(6.635,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['pd[0][0]'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['pd[0][1]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['pd[0][2]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['pd[0][3]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['pd[0][4]'].setDirection(Net.Direction.IN)
        nets['wl[4]'].setDirection(Net.Direction.IN)
        nets['pd[0][5]'].setDirection(Net.Direction.IN)
        nets['wl[5]'].setDirection(Net.Direction.IN)
        nets['pd[0][6]'].setDirection(Net.Direction.IN)
        nets['wl[6]'].setDirection(Net.Direction.IN)
        nets['pd[0][7]'].setDirection(Net.Direction.IN)
        nets['wl[7]'].setDirection(Net.Direction.IN)
        nets['pd[1]'].setDirection(Net.Direction.IN)
        nets['wl_en'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TRowDecoderNand3']
        except:
            subcell = af.getCell('SP6TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(2.715), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'nand3[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TWLDrive_30LN100WN30LP200WP']
        except:
            subcell = af.getCell('SP6TWLDrive_30LN100WN30LP200WP', 0)
        trans = Transformation(
            u(6.635), u(2.715), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'drive[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderNand3']
        except:
            subcell = af.getCell('SP6TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(2.715), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'nand3[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TWLDrive_30LN100WN30LP200WP']
        except:
            subcell = af.getCell('SP6TWLDrive_30LN100WN30LP200WP', 0)
        trans = Transformation(
            u(6.635), u(2.715), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'drive[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderNand3']
        except:
            subcell = af.getCell('SP6TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(8.145), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'nand3[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TWLDrive_30LN100WN30LP200WP']
        except:
            subcell = af.getCell('SP6TWLDrive_30LN100WN30LP200WP', 0)
        trans = Transformation(
            u(6.635), u(8.145), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'drive[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderNand3']
        except:
            subcell = af.getCell('SP6TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(8.145), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'nand3[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TWLDrive_30LN100WN30LP200WP']
        except:
            subcell = af.getCell('SP6TWLDrive_30LN100WN30LP200WP', 0)
        trans = Transformation(
            u(6.635), u(8.145), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'drive[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderNand3']
        except:
            subcell = af.getCell('SP6TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(13.575), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'nand3[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TWLDrive_30LN100WN30LP200WP']
        except:
            subcell = af.getCell('SP6TWLDrive_30LN100WN30LP200WP', 0)
        trans = Transformation(
            u(6.635), u(13.575), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'drive[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderNand3']
        except:
            subcell = af.getCell('SP6TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(13.575), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'nand3[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TWLDrive_30LN100WN30LP200WP']
        except:
            subcell = af.getCell('SP6TWLDrive_30LN100WN30LP200WP', 0)
        trans = Transformation(
            u(6.635), u(13.575), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'drive[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderNand3']
        except:
            subcell = af.getCell('SP6TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(19.005), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'nand3[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TWLDrive_30LN100WN30LP200WP']
        except:
            subcell = af.getCell('SP6TWLDrive_30LN100WN30LP200WP', 0)
        trans = Transformation(
            u(6.635), u(19.005), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'drive[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TRowDecoderNand3']
        except:
            subcell = af.getCell('SP6TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(19.005), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'nand3[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TWLDrive_30LN100WN30LP200WP']
        except:
            subcell = af.getCell('SP6TWLDrive_30LN100WN30LP200WP', 0)
        trans = Transformation(
            u(6.635), u(19.005), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'drive[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TRowDecoderNand3']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(3.18), u(2.715),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'int[0]': Net.create(cell, 'int[0]'),
            'int[1]': Net.create(cell, 'int[1]'),
            'pd[0]': Net.create(cell, 'pd[0]'),
            'pd[1]': Net.create(cell, 'pd[1]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl_en': Net.create(cell, 'wl_en'),
            'wl_n': Net.create(cell, 'wl_n'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'difftap',
            ((1.71,0.235),(1.71,1.075),(1.86,1.075),(1.86,0.235),(1.71,0.235)),
        )
        createRL(
            tech, net, 'difftap',
            ((0.315,-0.205),(0.315,0.205),(0.565,0.205),(0.565,-0.205),(0.315,-0.205)),
        )
        createRL(
            tech, net, 'difftap',
            ((2.26,0.235),(2.26,1.075),(2.41,1.075),(2.41,0.235),(2.26,0.235)),
        )
        createRL(
            tech, net, 'difftap',
            ((0.835,-0.205),(0.835,1.075),(1.31,1.075),(1.31,0.235),(1.085,0.235),(1.085,-0.205),(0.835,-0.205)),
        )
        createRL(
            tech, net, 'licon',
            ((0.355,-0.085),(0.355,0.085),(0.525,0.085),(0.525,-0.085),(0.355,-0.085)),
        )
        createRL(
            tech, net, 'licon',
            ((0.875,-0.085),(0.875,0.085),(1.045,0.085),(1.045,-0.085),(0.875,-0.085)),
        )
        createRL(
            tech, net, 'li',
            ((0.355,-0.265),(0.355,-0.085),(0.0,-0.085),(0.0,0.085),(0.355,0.085),(0.355,0.265),(0.525,0.265),(0.525,0.085),(3.18,0.085),(3.18,-0.085),(0.525,-0.085),(0.525,-0.265),(0.355,-0.265)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.355,-0.265),(0.355,-0.095),(0.525,-0.095),(0.525,-0.265),(0.355,-0.265)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.355,0.095),(0.355,0.265),(0.525,0.265),(0.525,0.095),(0.355,0.095)),
        )
        createRL(
            tech, net, 'm1',
            ((0.325,-0.325),(0.325,-0.16),(0.31,-0.16),(0.31,0.16),(0.325,0.16),(0.325,0.325),(0.555,0.325),(0.555,0.16),(0.57,0.16),(0.57,-0.16),(0.555,-0.16),(0.555,-0.325),(0.325,-0.325)),
        )
        createRL(
            tech, net, 'via',
            ((0.365,-0.075),(0.365,0.075),(0.515,0.075),(0.515,-0.075),(0.365,-0.075)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(3.18,0.13),(3.18,-0.13),(0.0,-0.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(3.18),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(3.18),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'psdm',
            ((0.19,-0.33),(0.19,0.33),(0.69,0.33),(0.69,-0.33),(0.19,-0.33)),
        )
        createRL(
            tech, net, 'psdm',
            ((0.71,1.2),(0.71,3.045),(2.8,3.045),(2.8,1.2),(0.71,1.2)),
        )
        createRL(
            tech, net, 'nsdm',
            ((0.71,-0.33),(0.71,1.2),(2.8,1.2),(2.8,-0.33),(0.71,-0.33)),
        )
        createRL(
            tech, net, 'nsdm',
            ((0.19,2.385),(0.19,3.045),(0.69,3.045),(0.69,2.385),(0.19,2.385)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((1.155,0.23),(1.155,1.08),(1.315,1.08),(1.315,0.23),(1.155,0.23)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((2.255,0.23),(2.255,1.08),(2.415,1.08),(2.415,0.23),(2.255,0.23)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((1.705,0.23),(1.705,1.08),(1.865,1.08),(1.865,0.23),(1.705,0.23)),
        )
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,2.715),(3.18,2.715),(3.18,0.0),(0.0,0.0)),
        )
        net = nets['vdd']
        createRL(
            tech, net, 'difftap',
            ((1.71,1.64),(1.71,2.48),(1.935,2.48),(1.935,2.92),(2.185,2.92),(2.185,2.48),(2.41,2.48),(2.41,1.64),(1.71,1.64)),
        )
        createRL(
            tech, net, 'difftap',
            ((0.315,2.51),(0.315,2.92),(0.565,2.92),(0.565,2.51),(0.315,2.51)),
        )
        createRL(
            tech, net, 'difftap',
            ((0.835,1.64),(0.835,2.92),(1.085,2.92),(1.085,2.48),(1.31,2.48),(1.31,1.64),(0.835,1.64)),
        )
        createRL(
            tech, net, 'licon',
            ((0.355,2.63),(0.355,2.8),(0.525,2.8),(0.525,2.63),(0.355,2.63)),
        )
        createRL(
            tech, net, 'licon',
            ((1.975,2.63),(1.975,2.8),(2.145,2.8),(2.145,2.63),(1.975,2.63)),
        )
        createRL(
            tech, net, 'licon',
            ((0.875,2.63),(0.875,2.8),(1.045,2.8),(1.045,2.63),(0.875,2.63)),
        )
        createRL(
            tech, net, 'li',
            ((0.355,2.45),(0.355,2.63),(0.0,2.63),(0.0,2.8),(0.355,2.8),(0.355,2.98),(0.525,2.98),(0.525,2.8),(3.18,2.8),(3.18,2.63),(0.525,2.63),(0.525,2.45),(0.355,2.45)),
        )
        createRL(
            tech, net, 'nwm',
            ((-0.18,1.46),(-0.18,3.1),(4.02,3.1),(4.02,1.46),(-0.18,1.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.355,2.45),(0.355,2.62),(0.525,2.62),(0.525,2.45),(0.355,2.45)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.355,2.81),(0.355,2.98),(0.525,2.98),(0.525,2.81),(0.355,2.81)),
        )
        createRL(
            tech, net, 'm1',
            ((0.325,2.39),(0.325,2.555),(0.31,2.555),(0.31,2.875),(0.325,2.875),(0.325,3.04),(0.555,3.04),(0.555,2.875),(0.57,2.875),(0.57,2.555),(0.555,2.555),(0.555,2.39),(0.325,2.39)),
        )
        createRL(
            tech, net, 'via',
            ((0.365,2.64),(0.365,2.79),(0.515,2.79),(0.515,2.64),(0.365,2.64)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,2.585),(0.0,2.845),(3.18,2.845),(3.18,2.585),(0.0,2.585)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.715), u(0.26), u(0.0), u(3.18),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.715), u(0.26), u(0.0), u(3.18),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['int[0]']
        createRL(
            tech, net, 'difftap',
            ((1.31,0.235),(1.31,1.075),(1.71,1.075),(1.71,0.235),(1.31,0.235)),
        )
        net = nets['pd[0]']
        createRL(
            tech, net, 'poly',
            ((1.16,0.105),(1.16,1.225),(0.98,1.225),(0.98,1.495),(1.16,1.495),(1.16,2.61),(1.31,2.61),(1.31,0.105),(1.16,0.105)),
        )
        createRL(
            tech, net, 'licon',
            ((1.06,1.275),(1.06,1.445),(1.23,1.445),(1.23,1.275),(1.06,1.275)),
        )
        createRL(
            tech, net, 'li',
            ((1.06,0.255),(1.06,2.1),(1.23,2.1),(1.23,0.255),(1.06,0.255)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(0.255), u(2.1),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(0.255), u(2.1),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n']
        createRL(
            tech, net, 'difftap',
            ((2.41,1.64),(2.41,2.48),(2.675,2.48),(2.675,1.64),(2.41,1.64)),
        )
        createRL(
            tech, net, 'difftap',
            ((1.31,1.64),(1.31,2.23),(1.305,2.23),(1.305,2.48),(1.715,2.48),(1.715,2.23),(1.71,2.23),(1.71,1.64),(1.31,1.64)),
        )
        createRL(
            tech, net, 'difftap',
            ((2.41,0.235),(2.41,1.075),(2.675,1.075),(2.675,0.235),(2.41,0.235)),
        )
        createRL(
            tech, net, 'licon',
            ((1.425,2.27),(1.425,2.44),(1.595,2.44),(1.595,2.27),(1.425,2.27)),
        )
        createRL(
            tech, net, 'licon',
            ((2.465,0.4),(2.465,0.57),(2.635,0.57),(2.635,0.4),(2.465,0.4)),
        )
        createRL(
            tech, net, 'licon',
            ((2.465,0.74),(2.465,0.91),(2.635,0.91),(2.635,0.74),(2.465,0.74)),
        )
        createRL(
            tech, net, 'licon',
            ((2.465,1.805),(2.465,1.975),(2.635,1.975),(2.635,1.805),(2.465,1.805)),
        )
        createRL(
            tech, net, 'licon',
            ((2.465,2.145),(2.465,2.315),(2.635,2.315),(2.635,2.145),(2.465,2.145)),
        )
        createRL(
            tech, net, 'li',
            ((2.465,0.32),(2.465,2.27),(1.345,2.27),(1.345,2.44),(2.635,2.44),(2.635,0.32),(2.465,0.32)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(2.55), u(0.17), u(0.32), u(2.395),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(2.55), u(0.17), u(0.32), u(2.395),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['int[1]']
        createRL(
            tech, net, 'difftap',
            ((1.86,0.235),(1.86,1.075),(2.26,1.075),(2.26,0.235),(1.86,0.235)),
        )
        net = nets['pd[1]']
        createRL(
            tech, net, 'poly',
            ((1.71,0.105),(1.71,1.225),(1.53,1.225),(1.53,1.495),(1.71,1.495),(1.71,2.61),(1.86,2.61),(1.86,0.105),(1.71,0.105)),
        )
        createRL(
            tech, net, 'licon',
            ((1.61,1.275),(1.61,1.445),(1.78,1.445),(1.78,1.275),(1.61,1.275)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,0.255),(1.61,2.1),(1.78,2.1),(1.78,0.255),(1.61,0.255)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.695), u(0.17), u(0.255), u(2.1),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.695), u(0.17), u(0.255), u(2.1),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_en']
        createRL(
            tech, net, 'poly',
            ((2.26,0.105),(2.26,1.195),(2.07,1.195),(2.07,1.525),(2.26,1.525),(2.26,2.61),(2.41,2.61),(2.41,0.105),(2.26,0.105)),
        )
        createRL(
            tech, net, 'licon',
            ((2.12,1.275),(2.12,1.445),(2.29,1.445),(2.29,1.275),(2.12,1.275)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,0.255),(2.12,2.1),(2.29,2.1),(2.29,0.255),(2.12,0.255)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(2.205), u(0.17), u(0.255), u(2.1),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(2.205), u(0.17), u(0.255), u(2.1),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['pd[0]'].setDirection(Net.Direction.IN)
        nets['pd[1]'].setDirection(Net.Direction.IN)
        nets['wl_en'].setDirection(Net.Direction.IN)
        nets['wl_n'].setDirection(Net.Direction.IN)

    cell = new_cells['SP6TCell']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(2.0599999999999996), u(2.715),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bit': Net.create(cell, 'bit'),
            'bit_n': Net.create(cell, 'bit_n'),
            'bl': Net.create(cell, 'bl'),
            'bl_n': Net.create(cell, 'bl_n'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl': Net.create(cell, 'wl'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'difftap',
            ((1.305,0.14),(1.305,0.29),(1.665,0.29),(1.665,0.14),(1.305,0.14)),
        )
        createRL(
            tech, net, 'difftap',
            ((1.77,0.63),(1.77,0.99),(2.185,0.99),(2.185,0.63),(1.77,0.63)),
        )
        createRL(
            tech, net, 'difftap',
            ((1.935,-0.36),(1.935,0.36),(2.185,0.36),(2.185,-0.36),(1.935,-0.36)),
        )
        createRL(
            tech, net, 'difftap',
            ((0.395,0.14),(0.395,0.29),(0.755,0.29),(0.755,0.14),(0.395,0.14)),
        )
        createRL(
            tech, net, 'difftap',
            ((-0.125,-0.36),(-0.125,0.36),(0.125,0.36),(0.125,-0.36),(-0.125,-0.36)),
        )
        createRL(
            tech, net, 'difftap',
            ((-0.125,0.63),(-0.125,0.99),(0.29,0.99),(0.29,0.63),(-0.125,0.63)),
        )
        createRL(
            tech, net, 'licon',
            ((1.975,0.725),(1.975,0.895),(2.145,0.895),(2.145,0.725),(1.975,0.725)),
        )
        createRL(
            tech, net, 'licon',
            ((-0.085,-0.085),(-0.085,0.085),(0.085,0.085),(0.085,-0.085),(-0.085,-0.085)),
        )
        createRL(
            tech, net, 'licon',
            ((1.975,-0.085),(1.975,0.085),(2.145,0.085),(2.145,-0.085),(1.975,-0.085)),
        )
        createRL(
            tech, net, 'licon',
            ((-0.085,0.725),(-0.085,0.895),(0.085,0.895),(0.085,0.725),(-0.085,0.725)),
        )
        createRL(
            tech, net, 'li',
            ((-0.085,-0.165),(-0.085,0.975),(0.085,0.975),(0.085,-0.165),(-0.085,-0.165)),
        )
        createRL(
            tech, net, 'li',
            ((1.975,-0.165),(1.975,0.975),(2.145,0.975),(2.145,-0.165),(1.975,-0.165)),
        )
        createRL(
            tech, net, 'mcon',
            ((-0.085,-0.085),(-0.085,0.085),(0.085,0.085),(0.085,-0.085),(-0.085,-0.085)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.975,-0.085),(1.975,0.085),(2.145,0.085),(2.145,-0.085),(1.975,-0.085)),
        )
        createRL(
            tech, net, 'm1',
            ((-0.13,-0.16),(-0.13,0.16),(0.13,0.16),(0.13,-0.16),(-0.13,-0.16)),
        )
        createRL(
            tech, net, 'm1',
            ((1.93,-0.16),(1.93,0.16),(2.19,0.16),(2.19,-0.16),(1.93,-0.16)),
        )
        createRL(
            tech, net, 'via',
            ((-0.075,-0.075),(-0.075,0.075),(0.075,0.075),(0.075,-0.075),(-0.075,-0.075)),
        )
        createRL(
            tech, net, 'via',
            ((1.985,-0.075),(1.985,0.075),(2.135,0.075),(2.135,-0.075),(1.985,-0.075)),
        )
        createRL(
            tech, net, 'm2',
            ((-0.16,-0.13),(-0.16,0.13),(2.22,0.13),(2.22,-0.13),(-0.16,-0.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(-0.16000000000000014), u(2.2199999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(-0.16000000000000014), u(2.2199999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bit']
        createRL(
            tech, net, 'difftap',
            ((0.29,1.9),(0.29,2.32),(0.755,2.32),(0.755,1.9),(0.29,1.9)),
        )
        createRL(
            tech, net, 'difftap',
            ((0.395,0.29),(0.395,0.63),(0.29,0.63),(0.29,0.99),(0.755,0.99),(0.755,0.29),(0.395,0.29)),
        )
        createRL(
            tech, net, 'poly',
            ((1.77,0.5),(1.77,1.13),(0.55,1.13),(0.55,1.4),(0.88,1.4),(0.88,1.28),(1.77,1.28),(1.77,2.45),(1.92,2.45),(1.92,0.5),(1.77,0.5)),
        )
        createRL(
            tech, net, 'licon',
            ((0.465,0.78),(0.465,0.95),(0.635,0.95),(0.635,0.78),(0.465,0.78)),
        )
        createRL(
            tech, net, 'licon',
            ((0.465,1.97),(0.465,2.14),(0.635,2.14),(0.635,1.97),(0.465,1.97)),
        )
        createRL(
            tech, net, 'licon',
            ((0.63,1.18),(0.63,1.35),(0.8,1.35),(0.8,1.18),(0.63,1.18)),
        )
        createRL(
            tech, net, 'li',
            ((0.465,0.7),(0.465,2.22),(0.635,2.22),(0.635,1.35),(0.88,1.35),(0.88,1.18),(0.635,1.18),(0.635,0.7),(0.465,0.7)),
        )
        net = nets['*']
        createRL(
            tech, net, 'nsdm',
            ((-0.33,2.465),(-0.33,2.965),(2.39,2.965),(2.39,2.465),(-0.33,2.465)),
        )
        createRL(
            tech, net, 'nsdm',
            ((0.27,-0.25),(0.27,0.505),(-0.25,0.505),(-0.25,1.4),(2.31,1.4),(2.31,0.505),(1.79,0.505),(1.79,-0.25),(0.27,-0.25)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((1.765,0.625),(1.765,0.995),(1.925,0.995),(1.925,0.625),(1.765,0.625)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((1.3,0.135),(1.3,0.295),(1.67,0.295),(1.67,0.135),(1.3,0.135)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((0.39,0.135),(0.39,0.295),(0.76,0.295),(0.76,0.135),(0.39,0.135)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((0.135,0.625),(0.135,0.995),(0.295,0.995),(0.295,0.625),(0.135,0.625)),
        )
        createRL(
            tech, net, 'psdm',
            ((-0.25,-0.485),(-0.25,0.485),(0.25,0.485),(0.25,-0.485),(-0.25,-0.485)),
        )
        createRL(
            tech, net, 'psdm',
            ((1.81,-0.485),(1.81,0.485),(2.31,0.485),(2.31,-0.485),(1.81,-0.485)),
        )
        createRL(
            tech, net, 'psdm',
            ((-0.25,1.49),(-0.25,2.445),(2.31,2.445),(2.31,1.49),(-0.25,1.49)),
        )
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,2.715),(2.06,2.715),(2.06,0.0),(0.0,0.0)),
        )
        net = nets['bit_n']
        createRL(
            tech, net, 'poly',
            ((0.14,0.5),(0.14,2.45),(0.29,2.45),(0.29,1.76),(1.51,1.76),(1.51,1.49),(1.18,1.49),(1.18,1.61),(0.29,1.61),(0.29,0.5),(0.14,0.5)),
        )
        createRL(
            tech, net, 'difftap',
            ((1.305,1.9),(1.305,2.32),(1.77,2.32),(1.77,1.9),(1.305,1.9)),
        )
        createRL(
            tech, net, 'difftap',
            ((1.305,0.29),(1.305,0.99),(1.77,0.99),(1.77,0.63),(1.665,0.63),(1.665,0.29),(1.305,0.29)),
        )
        createRL(
            tech, net, 'licon',
            ((1.425,0.78),(1.425,0.95),(1.595,0.95),(1.595,0.78),(1.425,0.78)),
        )
        createRL(
            tech, net, 'licon',
            ((1.26,1.54),(1.26,1.71),(1.43,1.71),(1.43,1.54),(1.26,1.54)),
        )
        createRL(
            tech, net, 'licon',
            ((1.425,1.97),(1.425,2.14),(1.595,2.14),(1.595,1.97),(1.425,1.97)),
        )
        createRL(
            tech, net, 'li',
            ((1.425,0.7),(1.425,1.54),(1.18,1.54),(1.18,1.71),(1.425,1.71),(1.425,2.22),(1.595,2.22),(1.595,0.7),(1.425,0.7)),
        )
        net = nets['vdd']
        createRL(
            tech, net, 'difftap',
            ((-0.205,2.59),(-0.205,2.84),(2.265,2.84),(2.265,2.59),(-0.205,2.59)),
        )
        createRL(
            tech, net, 'difftap',
            ((-0.125,1.9),(-0.125,2.32),(0.29,2.32),(0.29,1.9),(-0.125,1.9)),
        )
        createRL(
            tech, net, 'difftap',
            ((1.77,1.9),(1.77,2.32),(2.185,2.32),(2.185,1.9),(1.77,1.9)),
        )
        createRL(
            tech, net, 'nwm',
            ((-0.385,1.72),(-0.385,3.02),(2.445,3.02),(2.445,1.72),(-0.385,1.72)),
        )
        createRL(
            tech, net, 'licon',
            ((-0.085,2.63),(-0.085,2.8),(0.085,2.8),(0.085,2.63),(-0.085,2.63)),
        )
        createRL(
            tech, net, 'licon',
            ((-0.085,2.025),(-0.085,2.195),(0.085,2.195),(0.085,2.025),(-0.085,2.025)),
        )
        createRL(
            tech, net, 'licon',
            ((1.975,2.63),(1.975,2.8),(2.145,2.8),(2.145,2.63),(1.975,2.63)),
        )
        createRL(
            tech, net, 'licon',
            ((1.975,2.025),(1.975,2.195),(2.145,2.195),(2.145,2.025),(1.975,2.025)),
        )
        createRL(
            tech, net, 'li',
            ((-0.085,1.945),(-0.085,2.63),(-0.165,2.63),(-0.165,2.8),(2.225,2.8),(2.225,2.63),(2.145,2.63),(2.145,1.945),(1.975,1.945),(1.975,2.63),(0.085,2.63),(0.085,1.945),(-0.085,1.945)),
        )
        createRL(
            tech, net, 'mcon',
            ((-0.085,2.63),(-0.085,2.8),(0.085,2.8),(0.085,2.63),(-0.085,2.63)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.975,2.63),(1.975,2.8),(2.145,2.8),(2.145,2.63),(1.975,2.63)),
        )
        createRL(
            tech, net, 'm1',
            ((-0.13,2.555),(-0.13,2.875),(0.13,2.875),(0.13,2.555),(-0.13,2.555)),
        )
        createRL(
            tech, net, 'm1',
            ((1.93,2.555),(1.93,2.875),(2.19,2.875),(2.19,2.555),(1.93,2.555)),
        )
        createRL(
            tech, net, 'via',
            ((-0.075,2.64),(-0.075,2.79),(0.075,2.79),(0.075,2.64),(-0.075,2.64)),
        )
        createRL(
            tech, net, 'via',
            ((1.985,2.64),(1.985,2.79),(2.135,2.79),(2.135,2.64),(1.985,2.64)),
        )
        createRL(
            tech, net, 'm2',
            ((-0.16,2.585),(-0.16,2.845),(2.22,2.845),(2.22,2.585),(-0.16,2.585)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.715), u(0.26), u(-0.16000000000000014), u(2.2199999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.715), u(0.26), u(-0.16000000000000014), u(2.2199999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl']
        createRL(
            tech, net, 'difftap',
            ((0.395,-0.125),(0.395,0.14),(0.755,0.14),(0.755,-0.125),(0.395,-0.125)),
        )
        createRL(
            tech, net, 'licon',
            ((0.49,-0.085),(0.49,0.085),(0.66,0.085),(0.66,-0.085),(0.49,-0.085)),
        )
        createRL(
            tech, net, 'li',
            ((0.49,-0.165),(0.49,-0.085),(0.43,-0.085),(0.43,0.085),(0.49,0.085),(0.49,0.165),(0.66,0.165),(0.66,-0.165),(0.49,-0.165)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.43,-0.085),(0.43,0.085),(0.6,0.085),(0.6,-0.085),(0.43,-0.085)),
        )
        createRL(
            tech, net, 'm1',
            ((0.4,-0.145),(0.4,2.715),(0.63,2.715),(0.63,-0.145),(0.4,-0.145)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.515), u(0.23), u(-0.145), u(2.715),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.515), u(0.23), u(-0.145), u(2.715),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl']
        createRL(
            tech, net, 'poly',
            ((0.265,0.14),(0.265,0.29),(0.895,0.29),(0.895,0.47),(1.165,0.47),(1.165,0.29),(1.795,0.29),(1.795,0.14),(0.265,0.14)),
        )
        createRL(
            tech, net, 'licon',
            ((0.945,0.22),(0.945,0.39),(1.115,0.39),(1.115,0.22),(0.945,0.22)),
        )
        createRL(
            tech, net, 'li',
            ((0.945,0.14),(0.945,0.64),(1.115,0.64),(1.115,0.14),(0.945,0.14)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.945,0.47),(0.945,0.64),(1.115,0.64),(1.115,0.47),(0.945,0.47)),
        )
        createRL(
            tech, net, 'm1',
            ((0.915,0.41),(0.915,0.7),(0.9,0.7),(0.9,1.02),(1.16,1.02),(1.16,0.7),(1.145,0.7),(1.145,0.41),(0.915,0.41)),
        )
        createRL(
            tech, net, 'via',
            ((0.955,0.785),(0.955,0.935),(1.105,0.935),(1.105,0.785),(0.955,0.785)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,0.73),(0.0,0.99),(2.06,0.99),(2.06,0.73),(0.0,0.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.86), u(0.26), u(0.0), u(2.0599999999999996),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.86), u(0.26), u(0.0), u(2.0599999999999996),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n']
        createRL(
            tech, net, 'difftap',
            ((1.305,-0.125),(1.305,0.14),(1.665,0.14),(1.665,-0.125),(1.305,-0.125)),
        )
        createRL(
            tech, net, 'licon',
            ((1.4,-0.085),(1.4,0.085),(1.57,0.085),(1.57,-0.085),(1.4,-0.085)),
        )
        createRL(
            tech, net, 'li',
            ((1.4,-0.165),(1.4,0.165),(1.57,0.165),(1.57,0.085),(1.63,0.085),(1.63,-0.085),(1.57,-0.085),(1.57,-0.165),(1.4,-0.165)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.46,-0.085),(1.46,0.085),(1.63,0.085),(1.63,-0.085),(1.46,-0.085)),
        )
        createRL(
            tech, net, 'm1',
            ((1.43,-0.145),(1.43,2.715),(1.66,2.715),(1.66,-0.145),(1.43,-0.145)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.545), u(0.23), u(-0.145), u(2.715),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.545), u(0.23), u(-0.145), u(2.715),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        nets['vdd'].setGlobal(True)
        nets['vss'].setGlobal(True)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['wl'].setDirection(Net.Direction.IN)
        nets['bl'].setDirection(Net.Direction.IN)
        nets['bl_n'].setDirection(Net.Direction.IN)

    cell = new_cells['SP6TWLDrive_30LN100WN30LP200WP']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(-3.455), u(0.0), u(0.0), u(2.715),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl_drive': Net.create(cell, 'wl_drive'),
            'wl_n': Net.create(cell, 'wl_n'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'difftap',
            ((-0.125,-0.36),(-0.125,0.36),(0.125,0.36),(0.125,-0.36),(-0.125,-0.36)),
        )
        createRL(
            tech, net, 'difftap',
            ((-1.225,1.96),(-1.225,3.265),(-0.725,3.265),(-0.725,1.96),(-1.225,1.96)),
        )
        createRL(
            tech, net, 'difftap',
            ((-1.225,-0.55),(-1.225,0.755),(-0.725,0.755),(-0.725,-0.55),(-1.225,-0.55)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,-0.425),(-1.06,-0.255),(-0.89,-0.255),(-0.89,-0.425),(-1.06,-0.425)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,-0.085),(-1.06,0.085),(-0.89,0.085),(-0.89,-0.085),(-1.06,-0.085)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,0.255),(-1.06,0.425),(-0.89,0.425),(-0.89,0.255),(-1.06,0.255)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,2.29),(-1.06,2.46),(-0.89,2.46),(-0.89,2.29),(-1.06,2.29)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,2.63),(-1.06,2.8),(-0.89,2.8),(-0.89,2.63),(-1.06,2.63)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,2.97),(-1.06,3.14),(-0.89,3.14),(-0.89,2.97),(-1.06,2.97)),
        )
        createRL(
            tech, net, 'licon',
            ((-0.085,-0.085),(-0.085,0.085),(0.085,0.085),(0.085,-0.085),(-0.085,-0.085)),
        )
        createRL(
            tech, net, 'li',
            ((-1.225,-0.425),(-1.225,0.425),(-0.725,0.425),(-0.725,0.085),(0.165,0.085),(0.165,-0.085),(-0.725,-0.085),(-0.725,-0.425),(-1.225,-0.425)),
        )
        createRL(
            tech, net, 'li',
            ((-1.225,2.29),(-1.225,3.14),(-0.725,3.14),(-0.725,2.29),(-1.225,2.29)),
        )
        createRL(
            tech, net, 'mcon',
            ((-1.06,2.63),(-1.06,2.8),(-0.89,2.8),(-0.89,2.63),(-1.06,2.63)),
        )
        createRL(
            tech, net, 'mcon',
            ((-1.06,-0.085),(-1.06,0.085),(-0.89,0.085),(-0.89,-0.085),(-1.06,-0.085)),
        )
        createRL(
            tech, net, 'm1',
            ((-1.135,-0.13),(-1.135,-0.115),(-1.695,-0.115),(-1.695,2.83),(-0.675,2.83),(-0.675,-0.115),(-0.815,-0.115),(-0.815,-0.13),(-1.135,-0.13)),
        )
        createRL(
            tech, net, 'via',
            ((-1.05,-0.075),(-1.05,0.075),(-0.9,0.075),(-0.9,-0.075),(-1.05,-0.075)),
        )
        createRL(
            tech, net, 'm2',
            ((-3.455,-0.13),(-3.455,0.13),(0.0,0.13),(0.0,-0.13),(-3.455,-0.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(-3.455), u(0.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(-3.455), u(0.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_drive']
        createRL(
            tech, net, 'difftap',
            ((-2.835,0.755),(-2.835,1.96),(-1.835,1.96),(-1.835,0.755),(-2.835,0.755)),
        )
        createRL(
            tech, net, 'difftap',
            ((-1.225,0.755),(-1.225,1.96),(-0.725,1.96),(-0.725,0.755),(-1.225,0.755)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,0.93),(-1.06,1.1),(-0.89,1.1),(-0.89,0.93),(-1.06,0.93)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,1.27),(-1.06,1.44),(-0.89,1.44),(-0.89,1.27),(-1.06,1.27)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,1.61),(-1.06,1.78),(-0.89,1.78),(-0.89,1.61),(-1.06,1.61)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.76,0.93),(-2.76,1.1),(-2.59,1.1),(-2.59,0.93),(-2.76,0.93)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.42,0.93),(-2.42,1.1),(-2.25,1.1),(-2.25,0.93),(-2.42,0.93)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.08,0.93),(-2.08,1.1),(-1.91,1.1),(-1.91,0.93),(-2.08,0.93)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.76,1.27),(-2.76,1.44),(-2.59,1.44),(-2.59,1.27),(-2.76,1.27)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.42,1.27),(-2.42,1.44),(-2.25,1.44),(-2.25,1.27),(-2.42,1.27)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.08,1.27),(-2.08,1.44),(-1.91,1.44),(-1.91,1.27),(-2.08,1.27)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.76,1.61),(-2.76,1.78),(-2.59,1.78),(-2.59,1.61),(-2.76,1.61)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.42,1.61),(-2.42,1.78),(-2.25,1.78),(-2.25,1.61),(-2.42,1.61)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.08,1.61),(-2.08,1.78),(-1.91,1.78),(-1.91,1.61),(-2.08,1.61)),
        )
        createRL(
            tech, net, 'li',
            ((-2.84,0.93),(-2.84,1.78),(-0.335,1.78),(-0.335,0.93),(-2.84,0.93)),
        )
        createRL(
            tech, net, 'm1',
            ((-0.53,0.7),(-0.53,1.03),(-0.535,1.03),(-0.535,1.68),(-0.27,1.68),(-0.27,0.7),(-0.53,0.7)),
        )
        createRL(
            tech, net, 'via',
            ((-0.475,0.785),(-0.475,0.935),(-0.325,0.935),(-0.325,0.785),(-0.475,0.785)),
        )
        createRL(
            tech, net, 'm2',
            ((-0.56,0.73),(-0.56,0.99),(0.0,0.99),(0.0,0.73),(-0.56,0.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.86), u(0.26), u(-0.56), u(0.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.86), u(0.26), u(-0.56), u(0.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        createRL(
            tech, net, 'mcon',
            ((-0.505,1.09),(-0.505,1.26),(-0.335,1.26),(-0.335,1.09),(-0.505,1.09)),
        )
        createRL(
            tech, net, 'mcon',
            ((-0.505,1.45),(-0.505,1.62),(-0.335,1.62),(-0.335,1.45),(-0.505,1.45)),
        )
        net = nets['*']
        createRL(
            tech, net, 'nsdm',
            ((-3.785,2.465),(-3.785,2.965),(-3.125,2.965),(-3.125,2.465),(-3.785,2.465)),
        )
        createRL(
            tech, net, 'nsdm',
            ((-1.35,-0.675),(-1.35,3.39),(-0.6,3.39),(-0.6,2.965),(0.0,2.965),(0.0,2.465),(-0.6,2.465),(-0.6,1.4),(0.0,1.4),(0.0,0.505),(-0.6,0.505),(-0.6,-0.675),(-1.35,-0.675)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((-1.23,0.6),(-1.23,0.76),(-0.72,0.76),(-0.72,0.6),(-1.23,0.6)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((-1.23,1.955),(-1.23,2.115),(-0.72,2.115),(-0.72,1.955),(-1.23,1.955)),
        )
        createRL(
            tech, net, 'psdm',
            ((-2.96,-0.675),(-2.96,0.61),(-3.245,0.61),(-3.245,2.11),(-2.96,2.11),(-2.96,3.39),(-1.71,3.39),(-1.71,-0.675),(-2.96,-0.675)),
        )
        createRL(
            tech, net, 'psdm',
            ((-0.25,-0.485),(-0.25,0.485),(0.25,0.485),(0.25,-0.485),(-0.25,-0.485)),
        )
        createRL(
            tech, net, 'prBoundary',
            ((-3.455,0.0),(-3.455,2.715),(0.0,2.715),(0.0,0.0),(-3.455,0.0)),
        )
        net = nets['wl_n']
        createRL(
            tech, net, 'poly',
            ((-3.245,0.605),(-3.245,2.11),(-0.595,2.11),(-0.595,1.96),(-2.975,1.96),(-2.975,0.755),(-0.595,0.755),(-0.595,0.605),(-3.245,0.605)),
        )
        createRL(
            tech, net, 'licon',
            ((-3.195,0.765),(-3.195,0.935),(-3.025,0.935),(-3.025,0.765),(-3.195,0.765)),
        )
        createRL(
            tech, net, 'licon',
            ((-3.195,1.105),(-3.195,1.275),(-3.025,1.275),(-3.025,1.105),(-3.195,1.105)),
        )
        createRL(
            tech, net, 'licon',
            ((-3.195,1.445),(-3.195,1.615),(-3.025,1.615),(-3.025,1.445),(-3.195,1.445)),
        )
        createRL(
            tech, net, 'licon',
            ((-3.195,1.785),(-3.195,1.955),(-3.025,1.955),(-3.025,1.785),(-3.195,1.785)),
        )
        createRL(
            tech, net, 'li',
            ((-3.455,0.685),(-3.455,2.035),(-3.025,2.035),(-3.025,0.685),(-3.455,0.685)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(-3.24), u(0.43), u(0.685), u(2.035),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(-3.24), u(0.43), u(0.685), u(2.035),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'difftap',
            ((-3.66,2.59),(-3.66,2.84),(-3.25,2.84),(-3.25,2.59),(-3.66,2.59)),
        )
        createRL(
            tech, net, 'difftap',
            ((-2.835,1.96),(-2.835,3.265),(-1.835,3.265),(-1.835,1.96),(-2.835,1.96)),
        )
        createRL(
            tech, net, 'difftap',
            ((-2.835,-0.55),(-2.835,0.755),(-1.835,0.755),(-1.835,-0.55),(-2.835,-0.55)),
        )
        createRL(
            tech, net, 'nwm',
            ((-3.015,-0.73),(-3.015,2.295),(-3.84,2.295),(-3.84,3.135),(-3.015,3.135),(-3.015,3.445),(-1.655,3.445),(-1.655,-0.73),(-3.015,-0.73)),
        )
        createRL(
            tech, net, 'licon',
            ((-3.54,2.63),(-3.54,2.8),(-3.37,2.8),(-3.37,2.63),(-3.54,2.63)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.59,2.29),(-2.59,2.46),(-2.42,2.46),(-2.42,2.29),(-2.59,2.29)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.25,2.29),(-2.25,2.46),(-2.08,2.46),(-2.08,2.29),(-2.25,2.29)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.59,2.63),(-2.59,2.8),(-2.42,2.8),(-2.42,2.63),(-2.59,2.63)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.25,2.63),(-2.25,2.8),(-2.08,2.8),(-2.08,2.63),(-2.25,2.63)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.59,2.97),(-2.59,3.14),(-2.42,3.14),(-2.42,2.97),(-2.59,2.97)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.25,2.97),(-2.25,3.14),(-2.08,3.14),(-2.08,2.97),(-2.25,2.97)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.59,-0.425),(-2.59,-0.255),(-2.42,-0.255),(-2.42,-0.425),(-2.59,-0.425)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.25,-0.425),(-2.25,-0.255),(-2.08,-0.255),(-2.08,-0.425),(-2.25,-0.425)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.59,-0.085),(-2.59,0.085),(-2.42,0.085),(-2.42,-0.085),(-2.59,-0.085)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.25,-0.085),(-2.25,0.085),(-2.08,0.085),(-2.08,-0.085),(-2.25,-0.085)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.59,0.255),(-2.59,0.425),(-2.42,0.425),(-2.42,0.255),(-2.59,0.255)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.25,0.255),(-2.25,0.425),(-2.08,0.425),(-2.08,0.255),(-2.25,0.255)),
        )
        createRL(
            tech, net, 'li',
            ((-2.835,-0.425),(-2.835,0.425),(-1.835,0.425),(-1.835,-0.425),(-2.835,-0.425)),
        )
        createRL(
            tech, net, 'li',
            ((-2.835,2.29),(-2.835,2.63),(-3.62,2.63),(-3.62,2.8),(-2.835,2.8),(-2.835,3.14),(-1.835,3.14),(-1.835,2.29),(-2.835,2.29)),
        )
        createRL(
            tech, net, 'mcon',
            ((-2.6,2.63),(-2.6,2.8),(-2.43,2.8),(-2.43,2.63),(-2.6,2.63)),
        )
        createRL(
            tech, net, 'mcon',
            ((-2.24,2.63),(-2.24,2.8),(-2.07,2.8),(-2.07,2.63),(-2.24,2.63)),
        )
        createRL(
            tech, net, 'mcon',
            ((-2.6,-0.085),(-2.6,0.085),(-2.43,0.085),(-2.43,-0.085),(-2.6,-0.085)),
        )
        createRL(
            tech, net, 'mcon',
            ((-2.24,-0.085),(-2.24,0.085),(-2.07,0.085),(-2.07,-0.085),(-2.24,-0.085)),
        )
        createRL(
            tech, net, 'm1',
            ((-2.835,-0.115),(-2.835,2.845),(-1.835,2.845),(-1.835,-0.115),(-2.835,-0.115)),
        )
        createRL(
            tech, net, 'via',
            ((-2.73,2.64),(-2.73,2.79),(-2.58,2.79),(-2.58,2.64),(-2.73,2.64)),
        )
        createRL(
            tech, net, 'via',
            ((-2.41,2.64),(-2.41,2.79),(-2.26,2.79),(-2.26,2.64),(-2.41,2.64)),
        )
        createRL(
            tech, net, 'via',
            ((-2.09,2.64),(-2.09,2.79),(-1.94,2.79),(-1.94,2.64),(-2.09,2.64)),
        )
        createRL(
            tech, net, 'm2',
            ((-3.455,2.585),(-3.455,2.845),(0.0,2.845),(0.0,2.585),(-3.455,2.585)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.715), u(0.26), u(-3.455), u(0.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.715), u(0.26), u(-3.455), u(0.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl_n'].setDirection(Net.Direction.IN)
        nets['wl_drive'].setDirection(Net.Direction.IN)

    cell = new_cells['SP6TArray_128X32']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(65.91999999999999), u(347.52),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl[0]': Net.create(cell, 'bl[0]'),
            'bl[10]': Net.create(cell, 'bl[10]'),
            'bl[11]': Net.create(cell, 'bl[11]'),
            'bl[12]': Net.create(cell, 'bl[12]'),
            'bl[13]': Net.create(cell, 'bl[13]'),
            'bl[14]': Net.create(cell, 'bl[14]'),
            'bl[15]': Net.create(cell, 'bl[15]'),
            'bl[16]': Net.create(cell, 'bl[16]'),
            'bl[17]': Net.create(cell, 'bl[17]'),
            'bl[18]': Net.create(cell, 'bl[18]'),
            'bl[19]': Net.create(cell, 'bl[19]'),
            'bl[1]': Net.create(cell, 'bl[1]'),
            'bl[20]': Net.create(cell, 'bl[20]'),
            'bl[21]': Net.create(cell, 'bl[21]'),
            'bl[22]': Net.create(cell, 'bl[22]'),
            'bl[23]': Net.create(cell, 'bl[23]'),
            'bl[24]': Net.create(cell, 'bl[24]'),
            'bl[25]': Net.create(cell, 'bl[25]'),
            'bl[26]': Net.create(cell, 'bl[26]'),
            'bl[27]': Net.create(cell, 'bl[27]'),
            'bl[28]': Net.create(cell, 'bl[28]'),
            'bl[29]': Net.create(cell, 'bl[29]'),
            'bl[2]': Net.create(cell, 'bl[2]'),
            'bl[30]': Net.create(cell, 'bl[30]'),
            'bl[31]': Net.create(cell, 'bl[31]'),
            'bl[3]': Net.create(cell, 'bl[3]'),
            'bl[4]': Net.create(cell, 'bl[4]'),
            'bl[5]': Net.create(cell, 'bl[5]'),
            'bl[6]': Net.create(cell, 'bl[6]'),
            'bl[7]': Net.create(cell, 'bl[7]'),
            'bl[8]': Net.create(cell, 'bl[8]'),
            'bl[9]': Net.create(cell, 'bl[9]'),
            'bl_n[0]': Net.create(cell, 'bl_n[0]'),
            'bl_n[10]': Net.create(cell, 'bl_n[10]'),
            'bl_n[11]': Net.create(cell, 'bl_n[11]'),
            'bl_n[12]': Net.create(cell, 'bl_n[12]'),
            'bl_n[13]': Net.create(cell, 'bl_n[13]'),
            'bl_n[14]': Net.create(cell, 'bl_n[14]'),
            'bl_n[15]': Net.create(cell, 'bl_n[15]'),
            'bl_n[16]': Net.create(cell, 'bl_n[16]'),
            'bl_n[17]': Net.create(cell, 'bl_n[17]'),
            'bl_n[18]': Net.create(cell, 'bl_n[18]'),
            'bl_n[19]': Net.create(cell, 'bl_n[19]'),
            'bl_n[1]': Net.create(cell, 'bl_n[1]'),
            'bl_n[20]': Net.create(cell, 'bl_n[20]'),
            'bl_n[21]': Net.create(cell, 'bl_n[21]'),
            'bl_n[22]': Net.create(cell, 'bl_n[22]'),
            'bl_n[23]': Net.create(cell, 'bl_n[23]'),
            'bl_n[24]': Net.create(cell, 'bl_n[24]'),
            'bl_n[25]': Net.create(cell, 'bl_n[25]'),
            'bl_n[26]': Net.create(cell, 'bl_n[26]'),
            'bl_n[27]': Net.create(cell, 'bl_n[27]'),
            'bl_n[28]': Net.create(cell, 'bl_n[28]'),
            'bl_n[29]': Net.create(cell, 'bl_n[29]'),
            'bl_n[2]': Net.create(cell, 'bl_n[2]'),
            'bl_n[30]': Net.create(cell, 'bl_n[30]'),
            'bl_n[31]': Net.create(cell, 'bl_n[31]'),
            'bl_n[3]': Net.create(cell, 'bl_n[3]'),
            'bl_n[4]': Net.create(cell, 'bl_n[4]'),
            'bl_n[5]': Net.create(cell, 'bl_n[5]'),
            'bl_n[6]': Net.create(cell, 'bl_n[6]'),
            'bl_n[7]': Net.create(cell, 'bl_n[7]'),
            'bl_n[8]': Net.create(cell, 'bl_n[8]'),
            'bl_n[9]': Net.create(cell, 'bl_n[9]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[100]': Net.create(cell, 'wl[100]'),
            'wl[101]': Net.create(cell, 'wl[101]'),
            'wl[102]': Net.create(cell, 'wl[102]'),
            'wl[103]': Net.create(cell, 'wl[103]'),
            'wl[104]': Net.create(cell, 'wl[104]'),
            'wl[105]': Net.create(cell, 'wl[105]'),
            'wl[106]': Net.create(cell, 'wl[106]'),
            'wl[107]': Net.create(cell, 'wl[107]'),
            'wl[108]': Net.create(cell, 'wl[108]'),
            'wl[109]': Net.create(cell, 'wl[109]'),
            'wl[10]': Net.create(cell, 'wl[10]'),
            'wl[110]': Net.create(cell, 'wl[110]'),
            'wl[111]': Net.create(cell, 'wl[111]'),
            'wl[112]': Net.create(cell, 'wl[112]'),
            'wl[113]': Net.create(cell, 'wl[113]'),
            'wl[114]': Net.create(cell, 'wl[114]'),
            'wl[115]': Net.create(cell, 'wl[115]'),
            'wl[116]': Net.create(cell, 'wl[116]'),
            'wl[117]': Net.create(cell, 'wl[117]'),
            'wl[118]': Net.create(cell, 'wl[118]'),
            'wl[119]': Net.create(cell, 'wl[119]'),
            'wl[11]': Net.create(cell, 'wl[11]'),
            'wl[120]': Net.create(cell, 'wl[120]'),
            'wl[121]': Net.create(cell, 'wl[121]'),
            'wl[122]': Net.create(cell, 'wl[122]'),
            'wl[123]': Net.create(cell, 'wl[123]'),
            'wl[124]': Net.create(cell, 'wl[124]'),
            'wl[125]': Net.create(cell, 'wl[125]'),
            'wl[126]': Net.create(cell, 'wl[126]'),
            'wl[127]': Net.create(cell, 'wl[127]'),
            'wl[12]': Net.create(cell, 'wl[12]'),
            'wl[13]': Net.create(cell, 'wl[13]'),
            'wl[14]': Net.create(cell, 'wl[14]'),
            'wl[15]': Net.create(cell, 'wl[15]'),
            'wl[16]': Net.create(cell, 'wl[16]'),
            'wl[17]': Net.create(cell, 'wl[17]'),
            'wl[18]': Net.create(cell, 'wl[18]'),
            'wl[19]': Net.create(cell, 'wl[19]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[20]': Net.create(cell, 'wl[20]'),
            'wl[21]': Net.create(cell, 'wl[21]'),
            'wl[22]': Net.create(cell, 'wl[22]'),
            'wl[23]': Net.create(cell, 'wl[23]'),
            'wl[24]': Net.create(cell, 'wl[24]'),
            'wl[25]': Net.create(cell, 'wl[25]'),
            'wl[26]': Net.create(cell, 'wl[26]'),
            'wl[27]': Net.create(cell, 'wl[27]'),
            'wl[28]': Net.create(cell, 'wl[28]'),
            'wl[29]': Net.create(cell, 'wl[29]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[30]': Net.create(cell, 'wl[30]'),
            'wl[31]': Net.create(cell, 'wl[31]'),
            'wl[32]': Net.create(cell, 'wl[32]'),
            'wl[33]': Net.create(cell, 'wl[33]'),
            'wl[34]': Net.create(cell, 'wl[34]'),
            'wl[35]': Net.create(cell, 'wl[35]'),
            'wl[36]': Net.create(cell, 'wl[36]'),
            'wl[37]': Net.create(cell, 'wl[37]'),
            'wl[38]': Net.create(cell, 'wl[38]'),
            'wl[39]': Net.create(cell, 'wl[39]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
            'wl[40]': Net.create(cell, 'wl[40]'),
            'wl[41]': Net.create(cell, 'wl[41]'),
            'wl[42]': Net.create(cell, 'wl[42]'),
            'wl[43]': Net.create(cell, 'wl[43]'),
            'wl[44]': Net.create(cell, 'wl[44]'),
            'wl[45]': Net.create(cell, 'wl[45]'),
            'wl[46]': Net.create(cell, 'wl[46]'),
            'wl[47]': Net.create(cell, 'wl[47]'),
            'wl[48]': Net.create(cell, 'wl[48]'),
            'wl[49]': Net.create(cell, 'wl[49]'),
            'wl[4]': Net.create(cell, 'wl[4]'),
            'wl[50]': Net.create(cell, 'wl[50]'),
            'wl[51]': Net.create(cell, 'wl[51]'),
            'wl[52]': Net.create(cell, 'wl[52]'),
            'wl[53]': Net.create(cell, 'wl[53]'),
            'wl[54]': Net.create(cell, 'wl[54]'),
            'wl[55]': Net.create(cell, 'wl[55]'),
            'wl[56]': Net.create(cell, 'wl[56]'),
            'wl[57]': Net.create(cell, 'wl[57]'),
            'wl[58]': Net.create(cell, 'wl[58]'),
            'wl[59]': Net.create(cell, 'wl[59]'),
            'wl[5]': Net.create(cell, 'wl[5]'),
            'wl[60]': Net.create(cell, 'wl[60]'),
            'wl[61]': Net.create(cell, 'wl[61]'),
            'wl[62]': Net.create(cell, 'wl[62]'),
            'wl[63]': Net.create(cell, 'wl[63]'),
            'wl[64]': Net.create(cell, 'wl[64]'),
            'wl[65]': Net.create(cell, 'wl[65]'),
            'wl[66]': Net.create(cell, 'wl[66]'),
            'wl[67]': Net.create(cell, 'wl[67]'),
            'wl[68]': Net.create(cell, 'wl[68]'),
            'wl[69]': Net.create(cell, 'wl[69]'),
            'wl[6]': Net.create(cell, 'wl[6]'),
            'wl[70]': Net.create(cell, 'wl[70]'),
            'wl[71]': Net.create(cell, 'wl[71]'),
            'wl[72]': Net.create(cell, 'wl[72]'),
            'wl[73]': Net.create(cell, 'wl[73]'),
            'wl[74]': Net.create(cell, 'wl[74]'),
            'wl[75]': Net.create(cell, 'wl[75]'),
            'wl[76]': Net.create(cell, 'wl[76]'),
            'wl[77]': Net.create(cell, 'wl[77]'),
            'wl[78]': Net.create(cell, 'wl[78]'),
            'wl[79]': Net.create(cell, 'wl[79]'),
            'wl[7]': Net.create(cell, 'wl[7]'),
            'wl[80]': Net.create(cell, 'wl[80]'),
            'wl[81]': Net.create(cell, 'wl[81]'),
            'wl[82]': Net.create(cell, 'wl[82]'),
            'wl[83]': Net.create(cell, 'wl[83]'),
            'wl[84]': Net.create(cell, 'wl[84]'),
            'wl[85]': Net.create(cell, 'wl[85]'),
            'wl[86]': Net.create(cell, 'wl[86]'),
            'wl[87]': Net.create(cell, 'wl[87]'),
            'wl[88]': Net.create(cell, 'wl[88]'),
            'wl[89]': Net.create(cell, 'wl[89]'),
            'wl[8]': Net.create(cell, 'wl[8]'),
            'wl[90]': Net.create(cell, 'wl[90]'),
            'wl[91]': Net.create(cell, 'wl[91]'),
            'wl[92]': Net.create(cell, 'wl[92]'),
            'wl[93]': Net.create(cell, 'wl[93]'),
            'wl[94]': Net.create(cell, 'wl[94]'),
            'wl[95]': Net.create(cell, 'wl[95]'),
            'wl[96]': Net.create(cell, 'wl[96]'),
            'wl[97]': Net.create(cell, 'wl[97]'),
            'wl[98]': Net.create(cell, 'wl[98]'),
            'wl[99]': Net.create(cell, 'wl[99]'),
            'wl[9]': Net.create(cell, 'wl[9]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,263.225),(0.0,263.485),(65.92,263.485),(65.92,263.225),(0.0,263.225)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,246.935),(0.0,247.195),(65.92,247.195),(65.92,246.935),(0.0,246.935)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,89.465),(0.0,89.725),(65.92,89.725),(65.92,89.465),(0.0,89.465)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,84.035),(0.0,84.295),(65.92,84.295),(65.92,84.035),(0.0,84.035)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,138.335),(0.0,138.595),(65.92,138.595),(65.92,138.335),(0.0,138.335)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,208.925),(0.0,209.185),(65.92,209.185),(65.92,208.925),(0.0,208.925)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,236.075),(0.0,236.335),(65.92,236.335),(65.92,236.075),(0.0,236.075)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,149.195),(0.0,149.455),(65.92,149.455),(65.92,149.195),(0.0,149.195)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,306.665),(0.0,306.925),(65.92,306.925),(65.92,306.665),(0.0,306.665)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,8.015),(0.0,8.275),(65.92,8.275),(65.92,8.015),(0.0,8.015)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,132.905),(0.0,133.165),(65.92,133.165),(65.92,132.905),(0.0,132.905)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,214.355),(0.0,214.615),(65.92,214.615),(65.92,214.355),(0.0,214.355)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,284.945),(0.0,285.205),(65.92,285.205),(65.92,284.945),(0.0,284.945)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,279.515),(0.0,279.775),(65.92,279.775),(65.92,279.515),(0.0,279.515)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,328.385),(0.0,328.645),(65.92,328.645),(65.92,328.385),(0.0,328.385)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,67.745),(0.0,68.005),(65.92,68.005),(65.92,67.745),(0.0,67.745)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,241.505),(0.0,241.765),(65.92,241.765),(65.92,241.505),(0.0,241.505)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,295.805),(0.0,296.065),(65.92,296.065),(65.92,295.805),(0.0,295.805)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,46.025),(0.0,46.285),(65.92,46.285),(65.92,46.025),(0.0,46.025)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,176.345),(0.0,176.605),(65.92,176.605),(65.92,176.345),(0.0,176.345)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,192.635),(0.0,192.895),(65.92,192.895),(65.92,192.635),(0.0,192.635)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,333.815),(0.0,334.075),(65.92,334.075),(65.92,333.815),(0.0,333.815)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,51.455),(0.0,51.715),(65.92,51.715),(65.92,51.455),(0.0,51.455)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,127.475),(0.0,127.735),(65.92,127.735),(65.92,127.475),(0.0,127.475)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,339.245),(0.0,339.505),(65.92,339.505),(65.92,339.245),(0.0,339.245)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,219.785),(0.0,220.045),(65.92,220.045),(65.92,219.785),(0.0,219.785)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,2.585),(0.0,2.845),(65.92,2.845),(65.92,2.585),(0.0,2.585)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,122.045),(0.0,122.305),(65.92,122.305),(65.92,122.045),(0.0,122.045)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,154.625),(0.0,154.885),(65.92,154.885),(65.92,154.625),(0.0,154.625)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,290.375),(0.0,290.635),(65.92,290.635),(65.92,290.375),(0.0,290.375)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,165.485),(0.0,165.745),(65.92,165.745),(65.92,165.485),(0.0,165.485)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,317.525),(0.0,317.785),(65.92,317.785),(65.92,317.525),(0.0,317.525)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,24.305),(0.0,24.565),(65.92,24.565),(65.92,24.305),(0.0,24.305)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,312.095),(0.0,312.355),(65.92,312.355),(65.92,312.095),(0.0,312.095)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,344.675),(0.0,344.935),(65.92,344.935),(65.92,344.675),(0.0,344.675)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,257.795),(0.0,258.055),(65.92,258.055),(65.92,257.795),(0.0,257.795)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,187.205),(0.0,187.465),(65.92,187.465),(65.92,187.205),(0.0,187.205)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,230.645),(0.0,230.905),(65.92,230.905),(65.92,230.645),(0.0,230.645)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,73.175),(0.0,73.435),(65.92,73.435),(65.92,73.175),(0.0,73.175)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,143.765),(0.0,144.025),(65.92,144.025),(65.92,143.765),(0.0,143.765)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,170.915),(0.0,171.175),(65.92,171.175),(65.92,170.915),(0.0,170.915)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,116.615),(0.0,116.875),(65.92,116.875),(65.92,116.615),(0.0,116.615)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,94.895),(0.0,95.155),(65.92,95.155),(65.92,94.895),(0.0,94.895)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,268.655),(0.0,268.915),(65.92,268.915),(65.92,268.655),(0.0,268.655)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,274.085),(0.0,274.345),(65.92,274.345),(65.92,274.085),(0.0,274.085)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,13.445),(0.0,13.705),(65.92,13.705),(65.92,13.445),(0.0,13.445)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,301.235),(0.0,301.495),(65.92,301.495),(65.92,301.235),(0.0,301.235)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,40.595),(0.0,40.855),(65.92,40.855),(65.92,40.595),(0.0,40.595)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,322.955),(0.0,323.215),(65.92,323.215),(65.92,322.955),(0.0,322.955)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,105.755),(0.0,106.015),(65.92,106.015),(65.92,105.755),(0.0,105.755)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,203.495),(0.0,203.755),(65.92,203.755),(65.92,203.495),(0.0,203.495)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,56.885),(0.0,57.145),(65.92,57.145),(65.92,56.885),(0.0,56.885)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,225.215),(0.0,225.475),(65.92,225.475),(65.92,225.215),(0.0,225.215)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,62.315),(0.0,62.575),(65.92,62.575),(65.92,62.315),(0.0,62.315)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,78.605),(0.0,78.865),(65.92,78.865),(65.92,78.605),(0.0,78.605)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,160.055),(0.0,160.315),(65.92,160.315),(65.92,160.055),(0.0,160.055)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,181.775),(0.0,182.035),(65.92,182.035),(65.92,181.775),(0.0,181.775)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,35.165),(0.0,35.425),(65.92,35.425),(65.92,35.165),(0.0,35.165)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,111.185),(0.0,111.445),(65.92,111.445),(65.92,111.185),(0.0,111.185)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,100.325),(0.0,100.585),(65.92,100.585),(65.92,100.325),(0.0,100.325)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,252.365),(0.0,252.625),(65.92,252.625),(65.92,252.365),(0.0,252.365)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,29.735),(0.0,29.995),(65.92,29.995),(65.92,29.735),(0.0,29.735)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,198.065),(0.0,198.325),(65.92,198.325),(65.92,198.065),(0.0,198.065)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,18.875),(0.0,19.135),(65.92,19.135),(65.92,18.875),(0.0,18.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(263.355), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(263.355), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(247.065), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(247.065), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(89.595), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(89.595), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(84.165), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(84.165), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(138.465), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(138.465), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(209.055), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(209.055), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(236.205), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(236.205), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(149.325), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(149.325), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(306.795), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(306.795), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.145), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.145), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(133.035), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(133.035), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(214.485), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(214.485), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(285.075), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(285.075), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(279.645), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(279.645), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(328.515), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(328.515), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.875), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.875), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(241.635), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(241.635), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(295.935), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(295.935), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(46.155), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(46.155), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(176.475), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(176.475), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(192.765), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(192.765), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(333.945), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(333.945), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.585), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.585), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(127.605), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(127.605), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(339.375), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(339.375), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(219.915), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(219.915), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.715), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.715), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(122.175), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(122.175), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(154.755), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(154.755), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(290.505), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(290.505), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(165.615), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(165.615), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(317.655), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(317.655), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(24.435), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(24.435), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(312.225), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(312.225), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(344.805), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(344.805), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(257.925), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(257.925), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(187.335), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(187.335), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(230.775), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(230.775), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(73.305), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(73.305), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(143.895), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(143.895), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(171.045), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(171.045), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(116.745), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(116.745), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(95.025), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(95.025), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(268.785), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(268.785), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(274.215), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(274.215), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.575), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.575), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(301.365), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(301.365), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(40.725), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(40.725), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(323.085), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(323.085), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(105.885), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(105.885), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(203.625), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(203.625), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(57.015), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(57.015), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(225.345), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(225.345), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(62.445), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(62.445), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(78.735), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(78.735), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(160.185), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(160.185), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(181.905), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(181.905), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.295), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.295), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(111.315), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(111.315), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(100.455), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(100.455), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(252.495), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(252.495), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.865), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.865), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(198.195), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(198.195), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(19.005), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(19.005), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,113.9),(0.0,114.16),(65.92,114.16),(65.92,113.9),(0.0,113.9)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,27.02),(0.0,27.28),(65.92,27.28),(65.92,27.02),(0.0,27.02)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,135.62),(0.0,135.88),(65.92,135.88),(65.92,135.62),(0.0,135.62)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,157.34),(0.0,157.6),(65.92,157.6),(65.92,157.34),(0.0,157.34)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,347.39),(0.0,347.65),(65.92,347.65),(65.92,347.39),(0.0,347.39)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,217.07),(0.0,217.33),(65.92,217.33),(65.92,217.07),(0.0,217.07)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,233.36),(0.0,233.62),(65.92,233.62),(65.92,233.36),(0.0,233.36)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,151.91),(0.0,152.17),(65.92,152.17),(65.92,151.91),(0.0,151.91)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,37.88),(0.0,38.14),(65.92,38.14),(65.92,37.88),(0.0,37.88)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,189.92),(0.0,190.18),(65.92,190.18),(65.92,189.92),(0.0,189.92)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,75.89),(0.0,76.15),(65.92,76.15),(65.92,75.89),(0.0,75.89)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,10.73),(0.0,10.99),(65.92,10.99),(65.92,10.73),(0.0,10.73)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,108.47),(0.0,108.73),(65.92,108.73),(65.92,108.47),(0.0,108.47)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,21.59),(0.0,21.85),(65.92,21.85),(65.92,21.59),(0.0,21.59)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,309.38),(0.0,309.64),(65.92,309.64),(65.92,309.38),(0.0,309.38)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,124.76),(0.0,125.02),(65.92,125.02),(65.92,124.76),(0.0,124.76)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,265.94),(0.0,266.2),(65.92,266.2),(65.92,265.94),(0.0,265.94)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,119.33),(0.0,119.59),(65.92,119.59),(65.92,119.33),(0.0,119.33)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,227.93),(0.0,228.19),(65.92,228.19),(65.92,227.93),(0.0,227.93)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,81.32),(0.0,81.58),(65.92,81.58),(65.92,81.32),(0.0,81.32)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(65.92,0.13),(65.92,-0.13),(0.0,-0.13)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,222.5),(0.0,222.76),(65.92,222.76),(65.92,222.5),(0.0,222.5)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,320.24),(0.0,320.5),(65.92,320.5),(65.92,320.24),(0.0,320.24)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,179.06),(0.0,179.32),(65.92,179.32),(65.92,179.06),(0.0,179.06)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,211.64),(0.0,211.9),(65.92,211.9),(65.92,211.64),(0.0,211.64)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,255.08),(0.0,255.34),(65.92,255.34),(65.92,255.08),(0.0,255.08)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,287.66),(0.0,287.92),(65.92,287.92),(65.92,287.66),(0.0,287.66)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,130.19),(0.0,130.45),(65.92,130.45),(65.92,130.19),(0.0,130.19)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,282.23),(0.0,282.49),(65.92,282.49),(65.92,282.23),(0.0,282.23)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,293.09),(0.0,293.35),(65.92,293.35),(65.92,293.09),(0.0,293.09)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,184.49),(0.0,184.75),(65.92,184.75),(65.92,184.49),(0.0,184.49)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,276.8),(0.0,277.06),(65.92,277.06),(65.92,276.8),(0.0,276.8)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,59.6),(0.0,59.86),(65.92,59.86),(65.92,59.6),(0.0,59.6)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,103.04),(0.0,103.3),(65.92,103.3),(65.92,103.04),(0.0,103.04)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,86.75),(0.0,87.01),(65.92,87.01),(65.92,86.75),(0.0,86.75)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,200.78),(0.0,201.04),(65.92,201.04),(65.92,200.78),(0.0,200.78)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,249.65),(0.0,249.91),(65.92,249.91),(65.92,249.65),(0.0,249.65)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,303.95),(0.0,304.21),(65.92,304.21),(65.92,303.95),(0.0,303.95)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,146.48),(0.0,146.74),(65.92,146.74),(65.92,146.48),(0.0,146.48)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,48.74),(0.0,49.0),(65.92,49.0),(65.92,48.74),(0.0,48.74)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,238.79),(0.0,239.05),(65.92,239.05),(65.92,238.79),(0.0,238.79)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,244.22),(0.0,244.48),(65.92,244.48),(65.92,244.22),(0.0,244.22)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,141.05),(0.0,141.31),(65.92,141.31),(65.92,141.05),(0.0,141.05)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,173.63),(0.0,173.89),(65.92,173.89),(65.92,173.63),(0.0,173.63)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,298.52),(0.0,298.78),(65.92,298.78),(65.92,298.52),(0.0,298.52)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,54.17),(0.0,54.43),(65.92,54.43),(65.92,54.17),(0.0,54.17)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,162.77),(0.0,163.03),(65.92,163.03),(65.92,162.77),(0.0,162.77)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,168.2),(0.0,168.46),(65.92,168.46),(65.92,168.2),(0.0,168.2)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,314.81),(0.0,315.07),(65.92,315.07),(65.92,314.81),(0.0,314.81)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,43.31),(0.0,43.57),(65.92,43.57),(65.92,43.31),(0.0,43.31)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,325.67),(0.0,325.93),(65.92,325.93),(65.92,325.67),(0.0,325.67)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,331.1),(0.0,331.36),(65.92,331.36),(65.92,331.1),(0.0,331.1)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,65.03),(0.0,65.29),(65.92,65.29),(65.92,65.03),(0.0,65.03)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,97.61),(0.0,97.87),(65.92,97.87),(65.92,97.61),(0.0,97.61)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,16.16),(0.0,16.42),(65.92,16.42),(65.92,16.16),(0.0,16.16)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,32.45),(0.0,32.71),(65.92,32.71),(65.92,32.45),(0.0,32.45)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,206.21),(0.0,206.47),(65.92,206.47),(65.92,206.21),(0.0,206.21)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,336.53),(0.0,336.79),(65.92,336.79),(65.92,336.53),(0.0,336.53)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,195.35),(0.0,195.61),(65.92,195.61),(65.92,195.35),(0.0,195.35)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,271.37),(0.0,271.63),(65.92,271.63),(65.92,271.37),(0.0,271.37)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,341.96),(0.0,342.22),(65.92,342.22),(65.92,341.96),(0.0,341.96)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,92.18),(0.0,92.44),(65.92,92.44),(65.92,92.18),(0.0,92.18)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,260.51),(0.0,260.77),(65.92,260.77),(65.92,260.51),(0.0,260.51)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,5.3),(0.0,5.56),(65.92,5.56),(65.92,5.3),(0.0,5.3)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,70.46),(0.0,70.72),(65.92,70.72),(65.92,70.46),(0.0,70.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(114.03), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(114.03), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(27.15), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(27.15), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(135.75), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(135.75), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(157.47), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(157.47), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(347.52), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(347.52), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(217.2), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(217.2), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(233.49), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(233.49), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(152.04), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(152.04), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(38.01), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(38.01), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(190.05), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(190.05), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(76.02), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(76.02), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.86), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.86), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(108.6), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(108.6), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.72), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.72), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(309.51), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(309.51), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(124.89), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(124.89), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(266.07), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(266.07), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(119.46), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(119.46), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(228.06), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(228.06), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(81.45), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(81.45), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(222.63), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(222.63), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(320.37), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(320.37), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(179.19), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(179.19), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(211.77), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(211.77), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(255.21), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(255.21), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(287.79), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(287.79), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(130.32), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(130.32), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(282.36), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(282.36), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(293.22), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(293.22), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(184.62), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(184.62), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(276.93), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(276.93), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(59.73), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(59.73), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(103.17), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(103.17), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(86.88), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(86.88), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(200.91), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(200.91), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(249.78), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(249.78), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(304.08), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(304.08), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(146.61), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(146.61), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.87), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.87), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(238.92), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(238.92), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(244.35), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(244.35), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(141.18), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(141.18), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(173.76), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(173.76), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(298.65), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(298.65), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(54.3), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(54.3), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(162.9), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(162.9), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(168.33), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(168.33), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(314.94), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(314.94), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(43.44), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(43.44), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(325.8), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(325.8), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(331.23), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(331.23), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(65.16), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(65.16), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(97.74), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(97.74), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.29), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.29), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(32.58), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(32.58), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(206.34), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(206.34), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(336.66), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(336.66), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(195.48), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(195.48), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(271.5), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(271.5), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(342.09), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(342.09), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(92.31), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(92.31), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(260.64), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(260.64), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(5.43), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(5.43), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(70.59), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(70.59), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.725),(0.0,1.985),(65.92,1.985),(65.92,1.725),(0.0,1.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.855), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.855), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.445),(0.0,3.705),(65.92,3.705),(65.92,3.445),(0.0,3.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.575), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.575), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.155),(0.0,7.415),(65.92,7.415),(65.92,7.155),(0.0,7.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.285), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.285), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,8.875),(0.0,9.135),(65.92,9.135),(65.92,8.875),(0.0,8.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.005), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.005), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,12.585),(0.0,12.845),(65.92,12.845),(65.92,12.585),(0.0,12.585)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.715), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.715), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,14.305),(0.0,14.565),(65.92,14.565),(65.92,14.305),(0.0,14.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(14.435), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(14.435), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,18.015),(0.0,18.275),(65.92,18.275),(65.92,18.015),(0.0,18.015)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.145), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.145), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,19.735),(0.0,19.995),(65.92,19.995),(65.92,19.735),(0.0,19.735)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(19.865), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(19.865), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,23.445),(0.0,23.705),(65.92,23.705),(65.92,23.445),(0.0,23.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(23.575), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(23.575), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,25.165),(0.0,25.425),(65.92,25.425),(65.92,25.165),(0.0,25.165)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.295), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.295), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,28.875),(0.0,29.135),(65.92,29.135),(65.92,28.875),(0.0,28.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.005), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.005), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,30.595),(0.0,30.855),(65.92,30.855),(65.92,30.595),(0.0,30.595)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(30.725), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(30.725), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,34.305),(0.0,34.565),(65.92,34.565),(65.92,34.305),(0.0,34.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.435), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.435), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,36.025),(0.0,36.285),(65.92,36.285),(65.92,36.025),(0.0,36.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(36.155), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(36.155), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,39.735),(0.0,39.995),(65.92,39.995),(65.92,39.735),(0.0,39.735)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(39.865), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(39.865), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,41.455),(0.0,41.715),(65.92,41.715),(65.92,41.455),(0.0,41.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(41.585), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(41.585), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[16]']
        createRL(
            tech, net, 'm2',
            ((0.0,45.165),(0.0,45.425),(65.92,45.425),(65.92,45.165),(0.0,45.165)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(45.295), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(45.295), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[17]']
        createRL(
            tech, net, 'm2',
            ((0.0,46.885),(0.0,47.145),(65.92,47.145),(65.92,46.885),(0.0,46.885)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(47.015), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(47.015), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[18]']
        createRL(
            tech, net, 'm2',
            ((0.0,50.595),(0.0,50.855),(65.92,50.855),(65.92,50.595),(0.0,50.595)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.725), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.725), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[19]']
        createRL(
            tech, net, 'm2',
            ((0.0,52.315),(0.0,52.575),(65.92,52.575),(65.92,52.315),(0.0,52.315)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(52.445), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(52.445), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[20]']
        createRL(
            tech, net, 'm2',
            ((0.0,56.025),(0.0,56.285),(65.92,56.285),(65.92,56.025),(0.0,56.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(56.155), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(56.155), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[21]']
        createRL(
            tech, net, 'm2',
            ((0.0,57.745),(0.0,58.005),(65.92,58.005),(65.92,57.745),(0.0,57.745)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(57.875), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(57.875), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[22]']
        createRL(
            tech, net, 'm2',
            ((0.0,61.455),(0.0,61.715),(65.92,61.715),(65.92,61.455),(0.0,61.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(61.585), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(61.585), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[23]']
        createRL(
            tech, net, 'm2',
            ((0.0,63.175),(0.0,63.435),(65.92,63.435),(65.92,63.175),(0.0,63.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.305), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.305), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[24]']
        createRL(
            tech, net, 'm2',
            ((0.0,66.885),(0.0,67.145),(65.92,67.145),(65.92,66.885),(0.0,66.885)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.015), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.015), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[25]']
        createRL(
            tech, net, 'm2',
            ((0.0,68.605),(0.0,68.865),(65.92,68.865),(65.92,68.605),(0.0,68.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(68.735), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(68.735), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[26]']
        createRL(
            tech, net, 'm2',
            ((0.0,72.315),(0.0,72.575),(65.92,72.575),(65.92,72.315),(0.0,72.315)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.445), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.445), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[27]']
        createRL(
            tech, net, 'm2',
            ((0.0,74.035),(0.0,74.295),(65.92,74.295),(65.92,74.035),(0.0,74.035)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(74.165), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(74.165), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[28]']
        createRL(
            tech, net, 'm2',
            ((0.0,77.745),(0.0,78.005),(65.92,78.005),(65.92,77.745),(0.0,77.745)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(77.875), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(77.875), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[29]']
        createRL(
            tech, net, 'm2',
            ((0.0,79.465),(0.0,79.725),(65.92,79.725),(65.92,79.465),(0.0,79.465)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(79.595), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(79.595), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[30]']
        createRL(
            tech, net, 'm2',
            ((0.0,83.175),(0.0,83.435),(65.92,83.435),(65.92,83.175),(0.0,83.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(83.305), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(83.305), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[31]']
        createRL(
            tech, net, 'm2',
            ((0.0,84.895),(0.0,85.155),(65.92,85.155),(65.92,84.895),(0.0,84.895)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(85.025), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(85.025), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[32]']
        createRL(
            tech, net, 'm2',
            ((0.0,88.605),(0.0,88.865),(65.92,88.865),(65.92,88.605),(0.0,88.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(88.735), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(88.735), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[33]']
        createRL(
            tech, net, 'm2',
            ((0.0,90.325),(0.0,90.585),(65.92,90.585),(65.92,90.325),(0.0,90.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.455), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.455), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[34]']
        createRL(
            tech, net, 'm2',
            ((0.0,94.035),(0.0,94.295),(65.92,94.295),(65.92,94.035),(0.0,94.035)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(94.165), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(94.165), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[35]']
        createRL(
            tech, net, 'm2',
            ((0.0,95.755),(0.0,96.015),(65.92,96.015),(65.92,95.755),(0.0,95.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(95.885), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(95.885), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[36]']
        createRL(
            tech, net, 'm2',
            ((0.0,99.465),(0.0,99.725),(65.92,99.725),(65.92,99.465),(0.0,99.465)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(99.595), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(99.595), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[37]']
        createRL(
            tech, net, 'm2',
            ((0.0,101.185),(0.0,101.445),(65.92,101.445),(65.92,101.185),(0.0,101.185)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(101.315), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(101.315), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[38]']
        createRL(
            tech, net, 'm2',
            ((0.0,104.895),(0.0,105.155),(65.92,105.155),(65.92,104.895),(0.0,104.895)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(105.025), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(105.025), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[39]']
        createRL(
            tech, net, 'm2',
            ((0.0,106.615),(0.0,106.875),(65.92,106.875),(65.92,106.615),(0.0,106.615)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(106.745), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(106.745), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[40]']
        createRL(
            tech, net, 'm2',
            ((0.0,110.325),(0.0,110.585),(65.92,110.585),(65.92,110.325),(0.0,110.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(110.455), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(110.455), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[41]']
        createRL(
            tech, net, 'm2',
            ((0.0,112.045),(0.0,112.305),(65.92,112.305),(65.92,112.045),(0.0,112.045)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(112.175), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(112.175), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[42]']
        createRL(
            tech, net, 'm2',
            ((0.0,115.755),(0.0,116.015),(65.92,116.015),(65.92,115.755),(0.0,115.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(115.885), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(115.885), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[43]']
        createRL(
            tech, net, 'm2',
            ((0.0,117.475),(0.0,117.735),(65.92,117.735),(65.92,117.475),(0.0,117.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(117.605), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(117.605), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[44]']
        createRL(
            tech, net, 'm2',
            ((0.0,121.185),(0.0,121.445),(65.92,121.445),(65.92,121.185),(0.0,121.185)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(121.315), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(121.315), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[45]']
        createRL(
            tech, net, 'm2',
            ((0.0,122.905),(0.0,123.165),(65.92,123.165),(65.92,122.905),(0.0,122.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(123.035), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(123.035), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[46]']
        createRL(
            tech, net, 'm2',
            ((0.0,126.615),(0.0,126.875),(65.92,126.875),(65.92,126.615),(0.0,126.615)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(126.745), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(126.745), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[47]']
        createRL(
            tech, net, 'm2',
            ((0.0,128.335),(0.0,128.595),(65.92,128.595),(65.92,128.335),(0.0,128.335)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(128.465), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(128.465), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[48]']
        createRL(
            tech, net, 'm2',
            ((0.0,132.045),(0.0,132.305),(65.92,132.305),(65.92,132.045),(0.0,132.045)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(132.175), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(132.175), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[49]']
        createRL(
            tech, net, 'm2',
            ((0.0,133.765),(0.0,134.025),(65.92,134.025),(65.92,133.765),(0.0,133.765)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(133.895), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(133.895), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[50]']
        createRL(
            tech, net, 'm2',
            ((0.0,137.475),(0.0,137.735),(65.92,137.735),(65.92,137.475),(0.0,137.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(137.605), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(137.605), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[51]']
        createRL(
            tech, net, 'm2',
            ((0.0,139.195),(0.0,139.455),(65.92,139.455),(65.92,139.195),(0.0,139.195)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(139.325), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(139.325), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[52]']
        createRL(
            tech, net, 'm2',
            ((0.0,142.905),(0.0,143.165),(65.92,143.165),(65.92,142.905),(0.0,142.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(143.035), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(143.035), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[53]']
        createRL(
            tech, net, 'm2',
            ((0.0,144.625),(0.0,144.885),(65.92,144.885),(65.92,144.625),(0.0,144.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(144.755), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(144.755), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[54]']
        createRL(
            tech, net, 'm2',
            ((0.0,148.335),(0.0,148.595),(65.92,148.595),(65.92,148.335),(0.0,148.335)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(148.465), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(148.465), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[55]']
        createRL(
            tech, net, 'm2',
            ((0.0,150.055),(0.0,150.315),(65.92,150.315),(65.92,150.055),(0.0,150.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(150.185), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(150.185), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[56]']
        createRL(
            tech, net, 'm2',
            ((0.0,153.765),(0.0,154.025),(65.92,154.025),(65.92,153.765),(0.0,153.765)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(153.895), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(153.895), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[57]']
        createRL(
            tech, net, 'm2',
            ((0.0,155.485),(0.0,155.745),(65.92,155.745),(65.92,155.485),(0.0,155.485)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(155.615), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(155.615), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[58]']
        createRL(
            tech, net, 'm2',
            ((0.0,159.195),(0.0,159.455),(65.92,159.455),(65.92,159.195),(0.0,159.195)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(159.325), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(159.325), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[59]']
        createRL(
            tech, net, 'm2',
            ((0.0,160.915),(0.0,161.175),(65.92,161.175),(65.92,160.915),(0.0,160.915)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(161.045), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(161.045), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[60]']
        createRL(
            tech, net, 'm2',
            ((0.0,164.625),(0.0,164.885),(65.92,164.885),(65.92,164.625),(0.0,164.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(164.755), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(164.755), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[61]']
        createRL(
            tech, net, 'm2',
            ((0.0,166.345),(0.0,166.605),(65.92,166.605),(65.92,166.345),(0.0,166.345)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(166.475), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(166.475), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[62]']
        createRL(
            tech, net, 'm2',
            ((0.0,170.055),(0.0,170.315),(65.92,170.315),(65.92,170.055),(0.0,170.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(170.185), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(170.185), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[63]']
        createRL(
            tech, net, 'm2',
            ((0.0,171.775),(0.0,172.035),(65.92,172.035),(65.92,171.775),(0.0,171.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(171.905), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(171.905), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[64]']
        createRL(
            tech, net, 'm2',
            ((0.0,175.485),(0.0,175.745),(65.92,175.745),(65.92,175.485),(0.0,175.485)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(175.615), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(175.615), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[65]']
        createRL(
            tech, net, 'm2',
            ((0.0,177.205),(0.0,177.465),(65.92,177.465),(65.92,177.205),(0.0,177.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(177.335), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(177.335), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[66]']
        createRL(
            tech, net, 'm2',
            ((0.0,180.915),(0.0,181.175),(65.92,181.175),(65.92,180.915),(0.0,180.915)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(181.045), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(181.045), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[67]']
        createRL(
            tech, net, 'm2',
            ((0.0,182.635),(0.0,182.895),(65.92,182.895),(65.92,182.635),(0.0,182.635)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(182.765), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(182.765), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[68]']
        createRL(
            tech, net, 'm2',
            ((0.0,186.345),(0.0,186.605),(65.92,186.605),(65.92,186.345),(0.0,186.345)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(186.475), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(186.475), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[69]']
        createRL(
            tech, net, 'm2',
            ((0.0,188.065),(0.0,188.325),(65.92,188.325),(65.92,188.065),(0.0,188.065)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(188.195), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(188.195), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[70]']
        createRL(
            tech, net, 'm2',
            ((0.0,191.775),(0.0,192.035),(65.92,192.035),(65.92,191.775),(0.0,191.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(191.905), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(191.905), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[71]']
        createRL(
            tech, net, 'm2',
            ((0.0,193.495),(0.0,193.755),(65.92,193.755),(65.92,193.495),(0.0,193.495)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(193.625), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(193.625), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[72]']
        createRL(
            tech, net, 'm2',
            ((0.0,197.205),(0.0,197.465),(65.92,197.465),(65.92,197.205),(0.0,197.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(197.335), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(197.335), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[73]']
        createRL(
            tech, net, 'm2',
            ((0.0,198.925),(0.0,199.185),(65.92,199.185),(65.92,198.925),(0.0,198.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(199.055), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(199.055), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[74]']
        createRL(
            tech, net, 'm2',
            ((0.0,202.635),(0.0,202.895),(65.92,202.895),(65.92,202.635),(0.0,202.635)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(202.765), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(202.765), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[75]']
        createRL(
            tech, net, 'm2',
            ((0.0,204.355),(0.0,204.615),(65.92,204.615),(65.92,204.355),(0.0,204.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(204.485), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(204.485), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[76]']
        createRL(
            tech, net, 'm2',
            ((0.0,208.065),(0.0,208.325),(65.92,208.325),(65.92,208.065),(0.0,208.065)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(208.195), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(208.195), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[77]']
        createRL(
            tech, net, 'm2',
            ((0.0,209.785),(0.0,210.045),(65.92,210.045),(65.92,209.785),(0.0,209.785)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(209.915), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(209.915), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[78]']
        createRL(
            tech, net, 'm2',
            ((0.0,213.495),(0.0,213.755),(65.92,213.755),(65.92,213.495),(0.0,213.495)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(213.625), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(213.625), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[79]']
        createRL(
            tech, net, 'm2',
            ((0.0,215.215),(0.0,215.475),(65.92,215.475),(65.92,215.215),(0.0,215.215)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(215.345), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(215.345), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[80]']
        createRL(
            tech, net, 'm2',
            ((0.0,218.925),(0.0,219.185),(65.92,219.185),(65.92,218.925),(0.0,218.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(219.055), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(219.055), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[81]']
        createRL(
            tech, net, 'm2',
            ((0.0,220.645),(0.0,220.905),(65.92,220.905),(65.92,220.645),(0.0,220.645)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(220.775), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(220.775), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[82]']
        createRL(
            tech, net, 'm2',
            ((0.0,224.355),(0.0,224.615),(65.92,224.615),(65.92,224.355),(0.0,224.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(224.485), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(224.485), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[83]']
        createRL(
            tech, net, 'm2',
            ((0.0,226.075),(0.0,226.335),(65.92,226.335),(65.92,226.075),(0.0,226.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(226.205), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(226.205), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[84]']
        createRL(
            tech, net, 'm2',
            ((0.0,229.785),(0.0,230.045),(65.92,230.045),(65.92,229.785),(0.0,229.785)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(229.915), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(229.915), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[85]']
        createRL(
            tech, net, 'm2',
            ((0.0,231.505),(0.0,231.765),(65.92,231.765),(65.92,231.505),(0.0,231.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(231.635), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(231.635), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[86]']
        createRL(
            tech, net, 'm2',
            ((0.0,235.215),(0.0,235.475),(65.92,235.475),(65.92,235.215),(0.0,235.215)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(235.345), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(235.345), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[87]']
        createRL(
            tech, net, 'm2',
            ((0.0,236.935),(0.0,237.195),(65.92,237.195),(65.92,236.935),(0.0,236.935)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(237.065), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(237.065), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[88]']
        createRL(
            tech, net, 'm2',
            ((0.0,240.645),(0.0,240.905),(65.92,240.905),(65.92,240.645),(0.0,240.645)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(240.775), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(240.775), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[89]']
        createRL(
            tech, net, 'm2',
            ((0.0,242.365),(0.0,242.625),(65.92,242.625),(65.92,242.365),(0.0,242.365)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(242.495), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(242.495), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[90]']
        createRL(
            tech, net, 'm2',
            ((0.0,246.075),(0.0,246.335),(65.92,246.335),(65.92,246.075),(0.0,246.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(246.205), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(246.205), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[91]']
        createRL(
            tech, net, 'm2',
            ((0.0,247.795),(0.0,248.055),(65.92,248.055),(65.92,247.795),(0.0,247.795)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(247.925), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(247.925), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[92]']
        createRL(
            tech, net, 'm2',
            ((0.0,251.505),(0.0,251.765),(65.92,251.765),(65.92,251.505),(0.0,251.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(251.635), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(251.635), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[93]']
        createRL(
            tech, net, 'm2',
            ((0.0,253.225),(0.0,253.485),(65.92,253.485),(65.92,253.225),(0.0,253.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(253.355), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(253.355), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[94]']
        createRL(
            tech, net, 'm2',
            ((0.0,256.935),(0.0,257.195),(65.92,257.195),(65.92,256.935),(0.0,256.935)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(257.065), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(257.065), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[95]']
        createRL(
            tech, net, 'm2',
            ((0.0,258.655),(0.0,258.915),(65.92,258.915),(65.92,258.655),(0.0,258.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(258.785), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(258.785), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[96]']
        createRL(
            tech, net, 'm2',
            ((0.0,262.365),(0.0,262.625),(65.92,262.625),(65.92,262.365),(0.0,262.365)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(262.495), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(262.495), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[97]']
        createRL(
            tech, net, 'm2',
            ((0.0,264.085),(0.0,264.345),(65.92,264.345),(65.92,264.085),(0.0,264.085)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(264.215), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(264.215), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[98]']
        createRL(
            tech, net, 'm2',
            ((0.0,267.795),(0.0,268.055),(65.92,268.055),(65.92,267.795),(0.0,267.795)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(267.925), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(267.925), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[99]']
        createRL(
            tech, net, 'm2',
            ((0.0,269.515),(0.0,269.775),(65.92,269.775),(65.92,269.515),(0.0,269.515)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(269.645), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(269.645), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[100]']
        createRL(
            tech, net, 'm2',
            ((0.0,273.225),(0.0,273.485),(65.92,273.485),(65.92,273.225),(0.0,273.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(273.355), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(273.355), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[101]']
        createRL(
            tech, net, 'm2',
            ((0.0,274.945),(0.0,275.205),(65.92,275.205),(65.92,274.945),(0.0,274.945)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(275.075), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(275.075), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[102]']
        createRL(
            tech, net, 'm2',
            ((0.0,278.655),(0.0,278.915),(65.92,278.915),(65.92,278.655),(0.0,278.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(278.785), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(278.785), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[103]']
        createRL(
            tech, net, 'm2',
            ((0.0,280.375),(0.0,280.635),(65.92,280.635),(65.92,280.375),(0.0,280.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(280.505), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(280.505), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[104]']
        createRL(
            tech, net, 'm2',
            ((0.0,284.085),(0.0,284.345),(65.92,284.345),(65.92,284.085),(0.0,284.085)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(284.215), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(284.215), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[105]']
        createRL(
            tech, net, 'm2',
            ((0.0,285.805),(0.0,286.065),(65.92,286.065),(65.92,285.805),(0.0,285.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(285.935), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(285.935), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[106]']
        createRL(
            tech, net, 'm2',
            ((0.0,289.515),(0.0,289.775),(65.92,289.775),(65.92,289.515),(0.0,289.515)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(289.645), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(289.645), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[107]']
        createRL(
            tech, net, 'm2',
            ((0.0,291.235),(0.0,291.495),(65.92,291.495),(65.92,291.235),(0.0,291.235)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(291.365), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(291.365), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[108]']
        createRL(
            tech, net, 'm2',
            ((0.0,294.945),(0.0,295.205),(65.92,295.205),(65.92,294.945),(0.0,294.945)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(295.075), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(295.075), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[109]']
        createRL(
            tech, net, 'm2',
            ((0.0,296.665),(0.0,296.925),(65.92,296.925),(65.92,296.665),(0.0,296.665)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(296.795), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(296.795), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[110]']
        createRL(
            tech, net, 'm2',
            ((0.0,300.375),(0.0,300.635),(65.92,300.635),(65.92,300.375),(0.0,300.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(300.505), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(300.505), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[111]']
        createRL(
            tech, net, 'm2',
            ((0.0,302.095),(0.0,302.355),(65.92,302.355),(65.92,302.095),(0.0,302.095)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(302.225), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(302.225), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[112]']
        createRL(
            tech, net, 'm2',
            ((0.0,305.805),(0.0,306.065),(65.92,306.065),(65.92,305.805),(0.0,305.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(305.935), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(305.935), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[113]']
        createRL(
            tech, net, 'm2',
            ((0.0,307.525),(0.0,307.785),(65.92,307.785),(65.92,307.525),(0.0,307.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(307.655), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(307.655), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[114]']
        createRL(
            tech, net, 'm2',
            ((0.0,311.235),(0.0,311.495),(65.92,311.495),(65.92,311.235),(0.0,311.235)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(311.365), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(311.365), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[115]']
        createRL(
            tech, net, 'm2',
            ((0.0,312.955),(0.0,313.215),(65.92,313.215),(65.92,312.955),(0.0,312.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(313.085), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(313.085), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[116]']
        createRL(
            tech, net, 'm2',
            ((0.0,316.665),(0.0,316.925),(65.92,316.925),(65.92,316.665),(0.0,316.665)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(316.795), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(316.795), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[117]']
        createRL(
            tech, net, 'm2',
            ((0.0,318.385),(0.0,318.645),(65.92,318.645),(65.92,318.385),(0.0,318.385)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(318.515), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(318.515), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[118]']
        createRL(
            tech, net, 'm2',
            ((0.0,322.095),(0.0,322.355),(65.92,322.355),(65.92,322.095),(0.0,322.095)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(322.225), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(322.225), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[119]']
        createRL(
            tech, net, 'm2',
            ((0.0,323.815),(0.0,324.075),(65.92,324.075),(65.92,323.815),(0.0,323.815)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(323.945), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(323.945), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[120]']
        createRL(
            tech, net, 'm2',
            ((0.0,327.525),(0.0,327.785),(65.92,327.785),(65.92,327.525),(0.0,327.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(327.655), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(327.655), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[121]']
        createRL(
            tech, net, 'm2',
            ((0.0,329.245),(0.0,329.505),(65.92,329.505),(65.92,329.245),(0.0,329.245)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(329.375), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(329.375), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[122]']
        createRL(
            tech, net, 'm2',
            ((0.0,332.955),(0.0,333.215),(65.92,333.215),(65.92,332.955),(0.0,332.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(333.085), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(333.085), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[123]']
        createRL(
            tech, net, 'm2',
            ((0.0,334.675),(0.0,334.935),(65.92,334.935),(65.92,334.675),(0.0,334.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(334.805), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(334.805), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[124]']
        createRL(
            tech, net, 'm2',
            ((0.0,338.385),(0.0,338.645),(65.92,338.645),(65.92,338.385),(0.0,338.385)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(338.515), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(338.515), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[125]']
        createRL(
            tech, net, 'm2',
            ((0.0,340.105),(0.0,340.365),(65.92,340.365),(65.92,340.105),(0.0,340.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(340.235), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(340.235), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[126]']
        createRL(
            tech, net, 'm2',
            ((0.0,343.815),(0.0,344.075),(65.92,344.075),(65.92,343.815),(0.0,343.815)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(343.945), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(343.945), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[127]']
        createRL(
            tech, net, 'm2',
            ((0.0,345.535),(0.0,345.795),(65.92,345.795),(65.92,345.535),(0.0,345.535)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(345.665), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(345.665), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[0]']
        createRL(
            tech, net, 'm1',
            ((0.4,0.0),(0.4,347.52),(0.63,347.52),(0.63,0.0),(0.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.515), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.515), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.43,0.0),(1.43,347.52),(1.66,347.52),(1.66,0.0),(1.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.545), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.545), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[1]']
        createRL(
            tech, net, 'm1',
            ((2.46,0.0),(2.46,347.52),(2.69,347.52),(2.69,0.0),(2.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.575), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.575), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[1]']
        createRL(
            tech, net, 'm1',
            ((3.49,0.0),(3.49,347.52),(3.72,347.52),(3.72,0.0),(3.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.605), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.605), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[2]']
        createRL(
            tech, net, 'm1',
            ((4.52,0.0),(4.52,347.52),(4.75,347.52),(4.75,0.0),(4.52,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.635), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.635), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[2]']
        createRL(
            tech, net, 'm1',
            ((5.55,0.0),(5.55,347.52),(5.78,347.52),(5.78,0.0),(5.55,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.665), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.665), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[3]']
        createRL(
            tech, net, 'm1',
            ((6.58,0.0),(6.58,347.52),(6.81,347.52),(6.81,0.0),(6.58,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.695), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.695), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[3]']
        createRL(
            tech, net, 'm1',
            ((7.61,0.0),(7.61,347.52),(7.84,347.52),(7.84,0.0),(7.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.725), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.725), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[4]']
        createRL(
            tech, net, 'm1',
            ((8.64,0.0),(8.64,347.52),(8.87,347.52),(8.87,0.0),(8.64,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(8.755), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(8.755), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[4]']
        createRL(
            tech, net, 'm1',
            ((9.67,0.0),(9.67,347.52),(9.9,347.52),(9.9,0.0),(9.67,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(9.785), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(9.785), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[5]']
        createRL(
            tech, net, 'm1',
            ((10.7,0.0),(10.7,347.52),(10.93,347.52),(10.93,0.0),(10.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(10.815), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(10.815), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[5]']
        createRL(
            tech, net, 'm1',
            ((11.73,0.0),(11.73,347.52),(11.96,347.52),(11.96,0.0),(11.73,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(11.845), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(11.845), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[6]']
        createRL(
            tech, net, 'm1',
            ((12.76,0.0),(12.76,347.52),(12.99,347.52),(12.99,0.0),(12.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.875), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.875), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[6]']
        createRL(
            tech, net, 'm1',
            ((13.79,0.0),(13.79,347.52),(14.02,347.52),(14.02,0.0),(13.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(13.905), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(13.905), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[7]']
        createRL(
            tech, net, 'm1',
            ((14.82,0.0),(14.82,347.52),(15.05,347.52),(15.05,0.0),(14.82,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(14.935), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(14.935), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[7]']
        createRL(
            tech, net, 'm1',
            ((15.85,0.0),(15.85,347.52),(16.08,347.52),(16.08,0.0),(15.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(15.965), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(15.965), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[8]']
        createRL(
            tech, net, 'm1',
            ((16.88,0.0),(16.88,347.52),(17.11,347.52),(17.11,0.0),(16.88,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(16.995), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(16.995), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[8]']
        createRL(
            tech, net, 'm1',
            ((17.91,0.0),(17.91,347.52),(18.14,347.52),(18.14,0.0),(17.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(18.025), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(18.025), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[9]']
        createRL(
            tech, net, 'm1',
            ((18.94,0.0),(18.94,347.52),(19.17,347.52),(19.17,0.0),(18.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(19.055), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(19.055), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[9]']
        createRL(
            tech, net, 'm1',
            ((19.97,0.0),(19.97,347.52),(20.2,347.52),(20.2,0.0),(19.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(20.085), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(20.085), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[10]']
        createRL(
            tech, net, 'm1',
            ((21.0,0.0),(21.0,347.52),(21.23,347.52),(21.23,0.0),(21.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(21.115), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(21.115), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[10]']
        createRL(
            tech, net, 'm1',
            ((22.03,0.0),(22.03,347.52),(22.26,347.52),(22.26,0.0),(22.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(22.145), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(22.145), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[11]']
        createRL(
            tech, net, 'm1',
            ((23.06,0.0),(23.06,347.52),(23.29,347.52),(23.29,0.0),(23.06,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(23.175), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(23.175), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[11]']
        createRL(
            tech, net, 'm1',
            ((24.09,0.0),(24.09,347.52),(24.32,347.52),(24.32,0.0),(24.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(24.205), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(24.205), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[12]']
        createRL(
            tech, net, 'm1',
            ((25.12,0.0),(25.12,347.52),(25.35,347.52),(25.35,0.0),(25.12,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(25.235), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(25.235), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[12]']
        createRL(
            tech, net, 'm1',
            ((26.15,0.0),(26.15,347.52),(26.38,347.52),(26.38,0.0),(26.15,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(26.265), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(26.265), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[13]']
        createRL(
            tech, net, 'm1',
            ((27.18,0.0),(27.18,347.52),(27.41,347.52),(27.41,0.0),(27.18,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(27.295), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(27.295), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[13]']
        createRL(
            tech, net, 'm1',
            ((28.21,0.0),(28.21,347.52),(28.44,347.52),(28.44,0.0),(28.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(28.325), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(28.325), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[14]']
        createRL(
            tech, net, 'm1',
            ((29.24,0.0),(29.24,347.52),(29.47,347.52),(29.47,0.0),(29.24,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(29.355), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(29.355), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[14]']
        createRL(
            tech, net, 'm1',
            ((30.27,0.0),(30.27,347.52),(30.5,347.52),(30.5,0.0),(30.27,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(30.385), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(30.385), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[15]']
        createRL(
            tech, net, 'm1',
            ((31.3,0.0),(31.3,347.52),(31.53,347.52),(31.53,0.0),(31.3,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(31.415), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(31.415), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[15]']
        createRL(
            tech, net, 'm1',
            ((32.33,0.0),(32.33,347.52),(32.56,347.52),(32.56,0.0),(32.33,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(32.445), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(32.445), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[16]']
        createRL(
            tech, net, 'm1',
            ((33.36,0.0),(33.36,347.52),(33.59,347.52),(33.59,0.0),(33.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(33.475), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(33.475), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[16]']
        createRL(
            tech, net, 'm1',
            ((34.39,0.0),(34.39,347.52),(34.62,347.52),(34.62,0.0),(34.39,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(34.505), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(34.505), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[17]']
        createRL(
            tech, net, 'm1',
            ((35.42,0.0),(35.42,347.52),(35.65,347.52),(35.65,0.0),(35.42,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(35.535), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(35.535), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[17]']
        createRL(
            tech, net, 'm1',
            ((36.45,0.0),(36.45,347.52),(36.68,347.52),(36.68,0.0),(36.45,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(36.565), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(36.565), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[18]']
        createRL(
            tech, net, 'm1',
            ((37.48,0.0),(37.48,347.52),(37.71,347.52),(37.71,0.0),(37.48,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(37.595), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(37.595), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[18]']
        createRL(
            tech, net, 'm1',
            ((38.51,0.0),(38.51,347.52),(38.74,347.52),(38.74,0.0),(38.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(38.625), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(38.625), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[19]']
        createRL(
            tech, net, 'm1',
            ((39.54,0.0),(39.54,347.52),(39.77,347.52),(39.77,0.0),(39.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(39.655), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(39.655), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[19]']
        createRL(
            tech, net, 'm1',
            ((40.57,0.0),(40.57,347.52),(40.8,347.52),(40.8,0.0),(40.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(40.685), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(40.685), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[20]']
        createRL(
            tech, net, 'm1',
            ((41.6,0.0),(41.6,347.52),(41.83,347.52),(41.83,0.0),(41.6,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(41.715), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(41.715), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[20]']
        createRL(
            tech, net, 'm1',
            ((42.63,0.0),(42.63,347.52),(42.86,347.52),(42.86,0.0),(42.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(42.745), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(42.745), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[21]']
        createRL(
            tech, net, 'm1',
            ((43.66,0.0),(43.66,347.52),(43.89,347.52),(43.89,0.0),(43.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(43.775), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(43.775), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[21]']
        createRL(
            tech, net, 'm1',
            ((44.69,0.0),(44.69,347.52),(44.92,347.52),(44.92,0.0),(44.69,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(44.805), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(44.805), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[22]']
        createRL(
            tech, net, 'm1',
            ((45.72,0.0),(45.72,347.52),(45.95,347.52),(45.95,0.0),(45.72,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(45.835), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(45.835), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[22]']
        createRL(
            tech, net, 'm1',
            ((46.75,0.0),(46.75,347.52),(46.98,347.52),(46.98,0.0),(46.75,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(46.865), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(46.865), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[23]']
        createRL(
            tech, net, 'm1',
            ((47.78,0.0),(47.78,347.52),(48.01,347.52),(48.01,0.0),(47.78,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(47.895), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(47.895), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[23]']
        createRL(
            tech, net, 'm1',
            ((48.81,0.0),(48.81,347.52),(49.04,347.52),(49.04,0.0),(48.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(48.925), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(48.925), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[24]']
        createRL(
            tech, net, 'm1',
            ((49.84,0.0),(49.84,347.52),(50.07,347.52),(50.07,0.0),(49.84,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(49.955), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(49.955), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[24]']
        createRL(
            tech, net, 'm1',
            ((50.87,0.0),(50.87,347.52),(51.1,347.52),(51.1,0.0),(50.87,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(50.985), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(50.985), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[25]']
        createRL(
            tech, net, 'm1',
            ((51.9,0.0),(51.9,347.52),(52.13,347.52),(52.13,0.0),(51.9,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(52.015), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(52.015), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[25]']
        createRL(
            tech, net, 'm1',
            ((52.93,0.0),(52.93,347.52),(53.16,347.52),(53.16,0.0),(52.93,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(53.045), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(53.045), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[26]']
        createRL(
            tech, net, 'm1',
            ((53.96,0.0),(53.96,347.52),(54.19,347.52),(54.19,0.0),(53.96,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(54.075), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(54.075), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[26]']
        createRL(
            tech, net, 'm1',
            ((54.99,0.0),(54.99,347.52),(55.22,347.52),(55.22,0.0),(54.99,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(55.105), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(55.105), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[27]']
        createRL(
            tech, net, 'm1',
            ((56.02,0.0),(56.02,347.52),(56.25,347.52),(56.25,0.0),(56.02,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(56.135), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(56.135), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[27]']
        createRL(
            tech, net, 'm1',
            ((57.05,0.0),(57.05,347.52),(57.28,347.52),(57.28,0.0),(57.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(57.165), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(57.165), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[28]']
        createRL(
            tech, net, 'm1',
            ((58.08,0.0),(58.08,347.52),(58.31,347.52),(58.31,0.0),(58.08,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(58.195), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(58.195), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[28]']
        createRL(
            tech, net, 'm1',
            ((59.11,0.0),(59.11,347.52),(59.34,347.52),(59.34,0.0),(59.11,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(59.225), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(59.225), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[29]']
        createRL(
            tech, net, 'm1',
            ((60.14,0.0),(60.14,347.52),(60.37,347.52),(60.37,0.0),(60.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(60.255), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(60.255), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[29]']
        createRL(
            tech, net, 'm1',
            ((61.17,0.0),(61.17,347.52),(61.4,347.52),(61.4,0.0),(61.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(61.285), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(61.285), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[30]']
        createRL(
            tech, net, 'm1',
            ((62.2,0.0),(62.2,347.52),(62.43,347.52),(62.43,0.0),(62.2,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(62.315), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(62.315), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[30]']
        createRL(
            tech, net, 'm1',
            ((63.23,0.0),(63.23,347.52),(63.46,347.52),(63.46,0.0),(63.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(63.345), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(63.345), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[31]']
        createRL(
            tech, net, 'm1',
            ((64.26,0.0),(64.26,347.52),(64.49,347.52),(64.49,0.0),(64.26,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(64.375), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(64.375), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[31]']
        createRL(
            tech, net, 'm1',
            ((65.29,0.0),(65.29,347.52),(65.52,347.52),(65.52,0.0),(65.29,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(65.405), u(0.23), u(0.0), u(347.52),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(65.405), u(0.23), u(0.0), u(347.52),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,347.52),(65.92,347.52),(65.92,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['wl[4]'].setDirection(Net.Direction.IN)
        nets['wl[5]'].setDirection(Net.Direction.IN)
        nets['wl[6]'].setDirection(Net.Direction.IN)
        nets['wl[7]'].setDirection(Net.Direction.IN)
        nets['wl[8]'].setDirection(Net.Direction.IN)
        nets['wl[9]'].setDirection(Net.Direction.IN)
        nets['wl[10]'].setDirection(Net.Direction.IN)
        nets['wl[11]'].setDirection(Net.Direction.IN)
        nets['wl[12]'].setDirection(Net.Direction.IN)
        nets['wl[13]'].setDirection(Net.Direction.IN)
        nets['wl[14]'].setDirection(Net.Direction.IN)
        nets['wl[15]'].setDirection(Net.Direction.IN)
        nets['wl[16]'].setDirection(Net.Direction.IN)
        nets['wl[17]'].setDirection(Net.Direction.IN)
        nets['wl[18]'].setDirection(Net.Direction.IN)
        nets['wl[19]'].setDirection(Net.Direction.IN)
        nets['wl[20]'].setDirection(Net.Direction.IN)
        nets['wl[21]'].setDirection(Net.Direction.IN)
        nets['wl[22]'].setDirection(Net.Direction.IN)
        nets['wl[23]'].setDirection(Net.Direction.IN)
        nets['wl[24]'].setDirection(Net.Direction.IN)
        nets['wl[25]'].setDirection(Net.Direction.IN)
        nets['wl[26]'].setDirection(Net.Direction.IN)
        nets['wl[27]'].setDirection(Net.Direction.IN)
        nets['wl[28]'].setDirection(Net.Direction.IN)
        nets['wl[29]'].setDirection(Net.Direction.IN)
        nets['wl[30]'].setDirection(Net.Direction.IN)
        nets['wl[31]'].setDirection(Net.Direction.IN)
        nets['wl[32]'].setDirection(Net.Direction.IN)
        nets['wl[33]'].setDirection(Net.Direction.IN)
        nets['wl[34]'].setDirection(Net.Direction.IN)
        nets['wl[35]'].setDirection(Net.Direction.IN)
        nets['wl[36]'].setDirection(Net.Direction.IN)
        nets['wl[37]'].setDirection(Net.Direction.IN)
        nets['wl[38]'].setDirection(Net.Direction.IN)
        nets['wl[39]'].setDirection(Net.Direction.IN)
        nets['wl[40]'].setDirection(Net.Direction.IN)
        nets['wl[41]'].setDirection(Net.Direction.IN)
        nets['wl[42]'].setDirection(Net.Direction.IN)
        nets['wl[43]'].setDirection(Net.Direction.IN)
        nets['wl[44]'].setDirection(Net.Direction.IN)
        nets['wl[45]'].setDirection(Net.Direction.IN)
        nets['wl[46]'].setDirection(Net.Direction.IN)
        nets['wl[47]'].setDirection(Net.Direction.IN)
        nets['wl[48]'].setDirection(Net.Direction.IN)
        nets['wl[49]'].setDirection(Net.Direction.IN)
        nets['wl[50]'].setDirection(Net.Direction.IN)
        nets['wl[51]'].setDirection(Net.Direction.IN)
        nets['wl[52]'].setDirection(Net.Direction.IN)
        nets['wl[53]'].setDirection(Net.Direction.IN)
        nets['wl[54]'].setDirection(Net.Direction.IN)
        nets['wl[55]'].setDirection(Net.Direction.IN)
        nets['wl[56]'].setDirection(Net.Direction.IN)
        nets['wl[57]'].setDirection(Net.Direction.IN)
        nets['wl[58]'].setDirection(Net.Direction.IN)
        nets['wl[59]'].setDirection(Net.Direction.IN)
        nets['wl[60]'].setDirection(Net.Direction.IN)
        nets['wl[61]'].setDirection(Net.Direction.IN)
        nets['wl[62]'].setDirection(Net.Direction.IN)
        nets['wl[63]'].setDirection(Net.Direction.IN)
        nets['wl[64]'].setDirection(Net.Direction.IN)
        nets['wl[65]'].setDirection(Net.Direction.IN)
        nets['wl[66]'].setDirection(Net.Direction.IN)
        nets['wl[67]'].setDirection(Net.Direction.IN)
        nets['wl[68]'].setDirection(Net.Direction.IN)
        nets['wl[69]'].setDirection(Net.Direction.IN)
        nets['wl[70]'].setDirection(Net.Direction.IN)
        nets['wl[71]'].setDirection(Net.Direction.IN)
        nets['wl[72]'].setDirection(Net.Direction.IN)
        nets['wl[73]'].setDirection(Net.Direction.IN)
        nets['wl[74]'].setDirection(Net.Direction.IN)
        nets['wl[75]'].setDirection(Net.Direction.IN)
        nets['wl[76]'].setDirection(Net.Direction.IN)
        nets['wl[77]'].setDirection(Net.Direction.IN)
        nets['wl[78]'].setDirection(Net.Direction.IN)
        nets['wl[79]'].setDirection(Net.Direction.IN)
        nets['wl[80]'].setDirection(Net.Direction.IN)
        nets['wl[81]'].setDirection(Net.Direction.IN)
        nets['wl[82]'].setDirection(Net.Direction.IN)
        nets['wl[83]'].setDirection(Net.Direction.IN)
        nets['wl[84]'].setDirection(Net.Direction.IN)
        nets['wl[85]'].setDirection(Net.Direction.IN)
        nets['wl[86]'].setDirection(Net.Direction.IN)
        nets['wl[87]'].setDirection(Net.Direction.IN)
        nets['wl[88]'].setDirection(Net.Direction.IN)
        nets['wl[89]'].setDirection(Net.Direction.IN)
        nets['wl[90]'].setDirection(Net.Direction.IN)
        nets['wl[91]'].setDirection(Net.Direction.IN)
        nets['wl[92]'].setDirection(Net.Direction.IN)
        nets['wl[93]'].setDirection(Net.Direction.IN)
        nets['wl[94]'].setDirection(Net.Direction.IN)
        nets['wl[95]'].setDirection(Net.Direction.IN)
        nets['wl[96]'].setDirection(Net.Direction.IN)
        nets['wl[97]'].setDirection(Net.Direction.IN)
        nets['wl[98]'].setDirection(Net.Direction.IN)
        nets['wl[99]'].setDirection(Net.Direction.IN)
        nets['wl[100]'].setDirection(Net.Direction.IN)
        nets['wl[101]'].setDirection(Net.Direction.IN)
        nets['wl[102]'].setDirection(Net.Direction.IN)
        nets['wl[103]'].setDirection(Net.Direction.IN)
        nets['wl[104]'].setDirection(Net.Direction.IN)
        nets['wl[105]'].setDirection(Net.Direction.IN)
        nets['wl[106]'].setDirection(Net.Direction.IN)
        nets['wl[107]'].setDirection(Net.Direction.IN)
        nets['wl[108]'].setDirection(Net.Direction.IN)
        nets['wl[109]'].setDirection(Net.Direction.IN)
        nets['wl[110]'].setDirection(Net.Direction.IN)
        nets['wl[111]'].setDirection(Net.Direction.IN)
        nets['wl[112]'].setDirection(Net.Direction.IN)
        nets['wl[113]'].setDirection(Net.Direction.IN)
        nets['wl[114]'].setDirection(Net.Direction.IN)
        nets['wl[115]'].setDirection(Net.Direction.IN)
        nets['wl[116]'].setDirection(Net.Direction.IN)
        nets['wl[117]'].setDirection(Net.Direction.IN)
        nets['wl[118]'].setDirection(Net.Direction.IN)
        nets['wl[119]'].setDirection(Net.Direction.IN)
        nets['wl[120]'].setDirection(Net.Direction.IN)
        nets['wl[121]'].setDirection(Net.Direction.IN)
        nets['wl[122]'].setDirection(Net.Direction.IN)
        nets['wl[123]'].setDirection(Net.Direction.IN)
        nets['wl[124]'].setDirection(Net.Direction.IN)
        nets['wl[125]'].setDirection(Net.Direction.IN)
        nets['wl[126]'].setDirection(Net.Direction.IN)
        nets['wl[127]'].setDirection(Net.Direction.IN)
        nets['bl[0]'].setDirection(Net.Direction.IN)
        nets['bl_n[0]'].setDirection(Net.Direction.IN)
        nets['bl[1]'].setDirection(Net.Direction.IN)
        nets['bl_n[1]'].setDirection(Net.Direction.IN)
        nets['bl[2]'].setDirection(Net.Direction.IN)
        nets['bl_n[2]'].setDirection(Net.Direction.IN)
        nets['bl[3]'].setDirection(Net.Direction.IN)
        nets['bl_n[3]'].setDirection(Net.Direction.IN)
        nets['bl[4]'].setDirection(Net.Direction.IN)
        nets['bl_n[4]'].setDirection(Net.Direction.IN)
        nets['bl[5]'].setDirection(Net.Direction.IN)
        nets['bl_n[5]'].setDirection(Net.Direction.IN)
        nets['bl[6]'].setDirection(Net.Direction.IN)
        nets['bl_n[6]'].setDirection(Net.Direction.IN)
        nets['bl[7]'].setDirection(Net.Direction.IN)
        nets['bl_n[7]'].setDirection(Net.Direction.IN)
        nets['bl[8]'].setDirection(Net.Direction.IN)
        nets['bl_n[8]'].setDirection(Net.Direction.IN)
        nets['bl[9]'].setDirection(Net.Direction.IN)
        nets['bl_n[9]'].setDirection(Net.Direction.IN)
        nets['bl[10]'].setDirection(Net.Direction.IN)
        nets['bl_n[10]'].setDirection(Net.Direction.IN)
        nets['bl[11]'].setDirection(Net.Direction.IN)
        nets['bl_n[11]'].setDirection(Net.Direction.IN)
        nets['bl[12]'].setDirection(Net.Direction.IN)
        nets['bl_n[12]'].setDirection(Net.Direction.IN)
        nets['bl[13]'].setDirection(Net.Direction.IN)
        nets['bl_n[13]'].setDirection(Net.Direction.IN)
        nets['bl[14]'].setDirection(Net.Direction.IN)
        nets['bl_n[14]'].setDirection(Net.Direction.IN)
        nets['bl[15]'].setDirection(Net.Direction.IN)
        nets['bl_n[15]'].setDirection(Net.Direction.IN)
        nets['bl[16]'].setDirection(Net.Direction.IN)
        nets['bl_n[16]'].setDirection(Net.Direction.IN)
        nets['bl[17]'].setDirection(Net.Direction.IN)
        nets['bl_n[17]'].setDirection(Net.Direction.IN)
        nets['bl[18]'].setDirection(Net.Direction.IN)
        nets['bl_n[18]'].setDirection(Net.Direction.IN)
        nets['bl[19]'].setDirection(Net.Direction.IN)
        nets['bl_n[19]'].setDirection(Net.Direction.IN)
        nets['bl[20]'].setDirection(Net.Direction.IN)
        nets['bl_n[20]'].setDirection(Net.Direction.IN)
        nets['bl[21]'].setDirection(Net.Direction.IN)
        nets['bl_n[21]'].setDirection(Net.Direction.IN)
        nets['bl[22]'].setDirection(Net.Direction.IN)
        nets['bl_n[22]'].setDirection(Net.Direction.IN)
        nets['bl[23]'].setDirection(Net.Direction.IN)
        nets['bl_n[23]'].setDirection(Net.Direction.IN)
        nets['bl[24]'].setDirection(Net.Direction.IN)
        nets['bl_n[24]'].setDirection(Net.Direction.IN)
        nets['bl[25]'].setDirection(Net.Direction.IN)
        nets['bl_n[25]'].setDirection(Net.Direction.IN)
        nets['bl[26]'].setDirection(Net.Direction.IN)
        nets['bl_n[26]'].setDirection(Net.Direction.IN)
        nets['bl[27]'].setDirection(Net.Direction.IN)
        nets['bl_n[27]'].setDirection(Net.Direction.IN)
        nets['bl[28]'].setDirection(Net.Direction.IN)
        nets['bl_n[28]'].setDirection(Net.Direction.IN)
        nets['bl[29]'].setDirection(Net.Direction.IN)
        nets['bl_n[29]'].setDirection(Net.Direction.IN)
        nets['bl[30]'].setDirection(Net.Direction.IN)
        nets['bl_n[30]'].setDirection(Net.Direction.IN)
        nets['bl[31]'].setDirection(Net.Direction.IN)
        nets['bl_n[31]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TArray_64X32']
        except:
            subcell = af.getCell('SP6TArray_64X32', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TArray_64X32']
        except:
            subcell = af.getCell('SP6TArray_64X32', 0)
        trans = Transformation(
            u(0.0), u(173.76), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst1x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TArray_64X32']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(65.91999999999999), u(173.76),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl[0]': Net.create(cell, 'bl[0]'),
            'bl[10]': Net.create(cell, 'bl[10]'),
            'bl[11]': Net.create(cell, 'bl[11]'),
            'bl[12]': Net.create(cell, 'bl[12]'),
            'bl[13]': Net.create(cell, 'bl[13]'),
            'bl[14]': Net.create(cell, 'bl[14]'),
            'bl[15]': Net.create(cell, 'bl[15]'),
            'bl[16]': Net.create(cell, 'bl[16]'),
            'bl[17]': Net.create(cell, 'bl[17]'),
            'bl[18]': Net.create(cell, 'bl[18]'),
            'bl[19]': Net.create(cell, 'bl[19]'),
            'bl[1]': Net.create(cell, 'bl[1]'),
            'bl[20]': Net.create(cell, 'bl[20]'),
            'bl[21]': Net.create(cell, 'bl[21]'),
            'bl[22]': Net.create(cell, 'bl[22]'),
            'bl[23]': Net.create(cell, 'bl[23]'),
            'bl[24]': Net.create(cell, 'bl[24]'),
            'bl[25]': Net.create(cell, 'bl[25]'),
            'bl[26]': Net.create(cell, 'bl[26]'),
            'bl[27]': Net.create(cell, 'bl[27]'),
            'bl[28]': Net.create(cell, 'bl[28]'),
            'bl[29]': Net.create(cell, 'bl[29]'),
            'bl[2]': Net.create(cell, 'bl[2]'),
            'bl[30]': Net.create(cell, 'bl[30]'),
            'bl[31]': Net.create(cell, 'bl[31]'),
            'bl[3]': Net.create(cell, 'bl[3]'),
            'bl[4]': Net.create(cell, 'bl[4]'),
            'bl[5]': Net.create(cell, 'bl[5]'),
            'bl[6]': Net.create(cell, 'bl[6]'),
            'bl[7]': Net.create(cell, 'bl[7]'),
            'bl[8]': Net.create(cell, 'bl[8]'),
            'bl[9]': Net.create(cell, 'bl[9]'),
            'bl_n[0]': Net.create(cell, 'bl_n[0]'),
            'bl_n[10]': Net.create(cell, 'bl_n[10]'),
            'bl_n[11]': Net.create(cell, 'bl_n[11]'),
            'bl_n[12]': Net.create(cell, 'bl_n[12]'),
            'bl_n[13]': Net.create(cell, 'bl_n[13]'),
            'bl_n[14]': Net.create(cell, 'bl_n[14]'),
            'bl_n[15]': Net.create(cell, 'bl_n[15]'),
            'bl_n[16]': Net.create(cell, 'bl_n[16]'),
            'bl_n[17]': Net.create(cell, 'bl_n[17]'),
            'bl_n[18]': Net.create(cell, 'bl_n[18]'),
            'bl_n[19]': Net.create(cell, 'bl_n[19]'),
            'bl_n[1]': Net.create(cell, 'bl_n[1]'),
            'bl_n[20]': Net.create(cell, 'bl_n[20]'),
            'bl_n[21]': Net.create(cell, 'bl_n[21]'),
            'bl_n[22]': Net.create(cell, 'bl_n[22]'),
            'bl_n[23]': Net.create(cell, 'bl_n[23]'),
            'bl_n[24]': Net.create(cell, 'bl_n[24]'),
            'bl_n[25]': Net.create(cell, 'bl_n[25]'),
            'bl_n[26]': Net.create(cell, 'bl_n[26]'),
            'bl_n[27]': Net.create(cell, 'bl_n[27]'),
            'bl_n[28]': Net.create(cell, 'bl_n[28]'),
            'bl_n[29]': Net.create(cell, 'bl_n[29]'),
            'bl_n[2]': Net.create(cell, 'bl_n[2]'),
            'bl_n[30]': Net.create(cell, 'bl_n[30]'),
            'bl_n[31]': Net.create(cell, 'bl_n[31]'),
            'bl_n[3]': Net.create(cell, 'bl_n[3]'),
            'bl_n[4]': Net.create(cell, 'bl_n[4]'),
            'bl_n[5]': Net.create(cell, 'bl_n[5]'),
            'bl_n[6]': Net.create(cell, 'bl_n[6]'),
            'bl_n[7]': Net.create(cell, 'bl_n[7]'),
            'bl_n[8]': Net.create(cell, 'bl_n[8]'),
            'bl_n[9]': Net.create(cell, 'bl_n[9]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[10]': Net.create(cell, 'wl[10]'),
            'wl[11]': Net.create(cell, 'wl[11]'),
            'wl[12]': Net.create(cell, 'wl[12]'),
            'wl[13]': Net.create(cell, 'wl[13]'),
            'wl[14]': Net.create(cell, 'wl[14]'),
            'wl[15]': Net.create(cell, 'wl[15]'),
            'wl[16]': Net.create(cell, 'wl[16]'),
            'wl[17]': Net.create(cell, 'wl[17]'),
            'wl[18]': Net.create(cell, 'wl[18]'),
            'wl[19]': Net.create(cell, 'wl[19]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[20]': Net.create(cell, 'wl[20]'),
            'wl[21]': Net.create(cell, 'wl[21]'),
            'wl[22]': Net.create(cell, 'wl[22]'),
            'wl[23]': Net.create(cell, 'wl[23]'),
            'wl[24]': Net.create(cell, 'wl[24]'),
            'wl[25]': Net.create(cell, 'wl[25]'),
            'wl[26]': Net.create(cell, 'wl[26]'),
            'wl[27]': Net.create(cell, 'wl[27]'),
            'wl[28]': Net.create(cell, 'wl[28]'),
            'wl[29]': Net.create(cell, 'wl[29]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[30]': Net.create(cell, 'wl[30]'),
            'wl[31]': Net.create(cell, 'wl[31]'),
            'wl[32]': Net.create(cell, 'wl[32]'),
            'wl[33]': Net.create(cell, 'wl[33]'),
            'wl[34]': Net.create(cell, 'wl[34]'),
            'wl[35]': Net.create(cell, 'wl[35]'),
            'wl[36]': Net.create(cell, 'wl[36]'),
            'wl[37]': Net.create(cell, 'wl[37]'),
            'wl[38]': Net.create(cell, 'wl[38]'),
            'wl[39]': Net.create(cell, 'wl[39]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
            'wl[40]': Net.create(cell, 'wl[40]'),
            'wl[41]': Net.create(cell, 'wl[41]'),
            'wl[42]': Net.create(cell, 'wl[42]'),
            'wl[43]': Net.create(cell, 'wl[43]'),
            'wl[44]': Net.create(cell, 'wl[44]'),
            'wl[45]': Net.create(cell, 'wl[45]'),
            'wl[46]': Net.create(cell, 'wl[46]'),
            'wl[47]': Net.create(cell, 'wl[47]'),
            'wl[48]': Net.create(cell, 'wl[48]'),
            'wl[49]': Net.create(cell, 'wl[49]'),
            'wl[4]': Net.create(cell, 'wl[4]'),
            'wl[50]': Net.create(cell, 'wl[50]'),
            'wl[51]': Net.create(cell, 'wl[51]'),
            'wl[52]': Net.create(cell, 'wl[52]'),
            'wl[53]': Net.create(cell, 'wl[53]'),
            'wl[54]': Net.create(cell, 'wl[54]'),
            'wl[55]': Net.create(cell, 'wl[55]'),
            'wl[56]': Net.create(cell, 'wl[56]'),
            'wl[57]': Net.create(cell, 'wl[57]'),
            'wl[58]': Net.create(cell, 'wl[58]'),
            'wl[59]': Net.create(cell, 'wl[59]'),
            'wl[5]': Net.create(cell, 'wl[5]'),
            'wl[60]': Net.create(cell, 'wl[60]'),
            'wl[61]': Net.create(cell, 'wl[61]'),
            'wl[62]': Net.create(cell, 'wl[62]'),
            'wl[63]': Net.create(cell, 'wl[63]'),
            'wl[6]': Net.create(cell, 'wl[6]'),
            'wl[7]': Net.create(cell, 'wl[7]'),
            'wl[8]': Net.create(cell, 'wl[8]'),
            'wl[9]': Net.create(cell, 'wl[9]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,89.465),(0.0,89.725),(65.92,89.725),(65.92,89.465),(0.0,89.465)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,84.035),(0.0,84.295),(65.92,84.295),(65.92,84.035),(0.0,84.035)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,138.335),(0.0,138.595),(65.92,138.595),(65.92,138.335),(0.0,138.335)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,149.195),(0.0,149.455),(65.92,149.455),(65.92,149.195),(0.0,149.195)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,8.015),(0.0,8.275),(65.92,8.275),(65.92,8.015),(0.0,8.015)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,132.905),(0.0,133.165),(65.92,133.165),(65.92,132.905),(0.0,132.905)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,67.745),(0.0,68.005),(65.92,68.005),(65.92,67.745),(0.0,67.745)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,46.025),(0.0,46.285),(65.92,46.285),(65.92,46.025),(0.0,46.025)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,51.455),(0.0,51.715),(65.92,51.715),(65.92,51.455),(0.0,51.455)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,127.475),(0.0,127.735),(65.92,127.735),(65.92,127.475),(0.0,127.475)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,2.585),(0.0,2.845),(65.92,2.845),(65.92,2.585),(0.0,2.585)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,122.045),(0.0,122.305),(65.92,122.305),(65.92,122.045),(0.0,122.045)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,154.625),(0.0,154.885),(65.92,154.885),(65.92,154.625),(0.0,154.625)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,165.485),(0.0,165.745),(65.92,165.745),(65.92,165.485),(0.0,165.485)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,24.305),(0.0,24.565),(65.92,24.565),(65.92,24.305),(0.0,24.305)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,73.175),(0.0,73.435),(65.92,73.435),(65.92,73.175),(0.0,73.175)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,143.765),(0.0,144.025),(65.92,144.025),(65.92,143.765),(0.0,143.765)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,170.915),(0.0,171.175),(65.92,171.175),(65.92,170.915),(0.0,170.915)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,116.615),(0.0,116.875),(65.92,116.875),(65.92,116.615),(0.0,116.615)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,94.895),(0.0,95.155),(65.92,95.155),(65.92,94.895),(0.0,94.895)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,13.445),(0.0,13.705),(65.92,13.705),(65.92,13.445),(0.0,13.445)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,40.595),(0.0,40.855),(65.92,40.855),(65.92,40.595),(0.0,40.595)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,105.755),(0.0,106.015),(65.92,106.015),(65.92,105.755),(0.0,105.755)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,56.885),(0.0,57.145),(65.92,57.145),(65.92,56.885),(0.0,56.885)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,62.315),(0.0,62.575),(65.92,62.575),(65.92,62.315),(0.0,62.315)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,78.605),(0.0,78.865),(65.92,78.865),(65.92,78.605),(0.0,78.605)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,160.055),(0.0,160.315),(65.92,160.315),(65.92,160.055),(0.0,160.055)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,35.165),(0.0,35.425),(65.92,35.425),(65.92,35.165),(0.0,35.165)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,111.185),(0.0,111.445),(65.92,111.445),(65.92,111.185),(0.0,111.185)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,100.325),(0.0,100.585),(65.92,100.585),(65.92,100.325),(0.0,100.325)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,29.735),(0.0,29.995),(65.92,29.995),(65.92,29.735),(0.0,29.735)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,18.875),(0.0,19.135),(65.92,19.135),(65.92,18.875),(0.0,18.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(89.595), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(89.595), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(84.165), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(84.165), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(138.465), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(138.465), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(149.325), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(149.325), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.145), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.145), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(133.035), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(133.035), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.875), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.875), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(46.155), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(46.155), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.585), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.585), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(127.605), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(127.605), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.715), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.715), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(122.175), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(122.175), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(154.755), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(154.755), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(165.615), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(165.615), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(24.435), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(24.435), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(73.305), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(73.305), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(143.895), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(143.895), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(171.045), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(171.045), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(116.745), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(116.745), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(95.025), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(95.025), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.575), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.575), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(40.725), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(40.725), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(105.885), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(105.885), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(57.015), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(57.015), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(62.445), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(62.445), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(78.735), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(78.735), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(160.185), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(160.185), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.295), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.295), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(111.315), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(111.315), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(100.455), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(100.455), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.865), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.865), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(19.005), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(19.005), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,113.9),(0.0,114.16),(65.92,114.16),(65.92,113.9),(0.0,113.9)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,27.02),(0.0,27.28),(65.92,27.28),(65.92,27.02),(0.0,27.02)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,135.62),(0.0,135.88),(65.92,135.88),(65.92,135.62),(0.0,135.62)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,157.34),(0.0,157.6),(65.92,157.6),(65.92,157.34),(0.0,157.34)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,151.91),(0.0,152.17),(65.92,152.17),(65.92,151.91),(0.0,151.91)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,37.88),(0.0,38.14),(65.92,38.14),(65.92,37.88),(0.0,37.88)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,75.89),(0.0,76.15),(65.92,76.15),(65.92,75.89),(0.0,75.89)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,10.73),(0.0,10.99),(65.92,10.99),(65.92,10.73),(0.0,10.73)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,108.47),(0.0,108.73),(65.92,108.73),(65.92,108.47),(0.0,108.47)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,21.59),(0.0,21.85),(65.92,21.85),(65.92,21.59),(0.0,21.59)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,124.76),(0.0,125.02),(65.92,125.02),(65.92,124.76),(0.0,124.76)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,119.33),(0.0,119.59),(65.92,119.59),(65.92,119.33),(0.0,119.33)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,81.32),(0.0,81.58),(65.92,81.58),(65.92,81.32),(0.0,81.32)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(65.92,0.13),(65.92,-0.13),(0.0,-0.13)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,130.19),(0.0,130.45),(65.92,130.45),(65.92,130.19),(0.0,130.19)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,59.6),(0.0,59.86),(65.92,59.86),(65.92,59.6),(0.0,59.6)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,103.04),(0.0,103.3),(65.92,103.3),(65.92,103.04),(0.0,103.04)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,86.75),(0.0,87.01),(65.92,87.01),(65.92,86.75),(0.0,86.75)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,146.48),(0.0,146.74),(65.92,146.74),(65.92,146.48),(0.0,146.48)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,48.74),(0.0,49.0),(65.92,49.0),(65.92,48.74),(0.0,48.74)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,141.05),(0.0,141.31),(65.92,141.31),(65.92,141.05),(0.0,141.05)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,173.63),(0.0,173.89),(65.92,173.89),(65.92,173.63),(0.0,173.63)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,54.17),(0.0,54.43),(65.92,54.43),(65.92,54.17),(0.0,54.17)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,162.77),(0.0,163.03),(65.92,163.03),(65.92,162.77),(0.0,162.77)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,168.2),(0.0,168.46),(65.92,168.46),(65.92,168.2),(0.0,168.2)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,43.31),(0.0,43.57),(65.92,43.57),(65.92,43.31),(0.0,43.31)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,65.03),(0.0,65.29),(65.92,65.29),(65.92,65.03),(0.0,65.03)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,97.61),(0.0,97.87),(65.92,97.87),(65.92,97.61),(0.0,97.61)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,16.16),(0.0,16.42),(65.92,16.42),(65.92,16.16),(0.0,16.16)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,32.45),(0.0,32.71),(65.92,32.71),(65.92,32.45),(0.0,32.45)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,92.18),(0.0,92.44),(65.92,92.44),(65.92,92.18),(0.0,92.18)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,5.3),(0.0,5.56),(65.92,5.56),(65.92,5.3),(0.0,5.3)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,70.46),(0.0,70.72),(65.92,70.72),(65.92,70.46),(0.0,70.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(114.03), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(114.03), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(27.15), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(27.15), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(135.75), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(135.75), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(157.47), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(157.47), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(152.04), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(152.04), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(38.01), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(38.01), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(76.02), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(76.02), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.86), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.86), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(108.6), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(108.6), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.72), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.72), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(124.89), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(124.89), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(119.46), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(119.46), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(81.45), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(81.45), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(130.32), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(130.32), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(59.73), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(59.73), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(103.17), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(103.17), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(86.88), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(86.88), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(146.61), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(146.61), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.87), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.87), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(141.18), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(141.18), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(173.76), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(173.76), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(54.3), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(54.3), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(162.9), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(162.9), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(168.33), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(168.33), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(43.44), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(43.44), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(65.16), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(65.16), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(97.74), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(97.74), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.29), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.29), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(32.58), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(32.58), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(92.31), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(92.31), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(5.43), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(5.43), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(70.59), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(70.59), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.725),(0.0,1.985),(65.92,1.985),(65.92,1.725),(0.0,1.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.855), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.855), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.445),(0.0,3.705),(65.92,3.705),(65.92,3.445),(0.0,3.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.575), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.575), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.155),(0.0,7.415),(65.92,7.415),(65.92,7.155),(0.0,7.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.285), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.285), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,8.875),(0.0,9.135),(65.92,9.135),(65.92,8.875),(0.0,8.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.005), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.005), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,12.585),(0.0,12.845),(65.92,12.845),(65.92,12.585),(0.0,12.585)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.715), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.715), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,14.305),(0.0,14.565),(65.92,14.565),(65.92,14.305),(0.0,14.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(14.435), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(14.435), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,18.015),(0.0,18.275),(65.92,18.275),(65.92,18.015),(0.0,18.015)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.145), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.145), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,19.735),(0.0,19.995),(65.92,19.995),(65.92,19.735),(0.0,19.735)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(19.865), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(19.865), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,23.445),(0.0,23.705),(65.92,23.705),(65.92,23.445),(0.0,23.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(23.575), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(23.575), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,25.165),(0.0,25.425),(65.92,25.425),(65.92,25.165),(0.0,25.165)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.295), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.295), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,28.875),(0.0,29.135),(65.92,29.135),(65.92,28.875),(0.0,28.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.005), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.005), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,30.595),(0.0,30.855),(65.92,30.855),(65.92,30.595),(0.0,30.595)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(30.725), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(30.725), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,34.305),(0.0,34.565),(65.92,34.565),(65.92,34.305),(0.0,34.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.435), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.435), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,36.025),(0.0,36.285),(65.92,36.285),(65.92,36.025),(0.0,36.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(36.155), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(36.155), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,39.735),(0.0,39.995),(65.92,39.995),(65.92,39.735),(0.0,39.735)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(39.865), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(39.865), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,41.455),(0.0,41.715),(65.92,41.715),(65.92,41.455),(0.0,41.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(41.585), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(41.585), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[16]']
        createRL(
            tech, net, 'm2',
            ((0.0,45.165),(0.0,45.425),(65.92,45.425),(65.92,45.165),(0.0,45.165)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(45.295), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(45.295), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[17]']
        createRL(
            tech, net, 'm2',
            ((0.0,46.885),(0.0,47.145),(65.92,47.145),(65.92,46.885),(0.0,46.885)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(47.015), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(47.015), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[18]']
        createRL(
            tech, net, 'm2',
            ((0.0,50.595),(0.0,50.855),(65.92,50.855),(65.92,50.595),(0.0,50.595)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.725), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.725), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[19]']
        createRL(
            tech, net, 'm2',
            ((0.0,52.315),(0.0,52.575),(65.92,52.575),(65.92,52.315),(0.0,52.315)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(52.445), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(52.445), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[20]']
        createRL(
            tech, net, 'm2',
            ((0.0,56.025),(0.0,56.285),(65.92,56.285),(65.92,56.025),(0.0,56.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(56.155), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(56.155), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[21]']
        createRL(
            tech, net, 'm2',
            ((0.0,57.745),(0.0,58.005),(65.92,58.005),(65.92,57.745),(0.0,57.745)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(57.875), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(57.875), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[22]']
        createRL(
            tech, net, 'm2',
            ((0.0,61.455),(0.0,61.715),(65.92,61.715),(65.92,61.455),(0.0,61.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(61.585), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(61.585), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[23]']
        createRL(
            tech, net, 'm2',
            ((0.0,63.175),(0.0,63.435),(65.92,63.435),(65.92,63.175),(0.0,63.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.305), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.305), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[24]']
        createRL(
            tech, net, 'm2',
            ((0.0,66.885),(0.0,67.145),(65.92,67.145),(65.92,66.885),(0.0,66.885)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.015), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.015), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[25]']
        createRL(
            tech, net, 'm2',
            ((0.0,68.605),(0.0,68.865),(65.92,68.865),(65.92,68.605),(0.0,68.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(68.735), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(68.735), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[26]']
        createRL(
            tech, net, 'm2',
            ((0.0,72.315),(0.0,72.575),(65.92,72.575),(65.92,72.315),(0.0,72.315)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.445), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.445), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[27]']
        createRL(
            tech, net, 'm2',
            ((0.0,74.035),(0.0,74.295),(65.92,74.295),(65.92,74.035),(0.0,74.035)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(74.165), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(74.165), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[28]']
        createRL(
            tech, net, 'm2',
            ((0.0,77.745),(0.0,78.005),(65.92,78.005),(65.92,77.745),(0.0,77.745)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(77.875), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(77.875), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[29]']
        createRL(
            tech, net, 'm2',
            ((0.0,79.465),(0.0,79.725),(65.92,79.725),(65.92,79.465),(0.0,79.465)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(79.595), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(79.595), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[30]']
        createRL(
            tech, net, 'm2',
            ((0.0,83.175),(0.0,83.435),(65.92,83.435),(65.92,83.175),(0.0,83.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(83.305), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(83.305), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[31]']
        createRL(
            tech, net, 'm2',
            ((0.0,84.895),(0.0,85.155),(65.92,85.155),(65.92,84.895),(0.0,84.895)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(85.025), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(85.025), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[32]']
        createRL(
            tech, net, 'm2',
            ((0.0,88.605),(0.0,88.865),(65.92,88.865),(65.92,88.605),(0.0,88.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(88.735), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(88.735), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[33]']
        createRL(
            tech, net, 'm2',
            ((0.0,90.325),(0.0,90.585),(65.92,90.585),(65.92,90.325),(0.0,90.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.455), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.455), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[34]']
        createRL(
            tech, net, 'm2',
            ((0.0,94.035),(0.0,94.295),(65.92,94.295),(65.92,94.035),(0.0,94.035)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(94.165), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(94.165), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[35]']
        createRL(
            tech, net, 'm2',
            ((0.0,95.755),(0.0,96.015),(65.92,96.015),(65.92,95.755),(0.0,95.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(95.885), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(95.885), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[36]']
        createRL(
            tech, net, 'm2',
            ((0.0,99.465),(0.0,99.725),(65.92,99.725),(65.92,99.465),(0.0,99.465)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(99.595), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(99.595), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[37]']
        createRL(
            tech, net, 'm2',
            ((0.0,101.185),(0.0,101.445),(65.92,101.445),(65.92,101.185),(0.0,101.185)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(101.315), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(101.315), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[38]']
        createRL(
            tech, net, 'm2',
            ((0.0,104.895),(0.0,105.155),(65.92,105.155),(65.92,104.895),(0.0,104.895)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(105.025), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(105.025), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[39]']
        createRL(
            tech, net, 'm2',
            ((0.0,106.615),(0.0,106.875),(65.92,106.875),(65.92,106.615),(0.0,106.615)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(106.745), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(106.745), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[40]']
        createRL(
            tech, net, 'm2',
            ((0.0,110.325),(0.0,110.585),(65.92,110.585),(65.92,110.325),(0.0,110.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(110.455), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(110.455), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[41]']
        createRL(
            tech, net, 'm2',
            ((0.0,112.045),(0.0,112.305),(65.92,112.305),(65.92,112.045),(0.0,112.045)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(112.175), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(112.175), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[42]']
        createRL(
            tech, net, 'm2',
            ((0.0,115.755),(0.0,116.015),(65.92,116.015),(65.92,115.755),(0.0,115.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(115.885), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(115.885), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[43]']
        createRL(
            tech, net, 'm2',
            ((0.0,117.475),(0.0,117.735),(65.92,117.735),(65.92,117.475),(0.0,117.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(117.605), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(117.605), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[44]']
        createRL(
            tech, net, 'm2',
            ((0.0,121.185),(0.0,121.445),(65.92,121.445),(65.92,121.185),(0.0,121.185)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(121.315), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(121.315), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[45]']
        createRL(
            tech, net, 'm2',
            ((0.0,122.905),(0.0,123.165),(65.92,123.165),(65.92,122.905),(0.0,122.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(123.035), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(123.035), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[46]']
        createRL(
            tech, net, 'm2',
            ((0.0,126.615),(0.0,126.875),(65.92,126.875),(65.92,126.615),(0.0,126.615)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(126.745), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(126.745), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[47]']
        createRL(
            tech, net, 'm2',
            ((0.0,128.335),(0.0,128.595),(65.92,128.595),(65.92,128.335),(0.0,128.335)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(128.465), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(128.465), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[48]']
        createRL(
            tech, net, 'm2',
            ((0.0,132.045),(0.0,132.305),(65.92,132.305),(65.92,132.045),(0.0,132.045)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(132.175), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(132.175), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[49]']
        createRL(
            tech, net, 'm2',
            ((0.0,133.765),(0.0,134.025),(65.92,134.025),(65.92,133.765),(0.0,133.765)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(133.895), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(133.895), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[50]']
        createRL(
            tech, net, 'm2',
            ((0.0,137.475),(0.0,137.735),(65.92,137.735),(65.92,137.475),(0.0,137.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(137.605), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(137.605), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[51]']
        createRL(
            tech, net, 'm2',
            ((0.0,139.195),(0.0,139.455),(65.92,139.455),(65.92,139.195),(0.0,139.195)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(139.325), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(139.325), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[52]']
        createRL(
            tech, net, 'm2',
            ((0.0,142.905),(0.0,143.165),(65.92,143.165),(65.92,142.905),(0.0,142.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(143.035), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(143.035), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[53]']
        createRL(
            tech, net, 'm2',
            ((0.0,144.625),(0.0,144.885),(65.92,144.885),(65.92,144.625),(0.0,144.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(144.755), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(144.755), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[54]']
        createRL(
            tech, net, 'm2',
            ((0.0,148.335),(0.0,148.595),(65.92,148.595),(65.92,148.335),(0.0,148.335)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(148.465), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(148.465), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[55]']
        createRL(
            tech, net, 'm2',
            ((0.0,150.055),(0.0,150.315),(65.92,150.315),(65.92,150.055),(0.0,150.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(150.185), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(150.185), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[56]']
        createRL(
            tech, net, 'm2',
            ((0.0,153.765),(0.0,154.025),(65.92,154.025),(65.92,153.765),(0.0,153.765)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(153.895), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(153.895), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[57]']
        createRL(
            tech, net, 'm2',
            ((0.0,155.485),(0.0,155.745),(65.92,155.745),(65.92,155.485),(0.0,155.485)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(155.615), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(155.615), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[58]']
        createRL(
            tech, net, 'm2',
            ((0.0,159.195),(0.0,159.455),(65.92,159.455),(65.92,159.195),(0.0,159.195)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(159.325), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(159.325), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[59]']
        createRL(
            tech, net, 'm2',
            ((0.0,160.915),(0.0,161.175),(65.92,161.175),(65.92,160.915),(0.0,160.915)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(161.045), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(161.045), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[60]']
        createRL(
            tech, net, 'm2',
            ((0.0,164.625),(0.0,164.885),(65.92,164.885),(65.92,164.625),(0.0,164.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(164.755), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(164.755), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[61]']
        createRL(
            tech, net, 'm2',
            ((0.0,166.345),(0.0,166.605),(65.92,166.605),(65.92,166.345),(0.0,166.345)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(166.475), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(166.475), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[62]']
        createRL(
            tech, net, 'm2',
            ((0.0,170.055),(0.0,170.315),(65.92,170.315),(65.92,170.055),(0.0,170.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(170.185), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(170.185), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[63]']
        createRL(
            tech, net, 'm2',
            ((0.0,171.775),(0.0,172.035),(65.92,172.035),(65.92,171.775),(0.0,171.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(171.905), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(171.905), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[0]']
        createRL(
            tech, net, 'm1',
            ((0.4,0.0),(0.4,173.76),(0.63,173.76),(0.63,0.0),(0.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.515), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.515), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.43,0.0),(1.43,173.76),(1.66,173.76),(1.66,0.0),(1.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.545), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.545), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[1]']
        createRL(
            tech, net, 'm1',
            ((2.46,0.0),(2.46,173.76),(2.69,173.76),(2.69,0.0),(2.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.575), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.575), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[1]']
        createRL(
            tech, net, 'm1',
            ((3.49,0.0),(3.49,173.76),(3.72,173.76),(3.72,0.0),(3.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.605), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.605), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[2]']
        createRL(
            tech, net, 'm1',
            ((4.52,0.0),(4.52,173.76),(4.75,173.76),(4.75,0.0),(4.52,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.635), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.635), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[2]']
        createRL(
            tech, net, 'm1',
            ((5.55,0.0),(5.55,173.76),(5.78,173.76),(5.78,0.0),(5.55,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.665), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.665), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[3]']
        createRL(
            tech, net, 'm1',
            ((6.58,0.0),(6.58,173.76),(6.81,173.76),(6.81,0.0),(6.58,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.695), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.695), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[3]']
        createRL(
            tech, net, 'm1',
            ((7.61,0.0),(7.61,173.76),(7.84,173.76),(7.84,0.0),(7.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.725), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.725), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[4]']
        createRL(
            tech, net, 'm1',
            ((8.64,0.0),(8.64,173.76),(8.87,173.76),(8.87,0.0),(8.64,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(8.755), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(8.755), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[4]']
        createRL(
            tech, net, 'm1',
            ((9.67,0.0),(9.67,173.76),(9.9,173.76),(9.9,0.0),(9.67,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(9.785), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(9.785), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[5]']
        createRL(
            tech, net, 'm1',
            ((10.7,0.0),(10.7,173.76),(10.93,173.76),(10.93,0.0),(10.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(10.815), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(10.815), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[5]']
        createRL(
            tech, net, 'm1',
            ((11.73,0.0),(11.73,173.76),(11.96,173.76),(11.96,0.0),(11.73,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(11.845), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(11.845), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[6]']
        createRL(
            tech, net, 'm1',
            ((12.76,0.0),(12.76,173.76),(12.99,173.76),(12.99,0.0),(12.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.875), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.875), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[6]']
        createRL(
            tech, net, 'm1',
            ((13.79,0.0),(13.79,173.76),(14.02,173.76),(14.02,0.0),(13.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(13.905), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(13.905), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[7]']
        createRL(
            tech, net, 'm1',
            ((14.82,0.0),(14.82,173.76),(15.05,173.76),(15.05,0.0),(14.82,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(14.935), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(14.935), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[7]']
        createRL(
            tech, net, 'm1',
            ((15.85,0.0),(15.85,173.76),(16.08,173.76),(16.08,0.0),(15.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(15.965), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(15.965), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[8]']
        createRL(
            tech, net, 'm1',
            ((16.88,0.0),(16.88,173.76),(17.11,173.76),(17.11,0.0),(16.88,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(16.995), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(16.995), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[8]']
        createRL(
            tech, net, 'm1',
            ((17.91,0.0),(17.91,173.76),(18.14,173.76),(18.14,0.0),(17.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(18.025), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(18.025), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[9]']
        createRL(
            tech, net, 'm1',
            ((18.94,0.0),(18.94,173.76),(19.17,173.76),(19.17,0.0),(18.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(19.055), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(19.055), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[9]']
        createRL(
            tech, net, 'm1',
            ((19.97,0.0),(19.97,173.76),(20.2,173.76),(20.2,0.0),(19.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(20.085), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(20.085), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[10]']
        createRL(
            tech, net, 'm1',
            ((21.0,0.0),(21.0,173.76),(21.23,173.76),(21.23,0.0),(21.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(21.115), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(21.115), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[10]']
        createRL(
            tech, net, 'm1',
            ((22.03,0.0),(22.03,173.76),(22.26,173.76),(22.26,0.0),(22.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(22.145), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(22.145), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[11]']
        createRL(
            tech, net, 'm1',
            ((23.06,0.0),(23.06,173.76),(23.29,173.76),(23.29,0.0),(23.06,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(23.175), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(23.175), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[11]']
        createRL(
            tech, net, 'm1',
            ((24.09,0.0),(24.09,173.76),(24.32,173.76),(24.32,0.0),(24.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(24.205), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(24.205), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[12]']
        createRL(
            tech, net, 'm1',
            ((25.12,0.0),(25.12,173.76),(25.35,173.76),(25.35,0.0),(25.12,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(25.235), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(25.235), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[12]']
        createRL(
            tech, net, 'm1',
            ((26.15,0.0),(26.15,173.76),(26.38,173.76),(26.38,0.0),(26.15,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(26.265), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(26.265), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[13]']
        createRL(
            tech, net, 'm1',
            ((27.18,0.0),(27.18,173.76),(27.41,173.76),(27.41,0.0),(27.18,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(27.295), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(27.295), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[13]']
        createRL(
            tech, net, 'm1',
            ((28.21,0.0),(28.21,173.76),(28.44,173.76),(28.44,0.0),(28.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(28.325), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(28.325), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[14]']
        createRL(
            tech, net, 'm1',
            ((29.24,0.0),(29.24,173.76),(29.47,173.76),(29.47,0.0),(29.24,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(29.355), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(29.355), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[14]']
        createRL(
            tech, net, 'm1',
            ((30.27,0.0),(30.27,173.76),(30.5,173.76),(30.5,0.0),(30.27,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(30.385), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(30.385), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[15]']
        createRL(
            tech, net, 'm1',
            ((31.3,0.0),(31.3,173.76),(31.53,173.76),(31.53,0.0),(31.3,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(31.415), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(31.415), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[15]']
        createRL(
            tech, net, 'm1',
            ((32.33,0.0),(32.33,173.76),(32.56,173.76),(32.56,0.0),(32.33,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(32.445), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(32.445), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[16]']
        createRL(
            tech, net, 'm1',
            ((33.36,0.0),(33.36,173.76),(33.59,173.76),(33.59,0.0),(33.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(33.475), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(33.475), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[16]']
        createRL(
            tech, net, 'm1',
            ((34.39,0.0),(34.39,173.76),(34.62,173.76),(34.62,0.0),(34.39,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(34.505), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(34.505), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[17]']
        createRL(
            tech, net, 'm1',
            ((35.42,0.0),(35.42,173.76),(35.65,173.76),(35.65,0.0),(35.42,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(35.535), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(35.535), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[17]']
        createRL(
            tech, net, 'm1',
            ((36.45,0.0),(36.45,173.76),(36.68,173.76),(36.68,0.0),(36.45,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(36.565), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(36.565), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[18]']
        createRL(
            tech, net, 'm1',
            ((37.48,0.0),(37.48,173.76),(37.71,173.76),(37.71,0.0),(37.48,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(37.595), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(37.595), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[18]']
        createRL(
            tech, net, 'm1',
            ((38.51,0.0),(38.51,173.76),(38.74,173.76),(38.74,0.0),(38.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(38.625), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(38.625), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[19]']
        createRL(
            tech, net, 'm1',
            ((39.54,0.0),(39.54,173.76),(39.77,173.76),(39.77,0.0),(39.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(39.655), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(39.655), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[19]']
        createRL(
            tech, net, 'm1',
            ((40.57,0.0),(40.57,173.76),(40.8,173.76),(40.8,0.0),(40.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(40.685), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(40.685), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[20]']
        createRL(
            tech, net, 'm1',
            ((41.6,0.0),(41.6,173.76),(41.83,173.76),(41.83,0.0),(41.6,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(41.715), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(41.715), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[20]']
        createRL(
            tech, net, 'm1',
            ((42.63,0.0),(42.63,173.76),(42.86,173.76),(42.86,0.0),(42.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(42.745), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(42.745), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[21]']
        createRL(
            tech, net, 'm1',
            ((43.66,0.0),(43.66,173.76),(43.89,173.76),(43.89,0.0),(43.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(43.775), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(43.775), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[21]']
        createRL(
            tech, net, 'm1',
            ((44.69,0.0),(44.69,173.76),(44.92,173.76),(44.92,0.0),(44.69,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(44.805), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(44.805), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[22]']
        createRL(
            tech, net, 'm1',
            ((45.72,0.0),(45.72,173.76),(45.95,173.76),(45.95,0.0),(45.72,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(45.835), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(45.835), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[22]']
        createRL(
            tech, net, 'm1',
            ((46.75,0.0),(46.75,173.76),(46.98,173.76),(46.98,0.0),(46.75,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(46.865), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(46.865), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[23]']
        createRL(
            tech, net, 'm1',
            ((47.78,0.0),(47.78,173.76),(48.01,173.76),(48.01,0.0),(47.78,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(47.895), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(47.895), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[23]']
        createRL(
            tech, net, 'm1',
            ((48.81,0.0),(48.81,173.76),(49.04,173.76),(49.04,0.0),(48.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(48.925), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(48.925), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[24]']
        createRL(
            tech, net, 'm1',
            ((49.84,0.0),(49.84,173.76),(50.07,173.76),(50.07,0.0),(49.84,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(49.955), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(49.955), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[24]']
        createRL(
            tech, net, 'm1',
            ((50.87,0.0),(50.87,173.76),(51.1,173.76),(51.1,0.0),(50.87,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(50.985), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(50.985), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[25]']
        createRL(
            tech, net, 'm1',
            ((51.9,0.0),(51.9,173.76),(52.13,173.76),(52.13,0.0),(51.9,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(52.015), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(52.015), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[25]']
        createRL(
            tech, net, 'm1',
            ((52.93,0.0),(52.93,173.76),(53.16,173.76),(53.16,0.0),(52.93,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(53.045), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(53.045), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[26]']
        createRL(
            tech, net, 'm1',
            ((53.96,0.0),(53.96,173.76),(54.19,173.76),(54.19,0.0),(53.96,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(54.075), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(54.075), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[26]']
        createRL(
            tech, net, 'm1',
            ((54.99,0.0),(54.99,173.76),(55.22,173.76),(55.22,0.0),(54.99,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(55.105), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(55.105), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[27]']
        createRL(
            tech, net, 'm1',
            ((56.02,0.0),(56.02,173.76),(56.25,173.76),(56.25,0.0),(56.02,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(56.135), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(56.135), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[27]']
        createRL(
            tech, net, 'm1',
            ((57.05,0.0),(57.05,173.76),(57.28,173.76),(57.28,0.0),(57.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(57.165), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(57.165), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[28]']
        createRL(
            tech, net, 'm1',
            ((58.08,0.0),(58.08,173.76),(58.31,173.76),(58.31,0.0),(58.08,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(58.195), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(58.195), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[28]']
        createRL(
            tech, net, 'm1',
            ((59.11,0.0),(59.11,173.76),(59.34,173.76),(59.34,0.0),(59.11,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(59.225), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(59.225), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[29]']
        createRL(
            tech, net, 'm1',
            ((60.14,0.0),(60.14,173.76),(60.37,173.76),(60.37,0.0),(60.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(60.255), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(60.255), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[29]']
        createRL(
            tech, net, 'm1',
            ((61.17,0.0),(61.17,173.76),(61.4,173.76),(61.4,0.0),(61.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(61.285), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(61.285), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[30]']
        createRL(
            tech, net, 'm1',
            ((62.2,0.0),(62.2,173.76),(62.43,173.76),(62.43,0.0),(62.2,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(62.315), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(62.315), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[30]']
        createRL(
            tech, net, 'm1',
            ((63.23,0.0),(63.23,173.76),(63.46,173.76),(63.46,0.0),(63.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(63.345), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(63.345), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[31]']
        createRL(
            tech, net, 'm1',
            ((64.26,0.0),(64.26,173.76),(64.49,173.76),(64.49,0.0),(64.26,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(64.375), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(64.375), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[31]']
        createRL(
            tech, net, 'm1',
            ((65.29,0.0),(65.29,173.76),(65.52,173.76),(65.52,0.0),(65.29,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(65.405), u(0.23), u(0.0), u(173.76),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(65.405), u(0.23), u(0.0), u(173.76),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,173.76),(65.92,173.76),(65.92,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['wl[4]'].setDirection(Net.Direction.IN)
        nets['wl[5]'].setDirection(Net.Direction.IN)
        nets['wl[6]'].setDirection(Net.Direction.IN)
        nets['wl[7]'].setDirection(Net.Direction.IN)
        nets['wl[8]'].setDirection(Net.Direction.IN)
        nets['wl[9]'].setDirection(Net.Direction.IN)
        nets['wl[10]'].setDirection(Net.Direction.IN)
        nets['wl[11]'].setDirection(Net.Direction.IN)
        nets['wl[12]'].setDirection(Net.Direction.IN)
        nets['wl[13]'].setDirection(Net.Direction.IN)
        nets['wl[14]'].setDirection(Net.Direction.IN)
        nets['wl[15]'].setDirection(Net.Direction.IN)
        nets['wl[16]'].setDirection(Net.Direction.IN)
        nets['wl[17]'].setDirection(Net.Direction.IN)
        nets['wl[18]'].setDirection(Net.Direction.IN)
        nets['wl[19]'].setDirection(Net.Direction.IN)
        nets['wl[20]'].setDirection(Net.Direction.IN)
        nets['wl[21]'].setDirection(Net.Direction.IN)
        nets['wl[22]'].setDirection(Net.Direction.IN)
        nets['wl[23]'].setDirection(Net.Direction.IN)
        nets['wl[24]'].setDirection(Net.Direction.IN)
        nets['wl[25]'].setDirection(Net.Direction.IN)
        nets['wl[26]'].setDirection(Net.Direction.IN)
        nets['wl[27]'].setDirection(Net.Direction.IN)
        nets['wl[28]'].setDirection(Net.Direction.IN)
        nets['wl[29]'].setDirection(Net.Direction.IN)
        nets['wl[30]'].setDirection(Net.Direction.IN)
        nets['wl[31]'].setDirection(Net.Direction.IN)
        nets['wl[32]'].setDirection(Net.Direction.IN)
        nets['wl[33]'].setDirection(Net.Direction.IN)
        nets['wl[34]'].setDirection(Net.Direction.IN)
        nets['wl[35]'].setDirection(Net.Direction.IN)
        nets['wl[36]'].setDirection(Net.Direction.IN)
        nets['wl[37]'].setDirection(Net.Direction.IN)
        nets['wl[38]'].setDirection(Net.Direction.IN)
        nets['wl[39]'].setDirection(Net.Direction.IN)
        nets['wl[40]'].setDirection(Net.Direction.IN)
        nets['wl[41]'].setDirection(Net.Direction.IN)
        nets['wl[42]'].setDirection(Net.Direction.IN)
        nets['wl[43]'].setDirection(Net.Direction.IN)
        nets['wl[44]'].setDirection(Net.Direction.IN)
        nets['wl[45]'].setDirection(Net.Direction.IN)
        nets['wl[46]'].setDirection(Net.Direction.IN)
        nets['wl[47]'].setDirection(Net.Direction.IN)
        nets['wl[48]'].setDirection(Net.Direction.IN)
        nets['wl[49]'].setDirection(Net.Direction.IN)
        nets['wl[50]'].setDirection(Net.Direction.IN)
        nets['wl[51]'].setDirection(Net.Direction.IN)
        nets['wl[52]'].setDirection(Net.Direction.IN)
        nets['wl[53]'].setDirection(Net.Direction.IN)
        nets['wl[54]'].setDirection(Net.Direction.IN)
        nets['wl[55]'].setDirection(Net.Direction.IN)
        nets['wl[56]'].setDirection(Net.Direction.IN)
        nets['wl[57]'].setDirection(Net.Direction.IN)
        nets['wl[58]'].setDirection(Net.Direction.IN)
        nets['wl[59]'].setDirection(Net.Direction.IN)
        nets['wl[60]'].setDirection(Net.Direction.IN)
        nets['wl[61]'].setDirection(Net.Direction.IN)
        nets['wl[62]'].setDirection(Net.Direction.IN)
        nets['wl[63]'].setDirection(Net.Direction.IN)
        nets['bl[0]'].setDirection(Net.Direction.IN)
        nets['bl_n[0]'].setDirection(Net.Direction.IN)
        nets['bl[1]'].setDirection(Net.Direction.IN)
        nets['bl_n[1]'].setDirection(Net.Direction.IN)
        nets['bl[2]'].setDirection(Net.Direction.IN)
        nets['bl_n[2]'].setDirection(Net.Direction.IN)
        nets['bl[3]'].setDirection(Net.Direction.IN)
        nets['bl_n[3]'].setDirection(Net.Direction.IN)
        nets['bl[4]'].setDirection(Net.Direction.IN)
        nets['bl_n[4]'].setDirection(Net.Direction.IN)
        nets['bl[5]'].setDirection(Net.Direction.IN)
        nets['bl_n[5]'].setDirection(Net.Direction.IN)
        nets['bl[6]'].setDirection(Net.Direction.IN)
        nets['bl_n[6]'].setDirection(Net.Direction.IN)
        nets['bl[7]'].setDirection(Net.Direction.IN)
        nets['bl_n[7]'].setDirection(Net.Direction.IN)
        nets['bl[8]'].setDirection(Net.Direction.IN)
        nets['bl_n[8]'].setDirection(Net.Direction.IN)
        nets['bl[9]'].setDirection(Net.Direction.IN)
        nets['bl_n[9]'].setDirection(Net.Direction.IN)
        nets['bl[10]'].setDirection(Net.Direction.IN)
        nets['bl_n[10]'].setDirection(Net.Direction.IN)
        nets['bl[11]'].setDirection(Net.Direction.IN)
        nets['bl_n[11]'].setDirection(Net.Direction.IN)
        nets['bl[12]'].setDirection(Net.Direction.IN)
        nets['bl_n[12]'].setDirection(Net.Direction.IN)
        nets['bl[13]'].setDirection(Net.Direction.IN)
        nets['bl_n[13]'].setDirection(Net.Direction.IN)
        nets['bl[14]'].setDirection(Net.Direction.IN)
        nets['bl_n[14]'].setDirection(Net.Direction.IN)
        nets['bl[15]'].setDirection(Net.Direction.IN)
        nets['bl_n[15]'].setDirection(Net.Direction.IN)
        nets['bl[16]'].setDirection(Net.Direction.IN)
        nets['bl_n[16]'].setDirection(Net.Direction.IN)
        nets['bl[17]'].setDirection(Net.Direction.IN)
        nets['bl_n[17]'].setDirection(Net.Direction.IN)
        nets['bl[18]'].setDirection(Net.Direction.IN)
        nets['bl_n[18]'].setDirection(Net.Direction.IN)
        nets['bl[19]'].setDirection(Net.Direction.IN)
        nets['bl_n[19]'].setDirection(Net.Direction.IN)
        nets['bl[20]'].setDirection(Net.Direction.IN)
        nets['bl_n[20]'].setDirection(Net.Direction.IN)
        nets['bl[21]'].setDirection(Net.Direction.IN)
        nets['bl_n[21]'].setDirection(Net.Direction.IN)
        nets['bl[22]'].setDirection(Net.Direction.IN)
        nets['bl_n[22]'].setDirection(Net.Direction.IN)
        nets['bl[23]'].setDirection(Net.Direction.IN)
        nets['bl_n[23]'].setDirection(Net.Direction.IN)
        nets['bl[24]'].setDirection(Net.Direction.IN)
        nets['bl_n[24]'].setDirection(Net.Direction.IN)
        nets['bl[25]'].setDirection(Net.Direction.IN)
        nets['bl_n[25]'].setDirection(Net.Direction.IN)
        nets['bl[26]'].setDirection(Net.Direction.IN)
        nets['bl_n[26]'].setDirection(Net.Direction.IN)
        nets['bl[27]'].setDirection(Net.Direction.IN)
        nets['bl_n[27]'].setDirection(Net.Direction.IN)
        nets['bl[28]'].setDirection(Net.Direction.IN)
        nets['bl_n[28]'].setDirection(Net.Direction.IN)
        nets['bl[29]'].setDirection(Net.Direction.IN)
        nets['bl_n[29]'].setDirection(Net.Direction.IN)
        nets['bl[30]'].setDirection(Net.Direction.IN)
        nets['bl_n[30]'].setDirection(Net.Direction.IN)
        nets['bl[31]'].setDirection(Net.Direction.IN)
        nets['bl_n[31]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TArray_32X32']
        except:
            subcell = af.getCell('SP6TArray_32X32', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TArray_32X32']
        except:
            subcell = af.getCell('SP6TArray_32X32', 0)
        trans = Transformation(
            u(0.0), u(86.88), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst1x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TArray_32X32']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(65.91999999999999), u(86.88),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl[0]': Net.create(cell, 'bl[0]'),
            'bl[10]': Net.create(cell, 'bl[10]'),
            'bl[11]': Net.create(cell, 'bl[11]'),
            'bl[12]': Net.create(cell, 'bl[12]'),
            'bl[13]': Net.create(cell, 'bl[13]'),
            'bl[14]': Net.create(cell, 'bl[14]'),
            'bl[15]': Net.create(cell, 'bl[15]'),
            'bl[16]': Net.create(cell, 'bl[16]'),
            'bl[17]': Net.create(cell, 'bl[17]'),
            'bl[18]': Net.create(cell, 'bl[18]'),
            'bl[19]': Net.create(cell, 'bl[19]'),
            'bl[1]': Net.create(cell, 'bl[1]'),
            'bl[20]': Net.create(cell, 'bl[20]'),
            'bl[21]': Net.create(cell, 'bl[21]'),
            'bl[22]': Net.create(cell, 'bl[22]'),
            'bl[23]': Net.create(cell, 'bl[23]'),
            'bl[24]': Net.create(cell, 'bl[24]'),
            'bl[25]': Net.create(cell, 'bl[25]'),
            'bl[26]': Net.create(cell, 'bl[26]'),
            'bl[27]': Net.create(cell, 'bl[27]'),
            'bl[28]': Net.create(cell, 'bl[28]'),
            'bl[29]': Net.create(cell, 'bl[29]'),
            'bl[2]': Net.create(cell, 'bl[2]'),
            'bl[30]': Net.create(cell, 'bl[30]'),
            'bl[31]': Net.create(cell, 'bl[31]'),
            'bl[3]': Net.create(cell, 'bl[3]'),
            'bl[4]': Net.create(cell, 'bl[4]'),
            'bl[5]': Net.create(cell, 'bl[5]'),
            'bl[6]': Net.create(cell, 'bl[6]'),
            'bl[7]': Net.create(cell, 'bl[7]'),
            'bl[8]': Net.create(cell, 'bl[8]'),
            'bl[9]': Net.create(cell, 'bl[9]'),
            'bl_n[0]': Net.create(cell, 'bl_n[0]'),
            'bl_n[10]': Net.create(cell, 'bl_n[10]'),
            'bl_n[11]': Net.create(cell, 'bl_n[11]'),
            'bl_n[12]': Net.create(cell, 'bl_n[12]'),
            'bl_n[13]': Net.create(cell, 'bl_n[13]'),
            'bl_n[14]': Net.create(cell, 'bl_n[14]'),
            'bl_n[15]': Net.create(cell, 'bl_n[15]'),
            'bl_n[16]': Net.create(cell, 'bl_n[16]'),
            'bl_n[17]': Net.create(cell, 'bl_n[17]'),
            'bl_n[18]': Net.create(cell, 'bl_n[18]'),
            'bl_n[19]': Net.create(cell, 'bl_n[19]'),
            'bl_n[1]': Net.create(cell, 'bl_n[1]'),
            'bl_n[20]': Net.create(cell, 'bl_n[20]'),
            'bl_n[21]': Net.create(cell, 'bl_n[21]'),
            'bl_n[22]': Net.create(cell, 'bl_n[22]'),
            'bl_n[23]': Net.create(cell, 'bl_n[23]'),
            'bl_n[24]': Net.create(cell, 'bl_n[24]'),
            'bl_n[25]': Net.create(cell, 'bl_n[25]'),
            'bl_n[26]': Net.create(cell, 'bl_n[26]'),
            'bl_n[27]': Net.create(cell, 'bl_n[27]'),
            'bl_n[28]': Net.create(cell, 'bl_n[28]'),
            'bl_n[29]': Net.create(cell, 'bl_n[29]'),
            'bl_n[2]': Net.create(cell, 'bl_n[2]'),
            'bl_n[30]': Net.create(cell, 'bl_n[30]'),
            'bl_n[31]': Net.create(cell, 'bl_n[31]'),
            'bl_n[3]': Net.create(cell, 'bl_n[3]'),
            'bl_n[4]': Net.create(cell, 'bl_n[4]'),
            'bl_n[5]': Net.create(cell, 'bl_n[5]'),
            'bl_n[6]': Net.create(cell, 'bl_n[6]'),
            'bl_n[7]': Net.create(cell, 'bl_n[7]'),
            'bl_n[8]': Net.create(cell, 'bl_n[8]'),
            'bl_n[9]': Net.create(cell, 'bl_n[9]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[10]': Net.create(cell, 'wl[10]'),
            'wl[11]': Net.create(cell, 'wl[11]'),
            'wl[12]': Net.create(cell, 'wl[12]'),
            'wl[13]': Net.create(cell, 'wl[13]'),
            'wl[14]': Net.create(cell, 'wl[14]'),
            'wl[15]': Net.create(cell, 'wl[15]'),
            'wl[16]': Net.create(cell, 'wl[16]'),
            'wl[17]': Net.create(cell, 'wl[17]'),
            'wl[18]': Net.create(cell, 'wl[18]'),
            'wl[19]': Net.create(cell, 'wl[19]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[20]': Net.create(cell, 'wl[20]'),
            'wl[21]': Net.create(cell, 'wl[21]'),
            'wl[22]': Net.create(cell, 'wl[22]'),
            'wl[23]': Net.create(cell, 'wl[23]'),
            'wl[24]': Net.create(cell, 'wl[24]'),
            'wl[25]': Net.create(cell, 'wl[25]'),
            'wl[26]': Net.create(cell, 'wl[26]'),
            'wl[27]': Net.create(cell, 'wl[27]'),
            'wl[28]': Net.create(cell, 'wl[28]'),
            'wl[29]': Net.create(cell, 'wl[29]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[30]': Net.create(cell, 'wl[30]'),
            'wl[31]': Net.create(cell, 'wl[31]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
            'wl[4]': Net.create(cell, 'wl[4]'),
            'wl[5]': Net.create(cell, 'wl[5]'),
            'wl[6]': Net.create(cell, 'wl[6]'),
            'wl[7]': Net.create(cell, 'wl[7]'),
            'wl[8]': Net.create(cell, 'wl[8]'),
            'wl[9]': Net.create(cell, 'wl[9]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,67.745),(0.0,68.005),(65.92,68.005),(65.92,67.745),(0.0,67.745)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,56.885),(0.0,57.145),(65.92,57.145),(65.92,56.885),(0.0,56.885)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,29.735),(0.0,29.995),(65.92,29.995),(65.92,29.735),(0.0,29.735)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,73.175),(0.0,73.435),(65.92,73.435),(65.92,73.175),(0.0,73.175)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,46.025),(0.0,46.285),(65.92,46.285),(65.92,46.025),(0.0,46.025)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,62.315),(0.0,62.575),(65.92,62.575),(65.92,62.315),(0.0,62.315)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,78.605),(0.0,78.865),(65.92,78.865),(65.92,78.605),(0.0,78.605)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,40.595),(0.0,40.855),(65.92,40.855),(65.92,40.595),(0.0,40.595)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,35.165),(0.0,35.425),(65.92,35.425),(65.92,35.165),(0.0,35.165)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,51.455),(0.0,51.715),(65.92,51.715),(65.92,51.455),(0.0,51.455)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,2.585),(0.0,2.845),(65.92,2.845),(65.92,2.585),(0.0,2.585)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,84.035),(0.0,84.295),(65.92,84.295),(65.92,84.035),(0.0,84.035)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,13.445),(0.0,13.705),(65.92,13.705),(65.92,13.445),(0.0,13.445)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,24.305),(0.0,24.565),(65.92,24.565),(65.92,24.305),(0.0,24.305)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,8.015),(0.0,8.275),(65.92,8.275),(65.92,8.015),(0.0,8.015)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,18.875),(0.0,19.135),(65.92,19.135),(65.92,18.875),(0.0,18.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.875), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.875), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(57.015), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(57.015), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.865), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.865), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(73.305), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(73.305), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(46.155), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(46.155), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(62.445), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(62.445), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(78.735), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(78.735), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(40.725), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(40.725), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.295), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.295), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.585), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.585), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.715), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.715), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(84.165), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(84.165), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.575), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.575), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(24.435), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(24.435), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.145), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.145), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(19.005), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(19.005), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,27.02),(0.0,27.28),(65.92,27.28),(65.92,27.02),(0.0,27.02)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,43.31),(0.0,43.57),(65.92,43.57),(65.92,43.31),(0.0,43.31)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,59.6),(0.0,59.86),(65.92,59.86),(65.92,59.6),(0.0,59.6)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,70.46),(0.0,70.72),(65.92,70.72),(65.92,70.46),(0.0,70.46)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,86.75),(0.0,87.01),(65.92,87.01),(65.92,86.75),(0.0,86.75)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,65.03),(0.0,65.29),(65.92,65.29),(65.92,65.03),(0.0,65.03)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,81.32),(0.0,81.58),(65.92,81.58),(65.92,81.32),(0.0,81.32)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,16.16),(0.0,16.42),(65.92,16.42),(65.92,16.16),(0.0,16.16)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(65.92,0.13),(65.92,-0.13),(0.0,-0.13)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,32.45),(0.0,32.71),(65.92,32.71),(65.92,32.45),(0.0,32.45)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,37.88),(0.0,38.14),(65.92,38.14),(65.92,37.88),(0.0,37.88)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,75.89),(0.0,76.15),(65.92,76.15),(65.92,75.89),(0.0,75.89)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,10.73),(0.0,10.99),(65.92,10.99),(65.92,10.73),(0.0,10.73)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,48.74),(0.0,49.0),(65.92,49.0),(65.92,48.74),(0.0,48.74)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,5.3),(0.0,5.56),(65.92,5.56),(65.92,5.3),(0.0,5.3)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,21.59),(0.0,21.85),(65.92,21.85),(65.92,21.59),(0.0,21.59)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,54.17),(0.0,54.43),(65.92,54.43),(65.92,54.17),(0.0,54.17)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(27.15), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(27.15), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(43.44), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(43.44), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(59.73), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(59.73), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(70.59), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(70.59), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(86.88), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(86.88), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(65.16), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(65.16), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(81.45), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(81.45), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.29), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.29), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(32.58), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(32.58), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(38.01), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(38.01), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(76.02), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(76.02), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.86), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.86), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.87), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.87), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(5.43), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(5.43), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.72), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.72), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(54.3), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(54.3), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.725),(0.0,1.985),(65.92,1.985),(65.92,1.725),(0.0,1.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.855), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.855), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.445),(0.0,3.705),(65.92,3.705),(65.92,3.445),(0.0,3.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.575), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.575), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.155),(0.0,7.415),(65.92,7.415),(65.92,7.155),(0.0,7.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.285), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.285), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,8.875),(0.0,9.135),(65.92,9.135),(65.92,8.875),(0.0,8.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.005), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.005), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,12.585),(0.0,12.845),(65.92,12.845),(65.92,12.585),(0.0,12.585)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.715), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.715), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,14.305),(0.0,14.565),(65.92,14.565),(65.92,14.305),(0.0,14.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(14.435), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(14.435), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,18.015),(0.0,18.275),(65.92,18.275),(65.92,18.015),(0.0,18.015)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.145), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.145), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,19.735),(0.0,19.995),(65.92,19.995),(65.92,19.735),(0.0,19.735)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(19.865), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(19.865), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,23.445),(0.0,23.705),(65.92,23.705),(65.92,23.445),(0.0,23.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(23.575), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(23.575), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,25.165),(0.0,25.425),(65.92,25.425),(65.92,25.165),(0.0,25.165)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.295), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.295), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,28.875),(0.0,29.135),(65.92,29.135),(65.92,28.875),(0.0,28.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.005), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.005), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,30.595),(0.0,30.855),(65.92,30.855),(65.92,30.595),(0.0,30.595)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(30.725), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(30.725), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,34.305),(0.0,34.565),(65.92,34.565),(65.92,34.305),(0.0,34.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.435), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.435), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,36.025),(0.0,36.285),(65.92,36.285),(65.92,36.025),(0.0,36.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(36.155), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(36.155), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,39.735),(0.0,39.995),(65.92,39.995),(65.92,39.735),(0.0,39.735)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(39.865), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(39.865), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,41.455),(0.0,41.715),(65.92,41.715),(65.92,41.455),(0.0,41.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(41.585), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(41.585), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[16]']
        createRL(
            tech, net, 'm2',
            ((0.0,45.165),(0.0,45.425),(65.92,45.425),(65.92,45.165),(0.0,45.165)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(45.295), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(45.295), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[17]']
        createRL(
            tech, net, 'm2',
            ((0.0,46.885),(0.0,47.145),(65.92,47.145),(65.92,46.885),(0.0,46.885)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(47.015), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(47.015), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[18]']
        createRL(
            tech, net, 'm2',
            ((0.0,50.595),(0.0,50.855),(65.92,50.855),(65.92,50.595),(0.0,50.595)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.725), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.725), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[19]']
        createRL(
            tech, net, 'm2',
            ((0.0,52.315),(0.0,52.575),(65.92,52.575),(65.92,52.315),(0.0,52.315)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(52.445), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(52.445), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[20]']
        createRL(
            tech, net, 'm2',
            ((0.0,56.025),(0.0,56.285),(65.92,56.285),(65.92,56.025),(0.0,56.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(56.155), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(56.155), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[21]']
        createRL(
            tech, net, 'm2',
            ((0.0,57.745),(0.0,58.005),(65.92,58.005),(65.92,57.745),(0.0,57.745)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(57.875), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(57.875), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[22]']
        createRL(
            tech, net, 'm2',
            ((0.0,61.455),(0.0,61.715),(65.92,61.715),(65.92,61.455),(0.0,61.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(61.585), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(61.585), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[23]']
        createRL(
            tech, net, 'm2',
            ((0.0,63.175),(0.0,63.435),(65.92,63.435),(65.92,63.175),(0.0,63.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.305), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.305), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[24]']
        createRL(
            tech, net, 'm2',
            ((0.0,66.885),(0.0,67.145),(65.92,67.145),(65.92,66.885),(0.0,66.885)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.015), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.015), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[25]']
        createRL(
            tech, net, 'm2',
            ((0.0,68.605),(0.0,68.865),(65.92,68.865),(65.92,68.605),(0.0,68.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(68.735), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(68.735), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[26]']
        createRL(
            tech, net, 'm2',
            ((0.0,72.315),(0.0,72.575),(65.92,72.575),(65.92,72.315),(0.0,72.315)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.445), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.445), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[27]']
        createRL(
            tech, net, 'm2',
            ((0.0,74.035),(0.0,74.295),(65.92,74.295),(65.92,74.035),(0.0,74.035)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(74.165), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(74.165), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[28]']
        createRL(
            tech, net, 'm2',
            ((0.0,77.745),(0.0,78.005),(65.92,78.005),(65.92,77.745),(0.0,77.745)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(77.875), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(77.875), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[29]']
        createRL(
            tech, net, 'm2',
            ((0.0,79.465),(0.0,79.725),(65.92,79.725),(65.92,79.465),(0.0,79.465)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(79.595), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(79.595), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[30]']
        createRL(
            tech, net, 'm2',
            ((0.0,83.175),(0.0,83.435),(65.92,83.435),(65.92,83.175),(0.0,83.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(83.305), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(83.305), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[31]']
        createRL(
            tech, net, 'm2',
            ((0.0,84.895),(0.0,85.155),(65.92,85.155),(65.92,84.895),(0.0,84.895)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(85.025), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(85.025), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[0]']
        createRL(
            tech, net, 'm1',
            ((0.4,0.0),(0.4,86.88),(0.63,86.88),(0.63,0.0),(0.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.515), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.515), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.43,0.0),(1.43,86.88),(1.66,86.88),(1.66,0.0),(1.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.545), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.545), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[1]']
        createRL(
            tech, net, 'm1',
            ((2.46,0.0),(2.46,86.88),(2.69,86.88),(2.69,0.0),(2.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.575), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.575), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[1]']
        createRL(
            tech, net, 'm1',
            ((3.49,0.0),(3.49,86.88),(3.72,86.88),(3.72,0.0),(3.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.605), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.605), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[2]']
        createRL(
            tech, net, 'm1',
            ((4.52,0.0),(4.52,86.88),(4.75,86.88),(4.75,0.0),(4.52,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.635), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.635), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[2]']
        createRL(
            tech, net, 'm1',
            ((5.55,0.0),(5.55,86.88),(5.78,86.88),(5.78,0.0),(5.55,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.665), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.665), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[3]']
        createRL(
            tech, net, 'm1',
            ((6.58,0.0),(6.58,86.88),(6.81,86.88),(6.81,0.0),(6.58,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.695), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.695), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[3]']
        createRL(
            tech, net, 'm1',
            ((7.61,0.0),(7.61,86.88),(7.84,86.88),(7.84,0.0),(7.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.725), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.725), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[4]']
        createRL(
            tech, net, 'm1',
            ((8.64,0.0),(8.64,86.88),(8.87,86.88),(8.87,0.0),(8.64,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(8.755), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(8.755), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[4]']
        createRL(
            tech, net, 'm1',
            ((9.67,0.0),(9.67,86.88),(9.9,86.88),(9.9,0.0),(9.67,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(9.785), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(9.785), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[5]']
        createRL(
            tech, net, 'm1',
            ((10.7,0.0),(10.7,86.88),(10.93,86.88),(10.93,0.0),(10.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(10.815), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(10.815), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[5]']
        createRL(
            tech, net, 'm1',
            ((11.73,0.0),(11.73,86.88),(11.96,86.88),(11.96,0.0),(11.73,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(11.845), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(11.845), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[6]']
        createRL(
            tech, net, 'm1',
            ((12.76,0.0),(12.76,86.88),(12.99,86.88),(12.99,0.0),(12.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.875), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.875), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[6]']
        createRL(
            tech, net, 'm1',
            ((13.79,0.0),(13.79,86.88),(14.02,86.88),(14.02,0.0),(13.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(13.905), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(13.905), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[7]']
        createRL(
            tech, net, 'm1',
            ((14.82,0.0),(14.82,86.88),(15.05,86.88),(15.05,0.0),(14.82,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(14.935), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(14.935), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[7]']
        createRL(
            tech, net, 'm1',
            ((15.85,0.0),(15.85,86.88),(16.08,86.88),(16.08,0.0),(15.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(15.965), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(15.965), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[8]']
        createRL(
            tech, net, 'm1',
            ((16.88,0.0),(16.88,86.88),(17.11,86.88),(17.11,0.0),(16.88,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(16.995), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(16.995), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[8]']
        createRL(
            tech, net, 'm1',
            ((17.91,0.0),(17.91,86.88),(18.14,86.88),(18.14,0.0),(17.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(18.025), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(18.025), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[9]']
        createRL(
            tech, net, 'm1',
            ((18.94,0.0),(18.94,86.88),(19.17,86.88),(19.17,0.0),(18.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(19.055), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(19.055), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[9]']
        createRL(
            tech, net, 'm1',
            ((19.97,0.0),(19.97,86.88),(20.2,86.88),(20.2,0.0),(19.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(20.085), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(20.085), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[10]']
        createRL(
            tech, net, 'm1',
            ((21.0,0.0),(21.0,86.88),(21.23,86.88),(21.23,0.0),(21.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(21.115), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(21.115), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[10]']
        createRL(
            tech, net, 'm1',
            ((22.03,0.0),(22.03,86.88),(22.26,86.88),(22.26,0.0),(22.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(22.145), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(22.145), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[11]']
        createRL(
            tech, net, 'm1',
            ((23.06,0.0),(23.06,86.88),(23.29,86.88),(23.29,0.0),(23.06,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(23.175), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(23.175), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[11]']
        createRL(
            tech, net, 'm1',
            ((24.09,0.0),(24.09,86.88),(24.32,86.88),(24.32,0.0),(24.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(24.205), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(24.205), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[12]']
        createRL(
            tech, net, 'm1',
            ((25.12,0.0),(25.12,86.88),(25.35,86.88),(25.35,0.0),(25.12,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(25.235), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(25.235), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[12]']
        createRL(
            tech, net, 'm1',
            ((26.15,0.0),(26.15,86.88),(26.38,86.88),(26.38,0.0),(26.15,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(26.265), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(26.265), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[13]']
        createRL(
            tech, net, 'm1',
            ((27.18,0.0),(27.18,86.88),(27.41,86.88),(27.41,0.0),(27.18,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(27.295), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(27.295), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[13]']
        createRL(
            tech, net, 'm1',
            ((28.21,0.0),(28.21,86.88),(28.44,86.88),(28.44,0.0),(28.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(28.325), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(28.325), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[14]']
        createRL(
            tech, net, 'm1',
            ((29.24,0.0),(29.24,86.88),(29.47,86.88),(29.47,0.0),(29.24,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(29.355), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(29.355), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[14]']
        createRL(
            tech, net, 'm1',
            ((30.27,0.0),(30.27,86.88),(30.5,86.88),(30.5,0.0),(30.27,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(30.385), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(30.385), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[15]']
        createRL(
            tech, net, 'm1',
            ((31.3,0.0),(31.3,86.88),(31.53,86.88),(31.53,0.0),(31.3,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(31.415), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(31.415), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[15]']
        createRL(
            tech, net, 'm1',
            ((32.33,0.0),(32.33,86.88),(32.56,86.88),(32.56,0.0),(32.33,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(32.445), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(32.445), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[16]']
        createRL(
            tech, net, 'm1',
            ((33.36,0.0),(33.36,86.88),(33.59,86.88),(33.59,0.0),(33.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(33.475), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(33.475), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[16]']
        createRL(
            tech, net, 'm1',
            ((34.39,0.0),(34.39,86.88),(34.62,86.88),(34.62,0.0),(34.39,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(34.505), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(34.505), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[17]']
        createRL(
            tech, net, 'm1',
            ((35.42,0.0),(35.42,86.88),(35.65,86.88),(35.65,0.0),(35.42,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(35.535), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(35.535), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[17]']
        createRL(
            tech, net, 'm1',
            ((36.45,0.0),(36.45,86.88),(36.68,86.88),(36.68,0.0),(36.45,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(36.565), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(36.565), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[18]']
        createRL(
            tech, net, 'm1',
            ((37.48,0.0),(37.48,86.88),(37.71,86.88),(37.71,0.0),(37.48,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(37.595), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(37.595), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[18]']
        createRL(
            tech, net, 'm1',
            ((38.51,0.0),(38.51,86.88),(38.74,86.88),(38.74,0.0),(38.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(38.625), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(38.625), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[19]']
        createRL(
            tech, net, 'm1',
            ((39.54,0.0),(39.54,86.88),(39.77,86.88),(39.77,0.0),(39.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(39.655), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(39.655), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[19]']
        createRL(
            tech, net, 'm1',
            ((40.57,0.0),(40.57,86.88),(40.8,86.88),(40.8,0.0),(40.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(40.685), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(40.685), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[20]']
        createRL(
            tech, net, 'm1',
            ((41.6,0.0),(41.6,86.88),(41.83,86.88),(41.83,0.0),(41.6,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(41.715), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(41.715), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[20]']
        createRL(
            tech, net, 'm1',
            ((42.63,0.0),(42.63,86.88),(42.86,86.88),(42.86,0.0),(42.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(42.745), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(42.745), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[21]']
        createRL(
            tech, net, 'm1',
            ((43.66,0.0),(43.66,86.88),(43.89,86.88),(43.89,0.0),(43.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(43.775), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(43.775), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[21]']
        createRL(
            tech, net, 'm1',
            ((44.69,0.0),(44.69,86.88),(44.92,86.88),(44.92,0.0),(44.69,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(44.805), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(44.805), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[22]']
        createRL(
            tech, net, 'm1',
            ((45.72,0.0),(45.72,86.88),(45.95,86.88),(45.95,0.0),(45.72,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(45.835), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(45.835), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[22]']
        createRL(
            tech, net, 'm1',
            ((46.75,0.0),(46.75,86.88),(46.98,86.88),(46.98,0.0),(46.75,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(46.865), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(46.865), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[23]']
        createRL(
            tech, net, 'm1',
            ((47.78,0.0),(47.78,86.88),(48.01,86.88),(48.01,0.0),(47.78,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(47.895), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(47.895), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[23]']
        createRL(
            tech, net, 'm1',
            ((48.81,0.0),(48.81,86.88),(49.04,86.88),(49.04,0.0),(48.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(48.925), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(48.925), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[24]']
        createRL(
            tech, net, 'm1',
            ((49.84,0.0),(49.84,86.88),(50.07,86.88),(50.07,0.0),(49.84,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(49.955), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(49.955), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[24]']
        createRL(
            tech, net, 'm1',
            ((50.87,0.0),(50.87,86.88),(51.1,86.88),(51.1,0.0),(50.87,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(50.985), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(50.985), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[25]']
        createRL(
            tech, net, 'm1',
            ((51.9,0.0),(51.9,86.88),(52.13,86.88),(52.13,0.0),(51.9,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(52.015), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(52.015), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[25]']
        createRL(
            tech, net, 'm1',
            ((52.93,0.0),(52.93,86.88),(53.16,86.88),(53.16,0.0),(52.93,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(53.045), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(53.045), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[26]']
        createRL(
            tech, net, 'm1',
            ((53.96,0.0),(53.96,86.88),(54.19,86.88),(54.19,0.0),(53.96,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(54.075), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(54.075), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[26]']
        createRL(
            tech, net, 'm1',
            ((54.99,0.0),(54.99,86.88),(55.22,86.88),(55.22,0.0),(54.99,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(55.105), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(55.105), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[27]']
        createRL(
            tech, net, 'm1',
            ((56.02,0.0),(56.02,86.88),(56.25,86.88),(56.25,0.0),(56.02,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(56.135), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(56.135), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[27]']
        createRL(
            tech, net, 'm1',
            ((57.05,0.0),(57.05,86.88),(57.28,86.88),(57.28,0.0),(57.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(57.165), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(57.165), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[28]']
        createRL(
            tech, net, 'm1',
            ((58.08,0.0),(58.08,86.88),(58.31,86.88),(58.31,0.0),(58.08,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(58.195), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(58.195), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[28]']
        createRL(
            tech, net, 'm1',
            ((59.11,0.0),(59.11,86.88),(59.34,86.88),(59.34,0.0),(59.11,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(59.225), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(59.225), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[29]']
        createRL(
            tech, net, 'm1',
            ((60.14,0.0),(60.14,86.88),(60.37,86.88),(60.37,0.0),(60.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(60.255), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(60.255), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[29]']
        createRL(
            tech, net, 'm1',
            ((61.17,0.0),(61.17,86.88),(61.4,86.88),(61.4,0.0),(61.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(61.285), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(61.285), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[30]']
        createRL(
            tech, net, 'm1',
            ((62.2,0.0),(62.2,86.88),(62.43,86.88),(62.43,0.0),(62.2,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(62.315), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(62.315), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[30]']
        createRL(
            tech, net, 'm1',
            ((63.23,0.0),(63.23,86.88),(63.46,86.88),(63.46,0.0),(63.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(63.345), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(63.345), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[31]']
        createRL(
            tech, net, 'm1',
            ((64.26,0.0),(64.26,86.88),(64.49,86.88),(64.49,0.0),(64.26,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(64.375), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(64.375), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[31]']
        createRL(
            tech, net, 'm1',
            ((65.29,0.0),(65.29,86.88),(65.52,86.88),(65.52,0.0),(65.29,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(65.405), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(65.405), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,86.88),(65.92,86.88),(65.92,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['wl[4]'].setDirection(Net.Direction.IN)
        nets['wl[5]'].setDirection(Net.Direction.IN)
        nets['wl[6]'].setDirection(Net.Direction.IN)
        nets['wl[7]'].setDirection(Net.Direction.IN)
        nets['wl[8]'].setDirection(Net.Direction.IN)
        nets['wl[9]'].setDirection(Net.Direction.IN)
        nets['wl[10]'].setDirection(Net.Direction.IN)
        nets['wl[11]'].setDirection(Net.Direction.IN)
        nets['wl[12]'].setDirection(Net.Direction.IN)
        nets['wl[13]'].setDirection(Net.Direction.IN)
        nets['wl[14]'].setDirection(Net.Direction.IN)
        nets['wl[15]'].setDirection(Net.Direction.IN)
        nets['wl[16]'].setDirection(Net.Direction.IN)
        nets['wl[17]'].setDirection(Net.Direction.IN)
        nets['wl[18]'].setDirection(Net.Direction.IN)
        nets['wl[19]'].setDirection(Net.Direction.IN)
        nets['wl[20]'].setDirection(Net.Direction.IN)
        nets['wl[21]'].setDirection(Net.Direction.IN)
        nets['wl[22]'].setDirection(Net.Direction.IN)
        nets['wl[23]'].setDirection(Net.Direction.IN)
        nets['wl[24]'].setDirection(Net.Direction.IN)
        nets['wl[25]'].setDirection(Net.Direction.IN)
        nets['wl[26]'].setDirection(Net.Direction.IN)
        nets['wl[27]'].setDirection(Net.Direction.IN)
        nets['wl[28]'].setDirection(Net.Direction.IN)
        nets['wl[29]'].setDirection(Net.Direction.IN)
        nets['wl[30]'].setDirection(Net.Direction.IN)
        nets['wl[31]'].setDirection(Net.Direction.IN)
        nets['bl[0]'].setDirection(Net.Direction.IN)
        nets['bl_n[0]'].setDirection(Net.Direction.IN)
        nets['bl[1]'].setDirection(Net.Direction.IN)
        nets['bl_n[1]'].setDirection(Net.Direction.IN)
        nets['bl[2]'].setDirection(Net.Direction.IN)
        nets['bl_n[2]'].setDirection(Net.Direction.IN)
        nets['bl[3]'].setDirection(Net.Direction.IN)
        nets['bl_n[3]'].setDirection(Net.Direction.IN)
        nets['bl[4]'].setDirection(Net.Direction.IN)
        nets['bl_n[4]'].setDirection(Net.Direction.IN)
        nets['bl[5]'].setDirection(Net.Direction.IN)
        nets['bl_n[5]'].setDirection(Net.Direction.IN)
        nets['bl[6]'].setDirection(Net.Direction.IN)
        nets['bl_n[6]'].setDirection(Net.Direction.IN)
        nets['bl[7]'].setDirection(Net.Direction.IN)
        nets['bl_n[7]'].setDirection(Net.Direction.IN)
        nets['bl[8]'].setDirection(Net.Direction.IN)
        nets['bl_n[8]'].setDirection(Net.Direction.IN)
        nets['bl[9]'].setDirection(Net.Direction.IN)
        nets['bl_n[9]'].setDirection(Net.Direction.IN)
        nets['bl[10]'].setDirection(Net.Direction.IN)
        nets['bl_n[10]'].setDirection(Net.Direction.IN)
        nets['bl[11]'].setDirection(Net.Direction.IN)
        nets['bl_n[11]'].setDirection(Net.Direction.IN)
        nets['bl[12]'].setDirection(Net.Direction.IN)
        nets['bl_n[12]'].setDirection(Net.Direction.IN)
        nets['bl[13]'].setDirection(Net.Direction.IN)
        nets['bl_n[13]'].setDirection(Net.Direction.IN)
        nets['bl[14]'].setDirection(Net.Direction.IN)
        nets['bl_n[14]'].setDirection(Net.Direction.IN)
        nets['bl[15]'].setDirection(Net.Direction.IN)
        nets['bl_n[15]'].setDirection(Net.Direction.IN)
        nets['bl[16]'].setDirection(Net.Direction.IN)
        nets['bl_n[16]'].setDirection(Net.Direction.IN)
        nets['bl[17]'].setDirection(Net.Direction.IN)
        nets['bl_n[17]'].setDirection(Net.Direction.IN)
        nets['bl[18]'].setDirection(Net.Direction.IN)
        nets['bl_n[18]'].setDirection(Net.Direction.IN)
        nets['bl[19]'].setDirection(Net.Direction.IN)
        nets['bl_n[19]'].setDirection(Net.Direction.IN)
        nets['bl[20]'].setDirection(Net.Direction.IN)
        nets['bl_n[20]'].setDirection(Net.Direction.IN)
        nets['bl[21]'].setDirection(Net.Direction.IN)
        nets['bl_n[21]'].setDirection(Net.Direction.IN)
        nets['bl[22]'].setDirection(Net.Direction.IN)
        nets['bl_n[22]'].setDirection(Net.Direction.IN)
        nets['bl[23]'].setDirection(Net.Direction.IN)
        nets['bl_n[23]'].setDirection(Net.Direction.IN)
        nets['bl[24]'].setDirection(Net.Direction.IN)
        nets['bl_n[24]'].setDirection(Net.Direction.IN)
        nets['bl[25]'].setDirection(Net.Direction.IN)
        nets['bl_n[25]'].setDirection(Net.Direction.IN)
        nets['bl[26]'].setDirection(Net.Direction.IN)
        nets['bl_n[26]'].setDirection(Net.Direction.IN)
        nets['bl[27]'].setDirection(Net.Direction.IN)
        nets['bl_n[27]'].setDirection(Net.Direction.IN)
        nets['bl[28]'].setDirection(Net.Direction.IN)
        nets['bl_n[28]'].setDirection(Net.Direction.IN)
        nets['bl[29]'].setDirection(Net.Direction.IN)
        nets['bl_n[29]'].setDirection(Net.Direction.IN)
        nets['bl[30]'].setDirection(Net.Direction.IN)
        nets['bl_n[30]'].setDirection(Net.Direction.IN)
        nets['bl[31]'].setDirection(Net.Direction.IN)
        nets['bl_n[31]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TArray_32X16']
        except:
            subcell = af.getCell('SP6TArray_32X16', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TArray_32X16']
        except:
            subcell = af.getCell('SP6TArray_32X16', 0)
        trans = Transformation(
            u(32.959999999999994), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x1', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TArray_32X16']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(32.959999999999994), u(86.88),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl[0]': Net.create(cell, 'bl[0]'),
            'bl[10]': Net.create(cell, 'bl[10]'),
            'bl[11]': Net.create(cell, 'bl[11]'),
            'bl[12]': Net.create(cell, 'bl[12]'),
            'bl[13]': Net.create(cell, 'bl[13]'),
            'bl[14]': Net.create(cell, 'bl[14]'),
            'bl[15]': Net.create(cell, 'bl[15]'),
            'bl[1]': Net.create(cell, 'bl[1]'),
            'bl[2]': Net.create(cell, 'bl[2]'),
            'bl[3]': Net.create(cell, 'bl[3]'),
            'bl[4]': Net.create(cell, 'bl[4]'),
            'bl[5]': Net.create(cell, 'bl[5]'),
            'bl[6]': Net.create(cell, 'bl[6]'),
            'bl[7]': Net.create(cell, 'bl[7]'),
            'bl[8]': Net.create(cell, 'bl[8]'),
            'bl[9]': Net.create(cell, 'bl[9]'),
            'bl_n[0]': Net.create(cell, 'bl_n[0]'),
            'bl_n[10]': Net.create(cell, 'bl_n[10]'),
            'bl_n[11]': Net.create(cell, 'bl_n[11]'),
            'bl_n[12]': Net.create(cell, 'bl_n[12]'),
            'bl_n[13]': Net.create(cell, 'bl_n[13]'),
            'bl_n[14]': Net.create(cell, 'bl_n[14]'),
            'bl_n[15]': Net.create(cell, 'bl_n[15]'),
            'bl_n[1]': Net.create(cell, 'bl_n[1]'),
            'bl_n[2]': Net.create(cell, 'bl_n[2]'),
            'bl_n[3]': Net.create(cell, 'bl_n[3]'),
            'bl_n[4]': Net.create(cell, 'bl_n[4]'),
            'bl_n[5]': Net.create(cell, 'bl_n[5]'),
            'bl_n[6]': Net.create(cell, 'bl_n[6]'),
            'bl_n[7]': Net.create(cell, 'bl_n[7]'),
            'bl_n[8]': Net.create(cell, 'bl_n[8]'),
            'bl_n[9]': Net.create(cell, 'bl_n[9]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[10]': Net.create(cell, 'wl[10]'),
            'wl[11]': Net.create(cell, 'wl[11]'),
            'wl[12]': Net.create(cell, 'wl[12]'),
            'wl[13]': Net.create(cell, 'wl[13]'),
            'wl[14]': Net.create(cell, 'wl[14]'),
            'wl[15]': Net.create(cell, 'wl[15]'),
            'wl[16]': Net.create(cell, 'wl[16]'),
            'wl[17]': Net.create(cell, 'wl[17]'),
            'wl[18]': Net.create(cell, 'wl[18]'),
            'wl[19]': Net.create(cell, 'wl[19]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[20]': Net.create(cell, 'wl[20]'),
            'wl[21]': Net.create(cell, 'wl[21]'),
            'wl[22]': Net.create(cell, 'wl[22]'),
            'wl[23]': Net.create(cell, 'wl[23]'),
            'wl[24]': Net.create(cell, 'wl[24]'),
            'wl[25]': Net.create(cell, 'wl[25]'),
            'wl[26]': Net.create(cell, 'wl[26]'),
            'wl[27]': Net.create(cell, 'wl[27]'),
            'wl[28]': Net.create(cell, 'wl[28]'),
            'wl[29]': Net.create(cell, 'wl[29]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[30]': Net.create(cell, 'wl[30]'),
            'wl[31]': Net.create(cell, 'wl[31]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
            'wl[4]': Net.create(cell, 'wl[4]'),
            'wl[5]': Net.create(cell, 'wl[5]'),
            'wl[6]': Net.create(cell, 'wl[6]'),
            'wl[7]': Net.create(cell, 'wl[7]'),
            'wl[8]': Net.create(cell, 'wl[8]'),
            'wl[9]': Net.create(cell, 'wl[9]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,29.735),(0.0,29.995),(32.96,29.995),(32.96,29.735),(0.0,29.735)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,84.035),(0.0,84.295),(32.96,84.295),(32.96,84.035),(0.0,84.035)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,73.175),(0.0,73.435),(32.96,73.435),(32.96,73.175),(0.0,73.175)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,67.745),(0.0,68.005),(32.96,68.005),(32.96,67.745),(0.0,67.745)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,56.885),(0.0,57.145),(32.96,57.145),(32.96,56.885),(0.0,56.885)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,35.165),(0.0,35.425),(32.96,35.425),(32.96,35.165),(0.0,35.165)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,51.455),(0.0,51.715),(32.96,51.715),(32.96,51.455),(0.0,51.455)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,18.875),(0.0,19.135),(32.96,19.135),(32.96,18.875),(0.0,18.875)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,8.015),(0.0,8.275),(32.96,8.275),(32.96,8.015),(0.0,8.015)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,24.305),(0.0,24.565),(32.96,24.565),(32.96,24.305),(0.0,24.305)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,40.595),(0.0,40.855),(32.96,40.855),(32.96,40.595),(0.0,40.595)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,46.025),(0.0,46.285),(32.96,46.285),(32.96,46.025),(0.0,46.025)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,62.315),(0.0,62.575),(32.96,62.575),(32.96,62.315),(0.0,62.315)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,78.605),(0.0,78.865),(32.96,78.865),(32.96,78.605),(0.0,78.605)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,2.585),(0.0,2.845),(32.96,2.845),(32.96,2.585),(0.0,2.585)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,13.445),(0.0,13.705),(32.96,13.705),(32.96,13.445),(0.0,13.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.865), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.865), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(84.165), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(84.165), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(73.305), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(73.305), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.875), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.875), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(57.015), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(57.015), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.295), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.295), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.585), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.585), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(19.005), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(19.005), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.145), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.145), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(24.435), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(24.435), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(40.725), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(40.725), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(46.155), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(46.155), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(62.445), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(62.445), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(78.735), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(78.735), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.715), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.715), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.575), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.575), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,43.31),(0.0,43.57),(32.96,43.57),(32.96,43.31),(0.0,43.31)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,27.02),(0.0,27.28),(32.96,27.28),(32.96,27.02),(0.0,27.02)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,86.75),(0.0,87.01),(32.96,87.01),(32.96,86.75),(0.0,86.75)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,37.88),(0.0,38.14),(32.96,38.14),(32.96,37.88),(0.0,37.88)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,5.3),(0.0,5.56),(32.96,5.56),(32.96,5.3),(0.0,5.3)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,59.6),(0.0,59.86),(32.96,59.86),(32.96,59.6),(0.0,59.6)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,48.74),(0.0,49.0),(32.96,49.0),(32.96,48.74),(0.0,48.74)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,10.73),(0.0,10.99),(32.96,10.99),(32.96,10.73),(0.0,10.73)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,54.17),(0.0,54.43),(32.96,54.43),(32.96,54.17),(0.0,54.17)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,70.46),(0.0,70.72),(32.96,70.72),(32.96,70.46),(0.0,70.46)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,75.89),(0.0,76.15),(32.96,76.15),(32.96,75.89),(0.0,75.89)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(32.96,0.13),(32.96,-0.13),(0.0,-0.13)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,16.16),(0.0,16.42),(32.96,16.42),(32.96,16.16),(0.0,16.16)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,32.45),(0.0,32.71),(32.96,32.71),(32.96,32.45),(0.0,32.45)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,81.32),(0.0,81.58),(32.96,81.58),(32.96,81.32),(0.0,81.32)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,65.03),(0.0,65.29),(32.96,65.29),(32.96,65.03),(0.0,65.03)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,21.59),(0.0,21.85),(32.96,21.85),(32.96,21.59),(0.0,21.59)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(43.44), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(43.44), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(27.15), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(27.15), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(86.88), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(86.88), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(38.01), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(38.01), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(5.43), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(5.43), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(59.73), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(59.73), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.87), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.87), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.86), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.86), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(54.3), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(54.3), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(70.59), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(70.59), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(76.02), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(76.02), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.29), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.29), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(32.58), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(32.58), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(81.45), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(81.45), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(65.16), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(65.16), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.72), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.72), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.725),(0.0,1.985),(32.96,1.985),(32.96,1.725),(0.0,1.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.855), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.855), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.445),(0.0,3.705),(32.96,3.705),(32.96,3.445),(0.0,3.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.575), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.575), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.155),(0.0,7.415),(32.96,7.415),(32.96,7.155),(0.0,7.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.285), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.285), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,8.875),(0.0,9.135),(32.96,9.135),(32.96,8.875),(0.0,8.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.005), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.005), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,12.585),(0.0,12.845),(32.96,12.845),(32.96,12.585),(0.0,12.585)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.715), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.715), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,14.305),(0.0,14.565),(32.96,14.565),(32.96,14.305),(0.0,14.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(14.435), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(14.435), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,18.015),(0.0,18.275),(32.96,18.275),(32.96,18.015),(0.0,18.015)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.145), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.145), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,19.735),(0.0,19.995),(32.96,19.995),(32.96,19.735),(0.0,19.735)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(19.865), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(19.865), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,23.445),(0.0,23.705),(32.96,23.705),(32.96,23.445),(0.0,23.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(23.575), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(23.575), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,25.165),(0.0,25.425),(32.96,25.425),(32.96,25.165),(0.0,25.165)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.295), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.295), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,28.875),(0.0,29.135),(32.96,29.135),(32.96,28.875),(0.0,28.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.005), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.005), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,30.595),(0.0,30.855),(32.96,30.855),(32.96,30.595),(0.0,30.595)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(30.725), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(30.725), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,34.305),(0.0,34.565),(32.96,34.565),(32.96,34.305),(0.0,34.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.435), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.435), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,36.025),(0.0,36.285),(32.96,36.285),(32.96,36.025),(0.0,36.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(36.155), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(36.155), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,39.735),(0.0,39.995),(32.96,39.995),(32.96,39.735),(0.0,39.735)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(39.865), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(39.865), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,41.455),(0.0,41.715),(32.96,41.715),(32.96,41.455),(0.0,41.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(41.585), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(41.585), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[16]']
        createRL(
            tech, net, 'm2',
            ((0.0,45.165),(0.0,45.425),(32.96,45.425),(32.96,45.165),(0.0,45.165)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(45.295), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(45.295), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[17]']
        createRL(
            tech, net, 'm2',
            ((0.0,46.885),(0.0,47.145),(32.96,47.145),(32.96,46.885),(0.0,46.885)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(47.015), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(47.015), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[18]']
        createRL(
            tech, net, 'm2',
            ((0.0,50.595),(0.0,50.855),(32.96,50.855),(32.96,50.595),(0.0,50.595)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.725), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.725), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[19]']
        createRL(
            tech, net, 'm2',
            ((0.0,52.315),(0.0,52.575),(32.96,52.575),(32.96,52.315),(0.0,52.315)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(52.445), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(52.445), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[20]']
        createRL(
            tech, net, 'm2',
            ((0.0,56.025),(0.0,56.285),(32.96,56.285),(32.96,56.025),(0.0,56.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(56.155), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(56.155), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[21]']
        createRL(
            tech, net, 'm2',
            ((0.0,57.745),(0.0,58.005),(32.96,58.005),(32.96,57.745),(0.0,57.745)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(57.875), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(57.875), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[22]']
        createRL(
            tech, net, 'm2',
            ((0.0,61.455),(0.0,61.715),(32.96,61.715),(32.96,61.455),(0.0,61.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(61.585), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(61.585), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[23]']
        createRL(
            tech, net, 'm2',
            ((0.0,63.175),(0.0,63.435),(32.96,63.435),(32.96,63.175),(0.0,63.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.305), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.305), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[24]']
        createRL(
            tech, net, 'm2',
            ((0.0,66.885),(0.0,67.145),(32.96,67.145),(32.96,66.885),(0.0,66.885)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.015), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.015), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[25]']
        createRL(
            tech, net, 'm2',
            ((0.0,68.605),(0.0,68.865),(32.96,68.865),(32.96,68.605),(0.0,68.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(68.735), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(68.735), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[26]']
        createRL(
            tech, net, 'm2',
            ((0.0,72.315),(0.0,72.575),(32.96,72.575),(32.96,72.315),(0.0,72.315)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.445), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.445), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[27]']
        createRL(
            tech, net, 'm2',
            ((0.0,74.035),(0.0,74.295),(32.96,74.295),(32.96,74.035),(0.0,74.035)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(74.165), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(74.165), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[28]']
        createRL(
            tech, net, 'm2',
            ((0.0,77.745),(0.0,78.005),(32.96,78.005),(32.96,77.745),(0.0,77.745)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(77.875), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(77.875), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[29]']
        createRL(
            tech, net, 'm2',
            ((0.0,79.465),(0.0,79.725),(32.96,79.725),(32.96,79.465),(0.0,79.465)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(79.595), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(79.595), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[30]']
        createRL(
            tech, net, 'm2',
            ((0.0,83.175),(0.0,83.435),(32.96,83.435),(32.96,83.175),(0.0,83.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(83.305), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(83.305), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[31]']
        createRL(
            tech, net, 'm2',
            ((0.0,84.895),(0.0,85.155),(32.96,85.155),(32.96,84.895),(0.0,84.895)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(85.025), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(85.025), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[0]']
        createRL(
            tech, net, 'm1',
            ((0.4,0.0),(0.4,86.88),(0.63,86.88),(0.63,0.0),(0.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.515), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.515), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.43,0.0),(1.43,86.88),(1.66,86.88),(1.66,0.0),(1.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.545), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.545), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[1]']
        createRL(
            tech, net, 'm1',
            ((2.46,0.0),(2.46,86.88),(2.69,86.88),(2.69,0.0),(2.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.575), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.575), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[1]']
        createRL(
            tech, net, 'm1',
            ((3.49,0.0),(3.49,86.88),(3.72,86.88),(3.72,0.0),(3.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.605), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.605), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[2]']
        createRL(
            tech, net, 'm1',
            ((4.52,0.0),(4.52,86.88),(4.75,86.88),(4.75,0.0),(4.52,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.635), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.635), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[2]']
        createRL(
            tech, net, 'm1',
            ((5.55,0.0),(5.55,86.88),(5.78,86.88),(5.78,0.0),(5.55,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.665), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.665), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[3]']
        createRL(
            tech, net, 'm1',
            ((6.58,0.0),(6.58,86.88),(6.81,86.88),(6.81,0.0),(6.58,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.695), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.695), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[3]']
        createRL(
            tech, net, 'm1',
            ((7.61,0.0),(7.61,86.88),(7.84,86.88),(7.84,0.0),(7.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.725), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.725), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[4]']
        createRL(
            tech, net, 'm1',
            ((8.64,0.0),(8.64,86.88),(8.87,86.88),(8.87,0.0),(8.64,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(8.755), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(8.755), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[4]']
        createRL(
            tech, net, 'm1',
            ((9.67,0.0),(9.67,86.88),(9.9,86.88),(9.9,0.0),(9.67,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(9.785), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(9.785), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[5]']
        createRL(
            tech, net, 'm1',
            ((10.7,0.0),(10.7,86.88),(10.93,86.88),(10.93,0.0),(10.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(10.815), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(10.815), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[5]']
        createRL(
            tech, net, 'm1',
            ((11.73,0.0),(11.73,86.88),(11.96,86.88),(11.96,0.0),(11.73,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(11.845), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(11.845), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[6]']
        createRL(
            tech, net, 'm1',
            ((12.76,0.0),(12.76,86.88),(12.99,86.88),(12.99,0.0),(12.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.875), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.875), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[6]']
        createRL(
            tech, net, 'm1',
            ((13.79,0.0),(13.79,86.88),(14.02,86.88),(14.02,0.0),(13.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(13.905), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(13.905), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[7]']
        createRL(
            tech, net, 'm1',
            ((14.82,0.0),(14.82,86.88),(15.05,86.88),(15.05,0.0),(14.82,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(14.935), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(14.935), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[7]']
        createRL(
            tech, net, 'm1',
            ((15.85,0.0),(15.85,86.88),(16.08,86.88),(16.08,0.0),(15.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(15.965), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(15.965), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[8]']
        createRL(
            tech, net, 'm1',
            ((16.88,0.0),(16.88,86.88),(17.11,86.88),(17.11,0.0),(16.88,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(16.995), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(16.995), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[8]']
        createRL(
            tech, net, 'm1',
            ((17.91,0.0),(17.91,86.88),(18.14,86.88),(18.14,0.0),(17.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(18.025), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(18.025), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[9]']
        createRL(
            tech, net, 'm1',
            ((18.94,0.0),(18.94,86.88),(19.17,86.88),(19.17,0.0),(18.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(19.055), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(19.055), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[9]']
        createRL(
            tech, net, 'm1',
            ((19.97,0.0),(19.97,86.88),(20.2,86.88),(20.2,0.0),(19.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(20.085), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(20.085), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[10]']
        createRL(
            tech, net, 'm1',
            ((21.0,0.0),(21.0,86.88),(21.23,86.88),(21.23,0.0),(21.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(21.115), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(21.115), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[10]']
        createRL(
            tech, net, 'm1',
            ((22.03,0.0),(22.03,86.88),(22.26,86.88),(22.26,0.0),(22.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(22.145), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(22.145), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[11]']
        createRL(
            tech, net, 'm1',
            ((23.06,0.0),(23.06,86.88),(23.29,86.88),(23.29,0.0),(23.06,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(23.175), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(23.175), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[11]']
        createRL(
            tech, net, 'm1',
            ((24.09,0.0),(24.09,86.88),(24.32,86.88),(24.32,0.0),(24.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(24.205), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(24.205), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[12]']
        createRL(
            tech, net, 'm1',
            ((25.12,0.0),(25.12,86.88),(25.35,86.88),(25.35,0.0),(25.12,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(25.235), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(25.235), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[12]']
        createRL(
            tech, net, 'm1',
            ((26.15,0.0),(26.15,86.88),(26.38,86.88),(26.38,0.0),(26.15,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(26.265), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(26.265), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[13]']
        createRL(
            tech, net, 'm1',
            ((27.18,0.0),(27.18,86.88),(27.41,86.88),(27.41,0.0),(27.18,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(27.295), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(27.295), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[13]']
        createRL(
            tech, net, 'm1',
            ((28.21,0.0),(28.21,86.88),(28.44,86.88),(28.44,0.0),(28.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(28.325), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(28.325), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[14]']
        createRL(
            tech, net, 'm1',
            ((29.24,0.0),(29.24,86.88),(29.47,86.88),(29.47,0.0),(29.24,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(29.355), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(29.355), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[14]']
        createRL(
            tech, net, 'm1',
            ((30.27,0.0),(30.27,86.88),(30.5,86.88),(30.5,0.0),(30.27,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(30.385), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(30.385), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[15]']
        createRL(
            tech, net, 'm1',
            ((31.3,0.0),(31.3,86.88),(31.53,86.88),(31.53,0.0),(31.3,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(31.415), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(31.415), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[15]']
        createRL(
            tech, net, 'm1',
            ((32.33,0.0),(32.33,86.88),(32.56,86.88),(32.56,0.0),(32.33,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(32.445), u(0.23), u(0.0), u(86.88),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(32.445), u(0.23), u(0.0), u(86.88),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,86.88),(32.96,86.88),(32.96,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['wl[4]'].setDirection(Net.Direction.IN)
        nets['wl[5]'].setDirection(Net.Direction.IN)
        nets['wl[6]'].setDirection(Net.Direction.IN)
        nets['wl[7]'].setDirection(Net.Direction.IN)
        nets['wl[8]'].setDirection(Net.Direction.IN)
        nets['wl[9]'].setDirection(Net.Direction.IN)
        nets['wl[10]'].setDirection(Net.Direction.IN)
        nets['wl[11]'].setDirection(Net.Direction.IN)
        nets['wl[12]'].setDirection(Net.Direction.IN)
        nets['wl[13]'].setDirection(Net.Direction.IN)
        nets['wl[14]'].setDirection(Net.Direction.IN)
        nets['wl[15]'].setDirection(Net.Direction.IN)
        nets['wl[16]'].setDirection(Net.Direction.IN)
        nets['wl[17]'].setDirection(Net.Direction.IN)
        nets['wl[18]'].setDirection(Net.Direction.IN)
        nets['wl[19]'].setDirection(Net.Direction.IN)
        nets['wl[20]'].setDirection(Net.Direction.IN)
        nets['wl[21]'].setDirection(Net.Direction.IN)
        nets['wl[22]'].setDirection(Net.Direction.IN)
        nets['wl[23]'].setDirection(Net.Direction.IN)
        nets['wl[24]'].setDirection(Net.Direction.IN)
        nets['wl[25]'].setDirection(Net.Direction.IN)
        nets['wl[26]'].setDirection(Net.Direction.IN)
        nets['wl[27]'].setDirection(Net.Direction.IN)
        nets['wl[28]'].setDirection(Net.Direction.IN)
        nets['wl[29]'].setDirection(Net.Direction.IN)
        nets['wl[30]'].setDirection(Net.Direction.IN)
        nets['wl[31]'].setDirection(Net.Direction.IN)
        nets['bl[0]'].setDirection(Net.Direction.IN)
        nets['bl_n[0]'].setDirection(Net.Direction.IN)
        nets['bl[1]'].setDirection(Net.Direction.IN)
        nets['bl_n[1]'].setDirection(Net.Direction.IN)
        nets['bl[2]'].setDirection(Net.Direction.IN)
        nets['bl_n[2]'].setDirection(Net.Direction.IN)
        nets['bl[3]'].setDirection(Net.Direction.IN)
        nets['bl_n[3]'].setDirection(Net.Direction.IN)
        nets['bl[4]'].setDirection(Net.Direction.IN)
        nets['bl_n[4]'].setDirection(Net.Direction.IN)
        nets['bl[5]'].setDirection(Net.Direction.IN)
        nets['bl_n[5]'].setDirection(Net.Direction.IN)
        nets['bl[6]'].setDirection(Net.Direction.IN)
        nets['bl_n[6]'].setDirection(Net.Direction.IN)
        nets['bl[7]'].setDirection(Net.Direction.IN)
        nets['bl_n[7]'].setDirection(Net.Direction.IN)
        nets['bl[8]'].setDirection(Net.Direction.IN)
        nets['bl_n[8]'].setDirection(Net.Direction.IN)
        nets['bl[9]'].setDirection(Net.Direction.IN)
        nets['bl_n[9]'].setDirection(Net.Direction.IN)
        nets['bl[10]'].setDirection(Net.Direction.IN)
        nets['bl_n[10]'].setDirection(Net.Direction.IN)
        nets['bl[11]'].setDirection(Net.Direction.IN)
        nets['bl_n[11]'].setDirection(Net.Direction.IN)
        nets['bl[12]'].setDirection(Net.Direction.IN)
        nets['bl_n[12]'].setDirection(Net.Direction.IN)
        nets['bl[13]'].setDirection(Net.Direction.IN)
        nets['bl_n[13]'].setDirection(Net.Direction.IN)
        nets['bl[14]'].setDirection(Net.Direction.IN)
        nets['bl_n[14]'].setDirection(Net.Direction.IN)
        nets['bl[15]'].setDirection(Net.Direction.IN)
        nets['bl_n[15]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TArray_16X16']
        except:
            subcell = af.getCell('SP6TArray_16X16', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TArray_16X16']
        except:
            subcell = af.getCell('SP6TArray_16X16', 0)
        trans = Transformation(
            u(0.0), u(43.44), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst1x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TArray_16X16']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(32.959999999999994), u(43.44),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl[0]': Net.create(cell, 'bl[0]'),
            'bl[10]': Net.create(cell, 'bl[10]'),
            'bl[11]': Net.create(cell, 'bl[11]'),
            'bl[12]': Net.create(cell, 'bl[12]'),
            'bl[13]': Net.create(cell, 'bl[13]'),
            'bl[14]': Net.create(cell, 'bl[14]'),
            'bl[15]': Net.create(cell, 'bl[15]'),
            'bl[1]': Net.create(cell, 'bl[1]'),
            'bl[2]': Net.create(cell, 'bl[2]'),
            'bl[3]': Net.create(cell, 'bl[3]'),
            'bl[4]': Net.create(cell, 'bl[4]'),
            'bl[5]': Net.create(cell, 'bl[5]'),
            'bl[6]': Net.create(cell, 'bl[6]'),
            'bl[7]': Net.create(cell, 'bl[7]'),
            'bl[8]': Net.create(cell, 'bl[8]'),
            'bl[9]': Net.create(cell, 'bl[9]'),
            'bl_n[0]': Net.create(cell, 'bl_n[0]'),
            'bl_n[10]': Net.create(cell, 'bl_n[10]'),
            'bl_n[11]': Net.create(cell, 'bl_n[11]'),
            'bl_n[12]': Net.create(cell, 'bl_n[12]'),
            'bl_n[13]': Net.create(cell, 'bl_n[13]'),
            'bl_n[14]': Net.create(cell, 'bl_n[14]'),
            'bl_n[15]': Net.create(cell, 'bl_n[15]'),
            'bl_n[1]': Net.create(cell, 'bl_n[1]'),
            'bl_n[2]': Net.create(cell, 'bl_n[2]'),
            'bl_n[3]': Net.create(cell, 'bl_n[3]'),
            'bl_n[4]': Net.create(cell, 'bl_n[4]'),
            'bl_n[5]': Net.create(cell, 'bl_n[5]'),
            'bl_n[6]': Net.create(cell, 'bl_n[6]'),
            'bl_n[7]': Net.create(cell, 'bl_n[7]'),
            'bl_n[8]': Net.create(cell, 'bl_n[8]'),
            'bl_n[9]': Net.create(cell, 'bl_n[9]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[10]': Net.create(cell, 'wl[10]'),
            'wl[11]': Net.create(cell, 'wl[11]'),
            'wl[12]': Net.create(cell, 'wl[12]'),
            'wl[13]': Net.create(cell, 'wl[13]'),
            'wl[14]': Net.create(cell, 'wl[14]'),
            'wl[15]': Net.create(cell, 'wl[15]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
            'wl[4]': Net.create(cell, 'wl[4]'),
            'wl[5]': Net.create(cell, 'wl[5]'),
            'wl[6]': Net.create(cell, 'wl[6]'),
            'wl[7]': Net.create(cell, 'wl[7]'),
            'wl[8]': Net.create(cell, 'wl[8]'),
            'wl[9]': Net.create(cell, 'wl[9]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,29.735),(0.0,29.995),(32.96,29.995),(32.96,29.735),(0.0,29.735)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,35.165),(0.0,35.425),(32.96,35.425),(32.96,35.165),(0.0,35.165)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,18.875),(0.0,19.135),(32.96,19.135),(32.96,18.875),(0.0,18.875)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,8.015),(0.0,8.275),(32.96,8.275),(32.96,8.015),(0.0,8.015)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,24.305),(0.0,24.565),(32.96,24.565),(32.96,24.305),(0.0,24.305)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,40.595),(0.0,40.855),(32.96,40.855),(32.96,40.595),(0.0,40.595)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,2.585),(0.0,2.845),(32.96,2.845),(32.96,2.585),(0.0,2.585)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,13.445),(0.0,13.705),(32.96,13.705),(32.96,13.445),(0.0,13.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.865), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.865), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.295), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.295), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(19.005), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(19.005), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.145), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.145), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(24.435), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(24.435), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(40.725), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(40.725), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.715), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.715), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.575), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.575), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,43.31),(0.0,43.57),(32.96,43.57),(32.96,43.31),(0.0,43.31)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,27.02),(0.0,27.28),(32.96,27.28),(32.96,27.02),(0.0,27.02)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,37.88),(0.0,38.14),(32.96,38.14),(32.96,37.88),(0.0,37.88)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,5.3),(0.0,5.56),(32.96,5.56),(32.96,5.3),(0.0,5.3)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,10.73),(0.0,10.99),(32.96,10.99),(32.96,10.73),(0.0,10.73)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(32.96,0.13),(32.96,-0.13),(0.0,-0.13)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,16.16),(0.0,16.42),(32.96,16.42),(32.96,16.16),(0.0,16.16)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,32.45),(0.0,32.71),(32.96,32.71),(32.96,32.45),(0.0,32.45)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,21.59),(0.0,21.85),(32.96,21.85),(32.96,21.59),(0.0,21.59)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(43.44), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(43.44), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(27.15), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(27.15), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(38.01), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(38.01), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(5.43), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(5.43), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.86), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.86), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.29), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.29), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(32.58), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(32.58), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.72), u(0.26), u(0.0), u(32.96),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.72), u(0.26), u(0.0), u(32.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.725),(0.0,1.985),(32.96,1.985),(32.96,1.725),(0.0,1.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.855), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.855), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.445),(0.0,3.705),(32.96,3.705),(32.96,3.445),(0.0,3.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.575), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.575), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.155),(0.0,7.415),(32.96,7.415),(32.96,7.155),(0.0,7.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.285), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.285), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,8.875),(0.0,9.135),(32.96,9.135),(32.96,8.875),(0.0,8.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.005), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.005), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,12.585),(0.0,12.845),(32.96,12.845),(32.96,12.585),(0.0,12.585)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.715), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.715), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,14.305),(0.0,14.565),(32.96,14.565),(32.96,14.305),(0.0,14.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(14.435), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(14.435), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,18.015),(0.0,18.275),(32.96,18.275),(32.96,18.015),(0.0,18.015)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.145), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.145), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,19.735),(0.0,19.995),(32.96,19.995),(32.96,19.735),(0.0,19.735)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(19.865), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(19.865), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,23.445),(0.0,23.705),(32.96,23.705),(32.96,23.445),(0.0,23.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(23.575), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(23.575), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,25.165),(0.0,25.425),(32.96,25.425),(32.96,25.165),(0.0,25.165)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.295), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.295), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,28.875),(0.0,29.135),(32.96,29.135),(32.96,28.875),(0.0,28.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.005), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.005), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,30.595),(0.0,30.855),(32.96,30.855),(32.96,30.595),(0.0,30.595)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(30.725), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(30.725), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,34.305),(0.0,34.565),(32.96,34.565),(32.96,34.305),(0.0,34.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.435), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.435), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,36.025),(0.0,36.285),(32.96,36.285),(32.96,36.025),(0.0,36.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(36.155), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(36.155), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,39.735),(0.0,39.995),(32.96,39.995),(32.96,39.735),(0.0,39.735)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(39.865), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(39.865), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,41.455),(0.0,41.715),(32.96,41.715),(32.96,41.455),(0.0,41.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(41.585), u(0.26), u(0.0), u(32.959999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(41.585), u(0.26), u(0.0), u(32.959999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[0]']
        createRL(
            tech, net, 'm1',
            ((0.4,0.0),(0.4,43.44),(0.63,43.44),(0.63,0.0),(0.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.515), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.515), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.43,0.0),(1.43,43.44),(1.66,43.44),(1.66,0.0),(1.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.545), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.545), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[1]']
        createRL(
            tech, net, 'm1',
            ((2.46,0.0),(2.46,43.44),(2.69,43.44),(2.69,0.0),(2.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.575), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.575), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[1]']
        createRL(
            tech, net, 'm1',
            ((3.49,0.0),(3.49,43.44),(3.72,43.44),(3.72,0.0),(3.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.605), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.605), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[2]']
        createRL(
            tech, net, 'm1',
            ((4.52,0.0),(4.52,43.44),(4.75,43.44),(4.75,0.0),(4.52,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.635), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.635), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[2]']
        createRL(
            tech, net, 'm1',
            ((5.55,0.0),(5.55,43.44),(5.78,43.44),(5.78,0.0),(5.55,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.665), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.665), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[3]']
        createRL(
            tech, net, 'm1',
            ((6.58,0.0),(6.58,43.44),(6.81,43.44),(6.81,0.0),(6.58,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.695), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.695), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[3]']
        createRL(
            tech, net, 'm1',
            ((7.61,0.0),(7.61,43.44),(7.84,43.44),(7.84,0.0),(7.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.725), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.725), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[4]']
        createRL(
            tech, net, 'm1',
            ((8.64,0.0),(8.64,43.44),(8.87,43.44),(8.87,0.0),(8.64,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(8.755), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(8.755), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[4]']
        createRL(
            tech, net, 'm1',
            ((9.67,0.0),(9.67,43.44),(9.9,43.44),(9.9,0.0),(9.67,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(9.785), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(9.785), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[5]']
        createRL(
            tech, net, 'm1',
            ((10.7,0.0),(10.7,43.44),(10.93,43.44),(10.93,0.0),(10.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(10.815), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(10.815), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[5]']
        createRL(
            tech, net, 'm1',
            ((11.73,0.0),(11.73,43.44),(11.96,43.44),(11.96,0.0),(11.73,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(11.845), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(11.845), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[6]']
        createRL(
            tech, net, 'm1',
            ((12.76,0.0),(12.76,43.44),(12.99,43.44),(12.99,0.0),(12.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.875), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.875), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[6]']
        createRL(
            tech, net, 'm1',
            ((13.79,0.0),(13.79,43.44),(14.02,43.44),(14.02,0.0),(13.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(13.905), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(13.905), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[7]']
        createRL(
            tech, net, 'm1',
            ((14.82,0.0),(14.82,43.44),(15.05,43.44),(15.05,0.0),(14.82,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(14.935), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(14.935), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[7]']
        createRL(
            tech, net, 'm1',
            ((15.85,0.0),(15.85,43.44),(16.08,43.44),(16.08,0.0),(15.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(15.965), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(15.965), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[8]']
        createRL(
            tech, net, 'm1',
            ((16.88,0.0),(16.88,43.44),(17.11,43.44),(17.11,0.0),(16.88,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(16.995), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(16.995), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[8]']
        createRL(
            tech, net, 'm1',
            ((17.91,0.0),(17.91,43.44),(18.14,43.44),(18.14,0.0),(17.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(18.025), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(18.025), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[9]']
        createRL(
            tech, net, 'm1',
            ((18.94,0.0),(18.94,43.44),(19.17,43.44),(19.17,0.0),(18.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(19.055), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(19.055), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[9]']
        createRL(
            tech, net, 'm1',
            ((19.97,0.0),(19.97,43.44),(20.2,43.44),(20.2,0.0),(19.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(20.085), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(20.085), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[10]']
        createRL(
            tech, net, 'm1',
            ((21.0,0.0),(21.0,43.44),(21.23,43.44),(21.23,0.0),(21.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(21.115), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(21.115), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[10]']
        createRL(
            tech, net, 'm1',
            ((22.03,0.0),(22.03,43.44),(22.26,43.44),(22.26,0.0),(22.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(22.145), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(22.145), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[11]']
        createRL(
            tech, net, 'm1',
            ((23.06,0.0),(23.06,43.44),(23.29,43.44),(23.29,0.0),(23.06,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(23.175), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(23.175), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[11]']
        createRL(
            tech, net, 'm1',
            ((24.09,0.0),(24.09,43.44),(24.32,43.44),(24.32,0.0),(24.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(24.205), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(24.205), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[12]']
        createRL(
            tech, net, 'm1',
            ((25.12,0.0),(25.12,43.44),(25.35,43.44),(25.35,0.0),(25.12,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(25.235), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(25.235), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[12]']
        createRL(
            tech, net, 'm1',
            ((26.15,0.0),(26.15,43.44),(26.38,43.44),(26.38,0.0),(26.15,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(26.265), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(26.265), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[13]']
        createRL(
            tech, net, 'm1',
            ((27.18,0.0),(27.18,43.44),(27.41,43.44),(27.41,0.0),(27.18,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(27.295), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(27.295), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[13]']
        createRL(
            tech, net, 'm1',
            ((28.21,0.0),(28.21,43.44),(28.44,43.44),(28.44,0.0),(28.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(28.325), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(28.325), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[14]']
        createRL(
            tech, net, 'm1',
            ((29.24,0.0),(29.24,43.44),(29.47,43.44),(29.47,0.0),(29.24,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(29.355), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(29.355), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[14]']
        createRL(
            tech, net, 'm1',
            ((30.27,0.0),(30.27,43.44),(30.5,43.44),(30.5,0.0),(30.27,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(30.385), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(30.385), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[15]']
        createRL(
            tech, net, 'm1',
            ((31.3,0.0),(31.3,43.44),(31.53,43.44),(31.53,0.0),(31.3,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(31.415), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(31.415), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[15]']
        createRL(
            tech, net, 'm1',
            ((32.33,0.0),(32.33,43.44),(32.56,43.44),(32.56,0.0),(32.33,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(32.445), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(32.445), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,43.44),(32.96,43.44),(32.96,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['wl[4]'].setDirection(Net.Direction.IN)
        nets['wl[5]'].setDirection(Net.Direction.IN)
        nets['wl[6]'].setDirection(Net.Direction.IN)
        nets['wl[7]'].setDirection(Net.Direction.IN)
        nets['wl[8]'].setDirection(Net.Direction.IN)
        nets['wl[9]'].setDirection(Net.Direction.IN)
        nets['wl[10]'].setDirection(Net.Direction.IN)
        nets['wl[11]'].setDirection(Net.Direction.IN)
        nets['wl[12]'].setDirection(Net.Direction.IN)
        nets['wl[13]'].setDirection(Net.Direction.IN)
        nets['wl[14]'].setDirection(Net.Direction.IN)
        nets['wl[15]'].setDirection(Net.Direction.IN)
        nets['bl[0]'].setDirection(Net.Direction.IN)
        nets['bl_n[0]'].setDirection(Net.Direction.IN)
        nets['bl[1]'].setDirection(Net.Direction.IN)
        nets['bl_n[1]'].setDirection(Net.Direction.IN)
        nets['bl[2]'].setDirection(Net.Direction.IN)
        nets['bl_n[2]'].setDirection(Net.Direction.IN)
        nets['bl[3]'].setDirection(Net.Direction.IN)
        nets['bl_n[3]'].setDirection(Net.Direction.IN)
        nets['bl[4]'].setDirection(Net.Direction.IN)
        nets['bl_n[4]'].setDirection(Net.Direction.IN)
        nets['bl[5]'].setDirection(Net.Direction.IN)
        nets['bl_n[5]'].setDirection(Net.Direction.IN)
        nets['bl[6]'].setDirection(Net.Direction.IN)
        nets['bl_n[6]'].setDirection(Net.Direction.IN)
        nets['bl[7]'].setDirection(Net.Direction.IN)
        nets['bl_n[7]'].setDirection(Net.Direction.IN)
        nets['bl[8]'].setDirection(Net.Direction.IN)
        nets['bl_n[8]'].setDirection(Net.Direction.IN)
        nets['bl[9]'].setDirection(Net.Direction.IN)
        nets['bl_n[9]'].setDirection(Net.Direction.IN)
        nets['bl[10]'].setDirection(Net.Direction.IN)
        nets['bl_n[10]'].setDirection(Net.Direction.IN)
        nets['bl[11]'].setDirection(Net.Direction.IN)
        nets['bl_n[11]'].setDirection(Net.Direction.IN)
        nets['bl[12]'].setDirection(Net.Direction.IN)
        nets['bl_n[12]'].setDirection(Net.Direction.IN)
        nets['bl[13]'].setDirection(Net.Direction.IN)
        nets['bl_n[13]'].setDirection(Net.Direction.IN)
        nets['bl[14]'].setDirection(Net.Direction.IN)
        nets['bl_n[14]'].setDirection(Net.Direction.IN)
        nets['bl[15]'].setDirection(Net.Direction.IN)
        nets['bl_n[15]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TArray_16X8']
        except:
            subcell = af.getCell('SP6TArray_16X8', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TArray_16X8']
        except:
            subcell = af.getCell('SP6TArray_16X8', 0)
        trans = Transformation(
            u(16.479999999999997), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x1', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TArray_16X8']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(16.479999999999997), u(43.44),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl[0]': Net.create(cell, 'bl[0]'),
            'bl[1]': Net.create(cell, 'bl[1]'),
            'bl[2]': Net.create(cell, 'bl[2]'),
            'bl[3]': Net.create(cell, 'bl[3]'),
            'bl[4]': Net.create(cell, 'bl[4]'),
            'bl[5]': Net.create(cell, 'bl[5]'),
            'bl[6]': Net.create(cell, 'bl[6]'),
            'bl[7]': Net.create(cell, 'bl[7]'),
            'bl_n[0]': Net.create(cell, 'bl_n[0]'),
            'bl_n[1]': Net.create(cell, 'bl_n[1]'),
            'bl_n[2]': Net.create(cell, 'bl_n[2]'),
            'bl_n[3]': Net.create(cell, 'bl_n[3]'),
            'bl_n[4]': Net.create(cell, 'bl_n[4]'),
            'bl_n[5]': Net.create(cell, 'bl_n[5]'),
            'bl_n[6]': Net.create(cell, 'bl_n[6]'),
            'bl_n[7]': Net.create(cell, 'bl_n[7]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[10]': Net.create(cell, 'wl[10]'),
            'wl[11]': Net.create(cell, 'wl[11]'),
            'wl[12]': Net.create(cell, 'wl[12]'),
            'wl[13]': Net.create(cell, 'wl[13]'),
            'wl[14]': Net.create(cell, 'wl[14]'),
            'wl[15]': Net.create(cell, 'wl[15]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
            'wl[4]': Net.create(cell, 'wl[4]'),
            'wl[5]': Net.create(cell, 'wl[5]'),
            'wl[6]': Net.create(cell, 'wl[6]'),
            'wl[7]': Net.create(cell, 'wl[7]'),
            'wl[8]': Net.create(cell, 'wl[8]'),
            'wl[9]': Net.create(cell, 'wl[9]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,18.875),(0.0,19.135),(16.48,19.135),(16.48,18.875),(0.0,18.875)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,8.015),(0.0,8.275),(16.48,8.275),(16.48,8.015),(0.0,8.015)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,24.305),(0.0,24.565),(16.48,24.565),(16.48,24.305),(0.0,24.305)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,40.595),(0.0,40.855),(16.48,40.855),(16.48,40.595),(0.0,40.595)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,2.585),(0.0,2.845),(16.48,2.845),(16.48,2.585),(0.0,2.585)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,13.445),(0.0,13.705),(16.48,13.705),(16.48,13.445),(0.0,13.445)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,29.735),(0.0,29.995),(16.48,29.995),(16.48,29.735),(0.0,29.735)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,35.165),(0.0,35.425),(16.48,35.425),(16.48,35.165),(0.0,35.165)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(19.005), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(19.005), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.145), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.145), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(24.435), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(24.435), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(40.725), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(40.725), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.715), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.715), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.575), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.575), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.865), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.865), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.295), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.295), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,16.16),(0.0,16.42),(16.48,16.42),(16.48,16.16),(0.0,16.16)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(16.48,0.13),(16.48,-0.13),(0.0,-0.13)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,32.45),(0.0,32.71),(16.48,32.71),(16.48,32.45),(0.0,32.45)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,21.59),(0.0,21.85),(16.48,21.85),(16.48,21.59),(0.0,21.59)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,5.3),(0.0,5.56),(16.48,5.56),(16.48,5.3),(0.0,5.3)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,27.02),(0.0,27.28),(16.48,27.28),(16.48,27.02),(0.0,27.02)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,43.31),(0.0,43.57),(16.48,43.57),(16.48,43.31),(0.0,43.31)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,37.88),(0.0,38.14),(16.48,38.14),(16.48,37.88),(0.0,37.88)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,10.73),(0.0,10.99),(16.48,10.99),(16.48,10.73),(0.0,10.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.29), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.29), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(32.58), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(32.58), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.72), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.72), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(5.43), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(5.43), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(27.15), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(27.15), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(43.44), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(43.44), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(38.01), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(38.01), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.86), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.86), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.725),(0.0,1.985),(16.48,1.985),(16.48,1.725),(0.0,1.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.855), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.855), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.445),(0.0,3.705),(16.48,3.705),(16.48,3.445),(0.0,3.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.575), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.575), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.155),(0.0,7.415),(16.48,7.415),(16.48,7.155),(0.0,7.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.285), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.285), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,8.875),(0.0,9.135),(16.48,9.135),(16.48,8.875),(0.0,8.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.005), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.005), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,12.585),(0.0,12.845),(16.48,12.845),(16.48,12.585),(0.0,12.585)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.715), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.715), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,14.305),(0.0,14.565),(16.48,14.565),(16.48,14.305),(0.0,14.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(14.435), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(14.435), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,18.015),(0.0,18.275),(16.48,18.275),(16.48,18.015),(0.0,18.015)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.145), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.145), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,19.735),(0.0,19.995),(16.48,19.995),(16.48,19.735),(0.0,19.735)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(19.865), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(19.865), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,23.445),(0.0,23.705),(16.48,23.705),(16.48,23.445),(0.0,23.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(23.575), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(23.575), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,25.165),(0.0,25.425),(16.48,25.425),(16.48,25.165),(0.0,25.165)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.295), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.295), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,28.875),(0.0,29.135),(16.48,29.135),(16.48,28.875),(0.0,28.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.005), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.005), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,30.595),(0.0,30.855),(16.48,30.855),(16.48,30.595),(0.0,30.595)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(30.725), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(30.725), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,34.305),(0.0,34.565),(16.48,34.565),(16.48,34.305),(0.0,34.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.435), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.435), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,36.025),(0.0,36.285),(16.48,36.285),(16.48,36.025),(0.0,36.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(36.155), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(36.155), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,39.735),(0.0,39.995),(16.48,39.995),(16.48,39.735),(0.0,39.735)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(39.865), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(39.865), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,41.455),(0.0,41.715),(16.48,41.715),(16.48,41.455),(0.0,41.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(41.585), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(41.585), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[0]']
        createRL(
            tech, net, 'm1',
            ((0.4,0.0),(0.4,43.44),(0.63,43.44),(0.63,0.0),(0.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.515), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.515), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.43,0.0),(1.43,43.44),(1.66,43.44),(1.66,0.0),(1.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.545), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.545), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[1]']
        createRL(
            tech, net, 'm1',
            ((2.46,0.0),(2.46,43.44),(2.69,43.44),(2.69,0.0),(2.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.575), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.575), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[1]']
        createRL(
            tech, net, 'm1',
            ((3.49,0.0),(3.49,43.44),(3.72,43.44),(3.72,0.0),(3.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.605), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.605), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[2]']
        createRL(
            tech, net, 'm1',
            ((4.52,0.0),(4.52,43.44),(4.75,43.44),(4.75,0.0),(4.52,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.635), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.635), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[2]']
        createRL(
            tech, net, 'm1',
            ((5.55,0.0),(5.55,43.44),(5.78,43.44),(5.78,0.0),(5.55,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.665), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.665), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[3]']
        createRL(
            tech, net, 'm1',
            ((6.58,0.0),(6.58,43.44),(6.81,43.44),(6.81,0.0),(6.58,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.695), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.695), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[3]']
        createRL(
            tech, net, 'm1',
            ((7.61,0.0),(7.61,43.44),(7.84,43.44),(7.84,0.0),(7.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.725), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.725), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[4]']
        createRL(
            tech, net, 'm1',
            ((8.64,0.0),(8.64,43.44),(8.87,43.44),(8.87,0.0),(8.64,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(8.755), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(8.755), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[4]']
        createRL(
            tech, net, 'm1',
            ((9.67,0.0),(9.67,43.44),(9.9,43.44),(9.9,0.0),(9.67,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(9.785), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(9.785), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[5]']
        createRL(
            tech, net, 'm1',
            ((10.7,0.0),(10.7,43.44),(10.93,43.44),(10.93,0.0),(10.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(10.815), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(10.815), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[5]']
        createRL(
            tech, net, 'm1',
            ((11.73,0.0),(11.73,43.44),(11.96,43.44),(11.96,0.0),(11.73,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(11.845), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(11.845), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[6]']
        createRL(
            tech, net, 'm1',
            ((12.76,0.0),(12.76,43.44),(12.99,43.44),(12.99,0.0),(12.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.875), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.875), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[6]']
        createRL(
            tech, net, 'm1',
            ((13.79,0.0),(13.79,43.44),(14.02,43.44),(14.02,0.0),(13.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(13.905), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(13.905), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[7]']
        createRL(
            tech, net, 'm1',
            ((14.82,0.0),(14.82,43.44),(15.05,43.44),(15.05,0.0),(14.82,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(14.935), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(14.935), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[7]']
        createRL(
            tech, net, 'm1',
            ((15.85,0.0),(15.85,43.44),(16.08,43.44),(16.08,0.0),(15.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(15.965), u(0.23), u(0.0), u(43.44),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(15.965), u(0.23), u(0.0), u(43.44),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,43.44),(16.48,43.44),(16.48,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['wl[4]'].setDirection(Net.Direction.IN)
        nets['wl[5]'].setDirection(Net.Direction.IN)
        nets['wl[6]'].setDirection(Net.Direction.IN)
        nets['wl[7]'].setDirection(Net.Direction.IN)
        nets['wl[8]'].setDirection(Net.Direction.IN)
        nets['wl[9]'].setDirection(Net.Direction.IN)
        nets['wl[10]'].setDirection(Net.Direction.IN)
        nets['wl[11]'].setDirection(Net.Direction.IN)
        nets['wl[12]'].setDirection(Net.Direction.IN)
        nets['wl[13]'].setDirection(Net.Direction.IN)
        nets['wl[14]'].setDirection(Net.Direction.IN)
        nets['wl[15]'].setDirection(Net.Direction.IN)
        nets['bl[0]'].setDirection(Net.Direction.IN)
        nets['bl_n[0]'].setDirection(Net.Direction.IN)
        nets['bl[1]'].setDirection(Net.Direction.IN)
        nets['bl_n[1]'].setDirection(Net.Direction.IN)
        nets['bl[2]'].setDirection(Net.Direction.IN)
        nets['bl_n[2]'].setDirection(Net.Direction.IN)
        nets['bl[3]'].setDirection(Net.Direction.IN)
        nets['bl_n[3]'].setDirection(Net.Direction.IN)
        nets['bl[4]'].setDirection(Net.Direction.IN)
        nets['bl_n[4]'].setDirection(Net.Direction.IN)
        nets['bl[5]'].setDirection(Net.Direction.IN)
        nets['bl_n[5]'].setDirection(Net.Direction.IN)
        nets['bl[6]'].setDirection(Net.Direction.IN)
        nets['bl_n[6]'].setDirection(Net.Direction.IN)
        nets['bl[7]'].setDirection(Net.Direction.IN)
        nets['bl_n[7]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TArray_8X8']
        except:
            subcell = af.getCell('SP6TArray_8X8', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TArray_8X8']
        except:
            subcell = af.getCell('SP6TArray_8X8', 0)
        trans = Transformation(
            u(0.0), u(21.72), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst1x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TArray_8X8']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(16.479999999999997), u(21.72),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl[0]': Net.create(cell, 'bl[0]'),
            'bl[1]': Net.create(cell, 'bl[1]'),
            'bl[2]': Net.create(cell, 'bl[2]'),
            'bl[3]': Net.create(cell, 'bl[3]'),
            'bl[4]': Net.create(cell, 'bl[4]'),
            'bl[5]': Net.create(cell, 'bl[5]'),
            'bl[6]': Net.create(cell, 'bl[6]'),
            'bl[7]': Net.create(cell, 'bl[7]'),
            'bl_n[0]': Net.create(cell, 'bl_n[0]'),
            'bl_n[1]': Net.create(cell, 'bl_n[1]'),
            'bl_n[2]': Net.create(cell, 'bl_n[2]'),
            'bl_n[3]': Net.create(cell, 'bl_n[3]'),
            'bl_n[4]': Net.create(cell, 'bl_n[4]'),
            'bl_n[5]': Net.create(cell, 'bl_n[5]'),
            'bl_n[6]': Net.create(cell, 'bl_n[6]'),
            'bl_n[7]': Net.create(cell, 'bl_n[7]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
            'wl[4]': Net.create(cell, 'wl[4]'),
            'wl[5]': Net.create(cell, 'wl[5]'),
            'wl[6]': Net.create(cell, 'wl[6]'),
            'wl[7]': Net.create(cell, 'wl[7]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,18.875),(0.0,19.135),(16.48,19.135),(16.48,18.875),(0.0,18.875)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,2.585),(0.0,2.845),(16.48,2.845),(16.48,2.585),(0.0,2.585)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,8.015),(0.0,8.275),(16.48,8.275),(16.48,8.015),(0.0,8.015)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,13.445),(0.0,13.705),(16.48,13.705),(16.48,13.445),(0.0,13.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(19.005), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(19.005), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.715), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.715), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.145), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.145), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.575), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.575), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,16.16),(0.0,16.42),(16.48,16.42),(16.48,16.16),(0.0,16.16)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(16.48,0.13),(16.48,-0.13),(0.0,-0.13)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,21.59),(0.0,21.85),(16.48,21.85),(16.48,21.59),(0.0,21.59)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,5.3),(0.0,5.56),(16.48,5.56),(16.48,5.3),(0.0,5.3)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,10.73),(0.0,10.99),(16.48,10.99),(16.48,10.73),(0.0,10.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.29), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.29), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.72), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.72), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(5.43), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(5.43), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.86), u(0.26), u(0.0), u(16.48),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.86), u(0.26), u(0.0), u(16.48),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.725),(0.0,1.985),(16.48,1.985),(16.48,1.725),(0.0,1.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.855), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.855), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.445),(0.0,3.705),(16.48,3.705),(16.48,3.445),(0.0,3.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.575), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.575), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.155),(0.0,7.415),(16.48,7.415),(16.48,7.155),(0.0,7.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.285), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.285), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,8.875),(0.0,9.135),(16.48,9.135),(16.48,8.875),(0.0,8.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.005), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.005), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,12.585),(0.0,12.845),(16.48,12.845),(16.48,12.585),(0.0,12.585)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.715), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.715), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,14.305),(0.0,14.565),(16.48,14.565),(16.48,14.305),(0.0,14.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(14.435), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(14.435), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,18.015),(0.0,18.275),(16.48,18.275),(16.48,18.015),(0.0,18.015)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.145), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.145), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,19.735),(0.0,19.995),(16.48,19.995),(16.48,19.735),(0.0,19.735)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(19.865), u(0.26), u(0.0), u(16.479999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(19.865), u(0.26), u(0.0), u(16.479999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[0]']
        createRL(
            tech, net, 'm1',
            ((0.4,0.0),(0.4,21.72),(0.63,21.72),(0.63,0.0),(0.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.515), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.515), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.43,0.0),(1.43,21.72),(1.66,21.72),(1.66,0.0),(1.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.545), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.545), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[1]']
        createRL(
            tech, net, 'm1',
            ((2.46,0.0),(2.46,21.72),(2.69,21.72),(2.69,0.0),(2.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.575), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.575), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[1]']
        createRL(
            tech, net, 'm1',
            ((3.49,0.0),(3.49,21.72),(3.72,21.72),(3.72,0.0),(3.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.605), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.605), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[2]']
        createRL(
            tech, net, 'm1',
            ((4.52,0.0),(4.52,21.72),(4.75,21.72),(4.75,0.0),(4.52,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.635), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.635), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[2]']
        createRL(
            tech, net, 'm1',
            ((5.55,0.0),(5.55,21.72),(5.78,21.72),(5.78,0.0),(5.55,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.665), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.665), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[3]']
        createRL(
            tech, net, 'm1',
            ((6.58,0.0),(6.58,21.72),(6.81,21.72),(6.81,0.0),(6.58,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.695), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.695), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[3]']
        createRL(
            tech, net, 'm1',
            ((7.61,0.0),(7.61,21.72),(7.84,21.72),(7.84,0.0),(7.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.725), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.725), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[4]']
        createRL(
            tech, net, 'm1',
            ((8.64,0.0),(8.64,21.72),(8.87,21.72),(8.87,0.0),(8.64,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(8.755), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(8.755), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[4]']
        createRL(
            tech, net, 'm1',
            ((9.67,0.0),(9.67,21.72),(9.9,21.72),(9.9,0.0),(9.67,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(9.785), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(9.785), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[5]']
        createRL(
            tech, net, 'm1',
            ((10.7,0.0),(10.7,21.72),(10.93,21.72),(10.93,0.0),(10.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(10.815), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(10.815), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[5]']
        createRL(
            tech, net, 'm1',
            ((11.73,0.0),(11.73,21.72),(11.96,21.72),(11.96,0.0),(11.73,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(11.845), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(11.845), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[6]']
        createRL(
            tech, net, 'm1',
            ((12.76,0.0),(12.76,21.72),(12.99,21.72),(12.99,0.0),(12.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.875), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.875), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[6]']
        createRL(
            tech, net, 'm1',
            ((13.79,0.0),(13.79,21.72),(14.02,21.72),(14.02,0.0),(13.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(13.905), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(13.905), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[7]']
        createRL(
            tech, net, 'm1',
            ((14.82,0.0),(14.82,21.72),(15.05,21.72),(15.05,0.0),(14.82,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(14.935), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(14.935), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[7]']
        createRL(
            tech, net, 'm1',
            ((15.85,0.0),(15.85,21.72),(16.08,21.72),(16.08,0.0),(15.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(15.965), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(15.965), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,21.72),(16.48,21.72),(16.48,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['wl[4]'].setDirection(Net.Direction.IN)
        nets['wl[5]'].setDirection(Net.Direction.IN)
        nets['wl[6]'].setDirection(Net.Direction.IN)
        nets['wl[7]'].setDirection(Net.Direction.IN)
        nets['bl[0]'].setDirection(Net.Direction.IN)
        nets['bl_n[0]'].setDirection(Net.Direction.IN)
        nets['bl[1]'].setDirection(Net.Direction.IN)
        nets['bl_n[1]'].setDirection(Net.Direction.IN)
        nets['bl[2]'].setDirection(Net.Direction.IN)
        nets['bl_n[2]'].setDirection(Net.Direction.IN)
        nets['bl[3]'].setDirection(Net.Direction.IN)
        nets['bl_n[3]'].setDirection(Net.Direction.IN)
        nets['bl[4]'].setDirection(Net.Direction.IN)
        nets['bl_n[4]'].setDirection(Net.Direction.IN)
        nets['bl[5]'].setDirection(Net.Direction.IN)
        nets['bl_n[5]'].setDirection(Net.Direction.IN)
        nets['bl[6]'].setDirection(Net.Direction.IN)
        nets['bl_n[6]'].setDirection(Net.Direction.IN)
        nets['bl[7]'].setDirection(Net.Direction.IN)
        nets['bl_n[7]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TArray_8X4']
        except:
            subcell = af.getCell('SP6TArray_8X4', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TArray_8X4']
        except:
            subcell = af.getCell('SP6TArray_8X4', 0)
        trans = Transformation(
            u(8.239999999999998), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x1', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TArray_8X4']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(8.239999999999998), u(21.72),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl[0]': Net.create(cell, 'bl[0]'),
            'bl[1]': Net.create(cell, 'bl[1]'),
            'bl[2]': Net.create(cell, 'bl[2]'),
            'bl[3]': Net.create(cell, 'bl[3]'),
            'bl_n[0]': Net.create(cell, 'bl_n[0]'),
            'bl_n[1]': Net.create(cell, 'bl_n[1]'),
            'bl_n[2]': Net.create(cell, 'bl_n[2]'),
            'bl_n[3]': Net.create(cell, 'bl_n[3]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
            'wl[4]': Net.create(cell, 'wl[4]'),
            'wl[5]': Net.create(cell, 'wl[5]'),
            'wl[6]': Net.create(cell, 'wl[6]'),
            'wl[7]': Net.create(cell, 'wl[7]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,8.015),(0.0,8.275),(8.24,8.275),(8.24,8.015),(0.0,8.015)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,18.875),(0.0,19.135),(8.24,19.135),(8.24,18.875),(0.0,18.875)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,2.585),(0.0,2.845),(8.24,2.845),(8.24,2.585),(0.0,2.585)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,13.445),(0.0,13.705),(8.24,13.705),(8.24,13.445),(0.0,13.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.145), u(0.26), u(0.0), u(8.24),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.145), u(0.26), u(0.0), u(8.24),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(19.005), u(0.26), u(0.0), u(8.24),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(19.005), u(0.26), u(0.0), u(8.24),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.715), u(0.26), u(0.0), u(8.24),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.715), u(0.26), u(0.0), u(8.24),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.575), u(0.26), u(0.0), u(8.24),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.575), u(0.26), u(0.0), u(8.24),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,21.59),(0.0,21.85),(8.24,21.85),(8.24,21.59),(0.0,21.59)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,5.3),(0.0,5.56),(8.24,5.56),(8.24,5.3),(0.0,5.3)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(8.24,0.13),(8.24,-0.13),(0.0,-0.13)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,10.73),(0.0,10.99),(8.24,10.99),(8.24,10.73),(0.0,10.73)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,16.16),(0.0,16.42),(8.24,16.42),(8.24,16.16),(0.0,16.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.72), u(0.26), u(0.0), u(8.24),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.72), u(0.26), u(0.0), u(8.24),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(5.43), u(0.26), u(0.0), u(8.24),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(5.43), u(0.26), u(0.0), u(8.24),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(8.24),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(8.24),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.86), u(0.26), u(0.0), u(8.24),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.86), u(0.26), u(0.0), u(8.24),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.29), u(0.26), u(0.0), u(8.24),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.29), u(0.26), u(0.0), u(8.24),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.725),(0.0,1.985),(8.24,1.985),(8.24,1.725),(0.0,1.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.855), u(0.26), u(0.0), u(8.239999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.855), u(0.26), u(0.0), u(8.239999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.445),(0.0,3.705),(8.24,3.705),(8.24,3.445),(0.0,3.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.575), u(0.26), u(0.0), u(8.239999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.575), u(0.26), u(0.0), u(8.239999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.155),(0.0,7.415),(8.24,7.415),(8.24,7.155),(0.0,7.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.285), u(0.26), u(0.0), u(8.239999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.285), u(0.26), u(0.0), u(8.239999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,8.875),(0.0,9.135),(8.24,9.135),(8.24,8.875),(0.0,8.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.005), u(0.26), u(0.0), u(8.239999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.005), u(0.26), u(0.0), u(8.239999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,12.585),(0.0,12.845),(8.24,12.845),(8.24,12.585),(0.0,12.585)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.715), u(0.26), u(0.0), u(8.239999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.715), u(0.26), u(0.0), u(8.239999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,14.305),(0.0,14.565),(8.24,14.565),(8.24,14.305),(0.0,14.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(14.435), u(0.26), u(0.0), u(8.239999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(14.435), u(0.26), u(0.0), u(8.239999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,18.015),(0.0,18.275),(8.24,18.275),(8.24,18.015),(0.0,18.015)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.145), u(0.26), u(0.0), u(8.239999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.145), u(0.26), u(0.0), u(8.239999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,19.735),(0.0,19.995),(8.24,19.995),(8.24,19.735),(0.0,19.735)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(19.865), u(0.26), u(0.0), u(8.239999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(19.865), u(0.26), u(0.0), u(8.239999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[0]']
        createRL(
            tech, net, 'm1',
            ((0.4,0.0),(0.4,21.72),(0.63,21.72),(0.63,0.0),(0.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.515), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.515), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.43,0.0),(1.43,21.72),(1.66,21.72),(1.66,0.0),(1.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.545), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.545), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[1]']
        createRL(
            tech, net, 'm1',
            ((2.46,0.0),(2.46,21.72),(2.69,21.72),(2.69,0.0),(2.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.575), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.575), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[1]']
        createRL(
            tech, net, 'm1',
            ((3.49,0.0),(3.49,21.72),(3.72,21.72),(3.72,0.0),(3.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.605), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.605), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[2]']
        createRL(
            tech, net, 'm1',
            ((4.52,0.0),(4.52,21.72),(4.75,21.72),(4.75,0.0),(4.52,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.635), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.635), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[2]']
        createRL(
            tech, net, 'm1',
            ((5.55,0.0),(5.55,21.72),(5.78,21.72),(5.78,0.0),(5.55,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.665), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.665), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[3]']
        createRL(
            tech, net, 'm1',
            ((6.58,0.0),(6.58,21.72),(6.81,21.72),(6.81,0.0),(6.58,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.695), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.695), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[3]']
        createRL(
            tech, net, 'm1',
            ((7.61,0.0),(7.61,21.72),(7.84,21.72),(7.84,0.0),(7.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.725), u(0.23), u(0.0), u(21.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.725), u(0.23), u(0.0), u(21.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,21.72),(8.24,21.72),(8.24,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['wl[4]'].setDirection(Net.Direction.IN)
        nets['wl[5]'].setDirection(Net.Direction.IN)
        nets['wl[6]'].setDirection(Net.Direction.IN)
        nets['wl[7]'].setDirection(Net.Direction.IN)
        nets['bl[0]'].setDirection(Net.Direction.IN)
        nets['bl_n[0]'].setDirection(Net.Direction.IN)
        nets['bl[1]'].setDirection(Net.Direction.IN)
        nets['bl_n[1]'].setDirection(Net.Direction.IN)
        nets['bl[2]'].setDirection(Net.Direction.IN)
        nets['bl_n[2]'].setDirection(Net.Direction.IN)
        nets['bl[3]'].setDirection(Net.Direction.IN)
        nets['bl_n[3]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TArray_4X4']
        except:
            subcell = af.getCell('SP6TArray_4X4', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TArray_4X4']
        except:
            subcell = af.getCell('SP6TArray_4X4', 0)
        trans = Transformation(
            u(0.0), u(10.86), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst1x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TArray_4X4']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(8.239999999999998), u(10.86),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl[0]': Net.create(cell, 'bl[0]'),
            'bl[1]': Net.create(cell, 'bl[1]'),
            'bl[2]': Net.create(cell, 'bl[2]'),
            'bl[3]': Net.create(cell, 'bl[3]'),
            'bl_n[0]': Net.create(cell, 'bl_n[0]'),
            'bl_n[1]': Net.create(cell, 'bl_n[1]'),
            'bl_n[2]': Net.create(cell, 'bl_n[2]'),
            'bl_n[3]': Net.create(cell, 'bl_n[3]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,8.015),(0.0,8.275),(8.24,8.275),(8.24,8.015),(0.0,8.015)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,2.585),(0.0,2.845),(8.24,2.845),(8.24,2.585),(0.0,2.585)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.145), u(0.26), u(0.0), u(8.24),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.145), u(0.26), u(0.0), u(8.24),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.715), u(0.26), u(0.0), u(8.24),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.715), u(0.26), u(0.0), u(8.24),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(8.24,0.13),(8.24,-0.13),(0.0,-0.13)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,10.73),(0.0,10.99),(8.24,10.99),(8.24,10.73),(0.0,10.73)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,5.3),(0.0,5.56),(8.24,5.56),(8.24,5.3),(0.0,5.3)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(8.24),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(8.24),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.86), u(0.26), u(0.0), u(8.24),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.86), u(0.26), u(0.0), u(8.24),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(5.43), u(0.26), u(0.0), u(8.24),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(5.43), u(0.26), u(0.0), u(8.24),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.725),(0.0,1.985),(8.24,1.985),(8.24,1.725),(0.0,1.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.855), u(0.26), u(0.0), u(8.239999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.855), u(0.26), u(0.0), u(8.239999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.445),(0.0,3.705),(8.24,3.705),(8.24,3.445),(0.0,3.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.575), u(0.26), u(0.0), u(8.239999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.575), u(0.26), u(0.0), u(8.239999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.155),(0.0,7.415),(8.24,7.415),(8.24,7.155),(0.0,7.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.285), u(0.26), u(0.0), u(8.239999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.285), u(0.26), u(0.0), u(8.239999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,8.875),(0.0,9.135),(8.24,9.135),(8.24,8.875),(0.0,8.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.005), u(0.26), u(0.0), u(8.239999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.005), u(0.26), u(0.0), u(8.239999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[0]']
        createRL(
            tech, net, 'm1',
            ((0.4,0.0),(0.4,10.86),(0.63,10.86),(0.63,0.0),(0.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.515), u(0.23), u(0.0), u(10.86),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.515), u(0.23), u(0.0), u(10.86),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.43,0.0),(1.43,10.86),(1.66,10.86),(1.66,0.0),(1.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.545), u(0.23), u(0.0), u(10.86),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.545), u(0.23), u(0.0), u(10.86),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[1]']
        createRL(
            tech, net, 'm1',
            ((2.46,0.0),(2.46,10.86),(2.69,10.86),(2.69,0.0),(2.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.575), u(0.23), u(0.0), u(10.86),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.575), u(0.23), u(0.0), u(10.86),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[1]']
        createRL(
            tech, net, 'm1',
            ((3.49,0.0),(3.49,10.86),(3.72,10.86),(3.72,0.0),(3.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.605), u(0.23), u(0.0), u(10.86),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.605), u(0.23), u(0.0), u(10.86),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[2]']
        createRL(
            tech, net, 'm1',
            ((4.52,0.0),(4.52,10.86),(4.75,10.86),(4.75,0.0),(4.52,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.635), u(0.23), u(0.0), u(10.86),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.635), u(0.23), u(0.0), u(10.86),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[2]']
        createRL(
            tech, net, 'm1',
            ((5.55,0.0),(5.55,10.86),(5.78,10.86),(5.78,0.0),(5.55,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.665), u(0.23), u(0.0), u(10.86),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.665), u(0.23), u(0.0), u(10.86),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[3]']
        createRL(
            tech, net, 'm1',
            ((6.58,0.0),(6.58,10.86),(6.81,10.86),(6.81,0.0),(6.58,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.695), u(0.23), u(0.0), u(10.86),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.695), u(0.23), u(0.0), u(10.86),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[3]']
        createRL(
            tech, net, 'm1',
            ((7.61,0.0),(7.61,10.86),(7.84,10.86),(7.84,0.0),(7.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.725), u(0.23), u(0.0), u(10.86),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.725), u(0.23), u(0.0), u(10.86),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,10.86),(8.24,10.86),(8.24,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['bl[0]'].setDirection(Net.Direction.IN)
        nets['bl_n[0]'].setDirection(Net.Direction.IN)
        nets['bl[1]'].setDirection(Net.Direction.IN)
        nets['bl_n[1]'].setDirection(Net.Direction.IN)
        nets['bl[2]'].setDirection(Net.Direction.IN)
        nets['bl_n[2]'].setDirection(Net.Direction.IN)
        nets['bl[3]'].setDirection(Net.Direction.IN)
        nets['bl_n[3]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TArray_4X2']
        except:
            subcell = af.getCell('SP6TArray_4X2', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TArray_4X2']
        except:
            subcell = af.getCell('SP6TArray_4X2', 0)
        trans = Transformation(
            u(4.119999999999999), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x1', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TArray_4X2']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(4.119999999999999), u(10.86),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl[0]': Net.create(cell, 'bl[0]'),
            'bl[1]': Net.create(cell, 'bl[1]'),
            'bl_n[0]': Net.create(cell, 'bl_n[0]'),
            'bl_n[1]': Net.create(cell, 'bl_n[1]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,8.015),(0.0,8.275),(4.12,8.275),(4.12,8.015),(0.0,8.015)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,2.585),(0.0,2.845),(4.12,2.845),(4.12,2.585),(0.0,2.585)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.145), u(0.26), u(0.0), u(4.12),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.145), u(0.26), u(0.0), u(4.12),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.715), u(0.26), u(0.0), u(4.12),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.715), u(0.26), u(0.0), u(4.12),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,5.3),(0.0,5.56),(4.12,5.56),(4.12,5.3),(0.0,5.3)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,10.73),(0.0,10.99),(4.12,10.99),(4.12,10.73),(0.0,10.73)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(4.12,0.13),(4.12,-0.13),(0.0,-0.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(5.43), u(0.26), u(0.0), u(4.12),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(5.43), u(0.26), u(0.0), u(4.12),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.86), u(0.26), u(0.0), u(4.12),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.86), u(0.26), u(0.0), u(4.12),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(4.12),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(4.12),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.725),(0.0,1.985),(4.12,1.985),(4.12,1.725),(0.0,1.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.855), u(0.26), u(0.0), u(4.119999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.855), u(0.26), u(0.0), u(4.119999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.445),(0.0,3.705),(4.12,3.705),(4.12,3.445),(0.0,3.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.575), u(0.26), u(0.0), u(4.119999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.575), u(0.26), u(0.0), u(4.119999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.155),(0.0,7.415),(4.12,7.415),(4.12,7.155),(0.0,7.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.285), u(0.26), u(0.0), u(4.119999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.285), u(0.26), u(0.0), u(4.119999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,8.875),(0.0,9.135),(4.12,9.135),(4.12,8.875),(0.0,8.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.005), u(0.26), u(0.0), u(4.119999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.005), u(0.26), u(0.0), u(4.119999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[0]']
        createRL(
            tech, net, 'm1',
            ((0.4,0.0),(0.4,10.86),(0.63,10.86),(0.63,0.0),(0.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.515), u(0.23), u(0.0), u(10.86),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.515), u(0.23), u(0.0), u(10.86),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.43,0.0),(1.43,10.86),(1.66,10.86),(1.66,0.0),(1.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.545), u(0.23), u(0.0), u(10.86),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.545), u(0.23), u(0.0), u(10.86),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[1]']
        createRL(
            tech, net, 'm1',
            ((2.46,0.0),(2.46,10.86),(2.69,10.86),(2.69,0.0),(2.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.575), u(0.23), u(0.0), u(10.86),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.575), u(0.23), u(0.0), u(10.86),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[1]']
        createRL(
            tech, net, 'm1',
            ((3.49,0.0),(3.49,10.86),(3.72,10.86),(3.72,0.0),(3.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.605), u(0.23), u(0.0), u(10.86),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.605), u(0.23), u(0.0), u(10.86),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,10.86),(4.12,10.86),(4.12,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['bl[0]'].setDirection(Net.Direction.IN)
        nets['bl_n[0]'].setDirection(Net.Direction.IN)
        nets['bl[1]'].setDirection(Net.Direction.IN)
        nets['bl_n[1]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TArray_2X2']
        except:
            subcell = af.getCell('SP6TArray_2X2', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TArray_2X2']
        except:
            subcell = af.getCell('SP6TArray_2X2', 0)
        trans = Transformation(
            u(0.0), u(5.43), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst1x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TArray_2X2']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(4.119999999999999), u(5.43),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl[0]': Net.create(cell, 'bl[0]'),
            'bl[1]': Net.create(cell, 'bl[1]'),
            'bl_n[0]': Net.create(cell, 'bl_n[0]'),
            'bl_n[1]': Net.create(cell, 'bl_n[1]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,2.585),(0.0,2.845),(4.12,2.845),(4.12,2.585),(0.0,2.585)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.715), u(0.26), u(0.0), u(4.119999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.715), u(0.26), u(0.0), u(4.119999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,5.3),(0.0,5.56),(4.12,5.56),(4.12,5.3),(0.0,5.3)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(4.12,0.13),(4.12,-0.13),(0.0,-0.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(5.43), u(0.26), u(0.0), u(4.12),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(5.43), u(0.26), u(0.0), u(4.12),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(4.12),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(4.12),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.725),(0.0,1.985),(4.12,1.985),(4.12,1.725),(0.0,1.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.855), u(0.26), u(0.0), u(4.119999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.855), u(0.26), u(0.0), u(4.119999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.445),(0.0,3.705),(4.12,3.705),(4.12,3.445),(0.0,3.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.575), u(0.26), u(0.0), u(4.119999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.575), u(0.26), u(0.0), u(4.119999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[0]']
        createRL(
            tech, net, 'm1',
            ((0.4,0.0),(0.4,5.43),(0.63,5.43),(0.63,0.0),(0.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.515), u(0.23), u(0.0), u(5.43),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.515), u(0.23), u(0.0), u(5.43),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.43,0.0),(1.43,5.43),(1.66,5.43),(1.66,0.0),(1.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.545), u(0.23), u(0.0), u(5.43),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.545), u(0.23), u(0.0), u(5.43),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[1]']
        createRL(
            tech, net, 'm1',
            ((2.46,0.0),(2.46,5.43),(2.69,5.43),(2.69,0.0),(2.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.575), u(0.23), u(0.0), u(5.43),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.575), u(0.23), u(0.0), u(5.43),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[1]']
        createRL(
            tech, net, 'm1',
            ((3.49,0.0),(3.49,5.43),(3.72,5.43),(3.72,0.0),(3.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.605), u(0.23), u(0.0), u(5.43),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.605), u(0.23), u(0.0), u(5.43),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,5.43),(4.12,5.43),(4.12,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['bl[0]'].setDirection(Net.Direction.IN)
        nets['bl_n[0]'].setDirection(Net.Direction.IN)
        nets['bl[1]'].setDirection(Net.Direction.IN)
        nets['bl_n[1]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TArray_2X1']
        except:
            subcell = af.getCell('SP6TArray_2X1', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TArray_2X1']
        except:
            subcell = af.getCell('SP6TArray_2X1', 0)
        trans = Transformation(
            u(2.0599999999999996), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x1', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TArray_2X1']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(2.0599999999999996), u(5.43),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl[0]': Net.create(cell, 'bl[0]'),
            'bl_n[0]': Net.create(cell, 'bl_n[0]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,2.585),(0.0,2.845),(2.06,2.845),(2.06,2.585),(0.0,2.585)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.715), u(0.26), u(0.0), u(2.0599999999999996),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.715), u(0.26), u(0.0), u(2.0599999999999996),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(2.06,0.13),(2.06,-0.13),(0.0,-0.13)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,5.3),(0.0,5.56),(2.06,5.56),(2.06,5.3),(0.0,5.3)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(2.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(2.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(5.43), u(0.26), u(0.0), u(2.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(5.43), u(0.26), u(0.0), u(2.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.725),(0.0,1.985),(2.06,1.985),(2.06,1.725),(0.0,1.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.855), u(0.26), u(0.0), u(2.0599999999999996),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.855), u(0.26), u(0.0), u(2.0599999999999996),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.445),(0.0,3.705),(2.06,3.705),(2.06,3.445),(0.0,3.445)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.575), u(0.26), u(0.0), u(2.0599999999999996),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.575), u(0.26), u(0.0), u(2.0599999999999996),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl[0]']
        createRL(
            tech, net, 'm1',
            ((0.4,0.0),(0.4,5.43),(0.63,5.43),(0.63,0.0),(0.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.515), u(0.23), u(0.0), u(5.43),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.515), u(0.23), u(0.0), u(5.43),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.43,0.0),(1.43,5.43),(1.66,5.43),(1.66,0.0),(1.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.545), u(0.23), u(0.0), u(5.43),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.545), u(0.23), u(0.0), u(5.43),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,5.43),(2.06,5.43),(2.06,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['bl[0]'].setDirection(Net.Direction.IN)
        nets['bl_n[0]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TCell']
        except:
            subcell = af.getCell('SP6TCell', 0)
        trans = Transformation(
            u(0.0), u(2.715), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TCell']
        except:
            subcell = af.getCell('SP6TCell', 0)
        trans = Transformation(
            u(0.0), u(2.715), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst1x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TColumnPeriphery_8B4M']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(-63.045), u(65.91999999999999), u(0.0),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'clk': Net.create(cell, 'clk'),
            'd[0]': Net.create(cell, 'd[0]'),
            'd[1]': Net.create(cell, 'd[1]'),
            'd[2]': Net.create(cell, 'd[2]'),
            'd[3]': Net.create(cell, 'd[3]'),
            'd[4]': Net.create(cell, 'd[4]'),
            'd[5]': Net.create(cell, 'd[5]'),
            'd[6]': Net.create(cell, 'd[6]'),
            'd[7]': Net.create(cell, 'd[7]'),
            'intclk': Net.create(cell, 'intclk'),
            'mux[0]': Net.create(cell, 'mux[0]'),
            'mux[1]': Net.create(cell, 'mux[1]'),
            'mux[2]': Net.create(cell, 'mux[2]'),
            'mux[3]': Net.create(cell, 'mux[3]'),
            'precharge_n': Net.create(cell, 'precharge_n'),
            'q[0]': Net.create(cell, 'q[0]'),
            'q[1]': Net.create(cell, 'q[1]'),
            'q[2]': Net.create(cell, 'q[2]'),
            'q[3]': Net.create(cell, 'q[3]'),
            'q[4]': Net.create(cell, 'q[4]'),
            'q[5]': Net.create(cell, 'q[5]'),
            'q[6]': Net.create(cell, 'q[6]'),
            'q[7]': Net.create(cell, 'q[7]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'we': Net.create(cell, 'we'),
            'we_en': Net.create(cell, 'we_en'),
            'we_n': Net.create(cell, 'we_n'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((-0.13,-4.335),(-0.13,-3.695),(66.05,-3.695),(66.05,-4.335),(-0.13,-4.335)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-13.965),(0.0,-13.325),(65.92,-13.325),(65.92,-13.965),(0.0,-13.965)),
        )
        createRL(
            tech, net, 'm2',
            ((16.19,-53.365),(16.19,-14.885),(16.77,-14.885),(16.77,-53.365),(16.19,-53.365)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-4.015), u(0.64), u(-0.13), u(66.05),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-4.015), u(0.64), u(-0.13), u(66.05),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-13.645), u(0.64), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-13.645), u(0.64), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        createRL(
            tech, net, 'li',
            ((16.215,-33.31),(16.215,-32.78),(16.745,-32.78),(16.745,-33.31),(16.215,-33.31)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,-54.245),(0.0,-53.045),(16.215,-53.045),(16.215,-52.78),(16.745,-52.78),(16.745,-53.045),(65.92,-53.045),(65.92,-54.245),(0.0,-54.245)),
        )
        createRL(
            tech, net, 'li',
            ((16.215,-13.91),(16.215,-13.38),(16.745,-13.38),(16.745,-13.91),(16.215,-13.91)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.215,-33.31),(16.215,-33.14),(16.385,-33.14),(16.385,-33.31),(16.215,-33.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.575,-33.31),(16.575,-33.14),(16.745,-33.14),(16.745,-33.31),(16.575,-33.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.215,-32.95),(16.215,-32.78),(16.385,-32.78),(16.385,-32.95),(16.215,-32.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.575,-32.95),(16.575,-32.78),(16.745,-32.78),(16.745,-32.95),(16.575,-32.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.215,-13.91),(16.215,-13.74),(16.385,-13.74),(16.385,-13.91),(16.215,-13.91)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.575,-13.91),(16.575,-13.74),(16.745,-13.74),(16.745,-13.91),(16.575,-13.91)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.215,-13.55),(16.215,-13.38),(16.385,-13.38),(16.385,-13.55),(16.215,-13.55)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.575,-13.55),(16.575,-13.38),(16.745,-13.38),(16.745,-13.55),(16.575,-13.55)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.215,-53.31),(16.215,-53.14),(16.385,-53.14),(16.385,-53.31),(16.215,-53.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.575,-53.31),(16.575,-53.14),(16.745,-53.14),(16.745,-53.31),(16.575,-53.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.215,-52.95),(16.215,-52.78),(16.385,-52.78),(16.385,-52.95),(16.215,-52.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.575,-52.95),(16.575,-52.78),(16.745,-52.78),(16.745,-52.95),(16.575,-52.95)),
        )
        createRL(
            tech, net, 'm1',
            ((16.185,-53.37),(16.185,-52.72),(16.775,-52.72),(16.775,-53.37),(16.185,-53.37)),
        )
        createRL(
            tech, net, 'm1',
            ((16.185,-33.37),(16.185,-32.72),(16.775,-32.72),(16.775,-33.37),(16.185,-33.37)),
        )
        createRL(
            tech, net, 'm1',
            ((16.19,-15.525),(16.19,-13.97),(16.185,-13.97),(16.185,-13.32),(16.775,-13.32),(16.775,-13.97),(16.77,-13.97),(16.77,-15.525),(16.19,-15.525)),
        )
        createRL(
            tech, net, 'via',
            ((16.245,-53.28),(16.245,-53.13),(16.395,-53.13),(16.395,-53.28),(16.245,-53.28)),
        )
        createRL(
            tech, net, 'via',
            ((16.565,-53.28),(16.565,-53.13),(16.715,-53.13),(16.715,-53.28),(16.565,-53.28)),
        )
        createRL(
            tech, net, 'via',
            ((16.245,-52.96),(16.245,-52.81),(16.395,-52.81),(16.395,-52.96),(16.245,-52.96)),
        )
        createRL(
            tech, net, 'via',
            ((16.565,-52.96),(16.565,-52.81),(16.715,-52.81),(16.715,-52.96),(16.565,-52.96)),
        )
        createRL(
            tech, net, 'via',
            ((16.245,-15.44),(16.245,-15.29),(16.395,-15.29),(16.395,-15.44),(16.245,-15.44)),
        )
        createRL(
            tech, net, 'via',
            ((16.565,-15.44),(16.565,-15.29),(16.715,-15.29),(16.715,-15.44),(16.565,-15.44)),
        )
        createRL(
            tech, net, 'via',
            ((16.245,-15.12),(16.245,-14.97),(16.395,-14.97),(16.395,-15.12),(16.245,-15.12)),
        )
        createRL(
            tech, net, 'via',
            ((16.565,-15.12),(16.565,-14.97),(16.715,-14.97),(16.715,-15.12),(16.565,-15.12)),
        )
        createRL(
            tech, net, 'via',
            ((16.245,-33.28),(16.245,-33.13),(16.395,-33.13),(16.395,-33.28),(16.245,-33.28)),
        )
        createRL(
            tech, net, 'via',
            ((16.565,-33.28),(16.565,-33.13),(16.715,-33.13),(16.715,-33.28),(16.565,-33.28)),
        )
        createRL(
            tech, net, 'via',
            ((16.245,-32.96),(16.245,-32.81),(16.395,-32.81),(16.395,-32.96),(16.245,-32.96)),
        )
        createRL(
            tech, net, 'via',
            ((16.565,-32.96),(16.565,-32.81),(16.715,-32.81),(16.715,-32.96),(16.565,-32.96)),
        )
        createRL(
            tech, net, 'via',
            ((16.245,-13.88),(16.245,-13.73),(16.395,-13.73),(16.395,-13.88),(16.245,-13.88)),
        )
        createRL(
            tech, net, 'via',
            ((16.565,-13.88),(16.565,-13.73),(16.715,-13.73),(16.715,-13.88),(16.565,-13.88)),
        )
        createRL(
            tech, net, 'via',
            ((16.245,-13.56),(16.245,-13.41),(16.395,-13.41),(16.395,-13.56),(16.245,-13.56)),
        )
        createRL(
            tech, net, 'via',
            ((16.565,-13.56),(16.565,-13.41),(16.715,-13.41),(16.715,-13.56),(16.565,-13.56)),
        )
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((32.67,-62.765),(32.67,-14.745),(0.0,-14.745),(0.0,-14.105),(65.92,-14.105),(65.92,-14.745),(33.25,-14.745),(33.25,-62.765),(32.67,-62.765)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(65.92,0.13),(65.92,-0.13),(0.0,-0.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-14.425), u(0.64), u(0.0), u(65.92),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-14.425), u(0.64), u(0.0), u(65.92),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        createRL(
            tech, net, 'li',
            ((0.0,-63.045),(0.0,-61.845),(65.92,-61.845),(65.92,-63.045),(0.0,-63.045)),
        )
        createRL(
            tech, net, 'li',
            ((32.695,-43.31),(32.695,-42.78),(33.225,-42.78),(33.225,-43.31),(32.695,-43.31)),
        )
        createRL(
            tech, net, 'li',
            ((32.695,-23.31),(32.695,-22.78),(33.225,-22.78),(33.225,-23.31),(32.695,-23.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((32.695,-43.31),(32.695,-43.14),(32.865,-43.14),(32.865,-43.31),(32.695,-43.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((33.055,-43.31),(33.055,-43.14),(33.225,-43.14),(33.225,-43.31),(33.055,-43.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((32.695,-42.95),(32.695,-42.78),(32.865,-42.78),(32.865,-42.95),(32.695,-42.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((33.055,-42.95),(33.055,-42.78),(33.225,-42.78),(33.225,-42.95),(33.055,-42.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((32.695,-62.71),(32.695,-62.54),(32.865,-62.54),(32.865,-62.71),(32.695,-62.71)),
        )
        createRL(
            tech, net, 'mcon',
            ((33.055,-62.71),(33.055,-62.54),(33.225,-62.54),(33.225,-62.71),(33.055,-62.71)),
        )
        createRL(
            tech, net, 'mcon',
            ((32.695,-62.35),(32.695,-62.18),(32.865,-62.18),(32.865,-62.35),(32.695,-62.35)),
        )
        createRL(
            tech, net, 'mcon',
            ((33.055,-62.35),(33.055,-62.18),(33.225,-62.18),(33.225,-62.35),(33.055,-62.35)),
        )
        createRL(
            tech, net, 'mcon',
            ((32.695,-23.31),(32.695,-23.14),(32.865,-23.14),(32.865,-23.31),(32.695,-23.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((33.055,-23.31),(33.055,-23.14),(33.225,-23.14),(33.225,-23.31),(33.055,-23.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((32.695,-22.95),(32.695,-22.78),(32.865,-22.78),(32.865,-22.95),(32.695,-22.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((33.055,-22.95),(33.055,-22.78),(33.225,-22.78),(33.225,-22.95),(33.055,-22.95)),
        )
        createRL(
            tech, net, 'm1',
            ((32.665,-43.37),(32.665,-42.72),(33.255,-42.72),(33.255,-43.37),(32.665,-43.37)),
        )
        createRL(
            tech, net, 'm1',
            ((32.665,-23.37),(32.665,-22.72),(33.255,-22.72),(33.255,-23.37),(32.665,-23.37)),
        )
        createRL(
            tech, net, 'm1',
            ((32.665,-62.77),(32.665,-62.12),(33.255,-62.12),(33.255,-62.77),(32.665,-62.77)),
        )
        createRL(
            tech, net, 'via',
            ((32.725,-43.28),(32.725,-43.13),(32.875,-43.13),(32.875,-43.28),(32.725,-43.28)),
        )
        createRL(
            tech, net, 'via',
            ((33.045,-43.28),(33.045,-43.13),(33.195,-43.13),(33.195,-43.28),(33.045,-43.28)),
        )
        createRL(
            tech, net, 'via',
            ((32.725,-42.96),(32.725,-42.81),(32.875,-42.81),(32.875,-42.96),(32.725,-42.96)),
        )
        createRL(
            tech, net, 'via',
            ((33.045,-42.96),(33.045,-42.81),(33.195,-42.81),(33.195,-42.96),(33.045,-42.96)),
        )
        createRL(
            tech, net, 'via',
            ((32.725,-62.68),(32.725,-62.53),(32.875,-62.53),(32.875,-62.68),(32.725,-62.68)),
        )
        createRL(
            tech, net, 'via',
            ((33.045,-62.68),(33.045,-62.53),(33.195,-62.53),(33.195,-62.68),(33.045,-62.68)),
        )
        createRL(
            tech, net, 'via',
            ((32.725,-62.36),(32.725,-62.21),(32.875,-62.21),(32.875,-62.36),(32.725,-62.36)),
        )
        createRL(
            tech, net, 'via',
            ((33.045,-62.36),(33.045,-62.21),(33.195,-62.21),(33.195,-62.36),(33.045,-62.36)),
        )
        createRL(
            tech, net, 'via',
            ((32.725,-23.28),(32.725,-23.13),(32.875,-23.13),(32.875,-23.28),(32.725,-23.28)),
        )
        createRL(
            tech, net, 'via',
            ((33.045,-23.28),(33.045,-23.13),(33.195,-23.13),(33.195,-23.28),(33.045,-23.28)),
        )
        createRL(
            tech, net, 'via',
            ((32.725,-22.96),(32.725,-22.81),(32.875,-22.81),(32.875,-22.96),(32.725,-22.96)),
        )
        createRL(
            tech, net, 'via',
            ((33.045,-22.96),(33.045,-22.81),(33.195,-22.81),(33.195,-22.96),(33.045,-22.96)),
        )
        net = nets['precharge_n']
        createRL(
            tech, net, 'm2',
            ((0.0,-1.265),(0.0,-1.005),(65.92,-1.005),(65.92,-1.265),(0.0,-1.265)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-1.135), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-1.135), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,-12.715),(0.0,-12.455),(65.92,-12.455),(65.92,-12.715),(0.0,-12.715)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-12.585), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-12.585), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,-12.255),(0.0,-11.995),(65.92,-11.995),(65.92,-12.255),(0.0,-12.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-12.125), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-12.125), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,-11.795),(0.0,-11.535),(65.92,-11.535),(65.92,-11.795),(0.0,-11.795)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-11.665), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-11.665), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,-11.335),(0.0,-11.075),(65.92,-11.075),(65.92,-11.335),(0.0,-11.335)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-11.205), u(0.26), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-11.205), u(0.26), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we']
        createRL(
            tech, net, 'li',
            ((7.415,-61.675),(7.415,-61.145),(7.585,-61.145),(7.585,-61.675),(7.415,-61.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((7.415,-61.675),(7.415,-61.505),(7.585,-61.505),(7.585,-61.675),(7.415,-61.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((7.415,-61.315),(7.415,-61.145),(7.585,-61.145),(7.585,-61.315),(7.415,-61.315)),
        )
        createRL(
            tech, net, 'm1',
            ((7.385,-61.735),(7.385,-61.73),(7.37,-61.73),(7.37,-61.09),(7.385,-61.09),(7.385,-61.085),(7.615,-61.085),(7.615,-61.09),(7.63,-61.09),(7.63,-61.73),(7.615,-61.73),(7.615,-61.735),(7.385,-61.735)),
        )
        createRL(
            tech, net, 'via',
            ((7.425,-61.645),(7.425,-61.495),(7.575,-61.495),(7.575,-61.645),(7.425,-61.645)),
        )
        createRL(
            tech, net, 'via',
            ((7.425,-61.325),(7.425,-61.175),(7.575,-61.175),(7.575,-61.325),(7.425,-61.325)),
        )
        createRL(
            tech, net, 'm2',
            ((7.37,-63.045),(7.37,-61.09),(7.63,-61.09),(7.63,-63.045),(7.37,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(7.5), u(0.26), u(-63.045), u(-61.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(7.5), u(0.26), u(-63.045), u(-61.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk']
        createRL(
            tech, net, 'li',
            ((0.695,-60.885),(0.695,-60.355),(0.865,-60.355),(0.865,-60.885),(0.695,-60.885)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.695,-60.885),(0.695,-60.715),(0.865,-60.715),(0.865,-60.885),(0.695,-60.885)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.695,-60.525),(0.695,-60.355),(0.865,-60.355),(0.865,-60.525),(0.695,-60.525)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,-60.945),(0.0,-60.295),(65.92,-60.295),(65.92,-60.945),(0.0,-60.945)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(-60.62), u(0.65), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(-60.62), u(0.65), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_en']
        createRL(
            tech, net, 'li',
            ((18.495,-59.955),(18.495,-59.425),(18.665,-59.425),(18.665,-59.955),(18.495,-59.955)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.495,-59.955),(18.495,-59.785),(18.665,-59.785),(18.665,-59.955),(18.495,-59.955)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.495,-59.595),(18.495,-59.425),(18.665,-59.425),(18.665,-59.595),(18.495,-59.595)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,-60.015),(0.0,-59.365),(65.92,-59.365),(65.92,-60.015),(0.0,-60.015)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(-59.69), u(0.65), u(0.0), u(65.91999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(-59.69), u(0.65), u(0.0), u(65.91999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_n']
        createRL(
            tech, net, 'm1',
            ((1.02,-30.565),(1.02,-29.915),(62.93,-29.915),(62.93,-30.565),(1.02,-30.565)),
        )
        createRL(
            tech, net, 'm1',
            ((19.37,-55.005),(19.37,-55.0),(19.355,-55.0),(19.355,-54.36),(19.37,-54.36),(19.37,-54.355),(19.6,-54.355),(19.6,-54.36),(19.615,-54.36),(19.615,-55.0),(19.6,-55.0),(19.6,-55.005),(19.37,-55.005)),
        )
        createRL(
            tech, net, 'li',
            ((19.4,-54.945),(19.4,-54.415),(19.57,-54.415),(19.57,-54.945),(19.4,-54.945)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.4,-54.945),(19.4,-54.775),(19.57,-54.775),(19.57,-54.945),(19.4,-54.945)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.4,-54.585),(19.4,-54.415),(19.57,-54.415),(19.57,-54.585),(19.4,-54.585)),
        )
        createRL(
            tech, net, 'via',
            ((19.41,-30.475),(19.41,-30.325),(19.56,-30.325),(19.56,-30.475),(19.41,-30.475)),
        )
        createRL(
            tech, net, 'via',
            ((19.41,-30.155),(19.41,-30.005),(19.56,-30.005),(19.56,-30.155),(19.41,-30.155)),
        )
        createRL(
            tech, net, 'via',
            ((19.41,-54.915),(19.41,-54.765),(19.56,-54.765),(19.56,-54.915),(19.41,-54.915)),
        )
        createRL(
            tech, net, 'via',
            ((19.41,-54.595),(19.41,-54.445),(19.56,-54.445),(19.56,-54.595),(19.41,-54.595)),
        )
        createRL(
            tech, net, 'm2',
            ((19.355,-55.0),(19.355,-29.92),(19.615,-29.92),(19.615,-55.0),(19.355,-55.0)),
        )
        net = nets['intclk']
        createRL(
            tech, net, 'm1',
            ((1.33,-58.045),(1.33,-55.145),(1.385,-55.145),(1.385,-37.72),(1.615,-37.72),(1.615,-55.145),(17.865,-55.145),(17.865,-37.72),(18.095,-37.72),(18.095,-55.145),(34.345,-55.145),(34.345,-37.72),(34.575,-37.72),(34.575,-55.145),(50.825,-55.145),(50.825,-37.72),(51.055,-37.72),(51.055,-55.795),(1.98,-55.795),(1.98,-58.045),(1.33,-58.045)),
        )
        net = nets['q[0]']
        createRL(
            tech, net, 'li',
            ((1.415,-21.675),(1.415,-21.145),(1.585,-21.145),(1.585,-21.675),(1.415,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.415,-21.675),(1.415,-21.505),(1.585,-21.505),(1.585,-21.675),(1.415,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.415,-21.315),(1.415,-21.145),(1.585,-21.145),(1.585,-21.315),(1.415,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((1.385,-21.735),(1.385,-21.73),(1.37,-21.73),(1.37,-21.09),(1.385,-21.09),(1.385,-21.085),(1.615,-21.085),(1.615,-21.09),(1.63,-21.09),(1.63,-21.73),(1.615,-21.73),(1.615,-21.735),(1.385,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((1.425,-21.645),(1.425,-21.495),(1.575,-21.495),(1.575,-21.645),(1.425,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((1.425,-21.325),(1.425,-21.175),(1.575,-21.175),(1.575,-21.325),(1.425,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((1.37,-63.045),(1.37,-21.09),(1.63,-21.09),(1.63,-63.045),(1.37,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(1.5), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(1.5), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[1]']
        createRL(
            tech, net, 'li',
            ((9.655,-21.675),(9.655,-21.145),(9.825,-21.145),(9.825,-21.675),(9.655,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.655,-21.675),(9.655,-21.505),(9.825,-21.505),(9.825,-21.675),(9.655,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.655,-21.315),(9.655,-21.145),(9.825,-21.145),(9.825,-21.315),(9.655,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((9.625,-21.735),(9.625,-21.73),(9.61,-21.73),(9.61,-21.09),(9.625,-21.09),(9.625,-21.085),(9.855,-21.085),(9.855,-21.09),(9.87,-21.09),(9.87,-21.73),(9.855,-21.73),(9.855,-21.735),(9.625,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((9.665,-21.645),(9.665,-21.495),(9.815,-21.495),(9.815,-21.645),(9.665,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((9.665,-21.325),(9.665,-21.175),(9.815,-21.175),(9.815,-21.325),(9.665,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((9.61,-63.045),(9.61,-21.09),(9.87,-21.09),(9.87,-63.045),(9.61,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(9.74), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(9.74), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[2]']
        createRL(
            tech, net, 'li',
            ((17.895,-21.675),(17.895,-21.145),(18.065,-21.145),(18.065,-21.675),(17.895,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((17.895,-21.675),(17.895,-21.505),(18.065,-21.505),(18.065,-21.675),(17.895,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((17.895,-21.315),(17.895,-21.145),(18.065,-21.145),(18.065,-21.315),(17.895,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((17.865,-21.735),(17.865,-21.73),(17.85,-21.73),(17.85,-21.09),(17.865,-21.09),(17.865,-21.085),(18.095,-21.085),(18.095,-21.09),(18.11,-21.09),(18.11,-21.73),(18.095,-21.73),(18.095,-21.735),(17.865,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((17.905,-21.645),(17.905,-21.495),(18.055,-21.495),(18.055,-21.645),(17.905,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((17.905,-21.325),(17.905,-21.175),(18.055,-21.175),(18.055,-21.325),(17.905,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((17.85,-63.045),(17.85,-21.09),(18.11,-21.09),(18.11,-63.045),(17.85,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(17.98), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(17.98), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[3]']
        createRL(
            tech, net, 'li',
            ((26.135,-21.675),(26.135,-21.145),(26.305,-21.145),(26.305,-21.675),(26.135,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.135,-21.675),(26.135,-21.505),(26.305,-21.505),(26.305,-21.675),(26.135,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.135,-21.315),(26.135,-21.145),(26.305,-21.145),(26.305,-21.315),(26.135,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((26.105,-21.735),(26.105,-21.73),(26.09,-21.73),(26.09,-21.09),(26.105,-21.09),(26.105,-21.085),(26.335,-21.085),(26.335,-21.09),(26.35,-21.09),(26.35,-21.73),(26.335,-21.73),(26.335,-21.735),(26.105,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((26.145,-21.645),(26.145,-21.495),(26.295,-21.495),(26.295,-21.645),(26.145,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((26.145,-21.325),(26.145,-21.175),(26.295,-21.175),(26.295,-21.325),(26.145,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((26.09,-63.045),(26.09,-21.09),(26.35,-21.09),(26.35,-63.045),(26.09,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(26.22), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(26.22), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[4]']
        createRL(
            tech, net, 'li',
            ((34.375,-21.675),(34.375,-21.145),(34.545,-21.145),(34.545,-21.675),(34.375,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((34.375,-21.675),(34.375,-21.505),(34.545,-21.505),(34.545,-21.675),(34.375,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((34.375,-21.315),(34.375,-21.145),(34.545,-21.145),(34.545,-21.315),(34.375,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((34.345,-21.735),(34.345,-21.73),(34.33,-21.73),(34.33,-21.09),(34.345,-21.09),(34.345,-21.085),(34.575,-21.085),(34.575,-21.09),(34.59,-21.09),(34.59,-21.73),(34.575,-21.73),(34.575,-21.735),(34.345,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((34.385,-21.645),(34.385,-21.495),(34.535,-21.495),(34.535,-21.645),(34.385,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((34.385,-21.325),(34.385,-21.175),(34.535,-21.175),(34.535,-21.325),(34.385,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((34.33,-63.045),(34.33,-21.09),(34.59,-21.09),(34.59,-63.045),(34.33,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(34.46), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(34.46), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[5]']
        createRL(
            tech, net, 'li',
            ((42.615,-21.675),(42.615,-21.145),(42.785,-21.145),(42.785,-21.675),(42.615,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((42.615,-21.675),(42.615,-21.505),(42.785,-21.505),(42.785,-21.675),(42.615,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((42.615,-21.315),(42.615,-21.145),(42.785,-21.145),(42.785,-21.315),(42.615,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((42.585,-21.735),(42.585,-21.73),(42.57,-21.73),(42.57,-21.09),(42.585,-21.09),(42.585,-21.085),(42.815,-21.085),(42.815,-21.09),(42.83,-21.09),(42.83,-21.73),(42.815,-21.73),(42.815,-21.735),(42.585,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((42.625,-21.645),(42.625,-21.495),(42.775,-21.495),(42.775,-21.645),(42.625,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((42.625,-21.325),(42.625,-21.175),(42.775,-21.175),(42.775,-21.325),(42.625,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((42.57,-63.045),(42.57,-21.09),(42.83,-21.09),(42.83,-63.045),(42.57,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(42.7), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(42.7), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[6]']
        createRL(
            tech, net, 'li',
            ((50.855,-21.675),(50.855,-21.145),(51.025,-21.145),(51.025,-21.675),(50.855,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((50.855,-21.675),(50.855,-21.505),(51.025,-21.505),(51.025,-21.675),(50.855,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((50.855,-21.315),(50.855,-21.145),(51.025,-21.145),(51.025,-21.315),(50.855,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((50.825,-21.735),(50.825,-21.73),(50.81,-21.73),(50.81,-21.09),(50.825,-21.09),(50.825,-21.085),(51.055,-21.085),(51.055,-21.09),(51.07,-21.09),(51.07,-21.73),(51.055,-21.73),(51.055,-21.735),(50.825,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((50.865,-21.645),(50.865,-21.495),(51.015,-21.495),(51.015,-21.645),(50.865,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((50.865,-21.325),(50.865,-21.175),(51.015,-21.175),(51.015,-21.325),(50.865,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((50.81,-63.045),(50.81,-21.09),(51.07,-21.09),(51.07,-63.045),(50.81,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(50.94), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(50.94), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[7]']
        createRL(
            tech, net, 'li',
            ((59.095,-21.675),(59.095,-21.145),(59.265,-21.145),(59.265,-21.675),(59.095,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((59.095,-21.675),(59.095,-21.505),(59.265,-21.505),(59.265,-21.675),(59.095,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((59.095,-21.315),(59.095,-21.145),(59.265,-21.145),(59.265,-21.315),(59.095,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((59.065,-21.735),(59.065,-21.73),(59.05,-21.73),(59.05,-21.09),(59.065,-21.09),(59.065,-21.085),(59.295,-21.085),(59.295,-21.09),(59.31,-21.09),(59.31,-21.73),(59.295,-21.73),(59.295,-21.735),(59.065,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((59.105,-21.645),(59.105,-21.495),(59.255,-21.495),(59.255,-21.645),(59.105,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((59.105,-21.325),(59.105,-21.175),(59.255,-21.175),(59.255,-21.325),(59.105,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((59.05,-63.045),(59.05,-21.09),(59.31,-21.09),(59.31,-63.045),(59.05,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(59.18), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(59.18), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[0]']
        createRL(
            tech, net, 'li',
            ((4.415,-51.675),(4.415,-51.145),(4.585,-51.145),(4.585,-51.675),(4.415,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,-51.675),(4.415,-51.505),(4.585,-51.505),(4.585,-51.675),(4.415,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,-51.315),(4.415,-51.145),(4.585,-51.145),(4.585,-51.315),(4.415,-51.315)),
        )
        createRL(
            tech, net, 'm1',
            ((4.385,-51.735),(4.385,-51.73),(4.37,-51.73),(4.37,-51.09),(4.385,-51.09),(4.385,-51.085),(4.615,-51.085),(4.615,-51.09),(4.63,-51.09),(4.63,-51.73),(4.615,-51.73),(4.615,-51.735),(4.385,-51.735)),
        )
        createRL(
            tech, net, 'via',
            ((4.425,-51.645),(4.425,-51.495),(4.575,-51.495),(4.575,-51.645),(4.425,-51.645)),
        )
        createRL(
            tech, net, 'via',
            ((4.425,-51.325),(4.425,-51.175),(4.575,-51.175),(4.575,-51.325),(4.425,-51.325)),
        )
        createRL(
            tech, net, 'm2',
            ((4.37,-63.045),(4.37,-51.09),(4.63,-51.09),(4.63,-63.045),(4.37,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(4.5), u(0.26), u(-63.045), u(-51.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(4.5), u(0.26), u(-63.045), u(-51.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[1]']
        createRL(
            tech, net, 'li',
            ((4.415,-41.675),(4.415,-41.145),(4.585,-41.145),(4.585,-41.675),(4.415,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,-41.675),(4.415,-41.505),(4.585,-41.505),(4.585,-41.675),(4.415,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,-41.315),(4.415,-41.145),(4.585,-41.145),(4.585,-41.315),(4.415,-41.315)),
        )
        createRL(
            tech, net, 'm1',
            ((4.385,-41.735),(4.385,-41.085),(5.14,-41.085),(5.14,-41.735),(4.385,-41.735)),
        )
        createRL(
            tech, net, 'via',
            ((4.935,-41.645),(4.935,-41.495),(5.085,-41.495),(5.085,-41.645),(4.935,-41.645)),
        )
        createRL(
            tech, net, 'via',
            ((4.935,-41.325),(4.935,-41.175),(5.085,-41.175),(5.085,-41.325),(4.935,-41.325)),
        )
        createRL(
            tech, net, 'm2',
            ((4.88,-63.045),(4.88,-41.09),(5.14,-41.09),(5.14,-63.045),(4.88,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(5.01), u(0.26), u(-63.045), u(-41.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(5.01), u(0.26), u(-63.045), u(-41.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[2]']
        createRL(
            tech, net, 'li',
            ((20.895,-51.675),(20.895,-51.145),(21.065,-51.145),(21.065,-51.675),(20.895,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((20.895,-51.675),(20.895,-51.505),(21.065,-51.505),(21.065,-51.675),(20.895,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((20.895,-51.315),(20.895,-51.145),(21.065,-51.145),(21.065,-51.315),(20.895,-51.315)),
        )
        createRL(
            tech, net, 'm1',
            ((20.865,-51.735),(20.865,-51.73),(20.85,-51.73),(20.85,-51.09),(20.865,-51.09),(20.865,-51.085),(21.095,-51.085),(21.095,-51.09),(21.11,-51.09),(21.11,-51.73),(21.095,-51.73),(21.095,-51.735),(20.865,-51.735)),
        )
        createRL(
            tech, net, 'via',
            ((20.905,-51.645),(20.905,-51.495),(21.055,-51.495),(21.055,-51.645),(20.905,-51.645)),
        )
        createRL(
            tech, net, 'via',
            ((20.905,-51.325),(20.905,-51.175),(21.055,-51.175),(21.055,-51.325),(20.905,-51.325)),
        )
        createRL(
            tech, net, 'm2',
            ((20.85,-63.045),(20.85,-51.09),(21.11,-51.09),(21.11,-63.045),(20.85,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(20.98), u(0.26), u(-63.045), u(-51.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(20.98), u(0.26), u(-63.045), u(-51.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[3]']
        createRL(
            tech, net, 'li',
            ((20.895,-41.675),(20.895,-41.145),(21.065,-41.145),(21.065,-41.675),(20.895,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((20.895,-41.675),(20.895,-41.505),(21.065,-41.505),(21.065,-41.675),(20.895,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((20.895,-41.315),(20.895,-41.145),(21.065,-41.145),(21.065,-41.315),(20.895,-41.315)),
        )
        createRL(
            tech, net, 'm1',
            ((20.865,-41.735),(20.865,-41.085),(21.62,-41.085),(21.62,-41.735),(20.865,-41.735)),
        )
        createRL(
            tech, net, 'via',
            ((21.415,-41.645),(21.415,-41.495),(21.565,-41.495),(21.565,-41.645),(21.415,-41.645)),
        )
        createRL(
            tech, net, 'via',
            ((21.415,-41.325),(21.415,-41.175),(21.565,-41.175),(21.565,-41.325),(21.415,-41.325)),
        )
        createRL(
            tech, net, 'm2',
            ((21.36,-63.045),(21.36,-41.09),(21.62,-41.09),(21.62,-63.045),(21.36,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(21.49), u(0.26), u(-63.045), u(-41.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(21.49), u(0.26), u(-63.045), u(-41.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[4]']
        createRL(
            tech, net, 'li',
            ((37.375,-51.675),(37.375,-51.145),(37.545,-51.145),(37.545,-51.675),(37.375,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((37.375,-51.675),(37.375,-51.505),(37.545,-51.505),(37.545,-51.675),(37.375,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((37.375,-51.315),(37.375,-51.145),(37.545,-51.145),(37.545,-51.315),(37.375,-51.315)),
        )
        createRL(
            tech, net, 'm1',
            ((37.345,-51.735),(37.345,-51.73),(37.33,-51.73),(37.33,-51.09),(37.345,-51.09),(37.345,-51.085),(37.575,-51.085),(37.575,-51.09),(37.59,-51.09),(37.59,-51.73),(37.575,-51.73),(37.575,-51.735),(37.345,-51.735)),
        )
        createRL(
            tech, net, 'via',
            ((37.385,-51.645),(37.385,-51.495),(37.535,-51.495),(37.535,-51.645),(37.385,-51.645)),
        )
        createRL(
            tech, net, 'via',
            ((37.385,-51.325),(37.385,-51.175),(37.535,-51.175),(37.535,-51.325),(37.385,-51.325)),
        )
        createRL(
            tech, net, 'm2',
            ((37.33,-63.045),(37.33,-51.09),(37.59,-51.09),(37.59,-63.045),(37.33,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(37.46), u(0.26), u(-63.045), u(-51.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(37.46), u(0.26), u(-63.045), u(-51.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[5]']
        createRL(
            tech, net, 'li',
            ((37.375,-41.675),(37.375,-41.145),(37.545,-41.145),(37.545,-41.675),(37.375,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((37.375,-41.675),(37.375,-41.505),(37.545,-41.505),(37.545,-41.675),(37.375,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((37.375,-41.315),(37.375,-41.145),(37.545,-41.145),(37.545,-41.315),(37.375,-41.315)),
        )
        createRL(
            tech, net, 'm1',
            ((37.345,-41.735),(37.345,-41.085),(38.1,-41.085),(38.1,-41.735),(37.345,-41.735)),
        )
        createRL(
            tech, net, 'via',
            ((37.895,-41.645),(37.895,-41.495),(38.045,-41.495),(38.045,-41.645),(37.895,-41.645)),
        )
        createRL(
            tech, net, 'via',
            ((37.895,-41.325),(37.895,-41.175),(38.045,-41.175),(38.045,-41.325),(37.895,-41.325)),
        )
        createRL(
            tech, net, 'm2',
            ((37.84,-63.045),(37.84,-41.09),(38.1,-41.09),(38.1,-63.045),(37.84,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(37.97), u(0.26), u(-63.045), u(-41.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(37.97), u(0.26), u(-63.045), u(-41.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[6]']
        createRL(
            tech, net, 'li',
            ((53.855,-51.675),(53.855,-51.145),(54.025,-51.145),(54.025,-51.675),(53.855,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.855,-51.675),(53.855,-51.505),(54.025,-51.505),(54.025,-51.675),(53.855,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.855,-51.315),(53.855,-51.145),(54.025,-51.145),(54.025,-51.315),(53.855,-51.315)),
        )
        createRL(
            tech, net, 'm1',
            ((53.825,-51.735),(53.825,-51.73),(53.81,-51.73),(53.81,-51.09),(53.825,-51.09),(53.825,-51.085),(54.055,-51.085),(54.055,-51.09),(54.07,-51.09),(54.07,-51.73),(54.055,-51.73),(54.055,-51.735),(53.825,-51.735)),
        )
        createRL(
            tech, net, 'via',
            ((53.865,-51.645),(53.865,-51.495),(54.015,-51.495),(54.015,-51.645),(53.865,-51.645)),
        )
        createRL(
            tech, net, 'via',
            ((53.865,-51.325),(53.865,-51.175),(54.015,-51.175),(54.015,-51.325),(53.865,-51.325)),
        )
        createRL(
            tech, net, 'm2',
            ((53.81,-63.045),(53.81,-51.09),(54.07,-51.09),(54.07,-63.045),(53.81,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(53.94), u(0.26), u(-63.045), u(-51.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(53.94), u(0.26), u(-63.045), u(-51.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[7]']
        createRL(
            tech, net, 'li',
            ((53.855,-41.675),(53.855,-41.145),(54.025,-41.145),(54.025,-41.675),(53.855,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.855,-41.675),(53.855,-41.505),(54.025,-41.505),(54.025,-41.675),(53.855,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.855,-41.315),(53.855,-41.145),(54.025,-41.145),(54.025,-41.315),(53.855,-41.315)),
        )
        createRL(
            tech, net, 'm1',
            ((53.825,-41.735),(53.825,-41.085),(54.58,-41.085),(54.58,-41.735),(53.825,-41.735)),
        )
        createRL(
            tech, net, 'via',
            ((54.375,-41.645),(54.375,-41.495),(54.525,-41.495),(54.525,-41.645),(54.375,-41.645)),
        )
        createRL(
            tech, net, 'via',
            ((54.375,-41.325),(54.375,-41.175),(54.525,-41.175),(54.525,-41.325),(54.375,-41.325)),
        )
        createRL(
            tech, net, 'm2',
            ((54.32,-63.045),(54.32,-41.09),(54.58,-41.09),(54.58,-63.045),(54.32,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(54.45), u(0.26), u(-63.045), u(-41.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(54.45), u(0.26), u(-63.045), u(-41.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,-63.045),(0.0,0.0),(65.92,0.0),(65.92,-63.045),(0.0,-63.045)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['precharge_n'].setDirection(Net.Direction.IN)
        nets['we'].setDirection(Net.Direction.IN)
        nets['we_en'].setDirection(Net.Direction.IN)
        nets['q[0]'].setDirection(Net.Direction.IN)
        nets['d[0]'].setDirection(Net.Direction.IN)
        nets['bl[0]'].setDirection(Net.Direction.IN)
        nets['bl_n[0]'].setDirection(Net.Direction.IN)
        nets['bl[1]'].setDirection(Net.Direction.IN)
        nets['bl_n[1]'].setDirection(Net.Direction.IN)
        nets['bl[2]'].setDirection(Net.Direction.IN)
        nets['bl_n[2]'].setDirection(Net.Direction.IN)
        nets['bl[3]'].setDirection(Net.Direction.IN)
        nets['bl_n[3]'].setDirection(Net.Direction.IN)
        nets['q[1]'].setDirection(Net.Direction.IN)
        nets['d[1]'].setDirection(Net.Direction.IN)
        nets['bl[4]'].setDirection(Net.Direction.IN)
        nets['bl_n[4]'].setDirection(Net.Direction.IN)
        nets['bl[5]'].setDirection(Net.Direction.IN)
        nets['bl_n[5]'].setDirection(Net.Direction.IN)
        nets['bl[6]'].setDirection(Net.Direction.IN)
        nets['bl_n[6]'].setDirection(Net.Direction.IN)
        nets['bl[7]'].setDirection(Net.Direction.IN)
        nets['bl_n[7]'].setDirection(Net.Direction.IN)
        nets['q[2]'].setDirection(Net.Direction.IN)
        nets['d[2]'].setDirection(Net.Direction.IN)
        nets['bl[8]'].setDirection(Net.Direction.IN)
        nets['bl_n[8]'].setDirection(Net.Direction.IN)
        nets['bl[9]'].setDirection(Net.Direction.IN)
        nets['bl_n[9]'].setDirection(Net.Direction.IN)
        nets['bl[10]'].setDirection(Net.Direction.IN)
        nets['bl_n[10]'].setDirection(Net.Direction.IN)
        nets['bl[11]'].setDirection(Net.Direction.IN)
        nets['bl_n[11]'].setDirection(Net.Direction.IN)
        nets['q[3]'].setDirection(Net.Direction.IN)
        nets['d[3]'].setDirection(Net.Direction.IN)
        nets['bl[12]'].setDirection(Net.Direction.IN)
        nets['bl_n[12]'].setDirection(Net.Direction.IN)
        nets['bl[13]'].setDirection(Net.Direction.IN)
        nets['bl_n[13]'].setDirection(Net.Direction.IN)
        nets['bl[14]'].setDirection(Net.Direction.IN)
        nets['bl_n[14]'].setDirection(Net.Direction.IN)
        nets['bl[15]'].setDirection(Net.Direction.IN)
        nets['bl_n[15]'].setDirection(Net.Direction.IN)
        nets['q[4]'].setDirection(Net.Direction.IN)
        nets['d[4]'].setDirection(Net.Direction.IN)
        nets['bl[16]'].setDirection(Net.Direction.IN)
        nets['bl_n[16]'].setDirection(Net.Direction.IN)
        nets['bl[17]'].setDirection(Net.Direction.IN)
        nets['bl_n[17]'].setDirection(Net.Direction.IN)
        nets['bl[18]'].setDirection(Net.Direction.IN)
        nets['bl_n[18]'].setDirection(Net.Direction.IN)
        nets['bl[19]'].setDirection(Net.Direction.IN)
        nets['bl_n[19]'].setDirection(Net.Direction.IN)
        nets['q[5]'].setDirection(Net.Direction.IN)
        nets['d[5]'].setDirection(Net.Direction.IN)
        nets['bl[20]'].setDirection(Net.Direction.IN)
        nets['bl_n[20]'].setDirection(Net.Direction.IN)
        nets['bl[21]'].setDirection(Net.Direction.IN)
        nets['bl_n[21]'].setDirection(Net.Direction.IN)
        nets['bl[22]'].setDirection(Net.Direction.IN)
        nets['bl_n[22]'].setDirection(Net.Direction.IN)
        nets['bl[23]'].setDirection(Net.Direction.IN)
        nets['bl_n[23]'].setDirection(Net.Direction.IN)
        nets['q[6]'].setDirection(Net.Direction.IN)
        nets['d[6]'].setDirection(Net.Direction.IN)
        nets['bl[24]'].setDirection(Net.Direction.IN)
        nets['bl_n[24]'].setDirection(Net.Direction.IN)
        nets['bl[25]'].setDirection(Net.Direction.IN)
        nets['bl_n[25]'].setDirection(Net.Direction.IN)
        nets['bl[26]'].setDirection(Net.Direction.IN)
        nets['bl_n[26]'].setDirection(Net.Direction.IN)
        nets['bl[27]'].setDirection(Net.Direction.IN)
        nets['bl_n[27]'].setDirection(Net.Direction.IN)
        nets['q[7]'].setDirection(Net.Direction.IN)
        nets['d[7]'].setDirection(Net.Direction.IN)
        nets['bl[28]'].setDirection(Net.Direction.IN)
        nets['bl_n[28]'].setDirection(Net.Direction.IN)
        nets['bl[29]'].setDirection(Net.Direction.IN)
        nets['bl_n[29]'].setDirection(Net.Direction.IN)
        nets['bl[30]'].setDirection(Net.Direction.IN)
        nets['bl_n[30]'].setDirection(Net.Direction.IN)
        nets['bl[31]'].setDirection(Net.Direction.IN)
        nets['bl_n[31]'].setDirection(Net.Direction.IN)
        nets['mux[0]'].setDirection(Net.Direction.IN)
        nets['mux[1]'].setDirection(Net.Direction.IN)
        nets['mux[2]'].setDirection(Net.Direction.IN)
        nets['mux[3]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(0.0), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(2.0599999999999996), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(4.119999999999999), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(6.179999999999999), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(8.239999999999998), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(10.299999999999997), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(12.359999999999998), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(14.419999999999998), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(16.479999999999997), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[8]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(18.539999999999996), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[9]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(20.599999999999994), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[10]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(22.659999999999997), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[11]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(24.719999999999995), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[12]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(26.779999999999994), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[13]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(28.839999999999996), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[14]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(30.899999999999995), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[15]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(32.959999999999994), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[16]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(35.019999999999996), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[17]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(37.07999999999999), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[18]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(39.13999999999999), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[19]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(41.19999999999999), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[20]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(43.25999999999999), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[21]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(45.31999999999999), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[22]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(47.37999999999999), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[23]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(49.43999999999999), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[24]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(51.49999999999999), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[25]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(53.55999999999999), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[26]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(55.61999999999999), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[27]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(57.67999999999999), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[28]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(59.73999999999999), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[29]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(61.79999999999999), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[30]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TPrecharge']
        except:
            subcell = af.getCell('SP6TPrecharge', 0)
        trans = Transformation(
            u(63.859999999999985), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[31]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TColMux_4C']
        except:
            subcell = af.getCell('SP6TColMux_4C', 0)
        trans = Transformation(
            u(0.0), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TColMux_4C']
        except:
            subcell = af.getCell('SP6TColMux_4C', 0)
        trans = Transformation(
            u(8.239999999999998), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TColMux_4C']
        except:
            subcell = af.getCell('SP6TColMux_4C', 0)
        trans = Transformation(
            u(16.479999999999997), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TColMux_4C']
        except:
            subcell = af.getCell('SP6TColMux_4C', 0)
        trans = Transformation(
            u(24.719999999999995), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TColMux_4C']
        except:
            subcell = af.getCell('SP6TColMux_4C', 0)
        trans = Transformation(
            u(32.959999999999994), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TColMux_4C']
        except:
            subcell = af.getCell('SP6TColMux_4C', 0)
        trans = Transformation(
            u(41.19999999999999), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TColMux_4C']
        except:
            subcell = af.getCell('SP6TColMux_4C', 0)
        trans = Transformation(
            u(49.43999999999999), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TColMux_4C']
        except:
            subcell = af.getCell('SP6TColMux_4C', 0)
        trans = Transformation(
            u(57.67999999999999), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TSenseAmp_4M']
        except:
            subcell = af.getCell('SP6TSenseAmp_4M', 0)
        trans = Transformation(
            u(0.0), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TSenseAmp_4M']
        except:
            subcell = af.getCell('SP6TSenseAmp_4M', 0)
        trans = Transformation(
            u(8.239999999999998), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TSenseAmp_4M']
        except:
            subcell = af.getCell('SP6TSenseAmp_4M', 0)
        trans = Transformation(
            u(16.479999999999997), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TSenseAmp_4M']
        except:
            subcell = af.getCell('SP6TSenseAmp_4M', 0)
        trans = Transformation(
            u(24.719999999999995), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TSenseAmp_4M']
        except:
            subcell = af.getCell('SP6TSenseAmp_4M', 0)
        trans = Transformation(
            u(32.959999999999994), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TSenseAmp_4M']
        except:
            subcell = af.getCell('SP6TSenseAmp_4M', 0)
        trans = Transformation(
            u(41.19999999999999), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TSenseAmp_4M']
        except:
            subcell = af.getCell('SP6TSenseAmp_4M', 0)
        trans = Transformation(
            u(49.43999999999999), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TSenseAmp_4M']
        except:
            subcell = af.getCell('SP6TSenseAmp_4M', 0)
        trans = Transformation(
            u(57.67999999999999), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TWriteDriver_4M2B']
        except:
            subcell = af.getCell('SP6TWriteDriver_4M2B', 0)
        trans = Transformation(
            u(0.0), u(-53.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'writedrive[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TWriteDriver_4M2B']
        except:
            subcell = af.getCell('SP6TWriteDriver_4M2B', 0)
        trans = Transformation(
            u(16.479999999999997), u(-53.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'writedrive[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TWriteDriver_4M2B']
        except:
            subcell = af.getCell('SP6TWriteDriver_4M2B', 0)
        trans = Transformation(
            u(32.959999999999994), u(-53.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'writedrive[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TWriteDriver_4M2B']
        except:
            subcell = af.getCell('SP6TWriteDriver_4M2B', 0)
        trans = Transformation(
            u(49.43999999999999), u(-53.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'writedrive[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['SP6TClockWE']
        except:
            subcell = af.getCell('SP6TClockWE', 0)
        trans = Transformation(
            u(0.0), u(-53.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'clkwe', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['SP6TPrecharge']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(2.0599999999999996), u(1.51),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl': Net.create(cell, 'bl'),
            'bl_n': Net.create(cell, 'bl_n'),
            'precharge_n': Net.create(cell, 'precharge_n'),
            'vdd': Net.create(cell, 'vdd'),
        }
        net = nets['precharge_n']
        createRL(
            tech, net, 'poly',
            ((0.0,0.21),(0.0,0.54),(0.27,0.54),(0.27,1.245),(0.42,1.245),(0.42,0.54),(0.955,0.54),(0.955,1.245),(1.105,1.245),(1.105,0.54),(1.64,0.54),(1.64,1.245),(1.79,1.245),(1.79,0.54),(2.06,0.54),(2.06,0.21),(0.0,0.21)),
        )
        createRL(
            tech, net, 'licon',
            ((0.945,0.29),(0.945,0.46),(1.115,0.46),(1.115,0.29),(0.945,0.29)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,0.29),(0.0,0.46),(2.06,0.46),(2.06,0.29),(0.0,0.29)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.945,0.29),(0.945,0.46),(1.115,0.46),(1.115,0.29),(0.945,0.29)),
        )
        createRL(
            tech, net, 'm1',
            ((0.9,0.215),(0.9,0.535),(1.16,0.535),(1.16,0.215),(0.9,0.215)),
        )
        createRL(
            tech, net, 'via',
            ((0.955,0.3),(0.955,0.45),(1.105,0.45),(1.105,0.3),(0.955,0.3)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,0.245),(0.0,0.505),(2.06,0.505),(2.06,0.245),(0.0,0.245)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(0.375), u(0.17), u(0.0), u(2.0599999999999996),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(0.375), u(0.17), u(0.0), u(2.0599999999999996),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.375), u(0.26), u(0.0), u(2.0599999999999996),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.375), u(0.26), u(0.0), u(2.0599999999999996),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'difftap',
            ((-0.205,0.695),(-0.205,1.115),(0.42,1.115),(0.42,0.695),(-0.205,0.695)),
        )
        createRL(
            tech, net, 'difftap',
            ((0.955,0.695),(0.955,1.115),(1.105,1.115),(1.105,0.695),(0.955,0.695)),
        )
        createRL(
            tech, net, 'difftap',
            ((1.64,0.695),(1.64,1.115),(2.265,1.115),(2.265,0.695),(1.64,0.695)),
        )
        createRL(
            tech, net, 'licon',
            ((-0.085,0.82),(-0.085,0.99),(0.085,0.99),(0.085,0.82),(-0.085,0.82)),
        )
        createRL(
            tech, net, 'licon',
            ((1.975,0.82),(1.975,0.99),(2.145,0.99),(2.145,0.82),(1.975,0.82)),
        )
        createRL(
            tech, net, 'li',
            ((-0.085,0.74),(-0.085,1.07),(0.085,1.07),(0.085,0.74),(-0.085,0.74)),
        )
        createRL(
            tech, net, 'li',
            ((1.975,0.74),(1.975,1.07),(2.145,1.07),(2.145,0.74),(1.975,0.74)),
        )
        createRL(
            tech, net, 'nwm',
            ((-0.385,0.515),(-0.385,1.51),(2.445,1.51),(2.445,0.515),(-0.385,0.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((-0.085,0.82),(-0.085,0.99),(0.085,0.99),(0.085,0.82),(-0.085,0.82)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.975,0.82),(1.975,0.99),(2.145,0.99),(2.145,0.82),(1.975,0.82)),
        )
        createRL(
            tech, net, 'm1',
            ((-0.13,0.745),(-0.13,1.065),(0.13,1.065),(0.13,0.745),(-0.13,0.745)),
        )
        createRL(
            tech, net, 'm1',
            ((1.93,0.745),(1.93,1.065),(2.19,1.065),(2.19,0.745),(1.93,0.745)),
        )
        createRL(
            tech, net, 'via',
            ((-0.075,0.83),(-0.075,0.98),(0.075,0.98),(0.075,0.83),(-0.075,0.83)),
        )
        createRL(
            tech, net, 'via',
            ((1.985,0.83),(1.985,0.98),(2.135,0.98),(2.135,0.83),(1.985,0.83)),
        )
        createRL(
            tech, net, 'm2',
            ((-0.16,0.775),(-0.16,1.64),(2.22,1.64),(2.22,0.775),(1.9,0.775),(1.9,1.38),(0.16,1.38),(0.16,0.775),(-0.16,0.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.51), u(0.26), u(0.0), u(2.0599999999999996),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.51), u(0.26), u(0.0), u(2.0599999999999996),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'psdm',
            ((-0.33,0.57),(-0.33,1.24),(2.39,1.24),(2.39,0.57),(-0.33,0.57)),
        )
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,1.51),(2.06,1.51),(2.06,0.0),(0.0,0.0)),
        )
        net = nets['bl']
        createRL(
            tech, net, 'difftap',
            ((0.42,0.695),(0.42,1.115),(0.955,1.115),(0.955,0.695),(0.42,0.695)),
        )
        createRL(
            tech, net, 'licon',
            ((0.605,0.82),(0.605,0.99),(0.775,0.99),(0.775,0.82),(0.605,0.82)),
        )
        createRL(
            tech, net, 'li',
            ((0.605,0.74),(0.605,1.07),(0.775,1.07),(0.775,0.74),(0.605,0.74)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.605,0.82),(0.605,0.99),(0.775,0.99),(0.775,0.82),(0.605,0.82)),
        )
        createRL(
            tech, net, 'm1',
            ((0.4,0.0),(0.4,1.51),(0.63,1.51),(0.63,1.05),(0.805,1.05),(0.805,0.76),(0.63,0.76),(0.63,0.0),(0.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.515), u(0.23), u(0.0), u(1.51),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.515), u(0.23), u(0.0), u(1.51),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n']
        createRL(
            tech, net, 'difftap',
            ((1.105,0.695),(1.105,1.115),(1.64,1.115),(1.64,0.695),(1.105,0.695)),
        )
        createRL(
            tech, net, 'licon',
            ((1.285,0.82),(1.285,0.99),(1.455,0.99),(1.455,0.82),(1.285,0.82)),
        )
        createRL(
            tech, net, 'li',
            ((1.285,0.74),(1.285,1.07),(1.455,1.07),(1.455,0.74),(1.285,0.74)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.285,0.82),(1.285,0.99),(1.455,0.99),(1.455,0.82),(1.285,0.82)),
        )
        createRL(
            tech, net, 'm1',
            ((1.43,0.0),(1.43,0.76),(1.255,0.76),(1.255,1.05),(1.43,1.05),(1.43,1.51),(1.66,1.51),(1.66,0.0),(1.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.545), u(0.23), u(0.0), u(1.51),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.545), u(0.23), u(0.0), u(1.51),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        nets['vdd'].setGlobal(True)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['bl'].setDirection(Net.Direction.IN)
        nets['bl_n'].setDirection(Net.Direction.IN)
        nets['precharge_n'].setDirection(Net.Direction.IN)
    # Export failed for cell 'SP6TColMux_4C'
    cell = new_cells['SP6TSenseAmp_4M']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(8.239999999999998), u(10.0),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl': Net.create(cell, 'bl'),
            'bl_n': Net.create(cell, 'bl_n'),
            'q': Net.create(cell, 'q'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'li',
            ((0.0,0.0),(0.0,1.2),(8.24,1.2),(8.24,0.0),(0.0,0.0)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(0.6), u(1.2), u(0.0), u(8.239999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(0.6), u(1.2), u(0.0), u(8.239999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'li',
            ((0.0,8.8),(0.0,10.0),(8.24,10.0),(8.24,8.8),(0.0,8.8)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(9.4), u(1.2), u(0.0), u(8.239999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(9.4), u(1.2), u(0.0), u(8.239999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl']
        createRL(
            tech, net, 'li',
            ((4.415,6.05),(4.415,6.58),(4.585,6.58),(4.585,6.05),(4.415,6.05)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,6.05),(4.415,6.22),(4.585,6.22),(4.585,6.05),(4.415,6.05)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,6.41),(4.415,6.58),(4.585,6.58),(4.585,6.41),(4.415,6.41)),
        )
        createRL(
            tech, net, 'm1',
            ((4.005,0.0),(4.005,10.0),(4.235,10.0),(4.235,6.64),(4.615,6.64),(4.615,5.99),(4.235,5.99),(4.235,0.0),(4.005,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.12), u(0.23), u(0.0), u(10.0),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.12), u(0.23), u(0.0), u(10.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n']
        createRL(
            tech, net, 'li',
            ((0.415,6.05),(0.415,6.58),(0.585,6.58),(0.585,6.05),(0.415,6.05)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.415,6.05),(0.415,6.22),(0.585,6.22),(0.585,6.05),(0.415,6.05)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.415,6.41),(0.415,6.58),(0.585,6.58),(0.585,6.41),(0.415,6.41)),
        )
        createRL(
            tech, net, 'm1',
            ((1.945,0.0),(1.945,5.99),(0.385,5.99),(0.385,6.64),(1.945,6.64),(1.945,10.0),(2.175,10.0),(2.175,0.0),(1.945,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.06), u(0.23), u(0.0), u(10.0),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.06), u(0.23), u(0.0), u(10.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q']
        createRL(
            tech, net, 'li',
            ((1.415,1.37),(1.415,8.63),(1.585,8.63),(1.585,1.37),(1.415,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.5), u(0.17), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.5), u(0.17), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,10.0),(8.24,10.0),(8.24,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['bl'].setDirection(Net.Direction.IN)
        nets['bl_n'].setDirection(Net.Direction.IN)
        nets['q'].setDirection(Net.Direction.OUT)
        try:
            subcell = new_cells['nsnrlatch_x1']
        except:
            subcell = af.getCell('nsnrlatch_x1', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'latch', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie']
        except:
            subcell = af.getCell('tie', 0)
        trans = Transformation(
            u(5.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
    # Export failed for cell 'SP6TWriteDriver_4M2B'
    cell = new_cells['SP6TClockWE']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(20.0), u(10.0),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'clklow': Net.create(cell, 'clklow'),
            'clkup': Net.create(cell, 'clkup'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'we': Net.create(cell, 'we'),
            'we_en': Net.create(cell, 'we_en'),
            'we_latched': Net.create(cell, 'we_latched'),
            'we_n': Net.create(cell, 'we_n'),
        }
        net = nets['clkup']
        createRL(
            tech, net, 'li',
            ((0.695,1.37),(0.695,8.63),(0.865,8.63),(0.865,1.37),(0.695,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(0.78), u(0.17), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(0.78), u(0.17), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we']
        createRL(
            tech, net, 'li',
            ((7.415,1.37),(7.415,8.63),(7.585,8.63),(7.585,1.37),(7.415,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(7.5), u(0.17), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(7.5), u(0.17), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_en']
        createRL(
            tech, net, 'li',
            ((18.495,1.37),(18.495,8.63),(18.665,8.63),(18.665,1.37),(18.495,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(18.58), u(0.17), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(18.58), u(0.17), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_n']
        createRL(
            tech, net, 'li',
            ((19.4,1.37),(19.4,8.63),(19.57,8.63),(19.57,1.37),(19.4,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(19.485), u(0.17), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(19.485), u(0.17), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clklow']
        createRL(
            tech, net, 'li',
            ((1.36,4.735),(1.36,5.265),(1.53,5.265),(1.53,4.735),(1.36,4.735)),
        )
        createRL(
            tech, net, 'li',
            ((4.415,4.735),(4.415,5.265),(4.585,5.265),(4.585,4.735),(4.415,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.36,4.735),(1.36,4.905),(1.53,4.905),(1.53,4.735),(1.36,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.36,5.095),(1.36,5.265),(1.53,5.265),(1.53,5.095),(1.36,5.095)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,4.735),(4.415,4.905),(4.585,4.905),(4.585,4.735),(4.415,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,5.095),(4.415,5.265),(4.585,5.265),(4.585,5.095),(4.415,5.095)),
        )
        createRL(
            tech, net, 'm1',
            ((1.33,4.675),(1.33,5.325),(4.615,5.325),(4.615,4.675),(1.33,4.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(5.0), u(0.65), u(1.33), u(4.615),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(5.0), u(0.65), u(1.33), u(4.615),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_latched']
        createRL(
            tech, net, 'li',
            ((19.05,4.735),(19.05,5.265),(19.22,5.265),(19.22,4.735),(19.05,4.735)),
        )
        createRL(
            tech, net, 'li',
            ((16.415,4.735),(16.415,5.265),(16.585,5.265),(16.585,4.735),(16.415,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.415,4.735),(16.415,4.905),(16.585,4.905),(16.585,4.735),(16.415,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.415,5.095),(16.415,5.265),(16.585,5.265),(16.585,5.095),(16.415,5.095)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.05,4.735),(19.05,4.905),(19.22,4.905),(19.22,4.735),(19.05,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.05,5.095),(19.05,5.265),(19.22,5.265),(19.22,5.095),(19.05,5.095)),
        )
        createRL(
            tech, net, 'm1',
            ((16.385,4.675),(16.385,5.325),(19.25,5.325),(19.25,4.675),(16.385,4.675)),
        )
        net = nets['vss']
        createRL(
            tech, net, 'li',
            ((0.0,0.0),(0.0,1.2),(20.0,1.2),(20.0,0.0),(0.0,0.0)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(0.6), u(1.2), u(0.0), u(20.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(0.6), u(1.2), u(0.0), u(20.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'li',
            ((0.0,8.8),(0.0,10.0),(20.0,10.0),(20.0,8.8),(0.0,8.8)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(9.4), u(1.2), u(0.0), u(20.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(9.4), u(1.2), u(0.0), u(20.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,10.0),(20.0,10.0),(20.0,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['clkup'].setDirection(Net.Direction.IN)
        nets['clklow'].setDirection(Net.Direction.IN)
        nets['we'].setDirection(Net.Direction.IN)
        nets['we_en'].setDirection(Net.Direction.IN)
        nets['we_n'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['buf_x2']
        except:
            subcell = af.getCell('buf_x2', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'clkbuf', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(3.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'weff', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['nand2_x0']
        except:
            subcell = af.getCell('nand2_x0', 0)
        trans = Transformation(
            u(18.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'wenand', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TBlock_512x64_8WE']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(912.5200000000003), u(423.69000000000005),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'a1[0]': Net.create(cell, 'a1[0]'),
            'a1[1]': Net.create(cell, 'a1[1]'),
            'a1[2]': Net.create(cell, 'a1[2]'),
            'a1[3]': Net.create(cell, 'a1[3]'),
            'a1[4]': Net.create(cell, 'a1[4]'),
            'a1[5]': Net.create(cell, 'a1[5]'),
            'a1[6]': Net.create(cell, 'a1[6]'),
            'a1[7]': Net.create(cell, 'a1[7]'),
            'a1[8]': Net.create(cell, 'a1[8]'),
            'a2[0]': Net.create(cell, 'a2[0]'),
            'a2[1]': Net.create(cell, 'a2[1]'),
            'a2[2]': Net.create(cell, 'a2[2]'),
            'a2[3]': Net.create(cell, 'a2[3]'),
            'a2[4]': Net.create(cell, 'a2[4]'),
            'a2[5]': Net.create(cell, 'a2[5]'),
            'a2[6]': Net.create(cell, 'a2[6]'),
            'a2[7]': Net.create(cell, 'a2[7]'),
            'a2[8]': Net.create(cell, 'a2[8]'),
            'clk1': Net.create(cell, 'clk1'),
            'clk2': Net.create(cell, 'clk2'),
            'd1[0]': Net.create(cell, 'd1[0]'),
            'd1[10]': Net.create(cell, 'd1[10]'),
            'd1[11]': Net.create(cell, 'd1[11]'),
            'd1[12]': Net.create(cell, 'd1[12]'),
            'd1[13]': Net.create(cell, 'd1[13]'),
            'd1[14]': Net.create(cell, 'd1[14]'),
            'd1[15]': Net.create(cell, 'd1[15]'),
            'd1[16]': Net.create(cell, 'd1[16]'),
            'd1[17]': Net.create(cell, 'd1[17]'),
            'd1[18]': Net.create(cell, 'd1[18]'),
            'd1[19]': Net.create(cell, 'd1[19]'),
            'd1[1]': Net.create(cell, 'd1[1]'),
            'd1[20]': Net.create(cell, 'd1[20]'),
            'd1[21]': Net.create(cell, 'd1[21]'),
            'd1[22]': Net.create(cell, 'd1[22]'),
            'd1[23]': Net.create(cell, 'd1[23]'),
            'd1[24]': Net.create(cell, 'd1[24]'),
            'd1[25]': Net.create(cell, 'd1[25]'),
            'd1[26]': Net.create(cell, 'd1[26]'),
            'd1[27]': Net.create(cell, 'd1[27]'),
            'd1[28]': Net.create(cell, 'd1[28]'),
            'd1[29]': Net.create(cell, 'd1[29]'),
            'd1[2]': Net.create(cell, 'd1[2]'),
            'd1[30]': Net.create(cell, 'd1[30]'),
            'd1[31]': Net.create(cell, 'd1[31]'),
            'd1[32]': Net.create(cell, 'd1[32]'),
            'd1[33]': Net.create(cell, 'd1[33]'),
            'd1[34]': Net.create(cell, 'd1[34]'),
            'd1[35]': Net.create(cell, 'd1[35]'),
            'd1[36]': Net.create(cell, 'd1[36]'),
            'd1[37]': Net.create(cell, 'd1[37]'),
            'd1[38]': Net.create(cell, 'd1[38]'),
            'd1[39]': Net.create(cell, 'd1[39]'),
            'd1[3]': Net.create(cell, 'd1[3]'),
            'd1[40]': Net.create(cell, 'd1[40]'),
            'd1[41]': Net.create(cell, 'd1[41]'),
            'd1[42]': Net.create(cell, 'd1[42]'),
            'd1[43]': Net.create(cell, 'd1[43]'),
            'd1[44]': Net.create(cell, 'd1[44]'),
            'd1[45]': Net.create(cell, 'd1[45]'),
            'd1[46]': Net.create(cell, 'd1[46]'),
            'd1[47]': Net.create(cell, 'd1[47]'),
            'd1[48]': Net.create(cell, 'd1[48]'),
            'd1[49]': Net.create(cell, 'd1[49]'),
            'd1[4]': Net.create(cell, 'd1[4]'),
            'd1[50]': Net.create(cell, 'd1[50]'),
            'd1[51]': Net.create(cell, 'd1[51]'),
            'd1[52]': Net.create(cell, 'd1[52]'),
            'd1[53]': Net.create(cell, 'd1[53]'),
            'd1[54]': Net.create(cell, 'd1[54]'),
            'd1[55]': Net.create(cell, 'd1[55]'),
            'd1[56]': Net.create(cell, 'd1[56]'),
            'd1[57]': Net.create(cell, 'd1[57]'),
            'd1[58]': Net.create(cell, 'd1[58]'),
            'd1[59]': Net.create(cell, 'd1[59]'),
            'd1[5]': Net.create(cell, 'd1[5]'),
            'd1[60]': Net.create(cell, 'd1[60]'),
            'd1[61]': Net.create(cell, 'd1[61]'),
            'd1[62]': Net.create(cell, 'd1[62]'),
            'd1[63]': Net.create(cell, 'd1[63]'),
            'd1[6]': Net.create(cell, 'd1[6]'),
            'd1[7]': Net.create(cell, 'd1[7]'),
            'd1[8]': Net.create(cell, 'd1[8]'),
            'd1[9]': Net.create(cell, 'd1[9]'),
            'd2[0]': Net.create(cell, 'd2[0]'),
            'd2[10]': Net.create(cell, 'd2[10]'),
            'd2[11]': Net.create(cell, 'd2[11]'),
            'd2[12]': Net.create(cell, 'd2[12]'),
            'd2[13]': Net.create(cell, 'd2[13]'),
            'd2[14]': Net.create(cell, 'd2[14]'),
            'd2[15]': Net.create(cell, 'd2[15]'),
            'd2[16]': Net.create(cell, 'd2[16]'),
            'd2[17]': Net.create(cell, 'd2[17]'),
            'd2[18]': Net.create(cell, 'd2[18]'),
            'd2[19]': Net.create(cell, 'd2[19]'),
            'd2[1]': Net.create(cell, 'd2[1]'),
            'd2[20]': Net.create(cell, 'd2[20]'),
            'd2[21]': Net.create(cell, 'd2[21]'),
            'd2[22]': Net.create(cell, 'd2[22]'),
            'd2[23]': Net.create(cell, 'd2[23]'),
            'd2[24]': Net.create(cell, 'd2[24]'),
            'd2[25]': Net.create(cell, 'd2[25]'),
            'd2[26]': Net.create(cell, 'd2[26]'),
            'd2[27]': Net.create(cell, 'd2[27]'),
            'd2[28]': Net.create(cell, 'd2[28]'),
            'd2[29]': Net.create(cell, 'd2[29]'),
            'd2[2]': Net.create(cell, 'd2[2]'),
            'd2[30]': Net.create(cell, 'd2[30]'),
            'd2[31]': Net.create(cell, 'd2[31]'),
            'd2[32]': Net.create(cell, 'd2[32]'),
            'd2[33]': Net.create(cell, 'd2[33]'),
            'd2[34]': Net.create(cell, 'd2[34]'),
            'd2[35]': Net.create(cell, 'd2[35]'),
            'd2[36]': Net.create(cell, 'd2[36]'),
            'd2[37]': Net.create(cell, 'd2[37]'),
            'd2[38]': Net.create(cell, 'd2[38]'),
            'd2[39]': Net.create(cell, 'd2[39]'),
            'd2[3]': Net.create(cell, 'd2[3]'),
            'd2[40]': Net.create(cell, 'd2[40]'),
            'd2[41]': Net.create(cell, 'd2[41]'),
            'd2[42]': Net.create(cell, 'd2[42]'),
            'd2[43]': Net.create(cell, 'd2[43]'),
            'd2[44]': Net.create(cell, 'd2[44]'),
            'd2[45]': Net.create(cell, 'd2[45]'),
            'd2[46]': Net.create(cell, 'd2[46]'),
            'd2[47]': Net.create(cell, 'd2[47]'),
            'd2[48]': Net.create(cell, 'd2[48]'),
            'd2[49]': Net.create(cell, 'd2[49]'),
            'd2[4]': Net.create(cell, 'd2[4]'),
            'd2[50]': Net.create(cell, 'd2[50]'),
            'd2[51]': Net.create(cell, 'd2[51]'),
            'd2[52]': Net.create(cell, 'd2[52]'),
            'd2[53]': Net.create(cell, 'd2[53]'),
            'd2[54]': Net.create(cell, 'd2[54]'),
            'd2[55]': Net.create(cell, 'd2[55]'),
            'd2[56]': Net.create(cell, 'd2[56]'),
            'd2[57]': Net.create(cell, 'd2[57]'),
            'd2[58]': Net.create(cell, 'd2[58]'),
            'd2[59]': Net.create(cell, 'd2[59]'),
            'd2[5]': Net.create(cell, 'd2[5]'),
            'd2[60]': Net.create(cell, 'd2[60]'),
            'd2[61]': Net.create(cell, 'd2[61]'),
            'd2[62]': Net.create(cell, 'd2[62]'),
            'd2[63]': Net.create(cell, 'd2[63]'),
            'd2[6]': Net.create(cell, 'd2[6]'),
            'd2[7]': Net.create(cell, 'd2[7]'),
            'd2[8]': Net.create(cell, 'd2[8]'),
            'd2[9]': Net.create(cell, 'd2[9]'),
            'q1[0]': Net.create(cell, 'q1[0]'),
            'q1[10]': Net.create(cell, 'q1[10]'),
            'q1[11]': Net.create(cell, 'q1[11]'),
            'q1[12]': Net.create(cell, 'q1[12]'),
            'q1[13]': Net.create(cell, 'q1[13]'),
            'q1[14]': Net.create(cell, 'q1[14]'),
            'q1[15]': Net.create(cell, 'q1[15]'),
            'q1[16]': Net.create(cell, 'q1[16]'),
            'q1[17]': Net.create(cell, 'q1[17]'),
            'q1[18]': Net.create(cell, 'q1[18]'),
            'q1[19]': Net.create(cell, 'q1[19]'),
            'q1[1]': Net.create(cell, 'q1[1]'),
            'q1[20]': Net.create(cell, 'q1[20]'),
            'q1[21]': Net.create(cell, 'q1[21]'),
            'q1[22]': Net.create(cell, 'q1[22]'),
            'q1[23]': Net.create(cell, 'q1[23]'),
            'q1[24]': Net.create(cell, 'q1[24]'),
            'q1[25]': Net.create(cell, 'q1[25]'),
            'q1[26]': Net.create(cell, 'q1[26]'),
            'q1[27]': Net.create(cell, 'q1[27]'),
            'q1[28]': Net.create(cell, 'q1[28]'),
            'q1[29]': Net.create(cell, 'q1[29]'),
            'q1[2]': Net.create(cell, 'q1[2]'),
            'q1[30]': Net.create(cell, 'q1[30]'),
            'q1[31]': Net.create(cell, 'q1[31]'),
            'q1[32]': Net.create(cell, 'q1[32]'),
            'q1[33]': Net.create(cell, 'q1[33]'),
            'q1[34]': Net.create(cell, 'q1[34]'),
            'q1[35]': Net.create(cell, 'q1[35]'),
            'q1[36]': Net.create(cell, 'q1[36]'),
            'q1[37]': Net.create(cell, 'q1[37]'),
            'q1[38]': Net.create(cell, 'q1[38]'),
            'q1[39]': Net.create(cell, 'q1[39]'),
            'q1[3]': Net.create(cell, 'q1[3]'),
            'q1[40]': Net.create(cell, 'q1[40]'),
            'q1[41]': Net.create(cell, 'q1[41]'),
            'q1[42]': Net.create(cell, 'q1[42]'),
            'q1[43]': Net.create(cell, 'q1[43]'),
            'q1[44]': Net.create(cell, 'q1[44]'),
            'q1[45]': Net.create(cell, 'q1[45]'),
            'q1[46]': Net.create(cell, 'q1[46]'),
            'q1[47]': Net.create(cell, 'q1[47]'),
            'q1[48]': Net.create(cell, 'q1[48]'),
            'q1[49]': Net.create(cell, 'q1[49]'),
            'q1[4]': Net.create(cell, 'q1[4]'),
            'q1[50]': Net.create(cell, 'q1[50]'),
            'q1[51]': Net.create(cell, 'q1[51]'),
            'q1[52]': Net.create(cell, 'q1[52]'),
            'q1[53]': Net.create(cell, 'q1[53]'),
            'q1[54]': Net.create(cell, 'q1[54]'),
            'q1[55]': Net.create(cell, 'q1[55]'),
            'q1[56]': Net.create(cell, 'q1[56]'),
            'q1[57]': Net.create(cell, 'q1[57]'),
            'q1[58]': Net.create(cell, 'q1[58]'),
            'q1[59]': Net.create(cell, 'q1[59]'),
            'q1[5]': Net.create(cell, 'q1[5]'),
            'q1[60]': Net.create(cell, 'q1[60]'),
            'q1[61]': Net.create(cell, 'q1[61]'),
            'q1[62]': Net.create(cell, 'q1[62]'),
            'q1[63]': Net.create(cell, 'q1[63]'),
            'q1[6]': Net.create(cell, 'q1[6]'),
            'q1[7]': Net.create(cell, 'q1[7]'),
            'q1[8]': Net.create(cell, 'q1[8]'),
            'q1[9]': Net.create(cell, 'q1[9]'),
            'q2[0]': Net.create(cell, 'q2[0]'),
            'q2[10]': Net.create(cell, 'q2[10]'),
            'q2[11]': Net.create(cell, 'q2[11]'),
            'q2[12]': Net.create(cell, 'q2[12]'),
            'q2[13]': Net.create(cell, 'q2[13]'),
            'q2[14]': Net.create(cell, 'q2[14]'),
            'q2[15]': Net.create(cell, 'q2[15]'),
            'q2[16]': Net.create(cell, 'q2[16]'),
            'q2[17]': Net.create(cell, 'q2[17]'),
            'q2[18]': Net.create(cell, 'q2[18]'),
            'q2[19]': Net.create(cell, 'q2[19]'),
            'q2[1]': Net.create(cell, 'q2[1]'),
            'q2[20]': Net.create(cell, 'q2[20]'),
            'q2[21]': Net.create(cell, 'q2[21]'),
            'q2[22]': Net.create(cell, 'q2[22]'),
            'q2[23]': Net.create(cell, 'q2[23]'),
            'q2[24]': Net.create(cell, 'q2[24]'),
            'q2[25]': Net.create(cell, 'q2[25]'),
            'q2[26]': Net.create(cell, 'q2[26]'),
            'q2[27]': Net.create(cell, 'q2[27]'),
            'q2[28]': Net.create(cell, 'q2[28]'),
            'q2[29]': Net.create(cell, 'q2[29]'),
            'q2[2]': Net.create(cell, 'q2[2]'),
            'q2[30]': Net.create(cell, 'q2[30]'),
            'q2[31]': Net.create(cell, 'q2[31]'),
            'q2[32]': Net.create(cell, 'q2[32]'),
            'q2[33]': Net.create(cell, 'q2[33]'),
            'q2[34]': Net.create(cell, 'q2[34]'),
            'q2[35]': Net.create(cell, 'q2[35]'),
            'q2[36]': Net.create(cell, 'q2[36]'),
            'q2[37]': Net.create(cell, 'q2[37]'),
            'q2[38]': Net.create(cell, 'q2[38]'),
            'q2[39]': Net.create(cell, 'q2[39]'),
            'q2[3]': Net.create(cell, 'q2[3]'),
            'q2[40]': Net.create(cell, 'q2[40]'),
            'q2[41]': Net.create(cell, 'q2[41]'),
            'q2[42]': Net.create(cell, 'q2[42]'),
            'q2[43]': Net.create(cell, 'q2[43]'),
            'q2[44]': Net.create(cell, 'q2[44]'),
            'q2[45]': Net.create(cell, 'q2[45]'),
            'q2[46]': Net.create(cell, 'q2[46]'),
            'q2[47]': Net.create(cell, 'q2[47]'),
            'q2[48]': Net.create(cell, 'q2[48]'),
            'q2[49]': Net.create(cell, 'q2[49]'),
            'q2[4]': Net.create(cell, 'q2[4]'),
            'q2[50]': Net.create(cell, 'q2[50]'),
            'q2[51]': Net.create(cell, 'q2[51]'),
            'q2[52]': Net.create(cell, 'q2[52]'),
            'q2[53]': Net.create(cell, 'q2[53]'),
            'q2[54]': Net.create(cell, 'q2[54]'),
            'q2[55]': Net.create(cell, 'q2[55]'),
            'q2[56]': Net.create(cell, 'q2[56]'),
            'q2[57]': Net.create(cell, 'q2[57]'),
            'q2[58]': Net.create(cell, 'q2[58]'),
            'q2[59]': Net.create(cell, 'q2[59]'),
            'q2[5]': Net.create(cell, 'q2[5]'),
            'q2[60]': Net.create(cell, 'q2[60]'),
            'q2[61]': Net.create(cell, 'q2[61]'),
            'q2[62]': Net.create(cell, 'q2[62]'),
            'q2[63]': Net.create(cell, 'q2[63]'),
            'q2[6]': Net.create(cell, 'q2[6]'),
            'q2[7]': Net.create(cell, 'q2[7]'),
            'q2[8]': Net.create(cell, 'q2[8]'),
            'q2[9]': Net.create(cell, 'q2[9]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'we1[0]': Net.create(cell, 'we1[0]'),
            'we1[1]': Net.create(cell, 'we1[1]'),
            'we1[2]': Net.create(cell, 'we1[2]'),
            'we1[3]': Net.create(cell, 'we1[3]'),
            'we1[4]': Net.create(cell, 'we1[4]'),
            'we1[5]': Net.create(cell, 'we1[5]'),
            'we1[6]': Net.create(cell, 'we1[6]'),
            'we1[7]': Net.create(cell, 'we1[7]'),
            'we2[0]': Net.create(cell, 'we2[0]'),
            'we2[1]': Net.create(cell, 'we2[1]'),
            'we2[2]': Net.create(cell, 'we2[2]'),
            'we2[3]': Net.create(cell, 'we2[3]'),
            'we2[4]': Net.create(cell, 'we2[4]'),
            'we2[5]': Net.create(cell, 'we2[5]'),
            'we2[6]': Net.create(cell, 'we2[6]'),
            'we2[7]': Net.create(cell, 'we2[7]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((27.46,201.535),(27.46,202.115),(885.06,202.115),(885.06,201.535),(27.46,201.535)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,168.985),(27.46,169.565),(885.06,169.565),(885.06,168.985),(27.46,168.985)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,234.085),(27.46,234.665),(885.06,234.665),(885.06,234.085),(27.46,234.085)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,85.285),(27.46,85.865),(885.06,85.865),(885.06,85.285),(27.46,85.285)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,341.035),(27.46,341.615),(885.06,341.615),(885.06,341.035),(27.46,341.035)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,238.735),(27.46,239.315),(885.06,239.315),(885.06,238.735),(27.46,238.735)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,192.235),(27.46,192.815),(885.06,192.815),(885.06,192.235),(27.46,192.235)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,229.435),(27.46,230.015),(885.06,230.015),(885.06,229.435),(27.46,229.435)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,257.335),(27.46,257.915),(885.06,257.915),(885.06,257.335),(27.46,257.335)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,313.135),(27.46,313.715),(885.06,313.715),(885.06,313.135),(27.46,313.135)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,308.485),(27.46,309.065),(885.06,309.065),(885.06,308.485),(27.46,308.485)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,285.235),(27.46,285.815),(885.06,285.815),(885.06,285.235),(27.46,285.235)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,122.485),(27.46,123.065),(885.06,123.065),(885.06,122.485),(27.46,122.485)),
        )
        createRL(
            tech, net, 'm2',
            ((27.33,58.71),(27.33,59.35),(885.19,59.35),(885.19,58.71),(27.33,58.71)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,182.935),(27.46,183.515),(885.06,183.515),(885.06,182.935),(27.46,182.935)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,220.135),(27.46,220.715),(885.06,220.715),(885.06,220.135),(27.46,220.135)),
        )
        createRL(
            tech, net, 'm2',
            ((27.33,364.34),(27.33,364.98),(885.19,364.98),(885.19,364.34),(27.33,364.34)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,373.97),(27.46,374.61),(885.06,374.61),(885.06,373.97),(27.46,373.97)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,280.585),(27.46,281.165),(885.06,281.165),(885.06,280.585),(27.46,280.585)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,94.585),(27.46,95.165),(885.06,95.165),(885.06,94.585),(27.46,94.585)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,271.285),(27.46,271.865),(885.06,271.865),(885.06,271.285),(27.46,271.285)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,252.685),(27.46,253.265),(885.06,253.265),(885.06,252.685),(27.46,252.685)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,178.285),(27.46,178.865),(885.06,178.865),(885.06,178.285),(27.46,178.285)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,141.085),(27.46,141.665),(885.06,141.665),(885.06,141.085),(27.46,141.085)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,103.885),(27.46,104.465),(885.06,104.465),(885.06,103.885),(27.46,103.885)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,359.635),(27.46,360.215),(885.06,360.215),(885.06,359.635),(27.46,359.635)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,173.635),(27.46,174.215),(885.06,174.215),(885.06,173.635),(27.46,173.635)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,80.635),(27.46,81.215),(885.06,81.215),(885.06,80.635),(27.46,80.635)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,136.435),(27.46,137.015),(885.06,137.015),(885.06,136.435),(27.46,136.435)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,150.385),(27.46,150.965),(885.06,150.965),(885.06,150.385),(27.46,150.385)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,155.035),(27.46,155.615),(885.06,155.615),(885.06,155.035),(27.46,155.035)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,159.685),(27.46,160.265),(885.06,160.265),(885.06,159.685),(27.46,159.685)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,299.185),(27.46,299.765),(885.06,299.765),(885.06,299.185),(27.46,299.185)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,210.835),(27.46,211.415),(885.06,211.415),(885.06,210.835),(27.46,210.835)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,248.035),(27.46,248.615),(885.06,248.615),(885.06,248.035),(27.46,248.035)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,117.835),(27.46,118.415),(885.06,118.415),(885.06,117.835),(27.46,117.835)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,261.985),(27.46,262.565),(885.06,262.565),(885.06,261.985),(27.46,261.985)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,303.835),(27.46,304.415),(885.06,304.415),(885.06,303.835),(27.46,303.835)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,71.335),(27.46,71.915),(885.06,71.915),(885.06,71.335),(27.46,71.335)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,127.135),(27.46,127.715),(885.06,127.715),(885.06,127.135),(27.46,127.135)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,327.085),(27.46,327.665),(885.06,327.665),(885.06,327.085),(27.46,327.085)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,196.885),(27.46,197.465),(885.06,197.465),(885.06,196.885),(27.46,196.885)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,350.335),(27.46,350.915),(885.06,350.915),(885.06,350.335),(27.46,350.335)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,89.935),(27.46,90.515),(885.06,90.515),(885.06,89.935),(27.46,89.935)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,289.885),(27.46,290.465),(885.06,290.465),(885.06,289.885),(27.46,289.885)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,345.685),(27.46,346.265),(885.06,346.265),(885.06,345.685),(27.46,345.685)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,99.235),(27.46,99.815),(885.06,99.815),(885.06,99.235),(27.46,99.235)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,215.485),(27.46,216.065),(885.06,216.065),(885.06,215.485),(27.46,215.485)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,275.935),(27.46,276.515),(885.06,276.515),(885.06,275.935),(27.46,275.935)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,266.635),(27.46,267.215),(885.06,267.215),(885.06,266.635),(27.46,266.635)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,294.535),(27.46,295.115),(885.06,295.115),(885.06,294.535),(27.46,294.535)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,317.785),(27.46,318.365),(885.06,318.365),(885.06,317.785),(27.46,317.785)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,224.785),(27.46,225.365),(885.06,225.365),(885.06,224.785),(27.46,224.785)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,75.985),(27.46,76.565),(885.06,76.565),(885.06,75.985),(27.46,75.985)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,187.585),(27.46,188.165),(885.06,188.165),(885.06,187.585),(27.46,187.585)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,66.685),(27.46,67.265),(885.06,67.265),(885.06,66.685),(27.46,66.685)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,322.435),(27.46,323.015),(885.06,323.015),(885.06,322.435),(27.46,322.435)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,331.735),(27.46,332.315),(885.06,332.315),(885.06,331.735),(27.46,331.735)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,336.385),(27.46,336.965),(885.06,336.965),(885.06,336.385),(27.46,336.385)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,354.985),(27.46,355.565),(885.06,355.565),(885.06,354.985),(27.46,354.985)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,49.08),(27.46,49.72),(885.06,49.72),(885.06,49.08),(27.46,49.08)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,113.185),(27.46,113.765),(885.06,113.765),(885.06,113.185),(27.46,113.185)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,108.535),(27.46,109.115),(885.06,109.115),(885.06,108.535),(27.46,108.535)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,206.185),(27.46,206.765),(885.06,206.765),(885.06,206.185),(27.46,206.185)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,145.735),(27.46,146.315),(885.06,146.315),(885.06,145.735),(27.46,145.735)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,243.385),(27.46,243.965),(885.06,243.965),(885.06,243.385),(27.46,243.385)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,131.785),(27.46,132.365),(885.06,132.365),(885.06,131.785),(27.46,131.785)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,164.335),(27.46,164.915),(885.06,164.915),(885.06,164.335),(27.46,164.335)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(201.825), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(201.825), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(169.275), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(169.275), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(234.375), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(234.375), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(85.575), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(85.575), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(341.325), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(341.325), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(239.025), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(239.025), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(192.525), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(192.525), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(229.725), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(229.725), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(257.625), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(257.625), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(313.425), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(313.425), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(308.775), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(308.775), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(285.525), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(285.525), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(122.775), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(122.775), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(59.03), u(0.64), u(27.33), u(885.1899999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(59.03), u(0.64), u(27.33), u(885.1899999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(183.225), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(183.225), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(220.425), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(220.425), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(364.66), u(0.64), u(27.33), u(885.1899999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(364.66), u(0.64), u(27.33), u(885.1899999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(374.29), u(0.64), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(374.29), u(0.64), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(280.875), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(280.875), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(94.875), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(94.875), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(271.575), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(271.575), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(252.975), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(252.975), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(178.575), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(178.575), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(141.375), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(141.375), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(104.175), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(104.175), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(359.925), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(359.925), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(173.925), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(173.925), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(80.925), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(80.925), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(136.725), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(136.725), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(150.675), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(150.675), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(155.325), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(155.325), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(159.975), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(159.975), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(299.475), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(299.475), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(211.125), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(211.125), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(248.325), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(248.325), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(118.125), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(118.125), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(262.275), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(262.275), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(304.125), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(304.125), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(71.625), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(71.625), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(127.425), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(127.425), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(327.375), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(327.375), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(197.175), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(197.175), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(350.625), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(350.625), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.225), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.225), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(290.175), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(290.175), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(345.975), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(345.975), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(99.525), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(99.525), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(215.775), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(215.775), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(276.225), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(276.225), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(266.925), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(266.925), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(294.825), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(294.825), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(318.075), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(318.075), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(225.075), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(225.075), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(76.275), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(76.275), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(187.875), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(187.875), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(66.975), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(66.975), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(322.725), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(322.725), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(332.025), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(332.025), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(336.675), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(336.675), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(355.275), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(355.275), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(49.4), u(0.64), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(49.4), u(0.64), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(113.475), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(113.475), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(108.825), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(108.825), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(206.475), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(206.475), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(146.025), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(146.025), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(243.675), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(243.675), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(132.075), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(132.075), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(164.625), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(164.625), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((27.46,104.605),(27.46,105.185),(885.06,105.185),(885.06,104.605),(27.46,104.605)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,202.255),(27.46,202.835),(885.06,202.835),(885.06,202.255),(27.46,202.255)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,230.155),(27.46,230.735),(885.06,230.735),(885.06,230.155),(27.46,230.155)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,304.555),(27.46,305.135),(885.06,305.135),(885.06,304.555),(27.46,304.555)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,123.205),(27.46,123.785),(885.06,123.785),(885.06,123.205),(27.46,123.205)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,165.055),(27.46,165.635),(885.06,165.635),(885.06,165.055),(27.46,165.055)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,267.355),(27.46,267.935),(885.06,267.935),(885.06,267.355),(27.46,267.355)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,160.405),(27.46,160.985),(885.06,160.985),(885.06,160.405),(27.46,160.405)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,341.755),(27.46,342.335),(885.06,342.335),(885.06,341.755),(27.46,341.755)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,95.305),(27.46,95.885),(885.06,95.885),(885.06,95.305),(27.46,95.305)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,295.255),(27.46,295.835),(885.06,295.835),(885.06,295.255),(27.46,295.255)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,351.055),(27.46,351.635),(885.06,351.635),(885.06,351.055),(27.46,351.055)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,276.655),(27.46,277.235),(885.06,277.235),(885.06,276.655),(27.46,276.655)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,258.055),(27.46,258.635),(885.06,258.635),(885.06,258.055),(27.46,258.055)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,313.855),(27.46,314.435),(885.06,314.435),(885.06,313.855),(27.46,313.855)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,67.405),(27.46,67.985),(885.06,67.985),(885.06,67.405),(27.46,67.405)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,323.155),(27.46,323.735),(885.06,323.735),(885.06,323.155),(27.46,323.155)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,118.555),(27.46,119.135),(885.06,119.135),(885.06,118.555),(27.46,118.555)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,90.655),(27.46,91.235),(885.06,91.235),(885.06,90.655),(27.46,90.655)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,285.955),(27.46,286.535),(885.06,286.535),(885.06,285.955),(27.46,285.955)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,374.75),(27.46,375.39),(885.06,375.39),(885.06,374.75),(27.46,374.75)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,248.755),(27.46,249.335),(885.06,249.335),(885.06,248.755),(27.46,248.755)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,155.755),(27.46,156.335),(885.06,156.335),(885.06,155.755),(27.46,155.755)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,299.905),(27.46,300.485),(885.06,300.485),(885.06,299.905),(27.46,299.905)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,62.755),(27.46,63.335),(885.06,63.335),(885.06,62.755),(27.46,62.755)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,48.3),(27.46,48.94),(885.06,48.94),(885.06,48.3),(27.46,48.3)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,318.505),(27.46,319.085),(885.06,319.085),(885.06,318.505),(27.46,318.505)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,360.355),(27.46,360.935),(885.06,360.935),(885.06,360.355),(27.46,360.355)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,151.105),(27.46,151.685),(885.06,151.685),(885.06,151.105),(27.46,151.105)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,76.705),(27.46,77.285),(885.06,77.285),(885.06,76.705),(27.46,76.705)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,174.355),(27.46,174.935),(885.06,174.935),(885.06,174.355),(27.46,174.355)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,332.455),(27.46,333.035),(885.06,333.035),(885.06,332.455),(27.46,332.455)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,109.255),(27.46,109.835),(885.06,109.835),(885.06,109.255),(27.46,109.255)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,99.955),(27.46,100.535),(885.06,100.535),(885.06,99.955),(27.46,99.955)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,355.705),(27.46,356.285),(885.06,356.285),(885.06,355.705),(27.46,355.705)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,244.105),(27.46,244.685),(885.06,244.685),(885.06,244.105),(27.46,244.105)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,141.805),(27.46,142.385),(885.06,142.385),(885.06,141.805),(27.46,141.805)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,86.005),(27.46,86.585),(885.06,86.585),(885.06,86.005),(27.46,86.005)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,346.405),(27.46,346.985),(885.06,346.985),(885.06,346.405),(27.46,346.405)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,309.205),(27.46,309.785),(885.06,309.785),(885.06,309.205),(27.46,309.205)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,127.855),(27.46,128.435),(885.06,128.435),(885.06,127.855),(27.46,127.855)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,239.455),(27.46,240.035),(885.06,240.035),(885.06,239.455),(27.46,239.455)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,146.455),(27.46,147.035),(885.06,147.035),(885.06,146.455),(27.46,146.455)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,206.905),(27.46,207.485),(885.06,207.485),(885.06,206.905),(27.46,206.905)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,197.605),(27.46,198.185),(885.06,198.185),(885.06,197.605),(27.46,197.605)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,216.205),(27.46,216.785),(885.06,216.785),(885.06,216.205),(27.46,216.205)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,281.305),(27.46,281.885),(885.06,281.885),(885.06,281.305),(27.46,281.305)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,132.505),(27.46,133.085),(885.06,133.085),(885.06,132.505),(27.46,132.505)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,225.505),(27.46,226.085),(885.06,226.085),(885.06,225.505),(27.46,225.505)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,253.405),(27.46,253.985),(885.06,253.985),(885.06,253.405),(27.46,253.405)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,183.655),(27.46,184.235),(885.06,184.235),(885.06,183.655),(27.46,183.655)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,211.555),(27.46,212.135),(885.06,212.135),(885.06,211.555),(27.46,211.555)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,234.805),(27.46,235.385),(885.06,235.385),(885.06,234.805),(27.46,234.805)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,188.305),(27.46,188.885),(885.06,188.885),(885.06,188.305),(27.46,188.305)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,169.705),(27.46,170.285),(885.06,170.285),(885.06,169.705),(27.46,169.705)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,262.705),(27.46,263.285),(885.06,263.285),(885.06,262.705),(27.46,262.705)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,192.955),(27.46,193.535),(885.06,193.535),(885.06,192.955),(27.46,192.955)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,290.605),(27.46,291.185),(885.06,291.185),(885.06,290.605),(27.46,290.605)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,72.055),(27.46,72.635),(885.06,72.635),(885.06,72.055),(27.46,72.055)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,272.005),(27.46,272.585),(885.06,272.585),(885.06,272.005),(27.46,272.005)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,81.355),(27.46,81.935),(885.06,81.935),(885.06,81.355),(27.46,81.355)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,137.155),(27.46,137.735),(885.06,137.735),(885.06,137.155),(27.46,137.155)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,337.105),(27.46,337.685),(885.06,337.685),(885.06,337.105),(27.46,337.105)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,220.855),(27.46,221.435),(885.06,221.435),(885.06,220.855),(27.46,220.855)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,113.905),(27.46,114.485),(885.06,114.485),(885.06,113.905),(27.46,113.905)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,179.005),(27.46,179.585),(885.06,179.585),(885.06,179.005),(27.46,179.005)),
        )
        createRL(
            tech, net, 'm2',
            ((27.46,327.805),(27.46,328.385),(885.06,328.385),(885.06,327.805),(27.46,327.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(104.895), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(104.895), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(202.545), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(202.545), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(230.445), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(230.445), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(304.845), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(304.845), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(123.495), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(123.495), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(165.345), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(165.345), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(267.645), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(267.645), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(160.695), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(160.695), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(342.045), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(342.045), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(95.595), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(95.595), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(295.545), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(295.545), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(351.345), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(351.345), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(276.945), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(276.945), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(258.345), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(258.345), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(314.145), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(314.145), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.695), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.695), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(323.445), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(323.445), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(118.845), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(118.845), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.945), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.945), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(286.245), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(286.245), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(375.07), u(0.64), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(375.07), u(0.64), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(249.045), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(249.045), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(156.045), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(156.045), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(300.195), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(300.195), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.045), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.045), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.62), u(0.64), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.62), u(0.64), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(318.795), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(318.795), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(360.645), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(360.645), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(151.395), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(151.395), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(76.995), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(76.995), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(174.645), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(174.645), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(332.745), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(332.745), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(109.545), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(109.545), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(100.245), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(100.245), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(355.995), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(355.995), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(244.395), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(244.395), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(142.095), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(142.095), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(86.295), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(86.295), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(346.695), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(346.695), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(309.495), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(309.495), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(128.145), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(128.145), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(239.745), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(239.745), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(146.745), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(146.745), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(207.195), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(207.195), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(197.895), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(197.895), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(216.495), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(216.495), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(281.595), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(281.595), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(132.795), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(132.795), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(225.795), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(225.795), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(253.695), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(253.695), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(183.945), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(183.945), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(211.845), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(211.845), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(235.095), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(235.095), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(188.595), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(188.595), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(169.995), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(169.995), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(262.995), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(262.995), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(193.245), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(193.245), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(290.895), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(290.895), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.345), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.345), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(272.295), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(272.295), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(81.645), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(81.645), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(137.445), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(137.445), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(337.395), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(337.395), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(221.145), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(221.145), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(114.195), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(114.195), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(179.295), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(179.295), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(328.095), u(0.58), u(27.459999999999997), u(885.06),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(328.095), u(0.58), u(27.459999999999997), u(885.06),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a1[0]']
        createRL(
            tech, net, 'm1',
            ((0.0,43.4),(0.0,43.69),(1.57,43.69),(1.57,43.4),(0.0,43.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(43.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(43.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a2[0]']
        createRL(
            tech, net, 'm1',
            ((910.95,380.0),(910.95,380.29),(912.52,380.29),(912.52,380.0),(910.95,380.0)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(380.145), u(0.29), u(910.9500000000003), u(912.5200000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(380.145), u(0.29), u(910.9500000000003), u(912.5200000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a1[1]']
        createRL(
            tech, net, 'm1',
            ((0.0,52.4),(0.0,52.69),(1.57,52.69),(1.57,52.4),(0.0,52.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(52.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(52.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a2[1]']
        createRL(
            tech, net, 'm1',
            ((910.95,371.0),(910.95,371.29),(912.52,371.29),(912.52,371.0),(910.95,371.0)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(371.145), u(0.29), u(910.9500000000003), u(912.5200000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(371.145), u(0.29), u(910.9500000000003), u(912.5200000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a1[2]']
        createRL(
            tech, net, 'm1',
            ((0.0,67.4),(0.0,67.69),(1.57,67.69),(1.57,67.4),(0.0,67.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(67.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(67.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a2[2]']
        createRL(
            tech, net, 'm1',
            ((910.95,356.0),(910.95,356.29),(912.52,356.29),(912.52,356.0),(910.95,356.0)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(356.145), u(0.29), u(910.9500000000003), u(912.5200000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(356.145), u(0.29), u(910.9500000000003), u(912.5200000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a1[3]']
        createRL(
            tech, net, 'm1',
            ((0.0,84.4),(0.0,84.69),(1.57,84.69),(1.57,84.4),(0.0,84.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(84.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(84.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a2[3]']
        createRL(
            tech, net, 'm1',
            ((910.95,339.0),(910.95,339.29),(912.52,339.29),(912.52,339.0),(910.95,339.0)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(339.145), u(0.29), u(910.9500000000003), u(912.5200000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(339.145), u(0.29), u(910.9500000000003), u(912.5200000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a1[4]']
        createRL(
            tech, net, 'm1',
            ((0.0,101.4),(0.0,101.69),(1.57,101.69),(1.57,101.4),(0.0,101.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(101.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(101.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a2[4]']
        createRL(
            tech, net, 'm1',
            ((910.95,322.0),(910.95,322.29),(912.52,322.29),(912.52,322.0),(910.95,322.0)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(322.145), u(0.29), u(910.9500000000003), u(912.5200000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(322.145), u(0.29), u(910.9500000000003), u(912.5200000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a1[5]']
        createRL(
            tech, net, 'm1',
            ((0.0,118.4),(0.0,118.69),(1.57,118.69),(1.57,118.4),(0.0,118.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(118.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(118.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a2[5]']
        createRL(
            tech, net, 'm1',
            ((910.95,305.0),(910.95,305.29),(912.52,305.29),(912.52,305.0),(910.95,305.0)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(305.145), u(0.29), u(910.9500000000003), u(912.5200000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(305.145), u(0.29), u(910.9500000000003), u(912.5200000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a1[6]']
        createRL(
            tech, net, 'm1',
            ((0.0,135.4),(0.0,135.69),(1.57,135.69),(1.57,135.4),(0.0,135.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(135.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(135.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a2[6]']
        createRL(
            tech, net, 'm1',
            ((910.95,288.0),(910.95,288.29),(912.52,288.29),(912.52,288.0),(910.95,288.0)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(288.145), u(0.29), u(910.9500000000003), u(912.5200000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(288.145), u(0.29), u(910.9500000000003), u(912.5200000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a1[7]']
        createRL(
            tech, net, 'm1',
            ((0.0,152.4),(0.0,152.69),(1.57,152.69),(1.57,152.4),(0.0,152.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(152.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(152.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a2[7]']
        createRL(
            tech, net, 'm1',
            ((910.95,271.0),(910.95,271.29),(912.52,271.29),(912.52,271.0),(910.95,271.0)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(271.145), u(0.29), u(910.9500000000003), u(912.5200000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(271.145), u(0.29), u(910.9500000000003), u(912.5200000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a1[8]']
        createRL(
            tech, net, 'm1',
            ((0.0,169.4),(0.0,169.69),(1.57,169.69),(1.57,169.4),(0.0,169.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(169.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(169.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a2[8]']
        createRL(
            tech, net, 'm1',
            ((910.95,254.0),(910.95,254.29),(912.52,254.29),(912.52,254.0),(910.95,254.0)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(254.145), u(0.29), u(910.9500000000003), u(912.5200000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(254.145), u(0.29), u(910.9500000000003), u(912.5200000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk1']
        createRL(
            tech, net, 'm2',
            ((8.095,0.0),(8.095,5.625),(12.835,5.625),(12.835,0.0),(8.095,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(10.465), u(4.74), u(0.0), u(5.625),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(10.465), u(4.74), u(0.0), u(5.625),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk2']
        createRL(
            tech, net, 'm2',
            ((899.685,418.065),(899.685,423.69),(904.425,423.69),(904.425,418.065),(899.685,418.065)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(902.055), u(4.74), u(418.065), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(902.055), u(4.74), u(418.065), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[0]']
        createRL(
            tech, net, 'm2',
            ((28.83,0.0),(28.83,41.955),(29.09,41.955),(29.09,0.0),(28.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(28.96), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(28.96), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[1]']
        createRL(
            tech, net, 'm2',
            ((42.23,0.0),(42.23,41.955),(42.49,41.955),(42.49,0.0),(42.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(42.36), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(42.36), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[2]']
        createRL(
            tech, net, 'm2',
            ((55.63,0.0),(55.63,41.955),(55.89,41.955),(55.89,0.0),(55.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(55.76), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(55.76), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[3]']
        createRL(
            tech, net, 'm2',
            ((69.03,0.0),(69.03,41.955),(69.29,41.955),(69.29,0.0),(69.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(69.16), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(69.16), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[4]']
        createRL(
            tech, net, 'm2',
            ((82.43,0.0),(82.43,41.955),(82.69,41.955),(82.69,0.0),(82.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(82.56), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(82.56), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[5]']
        createRL(
            tech, net, 'm2',
            ((95.83,0.0),(95.83,41.955),(96.09,41.955),(96.09,0.0),(95.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(95.96), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(95.96), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[6]']
        createRL(
            tech, net, 'm2',
            ((109.23,0.0),(109.23,41.955),(109.49,41.955),(109.49,0.0),(109.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(109.36), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(109.36), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[7]']
        createRL(
            tech, net, 'm2',
            ((122.63,0.0),(122.63,41.955),(122.89,41.955),(122.89,0.0),(122.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(122.76), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(122.76), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[8]']
        createRL(
            tech, net, 'm2',
            ((136.03,0.0),(136.03,41.955),(136.29,41.955),(136.29,0.0),(136.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(136.16), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(136.16), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[9]']
        createRL(
            tech, net, 'm2',
            ((149.43,0.0),(149.43,41.955),(149.69,41.955),(149.69,0.0),(149.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(149.56), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(149.56), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[10]']
        createRL(
            tech, net, 'm2',
            ((162.83,0.0),(162.83,41.955),(163.09,41.955),(163.09,0.0),(162.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(162.96), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(162.96), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[11]']
        createRL(
            tech, net, 'm2',
            ((176.23,0.0),(176.23,41.955),(176.49,41.955),(176.49,0.0),(176.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(176.36), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(176.36), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[12]']
        createRL(
            tech, net, 'm2',
            ((189.63,0.0),(189.63,41.955),(189.89,41.955),(189.89,0.0),(189.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(189.76), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(189.76), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[13]']
        createRL(
            tech, net, 'm2',
            ((203.03,0.0),(203.03,41.955),(203.29,41.955),(203.29,0.0),(203.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(203.16), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(203.16), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[14]']
        createRL(
            tech, net, 'm2',
            ((216.43,0.0),(216.43,41.955),(216.69,41.955),(216.69,0.0),(216.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(216.56), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(216.56), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[15]']
        createRL(
            tech, net, 'm2',
            ((229.83,0.0),(229.83,41.955),(230.09,41.955),(230.09,0.0),(229.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(229.96), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(229.96), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[16]']
        createRL(
            tech, net, 'm2',
            ((243.23,0.0),(243.23,41.955),(243.49,41.955),(243.49,0.0),(243.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(243.36), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(243.36), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[17]']
        createRL(
            tech, net, 'm2',
            ((256.63,0.0),(256.63,41.955),(256.89,41.955),(256.89,0.0),(256.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(256.76), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(256.76), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[18]']
        createRL(
            tech, net, 'm2',
            ((270.03,0.0),(270.03,41.955),(270.29,41.955),(270.29,0.0),(270.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(270.16), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(270.16), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[19]']
        createRL(
            tech, net, 'm2',
            ((283.43,0.0),(283.43,41.955),(283.69,41.955),(283.69,0.0),(283.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(283.56), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(283.56), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[20]']
        createRL(
            tech, net, 'm2',
            ((296.83,0.0),(296.83,41.955),(297.09,41.955),(297.09,0.0),(296.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(296.96), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(296.96), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[21]']
        createRL(
            tech, net, 'm2',
            ((310.23,0.0),(310.23,41.955),(310.49,41.955),(310.49,0.0),(310.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(310.36), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(310.36), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[22]']
        createRL(
            tech, net, 'm2',
            ((323.63,0.0),(323.63,41.955),(323.89,41.955),(323.89,0.0),(323.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(323.76), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(323.76), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[23]']
        createRL(
            tech, net, 'm2',
            ((337.03,0.0),(337.03,41.955),(337.29,41.955),(337.29,0.0),(337.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(337.16), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(337.16), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[24]']
        createRL(
            tech, net, 'm2',
            ((350.43,0.0),(350.43,41.955),(350.69,41.955),(350.69,0.0),(350.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(350.56), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(350.56), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[25]']
        createRL(
            tech, net, 'm2',
            ((363.83,0.0),(363.83,41.955),(364.09,41.955),(364.09,0.0),(363.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(363.96), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(363.96), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[26]']
        createRL(
            tech, net, 'm2',
            ((377.23,0.0),(377.23,41.955),(377.49,41.955),(377.49,0.0),(377.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(377.36), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(377.36), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[27]']
        createRL(
            tech, net, 'm2',
            ((390.63,0.0),(390.63,41.955),(390.89,41.955),(390.89,0.0),(390.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(390.76), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(390.76), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[28]']
        createRL(
            tech, net, 'm2',
            ((404.03,0.0),(404.03,41.955),(404.29,41.955),(404.29,0.0),(404.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(404.16), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(404.16), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[29]']
        createRL(
            tech, net, 'm2',
            ((417.43,0.0),(417.43,41.955),(417.69,41.955),(417.69,0.0),(417.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(417.56), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(417.56), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[30]']
        createRL(
            tech, net, 'm2',
            ((430.83,0.0),(430.83,41.955),(431.09,41.955),(431.09,0.0),(430.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(430.96), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(430.96), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[31]']
        createRL(
            tech, net, 'm2',
            ((444.23,0.0),(444.23,41.955),(444.49,41.955),(444.49,0.0),(444.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(444.36), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(444.36), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[32]']
        createRL(
            tech, net, 'm2',
            ((457.63,0.0),(457.63,41.955),(457.89,41.955),(457.89,0.0),(457.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(457.76), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(457.76), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[33]']
        createRL(
            tech, net, 'm2',
            ((471.03,0.0),(471.03,41.955),(471.29,41.955),(471.29,0.0),(471.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(471.16), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(471.16), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[34]']
        createRL(
            tech, net, 'm2',
            ((484.43,0.0),(484.43,41.955),(484.69,41.955),(484.69,0.0),(484.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(484.56), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(484.56), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[35]']
        createRL(
            tech, net, 'm2',
            ((497.83,0.0),(497.83,41.955),(498.09,41.955),(498.09,0.0),(497.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(497.96), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(497.96), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[36]']
        createRL(
            tech, net, 'm2',
            ((511.23,0.0),(511.23,41.955),(511.49,41.955),(511.49,0.0),(511.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(511.36), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(511.36), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[37]']
        createRL(
            tech, net, 'm2',
            ((524.63,0.0),(524.63,41.955),(524.89,41.955),(524.89,0.0),(524.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(524.76), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(524.76), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[38]']
        createRL(
            tech, net, 'm2',
            ((538.03,0.0),(538.03,41.955),(538.29,41.955),(538.29,0.0),(538.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(538.16), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(538.16), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[39]']
        createRL(
            tech, net, 'm2',
            ((551.43,0.0),(551.43,41.955),(551.69,41.955),(551.69,0.0),(551.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(551.56), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(551.56), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[40]']
        createRL(
            tech, net, 'm2',
            ((564.83,0.0),(564.83,41.955),(565.09,41.955),(565.09,0.0),(564.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(564.96), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(564.96), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[41]']
        createRL(
            tech, net, 'm2',
            ((578.23,0.0),(578.23,41.955),(578.49,41.955),(578.49,0.0),(578.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(578.36), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(578.36), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[42]']
        createRL(
            tech, net, 'm2',
            ((591.63,0.0),(591.63,41.955),(591.89,41.955),(591.89,0.0),(591.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(591.76), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(591.76), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[43]']
        createRL(
            tech, net, 'm2',
            ((605.03,0.0),(605.03,41.955),(605.29,41.955),(605.29,0.0),(605.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(605.16), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(605.16), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[44]']
        createRL(
            tech, net, 'm2',
            ((618.43,0.0),(618.43,41.955),(618.69,41.955),(618.69,0.0),(618.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(618.56), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(618.56), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[45]']
        createRL(
            tech, net, 'm2',
            ((631.83,0.0),(631.83,41.955),(632.09,41.955),(632.09,0.0),(631.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(631.96), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(631.96), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[46]']
        createRL(
            tech, net, 'm2',
            ((645.23,0.0),(645.23,41.955),(645.49,41.955),(645.49,0.0),(645.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(645.36), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(645.36), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[47]']
        createRL(
            tech, net, 'm2',
            ((658.63,0.0),(658.63,41.955),(658.89,41.955),(658.89,0.0),(658.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(658.76), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(658.76), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[48]']
        createRL(
            tech, net, 'm2',
            ((672.03,0.0),(672.03,41.955),(672.29,41.955),(672.29,0.0),(672.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(672.16), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(672.16), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[49]']
        createRL(
            tech, net, 'm2',
            ((685.43,0.0),(685.43,41.955),(685.69,41.955),(685.69,0.0),(685.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(685.56), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(685.56), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[50]']
        createRL(
            tech, net, 'm2',
            ((698.83,0.0),(698.83,41.955),(699.09,41.955),(699.09,0.0),(698.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(698.96), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(698.96), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[51]']
        createRL(
            tech, net, 'm2',
            ((712.23,0.0),(712.23,41.955),(712.49,41.955),(712.49,0.0),(712.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(712.36), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(712.36), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[52]']
        createRL(
            tech, net, 'm2',
            ((725.63,0.0),(725.63,41.955),(725.89,41.955),(725.89,0.0),(725.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(725.76), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(725.76), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[53]']
        createRL(
            tech, net, 'm2',
            ((739.03,0.0),(739.03,41.955),(739.29,41.955),(739.29,0.0),(739.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(739.16), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(739.16), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[54]']
        createRL(
            tech, net, 'm2',
            ((752.43,0.0),(752.43,41.955),(752.69,41.955),(752.69,0.0),(752.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(752.56), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(752.56), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[55]']
        createRL(
            tech, net, 'm2',
            ((765.83,0.0),(765.83,41.955),(766.09,41.955),(766.09,0.0),(765.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(765.96), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(765.96), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[56]']
        createRL(
            tech, net, 'm2',
            ((779.23,0.0),(779.23,41.955),(779.49,41.955),(779.49,0.0),(779.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(779.36), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(779.36), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[57]']
        createRL(
            tech, net, 'm2',
            ((792.63,0.0),(792.63,41.955),(792.89,41.955),(792.89,0.0),(792.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(792.76), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(792.76), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[58]']
        createRL(
            tech, net, 'm2',
            ((806.03,0.0),(806.03,41.955),(806.29,41.955),(806.29,0.0),(806.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(806.16), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(806.16), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[59]']
        createRL(
            tech, net, 'm2',
            ((819.43,0.0),(819.43,41.955),(819.69,41.955),(819.69,0.0),(819.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(819.56), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(819.56), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[60]']
        createRL(
            tech, net, 'm2',
            ((832.83,0.0),(832.83,41.955),(833.09,41.955),(833.09,0.0),(832.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(832.96), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(832.96), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[61]']
        createRL(
            tech, net, 'm2',
            ((846.23,0.0),(846.23,41.955),(846.49,41.955),(846.49,0.0),(846.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(846.36), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(846.36), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[62]']
        createRL(
            tech, net, 'm2',
            ((859.63,0.0),(859.63,41.955),(859.89,41.955),(859.89,0.0),(859.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(859.76), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(859.76), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[63]']
        createRL(
            tech, net, 'm2',
            ((873.03,0.0),(873.03,41.955),(873.29,41.955),(873.29,0.0),(873.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(873.16), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(873.16), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[0]']
        createRL(
            tech, net, 'm2',
            ((28.83,381.735),(28.83,423.69),(29.09,423.69),(29.09,381.735),(28.83,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(28.96), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(28.96), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[1]']
        createRL(
            tech, net, 'm2',
            ((42.23,381.735),(42.23,423.69),(42.49,423.69),(42.49,381.735),(42.23,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(42.36), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(42.36), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[2]']
        createRL(
            tech, net, 'm2',
            ((55.63,381.735),(55.63,423.69),(55.89,423.69),(55.89,381.735),(55.63,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(55.76), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(55.76), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[3]']
        createRL(
            tech, net, 'm2',
            ((69.03,381.735),(69.03,423.69),(69.29,423.69),(69.29,381.735),(69.03,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(69.16), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(69.16), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[4]']
        createRL(
            tech, net, 'm2',
            ((82.43,381.735),(82.43,423.69),(82.69,423.69),(82.69,381.735),(82.43,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(82.56), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(82.56), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[5]']
        createRL(
            tech, net, 'm2',
            ((95.83,381.735),(95.83,423.69),(96.09,423.69),(96.09,381.735),(95.83,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(95.96), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(95.96), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[6]']
        createRL(
            tech, net, 'm2',
            ((109.23,381.735),(109.23,423.69),(109.49,423.69),(109.49,381.735),(109.23,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(109.36), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(109.36), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[7]']
        createRL(
            tech, net, 'm2',
            ((122.63,381.735),(122.63,423.69),(122.89,423.69),(122.89,381.735),(122.63,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(122.76), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(122.76), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[8]']
        createRL(
            tech, net, 'm2',
            ((136.03,381.735),(136.03,423.69),(136.29,423.69),(136.29,381.735),(136.03,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(136.16), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(136.16), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[9]']
        createRL(
            tech, net, 'm2',
            ((149.43,381.735),(149.43,423.69),(149.69,423.69),(149.69,381.735),(149.43,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(149.56), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(149.56), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[10]']
        createRL(
            tech, net, 'm2',
            ((162.83,381.735),(162.83,423.69),(163.09,423.69),(163.09,381.735),(162.83,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(162.96), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(162.96), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[11]']
        createRL(
            tech, net, 'm2',
            ((176.23,381.735),(176.23,423.69),(176.49,423.69),(176.49,381.735),(176.23,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(176.36), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(176.36), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[12]']
        createRL(
            tech, net, 'm2',
            ((189.63,381.735),(189.63,423.69),(189.89,423.69),(189.89,381.735),(189.63,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(189.76), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(189.76), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[13]']
        createRL(
            tech, net, 'm2',
            ((203.03,381.735),(203.03,423.69),(203.29,423.69),(203.29,381.735),(203.03,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(203.16), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(203.16), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[14]']
        createRL(
            tech, net, 'm2',
            ((216.43,381.735),(216.43,423.69),(216.69,423.69),(216.69,381.735),(216.43,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(216.56), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(216.56), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[15]']
        createRL(
            tech, net, 'm2',
            ((229.83,381.735),(229.83,423.69),(230.09,423.69),(230.09,381.735),(229.83,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(229.96), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(229.96), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[16]']
        createRL(
            tech, net, 'm2',
            ((243.23,381.735),(243.23,423.69),(243.49,423.69),(243.49,381.735),(243.23,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(243.36), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(243.36), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[17]']
        createRL(
            tech, net, 'm2',
            ((256.63,381.735),(256.63,423.69),(256.89,423.69),(256.89,381.735),(256.63,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(256.76), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(256.76), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[18]']
        createRL(
            tech, net, 'm2',
            ((270.03,381.735),(270.03,423.69),(270.29,423.69),(270.29,381.735),(270.03,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(270.16), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(270.16), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[19]']
        createRL(
            tech, net, 'm2',
            ((283.43,381.735),(283.43,423.69),(283.69,423.69),(283.69,381.735),(283.43,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(283.56), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(283.56), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[20]']
        createRL(
            tech, net, 'm2',
            ((296.83,381.735),(296.83,423.69),(297.09,423.69),(297.09,381.735),(296.83,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(296.96), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(296.96), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[21]']
        createRL(
            tech, net, 'm2',
            ((310.23,381.735),(310.23,423.69),(310.49,423.69),(310.49,381.735),(310.23,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(310.36), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(310.36), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[22]']
        createRL(
            tech, net, 'm2',
            ((323.63,381.735),(323.63,423.69),(323.89,423.69),(323.89,381.735),(323.63,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(323.76), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(323.76), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[23]']
        createRL(
            tech, net, 'm2',
            ((337.03,381.735),(337.03,423.69),(337.29,423.69),(337.29,381.735),(337.03,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(337.16), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(337.16), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[24]']
        createRL(
            tech, net, 'm2',
            ((350.43,381.735),(350.43,423.69),(350.69,423.69),(350.69,381.735),(350.43,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(350.56), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(350.56), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[25]']
        createRL(
            tech, net, 'm2',
            ((363.83,381.735),(363.83,423.69),(364.09,423.69),(364.09,381.735),(363.83,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(363.96), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(363.96), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[26]']
        createRL(
            tech, net, 'm2',
            ((377.23,381.735),(377.23,423.69),(377.49,423.69),(377.49,381.735),(377.23,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(377.36), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(377.36), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[27]']
        createRL(
            tech, net, 'm2',
            ((390.63,381.735),(390.63,423.69),(390.89,423.69),(390.89,381.735),(390.63,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(390.76), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(390.76), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[28]']
        createRL(
            tech, net, 'm2',
            ((404.03,381.735),(404.03,423.69),(404.29,423.69),(404.29,381.735),(404.03,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(404.16), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(404.16), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[29]']
        createRL(
            tech, net, 'm2',
            ((417.43,381.735),(417.43,423.69),(417.69,423.69),(417.69,381.735),(417.43,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(417.56), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(417.56), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[30]']
        createRL(
            tech, net, 'm2',
            ((430.83,381.735),(430.83,423.69),(431.09,423.69),(431.09,381.735),(430.83,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(430.96), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(430.96), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[31]']
        createRL(
            tech, net, 'm2',
            ((444.23,381.735),(444.23,423.69),(444.49,423.69),(444.49,381.735),(444.23,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(444.36), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(444.36), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[32]']
        createRL(
            tech, net, 'm2',
            ((457.63,381.735),(457.63,423.69),(457.89,423.69),(457.89,381.735),(457.63,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(457.76), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(457.76), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[33]']
        createRL(
            tech, net, 'm2',
            ((471.03,381.735),(471.03,423.69),(471.29,423.69),(471.29,381.735),(471.03,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(471.16), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(471.16), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[34]']
        createRL(
            tech, net, 'm2',
            ((484.43,381.735),(484.43,423.69),(484.69,423.69),(484.69,381.735),(484.43,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(484.56), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(484.56), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[35]']
        createRL(
            tech, net, 'm2',
            ((497.83,381.735),(497.83,423.69),(498.09,423.69),(498.09,381.735),(497.83,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(497.96), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(497.96), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[36]']
        createRL(
            tech, net, 'm2',
            ((511.23,381.735),(511.23,423.69),(511.49,423.69),(511.49,381.735),(511.23,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(511.36), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(511.36), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[37]']
        createRL(
            tech, net, 'm2',
            ((524.63,381.735),(524.63,423.69),(524.89,423.69),(524.89,381.735),(524.63,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(524.76), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(524.76), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[38]']
        createRL(
            tech, net, 'm2',
            ((538.03,381.735),(538.03,423.69),(538.29,423.69),(538.29,381.735),(538.03,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(538.16), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(538.16), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[39]']
        createRL(
            tech, net, 'm2',
            ((551.43,381.735),(551.43,423.69),(551.69,423.69),(551.69,381.735),(551.43,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(551.56), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(551.56), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[40]']
        createRL(
            tech, net, 'm2',
            ((564.83,381.735),(564.83,423.69),(565.09,423.69),(565.09,381.735),(564.83,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(564.96), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(564.96), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[41]']
        createRL(
            tech, net, 'm2',
            ((578.23,381.735),(578.23,423.69),(578.49,423.69),(578.49,381.735),(578.23,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(578.36), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(578.36), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[42]']
        createRL(
            tech, net, 'm2',
            ((591.63,381.735),(591.63,423.69),(591.89,423.69),(591.89,381.735),(591.63,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(591.76), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(591.76), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[43]']
        createRL(
            tech, net, 'm2',
            ((605.03,381.735),(605.03,423.69),(605.29,423.69),(605.29,381.735),(605.03,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(605.16), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(605.16), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[44]']
        createRL(
            tech, net, 'm2',
            ((618.43,381.735),(618.43,423.69),(618.69,423.69),(618.69,381.735),(618.43,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(618.56), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(618.56), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[45]']
        createRL(
            tech, net, 'm2',
            ((631.83,381.735),(631.83,423.69),(632.09,423.69),(632.09,381.735),(631.83,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(631.96), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(631.96), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[46]']
        createRL(
            tech, net, 'm2',
            ((645.23,381.735),(645.23,423.69),(645.49,423.69),(645.49,381.735),(645.23,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(645.36), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(645.36), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[47]']
        createRL(
            tech, net, 'm2',
            ((658.63,381.735),(658.63,423.69),(658.89,423.69),(658.89,381.735),(658.63,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(658.76), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(658.76), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[48]']
        createRL(
            tech, net, 'm2',
            ((672.03,381.735),(672.03,423.69),(672.29,423.69),(672.29,381.735),(672.03,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(672.16), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(672.16), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[49]']
        createRL(
            tech, net, 'm2',
            ((685.43,381.735),(685.43,423.69),(685.69,423.69),(685.69,381.735),(685.43,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(685.56), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(685.56), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[50]']
        createRL(
            tech, net, 'm2',
            ((698.83,381.735),(698.83,423.69),(699.09,423.69),(699.09,381.735),(698.83,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(698.96), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(698.96), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[51]']
        createRL(
            tech, net, 'm2',
            ((712.23,381.735),(712.23,423.69),(712.49,423.69),(712.49,381.735),(712.23,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(712.36), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(712.36), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[52]']
        createRL(
            tech, net, 'm2',
            ((725.63,381.735),(725.63,423.69),(725.89,423.69),(725.89,381.735),(725.63,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(725.76), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(725.76), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[53]']
        createRL(
            tech, net, 'm2',
            ((739.03,381.735),(739.03,423.69),(739.29,423.69),(739.29,381.735),(739.03,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(739.16), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(739.16), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[54]']
        createRL(
            tech, net, 'm2',
            ((752.43,381.735),(752.43,423.69),(752.69,423.69),(752.69,381.735),(752.43,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(752.56), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(752.56), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[55]']
        createRL(
            tech, net, 'm2',
            ((765.83,381.735),(765.83,423.69),(766.09,423.69),(766.09,381.735),(765.83,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(765.96), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(765.96), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[56]']
        createRL(
            tech, net, 'm2',
            ((779.23,381.735),(779.23,423.69),(779.49,423.69),(779.49,381.735),(779.23,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(779.36), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(779.36), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[57]']
        createRL(
            tech, net, 'm2',
            ((792.63,381.735),(792.63,423.69),(792.89,423.69),(792.89,381.735),(792.63,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(792.76), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(792.76), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[58]']
        createRL(
            tech, net, 'm2',
            ((806.03,381.735),(806.03,423.69),(806.29,423.69),(806.29,381.735),(806.03,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(806.16), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(806.16), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[59]']
        createRL(
            tech, net, 'm2',
            ((819.43,381.735),(819.43,423.69),(819.69,423.69),(819.69,381.735),(819.43,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(819.56), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(819.56), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[60]']
        createRL(
            tech, net, 'm2',
            ((832.83,381.735),(832.83,423.69),(833.09,423.69),(833.09,381.735),(832.83,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(832.96), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(832.96), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[61]']
        createRL(
            tech, net, 'm2',
            ((846.23,381.735),(846.23,423.69),(846.49,423.69),(846.49,381.735),(846.23,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(846.36), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(846.36), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[62]']
        createRL(
            tech, net, 'm2',
            ((859.63,381.735),(859.63,423.69),(859.89,423.69),(859.89,381.735),(859.63,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(859.76), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(859.76), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[63]']
        createRL(
            tech, net, 'm2',
            ((873.03,381.735),(873.03,423.69),(873.29,423.69),(873.29,381.735),(873.03,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(873.16), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(873.16), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[0]']
        createRL(
            tech, net, 'm2',
            ((31.83,0.0),(31.83,11.955),(32.09,11.955),(32.09,0.0),(31.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(31.96), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(31.96), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[1]']
        createRL(
            tech, net, 'm2',
            ((32.34,0.0),(32.34,21.955),(32.6,21.955),(32.6,0.0),(32.34,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(32.47), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(32.47), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[2]']
        createRL(
            tech, net, 'm2',
            ((58.63,0.0),(58.63,11.955),(58.89,11.955),(58.89,0.0),(58.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(58.76), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(58.76), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[3]']
        createRL(
            tech, net, 'm2',
            ((59.14,0.0),(59.14,21.955),(59.4,21.955),(59.4,0.0),(59.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(59.27), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(59.27), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[4]']
        createRL(
            tech, net, 'm2',
            ((85.43,0.0),(85.43,11.955),(85.69,11.955),(85.69,0.0),(85.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(85.56), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(85.56), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[5]']
        createRL(
            tech, net, 'm2',
            ((85.94,0.0),(85.94,21.955),(86.2,21.955),(86.2,0.0),(85.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(86.07), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(86.07), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[6]']
        createRL(
            tech, net, 'm2',
            ((112.23,0.0),(112.23,11.955),(112.49,11.955),(112.49,0.0),(112.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(112.36), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(112.36), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[7]']
        createRL(
            tech, net, 'm2',
            ((112.74,0.0),(112.74,21.955),(113.0,21.955),(113.0,0.0),(112.74,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(112.87), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(112.87), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[8]']
        createRL(
            tech, net, 'm2',
            ((139.03,0.0),(139.03,11.955),(139.29,11.955),(139.29,0.0),(139.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(139.16), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(139.16), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[9]']
        createRL(
            tech, net, 'm2',
            ((139.54,0.0),(139.54,21.955),(139.8,21.955),(139.8,0.0),(139.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(139.67), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(139.67), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[10]']
        createRL(
            tech, net, 'm2',
            ((165.83,0.0),(165.83,11.955),(166.09,11.955),(166.09,0.0),(165.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(165.96), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(165.96), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[11]']
        createRL(
            tech, net, 'm2',
            ((166.34,0.0),(166.34,21.955),(166.6,21.955),(166.6,0.0),(166.34,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(166.47), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(166.47), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[12]']
        createRL(
            tech, net, 'm2',
            ((192.63,0.0),(192.63,11.955),(192.89,11.955),(192.89,0.0),(192.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(192.76), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(192.76), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[13]']
        createRL(
            tech, net, 'm2',
            ((193.14,0.0),(193.14,21.955),(193.4,21.955),(193.4,0.0),(193.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(193.27), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(193.27), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[14]']
        createRL(
            tech, net, 'm2',
            ((219.43,0.0),(219.43,11.955),(219.69,11.955),(219.69,0.0),(219.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(219.56), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(219.56), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[15]']
        createRL(
            tech, net, 'm2',
            ((219.94,0.0),(219.94,21.955),(220.2,21.955),(220.2,0.0),(219.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(220.07), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(220.07), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[16]']
        createRL(
            tech, net, 'm2',
            ((246.23,0.0),(246.23,11.955),(246.49,11.955),(246.49,0.0),(246.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(246.36), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(246.36), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[17]']
        createRL(
            tech, net, 'm2',
            ((246.74,0.0),(246.74,21.955),(247.0,21.955),(247.0,0.0),(246.74,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(246.87), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(246.87), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[18]']
        createRL(
            tech, net, 'm2',
            ((273.03,0.0),(273.03,11.955),(273.29,11.955),(273.29,0.0),(273.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(273.16), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(273.16), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[19]']
        createRL(
            tech, net, 'm2',
            ((273.54,0.0),(273.54,21.955),(273.8,21.955),(273.8,0.0),(273.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(273.67), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(273.67), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[20]']
        createRL(
            tech, net, 'm2',
            ((299.83,0.0),(299.83,11.955),(300.09,11.955),(300.09,0.0),(299.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(299.96), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(299.96), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[21]']
        createRL(
            tech, net, 'm2',
            ((300.34,0.0),(300.34,21.955),(300.6,21.955),(300.6,0.0),(300.34,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(300.47), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(300.47), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[22]']
        createRL(
            tech, net, 'm2',
            ((326.63,0.0),(326.63,11.955),(326.89,11.955),(326.89,0.0),(326.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(326.76), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(326.76), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[23]']
        createRL(
            tech, net, 'm2',
            ((327.14,0.0),(327.14,21.955),(327.4,21.955),(327.4,0.0),(327.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(327.27), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(327.27), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[24]']
        createRL(
            tech, net, 'm2',
            ((353.43,0.0),(353.43,11.955),(353.69,11.955),(353.69,0.0),(353.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(353.56), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(353.56), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[25]']
        createRL(
            tech, net, 'm2',
            ((353.94,0.0),(353.94,21.955),(354.2,21.955),(354.2,0.0),(353.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(354.07), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(354.07), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[26]']
        createRL(
            tech, net, 'm2',
            ((380.23,0.0),(380.23,11.955),(380.49,11.955),(380.49,0.0),(380.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(380.36), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(380.36), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[27]']
        createRL(
            tech, net, 'm2',
            ((380.74,0.0),(380.74,21.955),(381.0,21.955),(381.0,0.0),(380.74,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(380.87), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(380.87), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[28]']
        createRL(
            tech, net, 'm2',
            ((407.03,0.0),(407.03,11.955),(407.29,11.955),(407.29,0.0),(407.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(407.16), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(407.16), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[29]']
        createRL(
            tech, net, 'm2',
            ((407.54,0.0),(407.54,21.955),(407.8,21.955),(407.8,0.0),(407.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(407.67), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(407.67), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[30]']
        createRL(
            tech, net, 'm2',
            ((433.83,0.0),(433.83,11.955),(434.09,11.955),(434.09,0.0),(433.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(433.96), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(433.96), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[31]']
        createRL(
            tech, net, 'm2',
            ((434.34,0.0),(434.34,21.955),(434.6,21.955),(434.6,0.0),(434.34,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(434.47), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(434.47), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[32]']
        createRL(
            tech, net, 'm2',
            ((460.63,0.0),(460.63,11.955),(460.89,11.955),(460.89,0.0),(460.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(460.76), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(460.76), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[33]']
        createRL(
            tech, net, 'm2',
            ((461.14,0.0),(461.14,21.955),(461.4,21.955),(461.4,0.0),(461.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(461.27), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(461.27), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[34]']
        createRL(
            tech, net, 'm2',
            ((487.43,0.0),(487.43,11.955),(487.69,11.955),(487.69,0.0),(487.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(487.56), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(487.56), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[35]']
        createRL(
            tech, net, 'm2',
            ((487.94,0.0),(487.94,21.955),(488.2,21.955),(488.2,0.0),(487.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(488.07), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(488.07), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[36]']
        createRL(
            tech, net, 'm2',
            ((514.23,0.0),(514.23,11.955),(514.49,11.955),(514.49,0.0),(514.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(514.36), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(514.36), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[37]']
        createRL(
            tech, net, 'm2',
            ((514.74,0.0),(514.74,21.955),(515.0,21.955),(515.0,0.0),(514.74,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(514.87), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(514.87), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[38]']
        createRL(
            tech, net, 'm2',
            ((541.03,0.0),(541.03,11.955),(541.29,11.955),(541.29,0.0),(541.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(541.16), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(541.16), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[39]']
        createRL(
            tech, net, 'm2',
            ((541.54,0.0),(541.54,21.955),(541.8,21.955),(541.8,0.0),(541.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(541.67), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(541.67), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[40]']
        createRL(
            tech, net, 'm2',
            ((567.83,0.0),(567.83,11.955),(568.09,11.955),(568.09,0.0),(567.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(567.96), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(567.96), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[41]']
        createRL(
            tech, net, 'm2',
            ((568.34,0.0),(568.34,21.955),(568.6,21.955),(568.6,0.0),(568.34,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(568.47), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(568.47), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[42]']
        createRL(
            tech, net, 'm2',
            ((594.63,0.0),(594.63,11.955),(594.89,11.955),(594.89,0.0),(594.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(594.76), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(594.76), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[43]']
        createRL(
            tech, net, 'm2',
            ((595.14,0.0),(595.14,21.955),(595.4,21.955),(595.4,0.0),(595.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(595.27), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(595.27), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[44]']
        createRL(
            tech, net, 'm2',
            ((621.43,0.0),(621.43,11.955),(621.69,11.955),(621.69,0.0),(621.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(621.56), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(621.56), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[45]']
        createRL(
            tech, net, 'm2',
            ((621.94,0.0),(621.94,21.955),(622.2,21.955),(622.2,0.0),(621.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(622.07), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(622.07), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[46]']
        createRL(
            tech, net, 'm2',
            ((648.23,0.0),(648.23,11.955),(648.49,11.955),(648.49,0.0),(648.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(648.36), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(648.36), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[47]']
        createRL(
            tech, net, 'm2',
            ((648.74,0.0),(648.74,21.955),(649.0,21.955),(649.0,0.0),(648.74,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(648.87), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(648.87), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[48]']
        createRL(
            tech, net, 'm2',
            ((675.03,0.0),(675.03,11.955),(675.29,11.955),(675.29,0.0),(675.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(675.16), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(675.16), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[49]']
        createRL(
            tech, net, 'm2',
            ((675.54,0.0),(675.54,21.955),(675.8,21.955),(675.8,0.0),(675.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(675.67), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(675.67), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[50]']
        createRL(
            tech, net, 'm2',
            ((701.83,0.0),(701.83,11.955),(702.09,11.955),(702.09,0.0),(701.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(701.96), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(701.96), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[51]']
        createRL(
            tech, net, 'm2',
            ((702.34,0.0),(702.34,21.955),(702.6,21.955),(702.6,0.0),(702.34,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(702.47), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(702.47), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[52]']
        createRL(
            tech, net, 'm2',
            ((728.63,0.0),(728.63,11.955),(728.89,11.955),(728.89,0.0),(728.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(728.76), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(728.76), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[53]']
        createRL(
            tech, net, 'm2',
            ((729.14,0.0),(729.14,21.955),(729.4,21.955),(729.4,0.0),(729.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(729.27), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(729.27), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[54]']
        createRL(
            tech, net, 'm2',
            ((755.43,0.0),(755.43,11.955),(755.69,11.955),(755.69,0.0),(755.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(755.56), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(755.56), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[55]']
        createRL(
            tech, net, 'm2',
            ((755.94,0.0),(755.94,21.955),(756.2,21.955),(756.2,0.0),(755.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(756.07), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(756.07), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[56]']
        createRL(
            tech, net, 'm2',
            ((782.23,0.0),(782.23,11.955),(782.49,11.955),(782.49,0.0),(782.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(782.36), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(782.36), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[57]']
        createRL(
            tech, net, 'm2',
            ((782.74,0.0),(782.74,21.955),(783.0,21.955),(783.0,0.0),(782.74,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(782.87), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(782.87), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[58]']
        createRL(
            tech, net, 'm2',
            ((809.03,0.0),(809.03,11.955),(809.29,11.955),(809.29,0.0),(809.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(809.16), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(809.16), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[59]']
        createRL(
            tech, net, 'm2',
            ((809.54,0.0),(809.54,21.955),(809.8,21.955),(809.8,0.0),(809.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(809.67), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(809.67), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[60]']
        createRL(
            tech, net, 'm2',
            ((835.83,0.0),(835.83,11.955),(836.09,11.955),(836.09,0.0),(835.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(835.96), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(835.96), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[61]']
        createRL(
            tech, net, 'm2',
            ((836.34,0.0),(836.34,21.955),(836.6,21.955),(836.6,0.0),(836.34,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(836.47), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(836.47), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[62]']
        createRL(
            tech, net, 'm2',
            ((862.63,0.0),(862.63,11.955),(862.89,11.955),(862.89,0.0),(862.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(862.76), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(862.76), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[63]']
        createRL(
            tech, net, 'm2',
            ((863.14,0.0),(863.14,21.955),(863.4,21.955),(863.4,0.0),(863.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(863.27), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(863.27), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[0]']
        createRL(
            tech, net, 'm2',
            ((31.83,411.735),(31.83,423.69),(32.09,423.69),(32.09,411.735),(31.83,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(31.96), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(31.96), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[1]']
        createRL(
            tech, net, 'm2',
            ((32.34,401.735),(32.34,423.69),(32.6,423.69),(32.6,401.735),(32.34,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(32.47), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(32.47), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[2]']
        createRL(
            tech, net, 'm2',
            ((58.63,411.735),(58.63,423.69),(58.89,423.69),(58.89,411.735),(58.63,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(58.76), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(58.76), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[3]']
        createRL(
            tech, net, 'm2',
            ((59.14,401.735),(59.14,423.69),(59.4,423.69),(59.4,401.735),(59.14,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(59.27), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(59.27), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[4]']
        createRL(
            tech, net, 'm2',
            ((85.43,411.735),(85.43,423.69),(85.69,423.69),(85.69,411.735),(85.43,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(85.56), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(85.56), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[5]']
        createRL(
            tech, net, 'm2',
            ((85.94,401.735),(85.94,423.69),(86.2,423.69),(86.2,401.735),(85.94,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(86.07), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(86.07), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[6]']
        createRL(
            tech, net, 'm2',
            ((112.23,411.735),(112.23,423.69),(112.49,423.69),(112.49,411.735),(112.23,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(112.36), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(112.36), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[7]']
        createRL(
            tech, net, 'm2',
            ((112.74,401.735),(112.74,423.69),(113.0,423.69),(113.0,401.735),(112.74,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(112.87), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(112.87), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[8]']
        createRL(
            tech, net, 'm2',
            ((139.03,411.735),(139.03,423.69),(139.29,423.69),(139.29,411.735),(139.03,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(139.16), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(139.16), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[9]']
        createRL(
            tech, net, 'm2',
            ((139.54,401.735),(139.54,423.69),(139.8,423.69),(139.8,401.735),(139.54,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(139.67), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(139.67), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[10]']
        createRL(
            tech, net, 'm2',
            ((165.83,411.735),(165.83,423.69),(166.09,423.69),(166.09,411.735),(165.83,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(165.96), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(165.96), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[11]']
        createRL(
            tech, net, 'm2',
            ((166.34,401.735),(166.34,423.69),(166.6,423.69),(166.6,401.735),(166.34,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(166.47), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(166.47), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[12]']
        createRL(
            tech, net, 'm2',
            ((192.63,411.735),(192.63,423.69),(192.89,423.69),(192.89,411.735),(192.63,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(192.76), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(192.76), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[13]']
        createRL(
            tech, net, 'm2',
            ((193.14,401.735),(193.14,423.69),(193.4,423.69),(193.4,401.735),(193.14,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(193.27), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(193.27), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[14]']
        createRL(
            tech, net, 'm2',
            ((219.43,411.735),(219.43,423.69),(219.69,423.69),(219.69,411.735),(219.43,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(219.56), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(219.56), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[15]']
        createRL(
            tech, net, 'm2',
            ((219.94,401.735),(219.94,423.69),(220.2,423.69),(220.2,401.735),(219.94,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(220.07), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(220.07), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[16]']
        createRL(
            tech, net, 'm2',
            ((246.23,411.735),(246.23,423.69),(246.49,423.69),(246.49,411.735),(246.23,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(246.36), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(246.36), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[17]']
        createRL(
            tech, net, 'm2',
            ((246.74,401.735),(246.74,423.69),(247.0,423.69),(247.0,401.735),(246.74,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(246.87), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(246.87), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[18]']
        createRL(
            tech, net, 'm2',
            ((273.03,411.735),(273.03,423.69),(273.29,423.69),(273.29,411.735),(273.03,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(273.16), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(273.16), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[19]']
        createRL(
            tech, net, 'm2',
            ((273.54,401.735),(273.54,423.69),(273.8,423.69),(273.8,401.735),(273.54,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(273.67), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(273.67), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[20]']
        createRL(
            tech, net, 'm2',
            ((299.83,411.735),(299.83,423.69),(300.09,423.69),(300.09,411.735),(299.83,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(299.96), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(299.96), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[21]']
        createRL(
            tech, net, 'm2',
            ((300.34,401.735),(300.34,423.69),(300.6,423.69),(300.6,401.735),(300.34,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(300.47), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(300.47), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[22]']
        createRL(
            tech, net, 'm2',
            ((326.63,411.735),(326.63,423.69),(326.89,423.69),(326.89,411.735),(326.63,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(326.76), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(326.76), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[23]']
        createRL(
            tech, net, 'm2',
            ((327.14,401.735),(327.14,423.69),(327.4,423.69),(327.4,401.735),(327.14,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(327.27), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(327.27), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[24]']
        createRL(
            tech, net, 'm2',
            ((353.43,411.735),(353.43,423.69),(353.69,423.69),(353.69,411.735),(353.43,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(353.56), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(353.56), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[25]']
        createRL(
            tech, net, 'm2',
            ((353.94,401.735),(353.94,423.69),(354.2,423.69),(354.2,401.735),(353.94,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(354.07), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(354.07), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[26]']
        createRL(
            tech, net, 'm2',
            ((380.23,411.735),(380.23,423.69),(380.49,423.69),(380.49,411.735),(380.23,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(380.36), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(380.36), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[27]']
        createRL(
            tech, net, 'm2',
            ((380.74,401.735),(380.74,423.69),(381.0,423.69),(381.0,401.735),(380.74,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(380.87), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(380.87), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[28]']
        createRL(
            tech, net, 'm2',
            ((407.03,411.735),(407.03,423.69),(407.29,423.69),(407.29,411.735),(407.03,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(407.16), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(407.16), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[29]']
        createRL(
            tech, net, 'm2',
            ((407.54,401.735),(407.54,423.69),(407.8,423.69),(407.8,401.735),(407.54,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(407.67), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(407.67), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[30]']
        createRL(
            tech, net, 'm2',
            ((433.83,411.735),(433.83,423.69),(434.09,423.69),(434.09,411.735),(433.83,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(433.96), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(433.96), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[31]']
        createRL(
            tech, net, 'm2',
            ((434.34,401.735),(434.34,423.69),(434.6,423.69),(434.6,401.735),(434.34,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(434.47), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(434.47), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[32]']
        createRL(
            tech, net, 'm2',
            ((460.63,411.735),(460.63,423.69),(460.89,423.69),(460.89,411.735),(460.63,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(460.76), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(460.76), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[33]']
        createRL(
            tech, net, 'm2',
            ((461.14,401.735),(461.14,423.69),(461.4,423.69),(461.4,401.735),(461.14,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(461.27), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(461.27), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[34]']
        createRL(
            tech, net, 'm2',
            ((487.43,411.735),(487.43,423.69),(487.69,423.69),(487.69,411.735),(487.43,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(487.56), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(487.56), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[35]']
        createRL(
            tech, net, 'm2',
            ((487.94,401.735),(487.94,423.69),(488.2,423.69),(488.2,401.735),(487.94,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(488.07), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(488.07), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[36]']
        createRL(
            tech, net, 'm2',
            ((514.23,411.735),(514.23,423.69),(514.49,423.69),(514.49,411.735),(514.23,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(514.36), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(514.36), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[37]']
        createRL(
            tech, net, 'm2',
            ((514.74,401.735),(514.74,423.69),(515.0,423.69),(515.0,401.735),(514.74,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(514.87), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(514.87), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[38]']
        createRL(
            tech, net, 'm2',
            ((541.03,411.735),(541.03,423.69),(541.29,423.69),(541.29,411.735),(541.03,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(541.16), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(541.16), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[39]']
        createRL(
            tech, net, 'm2',
            ((541.54,401.735),(541.54,423.69),(541.8,423.69),(541.8,401.735),(541.54,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(541.67), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(541.67), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[40]']
        createRL(
            tech, net, 'm2',
            ((567.83,411.735),(567.83,423.69),(568.09,423.69),(568.09,411.735),(567.83,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(567.96), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(567.96), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[41]']
        createRL(
            tech, net, 'm2',
            ((568.34,401.735),(568.34,423.69),(568.6,423.69),(568.6,401.735),(568.34,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(568.47), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(568.47), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[42]']
        createRL(
            tech, net, 'm2',
            ((594.63,411.735),(594.63,423.69),(594.89,423.69),(594.89,411.735),(594.63,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(594.76), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(594.76), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[43]']
        createRL(
            tech, net, 'm2',
            ((595.14,401.735),(595.14,423.69),(595.4,423.69),(595.4,401.735),(595.14,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(595.27), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(595.27), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[44]']
        createRL(
            tech, net, 'm2',
            ((621.43,411.735),(621.43,423.69),(621.69,423.69),(621.69,411.735),(621.43,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(621.56), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(621.56), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[45]']
        createRL(
            tech, net, 'm2',
            ((621.94,401.735),(621.94,423.69),(622.2,423.69),(622.2,401.735),(621.94,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(622.07), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(622.07), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[46]']
        createRL(
            tech, net, 'm2',
            ((648.23,411.735),(648.23,423.69),(648.49,423.69),(648.49,411.735),(648.23,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(648.36), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(648.36), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[47]']
        createRL(
            tech, net, 'm2',
            ((648.74,401.735),(648.74,423.69),(649.0,423.69),(649.0,401.735),(648.74,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(648.87), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(648.87), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[48]']
        createRL(
            tech, net, 'm2',
            ((675.03,411.735),(675.03,423.69),(675.29,423.69),(675.29,411.735),(675.03,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(675.16), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(675.16), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[49]']
        createRL(
            tech, net, 'm2',
            ((675.54,401.735),(675.54,423.69),(675.8,423.69),(675.8,401.735),(675.54,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(675.67), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(675.67), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[50]']
        createRL(
            tech, net, 'm2',
            ((701.83,411.735),(701.83,423.69),(702.09,423.69),(702.09,411.735),(701.83,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(701.96), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(701.96), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[51]']
        createRL(
            tech, net, 'm2',
            ((702.34,401.735),(702.34,423.69),(702.6,423.69),(702.6,401.735),(702.34,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(702.47), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(702.47), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[52]']
        createRL(
            tech, net, 'm2',
            ((728.63,411.735),(728.63,423.69),(728.89,423.69),(728.89,411.735),(728.63,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(728.76), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(728.76), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[53]']
        createRL(
            tech, net, 'm2',
            ((729.14,401.735),(729.14,423.69),(729.4,423.69),(729.4,401.735),(729.14,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(729.27), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(729.27), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[54]']
        createRL(
            tech, net, 'm2',
            ((755.43,411.735),(755.43,423.69),(755.69,423.69),(755.69,411.735),(755.43,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(755.56), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(755.56), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[55]']
        createRL(
            tech, net, 'm2',
            ((755.94,401.735),(755.94,423.69),(756.2,423.69),(756.2,401.735),(755.94,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(756.07), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(756.07), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[56]']
        createRL(
            tech, net, 'm2',
            ((782.23,411.735),(782.23,423.69),(782.49,423.69),(782.49,411.735),(782.23,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(782.36), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(782.36), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[57]']
        createRL(
            tech, net, 'm2',
            ((782.74,401.735),(782.74,423.69),(783.0,423.69),(783.0,401.735),(782.74,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(782.87), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(782.87), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[58]']
        createRL(
            tech, net, 'm2',
            ((809.03,411.735),(809.03,423.69),(809.29,423.69),(809.29,411.735),(809.03,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(809.16), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(809.16), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[59]']
        createRL(
            tech, net, 'm2',
            ((809.54,401.735),(809.54,423.69),(809.8,423.69),(809.8,401.735),(809.54,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(809.67), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(809.67), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[60]']
        createRL(
            tech, net, 'm2',
            ((835.83,411.735),(835.83,423.69),(836.09,423.69),(836.09,411.735),(835.83,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(835.96), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(835.96), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[61]']
        createRL(
            tech, net, 'm2',
            ((836.34,401.735),(836.34,423.69),(836.6,423.69),(836.6,401.735),(836.34,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(836.47), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(836.47), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[62]']
        createRL(
            tech, net, 'm2',
            ((862.63,411.735),(862.63,423.69),(862.89,423.69),(862.89,411.735),(862.63,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(862.76), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(862.76), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[63]']
        createRL(
            tech, net, 'm2',
            ((863.14,401.735),(863.14,423.69),(863.4,423.69),(863.4,401.735),(863.14,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(863.27), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(863.27), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we1[0]']
        createRL(
            tech, net, 'm2',
            ((34.83,0.0),(34.83,1.955),(35.09,1.955),(35.09,0.0),(34.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(34.96), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(34.96), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we1[1]']
        createRL(
            tech, net, 'm2',
            ((142.03,0.0),(142.03,1.955),(142.29,1.955),(142.29,0.0),(142.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(142.16), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(142.16), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we1[2]']
        createRL(
            tech, net, 'm2',
            ((249.23,0.0),(249.23,1.955),(249.49,1.955),(249.49,0.0),(249.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(249.36), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(249.36), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we1[3]']
        createRL(
            tech, net, 'm2',
            ((356.43,0.0),(356.43,1.955),(356.69,1.955),(356.69,0.0),(356.43,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(356.56), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(356.56), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we1[4]']
        createRL(
            tech, net, 'm2',
            ((463.63,0.0),(463.63,1.955),(463.89,1.955),(463.89,0.0),(463.63,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(463.76), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(463.76), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we1[5]']
        createRL(
            tech, net, 'm2',
            ((570.83,0.0),(570.83,1.955),(571.09,1.955),(571.09,0.0),(570.83,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(570.96), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(570.96), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we1[6]']
        createRL(
            tech, net, 'm2',
            ((678.03,0.0),(678.03,1.955),(678.29,1.955),(678.29,0.0),(678.03,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(678.16), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(678.16), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we1[7]']
        createRL(
            tech, net, 'm2',
            ((785.23,0.0),(785.23,1.955),(785.49,1.955),(785.49,0.0),(785.23,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(785.36), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(785.36), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we2[0]']
        createRL(
            tech, net, 'm2',
            ((34.83,421.735),(34.83,423.69),(35.09,423.69),(35.09,421.735),(34.83,421.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(34.96), u(0.26), u(421.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(34.96), u(0.26), u(421.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we2[1]']
        createRL(
            tech, net, 'm2',
            ((142.03,421.735),(142.03,423.69),(142.29,423.69),(142.29,421.735),(142.03,421.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(142.16), u(0.26), u(421.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(142.16), u(0.26), u(421.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we2[2]']
        createRL(
            tech, net, 'm2',
            ((249.23,421.735),(249.23,423.69),(249.49,423.69),(249.49,421.735),(249.23,421.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(249.36), u(0.26), u(421.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(249.36), u(0.26), u(421.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we2[3]']
        createRL(
            tech, net, 'm2',
            ((356.43,421.735),(356.43,423.69),(356.69,423.69),(356.69,421.735),(356.43,421.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(356.56), u(0.26), u(421.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(356.56), u(0.26), u(421.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we2[4]']
        createRL(
            tech, net, 'm2',
            ((463.63,421.735),(463.63,423.69),(463.89,423.69),(463.89,421.735),(463.63,421.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(463.76), u(0.26), u(421.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(463.76), u(0.26), u(421.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we2[5]']
        createRL(
            tech, net, 'm2',
            ((570.83,421.735),(570.83,423.69),(571.09,423.69),(571.09,421.735),(570.83,421.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(570.96), u(0.26), u(421.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(570.96), u(0.26), u(421.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we2[6]']
        createRL(
            tech, net, 'm2',
            ((678.03,421.735),(678.03,423.69),(678.29,423.69),(678.29,421.735),(678.03,421.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(678.16), u(0.26), u(421.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(678.16), u(0.26), u(421.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we2[7]']
        createRL(
            tech, net, 'm2',
            ((785.23,421.735),(785.23,423.69),(785.49,423.69),(785.49,421.735),(785.23,421.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(785.36), u(0.26), u(421.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(785.36), u(0.26), u(421.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,423.69),(912.52,423.69),(912.52,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['clk1'].setDirection(Net.Direction.IN)
        nets['clk2'].setDirection(Net.Direction.IN)
        nets['a1[0]'].setDirection(Net.Direction.IN)
        nets['a2[0]'].setDirection(Net.Direction.IN)
        nets['a1[1]'].setDirection(Net.Direction.IN)
        nets['a2[1]'].setDirection(Net.Direction.IN)
        nets['a1[2]'].setDirection(Net.Direction.IN)
        nets['a2[2]'].setDirection(Net.Direction.IN)
        nets['a1[3]'].setDirection(Net.Direction.IN)
        nets['a2[3]'].setDirection(Net.Direction.IN)
        nets['a1[4]'].setDirection(Net.Direction.IN)
        nets['a2[4]'].setDirection(Net.Direction.IN)
        nets['a1[5]'].setDirection(Net.Direction.IN)
        nets['a2[5]'].setDirection(Net.Direction.IN)
        nets['a1[6]'].setDirection(Net.Direction.IN)
        nets['a2[6]'].setDirection(Net.Direction.IN)
        nets['a1[7]'].setDirection(Net.Direction.IN)
        nets['a2[7]'].setDirection(Net.Direction.IN)
        nets['a1[8]'].setDirection(Net.Direction.IN)
        nets['a2[8]'].setDirection(Net.Direction.IN)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['q1[0]'].setDirection(Net.Direction.IN)
        nets['q1[1]'].setDirection(Net.Direction.IN)
        nets['q1[2]'].setDirection(Net.Direction.IN)
        nets['q1[3]'].setDirection(Net.Direction.IN)
        nets['q1[4]'].setDirection(Net.Direction.IN)
        nets['q1[5]'].setDirection(Net.Direction.IN)
        nets['q1[6]'].setDirection(Net.Direction.IN)
        nets['q1[7]'].setDirection(Net.Direction.IN)
        nets['q1[8]'].setDirection(Net.Direction.IN)
        nets['q1[9]'].setDirection(Net.Direction.IN)
        nets['q1[10]'].setDirection(Net.Direction.IN)
        nets['q1[11]'].setDirection(Net.Direction.IN)
        nets['q1[12]'].setDirection(Net.Direction.IN)
        nets['q1[13]'].setDirection(Net.Direction.IN)
        nets['q1[14]'].setDirection(Net.Direction.IN)
        nets['q1[15]'].setDirection(Net.Direction.IN)
        nets['q1[16]'].setDirection(Net.Direction.IN)
        nets['q1[17]'].setDirection(Net.Direction.IN)
        nets['q1[18]'].setDirection(Net.Direction.IN)
        nets['q1[19]'].setDirection(Net.Direction.IN)
        nets['q1[20]'].setDirection(Net.Direction.IN)
        nets['q1[21]'].setDirection(Net.Direction.IN)
        nets['q1[22]'].setDirection(Net.Direction.IN)
        nets['q1[23]'].setDirection(Net.Direction.IN)
        nets['q1[24]'].setDirection(Net.Direction.IN)
        nets['q1[25]'].setDirection(Net.Direction.IN)
        nets['q1[26]'].setDirection(Net.Direction.IN)
        nets['q1[27]'].setDirection(Net.Direction.IN)
        nets['q1[28]'].setDirection(Net.Direction.IN)
        nets['q1[29]'].setDirection(Net.Direction.IN)
        nets['q1[30]'].setDirection(Net.Direction.IN)
        nets['q1[31]'].setDirection(Net.Direction.IN)
        nets['q1[32]'].setDirection(Net.Direction.IN)
        nets['q1[33]'].setDirection(Net.Direction.IN)
        nets['q1[34]'].setDirection(Net.Direction.IN)
        nets['q1[35]'].setDirection(Net.Direction.IN)
        nets['q1[36]'].setDirection(Net.Direction.IN)
        nets['q1[37]'].setDirection(Net.Direction.IN)
        nets['q1[38]'].setDirection(Net.Direction.IN)
        nets['q1[39]'].setDirection(Net.Direction.IN)
        nets['q1[40]'].setDirection(Net.Direction.IN)
        nets['q1[41]'].setDirection(Net.Direction.IN)
        nets['q1[42]'].setDirection(Net.Direction.IN)
        nets['q1[43]'].setDirection(Net.Direction.IN)
        nets['q1[44]'].setDirection(Net.Direction.IN)
        nets['q1[45]'].setDirection(Net.Direction.IN)
        nets['q1[46]'].setDirection(Net.Direction.IN)
        nets['q1[47]'].setDirection(Net.Direction.IN)
        nets['q1[48]'].setDirection(Net.Direction.IN)
        nets['q1[49]'].setDirection(Net.Direction.IN)
        nets['q1[50]'].setDirection(Net.Direction.IN)
        nets['q1[51]'].setDirection(Net.Direction.IN)
        nets['q1[52]'].setDirection(Net.Direction.IN)
        nets['q1[53]'].setDirection(Net.Direction.IN)
        nets['q1[54]'].setDirection(Net.Direction.IN)
        nets['q1[55]'].setDirection(Net.Direction.IN)
        nets['q1[56]'].setDirection(Net.Direction.IN)
        nets['q1[57]'].setDirection(Net.Direction.IN)
        nets['q1[58]'].setDirection(Net.Direction.IN)
        nets['q1[59]'].setDirection(Net.Direction.IN)
        nets['q1[60]'].setDirection(Net.Direction.IN)
        nets['q1[61]'].setDirection(Net.Direction.IN)
        nets['q1[62]'].setDirection(Net.Direction.IN)
        nets['q1[63]'].setDirection(Net.Direction.IN)
        nets['q2[0]'].setDirection(Net.Direction.IN)
        nets['q2[1]'].setDirection(Net.Direction.IN)
        nets['q2[2]'].setDirection(Net.Direction.IN)
        nets['q2[3]'].setDirection(Net.Direction.IN)
        nets['q2[4]'].setDirection(Net.Direction.IN)
        nets['q2[5]'].setDirection(Net.Direction.IN)
        nets['q2[6]'].setDirection(Net.Direction.IN)
        nets['q2[7]'].setDirection(Net.Direction.IN)
        nets['q2[8]'].setDirection(Net.Direction.IN)
        nets['q2[9]'].setDirection(Net.Direction.IN)
        nets['q2[10]'].setDirection(Net.Direction.IN)
        nets['q2[11]'].setDirection(Net.Direction.IN)
        nets['q2[12]'].setDirection(Net.Direction.IN)
        nets['q2[13]'].setDirection(Net.Direction.IN)
        nets['q2[14]'].setDirection(Net.Direction.IN)
        nets['q2[15]'].setDirection(Net.Direction.IN)
        nets['q2[16]'].setDirection(Net.Direction.IN)
        nets['q2[17]'].setDirection(Net.Direction.IN)
        nets['q2[18]'].setDirection(Net.Direction.IN)
        nets['q2[19]'].setDirection(Net.Direction.IN)
        nets['q2[20]'].setDirection(Net.Direction.IN)
        nets['q2[21]'].setDirection(Net.Direction.IN)
        nets['q2[22]'].setDirection(Net.Direction.IN)
        nets['q2[23]'].setDirection(Net.Direction.IN)
        nets['q2[24]'].setDirection(Net.Direction.IN)
        nets['q2[25]'].setDirection(Net.Direction.IN)
        nets['q2[26]'].setDirection(Net.Direction.IN)
        nets['q2[27]'].setDirection(Net.Direction.IN)
        nets['q2[28]'].setDirection(Net.Direction.IN)
        nets['q2[29]'].setDirection(Net.Direction.IN)
        nets['q2[30]'].setDirection(Net.Direction.IN)
        nets['q2[31]'].setDirection(Net.Direction.IN)
        nets['q2[32]'].setDirection(Net.Direction.IN)
        nets['q2[33]'].setDirection(Net.Direction.IN)
        nets['q2[34]'].setDirection(Net.Direction.IN)
        nets['q2[35]'].setDirection(Net.Direction.IN)
        nets['q2[36]'].setDirection(Net.Direction.IN)
        nets['q2[37]'].setDirection(Net.Direction.IN)
        nets['q2[38]'].setDirection(Net.Direction.IN)
        nets['q2[39]'].setDirection(Net.Direction.IN)
        nets['q2[40]'].setDirection(Net.Direction.IN)
        nets['q2[41]'].setDirection(Net.Direction.IN)
        nets['q2[42]'].setDirection(Net.Direction.IN)
        nets['q2[43]'].setDirection(Net.Direction.IN)
        nets['q2[44]'].setDirection(Net.Direction.IN)
        nets['q2[45]'].setDirection(Net.Direction.IN)
        nets['q2[46]'].setDirection(Net.Direction.IN)
        nets['q2[47]'].setDirection(Net.Direction.IN)
        nets['q2[48]'].setDirection(Net.Direction.IN)
        nets['q2[49]'].setDirection(Net.Direction.IN)
        nets['q2[50]'].setDirection(Net.Direction.IN)
        nets['q2[51]'].setDirection(Net.Direction.IN)
        nets['q2[52]'].setDirection(Net.Direction.IN)
        nets['q2[53]'].setDirection(Net.Direction.IN)
        nets['q2[54]'].setDirection(Net.Direction.IN)
        nets['q2[55]'].setDirection(Net.Direction.IN)
        nets['q2[56]'].setDirection(Net.Direction.IN)
        nets['q2[57]'].setDirection(Net.Direction.IN)
        nets['q2[58]'].setDirection(Net.Direction.IN)
        nets['q2[59]'].setDirection(Net.Direction.IN)
        nets['q2[60]'].setDirection(Net.Direction.IN)
        nets['q2[61]'].setDirection(Net.Direction.IN)
        nets['q2[62]'].setDirection(Net.Direction.IN)
        nets['q2[63]'].setDirection(Net.Direction.IN)
        nets['d1[0]'].setDirection(Net.Direction.IN)
        nets['d1[1]'].setDirection(Net.Direction.IN)
        nets['d1[2]'].setDirection(Net.Direction.IN)
        nets['d1[3]'].setDirection(Net.Direction.IN)
        nets['d1[4]'].setDirection(Net.Direction.IN)
        nets['d1[5]'].setDirection(Net.Direction.IN)
        nets['d1[6]'].setDirection(Net.Direction.IN)
        nets['d1[7]'].setDirection(Net.Direction.IN)
        nets['d1[8]'].setDirection(Net.Direction.IN)
        nets['d1[9]'].setDirection(Net.Direction.IN)
        nets['d1[10]'].setDirection(Net.Direction.IN)
        nets['d1[11]'].setDirection(Net.Direction.IN)
        nets['d1[12]'].setDirection(Net.Direction.IN)
        nets['d1[13]'].setDirection(Net.Direction.IN)
        nets['d1[14]'].setDirection(Net.Direction.IN)
        nets['d1[15]'].setDirection(Net.Direction.IN)
        nets['d1[16]'].setDirection(Net.Direction.IN)
        nets['d1[17]'].setDirection(Net.Direction.IN)
        nets['d1[18]'].setDirection(Net.Direction.IN)
        nets['d1[19]'].setDirection(Net.Direction.IN)
        nets['d1[20]'].setDirection(Net.Direction.IN)
        nets['d1[21]'].setDirection(Net.Direction.IN)
        nets['d1[22]'].setDirection(Net.Direction.IN)
        nets['d1[23]'].setDirection(Net.Direction.IN)
        nets['d1[24]'].setDirection(Net.Direction.IN)
        nets['d1[25]'].setDirection(Net.Direction.IN)
        nets['d1[26]'].setDirection(Net.Direction.IN)
        nets['d1[27]'].setDirection(Net.Direction.IN)
        nets['d1[28]'].setDirection(Net.Direction.IN)
        nets['d1[29]'].setDirection(Net.Direction.IN)
        nets['d1[30]'].setDirection(Net.Direction.IN)
        nets['d1[31]'].setDirection(Net.Direction.IN)
        nets['d1[32]'].setDirection(Net.Direction.IN)
        nets['d1[33]'].setDirection(Net.Direction.IN)
        nets['d1[34]'].setDirection(Net.Direction.IN)
        nets['d1[35]'].setDirection(Net.Direction.IN)
        nets['d1[36]'].setDirection(Net.Direction.IN)
        nets['d1[37]'].setDirection(Net.Direction.IN)
        nets['d1[38]'].setDirection(Net.Direction.IN)
        nets['d1[39]'].setDirection(Net.Direction.IN)
        nets['d1[40]'].setDirection(Net.Direction.IN)
        nets['d1[41]'].setDirection(Net.Direction.IN)
        nets['d1[42]'].setDirection(Net.Direction.IN)
        nets['d1[43]'].setDirection(Net.Direction.IN)
        nets['d1[44]'].setDirection(Net.Direction.IN)
        nets['d1[45]'].setDirection(Net.Direction.IN)
        nets['d1[46]'].setDirection(Net.Direction.IN)
        nets['d1[47]'].setDirection(Net.Direction.IN)
        nets['d1[48]'].setDirection(Net.Direction.IN)
        nets['d1[49]'].setDirection(Net.Direction.IN)
        nets['d1[50]'].setDirection(Net.Direction.IN)
        nets['d1[51]'].setDirection(Net.Direction.IN)
        nets['d1[52]'].setDirection(Net.Direction.IN)
        nets['d1[53]'].setDirection(Net.Direction.IN)
        nets['d1[54]'].setDirection(Net.Direction.IN)
        nets['d1[55]'].setDirection(Net.Direction.IN)
        nets['d1[56]'].setDirection(Net.Direction.IN)
        nets['d1[57]'].setDirection(Net.Direction.IN)
        nets['d1[58]'].setDirection(Net.Direction.IN)
        nets['d1[59]'].setDirection(Net.Direction.IN)
        nets['d1[60]'].setDirection(Net.Direction.IN)
        nets['d1[61]'].setDirection(Net.Direction.IN)
        nets['d1[62]'].setDirection(Net.Direction.IN)
        nets['d1[63]'].setDirection(Net.Direction.IN)
        nets['d2[0]'].setDirection(Net.Direction.IN)
        nets['d2[1]'].setDirection(Net.Direction.IN)
        nets['d2[2]'].setDirection(Net.Direction.IN)
        nets['d2[3]'].setDirection(Net.Direction.IN)
        nets['d2[4]'].setDirection(Net.Direction.IN)
        nets['d2[5]'].setDirection(Net.Direction.IN)
        nets['d2[6]'].setDirection(Net.Direction.IN)
        nets['d2[7]'].setDirection(Net.Direction.IN)
        nets['d2[8]'].setDirection(Net.Direction.IN)
        nets['d2[9]'].setDirection(Net.Direction.IN)
        nets['d2[10]'].setDirection(Net.Direction.IN)
        nets['d2[11]'].setDirection(Net.Direction.IN)
        nets['d2[12]'].setDirection(Net.Direction.IN)
        nets['d2[13]'].setDirection(Net.Direction.IN)
        nets['d2[14]'].setDirection(Net.Direction.IN)
        nets['d2[15]'].setDirection(Net.Direction.IN)
        nets['d2[16]'].setDirection(Net.Direction.IN)
        nets['d2[17]'].setDirection(Net.Direction.IN)
        nets['d2[18]'].setDirection(Net.Direction.IN)
        nets['d2[19]'].setDirection(Net.Direction.IN)
        nets['d2[20]'].setDirection(Net.Direction.IN)
        nets['d2[21]'].setDirection(Net.Direction.IN)
        nets['d2[22]'].setDirection(Net.Direction.IN)
        nets['d2[23]'].setDirection(Net.Direction.IN)
        nets['d2[24]'].setDirection(Net.Direction.IN)
        nets['d2[25]'].setDirection(Net.Direction.IN)
        nets['d2[26]'].setDirection(Net.Direction.IN)
        nets['d2[27]'].setDirection(Net.Direction.IN)
        nets['d2[28]'].setDirection(Net.Direction.IN)
        nets['d2[29]'].setDirection(Net.Direction.IN)
        nets['d2[30]'].setDirection(Net.Direction.IN)
        nets['d2[31]'].setDirection(Net.Direction.IN)
        nets['d2[32]'].setDirection(Net.Direction.IN)
        nets['d2[33]'].setDirection(Net.Direction.IN)
        nets['d2[34]'].setDirection(Net.Direction.IN)
        nets['d2[35]'].setDirection(Net.Direction.IN)
        nets['d2[36]'].setDirection(Net.Direction.IN)
        nets['d2[37]'].setDirection(Net.Direction.IN)
        nets['d2[38]'].setDirection(Net.Direction.IN)
        nets['d2[39]'].setDirection(Net.Direction.IN)
        nets['d2[40]'].setDirection(Net.Direction.IN)
        nets['d2[41]'].setDirection(Net.Direction.IN)
        nets['d2[42]'].setDirection(Net.Direction.IN)
        nets['d2[43]'].setDirection(Net.Direction.IN)
        nets['d2[44]'].setDirection(Net.Direction.IN)
        nets['d2[45]'].setDirection(Net.Direction.IN)
        nets['d2[46]'].setDirection(Net.Direction.IN)
        nets['d2[47]'].setDirection(Net.Direction.IN)
        nets['d2[48]'].setDirection(Net.Direction.IN)
        nets['d2[49]'].setDirection(Net.Direction.IN)
        nets['d2[50]'].setDirection(Net.Direction.IN)
        nets['d2[51]'].setDirection(Net.Direction.IN)
        nets['d2[52]'].setDirection(Net.Direction.IN)
        nets['d2[53]'].setDirection(Net.Direction.IN)
        nets['d2[54]'].setDirection(Net.Direction.IN)
        nets['d2[55]'].setDirection(Net.Direction.IN)
        nets['d2[56]'].setDirection(Net.Direction.IN)
        nets['d2[57]'].setDirection(Net.Direction.IN)
        nets['d2[58]'].setDirection(Net.Direction.IN)
        nets['d2[59]'].setDirection(Net.Direction.IN)
        nets['d2[60]'].setDirection(Net.Direction.IN)
        nets['d2[61]'].setDirection(Net.Direction.IN)
        nets['d2[62]'].setDirection(Net.Direction.IN)
        nets['d2[63]'].setDirection(Net.Direction.IN)
        nets['we1[0]'].setDirection(Net.Direction.IN)
        nets['we1[1]'].setDirection(Net.Direction.IN)
        nets['we1[2]'].setDirection(Net.Direction.IN)
        nets['we1[3]'].setDirection(Net.Direction.IN)
        nets['we1[4]'].setDirection(Net.Direction.IN)
        nets['we1[5]'].setDirection(Net.Direction.IN)
        nets['we1[6]'].setDirection(Net.Direction.IN)
        nets['we1[7]'].setDirection(Net.Direction.IN)
        nets['we2[0]'].setDirection(Net.Direction.IN)
        nets['we2[1]'].setDirection(Net.Direction.IN)
        nets['we2[2]'].setDirection(Net.Direction.IN)
        nets['we2[3]'].setDirection(Net.Direction.IN)
        nets['we2[4]'].setDirection(Net.Direction.IN)
        nets['we2[5]'].setDirection(Net.Direction.IN)
        nets['we2[6]'].setDirection(Net.Direction.IN)
        nets['we2[7]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TRowPeriphery_3_4_2_wl1']
        except:
            subcell = af.getCell('DP8TRowPeriphery_3_4_2_wl1', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'rowperiph1', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColumnBlock_128R64B4M8W']
        except:
            subcell = af.getCell('DP8TColumnBlock_128R64B4M8W', 0)
        trans = Transformation(
            u(27.459999999999994), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'columnblock', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowPeriphery_3_4_2_wl2']
        except:
            subcell = af.getCell('DP8TRowPeriphery_3_4_2_wl2', 0)
        trans = Transformation(
            u(912.5200000000003), u(423.69000000000005), Transformation.Orientation.R2,
        )
        Instance.create(
            cell, 'rowperiph2', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TRowPeriphery_3_4_2_wl1']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(27.459999999999994), u(360.64500000000004),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'a[0]': Net.create(cell, 'a[0]'),
            'a[1]': Net.create(cell, 'a[1]'),
            'a[2]': Net.create(cell, 'a[2]'),
            'a[3]': Net.create(cell, 'a[3]'),
            'a[4]': Net.create(cell, 'a[4]'),
            'a[5]': Net.create(cell, 'a[5]'),
            'a[6]': Net.create(cell, 'a[6]'),
            'a[7]': Net.create(cell, 'a[7]'),
            'a[8]': Net.create(cell, 'a[8]'),
            'clk': Net.create(cell, 'clk'),
            'columnclk': Net.create(cell, 'columnclk'),
            'decodeclk': Net.create(cell, 'decodeclk'),
            'mux[0]': Net.create(cell, 'mux[0]'),
            'mux[1]': Net.create(cell, 'mux[1]'),
            'mux[2]': Net.create(cell, 'mux[2]'),
            'mux[3]': Net.create(cell, 'mux[3]'),
            'precharge_n': Net.create(cell, 'precharge_n'),
            'we_en': Net.create(cell, 'we_en'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[100]': Net.create(cell, 'wl[100]'),
            'wl[101]': Net.create(cell, 'wl[101]'),
            'wl[102]': Net.create(cell, 'wl[102]'),
            'wl[103]': Net.create(cell, 'wl[103]'),
            'wl[104]': Net.create(cell, 'wl[104]'),
            'wl[105]': Net.create(cell, 'wl[105]'),
            'wl[106]': Net.create(cell, 'wl[106]'),
            'wl[107]': Net.create(cell, 'wl[107]'),
            'wl[108]': Net.create(cell, 'wl[108]'),
            'wl[109]': Net.create(cell, 'wl[109]'),
            'wl[10]': Net.create(cell, 'wl[10]'),
            'wl[110]': Net.create(cell, 'wl[110]'),
            'wl[111]': Net.create(cell, 'wl[111]'),
            'wl[112]': Net.create(cell, 'wl[112]'),
            'wl[113]': Net.create(cell, 'wl[113]'),
            'wl[114]': Net.create(cell, 'wl[114]'),
            'wl[115]': Net.create(cell, 'wl[115]'),
            'wl[116]': Net.create(cell, 'wl[116]'),
            'wl[117]': Net.create(cell, 'wl[117]'),
            'wl[118]': Net.create(cell, 'wl[118]'),
            'wl[119]': Net.create(cell, 'wl[119]'),
            'wl[11]': Net.create(cell, 'wl[11]'),
            'wl[120]': Net.create(cell, 'wl[120]'),
            'wl[121]': Net.create(cell, 'wl[121]'),
            'wl[122]': Net.create(cell, 'wl[122]'),
            'wl[123]': Net.create(cell, 'wl[123]'),
            'wl[124]': Net.create(cell, 'wl[124]'),
            'wl[125]': Net.create(cell, 'wl[125]'),
            'wl[126]': Net.create(cell, 'wl[126]'),
            'wl[127]': Net.create(cell, 'wl[127]'),
            'wl[12]': Net.create(cell, 'wl[12]'),
            'wl[13]': Net.create(cell, 'wl[13]'),
            'wl[14]': Net.create(cell, 'wl[14]'),
            'wl[15]': Net.create(cell, 'wl[15]'),
            'wl[16]': Net.create(cell, 'wl[16]'),
            'wl[17]': Net.create(cell, 'wl[17]'),
            'wl[18]': Net.create(cell, 'wl[18]'),
            'wl[19]': Net.create(cell, 'wl[19]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[20]': Net.create(cell, 'wl[20]'),
            'wl[21]': Net.create(cell, 'wl[21]'),
            'wl[22]': Net.create(cell, 'wl[22]'),
            'wl[23]': Net.create(cell, 'wl[23]'),
            'wl[24]': Net.create(cell, 'wl[24]'),
            'wl[25]': Net.create(cell, 'wl[25]'),
            'wl[26]': Net.create(cell, 'wl[26]'),
            'wl[27]': Net.create(cell, 'wl[27]'),
            'wl[28]': Net.create(cell, 'wl[28]'),
            'wl[29]': Net.create(cell, 'wl[29]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[30]': Net.create(cell, 'wl[30]'),
            'wl[31]': Net.create(cell, 'wl[31]'),
            'wl[32]': Net.create(cell, 'wl[32]'),
            'wl[33]': Net.create(cell, 'wl[33]'),
            'wl[34]': Net.create(cell, 'wl[34]'),
            'wl[35]': Net.create(cell, 'wl[35]'),
            'wl[36]': Net.create(cell, 'wl[36]'),
            'wl[37]': Net.create(cell, 'wl[37]'),
            'wl[38]': Net.create(cell, 'wl[38]'),
            'wl[39]': Net.create(cell, 'wl[39]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
            'wl[40]': Net.create(cell, 'wl[40]'),
            'wl[41]': Net.create(cell, 'wl[41]'),
            'wl[42]': Net.create(cell, 'wl[42]'),
            'wl[43]': Net.create(cell, 'wl[43]'),
            'wl[44]': Net.create(cell, 'wl[44]'),
            'wl[45]': Net.create(cell, 'wl[45]'),
            'wl[46]': Net.create(cell, 'wl[46]'),
            'wl[47]': Net.create(cell, 'wl[47]'),
            'wl[48]': Net.create(cell, 'wl[48]'),
            'wl[49]': Net.create(cell, 'wl[49]'),
            'wl[4]': Net.create(cell, 'wl[4]'),
            'wl[50]': Net.create(cell, 'wl[50]'),
            'wl[51]': Net.create(cell, 'wl[51]'),
            'wl[52]': Net.create(cell, 'wl[52]'),
            'wl[53]': Net.create(cell, 'wl[53]'),
            'wl[54]': Net.create(cell, 'wl[54]'),
            'wl[55]': Net.create(cell, 'wl[55]'),
            'wl[56]': Net.create(cell, 'wl[56]'),
            'wl[57]': Net.create(cell, 'wl[57]'),
            'wl[58]': Net.create(cell, 'wl[58]'),
            'wl[59]': Net.create(cell, 'wl[59]'),
            'wl[5]': Net.create(cell, 'wl[5]'),
            'wl[60]': Net.create(cell, 'wl[60]'),
            'wl[61]': Net.create(cell, 'wl[61]'),
            'wl[62]': Net.create(cell, 'wl[62]'),
            'wl[63]': Net.create(cell, 'wl[63]'),
            'wl[64]': Net.create(cell, 'wl[64]'),
            'wl[65]': Net.create(cell, 'wl[65]'),
            'wl[66]': Net.create(cell, 'wl[66]'),
            'wl[67]': Net.create(cell, 'wl[67]'),
            'wl[68]': Net.create(cell, 'wl[68]'),
            'wl[69]': Net.create(cell, 'wl[69]'),
            'wl[6]': Net.create(cell, 'wl[6]'),
            'wl[70]': Net.create(cell, 'wl[70]'),
            'wl[71]': Net.create(cell, 'wl[71]'),
            'wl[72]': Net.create(cell, 'wl[72]'),
            'wl[73]': Net.create(cell, 'wl[73]'),
            'wl[74]': Net.create(cell, 'wl[74]'),
            'wl[75]': Net.create(cell, 'wl[75]'),
            'wl[76]': Net.create(cell, 'wl[76]'),
            'wl[77]': Net.create(cell, 'wl[77]'),
            'wl[78]': Net.create(cell, 'wl[78]'),
            'wl[79]': Net.create(cell, 'wl[79]'),
            'wl[7]': Net.create(cell, 'wl[7]'),
            'wl[80]': Net.create(cell, 'wl[80]'),
            'wl[81]': Net.create(cell, 'wl[81]'),
            'wl[82]': Net.create(cell, 'wl[82]'),
            'wl[83]': Net.create(cell, 'wl[83]'),
            'wl[84]': Net.create(cell, 'wl[84]'),
            'wl[85]': Net.create(cell, 'wl[85]'),
            'wl[86]': Net.create(cell, 'wl[86]'),
            'wl[87]': Net.create(cell, 'wl[87]'),
            'wl[88]': Net.create(cell, 'wl[88]'),
            'wl[89]': Net.create(cell, 'wl[89]'),
            'wl[8]': Net.create(cell, 'wl[8]'),
            'wl[90]': Net.create(cell, 'wl[90]'),
            'wl[91]': Net.create(cell, 'wl[91]'),
            'wl[92]': Net.create(cell, 'wl[92]'),
            'wl[93]': Net.create(cell, 'wl[93]'),
            'wl[94]': Net.create(cell, 'wl[94]'),
            'wl[95]': Net.create(cell, 'wl[95]'),
            'wl[96]': Net.create(cell, 'wl[96]'),
            'wl[97]': Net.create(cell, 'wl[97]'),
            'wl[98]': Net.create(cell, 'wl[98]'),
            'wl[99]': Net.create(cell, 'wl[99]'),
            'wl[9]': Net.create(cell, 'wl[9]'),
            'wl_en': Net.create(cell, 'wl_en'),
        }
        net = nets['a[0]']
        createRL(
            tech, net, 'li',
            ((1.37,43.46),(1.37,43.63),(1.54,43.63),(1.54,43.46),(1.37,43.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.37,43.46),(1.37,43.63),(1.54,43.63),(1.54,43.46),(1.37,43.46)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,43.4),(0.0,43.69),(1.57,43.69),(1.57,43.4),(0.0,43.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(43.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(43.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[1]']
        createRL(
            tech, net, 'li',
            ((1.37,52.46),(1.37,52.63),(1.54,52.63),(1.54,52.46),(1.37,52.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.37,52.46),(1.37,52.63),(1.54,52.63),(1.54,52.46),(1.37,52.46)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,52.4),(0.0,52.69),(1.57,52.69),(1.57,52.4),(0.0,52.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(52.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(52.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[2]']
        createRL(
            tech, net, 'm1',
            ((0.0,67.4),(0.0,67.69),(1.57,67.69),(1.57,67.4),(0.0,67.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(67.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(67.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[3]']
        createRL(
            tech, net, 'm1',
            ((0.0,84.4),(0.0,84.69),(1.57,84.69),(1.57,84.4),(0.0,84.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(84.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(84.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[4]']
        createRL(
            tech, net, 'm1',
            ((0.0,101.4),(0.0,101.69),(1.57,101.69),(1.57,101.4),(0.0,101.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(101.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(101.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[5]']
        createRL(
            tech, net, 'm1',
            ((0.0,118.4),(0.0,118.69),(1.57,118.69),(1.57,118.4),(0.0,118.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(118.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(118.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[6]']
        createRL(
            tech, net, 'm1',
            ((0.0,135.4),(0.0,135.69),(1.57,135.69),(1.57,135.4),(0.0,135.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(135.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(135.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[7]']
        createRL(
            tech, net, 'm1',
            ((0.0,152.4),(0.0,152.69),(1.57,152.69),(1.57,152.4),(0.0,152.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(152.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(152.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[8]']
        createRL(
            tech, net, 'm1',
            ((0.0,169.4),(0.0,169.69),(1.57,169.69),(1.57,169.4),(0.0,169.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(169.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(169.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk']
        createRL(
            tech, net, 'm1',
            ((8.04,5.19),(8.04,5.74),(12.89,5.74),(12.89,5.19),(8.04,5.19)),
        )
        createRL(
            tech, net, 'via',
            ((8.15,5.39),(8.15,5.54),(8.3,5.54),(8.3,5.39),(8.15,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((8.47,5.39),(8.47,5.54),(8.62,5.54),(8.62,5.39),(8.47,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((8.79,5.39),(8.79,5.54),(8.94,5.54),(8.94,5.39),(8.79,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((9.11,5.39),(9.11,5.54),(9.26,5.54),(9.26,5.39),(9.11,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((9.43,5.39),(9.43,5.54),(9.58,5.54),(9.58,5.39),(9.43,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((9.75,5.39),(9.75,5.54),(9.9,5.54),(9.9,5.39),(9.75,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((10.07,5.39),(10.07,5.54),(10.22,5.54),(10.22,5.39),(10.07,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((10.39,5.39),(10.39,5.54),(10.54,5.54),(10.54,5.39),(10.39,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((10.71,5.39),(10.71,5.54),(10.86,5.54),(10.86,5.39),(10.71,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((11.03,5.39),(11.03,5.54),(11.18,5.54),(11.18,5.39),(11.03,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((11.35,5.39),(11.35,5.54),(11.5,5.54),(11.5,5.39),(11.35,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((11.67,5.39),(11.67,5.54),(11.82,5.54),(11.82,5.39),(11.67,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((11.99,5.39),(11.99,5.54),(12.14,5.54),(12.14,5.39),(11.99,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((12.31,5.39),(12.31,5.54),(12.46,5.54),(12.46,5.39),(12.31,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((12.63,5.39),(12.63,5.54),(12.78,5.54),(12.78,5.39),(12.63,5.39)),
        )
        createRL(
            tech, net, 'm2',
            ((8.095,0.0),(8.095,5.625),(12.835,5.625),(12.835,0.0),(8.095,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(10.465), u(4.74), u(0.0), u(5.625),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(10.465), u(4.74), u(0.0), u(5.625),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['decodeclk']
        createRL(
            tech, net, 'li',
            ((1.77,26.405),(1.77,26.575),(1.94,26.575),(1.94,26.405),(1.77,26.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.77,26.405),(1.77,26.575),(1.94,26.575),(1.94,26.405),(1.77,26.405)),
        )
        createRL(
            tech, net, 'm1',
            ((1.725,26.345),(1.725,166.545),(1.985,166.545),(1.985,49.545),(5.325,49.545),(5.325,46.545),(1.985,46.545),(1.985,26.345),(1.725,26.345)),
        )
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((26.9,64.925),(26.9,65.185),(27.46,65.185),(27.46,64.925),(26.9,64.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(65.055), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(65.055), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((26.9,65.555),(26.9,65.815),(27.46,65.815),(27.46,65.555),(26.9,65.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(65.685), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(65.685), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((26.9,69.575),(26.9,69.835),(27.46,69.835),(27.46,69.575),(26.9,69.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(69.705), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(69.705), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((26.9,70.205),(26.9,70.465),(27.46,70.465),(27.46,70.205),(26.9,70.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(70.335), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(70.335), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[4]']
        createRL(
            tech, net, 'm2',
            ((26.9,74.225),(26.9,74.485),(27.46,74.485),(27.46,74.225),(26.9,74.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(74.355), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(74.355), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[5]']
        createRL(
            tech, net, 'm2',
            ((26.9,74.855),(26.9,75.115),(27.46,75.115),(27.46,74.855),(26.9,74.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(74.985), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(74.985), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[6]']
        createRL(
            tech, net, 'm2',
            ((26.9,78.875),(26.9,79.135),(27.46,79.135),(27.46,78.875),(26.9,78.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(79.005), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(79.005), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[7]']
        createRL(
            tech, net, 'm2',
            ((26.9,79.505),(26.9,79.765),(27.46,79.765),(27.46,79.505),(26.9,79.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(79.635), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(79.635), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[8]']
        createRL(
            tech, net, 'm2',
            ((26.9,83.525),(26.9,83.785),(27.46,83.785),(27.46,83.525),(26.9,83.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(83.655), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(83.655), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[9]']
        createRL(
            tech, net, 'm2',
            ((26.9,84.155),(26.9,84.415),(27.46,84.415),(27.46,84.155),(26.9,84.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(84.285), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(84.285), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[10]']
        createRL(
            tech, net, 'm2',
            ((26.9,88.175),(26.9,88.435),(27.46,88.435),(27.46,88.175),(26.9,88.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(88.305), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(88.305), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[11]']
        createRL(
            tech, net, 'm2',
            ((26.9,88.805),(26.9,89.065),(27.46,89.065),(27.46,88.805),(26.9,88.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(88.935), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(88.935), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[12]']
        createRL(
            tech, net, 'm2',
            ((26.9,92.825),(26.9,93.085),(27.46,93.085),(27.46,92.825),(26.9,92.825)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(92.955), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(92.955), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[13]']
        createRL(
            tech, net, 'm2',
            ((26.9,93.455),(26.9,93.715),(27.46,93.715),(27.46,93.455),(26.9,93.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(93.585), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(93.585), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[14]']
        createRL(
            tech, net, 'm2',
            ((26.9,97.475),(26.9,97.735),(27.46,97.735),(27.46,97.475),(26.9,97.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(97.605), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(97.605), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[15]']
        createRL(
            tech, net, 'm2',
            ((26.9,98.105),(26.9,98.365),(27.46,98.365),(27.46,98.105),(26.9,98.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(98.235), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(98.235), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[16]']
        createRL(
            tech, net, 'm2',
            ((26.9,102.125),(26.9,102.385),(27.46,102.385),(27.46,102.125),(26.9,102.125)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(102.255), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(102.255), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[17]']
        createRL(
            tech, net, 'm2',
            ((26.9,102.755),(26.9,103.015),(27.46,103.015),(27.46,102.755),(26.9,102.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(102.885), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(102.885), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[18]']
        createRL(
            tech, net, 'm2',
            ((26.9,106.775),(26.9,107.035),(27.46,107.035),(27.46,106.775),(26.9,106.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(106.905), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(106.905), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[19]']
        createRL(
            tech, net, 'm2',
            ((26.9,107.405),(26.9,107.665),(27.46,107.665),(27.46,107.405),(26.9,107.405)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(107.535), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(107.535), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[20]']
        createRL(
            tech, net, 'm2',
            ((26.9,111.425),(26.9,111.685),(27.46,111.685),(27.46,111.425),(26.9,111.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(111.555), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(111.555), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[21]']
        createRL(
            tech, net, 'm2',
            ((26.9,112.055),(26.9,112.315),(27.46,112.315),(27.46,112.055),(26.9,112.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(112.185), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(112.185), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[22]']
        createRL(
            tech, net, 'm2',
            ((26.9,116.075),(26.9,116.335),(27.46,116.335),(27.46,116.075),(26.9,116.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(116.205), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(116.205), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[23]']
        createRL(
            tech, net, 'm2',
            ((26.9,116.705),(26.9,116.965),(27.46,116.965),(27.46,116.705),(26.9,116.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(116.835), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(116.835), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[24]']
        createRL(
            tech, net, 'm2',
            ((26.9,120.725),(26.9,120.985),(27.46,120.985),(27.46,120.725),(26.9,120.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(120.855), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(120.855), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[25]']
        createRL(
            tech, net, 'm2',
            ((26.9,121.355),(26.9,121.615),(27.46,121.615),(27.46,121.355),(26.9,121.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(121.485), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(121.485), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[26]']
        createRL(
            tech, net, 'm2',
            ((26.9,125.375),(26.9,125.635),(27.46,125.635),(27.46,125.375),(26.9,125.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(125.505), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(125.505), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[27]']
        createRL(
            tech, net, 'm2',
            ((26.9,126.005),(26.9,126.265),(27.46,126.265),(27.46,126.005),(26.9,126.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(126.135), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(126.135), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[28]']
        createRL(
            tech, net, 'm2',
            ((26.9,130.025),(26.9,130.285),(27.46,130.285),(27.46,130.025),(26.9,130.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(130.155), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(130.155), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[29]']
        createRL(
            tech, net, 'm2',
            ((26.9,130.655),(26.9,130.915),(27.46,130.915),(27.46,130.655),(26.9,130.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(130.785), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(130.785), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[30]']
        createRL(
            tech, net, 'm2',
            ((26.9,134.675),(26.9,134.935),(27.46,134.935),(27.46,134.675),(26.9,134.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(134.805), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(134.805), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[31]']
        createRL(
            tech, net, 'm2',
            ((26.9,135.305),(26.9,135.565),(27.46,135.565),(27.46,135.305),(26.9,135.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(135.435), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(135.435), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[32]']
        createRL(
            tech, net, 'm2',
            ((26.9,139.325),(26.9,139.585),(27.46,139.585),(27.46,139.325),(26.9,139.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(139.455), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(139.455), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[33]']
        createRL(
            tech, net, 'm2',
            ((26.9,139.955),(26.9,140.215),(27.46,140.215),(27.46,139.955),(26.9,139.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(140.085), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(140.085), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[34]']
        createRL(
            tech, net, 'm2',
            ((26.9,143.975),(26.9,144.235),(27.46,144.235),(27.46,143.975),(26.9,143.975)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(144.105), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(144.105), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[35]']
        createRL(
            tech, net, 'm2',
            ((26.9,144.605),(26.9,144.865),(27.46,144.865),(27.46,144.605),(26.9,144.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(144.735), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(144.735), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[36]']
        createRL(
            tech, net, 'm2',
            ((26.9,148.625),(26.9,148.885),(27.46,148.885),(27.46,148.625),(26.9,148.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(148.755), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(148.755), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[37]']
        createRL(
            tech, net, 'm2',
            ((26.9,149.255),(26.9,149.515),(27.46,149.515),(27.46,149.255),(26.9,149.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(149.385), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(149.385), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[38]']
        createRL(
            tech, net, 'm2',
            ((26.9,153.275),(26.9,153.535),(27.46,153.535),(27.46,153.275),(26.9,153.275)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(153.405), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(153.405), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[39]']
        createRL(
            tech, net, 'm2',
            ((26.9,153.905),(26.9,154.165),(27.46,154.165),(27.46,153.905),(26.9,153.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(154.035), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(154.035), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[40]']
        createRL(
            tech, net, 'm2',
            ((26.9,157.925),(26.9,158.185),(27.46,158.185),(27.46,157.925),(26.9,157.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(158.055), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(158.055), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[41]']
        createRL(
            tech, net, 'm2',
            ((26.9,158.555),(26.9,158.815),(27.46,158.815),(27.46,158.555),(26.9,158.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(158.685), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(158.685), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[42]']
        createRL(
            tech, net, 'm2',
            ((26.9,162.575),(26.9,162.835),(27.46,162.835),(27.46,162.575),(26.9,162.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(162.705), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(162.705), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[43]']
        createRL(
            tech, net, 'm2',
            ((26.9,163.205),(26.9,163.465),(27.46,163.465),(27.46,163.205),(26.9,163.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(163.335), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(163.335), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[44]']
        createRL(
            tech, net, 'm2',
            ((26.9,167.225),(26.9,167.485),(27.46,167.485),(27.46,167.225),(26.9,167.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(167.355), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(167.355), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[45]']
        createRL(
            tech, net, 'm2',
            ((26.9,167.855),(26.9,168.115),(27.46,168.115),(27.46,167.855),(26.9,167.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(167.985), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(167.985), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[46]']
        createRL(
            tech, net, 'm2',
            ((26.9,171.875),(26.9,172.135),(27.46,172.135),(27.46,171.875),(26.9,171.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(172.005), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(172.005), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[47]']
        createRL(
            tech, net, 'm2',
            ((26.9,172.505),(26.9,172.765),(27.46,172.765),(27.46,172.505),(26.9,172.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(172.635), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(172.635), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[48]']
        createRL(
            tech, net, 'm2',
            ((26.9,176.525),(26.9,176.785),(27.46,176.785),(27.46,176.525),(26.9,176.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(176.655), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(176.655), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[49]']
        createRL(
            tech, net, 'm2',
            ((26.9,177.155),(26.9,177.415),(27.46,177.415),(27.46,177.155),(26.9,177.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(177.285), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(177.285), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[50]']
        createRL(
            tech, net, 'm2',
            ((26.9,181.175),(26.9,181.435),(27.46,181.435),(27.46,181.175),(26.9,181.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(181.305), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(181.305), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[51]']
        createRL(
            tech, net, 'm2',
            ((26.9,181.805),(26.9,182.065),(27.46,182.065),(27.46,181.805),(26.9,181.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(181.935), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(181.935), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[52]']
        createRL(
            tech, net, 'm2',
            ((26.9,185.825),(26.9,186.085),(27.46,186.085),(27.46,185.825),(26.9,185.825)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(185.955), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(185.955), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[53]']
        createRL(
            tech, net, 'm2',
            ((26.9,186.455),(26.9,186.715),(27.46,186.715),(27.46,186.455),(26.9,186.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(186.585), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(186.585), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[54]']
        createRL(
            tech, net, 'm2',
            ((26.9,190.475),(26.9,190.735),(27.46,190.735),(27.46,190.475),(26.9,190.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(190.605), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(190.605), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[55]']
        createRL(
            tech, net, 'm2',
            ((26.9,191.105),(26.9,191.365),(27.46,191.365),(27.46,191.105),(26.9,191.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(191.235), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(191.235), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[56]']
        createRL(
            tech, net, 'm2',
            ((26.9,195.125),(26.9,195.385),(27.46,195.385),(27.46,195.125),(26.9,195.125)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(195.255), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(195.255), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[57]']
        createRL(
            tech, net, 'm2',
            ((26.9,195.755),(26.9,196.015),(27.46,196.015),(27.46,195.755),(26.9,195.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(195.885), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(195.885), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[58]']
        createRL(
            tech, net, 'm2',
            ((26.9,199.775),(26.9,200.035),(27.46,200.035),(27.46,199.775),(26.9,199.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(199.905), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(199.905), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[59]']
        createRL(
            tech, net, 'm2',
            ((26.9,200.405),(26.9,200.665),(27.46,200.665),(27.46,200.405),(26.9,200.405)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(200.535), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(200.535), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[60]']
        createRL(
            tech, net, 'm2',
            ((26.9,204.425),(26.9,204.685),(27.46,204.685),(27.46,204.425),(26.9,204.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(204.555), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(204.555), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[61]']
        createRL(
            tech, net, 'm2',
            ((26.9,205.055),(26.9,205.315),(27.46,205.315),(27.46,205.055),(26.9,205.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(205.185), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(205.185), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[62]']
        createRL(
            tech, net, 'm2',
            ((26.9,209.075),(26.9,209.335),(27.46,209.335),(27.46,209.075),(26.9,209.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(209.205), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(209.205), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[63]']
        createRL(
            tech, net, 'm2',
            ((26.9,209.705),(26.9,209.965),(27.46,209.965),(27.46,209.705),(26.9,209.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(209.835), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(209.835), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[64]']
        createRL(
            tech, net, 'm2',
            ((26.9,213.725),(26.9,213.985),(27.46,213.985),(27.46,213.725),(26.9,213.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(213.855), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(213.855), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[65]']
        createRL(
            tech, net, 'm2',
            ((26.9,214.355),(26.9,214.615),(27.46,214.615),(27.46,214.355),(26.9,214.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(214.485), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(214.485), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[66]']
        createRL(
            tech, net, 'm2',
            ((26.9,218.375),(26.9,218.635),(27.46,218.635),(27.46,218.375),(26.9,218.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(218.505), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(218.505), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[67]']
        createRL(
            tech, net, 'm2',
            ((26.9,219.005),(26.9,219.265),(27.46,219.265),(27.46,219.005),(26.9,219.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(219.135), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(219.135), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[68]']
        createRL(
            tech, net, 'm2',
            ((26.9,223.025),(26.9,223.285),(27.46,223.285),(27.46,223.025),(26.9,223.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(223.155), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(223.155), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[69]']
        createRL(
            tech, net, 'm2',
            ((26.9,223.655),(26.9,223.915),(27.46,223.915),(27.46,223.655),(26.9,223.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(223.785), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(223.785), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[70]']
        createRL(
            tech, net, 'm2',
            ((26.9,227.675),(26.9,227.935),(27.46,227.935),(27.46,227.675),(26.9,227.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(227.805), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(227.805), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[71]']
        createRL(
            tech, net, 'm2',
            ((26.9,228.305),(26.9,228.565),(27.46,228.565),(27.46,228.305),(26.9,228.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(228.435), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(228.435), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[72]']
        createRL(
            tech, net, 'm2',
            ((26.9,232.325),(26.9,232.585),(27.46,232.585),(27.46,232.325),(26.9,232.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(232.455), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(232.455), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[73]']
        createRL(
            tech, net, 'm2',
            ((26.9,232.955),(26.9,233.215),(27.46,233.215),(27.46,232.955),(26.9,232.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(233.085), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(233.085), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[74]']
        createRL(
            tech, net, 'm2',
            ((26.9,236.975),(26.9,237.235),(27.46,237.235),(27.46,236.975),(26.9,236.975)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(237.105), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(237.105), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[75]']
        createRL(
            tech, net, 'm2',
            ((26.9,237.605),(26.9,237.865),(27.46,237.865),(27.46,237.605),(26.9,237.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(237.735), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(237.735), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[76]']
        createRL(
            tech, net, 'm2',
            ((26.9,241.625),(26.9,241.885),(27.46,241.885),(27.46,241.625),(26.9,241.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(241.755), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(241.755), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[77]']
        createRL(
            tech, net, 'm2',
            ((26.9,242.255),(26.9,242.515),(27.46,242.515),(27.46,242.255),(26.9,242.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(242.385), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(242.385), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[78]']
        createRL(
            tech, net, 'm2',
            ((26.9,246.275),(26.9,246.535),(27.46,246.535),(27.46,246.275),(26.9,246.275)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(246.405), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(246.405), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[79]']
        createRL(
            tech, net, 'm2',
            ((26.9,246.905),(26.9,247.165),(27.46,247.165),(27.46,246.905),(26.9,246.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(247.035), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(247.035), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[80]']
        createRL(
            tech, net, 'm2',
            ((26.9,250.925),(26.9,251.185),(27.46,251.185),(27.46,250.925),(26.9,250.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(251.055), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(251.055), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[81]']
        createRL(
            tech, net, 'm2',
            ((26.9,251.555),(26.9,251.815),(27.46,251.815),(27.46,251.555),(26.9,251.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(251.685), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(251.685), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[82]']
        createRL(
            tech, net, 'm2',
            ((26.9,255.575),(26.9,255.835),(27.46,255.835),(27.46,255.575),(26.9,255.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(255.705), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(255.705), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[83]']
        createRL(
            tech, net, 'm2',
            ((26.9,256.205),(26.9,256.465),(27.46,256.465),(27.46,256.205),(26.9,256.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(256.335), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(256.335), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[84]']
        createRL(
            tech, net, 'm2',
            ((26.9,260.225),(26.9,260.485),(27.46,260.485),(27.46,260.225),(26.9,260.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(260.355), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(260.355), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[85]']
        createRL(
            tech, net, 'm2',
            ((26.9,260.855),(26.9,261.115),(27.46,261.115),(27.46,260.855),(26.9,260.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(260.985), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(260.985), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[86]']
        createRL(
            tech, net, 'm2',
            ((26.9,264.875),(26.9,265.135),(27.46,265.135),(27.46,264.875),(26.9,264.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(265.005), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(265.005), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[87]']
        createRL(
            tech, net, 'm2',
            ((26.9,265.505),(26.9,265.765),(27.46,265.765),(27.46,265.505),(26.9,265.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(265.635), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(265.635), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[88]']
        createRL(
            tech, net, 'm2',
            ((26.9,269.525),(26.9,269.785),(27.46,269.785),(27.46,269.525),(26.9,269.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(269.655), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(269.655), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[89]']
        createRL(
            tech, net, 'm2',
            ((26.9,270.155),(26.9,270.415),(27.46,270.415),(27.46,270.155),(26.9,270.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(270.285), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(270.285), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[90]']
        createRL(
            tech, net, 'm2',
            ((26.9,274.175),(26.9,274.435),(27.46,274.435),(27.46,274.175),(26.9,274.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(274.305), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(274.305), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[91]']
        createRL(
            tech, net, 'm2',
            ((26.9,274.805),(26.9,275.065),(27.46,275.065),(27.46,274.805),(26.9,274.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(274.935), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(274.935), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[92]']
        createRL(
            tech, net, 'm2',
            ((26.9,278.825),(26.9,279.085),(27.46,279.085),(27.46,278.825),(26.9,278.825)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(278.955), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(278.955), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[93]']
        createRL(
            tech, net, 'm2',
            ((26.9,279.455),(26.9,279.715),(27.46,279.715),(27.46,279.455),(26.9,279.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(279.585), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(279.585), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[94]']
        createRL(
            tech, net, 'm2',
            ((26.9,283.475),(26.9,283.735),(27.46,283.735),(27.46,283.475),(26.9,283.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(283.605), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(283.605), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[95]']
        createRL(
            tech, net, 'm2',
            ((26.9,284.105),(26.9,284.365),(27.46,284.365),(27.46,284.105),(26.9,284.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(284.235), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(284.235), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[96]']
        createRL(
            tech, net, 'm2',
            ((26.9,288.125),(26.9,288.385),(27.46,288.385),(27.46,288.125),(26.9,288.125)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(288.255), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(288.255), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[97]']
        createRL(
            tech, net, 'm2',
            ((26.9,288.755),(26.9,289.015),(27.46,289.015),(27.46,288.755),(26.9,288.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(288.885), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(288.885), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[98]']
        createRL(
            tech, net, 'm2',
            ((26.9,292.775),(26.9,293.035),(27.46,293.035),(27.46,292.775),(26.9,292.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(292.905), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(292.905), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[99]']
        createRL(
            tech, net, 'm2',
            ((26.9,293.405),(26.9,293.665),(27.46,293.665),(27.46,293.405),(26.9,293.405)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(293.535), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(293.535), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[100]']
        createRL(
            tech, net, 'm2',
            ((26.9,297.425),(26.9,297.685),(27.46,297.685),(27.46,297.425),(26.9,297.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(297.555), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(297.555), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[101]']
        createRL(
            tech, net, 'm2',
            ((26.9,298.055),(26.9,298.315),(27.46,298.315),(27.46,298.055),(26.9,298.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(298.185), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(298.185), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[102]']
        createRL(
            tech, net, 'm2',
            ((26.9,302.075),(26.9,302.335),(27.46,302.335),(27.46,302.075),(26.9,302.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(302.205), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(302.205), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[103]']
        createRL(
            tech, net, 'm2',
            ((26.9,302.705),(26.9,302.965),(27.46,302.965),(27.46,302.705),(26.9,302.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(302.835), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(302.835), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[104]']
        createRL(
            tech, net, 'm2',
            ((26.9,306.725),(26.9,306.985),(27.46,306.985),(27.46,306.725),(26.9,306.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(306.855), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(306.855), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[105]']
        createRL(
            tech, net, 'm2',
            ((26.9,307.355),(26.9,307.615),(27.46,307.615),(27.46,307.355),(26.9,307.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(307.485), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(307.485), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[106]']
        createRL(
            tech, net, 'm2',
            ((26.9,311.375),(26.9,311.635),(27.46,311.635),(27.46,311.375),(26.9,311.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(311.505), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(311.505), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[107]']
        createRL(
            tech, net, 'm2',
            ((26.9,312.005),(26.9,312.265),(27.46,312.265),(27.46,312.005),(26.9,312.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(312.135), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(312.135), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[108]']
        createRL(
            tech, net, 'm2',
            ((26.9,316.025),(26.9,316.285),(27.46,316.285),(27.46,316.025),(26.9,316.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(316.155), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(316.155), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[109]']
        createRL(
            tech, net, 'm2',
            ((26.9,316.655),(26.9,316.915),(27.46,316.915),(27.46,316.655),(26.9,316.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(316.785), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(316.785), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[110]']
        createRL(
            tech, net, 'm2',
            ((26.9,320.675),(26.9,320.935),(27.46,320.935),(27.46,320.675),(26.9,320.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(320.805), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(320.805), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[111]']
        createRL(
            tech, net, 'm2',
            ((26.9,321.305),(26.9,321.565),(27.46,321.565),(27.46,321.305),(26.9,321.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(321.435), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(321.435), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[112]']
        createRL(
            tech, net, 'm2',
            ((26.9,325.325),(26.9,325.585),(27.46,325.585),(27.46,325.325),(26.9,325.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(325.455), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(325.455), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[113]']
        createRL(
            tech, net, 'm2',
            ((26.9,325.955),(26.9,326.215),(27.46,326.215),(27.46,325.955),(26.9,325.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(326.085), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(326.085), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[114]']
        createRL(
            tech, net, 'm2',
            ((26.9,329.975),(26.9,330.235),(27.46,330.235),(27.46,329.975),(26.9,329.975)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(330.105), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(330.105), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[115]']
        createRL(
            tech, net, 'm2',
            ((26.9,330.605),(26.9,330.865),(27.46,330.865),(27.46,330.605),(26.9,330.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(330.735), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(330.735), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[116]']
        createRL(
            tech, net, 'm2',
            ((26.9,334.625),(26.9,334.885),(27.46,334.885),(27.46,334.625),(26.9,334.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(334.755), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(334.755), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[117]']
        createRL(
            tech, net, 'm2',
            ((26.9,335.255),(26.9,335.515),(27.46,335.515),(27.46,335.255),(26.9,335.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(335.385), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(335.385), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[118]']
        createRL(
            tech, net, 'm2',
            ((26.9,339.275),(26.9,339.535),(27.46,339.535),(27.46,339.275),(26.9,339.275)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(339.405), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(339.405), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[119]']
        createRL(
            tech, net, 'm2',
            ((26.9,339.905),(26.9,340.165),(27.46,340.165),(27.46,339.905),(26.9,339.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(340.035), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(340.035), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[120]']
        createRL(
            tech, net, 'm2',
            ((26.9,343.925),(26.9,344.185),(27.46,344.185),(27.46,343.925),(26.9,343.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(344.055), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(344.055), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[121]']
        createRL(
            tech, net, 'm2',
            ((26.9,344.555),(26.9,344.815),(27.46,344.815),(27.46,344.555),(26.9,344.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(344.685), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(344.685), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[122]']
        createRL(
            tech, net, 'm2',
            ((26.9,348.575),(26.9,348.835),(27.46,348.835),(27.46,348.575),(26.9,348.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(348.705), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(348.705), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[123]']
        createRL(
            tech, net, 'm2',
            ((26.9,349.205),(26.9,349.465),(27.46,349.465),(27.46,349.205),(26.9,349.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(349.335), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(349.335), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[124]']
        createRL(
            tech, net, 'm2',
            ((26.9,353.225),(26.9,353.485),(27.46,353.485),(27.46,353.225),(26.9,353.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(353.355), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(353.355), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[125]']
        createRL(
            tech, net, 'm2',
            ((26.9,353.855),(26.9,354.115),(27.46,354.115),(27.46,353.855),(26.9,353.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(353.985), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(353.985), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[126]']
        createRL(
            tech, net, 'm2',
            ((26.9,357.875),(26.9,358.135),(27.46,358.135),(27.46,357.875),(26.9,357.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(358.005), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(358.005), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[127]']
        createRL(
            tech, net, 'm2',
            ((26.9,358.505),(26.9,358.765),(27.46,358.765),(27.46,358.505),(26.9,358.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(358.635), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(358.635), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['columnclk']
        createRL(
            tech, net, 'li',
            ((18.1,26.405),(18.1,26.575),(18.63,26.575),(18.63,26.405),(18.1,26.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,26.405),(18.1,26.575),(18.27,26.575),(18.27,26.405),(18.1,26.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,26.405),(18.46,26.575),(18.63,26.575),(18.63,26.405),(18.46,26.405)),
        )
        createRL(
            tech, net, 'm1',
            ((18.07,2.1),(18.07,26.635),(18.66,26.635),(18.66,2.75),(27.46,2.75),(27.46,2.1),(18.07,2.1)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(2.425), u(0.65), u(18.07), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(2.425), u(0.65), u(18.07), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_en']
        createRL(
            tech, net, 'li',
            ((18.1,29.405),(18.1,29.575),(18.63,29.575),(18.63,29.405),(18.1,29.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,29.405),(18.1,29.575),(18.27,29.575),(18.27,29.405),(18.1,29.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,29.405),(18.46,29.575),(18.63,29.575),(18.63,29.405),(18.46,29.405)),
        )
        createRL(
            tech, net, 'm1',
            ((18.94,3.03),(18.94,29.345),(18.07,29.345),(18.07,29.635),(19.59,29.635),(19.59,3.68),(27.46,3.68),(27.46,3.03),(18.94,3.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(3.355), u(0.65), u(18.940000000000005), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(3.355), u(0.65), u(18.940000000000005), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[3]']
        createRL(
            tech, net, 'li',
            ((18.1,49.89),(18.1,50.06),(18.63,50.06),(18.63,49.89),(18.1,49.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,49.89),(18.1,50.06),(18.27,50.06),(18.27,49.89),(18.1,49.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,49.89),(18.46,50.06),(18.63,50.06),(18.63,49.89),(18.46,49.89)),
        )
        createRL(
            tech, net, 'm1',
            ((18.04,49.86),(18.04,51.97),(27.46,51.97),(27.46,51.71),(18.69,51.71),(18.69,49.86),(18.04,49.86)),
        )
        createRL(
            tech, net, 'via',
            ((26.905,51.765),(26.905,51.915),(27.055,51.915),(27.055,51.765),(26.905,51.765)),
        )
        createRL(
            tech, net, 'via',
            ((27.225,51.765),(27.225,51.915),(27.375,51.915),(27.375,51.765),(27.225,51.765)),
        )
        createRL(
            tech, net, 'm2',
            ((26.82,51.71),(26.82,51.97),(27.46,51.97),(27.46,51.71),(26.82,51.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.84), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.84), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[2]']
        createRL(
            tech, net, 'li',
            ((18.1,45.89),(18.1,46.06),(18.63,46.06),(18.63,45.89),(18.1,45.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,45.89),(18.1,46.06),(18.27,46.06),(18.27,45.89),(18.1,45.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,45.89),(18.46,46.06),(18.63,46.06),(18.63,45.89),(18.46,45.89)),
        )
        createRL(
            tech, net, 'm1',
            ((18.04,45.86),(18.04,46.09),(18.97,46.09),(18.97,51.51),(27.46,51.51),(27.46,51.25),(19.23,51.25),(19.23,45.86),(18.04,45.86)),
        )
        createRL(
            tech, net, 'via',
            ((26.905,51.305),(26.905,51.455),(27.055,51.455),(27.055,51.305),(26.905,51.305)),
        )
        createRL(
            tech, net, 'via',
            ((27.225,51.305),(27.225,51.455),(27.375,51.455),(27.375,51.305),(27.225,51.305)),
        )
        createRL(
            tech, net, 'm2',
            ((26.82,51.25),(26.82,51.51),(27.46,51.51),(27.46,51.25),(26.82,51.25)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.38), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.38), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[1]']
        createRL(
            tech, net, 'li',
            ((18.1,41.89),(18.1,42.06),(18.63,42.06),(18.63,41.89),(18.1,41.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,41.89),(18.1,42.06),(18.27,42.06),(18.27,41.89),(18.1,41.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,41.89),(18.46,42.06),(18.63,42.06),(18.63,41.89),(18.46,41.89)),
        )
        createRL(
            tech, net, 'm1',
            ((18.04,41.86),(18.04,42.09),(19.51,42.09),(19.51,51.05),(27.46,51.05),(27.46,50.79),(19.77,50.79),(19.77,41.86),(18.04,41.86)),
        )
        createRL(
            tech, net, 'via',
            ((26.905,50.845),(26.905,50.995),(27.055,50.995),(27.055,50.845),(26.905,50.845)),
        )
        createRL(
            tech, net, 'via',
            ((27.225,50.845),(27.225,50.995),(27.375,50.995),(27.375,50.845),(27.225,50.845)),
        )
        createRL(
            tech, net, 'm2',
            ((26.82,50.79),(26.82,51.05),(27.46,51.05),(27.46,50.79),(26.82,50.79)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.92), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.92), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[0]']
        createRL(
            tech, net, 'li',
            ((18.1,37.89),(18.1,38.06),(18.63,38.06),(18.63,37.89),(18.1,37.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,37.89),(18.1,38.06),(18.27,38.06),(18.27,37.89),(18.1,37.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,37.89),(18.46,38.06),(18.63,38.06),(18.63,37.89),(18.46,37.89)),
        )
        createRL(
            tech, net, 'm1',
            ((18.04,37.86),(18.04,38.09),(20.05,38.09),(20.05,50.59),(27.46,50.59),(27.46,50.33),(20.31,50.33),(20.31,37.86),(18.04,37.86)),
        )
        createRL(
            tech, net, 'via',
            ((26.905,50.385),(26.905,50.535),(27.055,50.535),(27.055,50.385),(26.905,50.385)),
        )
        createRL(
            tech, net, 'via',
            ((27.225,50.385),(27.225,50.535),(27.375,50.535),(27.375,50.385),(27.225,50.385)),
        )
        createRL(
            tech, net, 'm2',
            ((26.82,50.33),(26.82,50.59),(27.46,50.59),(27.46,50.33),(26.82,50.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.46), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.46), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['precharge_n']
        createRL(
            tech, net, 'li',
            ((18.1,31.89),(18.1,32.06),(18.63,32.06),(18.63,31.89),(18.1,31.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,31.89),(18.1,32.06),(18.27,32.06),(18.27,31.89),(18.1,31.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,31.89),(18.46,32.06),(18.63,32.06),(18.63,31.89),(18.46,31.89)),
        )
        createRL(
            tech, net, 'm1',
            ((26.28,31.655),(26.28,31.86),(18.04,31.86),(18.04,32.09),(26.28,32.09),(26.28,32.295),(26.54,32.295),(26.54,31.655),(26.28,31.655)),
        )
        createRL(
            tech, net, 'via',
            ((26.335,31.74),(26.335,31.89),(26.485,31.89),(26.485,31.74),(26.335,31.74)),
        )
        createRL(
            tech, net, 'via',
            ((26.335,32.06),(26.335,32.21),(26.485,32.21),(26.485,32.06),(26.335,32.06)),
        )
        createRL(
            tech, net, 'm2',
            ((26.28,31.655),(26.28,62.04),(27.46,62.04),(27.46,61.78),(26.54,61.78),(26.54,31.655),(26.28,31.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(61.91), u(0.26), u(26.279999999999994), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(61.91), u(0.26), u(26.279999999999994), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_en']
        createRL(
            tech, net, 'li',
            ((8.1,29.405),(8.1,29.575),(8.63,29.575),(8.63,29.405),(8.1,29.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.1,29.405),(8.1,29.575),(8.27,29.575),(8.27,29.405),(8.1,29.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.46,29.405),(8.46,29.575),(8.63,29.575),(8.63,29.405),(8.46,29.405)),
        )
        createRL(
            tech, net, 'm1',
            ((22.9,61.845),(22.9,63.045),(23.16,63.045),(23.16,61.845),(22.9,61.845)),
        )
        createRL(
            tech, net, 'm1',
            ((8.045,29.36),(8.045,29.375),(8.04,29.375),(8.04,29.605),(8.045,29.605),(8.045,29.62),(8.685,29.62),(8.685,29.605),(8.69,29.605),(8.69,29.375),(8.685,29.375),(8.685,29.36),(8.045,29.36)),
        )
        createRL(
            tech, net, 'via',
            ((8.13,29.415),(8.13,29.565),(8.28,29.565),(8.28,29.415),(8.13,29.415)),
        )
        createRL(
            tech, net, 'via',
            ((8.45,29.415),(8.45,29.565),(8.6,29.565),(8.6,29.415),(8.45,29.415)),
        )
        createRL(
            tech, net, 'via',
            ((22.955,61.93),(22.955,62.08),(23.105,62.08),(23.105,61.93),(22.955,61.93)),
        )
        createRL(
            tech, net, 'via',
            ((22.955,62.25),(22.955,62.4),(23.105,62.4),(23.105,62.25),(22.955,62.25)),
        )
        createRL(
            tech, net, 'm2',
            ((8.045,29.36),(8.045,29.62),(22.9,29.62),(22.9,62.485),(23.16,62.485),(23.16,29.36),(8.045,29.36)),
        )
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,360.645),(27.46,360.645),(27.46,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['a[0]'].setDirection(Net.Direction.IN)
        nets['a[1]'].setDirection(Net.Direction.IN)
        nets['a[2]'].setDirection(Net.Direction.IN)
        nets['a[3]'].setDirection(Net.Direction.IN)
        nets['a[4]'].setDirection(Net.Direction.IN)
        nets['a[5]'].setDirection(Net.Direction.IN)
        nets['a[6]'].setDirection(Net.Direction.IN)
        nets['a[7]'].setDirection(Net.Direction.IN)
        nets['a[8]'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['wl[4]'].setDirection(Net.Direction.IN)
        nets['wl[5]'].setDirection(Net.Direction.IN)
        nets['wl[6]'].setDirection(Net.Direction.IN)
        nets['wl[7]'].setDirection(Net.Direction.IN)
        nets['wl[8]'].setDirection(Net.Direction.IN)
        nets['wl[9]'].setDirection(Net.Direction.IN)
        nets['wl[10]'].setDirection(Net.Direction.IN)
        nets['wl[11]'].setDirection(Net.Direction.IN)
        nets['wl[12]'].setDirection(Net.Direction.IN)
        nets['wl[13]'].setDirection(Net.Direction.IN)
        nets['wl[14]'].setDirection(Net.Direction.IN)
        nets['wl[15]'].setDirection(Net.Direction.IN)
        nets['wl[16]'].setDirection(Net.Direction.IN)
        nets['wl[17]'].setDirection(Net.Direction.IN)
        nets['wl[18]'].setDirection(Net.Direction.IN)
        nets['wl[19]'].setDirection(Net.Direction.IN)
        nets['wl[20]'].setDirection(Net.Direction.IN)
        nets['wl[21]'].setDirection(Net.Direction.IN)
        nets['wl[22]'].setDirection(Net.Direction.IN)
        nets['wl[23]'].setDirection(Net.Direction.IN)
        nets['wl[24]'].setDirection(Net.Direction.IN)
        nets['wl[25]'].setDirection(Net.Direction.IN)
        nets['wl[26]'].setDirection(Net.Direction.IN)
        nets['wl[27]'].setDirection(Net.Direction.IN)
        nets['wl[28]'].setDirection(Net.Direction.IN)
        nets['wl[29]'].setDirection(Net.Direction.IN)
        nets['wl[30]'].setDirection(Net.Direction.IN)
        nets['wl[31]'].setDirection(Net.Direction.IN)
        nets['wl[32]'].setDirection(Net.Direction.IN)
        nets['wl[33]'].setDirection(Net.Direction.IN)
        nets['wl[34]'].setDirection(Net.Direction.IN)
        nets['wl[35]'].setDirection(Net.Direction.IN)
        nets['wl[36]'].setDirection(Net.Direction.IN)
        nets['wl[37]'].setDirection(Net.Direction.IN)
        nets['wl[38]'].setDirection(Net.Direction.IN)
        nets['wl[39]'].setDirection(Net.Direction.IN)
        nets['wl[40]'].setDirection(Net.Direction.IN)
        nets['wl[41]'].setDirection(Net.Direction.IN)
        nets['wl[42]'].setDirection(Net.Direction.IN)
        nets['wl[43]'].setDirection(Net.Direction.IN)
        nets['wl[44]'].setDirection(Net.Direction.IN)
        nets['wl[45]'].setDirection(Net.Direction.IN)
        nets['wl[46]'].setDirection(Net.Direction.IN)
        nets['wl[47]'].setDirection(Net.Direction.IN)
        nets['wl[48]'].setDirection(Net.Direction.IN)
        nets['wl[49]'].setDirection(Net.Direction.IN)
        nets['wl[50]'].setDirection(Net.Direction.IN)
        nets['wl[51]'].setDirection(Net.Direction.IN)
        nets['wl[52]'].setDirection(Net.Direction.IN)
        nets['wl[53]'].setDirection(Net.Direction.IN)
        nets['wl[54]'].setDirection(Net.Direction.IN)
        nets['wl[55]'].setDirection(Net.Direction.IN)
        nets['wl[56]'].setDirection(Net.Direction.IN)
        nets['wl[57]'].setDirection(Net.Direction.IN)
        nets['wl[58]'].setDirection(Net.Direction.IN)
        nets['wl[59]'].setDirection(Net.Direction.IN)
        nets['wl[60]'].setDirection(Net.Direction.IN)
        nets['wl[61]'].setDirection(Net.Direction.IN)
        nets['wl[62]'].setDirection(Net.Direction.IN)
        nets['wl[63]'].setDirection(Net.Direction.IN)
        nets['wl[64]'].setDirection(Net.Direction.IN)
        nets['wl[65]'].setDirection(Net.Direction.IN)
        nets['wl[66]'].setDirection(Net.Direction.IN)
        nets['wl[67]'].setDirection(Net.Direction.IN)
        nets['wl[68]'].setDirection(Net.Direction.IN)
        nets['wl[69]'].setDirection(Net.Direction.IN)
        nets['wl[70]'].setDirection(Net.Direction.IN)
        nets['wl[71]'].setDirection(Net.Direction.IN)
        nets['wl[72]'].setDirection(Net.Direction.IN)
        nets['wl[73]'].setDirection(Net.Direction.IN)
        nets['wl[74]'].setDirection(Net.Direction.IN)
        nets['wl[75]'].setDirection(Net.Direction.IN)
        nets['wl[76]'].setDirection(Net.Direction.IN)
        nets['wl[77]'].setDirection(Net.Direction.IN)
        nets['wl[78]'].setDirection(Net.Direction.IN)
        nets['wl[79]'].setDirection(Net.Direction.IN)
        nets['wl[80]'].setDirection(Net.Direction.IN)
        nets['wl[81]'].setDirection(Net.Direction.IN)
        nets['wl[82]'].setDirection(Net.Direction.IN)
        nets['wl[83]'].setDirection(Net.Direction.IN)
        nets['wl[84]'].setDirection(Net.Direction.IN)
        nets['wl[85]'].setDirection(Net.Direction.IN)
        nets['wl[86]'].setDirection(Net.Direction.IN)
        nets['wl[87]'].setDirection(Net.Direction.IN)
        nets['wl[88]'].setDirection(Net.Direction.IN)
        nets['wl[89]'].setDirection(Net.Direction.IN)
        nets['wl[90]'].setDirection(Net.Direction.IN)
        nets['wl[91]'].setDirection(Net.Direction.IN)
        nets['wl[92]'].setDirection(Net.Direction.IN)
        nets['wl[93]'].setDirection(Net.Direction.IN)
        nets['wl[94]'].setDirection(Net.Direction.IN)
        nets['wl[95]'].setDirection(Net.Direction.IN)
        nets['wl[96]'].setDirection(Net.Direction.IN)
        nets['wl[97]'].setDirection(Net.Direction.IN)
        nets['wl[98]'].setDirection(Net.Direction.IN)
        nets['wl[99]'].setDirection(Net.Direction.IN)
        nets['wl[100]'].setDirection(Net.Direction.IN)
        nets['wl[101]'].setDirection(Net.Direction.IN)
        nets['wl[102]'].setDirection(Net.Direction.IN)
        nets['wl[103]'].setDirection(Net.Direction.IN)
        nets['wl[104]'].setDirection(Net.Direction.IN)
        nets['wl[105]'].setDirection(Net.Direction.IN)
        nets['wl[106]'].setDirection(Net.Direction.IN)
        nets['wl[107]'].setDirection(Net.Direction.IN)
        nets['wl[108]'].setDirection(Net.Direction.IN)
        nets['wl[109]'].setDirection(Net.Direction.IN)
        nets['wl[110]'].setDirection(Net.Direction.IN)
        nets['wl[111]'].setDirection(Net.Direction.IN)
        nets['wl[112]'].setDirection(Net.Direction.IN)
        nets['wl[113]'].setDirection(Net.Direction.IN)
        nets['wl[114]'].setDirection(Net.Direction.IN)
        nets['wl[115]'].setDirection(Net.Direction.IN)
        nets['wl[116]'].setDirection(Net.Direction.IN)
        nets['wl[117]'].setDirection(Net.Direction.IN)
        nets['wl[118]'].setDirection(Net.Direction.IN)
        nets['wl[119]'].setDirection(Net.Direction.IN)
        nets['wl[120]'].setDirection(Net.Direction.IN)
        nets['wl[121]'].setDirection(Net.Direction.IN)
        nets['wl[122]'].setDirection(Net.Direction.IN)
        nets['wl[123]'].setDirection(Net.Direction.IN)
        nets['wl[124]'].setDirection(Net.Direction.IN)
        nets['wl[125]'].setDirection(Net.Direction.IN)
        nets['wl[126]'].setDirection(Net.Direction.IN)
        nets['wl[127]'].setDirection(Net.Direction.IN)
        nets['mux[0]'].setDirection(Net.Direction.IN)
        nets['mux[1]'].setDirection(Net.Direction.IN)
        nets['mux[2]'].setDirection(Net.Direction.IN)
        nets['mux[3]'].setDirection(Net.Direction.IN)
        nets['columnclk'].setDirection(Net.Direction.IN)
        nets['precharge_n'].setDirection(Net.Direction.IN)
        nets['we_en'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TClockGenerator']
        except:
            subcell = af.getCell('DP8TClockGenerator', 0)
        trans = Transformation(
            u(10.0), u(5.045000000000002), Transformation.Orientation.R1,
        )
        Instance.create(
            cell, 'clkgen', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TLatchedDecoder_2A2R']
        except:
            subcell = af.getCell('DP8TLatchedDecoder_2A2R', 0)
        trans = Transformation(
            u(10.0), u(33.045), Transformation.Orientation.R1,
        )
        Instance.create(
            cell, 'coldec', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoder_3_4B_wl1']
        except:
            subcell = af.getCell('DP8TRowDecoder_3_4B_wl1', 0)
        trans = Transformation(
            u(0.0), u(63.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'rowdec', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TRowPeriphery_3_4_2_wl2']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(27.459999999999994), u(360.64500000000004),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'a[0]': Net.create(cell, 'a[0]'),
            'a[1]': Net.create(cell, 'a[1]'),
            'a[2]': Net.create(cell, 'a[2]'),
            'a[3]': Net.create(cell, 'a[3]'),
            'a[4]': Net.create(cell, 'a[4]'),
            'a[5]': Net.create(cell, 'a[5]'),
            'a[6]': Net.create(cell, 'a[6]'),
            'a[7]': Net.create(cell, 'a[7]'),
            'a[8]': Net.create(cell, 'a[8]'),
            'clk': Net.create(cell, 'clk'),
            'columnclk': Net.create(cell, 'columnclk'),
            'decodeclk': Net.create(cell, 'decodeclk'),
            'mux[0]': Net.create(cell, 'mux[0]'),
            'mux[1]': Net.create(cell, 'mux[1]'),
            'mux[2]': Net.create(cell, 'mux[2]'),
            'mux[3]': Net.create(cell, 'mux[3]'),
            'precharge_n': Net.create(cell, 'precharge_n'),
            'we_en': Net.create(cell, 'we_en'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[100]': Net.create(cell, 'wl[100]'),
            'wl[101]': Net.create(cell, 'wl[101]'),
            'wl[102]': Net.create(cell, 'wl[102]'),
            'wl[103]': Net.create(cell, 'wl[103]'),
            'wl[104]': Net.create(cell, 'wl[104]'),
            'wl[105]': Net.create(cell, 'wl[105]'),
            'wl[106]': Net.create(cell, 'wl[106]'),
            'wl[107]': Net.create(cell, 'wl[107]'),
            'wl[108]': Net.create(cell, 'wl[108]'),
            'wl[109]': Net.create(cell, 'wl[109]'),
            'wl[10]': Net.create(cell, 'wl[10]'),
            'wl[110]': Net.create(cell, 'wl[110]'),
            'wl[111]': Net.create(cell, 'wl[111]'),
            'wl[112]': Net.create(cell, 'wl[112]'),
            'wl[113]': Net.create(cell, 'wl[113]'),
            'wl[114]': Net.create(cell, 'wl[114]'),
            'wl[115]': Net.create(cell, 'wl[115]'),
            'wl[116]': Net.create(cell, 'wl[116]'),
            'wl[117]': Net.create(cell, 'wl[117]'),
            'wl[118]': Net.create(cell, 'wl[118]'),
            'wl[119]': Net.create(cell, 'wl[119]'),
            'wl[11]': Net.create(cell, 'wl[11]'),
            'wl[120]': Net.create(cell, 'wl[120]'),
            'wl[121]': Net.create(cell, 'wl[121]'),
            'wl[122]': Net.create(cell, 'wl[122]'),
            'wl[123]': Net.create(cell, 'wl[123]'),
            'wl[124]': Net.create(cell, 'wl[124]'),
            'wl[125]': Net.create(cell, 'wl[125]'),
            'wl[126]': Net.create(cell, 'wl[126]'),
            'wl[127]': Net.create(cell, 'wl[127]'),
            'wl[12]': Net.create(cell, 'wl[12]'),
            'wl[13]': Net.create(cell, 'wl[13]'),
            'wl[14]': Net.create(cell, 'wl[14]'),
            'wl[15]': Net.create(cell, 'wl[15]'),
            'wl[16]': Net.create(cell, 'wl[16]'),
            'wl[17]': Net.create(cell, 'wl[17]'),
            'wl[18]': Net.create(cell, 'wl[18]'),
            'wl[19]': Net.create(cell, 'wl[19]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[20]': Net.create(cell, 'wl[20]'),
            'wl[21]': Net.create(cell, 'wl[21]'),
            'wl[22]': Net.create(cell, 'wl[22]'),
            'wl[23]': Net.create(cell, 'wl[23]'),
            'wl[24]': Net.create(cell, 'wl[24]'),
            'wl[25]': Net.create(cell, 'wl[25]'),
            'wl[26]': Net.create(cell, 'wl[26]'),
            'wl[27]': Net.create(cell, 'wl[27]'),
            'wl[28]': Net.create(cell, 'wl[28]'),
            'wl[29]': Net.create(cell, 'wl[29]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[30]': Net.create(cell, 'wl[30]'),
            'wl[31]': Net.create(cell, 'wl[31]'),
            'wl[32]': Net.create(cell, 'wl[32]'),
            'wl[33]': Net.create(cell, 'wl[33]'),
            'wl[34]': Net.create(cell, 'wl[34]'),
            'wl[35]': Net.create(cell, 'wl[35]'),
            'wl[36]': Net.create(cell, 'wl[36]'),
            'wl[37]': Net.create(cell, 'wl[37]'),
            'wl[38]': Net.create(cell, 'wl[38]'),
            'wl[39]': Net.create(cell, 'wl[39]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
            'wl[40]': Net.create(cell, 'wl[40]'),
            'wl[41]': Net.create(cell, 'wl[41]'),
            'wl[42]': Net.create(cell, 'wl[42]'),
            'wl[43]': Net.create(cell, 'wl[43]'),
            'wl[44]': Net.create(cell, 'wl[44]'),
            'wl[45]': Net.create(cell, 'wl[45]'),
            'wl[46]': Net.create(cell, 'wl[46]'),
            'wl[47]': Net.create(cell, 'wl[47]'),
            'wl[48]': Net.create(cell, 'wl[48]'),
            'wl[49]': Net.create(cell, 'wl[49]'),
            'wl[4]': Net.create(cell, 'wl[4]'),
            'wl[50]': Net.create(cell, 'wl[50]'),
            'wl[51]': Net.create(cell, 'wl[51]'),
            'wl[52]': Net.create(cell, 'wl[52]'),
            'wl[53]': Net.create(cell, 'wl[53]'),
            'wl[54]': Net.create(cell, 'wl[54]'),
            'wl[55]': Net.create(cell, 'wl[55]'),
            'wl[56]': Net.create(cell, 'wl[56]'),
            'wl[57]': Net.create(cell, 'wl[57]'),
            'wl[58]': Net.create(cell, 'wl[58]'),
            'wl[59]': Net.create(cell, 'wl[59]'),
            'wl[5]': Net.create(cell, 'wl[5]'),
            'wl[60]': Net.create(cell, 'wl[60]'),
            'wl[61]': Net.create(cell, 'wl[61]'),
            'wl[62]': Net.create(cell, 'wl[62]'),
            'wl[63]': Net.create(cell, 'wl[63]'),
            'wl[64]': Net.create(cell, 'wl[64]'),
            'wl[65]': Net.create(cell, 'wl[65]'),
            'wl[66]': Net.create(cell, 'wl[66]'),
            'wl[67]': Net.create(cell, 'wl[67]'),
            'wl[68]': Net.create(cell, 'wl[68]'),
            'wl[69]': Net.create(cell, 'wl[69]'),
            'wl[6]': Net.create(cell, 'wl[6]'),
            'wl[70]': Net.create(cell, 'wl[70]'),
            'wl[71]': Net.create(cell, 'wl[71]'),
            'wl[72]': Net.create(cell, 'wl[72]'),
            'wl[73]': Net.create(cell, 'wl[73]'),
            'wl[74]': Net.create(cell, 'wl[74]'),
            'wl[75]': Net.create(cell, 'wl[75]'),
            'wl[76]': Net.create(cell, 'wl[76]'),
            'wl[77]': Net.create(cell, 'wl[77]'),
            'wl[78]': Net.create(cell, 'wl[78]'),
            'wl[79]': Net.create(cell, 'wl[79]'),
            'wl[7]': Net.create(cell, 'wl[7]'),
            'wl[80]': Net.create(cell, 'wl[80]'),
            'wl[81]': Net.create(cell, 'wl[81]'),
            'wl[82]': Net.create(cell, 'wl[82]'),
            'wl[83]': Net.create(cell, 'wl[83]'),
            'wl[84]': Net.create(cell, 'wl[84]'),
            'wl[85]': Net.create(cell, 'wl[85]'),
            'wl[86]': Net.create(cell, 'wl[86]'),
            'wl[87]': Net.create(cell, 'wl[87]'),
            'wl[88]': Net.create(cell, 'wl[88]'),
            'wl[89]': Net.create(cell, 'wl[89]'),
            'wl[8]': Net.create(cell, 'wl[8]'),
            'wl[90]': Net.create(cell, 'wl[90]'),
            'wl[91]': Net.create(cell, 'wl[91]'),
            'wl[92]': Net.create(cell, 'wl[92]'),
            'wl[93]': Net.create(cell, 'wl[93]'),
            'wl[94]': Net.create(cell, 'wl[94]'),
            'wl[95]': Net.create(cell, 'wl[95]'),
            'wl[96]': Net.create(cell, 'wl[96]'),
            'wl[97]': Net.create(cell, 'wl[97]'),
            'wl[98]': Net.create(cell, 'wl[98]'),
            'wl[99]': Net.create(cell, 'wl[99]'),
            'wl[9]': Net.create(cell, 'wl[9]'),
            'wl_en': Net.create(cell, 'wl_en'),
        }
        net = nets['a[0]']
        createRL(
            tech, net, 'li',
            ((1.37,43.46),(1.37,43.63),(1.54,43.63),(1.54,43.46),(1.37,43.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.37,43.46),(1.37,43.63),(1.54,43.63),(1.54,43.46),(1.37,43.46)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,43.4),(0.0,43.69),(1.57,43.69),(1.57,43.4),(0.0,43.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(43.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(43.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[1]']
        createRL(
            tech, net, 'li',
            ((1.37,52.46),(1.37,52.63),(1.54,52.63),(1.54,52.46),(1.37,52.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.37,52.46),(1.37,52.63),(1.54,52.63),(1.54,52.46),(1.37,52.46)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,52.4),(0.0,52.69),(1.57,52.69),(1.57,52.4),(0.0,52.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(52.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(52.545), u(0.29), u(0.0), u(1.5699999999999992),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[2]']
        createRL(
            tech, net, 'm1',
            ((0.0,67.4),(0.0,67.69),(1.57,67.69),(1.57,67.4),(0.0,67.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(67.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(67.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[3]']
        createRL(
            tech, net, 'm1',
            ((0.0,84.4),(0.0,84.69),(1.57,84.69),(1.57,84.4),(0.0,84.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(84.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(84.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[4]']
        createRL(
            tech, net, 'm1',
            ((0.0,101.4),(0.0,101.69),(1.57,101.69),(1.57,101.4),(0.0,101.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(101.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(101.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[5]']
        createRL(
            tech, net, 'm1',
            ((0.0,118.4),(0.0,118.69),(1.57,118.69),(1.57,118.4),(0.0,118.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(118.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(118.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[6]']
        createRL(
            tech, net, 'm1',
            ((0.0,135.4),(0.0,135.69),(1.57,135.69),(1.57,135.4),(0.0,135.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(135.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(135.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[7]']
        createRL(
            tech, net, 'm1',
            ((0.0,152.4),(0.0,152.69),(1.57,152.69),(1.57,152.4),(0.0,152.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(152.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(152.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[8]']
        createRL(
            tech, net, 'm1',
            ((0.0,169.4),(0.0,169.69),(1.57,169.69),(1.57,169.4),(0.0,169.4)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(169.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(169.545), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk']
        createRL(
            tech, net, 'm1',
            ((8.04,5.19),(8.04,5.74),(12.89,5.74),(12.89,5.19),(8.04,5.19)),
        )
        createRL(
            tech, net, 'via',
            ((8.15,5.39),(8.15,5.54),(8.3,5.54),(8.3,5.39),(8.15,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((8.47,5.39),(8.47,5.54),(8.62,5.54),(8.62,5.39),(8.47,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((8.79,5.39),(8.79,5.54),(8.94,5.54),(8.94,5.39),(8.79,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((9.11,5.39),(9.11,5.54),(9.26,5.54),(9.26,5.39),(9.11,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((9.43,5.39),(9.43,5.54),(9.58,5.54),(9.58,5.39),(9.43,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((9.75,5.39),(9.75,5.54),(9.9,5.54),(9.9,5.39),(9.75,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((10.07,5.39),(10.07,5.54),(10.22,5.54),(10.22,5.39),(10.07,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((10.39,5.39),(10.39,5.54),(10.54,5.54),(10.54,5.39),(10.39,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((10.71,5.39),(10.71,5.54),(10.86,5.54),(10.86,5.39),(10.71,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((11.03,5.39),(11.03,5.54),(11.18,5.54),(11.18,5.39),(11.03,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((11.35,5.39),(11.35,5.54),(11.5,5.54),(11.5,5.39),(11.35,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((11.67,5.39),(11.67,5.54),(11.82,5.54),(11.82,5.39),(11.67,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((11.99,5.39),(11.99,5.54),(12.14,5.54),(12.14,5.39),(11.99,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((12.31,5.39),(12.31,5.54),(12.46,5.54),(12.46,5.39),(12.31,5.39)),
        )
        createRL(
            tech, net, 'via',
            ((12.63,5.39),(12.63,5.54),(12.78,5.54),(12.78,5.39),(12.63,5.39)),
        )
        createRL(
            tech, net, 'm2',
            ((8.095,0.0),(8.095,5.625),(12.835,5.625),(12.835,0.0),(8.095,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(10.465), u(4.74), u(0.0), u(5.625),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(10.465), u(4.74), u(0.0), u(5.625),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['decodeclk']
        createRL(
            tech, net, 'li',
            ((1.77,26.405),(1.77,26.575),(1.94,26.575),(1.94,26.405),(1.77,26.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.77,26.405),(1.77,26.575),(1.94,26.575),(1.94,26.405),(1.77,26.405)),
        )
        createRL(
            tech, net, 'm1',
            ((1.725,26.345),(1.725,166.545),(1.985,166.545),(1.985,49.545),(5.325,49.545),(5.325,46.545),(1.985,46.545),(1.985,26.345),(1.725,26.345)),
        )
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((26.9,359.005),(26.9,359.265),(27.46,359.265),(27.46,359.005),(26.9,359.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(359.135), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(359.135), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((26.9,357.375),(26.9,357.635),(27.46,357.635),(27.46,357.375),(26.9,357.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(357.505), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(357.505), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((26.9,354.355),(26.9,354.615),(27.46,354.615),(27.46,354.355),(26.9,354.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(354.485), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(354.485), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((26.9,352.725),(26.9,352.985),(27.46,352.985),(27.46,352.725),(26.9,352.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(352.855), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(352.855), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[4]']
        createRL(
            tech, net, 'm2',
            ((26.9,349.705),(26.9,349.965),(27.46,349.965),(27.46,349.705),(26.9,349.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(349.835), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(349.835), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[5]']
        createRL(
            tech, net, 'm2',
            ((26.9,348.075),(26.9,348.335),(27.46,348.335),(27.46,348.075),(26.9,348.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(348.205), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(348.205), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[6]']
        createRL(
            tech, net, 'm2',
            ((26.9,345.055),(26.9,345.315),(27.46,345.315),(27.46,345.055),(26.9,345.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(345.185), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(345.185), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[7]']
        createRL(
            tech, net, 'm2',
            ((26.9,343.425),(26.9,343.685),(27.46,343.685),(27.46,343.425),(26.9,343.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(343.555), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(343.555), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[8]']
        createRL(
            tech, net, 'm2',
            ((26.9,340.405),(26.9,340.665),(27.46,340.665),(27.46,340.405),(26.9,340.405)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(340.535), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(340.535), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[9]']
        createRL(
            tech, net, 'm2',
            ((26.9,338.775),(26.9,339.035),(27.46,339.035),(27.46,338.775),(26.9,338.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(338.905), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(338.905), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[10]']
        createRL(
            tech, net, 'm2',
            ((26.9,335.755),(26.9,336.015),(27.46,336.015),(27.46,335.755),(26.9,335.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(335.885), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(335.885), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[11]']
        createRL(
            tech, net, 'm2',
            ((26.9,334.125),(26.9,334.385),(27.46,334.385),(27.46,334.125),(26.9,334.125)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(334.255), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(334.255), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[12]']
        createRL(
            tech, net, 'm2',
            ((26.9,331.105),(26.9,331.365),(27.46,331.365),(27.46,331.105),(26.9,331.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(331.235), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(331.235), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[13]']
        createRL(
            tech, net, 'm2',
            ((26.9,329.475),(26.9,329.735),(27.46,329.735),(27.46,329.475),(26.9,329.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(329.605), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(329.605), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[14]']
        createRL(
            tech, net, 'm2',
            ((26.9,326.455),(26.9,326.715),(27.46,326.715),(27.46,326.455),(26.9,326.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(326.585), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(326.585), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[15]']
        createRL(
            tech, net, 'm2',
            ((26.9,324.825),(26.9,325.085),(27.46,325.085),(27.46,324.825),(26.9,324.825)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(324.955), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(324.955), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[16]']
        createRL(
            tech, net, 'm2',
            ((26.9,321.805),(26.9,322.065),(27.46,322.065),(27.46,321.805),(26.9,321.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(321.935), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(321.935), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[17]']
        createRL(
            tech, net, 'm2',
            ((26.9,320.175),(26.9,320.435),(27.46,320.435),(27.46,320.175),(26.9,320.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(320.305), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(320.305), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[18]']
        createRL(
            tech, net, 'm2',
            ((26.9,317.155),(26.9,317.415),(27.46,317.415),(27.46,317.155),(26.9,317.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(317.285), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(317.285), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[19]']
        createRL(
            tech, net, 'm2',
            ((26.9,315.525),(26.9,315.785),(27.46,315.785),(27.46,315.525),(26.9,315.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(315.655), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(315.655), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[20]']
        createRL(
            tech, net, 'm2',
            ((26.9,312.505),(26.9,312.765),(27.46,312.765),(27.46,312.505),(26.9,312.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(312.635), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(312.635), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[21]']
        createRL(
            tech, net, 'm2',
            ((26.9,310.875),(26.9,311.135),(27.46,311.135),(27.46,310.875),(26.9,310.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(311.005), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(311.005), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[22]']
        createRL(
            tech, net, 'm2',
            ((26.9,307.855),(26.9,308.115),(27.46,308.115),(27.46,307.855),(26.9,307.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(307.985), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(307.985), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[23]']
        createRL(
            tech, net, 'm2',
            ((26.9,306.225),(26.9,306.485),(27.46,306.485),(27.46,306.225),(26.9,306.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(306.355), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(306.355), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[24]']
        createRL(
            tech, net, 'm2',
            ((26.9,303.205),(26.9,303.465),(27.46,303.465),(27.46,303.205),(26.9,303.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(303.335), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(303.335), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[25]']
        createRL(
            tech, net, 'm2',
            ((26.9,301.575),(26.9,301.835),(27.46,301.835),(27.46,301.575),(26.9,301.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(301.705), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(301.705), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[26]']
        createRL(
            tech, net, 'm2',
            ((26.9,298.555),(26.9,298.815),(27.46,298.815),(27.46,298.555),(26.9,298.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(298.685), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(298.685), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[27]']
        createRL(
            tech, net, 'm2',
            ((26.9,296.925),(26.9,297.185),(27.46,297.185),(27.46,296.925),(26.9,296.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(297.055), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(297.055), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[28]']
        createRL(
            tech, net, 'm2',
            ((26.9,293.905),(26.9,294.165),(27.46,294.165),(27.46,293.905),(26.9,293.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(294.035), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(294.035), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[29]']
        createRL(
            tech, net, 'm2',
            ((26.9,292.275),(26.9,292.535),(27.46,292.535),(27.46,292.275),(26.9,292.275)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(292.405), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(292.405), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[30]']
        createRL(
            tech, net, 'm2',
            ((26.9,289.255),(26.9,289.515),(27.46,289.515),(27.46,289.255),(26.9,289.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(289.385), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(289.385), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[31]']
        createRL(
            tech, net, 'm2',
            ((26.9,287.625),(26.9,287.885),(27.46,287.885),(27.46,287.625),(26.9,287.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(287.755), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(287.755), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[32]']
        createRL(
            tech, net, 'm2',
            ((26.9,284.605),(26.9,284.865),(27.46,284.865),(27.46,284.605),(26.9,284.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(284.735), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(284.735), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[33]']
        createRL(
            tech, net, 'm2',
            ((26.9,282.975),(26.9,283.235),(27.46,283.235),(27.46,282.975),(26.9,282.975)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(283.105), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(283.105), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[34]']
        createRL(
            tech, net, 'm2',
            ((26.9,279.955),(26.9,280.215),(27.46,280.215),(27.46,279.955),(26.9,279.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(280.085), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(280.085), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[35]']
        createRL(
            tech, net, 'm2',
            ((26.9,278.325),(26.9,278.585),(27.46,278.585),(27.46,278.325),(26.9,278.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(278.455), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(278.455), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[36]']
        createRL(
            tech, net, 'm2',
            ((26.9,275.305),(26.9,275.565),(27.46,275.565),(27.46,275.305),(26.9,275.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(275.435), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(275.435), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[37]']
        createRL(
            tech, net, 'm2',
            ((26.9,273.675),(26.9,273.935),(27.46,273.935),(27.46,273.675),(26.9,273.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(273.805), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(273.805), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[38]']
        createRL(
            tech, net, 'm2',
            ((26.9,270.655),(26.9,270.915),(27.46,270.915),(27.46,270.655),(26.9,270.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(270.785), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(270.785), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[39]']
        createRL(
            tech, net, 'm2',
            ((26.9,269.025),(26.9,269.285),(27.46,269.285),(27.46,269.025),(26.9,269.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(269.155), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(269.155), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[40]']
        createRL(
            tech, net, 'm2',
            ((26.9,266.005),(26.9,266.265),(27.46,266.265),(27.46,266.005),(26.9,266.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(266.135), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(266.135), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[41]']
        createRL(
            tech, net, 'm2',
            ((26.9,264.375),(26.9,264.635),(27.46,264.635),(27.46,264.375),(26.9,264.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(264.505), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(264.505), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[42]']
        createRL(
            tech, net, 'm2',
            ((26.9,261.355),(26.9,261.615),(27.46,261.615),(27.46,261.355),(26.9,261.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(261.485), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(261.485), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[43]']
        createRL(
            tech, net, 'm2',
            ((26.9,259.725),(26.9,259.985),(27.46,259.985),(27.46,259.725),(26.9,259.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(259.855), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(259.855), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[44]']
        createRL(
            tech, net, 'm2',
            ((26.9,256.705),(26.9,256.965),(27.46,256.965),(27.46,256.705),(26.9,256.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(256.835), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(256.835), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[45]']
        createRL(
            tech, net, 'm2',
            ((26.9,255.075),(26.9,255.335),(27.46,255.335),(27.46,255.075),(26.9,255.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(255.205), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(255.205), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[46]']
        createRL(
            tech, net, 'm2',
            ((26.9,252.055),(26.9,252.315),(27.46,252.315),(27.46,252.055),(26.9,252.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(252.185), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(252.185), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[47]']
        createRL(
            tech, net, 'm2',
            ((26.9,250.425),(26.9,250.685),(27.46,250.685),(27.46,250.425),(26.9,250.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(250.555), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(250.555), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[48]']
        createRL(
            tech, net, 'm2',
            ((26.9,247.405),(26.9,247.665),(27.46,247.665),(27.46,247.405),(26.9,247.405)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(247.535), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(247.535), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[49]']
        createRL(
            tech, net, 'm2',
            ((26.9,245.775),(26.9,246.035),(27.46,246.035),(27.46,245.775),(26.9,245.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(245.905), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(245.905), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[50]']
        createRL(
            tech, net, 'm2',
            ((26.9,242.755),(26.9,243.015),(27.46,243.015),(27.46,242.755),(26.9,242.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(242.885), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(242.885), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[51]']
        createRL(
            tech, net, 'm2',
            ((26.9,241.125),(26.9,241.385),(27.46,241.385),(27.46,241.125),(26.9,241.125)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(241.255), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(241.255), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[52]']
        createRL(
            tech, net, 'm2',
            ((26.9,238.105),(26.9,238.365),(27.46,238.365),(27.46,238.105),(26.9,238.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(238.235), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(238.235), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[53]']
        createRL(
            tech, net, 'm2',
            ((26.9,236.475),(26.9,236.735),(27.46,236.735),(27.46,236.475),(26.9,236.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(236.605), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(236.605), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[54]']
        createRL(
            tech, net, 'm2',
            ((26.9,233.455),(26.9,233.715),(27.46,233.715),(27.46,233.455),(26.9,233.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(233.585), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(233.585), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[55]']
        createRL(
            tech, net, 'm2',
            ((26.9,231.825),(26.9,232.085),(27.46,232.085),(27.46,231.825),(26.9,231.825)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(231.955), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(231.955), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[56]']
        createRL(
            tech, net, 'm2',
            ((26.9,228.805),(26.9,229.065),(27.46,229.065),(27.46,228.805),(26.9,228.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(228.935), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(228.935), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[57]']
        createRL(
            tech, net, 'm2',
            ((26.9,227.175),(26.9,227.435),(27.46,227.435),(27.46,227.175),(26.9,227.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(227.305), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(227.305), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[58]']
        createRL(
            tech, net, 'm2',
            ((26.9,224.155),(26.9,224.415),(27.46,224.415),(27.46,224.155),(26.9,224.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(224.285), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(224.285), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[59]']
        createRL(
            tech, net, 'm2',
            ((26.9,222.525),(26.9,222.785),(27.46,222.785),(27.46,222.525),(26.9,222.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(222.655), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(222.655), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[60]']
        createRL(
            tech, net, 'm2',
            ((26.9,219.505),(26.9,219.765),(27.46,219.765),(27.46,219.505),(26.9,219.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(219.635), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(219.635), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[61]']
        createRL(
            tech, net, 'm2',
            ((26.9,217.875),(26.9,218.135),(27.46,218.135),(27.46,217.875),(26.9,217.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(218.005), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(218.005), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[62]']
        createRL(
            tech, net, 'm2',
            ((26.9,214.855),(26.9,215.115),(27.46,215.115),(27.46,214.855),(26.9,214.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(214.985), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(214.985), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[63]']
        createRL(
            tech, net, 'm2',
            ((26.9,213.225),(26.9,213.485),(27.46,213.485),(27.46,213.225),(26.9,213.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(213.355), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(213.355), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[64]']
        createRL(
            tech, net, 'm2',
            ((26.9,210.205),(26.9,210.465),(27.46,210.465),(27.46,210.205),(26.9,210.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(210.335), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(210.335), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[65]']
        createRL(
            tech, net, 'm2',
            ((26.9,208.575),(26.9,208.835),(27.46,208.835),(27.46,208.575),(26.9,208.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(208.705), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(208.705), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[66]']
        createRL(
            tech, net, 'm2',
            ((26.9,205.555),(26.9,205.815),(27.46,205.815),(27.46,205.555),(26.9,205.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(205.685), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(205.685), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[67]']
        createRL(
            tech, net, 'm2',
            ((26.9,203.925),(26.9,204.185),(27.46,204.185),(27.46,203.925),(26.9,203.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(204.055), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(204.055), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[68]']
        createRL(
            tech, net, 'm2',
            ((26.9,200.905),(26.9,201.165),(27.46,201.165),(27.46,200.905),(26.9,200.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(201.035), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(201.035), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[69]']
        createRL(
            tech, net, 'm2',
            ((26.9,199.275),(26.9,199.535),(27.46,199.535),(27.46,199.275),(26.9,199.275)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(199.405), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(199.405), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[70]']
        createRL(
            tech, net, 'm2',
            ((26.9,196.255),(26.9,196.515),(27.46,196.515),(27.46,196.255),(26.9,196.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(196.385), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(196.385), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[71]']
        createRL(
            tech, net, 'm2',
            ((26.9,194.625),(26.9,194.885),(27.46,194.885),(27.46,194.625),(26.9,194.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(194.755), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(194.755), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[72]']
        createRL(
            tech, net, 'm2',
            ((26.9,191.605),(26.9,191.865),(27.46,191.865),(27.46,191.605),(26.9,191.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(191.735), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(191.735), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[73]']
        createRL(
            tech, net, 'm2',
            ((26.9,189.975),(26.9,190.235),(27.46,190.235),(27.46,189.975),(26.9,189.975)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(190.105), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(190.105), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[74]']
        createRL(
            tech, net, 'm2',
            ((26.9,186.955),(26.9,187.215),(27.46,187.215),(27.46,186.955),(26.9,186.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(187.085), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(187.085), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[75]']
        createRL(
            tech, net, 'm2',
            ((26.9,185.325),(26.9,185.585),(27.46,185.585),(27.46,185.325),(26.9,185.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(185.455), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(185.455), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[76]']
        createRL(
            tech, net, 'm2',
            ((26.9,182.305),(26.9,182.565),(27.46,182.565),(27.46,182.305),(26.9,182.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(182.435), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(182.435), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[77]']
        createRL(
            tech, net, 'm2',
            ((26.9,180.675),(26.9,180.935),(27.46,180.935),(27.46,180.675),(26.9,180.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(180.805), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(180.805), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[78]']
        createRL(
            tech, net, 'm2',
            ((26.9,177.655),(26.9,177.915),(27.46,177.915),(27.46,177.655),(26.9,177.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(177.785), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(177.785), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[79]']
        createRL(
            tech, net, 'm2',
            ((26.9,176.025),(26.9,176.285),(27.46,176.285),(27.46,176.025),(26.9,176.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(176.155), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(176.155), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[80]']
        createRL(
            tech, net, 'm2',
            ((26.9,173.005),(26.9,173.265),(27.46,173.265),(27.46,173.005),(26.9,173.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(173.135), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(173.135), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[81]']
        createRL(
            tech, net, 'm2',
            ((26.9,171.375),(26.9,171.635),(27.46,171.635),(27.46,171.375),(26.9,171.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(171.505), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(171.505), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[82]']
        createRL(
            tech, net, 'm2',
            ((26.9,168.355),(26.9,168.615),(27.46,168.615),(27.46,168.355),(26.9,168.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(168.485), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(168.485), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[83]']
        createRL(
            tech, net, 'm2',
            ((26.9,166.725),(26.9,166.985),(27.46,166.985),(27.46,166.725),(26.9,166.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(166.855), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(166.855), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[84]']
        createRL(
            tech, net, 'm2',
            ((26.9,163.705),(26.9,163.965),(27.46,163.965),(27.46,163.705),(26.9,163.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(163.835), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(163.835), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[85]']
        createRL(
            tech, net, 'm2',
            ((26.9,162.075),(26.9,162.335),(27.46,162.335),(27.46,162.075),(26.9,162.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(162.205), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(162.205), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[86]']
        createRL(
            tech, net, 'm2',
            ((26.9,159.055),(26.9,159.315),(27.46,159.315),(27.46,159.055),(26.9,159.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(159.185), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(159.185), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[87]']
        createRL(
            tech, net, 'm2',
            ((26.9,157.425),(26.9,157.685),(27.46,157.685),(27.46,157.425),(26.9,157.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(157.555), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(157.555), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[88]']
        createRL(
            tech, net, 'm2',
            ((26.9,154.405),(26.9,154.665),(27.46,154.665),(27.46,154.405),(26.9,154.405)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(154.535), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(154.535), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[89]']
        createRL(
            tech, net, 'm2',
            ((26.9,152.775),(26.9,153.035),(27.46,153.035),(27.46,152.775),(26.9,152.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(152.905), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(152.905), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[90]']
        createRL(
            tech, net, 'm2',
            ((26.9,149.755),(26.9,150.015),(27.46,150.015),(27.46,149.755),(26.9,149.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(149.885), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(149.885), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[91]']
        createRL(
            tech, net, 'm2',
            ((26.9,148.125),(26.9,148.385),(27.46,148.385),(27.46,148.125),(26.9,148.125)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(148.255), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(148.255), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[92]']
        createRL(
            tech, net, 'm2',
            ((26.9,145.105),(26.9,145.365),(27.46,145.365),(27.46,145.105),(26.9,145.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(145.235), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(145.235), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[93]']
        createRL(
            tech, net, 'm2',
            ((26.9,143.475),(26.9,143.735),(27.46,143.735),(27.46,143.475),(26.9,143.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(143.605), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(143.605), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[94]']
        createRL(
            tech, net, 'm2',
            ((26.9,140.455),(26.9,140.715),(27.46,140.715),(27.46,140.455),(26.9,140.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(140.585), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(140.585), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[95]']
        createRL(
            tech, net, 'm2',
            ((26.9,138.825),(26.9,139.085),(27.46,139.085),(27.46,138.825),(26.9,138.825)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(138.955), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(138.955), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[96]']
        createRL(
            tech, net, 'm2',
            ((26.9,135.805),(26.9,136.065),(27.46,136.065),(27.46,135.805),(26.9,135.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(135.935), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(135.935), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[97]']
        createRL(
            tech, net, 'm2',
            ((26.9,134.175),(26.9,134.435),(27.46,134.435),(27.46,134.175),(26.9,134.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(134.305), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(134.305), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[98]']
        createRL(
            tech, net, 'm2',
            ((26.9,131.155),(26.9,131.415),(27.46,131.415),(27.46,131.155),(26.9,131.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(131.285), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(131.285), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[99]']
        createRL(
            tech, net, 'm2',
            ((26.9,129.525),(26.9,129.785),(27.46,129.785),(27.46,129.525),(26.9,129.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(129.655), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(129.655), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[100]']
        createRL(
            tech, net, 'm2',
            ((26.9,126.505),(26.9,126.765),(27.46,126.765),(27.46,126.505),(26.9,126.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(126.635), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(126.635), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[101]']
        createRL(
            tech, net, 'm2',
            ((26.9,124.875),(26.9,125.135),(27.46,125.135),(27.46,124.875),(26.9,124.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(125.005), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(125.005), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[102]']
        createRL(
            tech, net, 'm2',
            ((26.9,121.855),(26.9,122.115),(27.46,122.115),(27.46,121.855),(26.9,121.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(121.985), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(121.985), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[103]']
        createRL(
            tech, net, 'm2',
            ((26.9,120.225),(26.9,120.485),(27.46,120.485),(27.46,120.225),(26.9,120.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(120.355), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(120.355), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[104]']
        createRL(
            tech, net, 'm2',
            ((26.9,117.205),(26.9,117.465),(27.46,117.465),(27.46,117.205),(26.9,117.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(117.335), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(117.335), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[105]']
        createRL(
            tech, net, 'm2',
            ((26.9,115.575),(26.9,115.835),(27.46,115.835),(27.46,115.575),(26.9,115.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(115.705), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(115.705), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[106]']
        createRL(
            tech, net, 'm2',
            ((26.9,112.555),(26.9,112.815),(27.46,112.815),(27.46,112.555),(26.9,112.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(112.685), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(112.685), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[107]']
        createRL(
            tech, net, 'm2',
            ((26.9,110.925),(26.9,111.185),(27.46,111.185),(27.46,110.925),(26.9,110.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(111.055), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(111.055), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[108]']
        createRL(
            tech, net, 'm2',
            ((26.9,107.905),(26.9,108.165),(27.46,108.165),(27.46,107.905),(26.9,107.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(108.035), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(108.035), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[109]']
        createRL(
            tech, net, 'm2',
            ((26.9,106.275),(26.9,106.535),(27.46,106.535),(27.46,106.275),(26.9,106.275)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(106.405), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(106.405), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[110]']
        createRL(
            tech, net, 'm2',
            ((26.9,103.255),(26.9,103.515),(27.46,103.515),(27.46,103.255),(26.9,103.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(103.385), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(103.385), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[111]']
        createRL(
            tech, net, 'm2',
            ((26.9,101.625),(26.9,101.885),(27.46,101.885),(27.46,101.625),(26.9,101.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(101.755), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(101.755), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[112]']
        createRL(
            tech, net, 'm2',
            ((26.9,98.605),(26.9,98.865),(27.46,98.865),(27.46,98.605),(26.9,98.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(98.735), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(98.735), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[113]']
        createRL(
            tech, net, 'm2',
            ((26.9,96.975),(26.9,97.235),(27.46,97.235),(27.46,96.975),(26.9,96.975)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(97.105), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(97.105), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[114]']
        createRL(
            tech, net, 'm2',
            ((26.9,93.955),(26.9,94.215),(27.46,94.215),(27.46,93.955),(26.9,93.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(94.085), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(94.085), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[115]']
        createRL(
            tech, net, 'm2',
            ((26.9,92.325),(26.9,92.585),(27.46,92.585),(27.46,92.325),(26.9,92.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(92.455), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(92.455), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[116]']
        createRL(
            tech, net, 'm2',
            ((26.9,89.305),(26.9,89.565),(27.46,89.565),(27.46,89.305),(26.9,89.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(89.435), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(89.435), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[117]']
        createRL(
            tech, net, 'm2',
            ((26.9,87.675),(26.9,87.935),(27.46,87.935),(27.46,87.675),(26.9,87.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(87.805), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(87.805), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[118]']
        createRL(
            tech, net, 'm2',
            ((26.9,84.655),(26.9,84.915),(27.46,84.915),(27.46,84.655),(26.9,84.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(84.785), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(84.785), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[119]']
        createRL(
            tech, net, 'm2',
            ((26.9,83.025),(26.9,83.285),(27.46,83.285),(27.46,83.025),(26.9,83.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(83.155), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(83.155), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[120]']
        createRL(
            tech, net, 'm2',
            ((26.9,80.005),(26.9,80.265),(27.46,80.265),(27.46,80.005),(26.9,80.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(80.135), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(80.135), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[121]']
        createRL(
            tech, net, 'm2',
            ((26.9,78.375),(26.9,78.635),(27.46,78.635),(27.46,78.375),(26.9,78.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(78.505), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(78.505), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[122]']
        createRL(
            tech, net, 'm2',
            ((26.9,75.355),(26.9,75.615),(27.46,75.615),(27.46,75.355),(26.9,75.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(75.485), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(75.485), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[123]']
        createRL(
            tech, net, 'm2',
            ((26.9,73.725),(26.9,73.985),(27.46,73.985),(27.46,73.725),(26.9,73.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(73.855), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(73.855), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[124]']
        createRL(
            tech, net, 'm2',
            ((26.9,70.705),(26.9,70.965),(27.46,70.965),(27.46,70.705),(26.9,70.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(70.835), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(70.835), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[125]']
        createRL(
            tech, net, 'm2',
            ((26.9,69.075),(26.9,69.335),(27.46,69.335),(27.46,69.075),(26.9,69.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(69.205), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(69.205), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[126]']
        createRL(
            tech, net, 'm2',
            ((26.9,66.055),(26.9,66.315),(27.46,66.315),(27.46,66.055),(26.9,66.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(66.185), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(66.185), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[127]']
        createRL(
            tech, net, 'm2',
            ((26.9,64.425),(26.9,64.685),(27.46,64.685),(27.46,64.425),(26.9,64.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(64.555), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(64.555), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['columnclk']
        createRL(
            tech, net, 'li',
            ((18.1,26.405),(18.1,26.575),(18.63,26.575),(18.63,26.405),(18.1,26.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,26.405),(18.1,26.575),(18.27,26.575),(18.27,26.405),(18.1,26.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,26.405),(18.46,26.575),(18.63,26.575),(18.63,26.405),(18.46,26.405)),
        )
        createRL(
            tech, net, 'm1',
            ((18.07,2.1),(18.07,26.635),(18.66,26.635),(18.66,2.75),(27.46,2.75),(27.46,2.1),(18.07,2.1)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(2.425), u(0.65), u(18.07), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(2.425), u(0.65), u(18.07), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_en']
        createRL(
            tech, net, 'li',
            ((18.1,29.405),(18.1,29.575),(18.63,29.575),(18.63,29.405),(18.1,29.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,29.405),(18.1,29.575),(18.27,29.575),(18.27,29.405),(18.1,29.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,29.405),(18.46,29.575),(18.63,29.575),(18.63,29.405),(18.46,29.405)),
        )
        createRL(
            tech, net, 'm1',
            ((18.94,3.03),(18.94,29.345),(18.07,29.345),(18.07,29.635),(19.59,29.635),(19.59,3.68),(27.46,3.68),(27.46,3.03),(18.94,3.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(3.355), u(0.65), u(18.940000000000005), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(3.355), u(0.65), u(18.940000000000005), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[3]']
        createRL(
            tech, net, 'li',
            ((18.1,49.89),(18.1,50.06),(18.63,50.06),(18.63,49.89),(18.1,49.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,49.89),(18.1,50.06),(18.27,50.06),(18.27,49.89),(18.1,49.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,49.89),(18.46,50.06),(18.63,50.06),(18.63,49.89),(18.46,49.89)),
        )
        createRL(
            tech, net, 'm1',
            ((18.04,49.86),(18.04,51.97),(27.46,51.97),(27.46,51.71),(18.69,51.71),(18.69,49.86),(18.04,49.86)),
        )
        createRL(
            tech, net, 'via',
            ((26.905,51.765),(26.905,51.915),(27.055,51.915),(27.055,51.765),(26.905,51.765)),
        )
        createRL(
            tech, net, 'via',
            ((27.225,51.765),(27.225,51.915),(27.375,51.915),(27.375,51.765),(27.225,51.765)),
        )
        createRL(
            tech, net, 'm2',
            ((26.82,51.71),(26.82,51.97),(27.46,51.97),(27.46,51.71),(26.82,51.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.84), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.84), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[2]']
        createRL(
            tech, net, 'li',
            ((18.1,45.89),(18.1,46.06),(18.63,46.06),(18.63,45.89),(18.1,45.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,45.89),(18.1,46.06),(18.27,46.06),(18.27,45.89),(18.1,45.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,45.89),(18.46,46.06),(18.63,46.06),(18.63,45.89),(18.46,45.89)),
        )
        createRL(
            tech, net, 'm1',
            ((18.04,45.86),(18.04,46.09),(18.97,46.09),(18.97,51.51),(27.46,51.51),(27.46,51.25),(19.23,51.25),(19.23,45.86),(18.04,45.86)),
        )
        createRL(
            tech, net, 'via',
            ((26.905,51.305),(26.905,51.455),(27.055,51.455),(27.055,51.305),(26.905,51.305)),
        )
        createRL(
            tech, net, 'via',
            ((27.225,51.305),(27.225,51.455),(27.375,51.455),(27.375,51.305),(27.225,51.305)),
        )
        createRL(
            tech, net, 'm2',
            ((26.82,51.25),(26.82,51.51),(27.46,51.51),(27.46,51.25),(26.82,51.25)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.38), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.38), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[1]']
        createRL(
            tech, net, 'li',
            ((18.1,41.89),(18.1,42.06),(18.63,42.06),(18.63,41.89),(18.1,41.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,41.89),(18.1,42.06),(18.27,42.06),(18.27,41.89),(18.1,41.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,41.89),(18.46,42.06),(18.63,42.06),(18.63,41.89),(18.46,41.89)),
        )
        createRL(
            tech, net, 'm1',
            ((18.04,41.86),(18.04,42.09),(19.51,42.09),(19.51,51.05),(27.46,51.05),(27.46,50.79),(19.77,50.79),(19.77,41.86),(18.04,41.86)),
        )
        createRL(
            tech, net, 'via',
            ((26.905,50.845),(26.905,50.995),(27.055,50.995),(27.055,50.845),(26.905,50.845)),
        )
        createRL(
            tech, net, 'via',
            ((27.225,50.845),(27.225,50.995),(27.375,50.995),(27.375,50.845),(27.225,50.845)),
        )
        createRL(
            tech, net, 'm2',
            ((26.82,50.79),(26.82,51.05),(27.46,51.05),(27.46,50.79),(26.82,50.79)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.92), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.92), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[0]']
        createRL(
            tech, net, 'li',
            ((18.1,37.89),(18.1,38.06),(18.63,38.06),(18.63,37.89),(18.1,37.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,37.89),(18.1,38.06),(18.27,38.06),(18.27,37.89),(18.1,37.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,37.89),(18.46,38.06),(18.63,38.06),(18.63,37.89),(18.46,37.89)),
        )
        createRL(
            tech, net, 'm1',
            ((18.04,37.86),(18.04,38.09),(20.05,38.09),(20.05,50.59),(27.46,50.59),(27.46,50.33),(20.31,50.33),(20.31,37.86),(18.04,37.86)),
        )
        createRL(
            tech, net, 'via',
            ((26.905,50.385),(26.905,50.535),(27.055,50.535),(27.055,50.385),(26.905,50.385)),
        )
        createRL(
            tech, net, 'via',
            ((27.225,50.385),(27.225,50.535),(27.375,50.535),(27.375,50.385),(27.225,50.385)),
        )
        createRL(
            tech, net, 'm2',
            ((26.82,50.33),(26.82,50.59),(27.46,50.59),(27.46,50.33),(26.82,50.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.46), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.46), u(0.26), u(26.819999999999993), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['precharge_n']
        createRL(
            tech, net, 'li',
            ((18.1,31.89),(18.1,32.06),(18.63,32.06),(18.63,31.89),(18.1,31.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.1,31.89),(18.1,32.06),(18.27,32.06),(18.27,31.89),(18.1,31.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,31.89),(18.46,32.06),(18.63,32.06),(18.63,31.89),(18.46,31.89)),
        )
        createRL(
            tech, net, 'm1',
            ((26.28,31.655),(26.28,31.86),(18.04,31.86),(18.04,32.09),(26.28,32.09),(26.28,32.295),(26.54,32.295),(26.54,31.655),(26.28,31.655)),
        )
        createRL(
            tech, net, 'via',
            ((26.335,31.74),(26.335,31.89),(26.485,31.89),(26.485,31.74),(26.335,31.74)),
        )
        createRL(
            tech, net, 'via',
            ((26.335,32.06),(26.335,32.21),(26.485,32.21),(26.485,32.06),(26.335,32.06)),
        )
        createRL(
            tech, net, 'm2',
            ((26.28,31.655),(26.28,62.04),(27.46,62.04),(27.46,61.78),(26.54,61.78),(26.54,31.655),(26.28,31.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(61.91), u(0.26), u(26.279999999999994), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(61.91), u(0.26), u(26.279999999999994), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_en']
        createRL(
            tech, net, 'li',
            ((8.1,29.405),(8.1,29.575),(8.63,29.575),(8.63,29.405),(8.1,29.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.1,29.405),(8.1,29.575),(8.27,29.575),(8.27,29.405),(8.1,29.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.46,29.405),(8.46,29.575),(8.63,29.575),(8.63,29.405),(8.46,29.405)),
        )
        createRL(
            tech, net, 'm1',
            ((22.9,61.845),(22.9,63.045),(23.16,63.045),(23.16,61.845),(22.9,61.845)),
        )
        createRL(
            tech, net, 'm1',
            ((8.045,29.36),(8.045,29.375),(8.04,29.375),(8.04,29.605),(8.045,29.605),(8.045,29.62),(8.685,29.62),(8.685,29.605),(8.69,29.605),(8.69,29.375),(8.685,29.375),(8.685,29.36),(8.045,29.36)),
        )
        createRL(
            tech, net, 'via',
            ((8.13,29.415),(8.13,29.565),(8.28,29.565),(8.28,29.415),(8.13,29.415)),
        )
        createRL(
            tech, net, 'via',
            ((8.45,29.415),(8.45,29.565),(8.6,29.565),(8.6,29.415),(8.45,29.415)),
        )
        createRL(
            tech, net, 'via',
            ((22.955,61.93),(22.955,62.08),(23.105,62.08),(23.105,61.93),(22.955,61.93)),
        )
        createRL(
            tech, net, 'via',
            ((22.955,62.25),(22.955,62.4),(23.105,62.4),(23.105,62.25),(22.955,62.25)),
        )
        createRL(
            tech, net, 'm2',
            ((8.045,29.36),(8.045,29.62),(22.9,29.62),(22.9,62.485),(23.16,62.485),(23.16,29.36),(8.045,29.36)),
        )
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,360.645),(27.46,360.645),(27.46,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['a[0]'].setDirection(Net.Direction.IN)
        nets['a[1]'].setDirection(Net.Direction.IN)
        nets['a[2]'].setDirection(Net.Direction.IN)
        nets['a[3]'].setDirection(Net.Direction.IN)
        nets['a[4]'].setDirection(Net.Direction.IN)
        nets['a[5]'].setDirection(Net.Direction.IN)
        nets['a[6]'].setDirection(Net.Direction.IN)
        nets['a[7]'].setDirection(Net.Direction.IN)
        nets['a[8]'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['wl[4]'].setDirection(Net.Direction.IN)
        nets['wl[5]'].setDirection(Net.Direction.IN)
        nets['wl[6]'].setDirection(Net.Direction.IN)
        nets['wl[7]'].setDirection(Net.Direction.IN)
        nets['wl[8]'].setDirection(Net.Direction.IN)
        nets['wl[9]'].setDirection(Net.Direction.IN)
        nets['wl[10]'].setDirection(Net.Direction.IN)
        nets['wl[11]'].setDirection(Net.Direction.IN)
        nets['wl[12]'].setDirection(Net.Direction.IN)
        nets['wl[13]'].setDirection(Net.Direction.IN)
        nets['wl[14]'].setDirection(Net.Direction.IN)
        nets['wl[15]'].setDirection(Net.Direction.IN)
        nets['wl[16]'].setDirection(Net.Direction.IN)
        nets['wl[17]'].setDirection(Net.Direction.IN)
        nets['wl[18]'].setDirection(Net.Direction.IN)
        nets['wl[19]'].setDirection(Net.Direction.IN)
        nets['wl[20]'].setDirection(Net.Direction.IN)
        nets['wl[21]'].setDirection(Net.Direction.IN)
        nets['wl[22]'].setDirection(Net.Direction.IN)
        nets['wl[23]'].setDirection(Net.Direction.IN)
        nets['wl[24]'].setDirection(Net.Direction.IN)
        nets['wl[25]'].setDirection(Net.Direction.IN)
        nets['wl[26]'].setDirection(Net.Direction.IN)
        nets['wl[27]'].setDirection(Net.Direction.IN)
        nets['wl[28]'].setDirection(Net.Direction.IN)
        nets['wl[29]'].setDirection(Net.Direction.IN)
        nets['wl[30]'].setDirection(Net.Direction.IN)
        nets['wl[31]'].setDirection(Net.Direction.IN)
        nets['wl[32]'].setDirection(Net.Direction.IN)
        nets['wl[33]'].setDirection(Net.Direction.IN)
        nets['wl[34]'].setDirection(Net.Direction.IN)
        nets['wl[35]'].setDirection(Net.Direction.IN)
        nets['wl[36]'].setDirection(Net.Direction.IN)
        nets['wl[37]'].setDirection(Net.Direction.IN)
        nets['wl[38]'].setDirection(Net.Direction.IN)
        nets['wl[39]'].setDirection(Net.Direction.IN)
        nets['wl[40]'].setDirection(Net.Direction.IN)
        nets['wl[41]'].setDirection(Net.Direction.IN)
        nets['wl[42]'].setDirection(Net.Direction.IN)
        nets['wl[43]'].setDirection(Net.Direction.IN)
        nets['wl[44]'].setDirection(Net.Direction.IN)
        nets['wl[45]'].setDirection(Net.Direction.IN)
        nets['wl[46]'].setDirection(Net.Direction.IN)
        nets['wl[47]'].setDirection(Net.Direction.IN)
        nets['wl[48]'].setDirection(Net.Direction.IN)
        nets['wl[49]'].setDirection(Net.Direction.IN)
        nets['wl[50]'].setDirection(Net.Direction.IN)
        nets['wl[51]'].setDirection(Net.Direction.IN)
        nets['wl[52]'].setDirection(Net.Direction.IN)
        nets['wl[53]'].setDirection(Net.Direction.IN)
        nets['wl[54]'].setDirection(Net.Direction.IN)
        nets['wl[55]'].setDirection(Net.Direction.IN)
        nets['wl[56]'].setDirection(Net.Direction.IN)
        nets['wl[57]'].setDirection(Net.Direction.IN)
        nets['wl[58]'].setDirection(Net.Direction.IN)
        nets['wl[59]'].setDirection(Net.Direction.IN)
        nets['wl[60]'].setDirection(Net.Direction.IN)
        nets['wl[61]'].setDirection(Net.Direction.IN)
        nets['wl[62]'].setDirection(Net.Direction.IN)
        nets['wl[63]'].setDirection(Net.Direction.IN)
        nets['wl[64]'].setDirection(Net.Direction.IN)
        nets['wl[65]'].setDirection(Net.Direction.IN)
        nets['wl[66]'].setDirection(Net.Direction.IN)
        nets['wl[67]'].setDirection(Net.Direction.IN)
        nets['wl[68]'].setDirection(Net.Direction.IN)
        nets['wl[69]'].setDirection(Net.Direction.IN)
        nets['wl[70]'].setDirection(Net.Direction.IN)
        nets['wl[71]'].setDirection(Net.Direction.IN)
        nets['wl[72]'].setDirection(Net.Direction.IN)
        nets['wl[73]'].setDirection(Net.Direction.IN)
        nets['wl[74]'].setDirection(Net.Direction.IN)
        nets['wl[75]'].setDirection(Net.Direction.IN)
        nets['wl[76]'].setDirection(Net.Direction.IN)
        nets['wl[77]'].setDirection(Net.Direction.IN)
        nets['wl[78]'].setDirection(Net.Direction.IN)
        nets['wl[79]'].setDirection(Net.Direction.IN)
        nets['wl[80]'].setDirection(Net.Direction.IN)
        nets['wl[81]'].setDirection(Net.Direction.IN)
        nets['wl[82]'].setDirection(Net.Direction.IN)
        nets['wl[83]'].setDirection(Net.Direction.IN)
        nets['wl[84]'].setDirection(Net.Direction.IN)
        nets['wl[85]'].setDirection(Net.Direction.IN)
        nets['wl[86]'].setDirection(Net.Direction.IN)
        nets['wl[87]'].setDirection(Net.Direction.IN)
        nets['wl[88]'].setDirection(Net.Direction.IN)
        nets['wl[89]'].setDirection(Net.Direction.IN)
        nets['wl[90]'].setDirection(Net.Direction.IN)
        nets['wl[91]'].setDirection(Net.Direction.IN)
        nets['wl[92]'].setDirection(Net.Direction.IN)
        nets['wl[93]'].setDirection(Net.Direction.IN)
        nets['wl[94]'].setDirection(Net.Direction.IN)
        nets['wl[95]'].setDirection(Net.Direction.IN)
        nets['wl[96]'].setDirection(Net.Direction.IN)
        nets['wl[97]'].setDirection(Net.Direction.IN)
        nets['wl[98]'].setDirection(Net.Direction.IN)
        nets['wl[99]'].setDirection(Net.Direction.IN)
        nets['wl[100]'].setDirection(Net.Direction.IN)
        nets['wl[101]'].setDirection(Net.Direction.IN)
        nets['wl[102]'].setDirection(Net.Direction.IN)
        nets['wl[103]'].setDirection(Net.Direction.IN)
        nets['wl[104]'].setDirection(Net.Direction.IN)
        nets['wl[105]'].setDirection(Net.Direction.IN)
        nets['wl[106]'].setDirection(Net.Direction.IN)
        nets['wl[107]'].setDirection(Net.Direction.IN)
        nets['wl[108]'].setDirection(Net.Direction.IN)
        nets['wl[109]'].setDirection(Net.Direction.IN)
        nets['wl[110]'].setDirection(Net.Direction.IN)
        nets['wl[111]'].setDirection(Net.Direction.IN)
        nets['wl[112]'].setDirection(Net.Direction.IN)
        nets['wl[113]'].setDirection(Net.Direction.IN)
        nets['wl[114]'].setDirection(Net.Direction.IN)
        nets['wl[115]'].setDirection(Net.Direction.IN)
        nets['wl[116]'].setDirection(Net.Direction.IN)
        nets['wl[117]'].setDirection(Net.Direction.IN)
        nets['wl[118]'].setDirection(Net.Direction.IN)
        nets['wl[119]'].setDirection(Net.Direction.IN)
        nets['wl[120]'].setDirection(Net.Direction.IN)
        nets['wl[121]'].setDirection(Net.Direction.IN)
        nets['wl[122]'].setDirection(Net.Direction.IN)
        nets['wl[123]'].setDirection(Net.Direction.IN)
        nets['wl[124]'].setDirection(Net.Direction.IN)
        nets['wl[125]'].setDirection(Net.Direction.IN)
        nets['wl[126]'].setDirection(Net.Direction.IN)
        nets['wl[127]'].setDirection(Net.Direction.IN)
        nets['mux[0]'].setDirection(Net.Direction.IN)
        nets['mux[1]'].setDirection(Net.Direction.IN)
        nets['mux[2]'].setDirection(Net.Direction.IN)
        nets['mux[3]'].setDirection(Net.Direction.IN)
        nets['columnclk'].setDirection(Net.Direction.IN)
        nets['precharge_n'].setDirection(Net.Direction.IN)
        nets['we_en'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TClockGenerator']
        except:
            subcell = af.getCell('DP8TClockGenerator', 0)
        trans = Transformation(
            u(10.0), u(5.045000000000002), Transformation.Orientation.R1,
        )
        Instance.create(
            cell, 'clkgen', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TLatchedDecoder_2A2R']
        except:
            subcell = af.getCell('DP8TLatchedDecoder_2A2R', 0)
        trans = Transformation(
            u(10.0), u(33.045), Transformation.Orientation.R1,
        )
        Instance.create(
            cell, 'coldec', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoder_3_4B_wl2']
        except:
            subcell = af.getCell('DP8TRowDecoder_3_4B_wl2', 0)
        trans = Transformation(
            u(0.0), u(63.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'rowdec', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TColumn_128R8B4M']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(107.20000000000002), u(423.69000000000005),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'clk1': Net.create(cell, 'clk1'),
            'clk2': Net.create(cell, 'clk2'),
            'd1[0]': Net.create(cell, 'd1[0]'),
            'd1[1]': Net.create(cell, 'd1[1]'),
            'd1[2]': Net.create(cell, 'd1[2]'),
            'd1[3]': Net.create(cell, 'd1[3]'),
            'd1[4]': Net.create(cell, 'd1[4]'),
            'd1[5]': Net.create(cell, 'd1[5]'),
            'd1[6]': Net.create(cell, 'd1[6]'),
            'd1[7]': Net.create(cell, 'd1[7]'),
            'd2[0]': Net.create(cell, 'd2[0]'),
            'd2[1]': Net.create(cell, 'd2[1]'),
            'd2[2]': Net.create(cell, 'd2[2]'),
            'd2[3]': Net.create(cell, 'd2[3]'),
            'd2[4]': Net.create(cell, 'd2[4]'),
            'd2[5]': Net.create(cell, 'd2[5]'),
            'd2[6]': Net.create(cell, 'd2[6]'),
            'd2[7]': Net.create(cell, 'd2[7]'),
            'mux1[0]': Net.create(cell, 'mux1[0]'),
            'mux1[1]': Net.create(cell, 'mux1[1]'),
            'mux1[2]': Net.create(cell, 'mux1[2]'),
            'mux1[3]': Net.create(cell, 'mux1[3]'),
            'mux2[0]': Net.create(cell, 'mux2[0]'),
            'mux2[1]': Net.create(cell, 'mux2[1]'),
            'mux2[2]': Net.create(cell, 'mux2[2]'),
            'mux2[3]': Net.create(cell, 'mux2[3]'),
            'precharge1_n': Net.create(cell, 'precharge1_n'),
            'precharge2_n': Net.create(cell, 'precharge2_n'),
            'q1[0]': Net.create(cell, 'q1[0]'),
            'q1[1]': Net.create(cell, 'q1[1]'),
            'q1[2]': Net.create(cell, 'q1[2]'),
            'q1[3]': Net.create(cell, 'q1[3]'),
            'q1[4]': Net.create(cell, 'q1[4]'),
            'q1[5]': Net.create(cell, 'q1[5]'),
            'q1[6]': Net.create(cell, 'q1[6]'),
            'q1[7]': Net.create(cell, 'q1[7]'),
            'q2[0]': Net.create(cell, 'q2[0]'),
            'q2[1]': Net.create(cell, 'q2[1]'),
            'q2[2]': Net.create(cell, 'q2[2]'),
            'q2[3]': Net.create(cell, 'q2[3]'),
            'q2[4]': Net.create(cell, 'q2[4]'),
            'q2[5]': Net.create(cell, 'q2[5]'),
            'q2[6]': Net.create(cell, 'q2[6]'),
            'q2[7]': Net.create(cell, 'q2[7]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'we1': Net.create(cell, 'we1'),
            'we2': Net.create(cell, 'we2'),
            'we_en1': Net.create(cell, 'we_en1'),
            'we_en2': Net.create(cell, 'we_en2'),
            'wl1[0]': Net.create(cell, 'wl1[0]'),
            'wl1[100]': Net.create(cell, 'wl1[100]'),
            'wl1[101]': Net.create(cell, 'wl1[101]'),
            'wl1[102]': Net.create(cell, 'wl1[102]'),
            'wl1[103]': Net.create(cell, 'wl1[103]'),
            'wl1[104]': Net.create(cell, 'wl1[104]'),
            'wl1[105]': Net.create(cell, 'wl1[105]'),
            'wl1[106]': Net.create(cell, 'wl1[106]'),
            'wl1[107]': Net.create(cell, 'wl1[107]'),
            'wl1[108]': Net.create(cell, 'wl1[108]'),
            'wl1[109]': Net.create(cell, 'wl1[109]'),
            'wl1[10]': Net.create(cell, 'wl1[10]'),
            'wl1[110]': Net.create(cell, 'wl1[110]'),
            'wl1[111]': Net.create(cell, 'wl1[111]'),
            'wl1[112]': Net.create(cell, 'wl1[112]'),
            'wl1[113]': Net.create(cell, 'wl1[113]'),
            'wl1[114]': Net.create(cell, 'wl1[114]'),
            'wl1[115]': Net.create(cell, 'wl1[115]'),
            'wl1[116]': Net.create(cell, 'wl1[116]'),
            'wl1[117]': Net.create(cell, 'wl1[117]'),
            'wl1[118]': Net.create(cell, 'wl1[118]'),
            'wl1[119]': Net.create(cell, 'wl1[119]'),
            'wl1[11]': Net.create(cell, 'wl1[11]'),
            'wl1[120]': Net.create(cell, 'wl1[120]'),
            'wl1[121]': Net.create(cell, 'wl1[121]'),
            'wl1[122]': Net.create(cell, 'wl1[122]'),
            'wl1[123]': Net.create(cell, 'wl1[123]'),
            'wl1[124]': Net.create(cell, 'wl1[124]'),
            'wl1[125]': Net.create(cell, 'wl1[125]'),
            'wl1[126]': Net.create(cell, 'wl1[126]'),
            'wl1[127]': Net.create(cell, 'wl1[127]'),
            'wl1[12]': Net.create(cell, 'wl1[12]'),
            'wl1[13]': Net.create(cell, 'wl1[13]'),
            'wl1[14]': Net.create(cell, 'wl1[14]'),
            'wl1[15]': Net.create(cell, 'wl1[15]'),
            'wl1[16]': Net.create(cell, 'wl1[16]'),
            'wl1[17]': Net.create(cell, 'wl1[17]'),
            'wl1[18]': Net.create(cell, 'wl1[18]'),
            'wl1[19]': Net.create(cell, 'wl1[19]'),
            'wl1[1]': Net.create(cell, 'wl1[1]'),
            'wl1[20]': Net.create(cell, 'wl1[20]'),
            'wl1[21]': Net.create(cell, 'wl1[21]'),
            'wl1[22]': Net.create(cell, 'wl1[22]'),
            'wl1[23]': Net.create(cell, 'wl1[23]'),
            'wl1[24]': Net.create(cell, 'wl1[24]'),
            'wl1[25]': Net.create(cell, 'wl1[25]'),
            'wl1[26]': Net.create(cell, 'wl1[26]'),
            'wl1[27]': Net.create(cell, 'wl1[27]'),
            'wl1[28]': Net.create(cell, 'wl1[28]'),
            'wl1[29]': Net.create(cell, 'wl1[29]'),
            'wl1[2]': Net.create(cell, 'wl1[2]'),
            'wl1[30]': Net.create(cell, 'wl1[30]'),
            'wl1[31]': Net.create(cell, 'wl1[31]'),
            'wl1[32]': Net.create(cell, 'wl1[32]'),
            'wl1[33]': Net.create(cell, 'wl1[33]'),
            'wl1[34]': Net.create(cell, 'wl1[34]'),
            'wl1[35]': Net.create(cell, 'wl1[35]'),
            'wl1[36]': Net.create(cell, 'wl1[36]'),
            'wl1[37]': Net.create(cell, 'wl1[37]'),
            'wl1[38]': Net.create(cell, 'wl1[38]'),
            'wl1[39]': Net.create(cell, 'wl1[39]'),
            'wl1[3]': Net.create(cell, 'wl1[3]'),
            'wl1[40]': Net.create(cell, 'wl1[40]'),
            'wl1[41]': Net.create(cell, 'wl1[41]'),
            'wl1[42]': Net.create(cell, 'wl1[42]'),
            'wl1[43]': Net.create(cell, 'wl1[43]'),
            'wl1[44]': Net.create(cell, 'wl1[44]'),
            'wl1[45]': Net.create(cell, 'wl1[45]'),
            'wl1[46]': Net.create(cell, 'wl1[46]'),
            'wl1[47]': Net.create(cell, 'wl1[47]'),
            'wl1[48]': Net.create(cell, 'wl1[48]'),
            'wl1[49]': Net.create(cell, 'wl1[49]'),
            'wl1[4]': Net.create(cell, 'wl1[4]'),
            'wl1[50]': Net.create(cell, 'wl1[50]'),
            'wl1[51]': Net.create(cell, 'wl1[51]'),
            'wl1[52]': Net.create(cell, 'wl1[52]'),
            'wl1[53]': Net.create(cell, 'wl1[53]'),
            'wl1[54]': Net.create(cell, 'wl1[54]'),
            'wl1[55]': Net.create(cell, 'wl1[55]'),
            'wl1[56]': Net.create(cell, 'wl1[56]'),
            'wl1[57]': Net.create(cell, 'wl1[57]'),
            'wl1[58]': Net.create(cell, 'wl1[58]'),
            'wl1[59]': Net.create(cell, 'wl1[59]'),
            'wl1[5]': Net.create(cell, 'wl1[5]'),
            'wl1[60]': Net.create(cell, 'wl1[60]'),
            'wl1[61]': Net.create(cell, 'wl1[61]'),
            'wl1[62]': Net.create(cell, 'wl1[62]'),
            'wl1[63]': Net.create(cell, 'wl1[63]'),
            'wl1[64]': Net.create(cell, 'wl1[64]'),
            'wl1[65]': Net.create(cell, 'wl1[65]'),
            'wl1[66]': Net.create(cell, 'wl1[66]'),
            'wl1[67]': Net.create(cell, 'wl1[67]'),
            'wl1[68]': Net.create(cell, 'wl1[68]'),
            'wl1[69]': Net.create(cell, 'wl1[69]'),
            'wl1[6]': Net.create(cell, 'wl1[6]'),
            'wl1[70]': Net.create(cell, 'wl1[70]'),
            'wl1[71]': Net.create(cell, 'wl1[71]'),
            'wl1[72]': Net.create(cell, 'wl1[72]'),
            'wl1[73]': Net.create(cell, 'wl1[73]'),
            'wl1[74]': Net.create(cell, 'wl1[74]'),
            'wl1[75]': Net.create(cell, 'wl1[75]'),
            'wl1[76]': Net.create(cell, 'wl1[76]'),
            'wl1[77]': Net.create(cell, 'wl1[77]'),
            'wl1[78]': Net.create(cell, 'wl1[78]'),
            'wl1[79]': Net.create(cell, 'wl1[79]'),
            'wl1[7]': Net.create(cell, 'wl1[7]'),
            'wl1[80]': Net.create(cell, 'wl1[80]'),
            'wl1[81]': Net.create(cell, 'wl1[81]'),
            'wl1[82]': Net.create(cell, 'wl1[82]'),
            'wl1[83]': Net.create(cell, 'wl1[83]'),
            'wl1[84]': Net.create(cell, 'wl1[84]'),
            'wl1[85]': Net.create(cell, 'wl1[85]'),
            'wl1[86]': Net.create(cell, 'wl1[86]'),
            'wl1[87]': Net.create(cell, 'wl1[87]'),
            'wl1[88]': Net.create(cell, 'wl1[88]'),
            'wl1[89]': Net.create(cell, 'wl1[89]'),
            'wl1[8]': Net.create(cell, 'wl1[8]'),
            'wl1[90]': Net.create(cell, 'wl1[90]'),
            'wl1[91]': Net.create(cell, 'wl1[91]'),
            'wl1[92]': Net.create(cell, 'wl1[92]'),
            'wl1[93]': Net.create(cell, 'wl1[93]'),
            'wl1[94]': Net.create(cell, 'wl1[94]'),
            'wl1[95]': Net.create(cell, 'wl1[95]'),
            'wl1[96]': Net.create(cell, 'wl1[96]'),
            'wl1[97]': Net.create(cell, 'wl1[97]'),
            'wl1[98]': Net.create(cell, 'wl1[98]'),
            'wl1[99]': Net.create(cell, 'wl1[99]'),
            'wl1[9]': Net.create(cell, 'wl1[9]'),
            'wl2[0]': Net.create(cell, 'wl2[0]'),
            'wl2[100]': Net.create(cell, 'wl2[100]'),
            'wl2[101]': Net.create(cell, 'wl2[101]'),
            'wl2[102]': Net.create(cell, 'wl2[102]'),
            'wl2[103]': Net.create(cell, 'wl2[103]'),
            'wl2[104]': Net.create(cell, 'wl2[104]'),
            'wl2[105]': Net.create(cell, 'wl2[105]'),
            'wl2[106]': Net.create(cell, 'wl2[106]'),
            'wl2[107]': Net.create(cell, 'wl2[107]'),
            'wl2[108]': Net.create(cell, 'wl2[108]'),
            'wl2[109]': Net.create(cell, 'wl2[109]'),
            'wl2[10]': Net.create(cell, 'wl2[10]'),
            'wl2[110]': Net.create(cell, 'wl2[110]'),
            'wl2[111]': Net.create(cell, 'wl2[111]'),
            'wl2[112]': Net.create(cell, 'wl2[112]'),
            'wl2[113]': Net.create(cell, 'wl2[113]'),
            'wl2[114]': Net.create(cell, 'wl2[114]'),
            'wl2[115]': Net.create(cell, 'wl2[115]'),
            'wl2[116]': Net.create(cell, 'wl2[116]'),
            'wl2[117]': Net.create(cell, 'wl2[117]'),
            'wl2[118]': Net.create(cell, 'wl2[118]'),
            'wl2[119]': Net.create(cell, 'wl2[119]'),
            'wl2[11]': Net.create(cell, 'wl2[11]'),
            'wl2[120]': Net.create(cell, 'wl2[120]'),
            'wl2[121]': Net.create(cell, 'wl2[121]'),
            'wl2[122]': Net.create(cell, 'wl2[122]'),
            'wl2[123]': Net.create(cell, 'wl2[123]'),
            'wl2[124]': Net.create(cell, 'wl2[124]'),
            'wl2[125]': Net.create(cell, 'wl2[125]'),
            'wl2[126]': Net.create(cell, 'wl2[126]'),
            'wl2[127]': Net.create(cell, 'wl2[127]'),
            'wl2[12]': Net.create(cell, 'wl2[12]'),
            'wl2[13]': Net.create(cell, 'wl2[13]'),
            'wl2[14]': Net.create(cell, 'wl2[14]'),
            'wl2[15]': Net.create(cell, 'wl2[15]'),
            'wl2[16]': Net.create(cell, 'wl2[16]'),
            'wl2[17]': Net.create(cell, 'wl2[17]'),
            'wl2[18]': Net.create(cell, 'wl2[18]'),
            'wl2[19]': Net.create(cell, 'wl2[19]'),
            'wl2[1]': Net.create(cell, 'wl2[1]'),
            'wl2[20]': Net.create(cell, 'wl2[20]'),
            'wl2[21]': Net.create(cell, 'wl2[21]'),
            'wl2[22]': Net.create(cell, 'wl2[22]'),
            'wl2[23]': Net.create(cell, 'wl2[23]'),
            'wl2[24]': Net.create(cell, 'wl2[24]'),
            'wl2[25]': Net.create(cell, 'wl2[25]'),
            'wl2[26]': Net.create(cell, 'wl2[26]'),
            'wl2[27]': Net.create(cell, 'wl2[27]'),
            'wl2[28]': Net.create(cell, 'wl2[28]'),
            'wl2[29]': Net.create(cell, 'wl2[29]'),
            'wl2[2]': Net.create(cell, 'wl2[2]'),
            'wl2[30]': Net.create(cell, 'wl2[30]'),
            'wl2[31]': Net.create(cell, 'wl2[31]'),
            'wl2[32]': Net.create(cell, 'wl2[32]'),
            'wl2[33]': Net.create(cell, 'wl2[33]'),
            'wl2[34]': Net.create(cell, 'wl2[34]'),
            'wl2[35]': Net.create(cell, 'wl2[35]'),
            'wl2[36]': Net.create(cell, 'wl2[36]'),
            'wl2[37]': Net.create(cell, 'wl2[37]'),
            'wl2[38]': Net.create(cell, 'wl2[38]'),
            'wl2[39]': Net.create(cell, 'wl2[39]'),
            'wl2[3]': Net.create(cell, 'wl2[3]'),
            'wl2[40]': Net.create(cell, 'wl2[40]'),
            'wl2[41]': Net.create(cell, 'wl2[41]'),
            'wl2[42]': Net.create(cell, 'wl2[42]'),
            'wl2[43]': Net.create(cell, 'wl2[43]'),
            'wl2[44]': Net.create(cell, 'wl2[44]'),
            'wl2[45]': Net.create(cell, 'wl2[45]'),
            'wl2[46]': Net.create(cell, 'wl2[46]'),
            'wl2[47]': Net.create(cell, 'wl2[47]'),
            'wl2[48]': Net.create(cell, 'wl2[48]'),
            'wl2[49]': Net.create(cell, 'wl2[49]'),
            'wl2[4]': Net.create(cell, 'wl2[4]'),
            'wl2[50]': Net.create(cell, 'wl2[50]'),
            'wl2[51]': Net.create(cell, 'wl2[51]'),
            'wl2[52]': Net.create(cell, 'wl2[52]'),
            'wl2[53]': Net.create(cell, 'wl2[53]'),
            'wl2[54]': Net.create(cell, 'wl2[54]'),
            'wl2[55]': Net.create(cell, 'wl2[55]'),
            'wl2[56]': Net.create(cell, 'wl2[56]'),
            'wl2[57]': Net.create(cell, 'wl2[57]'),
            'wl2[58]': Net.create(cell, 'wl2[58]'),
            'wl2[59]': Net.create(cell, 'wl2[59]'),
            'wl2[5]': Net.create(cell, 'wl2[5]'),
            'wl2[60]': Net.create(cell, 'wl2[60]'),
            'wl2[61]': Net.create(cell, 'wl2[61]'),
            'wl2[62]': Net.create(cell, 'wl2[62]'),
            'wl2[63]': Net.create(cell, 'wl2[63]'),
            'wl2[64]': Net.create(cell, 'wl2[64]'),
            'wl2[65]': Net.create(cell, 'wl2[65]'),
            'wl2[66]': Net.create(cell, 'wl2[66]'),
            'wl2[67]': Net.create(cell, 'wl2[67]'),
            'wl2[68]': Net.create(cell, 'wl2[68]'),
            'wl2[69]': Net.create(cell, 'wl2[69]'),
            'wl2[6]': Net.create(cell, 'wl2[6]'),
            'wl2[70]': Net.create(cell, 'wl2[70]'),
            'wl2[71]': Net.create(cell, 'wl2[71]'),
            'wl2[72]': Net.create(cell, 'wl2[72]'),
            'wl2[73]': Net.create(cell, 'wl2[73]'),
            'wl2[74]': Net.create(cell, 'wl2[74]'),
            'wl2[75]': Net.create(cell, 'wl2[75]'),
            'wl2[76]': Net.create(cell, 'wl2[76]'),
            'wl2[77]': Net.create(cell, 'wl2[77]'),
            'wl2[78]': Net.create(cell, 'wl2[78]'),
            'wl2[79]': Net.create(cell, 'wl2[79]'),
            'wl2[7]': Net.create(cell, 'wl2[7]'),
            'wl2[80]': Net.create(cell, 'wl2[80]'),
            'wl2[81]': Net.create(cell, 'wl2[81]'),
            'wl2[82]': Net.create(cell, 'wl2[82]'),
            'wl2[83]': Net.create(cell, 'wl2[83]'),
            'wl2[84]': Net.create(cell, 'wl2[84]'),
            'wl2[85]': Net.create(cell, 'wl2[85]'),
            'wl2[86]': Net.create(cell, 'wl2[86]'),
            'wl2[87]': Net.create(cell, 'wl2[87]'),
            'wl2[88]': Net.create(cell, 'wl2[88]'),
            'wl2[89]': Net.create(cell, 'wl2[89]'),
            'wl2[8]': Net.create(cell, 'wl2[8]'),
            'wl2[90]': Net.create(cell, 'wl2[90]'),
            'wl2[91]': Net.create(cell, 'wl2[91]'),
            'wl2[92]': Net.create(cell, 'wl2[92]'),
            'wl2[93]': Net.create(cell, 'wl2[93]'),
            'wl2[94]': Net.create(cell, 'wl2[94]'),
            'wl2[95]': Net.create(cell, 'wl2[95]'),
            'wl2[96]': Net.create(cell, 'wl2[96]'),
            'wl2[97]': Net.create(cell, 'wl2[97]'),
            'wl2[98]': Net.create(cell, 'wl2[98]'),
            'wl2[99]': Net.create(cell, 'wl2[99]'),
            'wl2[9]': Net.create(cell, 'wl2[9]'),
        }
        net = nets['clk1']
        createRL(
            tech, net, 'm1',
            ((0.0,2.1),(0.0,2.75),(107.2,2.75),(107.2,2.1),(0.0,2.1)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(2.425), u(0.65), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(2.425), u(0.65), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk2']
        createRL(
            tech, net, 'm1',
            ((0.0,420.94),(0.0,421.59),(107.2,421.59),(107.2,420.94),(0.0,420.94)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(421.265), u(0.65), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(421.265), u(0.65), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_en1']
        createRL(
            tech, net, 'm1',
            ((0.0,3.03),(0.0,3.68),(107.2,3.68),(107.2,3.03),(0.0,3.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(3.355), u(0.65), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(3.355), u(0.65), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_en2']
        createRL(
            tech, net, 'm1',
            ((0.0,420.01),(0.0,420.66),(107.2,420.66),(107.2,420.01),(0.0,420.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(420.335), u(0.65), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(420.335), u(0.65), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,299.185),(0.0,299.765),(107.2,299.765),(107.2,299.185),(0.0,299.185)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,145.735),(0.0,146.315),(107.2,146.315),(107.2,145.735),(0.0,145.735)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,178.285),(0.0,178.865),(107.2,178.865),(107.2,178.285),(0.0,178.285)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,275.935),(0.0,276.515),(107.2,276.515),(107.2,275.935),(0.0,275.935)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,141.085),(0.0,141.665),(107.2,141.665),(107.2,141.085),(0.0,141.085)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,336.385),(0.0,336.965),(107.2,336.965),(107.2,336.385),(0.0,336.385)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,66.685),(0.0,67.265),(107.2,67.265),(107.2,66.685),(0.0,66.685)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,322.435),(0.0,323.015),(107.2,323.015),(107.2,322.435),(0.0,322.435)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,271.285),(0.0,271.865),(107.2,271.865),(107.2,271.285),(0.0,271.285)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,94.585),(0.0,95.165),(107.2,95.165),(107.2,94.585),(0.0,94.585)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,294.535),(0.0,295.115),(107.2,295.115),(107.2,294.535),(0.0,294.535)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,187.585),(0.0,188.165),(107.2,188.165),(107.2,187.585),(0.0,187.585)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,122.485),(0.0,123.065),(107.2,123.065),(107.2,122.485),(0.0,122.485)),
        )
        createRL(
            tech, net, 'm2',
            ((-0.13,58.71),(-0.13,59.35),(107.33,59.35),(107.33,58.71),(-0.13,58.71)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,215.485),(0.0,216.065),(107.2,216.065),(107.2,215.485),(0.0,215.485)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,99.235),(0.0,99.815),(107.2,99.815),(107.2,99.235),(0.0,99.235)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,266.635),(0.0,267.215),(107.2,267.215),(107.2,266.635),(0.0,266.635)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,373.97),(0.0,374.61),(107.2,374.61),(107.2,373.97),(0.0,373.97)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,317.785),(0.0,318.365),(107.2,318.365),(107.2,317.785),(0.0,317.785)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,285.235),(0.0,285.815),(107.2,285.815),(107.2,285.235),(0.0,285.235)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,210.835),(0.0,211.415),(107.2,211.415),(107.2,210.835),(0.0,210.835)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,159.685),(0.0,160.265),(107.2,160.265),(107.2,159.685),(0.0,159.685)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,127.135),(0.0,127.715),(107.2,127.715),(107.2,127.135),(0.0,127.135)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,89.935),(0.0,90.515),(107.2,90.515),(107.2,89.935),(0.0,89.935)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,117.835),(0.0,118.415),(107.2,118.415),(107.2,117.835),(0.0,117.835)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,80.635),(0.0,81.215),(107.2,81.215),(107.2,80.635),(0.0,80.635)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,136.435),(0.0,137.015),(107.2,137.015),(107.2,136.435),(0.0,136.435)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,131.785),(0.0,132.365),(107.2,132.365),(107.2,131.785),(0.0,131.785)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,85.285),(0.0,85.865),(107.2,85.865),(107.2,85.285),(0.0,85.285)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,168.985),(0.0,169.565),(107.2,169.565),(107.2,168.985),(0.0,168.985)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,234.085),(0.0,234.665),(107.2,234.665),(107.2,234.085),(0.0,234.085)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,313.135),(0.0,313.715),(107.2,313.715),(107.2,313.135),(0.0,313.135)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,341.035),(0.0,341.615),(107.2,341.615),(107.2,341.035),(0.0,341.035)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,345.685),(0.0,346.265),(107.2,346.265),(107.2,345.685),(0.0,345.685)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,155.035),(0.0,155.615),(107.2,155.615),(107.2,155.035),(0.0,155.035)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,173.635),(0.0,174.215),(107.2,174.215),(107.2,173.635),(0.0,173.635)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,359.635),(0.0,360.215),(107.2,360.215),(107.2,359.635),(0.0,359.635)),
        )
        createRL(
            tech, net, 'm2',
            ((-0.13,364.34),(-0.13,364.98),(107.33,364.98),(107.33,364.34),(-0.13,364.34)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,49.08),(0.0,49.72),(107.2,49.72),(107.2,49.08),(0.0,49.08)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,113.185),(0.0,113.765),(107.2,113.765),(107.2,113.185),(0.0,113.185)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,150.385),(0.0,150.965),(107.2,150.965),(107.2,150.385),(0.0,150.385)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,206.185),(0.0,206.765),(107.2,206.765),(107.2,206.185),(0.0,206.185)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,252.685),(0.0,253.265),(107.2,253.265),(107.2,252.685),(0.0,252.685)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,354.985),(0.0,355.565),(107.2,355.565),(107.2,354.985),(0.0,354.985)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,224.785),(0.0,225.365),(107.2,225.365),(107.2,224.785),(0.0,224.785)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,280.585),(0.0,281.165),(107.2,281.165),(107.2,280.585),(0.0,280.585)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,75.985),(0.0,76.565),(107.2,76.565),(107.2,75.985),(0.0,75.985)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,331.735),(0.0,332.315),(107.2,332.315),(107.2,331.735),(0.0,331.735)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,196.885),(0.0,197.465),(107.2,197.465),(107.2,196.885),(0.0,196.885)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,308.485),(0.0,309.065),(107.2,309.065),(107.2,308.485),(0.0,308.485)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,243.385),(0.0,243.965),(107.2,243.965),(107.2,243.385),(0.0,243.385)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,289.885),(0.0,290.465),(107.2,290.465),(107.2,289.885),(0.0,289.885)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,220.135),(0.0,220.715),(107.2,220.715),(107.2,220.135),(0.0,220.135)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,257.335),(0.0,257.915),(107.2,257.915),(107.2,257.335),(0.0,257.335)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,192.235),(0.0,192.815),(107.2,192.815),(107.2,192.235),(0.0,192.235)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,108.535),(0.0,109.115),(107.2,109.115),(107.2,108.535),(0.0,108.535)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,248.035),(0.0,248.615),(107.2,248.615),(107.2,248.035),(0.0,248.035)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,303.835),(0.0,304.415),(107.2,304.415),(107.2,303.835),(0.0,303.835)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,71.335),(0.0,71.915),(107.2,71.915),(107.2,71.335),(0.0,71.335)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,327.085),(0.0,327.665),(107.2,327.665),(107.2,327.085),(0.0,327.085)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,350.335),(0.0,350.915),(107.2,350.915),(107.2,350.335),(0.0,350.335)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,201.535),(0.0,202.115),(107.2,202.115),(107.2,201.535),(0.0,201.535)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,164.335),(0.0,164.915),(107.2,164.915),(107.2,164.335),(0.0,164.335)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,182.935),(0.0,183.515),(107.2,183.515),(107.2,182.935),(0.0,182.935)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,229.435),(0.0,230.015),(107.2,230.015),(107.2,229.435),(0.0,229.435)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,238.735),(0.0,239.315),(107.2,239.315),(107.2,238.735),(0.0,238.735)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,261.985),(0.0,262.565),(107.2,262.565),(107.2,261.985),(0.0,261.985)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,103.885),(0.0,104.465),(107.2,104.465),(107.2,103.885),(0.0,103.885)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(299.475), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(299.475), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(146.025), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(146.025), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(178.575), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(178.575), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(276.225), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(276.225), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(141.375), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(141.375), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(336.675), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(336.675), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(66.975), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(66.975), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(322.725), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(322.725), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(271.575), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(271.575), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(94.875), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(94.875), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(294.825), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(294.825), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(187.875), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(187.875), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(122.775), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(122.775), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(59.03), u(0.64), u(-0.13), u(107.33),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(59.03), u(0.64), u(-0.13), u(107.33),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(215.775), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(215.775), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(99.525), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(99.525), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(266.925), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(266.925), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(374.29), u(0.64), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(374.29), u(0.64), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(318.075), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(318.075), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(285.525), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(285.525), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(211.125), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(211.125), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(159.975), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(159.975), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(127.425), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(127.425), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.225), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.225), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(118.125), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(118.125), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(80.925), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(80.925), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(136.725), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(136.725), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(132.075), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(132.075), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(85.575), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(85.575), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(169.275), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(169.275), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(234.375), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(234.375), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(313.425), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(313.425), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(341.325), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(341.325), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(345.975), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(345.975), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(155.325), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(155.325), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(173.925), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(173.925), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(359.925), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(359.925), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(364.66), u(0.64), u(-0.13), u(107.33),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(364.66), u(0.64), u(-0.13), u(107.33),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(49.4), u(0.64), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(49.4), u(0.64), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(113.475), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(113.475), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(150.675), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(150.675), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(206.475), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(206.475), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(252.975), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(252.975), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(355.275), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(355.275), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(225.075), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(225.075), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(280.875), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(280.875), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(76.275), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(76.275), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(332.025), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(332.025), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(197.175), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(197.175), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(308.775), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(308.775), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(243.675), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(243.675), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(290.175), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(290.175), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(220.425), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(220.425), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(257.625), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(257.625), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(192.525), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(192.525), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(108.825), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(108.825), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(248.325), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(248.325), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(304.125), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(304.125), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(71.625), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(71.625), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(327.375), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(327.375), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(350.625), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(350.625), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(201.825), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(201.825), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(164.625), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(164.625), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(183.225), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(183.225), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(229.725), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(229.725), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(239.025), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(239.025), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(262.275), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(262.275), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(104.175), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(104.175), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,267.355),(0.0,267.935),(107.2,267.935),(107.2,267.355),(0.0,267.355)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,141.805),(0.0,142.385),(107.2,142.385),(107.2,141.805),(0.0,141.805)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,81.355),(0.0,81.935),(107.2,81.935),(107.2,81.355),(0.0,81.355)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,337.105),(0.0,337.685),(107.2,337.685),(107.2,337.105),(0.0,337.105)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,72.055),(0.0,72.635),(107.2,72.635),(107.2,72.055),(0.0,72.055)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,48.3),(0.0,48.94),(107.2,48.94),(107.2,48.3),(0.0,48.3)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,220.855),(0.0,221.435),(107.2,221.435),(107.2,220.855),(0.0,220.855)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,272.005),(0.0,272.585),(107.2,272.585),(107.2,272.005),(0.0,272.005)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,151.105),(0.0,151.685),(107.2,151.685),(107.2,151.105),(0.0,151.105)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,360.355),(0.0,360.935),(107.2,360.935),(107.2,360.355),(0.0,360.355)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,192.955),(0.0,193.535),(107.2,193.535),(107.2,192.955),(0.0,192.955)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,248.755),(0.0,249.335),(107.2,249.335),(107.2,248.755),(0.0,248.755)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,155.755),(0.0,156.335),(107.2,156.335),(107.2,155.755),(0.0,155.755)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,276.655),(0.0,277.235),(107.2,277.235),(107.2,276.655),(0.0,276.655)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,285.955),(0.0,286.535),(107.2,286.535),(107.2,285.955),(0.0,285.955)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,188.305),(0.0,188.885),(107.2,188.885),(107.2,188.305),(0.0,188.305)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,253.405),(0.0,253.985),(107.2,253.985),(107.2,253.405),(0.0,253.405)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,160.405),(0.0,160.985),(107.2,160.985),(107.2,160.405),(0.0,160.405)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,146.455),(0.0,147.035),(107.2,147.035),(107.2,146.455),(0.0,146.455)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,216.205),(0.0,216.785),(107.2,216.785),(107.2,216.205),(0.0,216.205)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,95.305),(0.0,95.885),(107.2,95.885),(107.2,95.305),(0.0,95.305)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,351.055),(0.0,351.635),(107.2,351.635),(107.2,351.055),(0.0,351.055)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,313.855),(0.0,314.435),(107.2,314.435),(107.2,313.855),(0.0,313.855)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,244.105),(0.0,244.685),(107.2,244.685),(107.2,244.105),(0.0,244.105)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,104.605),(0.0,105.185),(107.2,105.185),(107.2,104.605),(0.0,104.605)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,304.555),(0.0,305.135),(107.2,305.135),(107.2,304.555),(0.0,304.555)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,341.755),(0.0,342.335),(107.2,342.335),(107.2,341.755),(0.0,341.755)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,281.305),(0.0,281.885),(107.2,281.885),(107.2,281.305),(0.0,281.305)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,165.055),(0.0,165.635),(107.2,165.635),(107.2,165.055),(0.0,165.055)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,309.205),(0.0,309.785),(107.2,309.785),(107.2,309.205),(0.0,309.205)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,346.405),(0.0,346.985),(107.2,346.985),(107.2,346.405),(0.0,346.405)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,355.705),(0.0,356.285),(107.2,356.285),(107.2,355.705),(0.0,355.705)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,123.205),(0.0,123.785),(107.2,123.785),(107.2,123.205),(0.0,123.205)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,113.905),(0.0,114.485),(107.2,114.485),(107.2,113.905),(0.0,113.905)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,109.255),(0.0,109.835),(107.2,109.835),(107.2,109.255),(0.0,109.255)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,86.005),(0.0,86.585),(107.2,86.585),(107.2,86.005),(0.0,86.005)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,174.355),(0.0,174.935),(107.2,174.935),(107.2,174.355),(0.0,174.355)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,290.605),(0.0,291.185),(107.2,291.185),(107.2,290.605),(0.0,290.605)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,211.555),(0.0,212.135),(107.2,212.135),(107.2,211.555),(0.0,211.555)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,62.755),(0.0,63.335),(107.2,63.335),(107.2,62.755),(0.0,62.755)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,262.705),(0.0,263.285),(107.2,263.285),(107.2,262.705),(0.0,262.705)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,299.905),(0.0,300.485),(107.2,300.485),(107.2,299.905),(0.0,299.905)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,318.505),(0.0,319.085),(107.2,319.085),(107.2,318.505),(0.0,318.505)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,132.505),(0.0,133.085),(107.2,133.085),(107.2,132.505),(0.0,132.505)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,90.655),(0.0,91.235),(107.2,91.235),(107.2,90.655),(0.0,90.655)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,183.655),(0.0,184.235),(107.2,184.235),(107.2,183.655),(0.0,183.655)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,67.405),(0.0,67.985),(107.2,67.985),(107.2,67.405),(0.0,67.405)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,179.005),(0.0,179.585),(107.2,179.585),(107.2,179.005),(0.0,179.005)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,234.805),(0.0,235.385),(107.2,235.385),(107.2,234.805),(0.0,234.805)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,225.505),(0.0,226.085),(107.2,226.085),(107.2,225.505),(0.0,225.505)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,258.055),(0.0,258.635),(107.2,258.635),(107.2,258.055),(0.0,258.055)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,323.155),(0.0,323.735),(107.2,323.735),(107.2,323.155),(0.0,323.155)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,230.155),(0.0,230.735),(107.2,230.735),(107.2,230.155),(0.0,230.155)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,76.705),(0.0,77.285),(107.2,77.285),(107.2,76.705),(0.0,76.705)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,332.455),(0.0,333.035),(107.2,333.035),(107.2,332.455),(0.0,332.455)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,127.855),(0.0,128.435),(107.2,128.435),(107.2,127.855),(0.0,127.855)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,239.455),(0.0,240.035),(107.2,240.035),(107.2,239.455),(0.0,239.455)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,295.255),(0.0,295.835),(107.2,295.835),(107.2,295.255),(0.0,295.255)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,169.705),(0.0,170.285),(107.2,170.285),(107.2,169.705),(0.0,169.705)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,197.605),(0.0,198.185),(107.2,198.185),(107.2,197.605),(0.0,197.605)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,118.555),(0.0,119.135),(107.2,119.135),(107.2,118.555),(0.0,118.555)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,202.255),(0.0,202.835),(107.2,202.835),(107.2,202.255),(0.0,202.255)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,99.955),(0.0,100.535),(107.2,100.535),(107.2,99.955),(0.0,99.955)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,137.155),(0.0,137.735),(107.2,137.735),(107.2,137.155),(0.0,137.155)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,206.905),(0.0,207.485),(107.2,207.485),(107.2,206.905),(0.0,206.905)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,374.75),(0.0,375.39),(107.2,375.39),(107.2,374.75),(0.0,374.75)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,327.805),(0.0,328.385),(107.2,328.385),(107.2,327.805),(0.0,327.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(267.645), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(267.645), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(142.095), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(142.095), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(81.645), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(81.645), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(337.395), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(337.395), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.345), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.345), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.62), u(0.64), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.62), u(0.64), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(221.145), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(221.145), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(272.295), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(272.295), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(151.395), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(151.395), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(360.645), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(360.645), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(193.245), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(193.245), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(249.045), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(249.045), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(156.045), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(156.045), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(276.945), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(276.945), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(286.245), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(286.245), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(188.595), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(188.595), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(253.695), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(253.695), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(160.695), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(160.695), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(146.745), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(146.745), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(216.495), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(216.495), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(95.595), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(95.595), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(351.345), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(351.345), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(314.145), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(314.145), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(244.395), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(244.395), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(104.895), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(104.895), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(304.845), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(304.845), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(342.045), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(342.045), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(281.595), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(281.595), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(165.345), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(165.345), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(309.495), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(309.495), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(346.695), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(346.695), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(355.995), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(355.995), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(123.495), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(123.495), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(114.195), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(114.195), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(109.545), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(109.545), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(86.295), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(86.295), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(174.645), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(174.645), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(290.895), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(290.895), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(211.845), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(211.845), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.045), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.045), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(262.995), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(262.995), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(300.195), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(300.195), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(318.795), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(318.795), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(132.795), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(132.795), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.945), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.945), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(183.945), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(183.945), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.695), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.695), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(179.295), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(179.295), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(235.095), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(235.095), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(225.795), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(225.795), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(258.345), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(258.345), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(323.445), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(323.445), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(230.445), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(230.445), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(76.995), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(76.995), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(332.745), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(332.745), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(128.145), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(128.145), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(239.745), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(239.745), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(295.545), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(295.545), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(169.995), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(169.995), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(197.895), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(197.895), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(118.845), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(118.845), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(202.545), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(202.545), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(100.245), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(100.245), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(137.445), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(137.445), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(207.195), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(207.195), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(375.07), u(0.64), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(375.07), u(0.64), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(328.095), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(328.095), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['precharge1_n']
        createRL(
            tech, net, 'm2',
            ((0.0,61.78),(0.0,62.04),(107.2,62.04),(107.2,61.78),(0.0,61.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(61.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(61.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['precharge2_n']
        createRL(
            tech, net, 'm2',
            ((0.0,361.65),(0.0,361.91),(107.2,361.91),(107.2,361.65),(0.0,361.65)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(361.78), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(361.78), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we1']
        createRL(
            tech, net, 'm2',
            ((7.37,0.0),(7.37,1.955),(7.63,1.955),(7.63,0.0),(7.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(7.5), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(7.5), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we2']
        createRL(
            tech, net, 'm2',
            ((7.37,421.735),(7.37,423.69),(7.63,423.69),(7.63,421.735),(7.37,421.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(7.5), u(0.26), u(421.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(7.5), u(0.26), u(421.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,64.925),(0.0,65.185),(107.2,65.185),(107.2,64.925),(0.0,64.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(65.055), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(65.055), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,65.555),(0.0,65.815),(107.2,65.815),(107.2,65.555),(0.0,65.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(65.685), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(65.685), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,69.575),(0.0,69.835),(107.2,69.835),(107.2,69.575),(0.0,69.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(69.705), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(69.705), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,70.205),(0.0,70.465),(107.2,70.465),(107.2,70.205),(0.0,70.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(70.335), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(70.335), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,74.225),(0.0,74.485),(107.2,74.485),(107.2,74.225),(0.0,74.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(74.355), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(74.355), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,74.855),(0.0,75.115),(107.2,75.115),(107.2,74.855),(0.0,74.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(74.985), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(74.985), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,78.875),(0.0,79.135),(107.2,79.135),(107.2,78.875),(0.0,78.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(79.005), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(79.005), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,79.505),(0.0,79.765),(107.2,79.765),(107.2,79.505),(0.0,79.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(79.635), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(79.635), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,83.525),(0.0,83.785),(107.2,83.785),(107.2,83.525),(0.0,83.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(83.655), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(83.655), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,84.155),(0.0,84.415),(107.2,84.415),(107.2,84.155),(0.0,84.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(84.285), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(84.285), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,88.175),(0.0,88.435),(107.2,88.435),(107.2,88.175),(0.0,88.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(88.305), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(88.305), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,88.805),(0.0,89.065),(107.2,89.065),(107.2,88.805),(0.0,88.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(88.935), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(88.935), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,92.825),(0.0,93.085),(107.2,93.085),(107.2,92.825),(0.0,92.825)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(92.955), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(92.955), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,93.455),(0.0,93.715),(107.2,93.715),(107.2,93.455),(0.0,93.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(93.585), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(93.585), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,97.475),(0.0,97.735),(107.2,97.735),(107.2,97.475),(0.0,97.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(97.605), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(97.605), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,98.105),(0.0,98.365),(107.2,98.365),(107.2,98.105),(0.0,98.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(98.235), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(98.235), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[16]']
        createRL(
            tech, net, 'm2',
            ((0.0,102.125),(0.0,102.385),(107.2,102.385),(107.2,102.125),(0.0,102.125)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(102.255), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(102.255), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[17]']
        createRL(
            tech, net, 'm2',
            ((0.0,102.755),(0.0,103.015),(107.2,103.015),(107.2,102.755),(0.0,102.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(102.885), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(102.885), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[18]']
        createRL(
            tech, net, 'm2',
            ((0.0,106.775),(0.0,107.035),(107.2,107.035),(107.2,106.775),(0.0,106.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(106.905), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(106.905), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[19]']
        createRL(
            tech, net, 'm2',
            ((0.0,107.405),(0.0,107.665),(107.2,107.665),(107.2,107.405),(0.0,107.405)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(107.535), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(107.535), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[20]']
        createRL(
            tech, net, 'm2',
            ((0.0,111.425),(0.0,111.685),(107.2,111.685),(107.2,111.425),(0.0,111.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(111.555), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(111.555), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[21]']
        createRL(
            tech, net, 'm2',
            ((0.0,112.055),(0.0,112.315),(107.2,112.315),(107.2,112.055),(0.0,112.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(112.185), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(112.185), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[22]']
        createRL(
            tech, net, 'm2',
            ((0.0,116.075),(0.0,116.335),(107.2,116.335),(107.2,116.075),(0.0,116.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(116.205), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(116.205), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[23]']
        createRL(
            tech, net, 'm2',
            ((0.0,116.705),(0.0,116.965),(107.2,116.965),(107.2,116.705),(0.0,116.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(116.835), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(116.835), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[24]']
        createRL(
            tech, net, 'm2',
            ((0.0,120.725),(0.0,120.985),(107.2,120.985),(107.2,120.725),(0.0,120.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(120.855), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(120.855), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[25]']
        createRL(
            tech, net, 'm2',
            ((0.0,121.355),(0.0,121.615),(107.2,121.615),(107.2,121.355),(0.0,121.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(121.485), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(121.485), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[26]']
        createRL(
            tech, net, 'm2',
            ((0.0,125.375),(0.0,125.635),(107.2,125.635),(107.2,125.375),(0.0,125.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(125.505), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(125.505), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[27]']
        createRL(
            tech, net, 'm2',
            ((0.0,126.005),(0.0,126.265),(107.2,126.265),(107.2,126.005),(0.0,126.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(126.135), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(126.135), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[28]']
        createRL(
            tech, net, 'm2',
            ((0.0,130.025),(0.0,130.285),(107.2,130.285),(107.2,130.025),(0.0,130.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(130.155), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(130.155), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[29]']
        createRL(
            tech, net, 'm2',
            ((0.0,130.655),(0.0,130.915),(107.2,130.915),(107.2,130.655),(0.0,130.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(130.785), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(130.785), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[30]']
        createRL(
            tech, net, 'm2',
            ((0.0,134.675),(0.0,134.935),(107.2,134.935),(107.2,134.675),(0.0,134.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(134.805), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(134.805), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[31]']
        createRL(
            tech, net, 'm2',
            ((0.0,135.305),(0.0,135.565),(107.2,135.565),(107.2,135.305),(0.0,135.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(135.435), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(135.435), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[32]']
        createRL(
            tech, net, 'm2',
            ((0.0,139.325),(0.0,139.585),(107.2,139.585),(107.2,139.325),(0.0,139.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(139.455), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(139.455), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[33]']
        createRL(
            tech, net, 'm2',
            ((0.0,139.955),(0.0,140.215),(107.2,140.215),(107.2,139.955),(0.0,139.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(140.085), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(140.085), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[34]']
        createRL(
            tech, net, 'm2',
            ((0.0,143.975),(0.0,144.235),(107.2,144.235),(107.2,143.975),(0.0,143.975)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(144.105), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(144.105), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[35]']
        createRL(
            tech, net, 'm2',
            ((0.0,144.605),(0.0,144.865),(107.2,144.865),(107.2,144.605),(0.0,144.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(144.735), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(144.735), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[36]']
        createRL(
            tech, net, 'm2',
            ((0.0,148.625),(0.0,148.885),(107.2,148.885),(107.2,148.625),(0.0,148.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(148.755), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(148.755), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[37]']
        createRL(
            tech, net, 'm2',
            ((0.0,149.255),(0.0,149.515),(107.2,149.515),(107.2,149.255),(0.0,149.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(149.385), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(149.385), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[38]']
        createRL(
            tech, net, 'm2',
            ((0.0,153.275),(0.0,153.535),(107.2,153.535),(107.2,153.275),(0.0,153.275)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(153.405), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(153.405), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[39]']
        createRL(
            tech, net, 'm2',
            ((0.0,153.905),(0.0,154.165),(107.2,154.165),(107.2,153.905),(0.0,153.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(154.035), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(154.035), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[40]']
        createRL(
            tech, net, 'm2',
            ((0.0,157.925),(0.0,158.185),(107.2,158.185),(107.2,157.925),(0.0,157.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(158.055), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(158.055), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[41]']
        createRL(
            tech, net, 'm2',
            ((0.0,158.555),(0.0,158.815),(107.2,158.815),(107.2,158.555),(0.0,158.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(158.685), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(158.685), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[42]']
        createRL(
            tech, net, 'm2',
            ((0.0,162.575),(0.0,162.835),(107.2,162.835),(107.2,162.575),(0.0,162.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(162.705), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(162.705), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[43]']
        createRL(
            tech, net, 'm2',
            ((0.0,163.205),(0.0,163.465),(107.2,163.465),(107.2,163.205),(0.0,163.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(163.335), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(163.335), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[44]']
        createRL(
            tech, net, 'm2',
            ((0.0,167.225),(0.0,167.485),(107.2,167.485),(107.2,167.225),(0.0,167.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(167.355), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(167.355), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[45]']
        createRL(
            tech, net, 'm2',
            ((0.0,167.855),(0.0,168.115),(107.2,168.115),(107.2,167.855),(0.0,167.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(167.985), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(167.985), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[46]']
        createRL(
            tech, net, 'm2',
            ((0.0,171.875),(0.0,172.135),(107.2,172.135),(107.2,171.875),(0.0,171.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(172.005), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(172.005), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[47]']
        createRL(
            tech, net, 'm2',
            ((0.0,172.505),(0.0,172.765),(107.2,172.765),(107.2,172.505),(0.0,172.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(172.635), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(172.635), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[48]']
        createRL(
            tech, net, 'm2',
            ((0.0,176.525),(0.0,176.785),(107.2,176.785),(107.2,176.525),(0.0,176.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(176.655), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(176.655), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[49]']
        createRL(
            tech, net, 'm2',
            ((0.0,177.155),(0.0,177.415),(107.2,177.415),(107.2,177.155),(0.0,177.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(177.285), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(177.285), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[50]']
        createRL(
            tech, net, 'm2',
            ((0.0,181.175),(0.0,181.435),(107.2,181.435),(107.2,181.175),(0.0,181.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(181.305), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(181.305), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[51]']
        createRL(
            tech, net, 'm2',
            ((0.0,181.805),(0.0,182.065),(107.2,182.065),(107.2,181.805),(0.0,181.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(181.935), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(181.935), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[52]']
        createRL(
            tech, net, 'm2',
            ((0.0,185.825),(0.0,186.085),(107.2,186.085),(107.2,185.825),(0.0,185.825)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(185.955), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(185.955), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[53]']
        createRL(
            tech, net, 'm2',
            ((0.0,186.455),(0.0,186.715),(107.2,186.715),(107.2,186.455),(0.0,186.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(186.585), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(186.585), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[54]']
        createRL(
            tech, net, 'm2',
            ((0.0,190.475),(0.0,190.735),(107.2,190.735),(107.2,190.475),(0.0,190.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(190.605), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(190.605), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[55]']
        createRL(
            tech, net, 'm2',
            ((0.0,191.105),(0.0,191.365),(107.2,191.365),(107.2,191.105),(0.0,191.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(191.235), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(191.235), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[56]']
        createRL(
            tech, net, 'm2',
            ((0.0,195.125),(0.0,195.385),(107.2,195.385),(107.2,195.125),(0.0,195.125)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(195.255), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(195.255), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[57]']
        createRL(
            tech, net, 'm2',
            ((0.0,195.755),(0.0,196.015),(107.2,196.015),(107.2,195.755),(0.0,195.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(195.885), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(195.885), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[58]']
        createRL(
            tech, net, 'm2',
            ((0.0,199.775),(0.0,200.035),(107.2,200.035),(107.2,199.775),(0.0,199.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(199.905), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(199.905), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[59]']
        createRL(
            tech, net, 'm2',
            ((0.0,200.405),(0.0,200.665),(107.2,200.665),(107.2,200.405),(0.0,200.405)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(200.535), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(200.535), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[60]']
        createRL(
            tech, net, 'm2',
            ((0.0,204.425),(0.0,204.685),(107.2,204.685),(107.2,204.425),(0.0,204.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(204.555), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(204.555), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[61]']
        createRL(
            tech, net, 'm2',
            ((0.0,205.055),(0.0,205.315),(107.2,205.315),(107.2,205.055),(0.0,205.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(205.185), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(205.185), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[62]']
        createRL(
            tech, net, 'm2',
            ((0.0,209.075),(0.0,209.335),(107.2,209.335),(107.2,209.075),(0.0,209.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(209.205), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(209.205), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[63]']
        createRL(
            tech, net, 'm2',
            ((0.0,209.705),(0.0,209.965),(107.2,209.965),(107.2,209.705),(0.0,209.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(209.835), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(209.835), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[64]']
        createRL(
            tech, net, 'm2',
            ((0.0,213.725),(0.0,213.985),(107.2,213.985),(107.2,213.725),(0.0,213.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(213.855), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(213.855), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[65]']
        createRL(
            tech, net, 'm2',
            ((0.0,214.355),(0.0,214.615),(107.2,214.615),(107.2,214.355),(0.0,214.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(214.485), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(214.485), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[66]']
        createRL(
            tech, net, 'm2',
            ((0.0,218.375),(0.0,218.635),(107.2,218.635),(107.2,218.375),(0.0,218.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(218.505), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(218.505), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[67]']
        createRL(
            tech, net, 'm2',
            ((0.0,219.005),(0.0,219.265),(107.2,219.265),(107.2,219.005),(0.0,219.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(219.135), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(219.135), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[68]']
        createRL(
            tech, net, 'm2',
            ((0.0,223.025),(0.0,223.285),(107.2,223.285),(107.2,223.025),(0.0,223.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(223.155), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(223.155), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[69]']
        createRL(
            tech, net, 'm2',
            ((0.0,223.655),(0.0,223.915),(107.2,223.915),(107.2,223.655),(0.0,223.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(223.785), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(223.785), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[70]']
        createRL(
            tech, net, 'm2',
            ((0.0,227.675),(0.0,227.935),(107.2,227.935),(107.2,227.675),(0.0,227.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(227.805), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(227.805), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[71]']
        createRL(
            tech, net, 'm2',
            ((0.0,228.305),(0.0,228.565),(107.2,228.565),(107.2,228.305),(0.0,228.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(228.435), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(228.435), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[72]']
        createRL(
            tech, net, 'm2',
            ((0.0,232.325),(0.0,232.585),(107.2,232.585),(107.2,232.325),(0.0,232.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(232.455), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(232.455), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[73]']
        createRL(
            tech, net, 'm2',
            ((0.0,232.955),(0.0,233.215),(107.2,233.215),(107.2,232.955),(0.0,232.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(233.085), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(233.085), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[74]']
        createRL(
            tech, net, 'm2',
            ((0.0,236.975),(0.0,237.235),(107.2,237.235),(107.2,236.975),(0.0,236.975)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(237.105), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(237.105), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[75]']
        createRL(
            tech, net, 'm2',
            ((0.0,237.605),(0.0,237.865),(107.2,237.865),(107.2,237.605),(0.0,237.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(237.735), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(237.735), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[76]']
        createRL(
            tech, net, 'm2',
            ((0.0,241.625),(0.0,241.885),(107.2,241.885),(107.2,241.625),(0.0,241.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(241.755), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(241.755), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[77]']
        createRL(
            tech, net, 'm2',
            ((0.0,242.255),(0.0,242.515),(107.2,242.515),(107.2,242.255),(0.0,242.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(242.385), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(242.385), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[78]']
        createRL(
            tech, net, 'm2',
            ((0.0,246.275),(0.0,246.535),(107.2,246.535),(107.2,246.275),(0.0,246.275)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(246.405), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(246.405), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[79]']
        createRL(
            tech, net, 'm2',
            ((0.0,246.905),(0.0,247.165),(107.2,247.165),(107.2,246.905),(0.0,246.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(247.035), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(247.035), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[80]']
        createRL(
            tech, net, 'm2',
            ((0.0,250.925),(0.0,251.185),(107.2,251.185),(107.2,250.925),(0.0,250.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(251.055), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(251.055), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[81]']
        createRL(
            tech, net, 'm2',
            ((0.0,251.555),(0.0,251.815),(107.2,251.815),(107.2,251.555),(0.0,251.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(251.685), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(251.685), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[82]']
        createRL(
            tech, net, 'm2',
            ((0.0,255.575),(0.0,255.835),(107.2,255.835),(107.2,255.575),(0.0,255.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(255.705), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(255.705), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[83]']
        createRL(
            tech, net, 'm2',
            ((0.0,256.205),(0.0,256.465),(107.2,256.465),(107.2,256.205),(0.0,256.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(256.335), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(256.335), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[84]']
        createRL(
            tech, net, 'm2',
            ((0.0,260.225),(0.0,260.485),(107.2,260.485),(107.2,260.225),(0.0,260.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(260.355), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(260.355), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[85]']
        createRL(
            tech, net, 'm2',
            ((0.0,260.855),(0.0,261.115),(107.2,261.115),(107.2,260.855),(0.0,260.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(260.985), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(260.985), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[86]']
        createRL(
            tech, net, 'm2',
            ((0.0,264.875),(0.0,265.135),(107.2,265.135),(107.2,264.875),(0.0,264.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(265.005), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(265.005), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[87]']
        createRL(
            tech, net, 'm2',
            ((0.0,265.505),(0.0,265.765),(107.2,265.765),(107.2,265.505),(0.0,265.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(265.635), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(265.635), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[88]']
        createRL(
            tech, net, 'm2',
            ((0.0,269.525),(0.0,269.785),(107.2,269.785),(107.2,269.525),(0.0,269.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(269.655), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(269.655), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[89]']
        createRL(
            tech, net, 'm2',
            ((0.0,270.155),(0.0,270.415),(107.2,270.415),(107.2,270.155),(0.0,270.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(270.285), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(270.285), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[90]']
        createRL(
            tech, net, 'm2',
            ((0.0,274.175),(0.0,274.435),(107.2,274.435),(107.2,274.175),(0.0,274.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(274.305), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(274.305), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[91]']
        createRL(
            tech, net, 'm2',
            ((0.0,274.805),(0.0,275.065),(107.2,275.065),(107.2,274.805),(0.0,274.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(274.935), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(274.935), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[92]']
        createRL(
            tech, net, 'm2',
            ((0.0,278.825),(0.0,279.085),(107.2,279.085),(107.2,278.825),(0.0,278.825)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(278.955), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(278.955), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[93]']
        createRL(
            tech, net, 'm2',
            ((0.0,279.455),(0.0,279.715),(107.2,279.715),(107.2,279.455),(0.0,279.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(279.585), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(279.585), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[94]']
        createRL(
            tech, net, 'm2',
            ((0.0,283.475),(0.0,283.735),(107.2,283.735),(107.2,283.475),(0.0,283.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(283.605), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(283.605), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[95]']
        createRL(
            tech, net, 'm2',
            ((0.0,284.105),(0.0,284.365),(107.2,284.365),(107.2,284.105),(0.0,284.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(284.235), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(284.235), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[96]']
        createRL(
            tech, net, 'm2',
            ((0.0,288.125),(0.0,288.385),(107.2,288.385),(107.2,288.125),(0.0,288.125)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(288.255), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(288.255), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[97]']
        createRL(
            tech, net, 'm2',
            ((0.0,288.755),(0.0,289.015),(107.2,289.015),(107.2,288.755),(0.0,288.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(288.885), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(288.885), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[98]']
        createRL(
            tech, net, 'm2',
            ((0.0,292.775),(0.0,293.035),(107.2,293.035),(107.2,292.775),(0.0,292.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(292.905), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(292.905), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[99]']
        createRL(
            tech, net, 'm2',
            ((0.0,293.405),(0.0,293.665),(107.2,293.665),(107.2,293.405),(0.0,293.405)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(293.535), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(293.535), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[100]']
        createRL(
            tech, net, 'm2',
            ((0.0,297.425),(0.0,297.685),(107.2,297.685),(107.2,297.425),(0.0,297.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(297.555), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(297.555), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[101]']
        createRL(
            tech, net, 'm2',
            ((0.0,298.055),(0.0,298.315),(107.2,298.315),(107.2,298.055),(0.0,298.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(298.185), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(298.185), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[102]']
        createRL(
            tech, net, 'm2',
            ((0.0,302.075),(0.0,302.335),(107.2,302.335),(107.2,302.075),(0.0,302.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(302.205), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(302.205), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[103]']
        createRL(
            tech, net, 'm2',
            ((0.0,302.705),(0.0,302.965),(107.2,302.965),(107.2,302.705),(0.0,302.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(302.835), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(302.835), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[104]']
        createRL(
            tech, net, 'm2',
            ((0.0,306.725),(0.0,306.985),(107.2,306.985),(107.2,306.725),(0.0,306.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(306.855), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(306.855), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[105]']
        createRL(
            tech, net, 'm2',
            ((0.0,307.355),(0.0,307.615),(107.2,307.615),(107.2,307.355),(0.0,307.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(307.485), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(307.485), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[106]']
        createRL(
            tech, net, 'm2',
            ((0.0,311.375),(0.0,311.635),(107.2,311.635),(107.2,311.375),(0.0,311.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(311.505), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(311.505), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[107]']
        createRL(
            tech, net, 'm2',
            ((0.0,312.005),(0.0,312.265),(107.2,312.265),(107.2,312.005),(0.0,312.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(312.135), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(312.135), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[108]']
        createRL(
            tech, net, 'm2',
            ((0.0,316.025),(0.0,316.285),(107.2,316.285),(107.2,316.025),(0.0,316.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(316.155), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(316.155), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[109]']
        createRL(
            tech, net, 'm2',
            ((0.0,316.655),(0.0,316.915),(107.2,316.915),(107.2,316.655),(0.0,316.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(316.785), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(316.785), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[110]']
        createRL(
            tech, net, 'm2',
            ((0.0,320.675),(0.0,320.935),(107.2,320.935),(107.2,320.675),(0.0,320.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(320.805), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(320.805), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[111]']
        createRL(
            tech, net, 'm2',
            ((0.0,321.305),(0.0,321.565),(107.2,321.565),(107.2,321.305),(0.0,321.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(321.435), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(321.435), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[112]']
        createRL(
            tech, net, 'm2',
            ((0.0,325.325),(0.0,325.585),(107.2,325.585),(107.2,325.325),(0.0,325.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(325.455), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(325.455), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[113]']
        createRL(
            tech, net, 'm2',
            ((0.0,325.955),(0.0,326.215),(107.2,326.215),(107.2,325.955),(0.0,325.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(326.085), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(326.085), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[114]']
        createRL(
            tech, net, 'm2',
            ((0.0,329.975),(0.0,330.235),(107.2,330.235),(107.2,329.975),(0.0,329.975)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(330.105), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(330.105), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[115]']
        createRL(
            tech, net, 'm2',
            ((0.0,330.605),(0.0,330.865),(107.2,330.865),(107.2,330.605),(0.0,330.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(330.735), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(330.735), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[116]']
        createRL(
            tech, net, 'm2',
            ((0.0,334.625),(0.0,334.885),(107.2,334.885),(107.2,334.625),(0.0,334.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(334.755), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(334.755), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[117]']
        createRL(
            tech, net, 'm2',
            ((0.0,335.255),(0.0,335.515),(107.2,335.515),(107.2,335.255),(0.0,335.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(335.385), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(335.385), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[118]']
        createRL(
            tech, net, 'm2',
            ((0.0,339.275),(0.0,339.535),(107.2,339.535),(107.2,339.275),(0.0,339.275)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(339.405), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(339.405), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[119]']
        createRL(
            tech, net, 'm2',
            ((0.0,339.905),(0.0,340.165),(107.2,340.165),(107.2,339.905),(0.0,339.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(340.035), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(340.035), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[120]']
        createRL(
            tech, net, 'm2',
            ((0.0,343.925),(0.0,344.185),(107.2,344.185),(107.2,343.925),(0.0,343.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(344.055), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(344.055), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[121]']
        createRL(
            tech, net, 'm2',
            ((0.0,344.555),(0.0,344.815),(107.2,344.815),(107.2,344.555),(0.0,344.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(344.685), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(344.685), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[122]']
        createRL(
            tech, net, 'm2',
            ((0.0,348.575),(0.0,348.835),(107.2,348.835),(107.2,348.575),(0.0,348.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(348.705), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(348.705), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[123]']
        createRL(
            tech, net, 'm2',
            ((0.0,349.205),(0.0,349.465),(107.2,349.465),(107.2,349.205),(0.0,349.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(349.335), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(349.335), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[124]']
        createRL(
            tech, net, 'm2',
            ((0.0,353.225),(0.0,353.485),(107.2,353.485),(107.2,353.225),(0.0,353.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(353.355), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(353.355), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[125]']
        createRL(
            tech, net, 'm2',
            ((0.0,353.855),(0.0,354.115),(107.2,354.115),(107.2,353.855),(0.0,353.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(353.985), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(353.985), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[126]']
        createRL(
            tech, net, 'm2',
            ((0.0,357.875),(0.0,358.135),(107.2,358.135),(107.2,357.875),(0.0,357.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(358.005), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(358.005), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[127]']
        createRL(
            tech, net, 'm2',
            ((0.0,358.505),(0.0,358.765),(107.2,358.765),(107.2,358.505),(0.0,358.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(358.635), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(358.635), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,64.425),(0.0,64.685),(107.2,64.685),(107.2,64.425),(0.0,64.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(64.555), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(64.555), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,66.055),(0.0,66.315),(107.2,66.315),(107.2,66.055),(0.0,66.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(66.185), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(66.185), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,69.075),(0.0,69.335),(107.2,69.335),(107.2,69.075),(0.0,69.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(69.205), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(69.205), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,70.705),(0.0,70.965),(107.2,70.965),(107.2,70.705),(0.0,70.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(70.835), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(70.835), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,73.725),(0.0,73.985),(107.2,73.985),(107.2,73.725),(0.0,73.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(73.855), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(73.855), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,75.355),(0.0,75.615),(107.2,75.615),(107.2,75.355),(0.0,75.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(75.485), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(75.485), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,78.375),(0.0,78.635),(107.2,78.635),(107.2,78.375),(0.0,78.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(78.505), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(78.505), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,80.005),(0.0,80.265),(107.2,80.265),(107.2,80.005),(0.0,80.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(80.135), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(80.135), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,83.025),(0.0,83.285),(107.2,83.285),(107.2,83.025),(0.0,83.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(83.155), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(83.155), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,84.655),(0.0,84.915),(107.2,84.915),(107.2,84.655),(0.0,84.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(84.785), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(84.785), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,87.675),(0.0,87.935),(107.2,87.935),(107.2,87.675),(0.0,87.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(87.805), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(87.805), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,89.305),(0.0,89.565),(107.2,89.565),(107.2,89.305),(0.0,89.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(89.435), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(89.435), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,92.325),(0.0,92.585),(107.2,92.585),(107.2,92.325),(0.0,92.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(92.455), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(92.455), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,93.955),(0.0,94.215),(107.2,94.215),(107.2,93.955),(0.0,93.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(94.085), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(94.085), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,96.975),(0.0,97.235),(107.2,97.235),(107.2,96.975),(0.0,96.975)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(97.105), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(97.105), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,98.605),(0.0,98.865),(107.2,98.865),(107.2,98.605),(0.0,98.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(98.735), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(98.735), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[16]']
        createRL(
            tech, net, 'm2',
            ((0.0,101.625),(0.0,101.885),(107.2,101.885),(107.2,101.625),(0.0,101.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(101.755), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(101.755), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[17]']
        createRL(
            tech, net, 'm2',
            ((0.0,103.255),(0.0,103.515),(107.2,103.515),(107.2,103.255),(0.0,103.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(103.385), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(103.385), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[18]']
        createRL(
            tech, net, 'm2',
            ((0.0,106.275),(0.0,106.535),(107.2,106.535),(107.2,106.275),(0.0,106.275)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(106.405), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(106.405), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[19]']
        createRL(
            tech, net, 'm2',
            ((0.0,107.905),(0.0,108.165),(107.2,108.165),(107.2,107.905),(0.0,107.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(108.035), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(108.035), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[20]']
        createRL(
            tech, net, 'm2',
            ((0.0,110.925),(0.0,111.185),(107.2,111.185),(107.2,110.925),(0.0,110.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(111.055), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(111.055), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[21]']
        createRL(
            tech, net, 'm2',
            ((0.0,112.555),(0.0,112.815),(107.2,112.815),(107.2,112.555),(0.0,112.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(112.685), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(112.685), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[22]']
        createRL(
            tech, net, 'm2',
            ((0.0,115.575),(0.0,115.835),(107.2,115.835),(107.2,115.575),(0.0,115.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(115.705), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(115.705), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[23]']
        createRL(
            tech, net, 'm2',
            ((0.0,117.205),(0.0,117.465),(107.2,117.465),(107.2,117.205),(0.0,117.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(117.335), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(117.335), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[24]']
        createRL(
            tech, net, 'm2',
            ((0.0,120.225),(0.0,120.485),(107.2,120.485),(107.2,120.225),(0.0,120.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(120.355), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(120.355), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[25]']
        createRL(
            tech, net, 'm2',
            ((0.0,121.855),(0.0,122.115),(107.2,122.115),(107.2,121.855),(0.0,121.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(121.985), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(121.985), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[26]']
        createRL(
            tech, net, 'm2',
            ((0.0,124.875),(0.0,125.135),(107.2,125.135),(107.2,124.875),(0.0,124.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(125.005), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(125.005), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[27]']
        createRL(
            tech, net, 'm2',
            ((0.0,126.505),(0.0,126.765),(107.2,126.765),(107.2,126.505),(0.0,126.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(126.635), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(126.635), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[28]']
        createRL(
            tech, net, 'm2',
            ((0.0,129.525),(0.0,129.785),(107.2,129.785),(107.2,129.525),(0.0,129.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(129.655), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(129.655), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[29]']
        createRL(
            tech, net, 'm2',
            ((0.0,131.155),(0.0,131.415),(107.2,131.415),(107.2,131.155),(0.0,131.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(131.285), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(131.285), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[30]']
        createRL(
            tech, net, 'm2',
            ((0.0,134.175),(0.0,134.435),(107.2,134.435),(107.2,134.175),(0.0,134.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(134.305), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(134.305), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[31]']
        createRL(
            tech, net, 'm2',
            ((0.0,135.805),(0.0,136.065),(107.2,136.065),(107.2,135.805),(0.0,135.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(135.935), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(135.935), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[32]']
        createRL(
            tech, net, 'm2',
            ((0.0,138.825),(0.0,139.085),(107.2,139.085),(107.2,138.825),(0.0,138.825)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(138.955), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(138.955), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[33]']
        createRL(
            tech, net, 'm2',
            ((0.0,140.455),(0.0,140.715),(107.2,140.715),(107.2,140.455),(0.0,140.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(140.585), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(140.585), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[34]']
        createRL(
            tech, net, 'm2',
            ((0.0,143.475),(0.0,143.735),(107.2,143.735),(107.2,143.475),(0.0,143.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(143.605), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(143.605), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[35]']
        createRL(
            tech, net, 'm2',
            ((0.0,145.105),(0.0,145.365),(107.2,145.365),(107.2,145.105),(0.0,145.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(145.235), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(145.235), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[36]']
        createRL(
            tech, net, 'm2',
            ((0.0,148.125),(0.0,148.385),(107.2,148.385),(107.2,148.125),(0.0,148.125)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(148.255), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(148.255), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[37]']
        createRL(
            tech, net, 'm2',
            ((0.0,149.755),(0.0,150.015),(107.2,150.015),(107.2,149.755),(0.0,149.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(149.885), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(149.885), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[38]']
        createRL(
            tech, net, 'm2',
            ((0.0,152.775),(0.0,153.035),(107.2,153.035),(107.2,152.775),(0.0,152.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(152.905), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(152.905), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[39]']
        createRL(
            tech, net, 'm2',
            ((0.0,154.405),(0.0,154.665),(107.2,154.665),(107.2,154.405),(0.0,154.405)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(154.535), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(154.535), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[40]']
        createRL(
            tech, net, 'm2',
            ((0.0,157.425),(0.0,157.685),(107.2,157.685),(107.2,157.425),(0.0,157.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(157.555), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(157.555), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[41]']
        createRL(
            tech, net, 'm2',
            ((0.0,159.055),(0.0,159.315),(107.2,159.315),(107.2,159.055),(0.0,159.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(159.185), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(159.185), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[42]']
        createRL(
            tech, net, 'm2',
            ((0.0,162.075),(0.0,162.335),(107.2,162.335),(107.2,162.075),(0.0,162.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(162.205), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(162.205), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[43]']
        createRL(
            tech, net, 'm2',
            ((0.0,163.705),(0.0,163.965),(107.2,163.965),(107.2,163.705),(0.0,163.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(163.835), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(163.835), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[44]']
        createRL(
            tech, net, 'm2',
            ((0.0,166.725),(0.0,166.985),(107.2,166.985),(107.2,166.725),(0.0,166.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(166.855), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(166.855), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[45]']
        createRL(
            tech, net, 'm2',
            ((0.0,168.355),(0.0,168.615),(107.2,168.615),(107.2,168.355),(0.0,168.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(168.485), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(168.485), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[46]']
        createRL(
            tech, net, 'm2',
            ((0.0,171.375),(0.0,171.635),(107.2,171.635),(107.2,171.375),(0.0,171.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(171.505), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(171.505), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[47]']
        createRL(
            tech, net, 'm2',
            ((0.0,173.005),(0.0,173.265),(107.2,173.265),(107.2,173.005),(0.0,173.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(173.135), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(173.135), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[48]']
        createRL(
            tech, net, 'm2',
            ((0.0,176.025),(0.0,176.285),(107.2,176.285),(107.2,176.025),(0.0,176.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(176.155), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(176.155), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[49]']
        createRL(
            tech, net, 'm2',
            ((0.0,177.655),(0.0,177.915),(107.2,177.915),(107.2,177.655),(0.0,177.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(177.785), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(177.785), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[50]']
        createRL(
            tech, net, 'm2',
            ((0.0,180.675),(0.0,180.935),(107.2,180.935),(107.2,180.675),(0.0,180.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(180.805), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(180.805), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[51]']
        createRL(
            tech, net, 'm2',
            ((0.0,182.305),(0.0,182.565),(107.2,182.565),(107.2,182.305),(0.0,182.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(182.435), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(182.435), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[52]']
        createRL(
            tech, net, 'm2',
            ((0.0,185.325),(0.0,185.585),(107.2,185.585),(107.2,185.325),(0.0,185.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(185.455), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(185.455), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[53]']
        createRL(
            tech, net, 'm2',
            ((0.0,186.955),(0.0,187.215),(107.2,187.215),(107.2,186.955),(0.0,186.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(187.085), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(187.085), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[54]']
        createRL(
            tech, net, 'm2',
            ((0.0,189.975),(0.0,190.235),(107.2,190.235),(107.2,189.975),(0.0,189.975)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(190.105), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(190.105), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[55]']
        createRL(
            tech, net, 'm2',
            ((0.0,191.605),(0.0,191.865),(107.2,191.865),(107.2,191.605),(0.0,191.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(191.735), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(191.735), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[56]']
        createRL(
            tech, net, 'm2',
            ((0.0,194.625),(0.0,194.885),(107.2,194.885),(107.2,194.625),(0.0,194.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(194.755), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(194.755), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[57]']
        createRL(
            tech, net, 'm2',
            ((0.0,196.255),(0.0,196.515),(107.2,196.515),(107.2,196.255),(0.0,196.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(196.385), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(196.385), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[58]']
        createRL(
            tech, net, 'm2',
            ((0.0,199.275),(0.0,199.535),(107.2,199.535),(107.2,199.275),(0.0,199.275)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(199.405), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(199.405), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[59]']
        createRL(
            tech, net, 'm2',
            ((0.0,200.905),(0.0,201.165),(107.2,201.165),(107.2,200.905),(0.0,200.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(201.035), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(201.035), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[60]']
        createRL(
            tech, net, 'm2',
            ((0.0,203.925),(0.0,204.185),(107.2,204.185),(107.2,203.925),(0.0,203.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(204.055), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(204.055), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[61]']
        createRL(
            tech, net, 'm2',
            ((0.0,205.555),(0.0,205.815),(107.2,205.815),(107.2,205.555),(0.0,205.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(205.685), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(205.685), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[62]']
        createRL(
            tech, net, 'm2',
            ((0.0,208.575),(0.0,208.835),(107.2,208.835),(107.2,208.575),(0.0,208.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(208.705), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(208.705), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[63]']
        createRL(
            tech, net, 'm2',
            ((0.0,210.205),(0.0,210.465),(107.2,210.465),(107.2,210.205),(0.0,210.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(210.335), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(210.335), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[64]']
        createRL(
            tech, net, 'm2',
            ((0.0,213.225),(0.0,213.485),(107.2,213.485),(107.2,213.225),(0.0,213.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(213.355), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(213.355), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[65]']
        createRL(
            tech, net, 'm2',
            ((0.0,214.855),(0.0,215.115),(107.2,215.115),(107.2,214.855),(0.0,214.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(214.985), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(214.985), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[66]']
        createRL(
            tech, net, 'm2',
            ((0.0,217.875),(0.0,218.135),(107.2,218.135),(107.2,217.875),(0.0,217.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(218.005), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(218.005), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[67]']
        createRL(
            tech, net, 'm2',
            ((0.0,219.505),(0.0,219.765),(107.2,219.765),(107.2,219.505),(0.0,219.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(219.635), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(219.635), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[68]']
        createRL(
            tech, net, 'm2',
            ((0.0,222.525),(0.0,222.785),(107.2,222.785),(107.2,222.525),(0.0,222.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(222.655), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(222.655), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[69]']
        createRL(
            tech, net, 'm2',
            ((0.0,224.155),(0.0,224.415),(107.2,224.415),(107.2,224.155),(0.0,224.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(224.285), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(224.285), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[70]']
        createRL(
            tech, net, 'm2',
            ((0.0,227.175),(0.0,227.435),(107.2,227.435),(107.2,227.175),(0.0,227.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(227.305), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(227.305), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[71]']
        createRL(
            tech, net, 'm2',
            ((0.0,228.805),(0.0,229.065),(107.2,229.065),(107.2,228.805),(0.0,228.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(228.935), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(228.935), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[72]']
        createRL(
            tech, net, 'm2',
            ((0.0,231.825),(0.0,232.085),(107.2,232.085),(107.2,231.825),(0.0,231.825)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(231.955), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(231.955), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[73]']
        createRL(
            tech, net, 'm2',
            ((0.0,233.455),(0.0,233.715),(107.2,233.715),(107.2,233.455),(0.0,233.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(233.585), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(233.585), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[74]']
        createRL(
            tech, net, 'm2',
            ((0.0,236.475),(0.0,236.735),(107.2,236.735),(107.2,236.475),(0.0,236.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(236.605), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(236.605), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[75]']
        createRL(
            tech, net, 'm2',
            ((0.0,238.105),(0.0,238.365),(107.2,238.365),(107.2,238.105),(0.0,238.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(238.235), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(238.235), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[76]']
        createRL(
            tech, net, 'm2',
            ((0.0,241.125),(0.0,241.385),(107.2,241.385),(107.2,241.125),(0.0,241.125)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(241.255), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(241.255), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[77]']
        createRL(
            tech, net, 'm2',
            ((0.0,242.755),(0.0,243.015),(107.2,243.015),(107.2,242.755),(0.0,242.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(242.885), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(242.885), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[78]']
        createRL(
            tech, net, 'm2',
            ((0.0,245.775),(0.0,246.035),(107.2,246.035),(107.2,245.775),(0.0,245.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(245.905), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(245.905), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[79]']
        createRL(
            tech, net, 'm2',
            ((0.0,247.405),(0.0,247.665),(107.2,247.665),(107.2,247.405),(0.0,247.405)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(247.535), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(247.535), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[80]']
        createRL(
            tech, net, 'm2',
            ((0.0,250.425),(0.0,250.685),(107.2,250.685),(107.2,250.425),(0.0,250.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(250.555), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(250.555), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[81]']
        createRL(
            tech, net, 'm2',
            ((0.0,252.055),(0.0,252.315),(107.2,252.315),(107.2,252.055),(0.0,252.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(252.185), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(252.185), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[82]']
        createRL(
            tech, net, 'm2',
            ((0.0,255.075),(0.0,255.335),(107.2,255.335),(107.2,255.075),(0.0,255.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(255.205), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(255.205), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[83]']
        createRL(
            tech, net, 'm2',
            ((0.0,256.705),(0.0,256.965),(107.2,256.965),(107.2,256.705),(0.0,256.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(256.835), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(256.835), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[84]']
        createRL(
            tech, net, 'm2',
            ((0.0,259.725),(0.0,259.985),(107.2,259.985),(107.2,259.725),(0.0,259.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(259.855), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(259.855), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[85]']
        createRL(
            tech, net, 'm2',
            ((0.0,261.355),(0.0,261.615),(107.2,261.615),(107.2,261.355),(0.0,261.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(261.485), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(261.485), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[86]']
        createRL(
            tech, net, 'm2',
            ((0.0,264.375),(0.0,264.635),(107.2,264.635),(107.2,264.375),(0.0,264.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(264.505), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(264.505), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[87]']
        createRL(
            tech, net, 'm2',
            ((0.0,266.005),(0.0,266.265),(107.2,266.265),(107.2,266.005),(0.0,266.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(266.135), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(266.135), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[88]']
        createRL(
            tech, net, 'm2',
            ((0.0,269.025),(0.0,269.285),(107.2,269.285),(107.2,269.025),(0.0,269.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(269.155), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(269.155), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[89]']
        createRL(
            tech, net, 'm2',
            ((0.0,270.655),(0.0,270.915),(107.2,270.915),(107.2,270.655),(0.0,270.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(270.785), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(270.785), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[90]']
        createRL(
            tech, net, 'm2',
            ((0.0,273.675),(0.0,273.935),(107.2,273.935),(107.2,273.675),(0.0,273.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(273.805), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(273.805), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[91]']
        createRL(
            tech, net, 'm2',
            ((0.0,275.305),(0.0,275.565),(107.2,275.565),(107.2,275.305),(0.0,275.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(275.435), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(275.435), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[92]']
        createRL(
            tech, net, 'm2',
            ((0.0,278.325),(0.0,278.585),(107.2,278.585),(107.2,278.325),(0.0,278.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(278.455), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(278.455), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[93]']
        createRL(
            tech, net, 'm2',
            ((0.0,279.955),(0.0,280.215),(107.2,280.215),(107.2,279.955),(0.0,279.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(280.085), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(280.085), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[94]']
        createRL(
            tech, net, 'm2',
            ((0.0,282.975),(0.0,283.235),(107.2,283.235),(107.2,282.975),(0.0,282.975)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(283.105), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(283.105), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[95]']
        createRL(
            tech, net, 'm2',
            ((0.0,284.605),(0.0,284.865),(107.2,284.865),(107.2,284.605),(0.0,284.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(284.735), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(284.735), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[96]']
        createRL(
            tech, net, 'm2',
            ((0.0,287.625),(0.0,287.885),(107.2,287.885),(107.2,287.625),(0.0,287.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(287.755), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(287.755), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[97]']
        createRL(
            tech, net, 'm2',
            ((0.0,289.255),(0.0,289.515),(107.2,289.515),(107.2,289.255),(0.0,289.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(289.385), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(289.385), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[98]']
        createRL(
            tech, net, 'm2',
            ((0.0,292.275),(0.0,292.535),(107.2,292.535),(107.2,292.275),(0.0,292.275)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(292.405), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(292.405), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[99]']
        createRL(
            tech, net, 'm2',
            ((0.0,293.905),(0.0,294.165),(107.2,294.165),(107.2,293.905),(0.0,293.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(294.035), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(294.035), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[100]']
        createRL(
            tech, net, 'm2',
            ((0.0,296.925),(0.0,297.185),(107.2,297.185),(107.2,296.925),(0.0,296.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(297.055), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(297.055), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[101]']
        createRL(
            tech, net, 'm2',
            ((0.0,298.555),(0.0,298.815),(107.2,298.815),(107.2,298.555),(0.0,298.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(298.685), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(298.685), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[102]']
        createRL(
            tech, net, 'm2',
            ((0.0,301.575),(0.0,301.835),(107.2,301.835),(107.2,301.575),(0.0,301.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(301.705), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(301.705), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[103]']
        createRL(
            tech, net, 'm2',
            ((0.0,303.205),(0.0,303.465),(107.2,303.465),(107.2,303.205),(0.0,303.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(303.335), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(303.335), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[104]']
        createRL(
            tech, net, 'm2',
            ((0.0,306.225),(0.0,306.485),(107.2,306.485),(107.2,306.225),(0.0,306.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(306.355), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(306.355), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[105]']
        createRL(
            tech, net, 'm2',
            ((0.0,307.855),(0.0,308.115),(107.2,308.115),(107.2,307.855),(0.0,307.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(307.985), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(307.985), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[106]']
        createRL(
            tech, net, 'm2',
            ((0.0,310.875),(0.0,311.135),(107.2,311.135),(107.2,310.875),(0.0,310.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(311.005), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(311.005), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[107]']
        createRL(
            tech, net, 'm2',
            ((0.0,312.505),(0.0,312.765),(107.2,312.765),(107.2,312.505),(0.0,312.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(312.635), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(312.635), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[108]']
        createRL(
            tech, net, 'm2',
            ((0.0,315.525),(0.0,315.785),(107.2,315.785),(107.2,315.525),(0.0,315.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(315.655), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(315.655), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[109]']
        createRL(
            tech, net, 'm2',
            ((0.0,317.155),(0.0,317.415),(107.2,317.415),(107.2,317.155),(0.0,317.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(317.285), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(317.285), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[110]']
        createRL(
            tech, net, 'm2',
            ((0.0,320.175),(0.0,320.435),(107.2,320.435),(107.2,320.175),(0.0,320.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(320.305), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(320.305), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[111]']
        createRL(
            tech, net, 'm2',
            ((0.0,321.805),(0.0,322.065),(107.2,322.065),(107.2,321.805),(0.0,321.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(321.935), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(321.935), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[112]']
        createRL(
            tech, net, 'm2',
            ((0.0,324.825),(0.0,325.085),(107.2,325.085),(107.2,324.825),(0.0,324.825)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(324.955), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(324.955), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[113]']
        createRL(
            tech, net, 'm2',
            ((0.0,326.455),(0.0,326.715),(107.2,326.715),(107.2,326.455),(0.0,326.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(326.585), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(326.585), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[114]']
        createRL(
            tech, net, 'm2',
            ((0.0,329.475),(0.0,329.735),(107.2,329.735),(107.2,329.475),(0.0,329.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(329.605), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(329.605), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[115]']
        createRL(
            tech, net, 'm2',
            ((0.0,331.105),(0.0,331.365),(107.2,331.365),(107.2,331.105),(0.0,331.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(331.235), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(331.235), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[116]']
        createRL(
            tech, net, 'm2',
            ((0.0,334.125),(0.0,334.385),(107.2,334.385),(107.2,334.125),(0.0,334.125)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(334.255), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(334.255), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[117]']
        createRL(
            tech, net, 'm2',
            ((0.0,335.755),(0.0,336.015),(107.2,336.015),(107.2,335.755),(0.0,335.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(335.885), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(335.885), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[118]']
        createRL(
            tech, net, 'm2',
            ((0.0,338.775),(0.0,339.035),(107.2,339.035),(107.2,338.775),(0.0,338.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(338.905), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(338.905), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[119]']
        createRL(
            tech, net, 'm2',
            ((0.0,340.405),(0.0,340.665),(107.2,340.665),(107.2,340.405),(0.0,340.405)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(340.535), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(340.535), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[120]']
        createRL(
            tech, net, 'm2',
            ((0.0,343.425),(0.0,343.685),(107.2,343.685),(107.2,343.425),(0.0,343.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(343.555), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(343.555), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[121]']
        createRL(
            tech, net, 'm2',
            ((0.0,345.055),(0.0,345.315),(107.2,345.315),(107.2,345.055),(0.0,345.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(345.185), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(345.185), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[122]']
        createRL(
            tech, net, 'm2',
            ((0.0,348.075),(0.0,348.335),(107.2,348.335),(107.2,348.075),(0.0,348.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(348.205), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(348.205), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[123]']
        createRL(
            tech, net, 'm2',
            ((0.0,349.705),(0.0,349.965),(107.2,349.965),(107.2,349.705),(0.0,349.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(349.835), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(349.835), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[124]']
        createRL(
            tech, net, 'm2',
            ((0.0,352.725),(0.0,352.985),(107.2,352.985),(107.2,352.725),(0.0,352.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(352.855), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(352.855), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[125]']
        createRL(
            tech, net, 'm2',
            ((0.0,354.355),(0.0,354.615),(107.2,354.615),(107.2,354.355),(0.0,354.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(354.485), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(354.485), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[126]']
        createRL(
            tech, net, 'm2',
            ((0.0,357.375),(0.0,357.635),(107.2,357.635),(107.2,357.375),(0.0,357.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(357.505), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(357.505), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[127]']
        createRL(
            tech, net, 'm2',
            ((0.0,359.005),(0.0,359.265),(107.2,359.265),(107.2,359.005),(0.0,359.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(359.135), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(359.135), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux1[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,50.33),(0.0,50.59),(107.2,50.59),(107.2,50.33),(0.0,50.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux1[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,50.79),(0.0,51.05),(107.2,51.05),(107.2,50.79),(0.0,50.79)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.92), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.92), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux1[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,51.25),(0.0,51.51),(107.2,51.51),(107.2,51.25),(0.0,51.25)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.38), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.38), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux1[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,51.71),(0.0,51.97),(107.2,51.97),(107.2,51.71),(0.0,51.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux2[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,373.1),(0.0,373.36),(107.2,373.36),(107.2,373.1),(0.0,373.1)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(373.23), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(373.23), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux2[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,372.64),(0.0,372.9),(107.2,372.9),(107.2,372.64),(0.0,372.64)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(372.77), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(372.77), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux2[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,372.18),(0.0,372.44),(107.2,372.44),(107.2,372.18),(0.0,372.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(372.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(372.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux2[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,371.72),(0.0,371.98),(107.2,371.98),(107.2,371.72),(0.0,371.72)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(371.85), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(371.85), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[0]']
        createRL(
            tech, net, 'm2',
            ((1.37,0.0),(1.37,41.955),(1.63,41.955),(1.63,0.0),(1.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(1.5), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(1.5), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[1]']
        createRL(
            tech, net, 'm2',
            ((14.77,0.0),(14.77,41.955),(15.03,41.955),(15.03,0.0),(14.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(14.9), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(14.9), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[2]']
        createRL(
            tech, net, 'm2',
            ((28.17,0.0),(28.17,41.955),(28.43,41.955),(28.43,0.0),(28.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(28.3), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(28.3), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[3]']
        createRL(
            tech, net, 'm2',
            ((41.57,0.0),(41.57,41.955),(41.83,41.955),(41.83,0.0),(41.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(41.7), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(41.7), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[4]']
        createRL(
            tech, net, 'm2',
            ((54.97,0.0),(54.97,41.955),(55.23,41.955),(55.23,0.0),(54.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(55.1), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(55.1), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[5]']
        createRL(
            tech, net, 'm2',
            ((68.37,0.0),(68.37,41.955),(68.63,41.955),(68.63,0.0),(68.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(68.5), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(68.5), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[6]']
        createRL(
            tech, net, 'm2',
            ((81.77,0.0),(81.77,41.955),(82.03,41.955),(82.03,0.0),(81.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(81.9), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(81.9), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[7]']
        createRL(
            tech, net, 'm2',
            ((95.17,0.0),(95.17,41.955),(95.43,41.955),(95.43,0.0),(95.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(95.3), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(95.3), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[0]']
        createRL(
            tech, net, 'm2',
            ((1.37,381.735),(1.37,423.69),(1.63,423.69),(1.63,381.735),(1.37,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(1.5), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(1.5), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[1]']
        createRL(
            tech, net, 'm2',
            ((14.77,381.735),(14.77,423.69),(15.03,423.69),(15.03,381.735),(14.77,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(14.9), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(14.9), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[2]']
        createRL(
            tech, net, 'm2',
            ((28.17,381.735),(28.17,423.69),(28.43,423.69),(28.43,381.735),(28.17,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(28.3), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(28.3), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[3]']
        createRL(
            tech, net, 'm2',
            ((41.57,381.735),(41.57,423.69),(41.83,423.69),(41.83,381.735),(41.57,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(41.7), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(41.7), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[4]']
        createRL(
            tech, net, 'm2',
            ((54.97,381.735),(54.97,423.69),(55.23,423.69),(55.23,381.735),(54.97,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(55.1), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(55.1), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[5]']
        createRL(
            tech, net, 'm2',
            ((68.37,381.735),(68.37,423.69),(68.63,423.69),(68.63,381.735),(68.37,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(68.5), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(68.5), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[6]']
        createRL(
            tech, net, 'm2',
            ((81.77,381.735),(81.77,423.69),(82.03,423.69),(82.03,381.735),(81.77,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(81.9), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(81.9), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[7]']
        createRL(
            tech, net, 'm2',
            ((95.17,381.735),(95.17,423.69),(95.43,423.69),(95.43,381.735),(95.17,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(95.3), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(95.3), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[0]']
        createRL(
            tech, net, 'm2',
            ((4.37,0.0),(4.37,11.955),(4.63,11.955),(4.63,0.0),(4.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(4.5), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(4.5), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[1]']
        createRL(
            tech, net, 'm2',
            ((4.88,0.0),(4.88,21.955),(5.14,21.955),(5.14,0.0),(4.88,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(5.01), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(5.01), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[2]']
        createRL(
            tech, net, 'm2',
            ((31.17,0.0),(31.17,11.955),(31.43,11.955),(31.43,0.0),(31.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(31.3), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(31.3), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[3]']
        createRL(
            tech, net, 'm2',
            ((31.68,0.0),(31.68,21.955),(31.94,21.955),(31.94,0.0),(31.68,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(31.81), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(31.81), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[4]']
        createRL(
            tech, net, 'm2',
            ((57.97,0.0),(57.97,11.955),(58.23,11.955),(58.23,0.0),(57.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(58.1), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(58.1), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[5]']
        createRL(
            tech, net, 'm2',
            ((58.48,0.0),(58.48,21.955),(58.74,21.955),(58.74,0.0),(58.48,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(58.61), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(58.61), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[6]']
        createRL(
            tech, net, 'm2',
            ((84.77,0.0),(84.77,11.955),(85.03,11.955),(85.03,0.0),(84.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(84.9), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(84.9), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[7]']
        createRL(
            tech, net, 'm2',
            ((85.28,0.0),(85.28,21.955),(85.54,21.955),(85.54,0.0),(85.28,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(85.41), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(85.41), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[0]']
        createRL(
            tech, net, 'm2',
            ((4.37,411.735),(4.37,423.69),(4.63,423.69),(4.63,411.735),(4.37,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(4.5), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(4.5), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[1]']
        createRL(
            tech, net, 'm2',
            ((4.88,401.735),(4.88,423.69),(5.14,423.69),(5.14,401.735),(4.88,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(5.01), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(5.01), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[2]']
        createRL(
            tech, net, 'm2',
            ((31.17,411.735),(31.17,423.69),(31.43,423.69),(31.43,411.735),(31.17,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(31.3), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(31.3), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[3]']
        createRL(
            tech, net, 'm2',
            ((31.68,401.735),(31.68,423.69),(31.94,423.69),(31.94,401.735),(31.68,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(31.81), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(31.81), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[4]']
        createRL(
            tech, net, 'm2',
            ((57.97,411.735),(57.97,423.69),(58.23,423.69),(58.23,411.735),(57.97,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(58.1), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(58.1), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[5]']
        createRL(
            tech, net, 'm2',
            ((58.48,401.735),(58.48,423.69),(58.74,423.69),(58.74,401.735),(58.48,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(58.61), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(58.61), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[6]']
        createRL(
            tech, net, 'm2',
            ((84.77,411.735),(84.77,423.69),(85.03,423.69),(85.03,411.735),(84.77,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(84.9), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(84.9), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[7]']
        createRL(
            tech, net, 'm2',
            ((85.28,401.735),(85.28,423.69),(85.54,423.69),(85.54,401.735),(85.28,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(85.41), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(85.41), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,423.69),(107.2,423.69),(107.2,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl1[0]'].setDirection(Net.Direction.IN)
        nets['wl2[0]'].setDirection(Net.Direction.IN)
        nets['wl1[1]'].setDirection(Net.Direction.IN)
        nets['wl2[1]'].setDirection(Net.Direction.IN)
        nets['wl1[2]'].setDirection(Net.Direction.IN)
        nets['wl2[2]'].setDirection(Net.Direction.IN)
        nets['wl1[3]'].setDirection(Net.Direction.IN)
        nets['wl2[3]'].setDirection(Net.Direction.IN)
        nets['wl1[4]'].setDirection(Net.Direction.IN)
        nets['wl2[4]'].setDirection(Net.Direction.IN)
        nets['wl1[5]'].setDirection(Net.Direction.IN)
        nets['wl2[5]'].setDirection(Net.Direction.IN)
        nets['wl1[6]'].setDirection(Net.Direction.IN)
        nets['wl2[6]'].setDirection(Net.Direction.IN)
        nets['wl1[7]'].setDirection(Net.Direction.IN)
        nets['wl2[7]'].setDirection(Net.Direction.IN)
        nets['wl1[8]'].setDirection(Net.Direction.IN)
        nets['wl2[8]'].setDirection(Net.Direction.IN)
        nets['wl1[9]'].setDirection(Net.Direction.IN)
        nets['wl2[9]'].setDirection(Net.Direction.IN)
        nets['wl1[10]'].setDirection(Net.Direction.IN)
        nets['wl2[10]'].setDirection(Net.Direction.IN)
        nets['wl1[11]'].setDirection(Net.Direction.IN)
        nets['wl2[11]'].setDirection(Net.Direction.IN)
        nets['wl1[12]'].setDirection(Net.Direction.IN)
        nets['wl2[12]'].setDirection(Net.Direction.IN)
        nets['wl1[13]'].setDirection(Net.Direction.IN)
        nets['wl2[13]'].setDirection(Net.Direction.IN)
        nets['wl1[14]'].setDirection(Net.Direction.IN)
        nets['wl2[14]'].setDirection(Net.Direction.IN)
        nets['wl1[15]'].setDirection(Net.Direction.IN)
        nets['wl2[15]'].setDirection(Net.Direction.IN)
        nets['wl1[16]'].setDirection(Net.Direction.IN)
        nets['wl2[16]'].setDirection(Net.Direction.IN)
        nets['wl1[17]'].setDirection(Net.Direction.IN)
        nets['wl2[17]'].setDirection(Net.Direction.IN)
        nets['wl1[18]'].setDirection(Net.Direction.IN)
        nets['wl2[18]'].setDirection(Net.Direction.IN)
        nets['wl1[19]'].setDirection(Net.Direction.IN)
        nets['wl2[19]'].setDirection(Net.Direction.IN)
        nets['wl1[20]'].setDirection(Net.Direction.IN)
        nets['wl2[20]'].setDirection(Net.Direction.IN)
        nets['wl1[21]'].setDirection(Net.Direction.IN)
        nets['wl2[21]'].setDirection(Net.Direction.IN)
        nets['wl1[22]'].setDirection(Net.Direction.IN)
        nets['wl2[22]'].setDirection(Net.Direction.IN)
        nets['wl1[23]'].setDirection(Net.Direction.IN)
        nets['wl2[23]'].setDirection(Net.Direction.IN)
        nets['wl1[24]'].setDirection(Net.Direction.IN)
        nets['wl2[24]'].setDirection(Net.Direction.IN)
        nets['wl1[25]'].setDirection(Net.Direction.IN)
        nets['wl2[25]'].setDirection(Net.Direction.IN)
        nets['wl1[26]'].setDirection(Net.Direction.IN)
        nets['wl2[26]'].setDirection(Net.Direction.IN)
        nets['wl1[27]'].setDirection(Net.Direction.IN)
        nets['wl2[27]'].setDirection(Net.Direction.IN)
        nets['wl1[28]'].setDirection(Net.Direction.IN)
        nets['wl2[28]'].setDirection(Net.Direction.IN)
        nets['wl1[29]'].setDirection(Net.Direction.IN)
        nets['wl2[29]'].setDirection(Net.Direction.IN)
        nets['wl1[30]'].setDirection(Net.Direction.IN)
        nets['wl2[30]'].setDirection(Net.Direction.IN)
        nets['wl1[31]'].setDirection(Net.Direction.IN)
        nets['wl2[31]'].setDirection(Net.Direction.IN)
        nets['wl1[32]'].setDirection(Net.Direction.IN)
        nets['wl2[32]'].setDirection(Net.Direction.IN)
        nets['wl1[33]'].setDirection(Net.Direction.IN)
        nets['wl2[33]'].setDirection(Net.Direction.IN)
        nets['wl1[34]'].setDirection(Net.Direction.IN)
        nets['wl2[34]'].setDirection(Net.Direction.IN)
        nets['wl1[35]'].setDirection(Net.Direction.IN)
        nets['wl2[35]'].setDirection(Net.Direction.IN)
        nets['wl1[36]'].setDirection(Net.Direction.IN)
        nets['wl2[36]'].setDirection(Net.Direction.IN)
        nets['wl1[37]'].setDirection(Net.Direction.IN)
        nets['wl2[37]'].setDirection(Net.Direction.IN)
        nets['wl1[38]'].setDirection(Net.Direction.IN)
        nets['wl2[38]'].setDirection(Net.Direction.IN)
        nets['wl1[39]'].setDirection(Net.Direction.IN)
        nets['wl2[39]'].setDirection(Net.Direction.IN)
        nets['wl1[40]'].setDirection(Net.Direction.IN)
        nets['wl2[40]'].setDirection(Net.Direction.IN)
        nets['wl1[41]'].setDirection(Net.Direction.IN)
        nets['wl2[41]'].setDirection(Net.Direction.IN)
        nets['wl1[42]'].setDirection(Net.Direction.IN)
        nets['wl2[42]'].setDirection(Net.Direction.IN)
        nets['wl1[43]'].setDirection(Net.Direction.IN)
        nets['wl2[43]'].setDirection(Net.Direction.IN)
        nets['wl1[44]'].setDirection(Net.Direction.IN)
        nets['wl2[44]'].setDirection(Net.Direction.IN)
        nets['wl1[45]'].setDirection(Net.Direction.IN)
        nets['wl2[45]'].setDirection(Net.Direction.IN)
        nets['wl1[46]'].setDirection(Net.Direction.IN)
        nets['wl2[46]'].setDirection(Net.Direction.IN)
        nets['wl1[47]'].setDirection(Net.Direction.IN)
        nets['wl2[47]'].setDirection(Net.Direction.IN)
        nets['wl1[48]'].setDirection(Net.Direction.IN)
        nets['wl2[48]'].setDirection(Net.Direction.IN)
        nets['wl1[49]'].setDirection(Net.Direction.IN)
        nets['wl2[49]'].setDirection(Net.Direction.IN)
        nets['wl1[50]'].setDirection(Net.Direction.IN)
        nets['wl2[50]'].setDirection(Net.Direction.IN)
        nets['wl1[51]'].setDirection(Net.Direction.IN)
        nets['wl2[51]'].setDirection(Net.Direction.IN)
        nets['wl1[52]'].setDirection(Net.Direction.IN)
        nets['wl2[52]'].setDirection(Net.Direction.IN)
        nets['wl1[53]'].setDirection(Net.Direction.IN)
        nets['wl2[53]'].setDirection(Net.Direction.IN)
        nets['wl1[54]'].setDirection(Net.Direction.IN)
        nets['wl2[54]'].setDirection(Net.Direction.IN)
        nets['wl1[55]'].setDirection(Net.Direction.IN)
        nets['wl2[55]'].setDirection(Net.Direction.IN)
        nets['wl1[56]'].setDirection(Net.Direction.IN)
        nets['wl2[56]'].setDirection(Net.Direction.IN)
        nets['wl1[57]'].setDirection(Net.Direction.IN)
        nets['wl2[57]'].setDirection(Net.Direction.IN)
        nets['wl1[58]'].setDirection(Net.Direction.IN)
        nets['wl2[58]'].setDirection(Net.Direction.IN)
        nets['wl1[59]'].setDirection(Net.Direction.IN)
        nets['wl2[59]'].setDirection(Net.Direction.IN)
        nets['wl1[60]'].setDirection(Net.Direction.IN)
        nets['wl2[60]'].setDirection(Net.Direction.IN)
        nets['wl1[61]'].setDirection(Net.Direction.IN)
        nets['wl2[61]'].setDirection(Net.Direction.IN)
        nets['wl1[62]'].setDirection(Net.Direction.IN)
        nets['wl2[62]'].setDirection(Net.Direction.IN)
        nets['wl1[63]'].setDirection(Net.Direction.IN)
        nets['wl2[63]'].setDirection(Net.Direction.IN)
        nets['wl1[64]'].setDirection(Net.Direction.IN)
        nets['wl2[64]'].setDirection(Net.Direction.IN)
        nets['wl1[65]'].setDirection(Net.Direction.IN)
        nets['wl2[65]'].setDirection(Net.Direction.IN)
        nets['wl1[66]'].setDirection(Net.Direction.IN)
        nets['wl2[66]'].setDirection(Net.Direction.IN)
        nets['wl1[67]'].setDirection(Net.Direction.IN)
        nets['wl2[67]'].setDirection(Net.Direction.IN)
        nets['wl1[68]'].setDirection(Net.Direction.IN)
        nets['wl2[68]'].setDirection(Net.Direction.IN)
        nets['wl1[69]'].setDirection(Net.Direction.IN)
        nets['wl2[69]'].setDirection(Net.Direction.IN)
        nets['wl1[70]'].setDirection(Net.Direction.IN)
        nets['wl2[70]'].setDirection(Net.Direction.IN)
        nets['wl1[71]'].setDirection(Net.Direction.IN)
        nets['wl2[71]'].setDirection(Net.Direction.IN)
        nets['wl1[72]'].setDirection(Net.Direction.IN)
        nets['wl2[72]'].setDirection(Net.Direction.IN)
        nets['wl1[73]'].setDirection(Net.Direction.IN)
        nets['wl2[73]'].setDirection(Net.Direction.IN)
        nets['wl1[74]'].setDirection(Net.Direction.IN)
        nets['wl2[74]'].setDirection(Net.Direction.IN)
        nets['wl1[75]'].setDirection(Net.Direction.IN)
        nets['wl2[75]'].setDirection(Net.Direction.IN)
        nets['wl1[76]'].setDirection(Net.Direction.IN)
        nets['wl2[76]'].setDirection(Net.Direction.IN)
        nets['wl1[77]'].setDirection(Net.Direction.IN)
        nets['wl2[77]'].setDirection(Net.Direction.IN)
        nets['wl1[78]'].setDirection(Net.Direction.IN)
        nets['wl2[78]'].setDirection(Net.Direction.IN)
        nets['wl1[79]'].setDirection(Net.Direction.IN)
        nets['wl2[79]'].setDirection(Net.Direction.IN)
        nets['wl1[80]'].setDirection(Net.Direction.IN)
        nets['wl2[80]'].setDirection(Net.Direction.IN)
        nets['wl1[81]'].setDirection(Net.Direction.IN)
        nets['wl2[81]'].setDirection(Net.Direction.IN)
        nets['wl1[82]'].setDirection(Net.Direction.IN)
        nets['wl2[82]'].setDirection(Net.Direction.IN)
        nets['wl1[83]'].setDirection(Net.Direction.IN)
        nets['wl2[83]'].setDirection(Net.Direction.IN)
        nets['wl1[84]'].setDirection(Net.Direction.IN)
        nets['wl2[84]'].setDirection(Net.Direction.IN)
        nets['wl1[85]'].setDirection(Net.Direction.IN)
        nets['wl2[85]'].setDirection(Net.Direction.IN)
        nets['wl1[86]'].setDirection(Net.Direction.IN)
        nets['wl2[86]'].setDirection(Net.Direction.IN)
        nets['wl1[87]'].setDirection(Net.Direction.IN)
        nets['wl2[87]'].setDirection(Net.Direction.IN)
        nets['wl1[88]'].setDirection(Net.Direction.IN)
        nets['wl2[88]'].setDirection(Net.Direction.IN)
        nets['wl1[89]'].setDirection(Net.Direction.IN)
        nets['wl2[89]'].setDirection(Net.Direction.IN)
        nets['wl1[90]'].setDirection(Net.Direction.IN)
        nets['wl2[90]'].setDirection(Net.Direction.IN)
        nets['wl1[91]'].setDirection(Net.Direction.IN)
        nets['wl2[91]'].setDirection(Net.Direction.IN)
        nets['wl1[92]'].setDirection(Net.Direction.IN)
        nets['wl2[92]'].setDirection(Net.Direction.IN)
        nets['wl1[93]'].setDirection(Net.Direction.IN)
        nets['wl2[93]'].setDirection(Net.Direction.IN)
        nets['wl1[94]'].setDirection(Net.Direction.IN)
        nets['wl2[94]'].setDirection(Net.Direction.IN)
        nets['wl1[95]'].setDirection(Net.Direction.IN)
        nets['wl2[95]'].setDirection(Net.Direction.IN)
        nets['wl1[96]'].setDirection(Net.Direction.IN)
        nets['wl2[96]'].setDirection(Net.Direction.IN)
        nets['wl1[97]'].setDirection(Net.Direction.IN)
        nets['wl2[97]'].setDirection(Net.Direction.IN)
        nets['wl1[98]'].setDirection(Net.Direction.IN)
        nets['wl2[98]'].setDirection(Net.Direction.IN)
        nets['wl1[99]'].setDirection(Net.Direction.IN)
        nets['wl2[99]'].setDirection(Net.Direction.IN)
        nets['wl1[100]'].setDirection(Net.Direction.IN)
        nets['wl2[100]'].setDirection(Net.Direction.IN)
        nets['wl1[101]'].setDirection(Net.Direction.IN)
        nets['wl2[101]'].setDirection(Net.Direction.IN)
        nets['wl1[102]'].setDirection(Net.Direction.IN)
        nets['wl2[102]'].setDirection(Net.Direction.IN)
        nets['wl1[103]'].setDirection(Net.Direction.IN)
        nets['wl2[103]'].setDirection(Net.Direction.IN)
        nets['wl1[104]'].setDirection(Net.Direction.IN)
        nets['wl2[104]'].setDirection(Net.Direction.IN)
        nets['wl1[105]'].setDirection(Net.Direction.IN)
        nets['wl2[105]'].setDirection(Net.Direction.IN)
        nets['wl1[106]'].setDirection(Net.Direction.IN)
        nets['wl2[106]'].setDirection(Net.Direction.IN)
        nets['wl1[107]'].setDirection(Net.Direction.IN)
        nets['wl2[107]'].setDirection(Net.Direction.IN)
        nets['wl1[108]'].setDirection(Net.Direction.IN)
        nets['wl2[108]'].setDirection(Net.Direction.IN)
        nets['wl1[109]'].setDirection(Net.Direction.IN)
        nets['wl2[109]'].setDirection(Net.Direction.IN)
        nets['wl1[110]'].setDirection(Net.Direction.IN)
        nets['wl2[110]'].setDirection(Net.Direction.IN)
        nets['wl1[111]'].setDirection(Net.Direction.IN)
        nets['wl2[111]'].setDirection(Net.Direction.IN)
        nets['wl1[112]'].setDirection(Net.Direction.IN)
        nets['wl2[112]'].setDirection(Net.Direction.IN)
        nets['wl1[113]'].setDirection(Net.Direction.IN)
        nets['wl2[113]'].setDirection(Net.Direction.IN)
        nets['wl1[114]'].setDirection(Net.Direction.IN)
        nets['wl2[114]'].setDirection(Net.Direction.IN)
        nets['wl1[115]'].setDirection(Net.Direction.IN)
        nets['wl2[115]'].setDirection(Net.Direction.IN)
        nets['wl1[116]'].setDirection(Net.Direction.IN)
        nets['wl2[116]'].setDirection(Net.Direction.IN)
        nets['wl1[117]'].setDirection(Net.Direction.IN)
        nets['wl2[117]'].setDirection(Net.Direction.IN)
        nets['wl1[118]'].setDirection(Net.Direction.IN)
        nets['wl2[118]'].setDirection(Net.Direction.IN)
        nets['wl1[119]'].setDirection(Net.Direction.IN)
        nets['wl2[119]'].setDirection(Net.Direction.IN)
        nets['wl1[120]'].setDirection(Net.Direction.IN)
        nets['wl2[120]'].setDirection(Net.Direction.IN)
        nets['wl1[121]'].setDirection(Net.Direction.IN)
        nets['wl2[121]'].setDirection(Net.Direction.IN)
        nets['wl1[122]'].setDirection(Net.Direction.IN)
        nets['wl2[122]'].setDirection(Net.Direction.IN)
        nets['wl1[123]'].setDirection(Net.Direction.IN)
        nets['wl2[123]'].setDirection(Net.Direction.IN)
        nets['wl1[124]'].setDirection(Net.Direction.IN)
        nets['wl2[124]'].setDirection(Net.Direction.IN)
        nets['wl1[125]'].setDirection(Net.Direction.IN)
        nets['wl2[125]'].setDirection(Net.Direction.IN)
        nets['wl1[126]'].setDirection(Net.Direction.IN)
        nets['wl2[126]'].setDirection(Net.Direction.IN)
        nets['wl1[127]'].setDirection(Net.Direction.IN)
        nets['wl2[127]'].setDirection(Net.Direction.IN)
        nets['q1[0]'].setDirection(Net.Direction.IN)
        nets['q2[0]'].setDirection(Net.Direction.IN)
        nets['d1[0]'].setDirection(Net.Direction.IN)
        nets['d2[0]'].setDirection(Net.Direction.IN)
        nets['q1[1]'].setDirection(Net.Direction.IN)
        nets['q2[1]'].setDirection(Net.Direction.IN)
        nets['d1[1]'].setDirection(Net.Direction.IN)
        nets['d2[1]'].setDirection(Net.Direction.IN)
        nets['q1[2]'].setDirection(Net.Direction.IN)
        nets['q2[2]'].setDirection(Net.Direction.IN)
        nets['d1[2]'].setDirection(Net.Direction.IN)
        nets['d2[2]'].setDirection(Net.Direction.IN)
        nets['q1[3]'].setDirection(Net.Direction.IN)
        nets['q2[3]'].setDirection(Net.Direction.IN)
        nets['d1[3]'].setDirection(Net.Direction.IN)
        nets['d2[3]'].setDirection(Net.Direction.IN)
        nets['q1[4]'].setDirection(Net.Direction.IN)
        nets['q2[4]'].setDirection(Net.Direction.IN)
        nets['d1[4]'].setDirection(Net.Direction.IN)
        nets['d2[4]'].setDirection(Net.Direction.IN)
        nets['q1[5]'].setDirection(Net.Direction.IN)
        nets['q2[5]'].setDirection(Net.Direction.IN)
        nets['d1[5]'].setDirection(Net.Direction.IN)
        nets['d2[5]'].setDirection(Net.Direction.IN)
        nets['q1[6]'].setDirection(Net.Direction.IN)
        nets['q2[6]'].setDirection(Net.Direction.IN)
        nets['d1[6]'].setDirection(Net.Direction.IN)
        nets['d2[6]'].setDirection(Net.Direction.IN)
        nets['q1[7]'].setDirection(Net.Direction.IN)
        nets['q2[7]'].setDirection(Net.Direction.IN)
        nets['d1[7]'].setDirection(Net.Direction.IN)
        nets['d2[7]'].setDirection(Net.Direction.IN)
        nets['we1'].setDirection(Net.Direction.IN)
        nets['clk1'].setDirection(Net.Direction.IN)
        nets['we_en1'].setDirection(Net.Direction.IN)
        nets['precharge1_n'].setDirection(Net.Direction.IN)
        nets['we2'].setDirection(Net.Direction.IN)
        nets['clk2'].setDirection(Net.Direction.IN)
        nets['we_en2'].setDirection(Net.Direction.IN)
        nets['precharge2_n'].setDirection(Net.Direction.IN)
        nets['mux1[0]'].setDirection(Net.Direction.IN)
        nets['mux2[0]'].setDirection(Net.Direction.IN)
        nets['mux1[1]'].setDirection(Net.Direction.IN)
        nets['mux2[1]'].setDirection(Net.Direction.IN)
        nets['mux1[2]'].setDirection(Net.Direction.IN)
        nets['mux2[2]'].setDirection(Net.Direction.IN)
        nets['mux1[3]'].setDirection(Net.Direction.IN)
        nets['mux2[3]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TColumnPeriphery_8B4M_bl1']
        except:
            subcell = af.getCell('DP8TColumnPeriphery_8B4M_bl1', 0)
        trans = Transformation(
            u(0.0), u(63.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'periph1', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TArray_128X32']
        except:
            subcell = af.getCell('DP8TArray_128X32', 0)
        trans = Transformation(
            u(0.0), u(63.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'array', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColumnPeriphery_8B4M_bl2']
        except:
            subcell = af.getCell('DP8TColumnPeriphery_8B4M_bl2', 0)
        trans = Transformation(
            u(0.0), u(360.64500000000004), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'periph2', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TColumnBlock_128R64B4M8W']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(857.6000000000003), u(423.69000000000005),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'clk1': Net.create(cell, 'clk1'),
            'clk2': Net.create(cell, 'clk2'),
            'd1[0]': Net.create(cell, 'd1[0]'),
            'd1[10]': Net.create(cell, 'd1[10]'),
            'd1[11]': Net.create(cell, 'd1[11]'),
            'd1[12]': Net.create(cell, 'd1[12]'),
            'd1[13]': Net.create(cell, 'd1[13]'),
            'd1[14]': Net.create(cell, 'd1[14]'),
            'd1[15]': Net.create(cell, 'd1[15]'),
            'd1[16]': Net.create(cell, 'd1[16]'),
            'd1[17]': Net.create(cell, 'd1[17]'),
            'd1[18]': Net.create(cell, 'd1[18]'),
            'd1[19]': Net.create(cell, 'd1[19]'),
            'd1[1]': Net.create(cell, 'd1[1]'),
            'd1[20]': Net.create(cell, 'd1[20]'),
            'd1[21]': Net.create(cell, 'd1[21]'),
            'd1[22]': Net.create(cell, 'd1[22]'),
            'd1[23]': Net.create(cell, 'd1[23]'),
            'd1[24]': Net.create(cell, 'd1[24]'),
            'd1[25]': Net.create(cell, 'd1[25]'),
            'd1[26]': Net.create(cell, 'd1[26]'),
            'd1[27]': Net.create(cell, 'd1[27]'),
            'd1[28]': Net.create(cell, 'd1[28]'),
            'd1[29]': Net.create(cell, 'd1[29]'),
            'd1[2]': Net.create(cell, 'd1[2]'),
            'd1[30]': Net.create(cell, 'd1[30]'),
            'd1[31]': Net.create(cell, 'd1[31]'),
            'd1[32]': Net.create(cell, 'd1[32]'),
            'd1[33]': Net.create(cell, 'd1[33]'),
            'd1[34]': Net.create(cell, 'd1[34]'),
            'd1[35]': Net.create(cell, 'd1[35]'),
            'd1[36]': Net.create(cell, 'd1[36]'),
            'd1[37]': Net.create(cell, 'd1[37]'),
            'd1[38]': Net.create(cell, 'd1[38]'),
            'd1[39]': Net.create(cell, 'd1[39]'),
            'd1[3]': Net.create(cell, 'd1[3]'),
            'd1[40]': Net.create(cell, 'd1[40]'),
            'd1[41]': Net.create(cell, 'd1[41]'),
            'd1[42]': Net.create(cell, 'd1[42]'),
            'd1[43]': Net.create(cell, 'd1[43]'),
            'd1[44]': Net.create(cell, 'd1[44]'),
            'd1[45]': Net.create(cell, 'd1[45]'),
            'd1[46]': Net.create(cell, 'd1[46]'),
            'd1[47]': Net.create(cell, 'd1[47]'),
            'd1[48]': Net.create(cell, 'd1[48]'),
            'd1[49]': Net.create(cell, 'd1[49]'),
            'd1[4]': Net.create(cell, 'd1[4]'),
            'd1[50]': Net.create(cell, 'd1[50]'),
            'd1[51]': Net.create(cell, 'd1[51]'),
            'd1[52]': Net.create(cell, 'd1[52]'),
            'd1[53]': Net.create(cell, 'd1[53]'),
            'd1[54]': Net.create(cell, 'd1[54]'),
            'd1[55]': Net.create(cell, 'd1[55]'),
            'd1[56]': Net.create(cell, 'd1[56]'),
            'd1[57]': Net.create(cell, 'd1[57]'),
            'd1[58]': Net.create(cell, 'd1[58]'),
            'd1[59]': Net.create(cell, 'd1[59]'),
            'd1[5]': Net.create(cell, 'd1[5]'),
            'd1[60]': Net.create(cell, 'd1[60]'),
            'd1[61]': Net.create(cell, 'd1[61]'),
            'd1[62]': Net.create(cell, 'd1[62]'),
            'd1[63]': Net.create(cell, 'd1[63]'),
            'd1[6]': Net.create(cell, 'd1[6]'),
            'd1[7]': Net.create(cell, 'd1[7]'),
            'd1[8]': Net.create(cell, 'd1[8]'),
            'd1[9]': Net.create(cell, 'd1[9]'),
            'd2[0]': Net.create(cell, 'd2[0]'),
            'd2[10]': Net.create(cell, 'd2[10]'),
            'd2[11]': Net.create(cell, 'd2[11]'),
            'd2[12]': Net.create(cell, 'd2[12]'),
            'd2[13]': Net.create(cell, 'd2[13]'),
            'd2[14]': Net.create(cell, 'd2[14]'),
            'd2[15]': Net.create(cell, 'd2[15]'),
            'd2[16]': Net.create(cell, 'd2[16]'),
            'd2[17]': Net.create(cell, 'd2[17]'),
            'd2[18]': Net.create(cell, 'd2[18]'),
            'd2[19]': Net.create(cell, 'd2[19]'),
            'd2[1]': Net.create(cell, 'd2[1]'),
            'd2[20]': Net.create(cell, 'd2[20]'),
            'd2[21]': Net.create(cell, 'd2[21]'),
            'd2[22]': Net.create(cell, 'd2[22]'),
            'd2[23]': Net.create(cell, 'd2[23]'),
            'd2[24]': Net.create(cell, 'd2[24]'),
            'd2[25]': Net.create(cell, 'd2[25]'),
            'd2[26]': Net.create(cell, 'd2[26]'),
            'd2[27]': Net.create(cell, 'd2[27]'),
            'd2[28]': Net.create(cell, 'd2[28]'),
            'd2[29]': Net.create(cell, 'd2[29]'),
            'd2[2]': Net.create(cell, 'd2[2]'),
            'd2[30]': Net.create(cell, 'd2[30]'),
            'd2[31]': Net.create(cell, 'd2[31]'),
            'd2[32]': Net.create(cell, 'd2[32]'),
            'd2[33]': Net.create(cell, 'd2[33]'),
            'd2[34]': Net.create(cell, 'd2[34]'),
            'd2[35]': Net.create(cell, 'd2[35]'),
            'd2[36]': Net.create(cell, 'd2[36]'),
            'd2[37]': Net.create(cell, 'd2[37]'),
            'd2[38]': Net.create(cell, 'd2[38]'),
            'd2[39]': Net.create(cell, 'd2[39]'),
            'd2[3]': Net.create(cell, 'd2[3]'),
            'd2[40]': Net.create(cell, 'd2[40]'),
            'd2[41]': Net.create(cell, 'd2[41]'),
            'd2[42]': Net.create(cell, 'd2[42]'),
            'd2[43]': Net.create(cell, 'd2[43]'),
            'd2[44]': Net.create(cell, 'd2[44]'),
            'd2[45]': Net.create(cell, 'd2[45]'),
            'd2[46]': Net.create(cell, 'd2[46]'),
            'd2[47]': Net.create(cell, 'd2[47]'),
            'd2[48]': Net.create(cell, 'd2[48]'),
            'd2[49]': Net.create(cell, 'd2[49]'),
            'd2[4]': Net.create(cell, 'd2[4]'),
            'd2[50]': Net.create(cell, 'd2[50]'),
            'd2[51]': Net.create(cell, 'd2[51]'),
            'd2[52]': Net.create(cell, 'd2[52]'),
            'd2[53]': Net.create(cell, 'd2[53]'),
            'd2[54]': Net.create(cell, 'd2[54]'),
            'd2[55]': Net.create(cell, 'd2[55]'),
            'd2[56]': Net.create(cell, 'd2[56]'),
            'd2[57]': Net.create(cell, 'd2[57]'),
            'd2[58]': Net.create(cell, 'd2[58]'),
            'd2[59]': Net.create(cell, 'd2[59]'),
            'd2[5]': Net.create(cell, 'd2[5]'),
            'd2[60]': Net.create(cell, 'd2[60]'),
            'd2[61]': Net.create(cell, 'd2[61]'),
            'd2[62]': Net.create(cell, 'd2[62]'),
            'd2[63]': Net.create(cell, 'd2[63]'),
            'd2[6]': Net.create(cell, 'd2[6]'),
            'd2[7]': Net.create(cell, 'd2[7]'),
            'd2[8]': Net.create(cell, 'd2[8]'),
            'd2[9]': Net.create(cell, 'd2[9]'),
            'mux1[0]': Net.create(cell, 'mux1[0]'),
            'mux1[1]': Net.create(cell, 'mux1[1]'),
            'mux1[2]': Net.create(cell, 'mux1[2]'),
            'mux1[3]': Net.create(cell, 'mux1[3]'),
            'mux2[0]': Net.create(cell, 'mux2[0]'),
            'mux2[1]': Net.create(cell, 'mux2[1]'),
            'mux2[2]': Net.create(cell, 'mux2[2]'),
            'mux2[3]': Net.create(cell, 'mux2[3]'),
            'precharge1_n': Net.create(cell, 'precharge1_n'),
            'precharge2_n': Net.create(cell, 'precharge2_n'),
            'q1[0]': Net.create(cell, 'q1[0]'),
            'q1[10]': Net.create(cell, 'q1[10]'),
            'q1[11]': Net.create(cell, 'q1[11]'),
            'q1[12]': Net.create(cell, 'q1[12]'),
            'q1[13]': Net.create(cell, 'q1[13]'),
            'q1[14]': Net.create(cell, 'q1[14]'),
            'q1[15]': Net.create(cell, 'q1[15]'),
            'q1[16]': Net.create(cell, 'q1[16]'),
            'q1[17]': Net.create(cell, 'q1[17]'),
            'q1[18]': Net.create(cell, 'q1[18]'),
            'q1[19]': Net.create(cell, 'q1[19]'),
            'q1[1]': Net.create(cell, 'q1[1]'),
            'q1[20]': Net.create(cell, 'q1[20]'),
            'q1[21]': Net.create(cell, 'q1[21]'),
            'q1[22]': Net.create(cell, 'q1[22]'),
            'q1[23]': Net.create(cell, 'q1[23]'),
            'q1[24]': Net.create(cell, 'q1[24]'),
            'q1[25]': Net.create(cell, 'q1[25]'),
            'q1[26]': Net.create(cell, 'q1[26]'),
            'q1[27]': Net.create(cell, 'q1[27]'),
            'q1[28]': Net.create(cell, 'q1[28]'),
            'q1[29]': Net.create(cell, 'q1[29]'),
            'q1[2]': Net.create(cell, 'q1[2]'),
            'q1[30]': Net.create(cell, 'q1[30]'),
            'q1[31]': Net.create(cell, 'q1[31]'),
            'q1[32]': Net.create(cell, 'q1[32]'),
            'q1[33]': Net.create(cell, 'q1[33]'),
            'q1[34]': Net.create(cell, 'q1[34]'),
            'q1[35]': Net.create(cell, 'q1[35]'),
            'q1[36]': Net.create(cell, 'q1[36]'),
            'q1[37]': Net.create(cell, 'q1[37]'),
            'q1[38]': Net.create(cell, 'q1[38]'),
            'q1[39]': Net.create(cell, 'q1[39]'),
            'q1[3]': Net.create(cell, 'q1[3]'),
            'q1[40]': Net.create(cell, 'q1[40]'),
            'q1[41]': Net.create(cell, 'q1[41]'),
            'q1[42]': Net.create(cell, 'q1[42]'),
            'q1[43]': Net.create(cell, 'q1[43]'),
            'q1[44]': Net.create(cell, 'q1[44]'),
            'q1[45]': Net.create(cell, 'q1[45]'),
            'q1[46]': Net.create(cell, 'q1[46]'),
            'q1[47]': Net.create(cell, 'q1[47]'),
            'q1[48]': Net.create(cell, 'q1[48]'),
            'q1[49]': Net.create(cell, 'q1[49]'),
            'q1[4]': Net.create(cell, 'q1[4]'),
            'q1[50]': Net.create(cell, 'q1[50]'),
            'q1[51]': Net.create(cell, 'q1[51]'),
            'q1[52]': Net.create(cell, 'q1[52]'),
            'q1[53]': Net.create(cell, 'q1[53]'),
            'q1[54]': Net.create(cell, 'q1[54]'),
            'q1[55]': Net.create(cell, 'q1[55]'),
            'q1[56]': Net.create(cell, 'q1[56]'),
            'q1[57]': Net.create(cell, 'q1[57]'),
            'q1[58]': Net.create(cell, 'q1[58]'),
            'q1[59]': Net.create(cell, 'q1[59]'),
            'q1[5]': Net.create(cell, 'q1[5]'),
            'q1[60]': Net.create(cell, 'q1[60]'),
            'q1[61]': Net.create(cell, 'q1[61]'),
            'q1[62]': Net.create(cell, 'q1[62]'),
            'q1[63]': Net.create(cell, 'q1[63]'),
            'q1[6]': Net.create(cell, 'q1[6]'),
            'q1[7]': Net.create(cell, 'q1[7]'),
            'q1[8]': Net.create(cell, 'q1[8]'),
            'q1[9]': Net.create(cell, 'q1[9]'),
            'q2[0]': Net.create(cell, 'q2[0]'),
            'q2[10]': Net.create(cell, 'q2[10]'),
            'q2[11]': Net.create(cell, 'q2[11]'),
            'q2[12]': Net.create(cell, 'q2[12]'),
            'q2[13]': Net.create(cell, 'q2[13]'),
            'q2[14]': Net.create(cell, 'q2[14]'),
            'q2[15]': Net.create(cell, 'q2[15]'),
            'q2[16]': Net.create(cell, 'q2[16]'),
            'q2[17]': Net.create(cell, 'q2[17]'),
            'q2[18]': Net.create(cell, 'q2[18]'),
            'q2[19]': Net.create(cell, 'q2[19]'),
            'q2[1]': Net.create(cell, 'q2[1]'),
            'q2[20]': Net.create(cell, 'q2[20]'),
            'q2[21]': Net.create(cell, 'q2[21]'),
            'q2[22]': Net.create(cell, 'q2[22]'),
            'q2[23]': Net.create(cell, 'q2[23]'),
            'q2[24]': Net.create(cell, 'q2[24]'),
            'q2[25]': Net.create(cell, 'q2[25]'),
            'q2[26]': Net.create(cell, 'q2[26]'),
            'q2[27]': Net.create(cell, 'q2[27]'),
            'q2[28]': Net.create(cell, 'q2[28]'),
            'q2[29]': Net.create(cell, 'q2[29]'),
            'q2[2]': Net.create(cell, 'q2[2]'),
            'q2[30]': Net.create(cell, 'q2[30]'),
            'q2[31]': Net.create(cell, 'q2[31]'),
            'q2[32]': Net.create(cell, 'q2[32]'),
            'q2[33]': Net.create(cell, 'q2[33]'),
            'q2[34]': Net.create(cell, 'q2[34]'),
            'q2[35]': Net.create(cell, 'q2[35]'),
            'q2[36]': Net.create(cell, 'q2[36]'),
            'q2[37]': Net.create(cell, 'q2[37]'),
            'q2[38]': Net.create(cell, 'q2[38]'),
            'q2[39]': Net.create(cell, 'q2[39]'),
            'q2[3]': Net.create(cell, 'q2[3]'),
            'q2[40]': Net.create(cell, 'q2[40]'),
            'q2[41]': Net.create(cell, 'q2[41]'),
            'q2[42]': Net.create(cell, 'q2[42]'),
            'q2[43]': Net.create(cell, 'q2[43]'),
            'q2[44]': Net.create(cell, 'q2[44]'),
            'q2[45]': Net.create(cell, 'q2[45]'),
            'q2[46]': Net.create(cell, 'q2[46]'),
            'q2[47]': Net.create(cell, 'q2[47]'),
            'q2[48]': Net.create(cell, 'q2[48]'),
            'q2[49]': Net.create(cell, 'q2[49]'),
            'q2[4]': Net.create(cell, 'q2[4]'),
            'q2[50]': Net.create(cell, 'q2[50]'),
            'q2[51]': Net.create(cell, 'q2[51]'),
            'q2[52]': Net.create(cell, 'q2[52]'),
            'q2[53]': Net.create(cell, 'q2[53]'),
            'q2[54]': Net.create(cell, 'q2[54]'),
            'q2[55]': Net.create(cell, 'q2[55]'),
            'q2[56]': Net.create(cell, 'q2[56]'),
            'q2[57]': Net.create(cell, 'q2[57]'),
            'q2[58]': Net.create(cell, 'q2[58]'),
            'q2[59]': Net.create(cell, 'q2[59]'),
            'q2[5]': Net.create(cell, 'q2[5]'),
            'q2[60]': Net.create(cell, 'q2[60]'),
            'q2[61]': Net.create(cell, 'q2[61]'),
            'q2[62]': Net.create(cell, 'q2[62]'),
            'q2[63]': Net.create(cell, 'q2[63]'),
            'q2[6]': Net.create(cell, 'q2[6]'),
            'q2[7]': Net.create(cell, 'q2[7]'),
            'q2[8]': Net.create(cell, 'q2[8]'),
            'q2[9]': Net.create(cell, 'q2[9]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'we1[0]': Net.create(cell, 'we1[0]'),
            'we1[1]': Net.create(cell, 'we1[1]'),
            'we1[2]': Net.create(cell, 'we1[2]'),
            'we1[3]': Net.create(cell, 'we1[3]'),
            'we1[4]': Net.create(cell, 'we1[4]'),
            'we1[5]': Net.create(cell, 'we1[5]'),
            'we1[6]': Net.create(cell, 'we1[6]'),
            'we1[7]': Net.create(cell, 'we1[7]'),
            'we2[0]': Net.create(cell, 'we2[0]'),
            'we2[1]': Net.create(cell, 'we2[1]'),
            'we2[2]': Net.create(cell, 'we2[2]'),
            'we2[3]': Net.create(cell, 'we2[3]'),
            'we2[4]': Net.create(cell, 'we2[4]'),
            'we2[5]': Net.create(cell, 'we2[5]'),
            'we2[6]': Net.create(cell, 'we2[6]'),
            'we2[7]': Net.create(cell, 'we2[7]'),
            'we_en1': Net.create(cell, 'we_en1'),
            'we_en2': Net.create(cell, 'we_en2'),
            'wl1[0]': Net.create(cell, 'wl1[0]'),
            'wl1[100]': Net.create(cell, 'wl1[100]'),
            'wl1[101]': Net.create(cell, 'wl1[101]'),
            'wl1[102]': Net.create(cell, 'wl1[102]'),
            'wl1[103]': Net.create(cell, 'wl1[103]'),
            'wl1[104]': Net.create(cell, 'wl1[104]'),
            'wl1[105]': Net.create(cell, 'wl1[105]'),
            'wl1[106]': Net.create(cell, 'wl1[106]'),
            'wl1[107]': Net.create(cell, 'wl1[107]'),
            'wl1[108]': Net.create(cell, 'wl1[108]'),
            'wl1[109]': Net.create(cell, 'wl1[109]'),
            'wl1[10]': Net.create(cell, 'wl1[10]'),
            'wl1[110]': Net.create(cell, 'wl1[110]'),
            'wl1[111]': Net.create(cell, 'wl1[111]'),
            'wl1[112]': Net.create(cell, 'wl1[112]'),
            'wl1[113]': Net.create(cell, 'wl1[113]'),
            'wl1[114]': Net.create(cell, 'wl1[114]'),
            'wl1[115]': Net.create(cell, 'wl1[115]'),
            'wl1[116]': Net.create(cell, 'wl1[116]'),
            'wl1[117]': Net.create(cell, 'wl1[117]'),
            'wl1[118]': Net.create(cell, 'wl1[118]'),
            'wl1[119]': Net.create(cell, 'wl1[119]'),
            'wl1[11]': Net.create(cell, 'wl1[11]'),
            'wl1[120]': Net.create(cell, 'wl1[120]'),
            'wl1[121]': Net.create(cell, 'wl1[121]'),
            'wl1[122]': Net.create(cell, 'wl1[122]'),
            'wl1[123]': Net.create(cell, 'wl1[123]'),
            'wl1[124]': Net.create(cell, 'wl1[124]'),
            'wl1[125]': Net.create(cell, 'wl1[125]'),
            'wl1[126]': Net.create(cell, 'wl1[126]'),
            'wl1[127]': Net.create(cell, 'wl1[127]'),
            'wl1[12]': Net.create(cell, 'wl1[12]'),
            'wl1[13]': Net.create(cell, 'wl1[13]'),
            'wl1[14]': Net.create(cell, 'wl1[14]'),
            'wl1[15]': Net.create(cell, 'wl1[15]'),
            'wl1[16]': Net.create(cell, 'wl1[16]'),
            'wl1[17]': Net.create(cell, 'wl1[17]'),
            'wl1[18]': Net.create(cell, 'wl1[18]'),
            'wl1[19]': Net.create(cell, 'wl1[19]'),
            'wl1[1]': Net.create(cell, 'wl1[1]'),
            'wl1[20]': Net.create(cell, 'wl1[20]'),
            'wl1[21]': Net.create(cell, 'wl1[21]'),
            'wl1[22]': Net.create(cell, 'wl1[22]'),
            'wl1[23]': Net.create(cell, 'wl1[23]'),
            'wl1[24]': Net.create(cell, 'wl1[24]'),
            'wl1[25]': Net.create(cell, 'wl1[25]'),
            'wl1[26]': Net.create(cell, 'wl1[26]'),
            'wl1[27]': Net.create(cell, 'wl1[27]'),
            'wl1[28]': Net.create(cell, 'wl1[28]'),
            'wl1[29]': Net.create(cell, 'wl1[29]'),
            'wl1[2]': Net.create(cell, 'wl1[2]'),
            'wl1[30]': Net.create(cell, 'wl1[30]'),
            'wl1[31]': Net.create(cell, 'wl1[31]'),
            'wl1[32]': Net.create(cell, 'wl1[32]'),
            'wl1[33]': Net.create(cell, 'wl1[33]'),
            'wl1[34]': Net.create(cell, 'wl1[34]'),
            'wl1[35]': Net.create(cell, 'wl1[35]'),
            'wl1[36]': Net.create(cell, 'wl1[36]'),
            'wl1[37]': Net.create(cell, 'wl1[37]'),
            'wl1[38]': Net.create(cell, 'wl1[38]'),
            'wl1[39]': Net.create(cell, 'wl1[39]'),
            'wl1[3]': Net.create(cell, 'wl1[3]'),
            'wl1[40]': Net.create(cell, 'wl1[40]'),
            'wl1[41]': Net.create(cell, 'wl1[41]'),
            'wl1[42]': Net.create(cell, 'wl1[42]'),
            'wl1[43]': Net.create(cell, 'wl1[43]'),
            'wl1[44]': Net.create(cell, 'wl1[44]'),
            'wl1[45]': Net.create(cell, 'wl1[45]'),
            'wl1[46]': Net.create(cell, 'wl1[46]'),
            'wl1[47]': Net.create(cell, 'wl1[47]'),
            'wl1[48]': Net.create(cell, 'wl1[48]'),
            'wl1[49]': Net.create(cell, 'wl1[49]'),
            'wl1[4]': Net.create(cell, 'wl1[4]'),
            'wl1[50]': Net.create(cell, 'wl1[50]'),
            'wl1[51]': Net.create(cell, 'wl1[51]'),
            'wl1[52]': Net.create(cell, 'wl1[52]'),
            'wl1[53]': Net.create(cell, 'wl1[53]'),
            'wl1[54]': Net.create(cell, 'wl1[54]'),
            'wl1[55]': Net.create(cell, 'wl1[55]'),
            'wl1[56]': Net.create(cell, 'wl1[56]'),
            'wl1[57]': Net.create(cell, 'wl1[57]'),
            'wl1[58]': Net.create(cell, 'wl1[58]'),
            'wl1[59]': Net.create(cell, 'wl1[59]'),
            'wl1[5]': Net.create(cell, 'wl1[5]'),
            'wl1[60]': Net.create(cell, 'wl1[60]'),
            'wl1[61]': Net.create(cell, 'wl1[61]'),
            'wl1[62]': Net.create(cell, 'wl1[62]'),
            'wl1[63]': Net.create(cell, 'wl1[63]'),
            'wl1[64]': Net.create(cell, 'wl1[64]'),
            'wl1[65]': Net.create(cell, 'wl1[65]'),
            'wl1[66]': Net.create(cell, 'wl1[66]'),
            'wl1[67]': Net.create(cell, 'wl1[67]'),
            'wl1[68]': Net.create(cell, 'wl1[68]'),
            'wl1[69]': Net.create(cell, 'wl1[69]'),
            'wl1[6]': Net.create(cell, 'wl1[6]'),
            'wl1[70]': Net.create(cell, 'wl1[70]'),
            'wl1[71]': Net.create(cell, 'wl1[71]'),
            'wl1[72]': Net.create(cell, 'wl1[72]'),
            'wl1[73]': Net.create(cell, 'wl1[73]'),
            'wl1[74]': Net.create(cell, 'wl1[74]'),
            'wl1[75]': Net.create(cell, 'wl1[75]'),
            'wl1[76]': Net.create(cell, 'wl1[76]'),
            'wl1[77]': Net.create(cell, 'wl1[77]'),
            'wl1[78]': Net.create(cell, 'wl1[78]'),
            'wl1[79]': Net.create(cell, 'wl1[79]'),
            'wl1[7]': Net.create(cell, 'wl1[7]'),
            'wl1[80]': Net.create(cell, 'wl1[80]'),
            'wl1[81]': Net.create(cell, 'wl1[81]'),
            'wl1[82]': Net.create(cell, 'wl1[82]'),
            'wl1[83]': Net.create(cell, 'wl1[83]'),
            'wl1[84]': Net.create(cell, 'wl1[84]'),
            'wl1[85]': Net.create(cell, 'wl1[85]'),
            'wl1[86]': Net.create(cell, 'wl1[86]'),
            'wl1[87]': Net.create(cell, 'wl1[87]'),
            'wl1[88]': Net.create(cell, 'wl1[88]'),
            'wl1[89]': Net.create(cell, 'wl1[89]'),
            'wl1[8]': Net.create(cell, 'wl1[8]'),
            'wl1[90]': Net.create(cell, 'wl1[90]'),
            'wl1[91]': Net.create(cell, 'wl1[91]'),
            'wl1[92]': Net.create(cell, 'wl1[92]'),
            'wl1[93]': Net.create(cell, 'wl1[93]'),
            'wl1[94]': Net.create(cell, 'wl1[94]'),
            'wl1[95]': Net.create(cell, 'wl1[95]'),
            'wl1[96]': Net.create(cell, 'wl1[96]'),
            'wl1[97]': Net.create(cell, 'wl1[97]'),
            'wl1[98]': Net.create(cell, 'wl1[98]'),
            'wl1[99]': Net.create(cell, 'wl1[99]'),
            'wl1[9]': Net.create(cell, 'wl1[9]'),
            'wl2[0]': Net.create(cell, 'wl2[0]'),
            'wl2[100]': Net.create(cell, 'wl2[100]'),
            'wl2[101]': Net.create(cell, 'wl2[101]'),
            'wl2[102]': Net.create(cell, 'wl2[102]'),
            'wl2[103]': Net.create(cell, 'wl2[103]'),
            'wl2[104]': Net.create(cell, 'wl2[104]'),
            'wl2[105]': Net.create(cell, 'wl2[105]'),
            'wl2[106]': Net.create(cell, 'wl2[106]'),
            'wl2[107]': Net.create(cell, 'wl2[107]'),
            'wl2[108]': Net.create(cell, 'wl2[108]'),
            'wl2[109]': Net.create(cell, 'wl2[109]'),
            'wl2[10]': Net.create(cell, 'wl2[10]'),
            'wl2[110]': Net.create(cell, 'wl2[110]'),
            'wl2[111]': Net.create(cell, 'wl2[111]'),
            'wl2[112]': Net.create(cell, 'wl2[112]'),
            'wl2[113]': Net.create(cell, 'wl2[113]'),
            'wl2[114]': Net.create(cell, 'wl2[114]'),
            'wl2[115]': Net.create(cell, 'wl2[115]'),
            'wl2[116]': Net.create(cell, 'wl2[116]'),
            'wl2[117]': Net.create(cell, 'wl2[117]'),
            'wl2[118]': Net.create(cell, 'wl2[118]'),
            'wl2[119]': Net.create(cell, 'wl2[119]'),
            'wl2[11]': Net.create(cell, 'wl2[11]'),
            'wl2[120]': Net.create(cell, 'wl2[120]'),
            'wl2[121]': Net.create(cell, 'wl2[121]'),
            'wl2[122]': Net.create(cell, 'wl2[122]'),
            'wl2[123]': Net.create(cell, 'wl2[123]'),
            'wl2[124]': Net.create(cell, 'wl2[124]'),
            'wl2[125]': Net.create(cell, 'wl2[125]'),
            'wl2[126]': Net.create(cell, 'wl2[126]'),
            'wl2[127]': Net.create(cell, 'wl2[127]'),
            'wl2[12]': Net.create(cell, 'wl2[12]'),
            'wl2[13]': Net.create(cell, 'wl2[13]'),
            'wl2[14]': Net.create(cell, 'wl2[14]'),
            'wl2[15]': Net.create(cell, 'wl2[15]'),
            'wl2[16]': Net.create(cell, 'wl2[16]'),
            'wl2[17]': Net.create(cell, 'wl2[17]'),
            'wl2[18]': Net.create(cell, 'wl2[18]'),
            'wl2[19]': Net.create(cell, 'wl2[19]'),
            'wl2[1]': Net.create(cell, 'wl2[1]'),
            'wl2[20]': Net.create(cell, 'wl2[20]'),
            'wl2[21]': Net.create(cell, 'wl2[21]'),
            'wl2[22]': Net.create(cell, 'wl2[22]'),
            'wl2[23]': Net.create(cell, 'wl2[23]'),
            'wl2[24]': Net.create(cell, 'wl2[24]'),
            'wl2[25]': Net.create(cell, 'wl2[25]'),
            'wl2[26]': Net.create(cell, 'wl2[26]'),
            'wl2[27]': Net.create(cell, 'wl2[27]'),
            'wl2[28]': Net.create(cell, 'wl2[28]'),
            'wl2[29]': Net.create(cell, 'wl2[29]'),
            'wl2[2]': Net.create(cell, 'wl2[2]'),
            'wl2[30]': Net.create(cell, 'wl2[30]'),
            'wl2[31]': Net.create(cell, 'wl2[31]'),
            'wl2[32]': Net.create(cell, 'wl2[32]'),
            'wl2[33]': Net.create(cell, 'wl2[33]'),
            'wl2[34]': Net.create(cell, 'wl2[34]'),
            'wl2[35]': Net.create(cell, 'wl2[35]'),
            'wl2[36]': Net.create(cell, 'wl2[36]'),
            'wl2[37]': Net.create(cell, 'wl2[37]'),
            'wl2[38]': Net.create(cell, 'wl2[38]'),
            'wl2[39]': Net.create(cell, 'wl2[39]'),
            'wl2[3]': Net.create(cell, 'wl2[3]'),
            'wl2[40]': Net.create(cell, 'wl2[40]'),
            'wl2[41]': Net.create(cell, 'wl2[41]'),
            'wl2[42]': Net.create(cell, 'wl2[42]'),
            'wl2[43]': Net.create(cell, 'wl2[43]'),
            'wl2[44]': Net.create(cell, 'wl2[44]'),
            'wl2[45]': Net.create(cell, 'wl2[45]'),
            'wl2[46]': Net.create(cell, 'wl2[46]'),
            'wl2[47]': Net.create(cell, 'wl2[47]'),
            'wl2[48]': Net.create(cell, 'wl2[48]'),
            'wl2[49]': Net.create(cell, 'wl2[49]'),
            'wl2[4]': Net.create(cell, 'wl2[4]'),
            'wl2[50]': Net.create(cell, 'wl2[50]'),
            'wl2[51]': Net.create(cell, 'wl2[51]'),
            'wl2[52]': Net.create(cell, 'wl2[52]'),
            'wl2[53]': Net.create(cell, 'wl2[53]'),
            'wl2[54]': Net.create(cell, 'wl2[54]'),
            'wl2[55]': Net.create(cell, 'wl2[55]'),
            'wl2[56]': Net.create(cell, 'wl2[56]'),
            'wl2[57]': Net.create(cell, 'wl2[57]'),
            'wl2[58]': Net.create(cell, 'wl2[58]'),
            'wl2[59]': Net.create(cell, 'wl2[59]'),
            'wl2[5]': Net.create(cell, 'wl2[5]'),
            'wl2[60]': Net.create(cell, 'wl2[60]'),
            'wl2[61]': Net.create(cell, 'wl2[61]'),
            'wl2[62]': Net.create(cell, 'wl2[62]'),
            'wl2[63]': Net.create(cell, 'wl2[63]'),
            'wl2[64]': Net.create(cell, 'wl2[64]'),
            'wl2[65]': Net.create(cell, 'wl2[65]'),
            'wl2[66]': Net.create(cell, 'wl2[66]'),
            'wl2[67]': Net.create(cell, 'wl2[67]'),
            'wl2[68]': Net.create(cell, 'wl2[68]'),
            'wl2[69]': Net.create(cell, 'wl2[69]'),
            'wl2[6]': Net.create(cell, 'wl2[6]'),
            'wl2[70]': Net.create(cell, 'wl2[70]'),
            'wl2[71]': Net.create(cell, 'wl2[71]'),
            'wl2[72]': Net.create(cell, 'wl2[72]'),
            'wl2[73]': Net.create(cell, 'wl2[73]'),
            'wl2[74]': Net.create(cell, 'wl2[74]'),
            'wl2[75]': Net.create(cell, 'wl2[75]'),
            'wl2[76]': Net.create(cell, 'wl2[76]'),
            'wl2[77]': Net.create(cell, 'wl2[77]'),
            'wl2[78]': Net.create(cell, 'wl2[78]'),
            'wl2[79]': Net.create(cell, 'wl2[79]'),
            'wl2[7]': Net.create(cell, 'wl2[7]'),
            'wl2[80]': Net.create(cell, 'wl2[80]'),
            'wl2[81]': Net.create(cell, 'wl2[81]'),
            'wl2[82]': Net.create(cell, 'wl2[82]'),
            'wl2[83]': Net.create(cell, 'wl2[83]'),
            'wl2[84]': Net.create(cell, 'wl2[84]'),
            'wl2[85]': Net.create(cell, 'wl2[85]'),
            'wl2[86]': Net.create(cell, 'wl2[86]'),
            'wl2[87]': Net.create(cell, 'wl2[87]'),
            'wl2[88]': Net.create(cell, 'wl2[88]'),
            'wl2[89]': Net.create(cell, 'wl2[89]'),
            'wl2[8]': Net.create(cell, 'wl2[8]'),
            'wl2[90]': Net.create(cell, 'wl2[90]'),
            'wl2[91]': Net.create(cell, 'wl2[91]'),
            'wl2[92]': Net.create(cell, 'wl2[92]'),
            'wl2[93]': Net.create(cell, 'wl2[93]'),
            'wl2[94]': Net.create(cell, 'wl2[94]'),
            'wl2[95]': Net.create(cell, 'wl2[95]'),
            'wl2[96]': Net.create(cell, 'wl2[96]'),
            'wl2[97]': Net.create(cell, 'wl2[97]'),
            'wl2[98]': Net.create(cell, 'wl2[98]'),
            'wl2[99]': Net.create(cell, 'wl2[99]'),
            'wl2[9]': Net.create(cell, 'wl2[9]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,192.235),(0.0,192.815),(857.6,192.815),(857.6,192.235),(0.0,192.235)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,182.935),(0.0,183.515),(857.6,183.515),(857.6,182.935),(0.0,182.935)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,117.835),(0.0,118.415),(857.6,118.415),(857.6,117.835),(0.0,117.835)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,99.235),(0.0,99.815),(857.6,99.815),(857.6,99.235),(0.0,99.235)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,127.135),(0.0,127.715),(857.6,127.715),(857.6,127.135),(0.0,127.135)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,373.97),(0.0,374.61),(857.6,374.61),(857.6,373.97),(0.0,373.97)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,75.985),(0.0,76.565),(857.6,76.565),(857.6,75.985),(0.0,75.985)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,331.735),(0.0,332.315),(857.6,332.315),(857.6,331.735),(0.0,331.735)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,80.635),(0.0,81.215),(857.6,81.215),(857.6,80.635),(0.0,80.635)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,159.685),(0.0,160.265),(857.6,160.265),(857.6,159.685),(0.0,159.685)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,150.385),(0.0,150.965),(857.6,150.965),(857.6,150.385),(0.0,150.385)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,210.835),(0.0,211.415),(857.6,211.415),(857.6,210.835),(0.0,210.835)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,215.485),(0.0,216.065),(857.6,216.065),(857.6,215.485),(0.0,215.485)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,248.035),(0.0,248.615),(857.6,248.615),(857.6,248.035),(0.0,248.035)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,155.035),(0.0,155.615),(857.6,155.615),(857.6,155.035),(0.0,155.035)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,308.485),(0.0,309.065),(857.6,309.065),(857.6,308.485),(0.0,308.485)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,313.135),(0.0,313.715),(857.6,313.715),(857.6,313.135),(0.0,313.135)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,359.635),(0.0,360.215),(857.6,360.215),(857.6,359.635),(0.0,359.635)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,261.985),(0.0,262.565),(857.6,262.565),(857.6,261.985),(0.0,261.985)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,243.385),(0.0,243.965),(857.6,243.965),(857.6,243.385),(0.0,243.385)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,178.285),(0.0,178.865),(857.6,178.865),(857.6,178.285),(0.0,178.285)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,224.785),(0.0,225.365),(857.6,225.365),(857.6,224.785),(0.0,224.785)),
        )
        createRL(
            tech, net, 'm2',
            ((-0.13,364.34),(-0.13,364.98),(857.73,364.98),(857.73,364.34),(-0.13,364.34)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,85.285),(0.0,85.865),(857.6,85.865),(857.6,85.285),(0.0,85.285)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,341.035),(0.0,341.615),(857.6,341.615),(857.6,341.035),(0.0,341.035)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,122.485),(0.0,123.065),(857.6,123.065),(857.6,122.485),(0.0,122.485)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,66.685),(0.0,67.265),(857.6,67.265),(857.6,66.685),(0.0,66.685)),
        )
        createRL(
            tech, net, 'm2',
            ((-0.13,58.71),(-0.13,59.35),(857.73,59.35),(857.73,58.71),(-0.13,58.71)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,201.535),(0.0,202.115),(857.6,202.115),(857.6,201.535),(0.0,201.535)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,322.435),(0.0,323.015),(857.6,323.015),(857.6,322.435),(0.0,322.435)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,354.985),(0.0,355.565),(857.6,355.565),(857.6,354.985),(0.0,354.985)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,136.435),(0.0,137.015),(857.6,137.015),(857.6,136.435),(0.0,136.435)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,294.535),(0.0,295.115),(857.6,295.115),(857.6,294.535),(0.0,294.535)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,49.08),(0.0,49.72),(857.6,49.72),(857.6,49.08),(0.0,49.08)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,113.185),(0.0,113.765),(857.6,113.765),(857.6,113.185),(0.0,113.185)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,257.335),(0.0,257.915),(857.6,257.915),(857.6,257.335),(0.0,257.335)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,350.335),(0.0,350.915),(857.6,350.915),(857.6,350.335),(0.0,350.335)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,173.635),(0.0,174.215),(857.6,174.215),(857.6,173.635),(0.0,173.635)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,187.585),(0.0,188.165),(857.6,188.165),(857.6,187.585),(0.0,187.585)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,164.335),(0.0,164.915),(857.6,164.915),(857.6,164.335),(0.0,164.335)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,220.135),(0.0,220.715),(857.6,220.715),(857.6,220.135),(0.0,220.135)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,238.735),(0.0,239.315),(857.6,239.315),(857.6,238.735),(0.0,238.735)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,345.685),(0.0,346.265),(857.6,346.265),(857.6,345.685),(0.0,345.685)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,285.235),(0.0,285.815),(857.6,285.815),(857.6,285.235),(0.0,285.235)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,103.885),(0.0,104.465),(857.6,104.465),(857.6,103.885),(0.0,103.885)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,303.835),(0.0,304.415),(857.6,304.415),(857.6,303.835),(0.0,303.835)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,108.535),(0.0,109.115),(857.6,109.115),(857.6,108.535),(0.0,108.535)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,266.635),(0.0,267.215),(857.6,267.215),(857.6,266.635),(0.0,266.635)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,145.735),(0.0,146.315),(857.6,146.315),(857.6,145.735),(0.0,145.735)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,71.335),(0.0,71.915),(857.6,71.915),(857.6,71.335),(0.0,71.335)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,289.885),(0.0,290.465),(857.6,290.465),(857.6,289.885),(0.0,289.885)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,299.185),(0.0,299.765),(857.6,299.765),(857.6,299.185),(0.0,299.185)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,275.935),(0.0,276.515),(857.6,276.515),(857.6,275.935),(0.0,275.935)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,327.085),(0.0,327.665),(857.6,327.665),(857.6,327.085),(0.0,327.085)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,206.185),(0.0,206.765),(857.6,206.765),(857.6,206.185),(0.0,206.185)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,336.385),(0.0,336.965),(857.6,336.965),(857.6,336.385),(0.0,336.385)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,229.435),(0.0,230.015),(857.6,230.015),(857.6,229.435),(0.0,229.435)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,271.285),(0.0,271.865),(857.6,271.865),(857.6,271.285),(0.0,271.285)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,317.785),(0.0,318.365),(857.6,318.365),(857.6,317.785),(0.0,317.785)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,234.085),(0.0,234.665),(857.6,234.665),(857.6,234.085),(0.0,234.085)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,94.585),(0.0,95.165),(857.6,95.165),(857.6,94.585),(0.0,94.585)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,252.685),(0.0,253.265),(857.6,253.265),(857.6,252.685),(0.0,252.685)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,141.085),(0.0,141.665),(857.6,141.665),(857.6,141.085),(0.0,141.085)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,196.885),(0.0,197.465),(857.6,197.465),(857.6,196.885),(0.0,196.885)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,89.935),(0.0,90.515),(857.6,90.515),(857.6,89.935),(0.0,89.935)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,280.585),(0.0,281.165),(857.6,281.165),(857.6,280.585),(0.0,280.585)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,131.785),(0.0,132.365),(857.6,132.365),(857.6,131.785),(0.0,131.785)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,168.985),(0.0,169.565),(857.6,169.565),(857.6,168.985),(0.0,168.985)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(192.525), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(192.525), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(183.225), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(183.225), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(118.125), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(118.125), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(99.525), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(99.525), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(127.425), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(127.425), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(374.29), u(0.64), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(374.29), u(0.64), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(76.275), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(76.275), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(332.025), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(332.025), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(80.925), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(80.925), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(159.975), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(159.975), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(150.675), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(150.675), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(211.125), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(211.125), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(215.775), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(215.775), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(248.325), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(248.325), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(155.325), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(155.325), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(308.775), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(308.775), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(313.425), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(313.425), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(359.925), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(359.925), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(262.275), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(262.275), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(243.675), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(243.675), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(178.575), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(178.575), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(225.075), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(225.075), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(364.66), u(0.64), u(-0.13), u(857.7299999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(364.66), u(0.64), u(-0.13), u(857.7299999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(85.575), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(85.575), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(341.325), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(341.325), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(122.775), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(122.775), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(66.975), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(66.975), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(59.03), u(0.64), u(-0.13), u(857.7299999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(59.03), u(0.64), u(-0.13), u(857.7299999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(201.825), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(201.825), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(322.725), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(322.725), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(355.275), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(355.275), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(136.725), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(136.725), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(294.825), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(294.825), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(49.4), u(0.64), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(49.4), u(0.64), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(113.475), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(113.475), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(257.625), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(257.625), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(350.625), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(350.625), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(173.925), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(173.925), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(187.875), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(187.875), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(164.625), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(164.625), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(220.425), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(220.425), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(239.025), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(239.025), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(345.975), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(345.975), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(285.525), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(285.525), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(104.175), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(104.175), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(304.125), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(304.125), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(108.825), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(108.825), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(266.925), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(266.925), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(146.025), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(146.025), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(71.625), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(71.625), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(290.175), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(290.175), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(299.475), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(299.475), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(276.225), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(276.225), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(327.375), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(327.375), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(206.475), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(206.475), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(336.675), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(336.675), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(229.725), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(229.725), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(271.575), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(271.575), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(318.075), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(318.075), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(234.375), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(234.375), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(94.875), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(94.875), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(252.975), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(252.975), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(141.375), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(141.375), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(197.175), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(197.175), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.225), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.225), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(280.875), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(280.875), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(132.075), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(132.075), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(169.275), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(169.275), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,81.355),(0.0,81.935),(857.6,81.935),(857.6,81.355),(0.0,81.355)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,337.105),(0.0,337.685),(857.6,337.685),(857.6,337.105),(0.0,337.105)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,160.405),(0.0,160.985),(857.6,160.985),(857.6,160.405),(0.0,160.405)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,341.755),(0.0,342.335),(857.6,342.335),(857.6,341.755),(0.0,341.755)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,299.905),(0.0,300.485),(857.6,300.485),(857.6,299.905),(0.0,299.905)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,258.055),(0.0,258.635),(857.6,258.635),(857.6,258.055),(0.0,258.055)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,206.905),(0.0,207.485),(857.6,207.485),(857.6,206.905),(0.0,206.905)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,346.405),(0.0,346.985),(857.6,346.985),(857.6,346.405),(0.0,346.405)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,165.055),(0.0,165.635),(857.6,165.635),(857.6,165.055),(0.0,165.055)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,253.405),(0.0,253.985),(857.6,253.985),(857.6,253.405),(0.0,253.405)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,127.855),(0.0,128.435),(857.6,128.435),(857.6,127.855),(0.0,127.855)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,72.055),(0.0,72.635),(857.6,72.635),(857.6,72.055),(0.0,72.055)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,146.455),(0.0,147.035),(857.6,147.035),(857.6,146.455),(0.0,146.455)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,76.705),(0.0,77.285),(857.6,77.285),(857.6,76.705),(0.0,76.705)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,86.005),(0.0,86.585),(857.6,86.585),(857.6,86.005),(0.0,86.005)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,151.105),(0.0,151.685),(857.6,151.685),(857.6,151.105),(0.0,151.105)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,113.905),(0.0,114.485),(857.6,114.485),(857.6,113.905),(0.0,113.905)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,123.205),(0.0,123.785),(857.6,123.785),(857.6,123.205),(0.0,123.205)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,183.655),(0.0,184.235),(857.6,184.235),(857.6,183.655),(0.0,183.655)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,230.155),(0.0,230.735),(857.6,230.735),(857.6,230.155),(0.0,230.155)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,234.805),(0.0,235.385),(857.6,235.385),(857.6,234.805),(0.0,234.805)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,332.455),(0.0,333.035),(857.6,333.035),(857.6,332.455),(0.0,332.455)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,281.305),(0.0,281.885),(857.6,281.885),(857.6,281.305),(0.0,281.305)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,48.3),(0.0,48.94),(857.6,48.94),(857.6,48.3),(0.0,48.3)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,174.355),(0.0,174.935),(857.6,174.935),(857.6,174.355),(0.0,174.355)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,374.75),(0.0,375.39),(857.6,375.39),(857.6,374.75),(0.0,374.75)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,197.605),(0.0,198.185),(857.6,198.185),(857.6,197.605),(0.0,197.605)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,179.005),(0.0,179.585),(857.6,179.585),(857.6,179.005),(0.0,179.005)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,285.955),(0.0,286.535),(857.6,286.535),(857.6,285.955),(0.0,285.955)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,202.255),(0.0,202.835),(857.6,202.835),(857.6,202.255),(0.0,202.255)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,192.955),(0.0,193.535),(857.6,193.535),(857.6,192.955),(0.0,192.955)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,309.205),(0.0,309.785),(857.6,309.785),(857.6,309.205),(0.0,309.205)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,90.655),(0.0,91.235),(857.6,91.235),(857.6,90.655),(0.0,90.655)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,290.605),(0.0,291.185),(857.6,291.185),(857.6,290.605),(0.0,290.605)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,169.705),(0.0,170.285),(857.6,170.285),(857.6,169.705),(0.0,169.705)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,220.855),(0.0,221.435),(857.6,221.435),(857.6,220.855),(0.0,220.855)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,99.955),(0.0,100.535),(857.6,100.535),(857.6,99.955),(0.0,99.955)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,355.705),(0.0,356.285),(857.6,356.285),(857.6,355.705),(0.0,355.705)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,248.755),(0.0,249.335),(857.6,249.335),(857.6,248.755),(0.0,248.755)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,141.805),(0.0,142.385),(857.6,142.385),(857.6,141.805),(0.0,141.805)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,67.405),(0.0,67.985),(857.6,67.985),(857.6,67.405),(0.0,67.405)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,95.305),(0.0,95.885),(857.6,95.885),(857.6,95.305),(0.0,95.305)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,262.705),(0.0,263.285),(857.6,263.285),(857.6,262.705),(0.0,262.705)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,155.755),(0.0,156.335),(857.6,156.335),(857.6,155.755),(0.0,155.755)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,188.305),(0.0,188.885),(857.6,188.885),(857.6,188.305),(0.0,188.305)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,304.555),(0.0,305.135),(857.6,305.135),(857.6,304.555),(0.0,304.555)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,323.155),(0.0,323.735),(857.6,323.735),(857.6,323.155),(0.0,323.155)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,351.055),(0.0,351.635),(857.6,351.635),(857.6,351.055),(0.0,351.055)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,239.455),(0.0,240.035),(857.6,240.035),(857.6,239.455),(0.0,239.455)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,216.205),(0.0,216.785),(857.6,216.785),(857.6,216.205),(0.0,216.205)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,276.655),(0.0,277.235),(857.6,277.235),(857.6,276.655),(0.0,276.655)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,327.805),(0.0,328.385),(857.6,328.385),(857.6,327.805),(0.0,327.805)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,225.505),(0.0,226.085),(857.6,226.085),(857.6,225.505),(0.0,225.505)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,267.355),(0.0,267.935),(857.6,267.935),(857.6,267.355),(0.0,267.355)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,295.255),(0.0,295.835),(857.6,295.835),(857.6,295.255),(0.0,295.255)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,360.355),(0.0,360.935),(857.6,360.935),(857.6,360.355),(0.0,360.355)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,211.555),(0.0,212.135),(857.6,212.135),(857.6,211.555),(0.0,211.555)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,137.155),(0.0,137.735),(857.6,137.735),(857.6,137.155),(0.0,137.155)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,272.005),(0.0,272.585),(857.6,272.585),(857.6,272.005),(0.0,272.005)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,244.105),(0.0,244.685),(857.6,244.685),(857.6,244.105),(0.0,244.105)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,62.755),(0.0,63.335),(857.6,63.335),(857.6,62.755),(0.0,62.755)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,318.505),(0.0,319.085),(857.6,319.085),(857.6,318.505),(0.0,318.505)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,109.255),(0.0,109.835),(857.6,109.835),(857.6,109.255),(0.0,109.255)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,104.605),(0.0,105.185),(857.6,105.185),(857.6,104.605),(0.0,104.605)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,132.505),(0.0,133.085),(857.6,133.085),(857.6,132.505),(0.0,132.505)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,313.855),(0.0,314.435),(857.6,314.435),(857.6,313.855),(0.0,313.855)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,118.555),(0.0,119.135),(857.6,119.135),(857.6,118.555),(0.0,118.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(81.645), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(81.645), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(337.395), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(337.395), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(160.695), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(160.695), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(342.045), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(342.045), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(300.195), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(300.195), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(258.345), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(258.345), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(207.195), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(207.195), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(346.695), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(346.695), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(165.345), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(165.345), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(253.695), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(253.695), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(128.145), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(128.145), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.345), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.345), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(146.745), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(146.745), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(76.995), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(76.995), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(86.295), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(86.295), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(151.395), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(151.395), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(114.195), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(114.195), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(123.495), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(123.495), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(183.945), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(183.945), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(230.445), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(230.445), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(235.095), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(235.095), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(332.745), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(332.745), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(281.595), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(281.595), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.62), u(0.64), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.62), u(0.64), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(174.645), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(174.645), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(375.07), u(0.64), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(375.07), u(0.64), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(197.895), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(197.895), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(179.295), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(179.295), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(286.245), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(286.245), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(202.545), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(202.545), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(193.245), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(193.245), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(309.495), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(309.495), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.945), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.945), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(290.895), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(290.895), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(169.995), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(169.995), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(221.145), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(221.145), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(100.245), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(100.245), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(355.995), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(355.995), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(249.045), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(249.045), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(142.095), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(142.095), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.695), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.695), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(95.595), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(95.595), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(262.995), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(262.995), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(156.045), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(156.045), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(188.595), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(188.595), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(304.845), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(304.845), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(323.445), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(323.445), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(351.345), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(351.345), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(239.745), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(239.745), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(216.495), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(216.495), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(276.945), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(276.945), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(328.095), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(328.095), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(225.795), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(225.795), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(267.645), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(267.645), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(295.545), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(295.545), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(360.645), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(360.645), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(211.845), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(211.845), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(137.445), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(137.445), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(272.295), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(272.295), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(244.395), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(244.395), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.045), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.045), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(318.795), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(318.795), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(109.545), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(109.545), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(104.895), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(104.895), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(132.795), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(132.795), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(314.145), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(314.145), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(118.845), u(0.58), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(118.845), u(0.58), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk1']
        createRL(
            tech, net, 'm1',
            ((0.0,2.1),(0.0,2.75),(857.6,2.75),(857.6,2.1),(0.0,2.1)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(2.425), u(0.65), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(2.425), u(0.65), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk2']
        createRL(
            tech, net, 'm1',
            ((0.0,420.94),(0.0,421.59),(857.6,421.59),(857.6,420.94),(0.0,420.94)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(421.265), u(0.65), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(421.265), u(0.65), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['precharge1_n']
        createRL(
            tech, net, 'm2',
            ((0.0,61.78),(0.0,62.04),(857.6,62.04),(857.6,61.78),(0.0,61.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(61.91), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(61.91), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['precharge2_n']
        createRL(
            tech, net, 'm2',
            ((0.0,361.65),(0.0,361.91),(857.6,361.91),(857.6,361.65),(0.0,361.65)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(361.78), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(361.78), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_en1']
        createRL(
            tech, net, 'm1',
            ((0.0,3.03),(0.0,3.68),(857.6,3.68),(857.6,3.03),(0.0,3.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(3.355), u(0.65), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(3.355), u(0.65), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_en2']
        createRL(
            tech, net, 'm1',
            ((0.0,420.01),(0.0,420.66),(857.6,420.66),(857.6,420.01),(0.0,420.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(420.335), u(0.65), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(420.335), u(0.65), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,64.925),(0.0,65.185),(857.6,65.185),(857.6,64.925),(0.0,64.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(65.055), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(65.055), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,65.555),(0.0,65.815),(857.6,65.815),(857.6,65.555),(0.0,65.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(65.685), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(65.685), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,69.575),(0.0,69.835),(857.6,69.835),(857.6,69.575),(0.0,69.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(69.705), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(69.705), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,70.205),(0.0,70.465),(857.6,70.465),(857.6,70.205),(0.0,70.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(70.335), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(70.335), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,74.225),(0.0,74.485),(857.6,74.485),(857.6,74.225),(0.0,74.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(74.355), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(74.355), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,74.855),(0.0,75.115),(857.6,75.115),(857.6,74.855),(0.0,74.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(74.985), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(74.985), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,78.875),(0.0,79.135),(857.6,79.135),(857.6,78.875),(0.0,78.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(79.005), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(79.005), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,79.505),(0.0,79.765),(857.6,79.765),(857.6,79.505),(0.0,79.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(79.635), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(79.635), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,83.525),(0.0,83.785),(857.6,83.785),(857.6,83.525),(0.0,83.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(83.655), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(83.655), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,84.155),(0.0,84.415),(857.6,84.415),(857.6,84.155),(0.0,84.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(84.285), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(84.285), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,88.175),(0.0,88.435),(857.6,88.435),(857.6,88.175),(0.0,88.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(88.305), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(88.305), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,88.805),(0.0,89.065),(857.6,89.065),(857.6,88.805),(0.0,88.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(88.935), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(88.935), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,92.825),(0.0,93.085),(857.6,93.085),(857.6,92.825),(0.0,92.825)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(92.955), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(92.955), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,93.455),(0.0,93.715),(857.6,93.715),(857.6,93.455),(0.0,93.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(93.585), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(93.585), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,97.475),(0.0,97.735),(857.6,97.735),(857.6,97.475),(0.0,97.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(97.605), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(97.605), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,98.105),(0.0,98.365),(857.6,98.365),(857.6,98.105),(0.0,98.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(98.235), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(98.235), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[16]']
        createRL(
            tech, net, 'm2',
            ((0.0,102.125),(0.0,102.385),(857.6,102.385),(857.6,102.125),(0.0,102.125)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(102.255), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(102.255), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[17]']
        createRL(
            tech, net, 'm2',
            ((0.0,102.755),(0.0,103.015),(857.6,103.015),(857.6,102.755),(0.0,102.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(102.885), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(102.885), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[18]']
        createRL(
            tech, net, 'm2',
            ((0.0,106.775),(0.0,107.035),(857.6,107.035),(857.6,106.775),(0.0,106.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(106.905), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(106.905), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[19]']
        createRL(
            tech, net, 'm2',
            ((0.0,107.405),(0.0,107.665),(857.6,107.665),(857.6,107.405),(0.0,107.405)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(107.535), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(107.535), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[20]']
        createRL(
            tech, net, 'm2',
            ((0.0,111.425),(0.0,111.685),(857.6,111.685),(857.6,111.425),(0.0,111.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(111.555), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(111.555), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[21]']
        createRL(
            tech, net, 'm2',
            ((0.0,112.055),(0.0,112.315),(857.6,112.315),(857.6,112.055),(0.0,112.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(112.185), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(112.185), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[22]']
        createRL(
            tech, net, 'm2',
            ((0.0,116.075),(0.0,116.335),(857.6,116.335),(857.6,116.075),(0.0,116.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(116.205), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(116.205), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[23]']
        createRL(
            tech, net, 'm2',
            ((0.0,116.705),(0.0,116.965),(857.6,116.965),(857.6,116.705),(0.0,116.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(116.835), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(116.835), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[24]']
        createRL(
            tech, net, 'm2',
            ((0.0,120.725),(0.0,120.985),(857.6,120.985),(857.6,120.725),(0.0,120.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(120.855), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(120.855), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[25]']
        createRL(
            tech, net, 'm2',
            ((0.0,121.355),(0.0,121.615),(857.6,121.615),(857.6,121.355),(0.0,121.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(121.485), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(121.485), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[26]']
        createRL(
            tech, net, 'm2',
            ((0.0,125.375),(0.0,125.635),(857.6,125.635),(857.6,125.375),(0.0,125.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(125.505), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(125.505), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[27]']
        createRL(
            tech, net, 'm2',
            ((0.0,126.005),(0.0,126.265),(857.6,126.265),(857.6,126.005),(0.0,126.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(126.135), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(126.135), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[28]']
        createRL(
            tech, net, 'm2',
            ((0.0,130.025),(0.0,130.285),(857.6,130.285),(857.6,130.025),(0.0,130.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(130.155), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(130.155), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[29]']
        createRL(
            tech, net, 'm2',
            ((0.0,130.655),(0.0,130.915),(857.6,130.915),(857.6,130.655),(0.0,130.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(130.785), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(130.785), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[30]']
        createRL(
            tech, net, 'm2',
            ((0.0,134.675),(0.0,134.935),(857.6,134.935),(857.6,134.675),(0.0,134.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(134.805), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(134.805), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[31]']
        createRL(
            tech, net, 'm2',
            ((0.0,135.305),(0.0,135.565),(857.6,135.565),(857.6,135.305),(0.0,135.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(135.435), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(135.435), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[32]']
        createRL(
            tech, net, 'm2',
            ((0.0,139.325),(0.0,139.585),(857.6,139.585),(857.6,139.325),(0.0,139.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(139.455), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(139.455), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[33]']
        createRL(
            tech, net, 'm2',
            ((0.0,139.955),(0.0,140.215),(857.6,140.215),(857.6,139.955),(0.0,139.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(140.085), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(140.085), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[34]']
        createRL(
            tech, net, 'm2',
            ((0.0,143.975),(0.0,144.235),(857.6,144.235),(857.6,143.975),(0.0,143.975)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(144.105), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(144.105), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[35]']
        createRL(
            tech, net, 'm2',
            ((0.0,144.605),(0.0,144.865),(857.6,144.865),(857.6,144.605),(0.0,144.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(144.735), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(144.735), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[36]']
        createRL(
            tech, net, 'm2',
            ((0.0,148.625),(0.0,148.885),(857.6,148.885),(857.6,148.625),(0.0,148.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(148.755), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(148.755), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[37]']
        createRL(
            tech, net, 'm2',
            ((0.0,149.255),(0.0,149.515),(857.6,149.515),(857.6,149.255),(0.0,149.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(149.385), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(149.385), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[38]']
        createRL(
            tech, net, 'm2',
            ((0.0,153.275),(0.0,153.535),(857.6,153.535),(857.6,153.275),(0.0,153.275)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(153.405), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(153.405), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[39]']
        createRL(
            tech, net, 'm2',
            ((0.0,153.905),(0.0,154.165),(857.6,154.165),(857.6,153.905),(0.0,153.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(154.035), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(154.035), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[40]']
        createRL(
            tech, net, 'm2',
            ((0.0,157.925),(0.0,158.185),(857.6,158.185),(857.6,157.925),(0.0,157.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(158.055), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(158.055), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[41]']
        createRL(
            tech, net, 'm2',
            ((0.0,158.555),(0.0,158.815),(857.6,158.815),(857.6,158.555),(0.0,158.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(158.685), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(158.685), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[42]']
        createRL(
            tech, net, 'm2',
            ((0.0,162.575),(0.0,162.835),(857.6,162.835),(857.6,162.575),(0.0,162.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(162.705), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(162.705), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[43]']
        createRL(
            tech, net, 'm2',
            ((0.0,163.205),(0.0,163.465),(857.6,163.465),(857.6,163.205),(0.0,163.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(163.335), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(163.335), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[44]']
        createRL(
            tech, net, 'm2',
            ((0.0,167.225),(0.0,167.485),(857.6,167.485),(857.6,167.225),(0.0,167.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(167.355), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(167.355), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[45]']
        createRL(
            tech, net, 'm2',
            ((0.0,167.855),(0.0,168.115),(857.6,168.115),(857.6,167.855),(0.0,167.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(167.985), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(167.985), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[46]']
        createRL(
            tech, net, 'm2',
            ((0.0,171.875),(0.0,172.135),(857.6,172.135),(857.6,171.875),(0.0,171.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(172.005), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(172.005), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[47]']
        createRL(
            tech, net, 'm2',
            ((0.0,172.505),(0.0,172.765),(857.6,172.765),(857.6,172.505),(0.0,172.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(172.635), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(172.635), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[48]']
        createRL(
            tech, net, 'm2',
            ((0.0,176.525),(0.0,176.785),(857.6,176.785),(857.6,176.525),(0.0,176.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(176.655), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(176.655), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[49]']
        createRL(
            tech, net, 'm2',
            ((0.0,177.155),(0.0,177.415),(857.6,177.415),(857.6,177.155),(0.0,177.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(177.285), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(177.285), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[50]']
        createRL(
            tech, net, 'm2',
            ((0.0,181.175),(0.0,181.435),(857.6,181.435),(857.6,181.175),(0.0,181.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(181.305), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(181.305), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[51]']
        createRL(
            tech, net, 'm2',
            ((0.0,181.805),(0.0,182.065),(857.6,182.065),(857.6,181.805),(0.0,181.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(181.935), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(181.935), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[52]']
        createRL(
            tech, net, 'm2',
            ((0.0,185.825),(0.0,186.085),(857.6,186.085),(857.6,185.825),(0.0,185.825)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(185.955), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(185.955), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[53]']
        createRL(
            tech, net, 'm2',
            ((0.0,186.455),(0.0,186.715),(857.6,186.715),(857.6,186.455),(0.0,186.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(186.585), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(186.585), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[54]']
        createRL(
            tech, net, 'm2',
            ((0.0,190.475),(0.0,190.735),(857.6,190.735),(857.6,190.475),(0.0,190.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(190.605), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(190.605), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[55]']
        createRL(
            tech, net, 'm2',
            ((0.0,191.105),(0.0,191.365),(857.6,191.365),(857.6,191.105),(0.0,191.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(191.235), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(191.235), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[56]']
        createRL(
            tech, net, 'm2',
            ((0.0,195.125),(0.0,195.385),(857.6,195.385),(857.6,195.125),(0.0,195.125)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(195.255), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(195.255), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[57]']
        createRL(
            tech, net, 'm2',
            ((0.0,195.755),(0.0,196.015),(857.6,196.015),(857.6,195.755),(0.0,195.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(195.885), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(195.885), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[58]']
        createRL(
            tech, net, 'm2',
            ((0.0,199.775),(0.0,200.035),(857.6,200.035),(857.6,199.775),(0.0,199.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(199.905), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(199.905), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[59]']
        createRL(
            tech, net, 'm2',
            ((0.0,200.405),(0.0,200.665),(857.6,200.665),(857.6,200.405),(0.0,200.405)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(200.535), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(200.535), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[60]']
        createRL(
            tech, net, 'm2',
            ((0.0,204.425),(0.0,204.685),(857.6,204.685),(857.6,204.425),(0.0,204.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(204.555), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(204.555), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[61]']
        createRL(
            tech, net, 'm2',
            ((0.0,205.055),(0.0,205.315),(857.6,205.315),(857.6,205.055),(0.0,205.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(205.185), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(205.185), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[62]']
        createRL(
            tech, net, 'm2',
            ((0.0,209.075),(0.0,209.335),(857.6,209.335),(857.6,209.075),(0.0,209.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(209.205), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(209.205), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[63]']
        createRL(
            tech, net, 'm2',
            ((0.0,209.705),(0.0,209.965),(857.6,209.965),(857.6,209.705),(0.0,209.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(209.835), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(209.835), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[64]']
        createRL(
            tech, net, 'm2',
            ((0.0,213.725),(0.0,213.985),(857.6,213.985),(857.6,213.725),(0.0,213.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(213.855), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(213.855), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[65]']
        createRL(
            tech, net, 'm2',
            ((0.0,214.355),(0.0,214.615),(857.6,214.615),(857.6,214.355),(0.0,214.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(214.485), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(214.485), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[66]']
        createRL(
            tech, net, 'm2',
            ((0.0,218.375),(0.0,218.635),(857.6,218.635),(857.6,218.375),(0.0,218.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(218.505), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(218.505), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[67]']
        createRL(
            tech, net, 'm2',
            ((0.0,219.005),(0.0,219.265),(857.6,219.265),(857.6,219.005),(0.0,219.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(219.135), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(219.135), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[68]']
        createRL(
            tech, net, 'm2',
            ((0.0,223.025),(0.0,223.285),(857.6,223.285),(857.6,223.025),(0.0,223.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(223.155), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(223.155), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[69]']
        createRL(
            tech, net, 'm2',
            ((0.0,223.655),(0.0,223.915),(857.6,223.915),(857.6,223.655),(0.0,223.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(223.785), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(223.785), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[70]']
        createRL(
            tech, net, 'm2',
            ((0.0,227.675),(0.0,227.935),(857.6,227.935),(857.6,227.675),(0.0,227.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(227.805), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(227.805), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[71]']
        createRL(
            tech, net, 'm2',
            ((0.0,228.305),(0.0,228.565),(857.6,228.565),(857.6,228.305),(0.0,228.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(228.435), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(228.435), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[72]']
        createRL(
            tech, net, 'm2',
            ((0.0,232.325),(0.0,232.585),(857.6,232.585),(857.6,232.325),(0.0,232.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(232.455), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(232.455), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[73]']
        createRL(
            tech, net, 'm2',
            ((0.0,232.955),(0.0,233.215),(857.6,233.215),(857.6,232.955),(0.0,232.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(233.085), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(233.085), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[74]']
        createRL(
            tech, net, 'm2',
            ((0.0,236.975),(0.0,237.235),(857.6,237.235),(857.6,236.975),(0.0,236.975)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(237.105), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(237.105), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[75]']
        createRL(
            tech, net, 'm2',
            ((0.0,237.605),(0.0,237.865),(857.6,237.865),(857.6,237.605),(0.0,237.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(237.735), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(237.735), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[76]']
        createRL(
            tech, net, 'm2',
            ((0.0,241.625),(0.0,241.885),(857.6,241.885),(857.6,241.625),(0.0,241.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(241.755), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(241.755), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[77]']
        createRL(
            tech, net, 'm2',
            ((0.0,242.255),(0.0,242.515),(857.6,242.515),(857.6,242.255),(0.0,242.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(242.385), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(242.385), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[78]']
        createRL(
            tech, net, 'm2',
            ((0.0,246.275),(0.0,246.535),(857.6,246.535),(857.6,246.275),(0.0,246.275)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(246.405), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(246.405), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[79]']
        createRL(
            tech, net, 'm2',
            ((0.0,246.905),(0.0,247.165),(857.6,247.165),(857.6,246.905),(0.0,246.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(247.035), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(247.035), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[80]']
        createRL(
            tech, net, 'm2',
            ((0.0,250.925),(0.0,251.185),(857.6,251.185),(857.6,250.925),(0.0,250.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(251.055), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(251.055), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[81]']
        createRL(
            tech, net, 'm2',
            ((0.0,251.555),(0.0,251.815),(857.6,251.815),(857.6,251.555),(0.0,251.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(251.685), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(251.685), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[82]']
        createRL(
            tech, net, 'm2',
            ((0.0,255.575),(0.0,255.835),(857.6,255.835),(857.6,255.575),(0.0,255.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(255.705), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(255.705), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[83]']
        createRL(
            tech, net, 'm2',
            ((0.0,256.205),(0.0,256.465),(857.6,256.465),(857.6,256.205),(0.0,256.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(256.335), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(256.335), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[84]']
        createRL(
            tech, net, 'm2',
            ((0.0,260.225),(0.0,260.485),(857.6,260.485),(857.6,260.225),(0.0,260.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(260.355), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(260.355), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[85]']
        createRL(
            tech, net, 'm2',
            ((0.0,260.855),(0.0,261.115),(857.6,261.115),(857.6,260.855),(0.0,260.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(260.985), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(260.985), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[86]']
        createRL(
            tech, net, 'm2',
            ((0.0,264.875),(0.0,265.135),(857.6,265.135),(857.6,264.875),(0.0,264.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(265.005), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(265.005), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[87]']
        createRL(
            tech, net, 'm2',
            ((0.0,265.505),(0.0,265.765),(857.6,265.765),(857.6,265.505),(0.0,265.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(265.635), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(265.635), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[88]']
        createRL(
            tech, net, 'm2',
            ((0.0,269.525),(0.0,269.785),(857.6,269.785),(857.6,269.525),(0.0,269.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(269.655), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(269.655), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[89]']
        createRL(
            tech, net, 'm2',
            ((0.0,270.155),(0.0,270.415),(857.6,270.415),(857.6,270.155),(0.0,270.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(270.285), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(270.285), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[90]']
        createRL(
            tech, net, 'm2',
            ((0.0,274.175),(0.0,274.435),(857.6,274.435),(857.6,274.175),(0.0,274.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(274.305), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(274.305), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[91]']
        createRL(
            tech, net, 'm2',
            ((0.0,274.805),(0.0,275.065),(857.6,275.065),(857.6,274.805),(0.0,274.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(274.935), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(274.935), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[92]']
        createRL(
            tech, net, 'm2',
            ((0.0,278.825),(0.0,279.085),(857.6,279.085),(857.6,278.825),(0.0,278.825)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(278.955), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(278.955), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[93]']
        createRL(
            tech, net, 'm2',
            ((0.0,279.455),(0.0,279.715),(857.6,279.715),(857.6,279.455),(0.0,279.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(279.585), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(279.585), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[94]']
        createRL(
            tech, net, 'm2',
            ((0.0,283.475),(0.0,283.735),(857.6,283.735),(857.6,283.475),(0.0,283.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(283.605), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(283.605), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[95]']
        createRL(
            tech, net, 'm2',
            ((0.0,284.105),(0.0,284.365),(857.6,284.365),(857.6,284.105),(0.0,284.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(284.235), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(284.235), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[96]']
        createRL(
            tech, net, 'm2',
            ((0.0,288.125),(0.0,288.385),(857.6,288.385),(857.6,288.125),(0.0,288.125)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(288.255), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(288.255), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[97]']
        createRL(
            tech, net, 'm2',
            ((0.0,288.755),(0.0,289.015),(857.6,289.015),(857.6,288.755),(0.0,288.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(288.885), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(288.885), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[98]']
        createRL(
            tech, net, 'm2',
            ((0.0,292.775),(0.0,293.035),(857.6,293.035),(857.6,292.775),(0.0,292.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(292.905), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(292.905), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[99]']
        createRL(
            tech, net, 'm2',
            ((0.0,293.405),(0.0,293.665),(857.6,293.665),(857.6,293.405),(0.0,293.405)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(293.535), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(293.535), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[100]']
        createRL(
            tech, net, 'm2',
            ((0.0,297.425),(0.0,297.685),(857.6,297.685),(857.6,297.425),(0.0,297.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(297.555), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(297.555), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[101]']
        createRL(
            tech, net, 'm2',
            ((0.0,298.055),(0.0,298.315),(857.6,298.315),(857.6,298.055),(0.0,298.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(298.185), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(298.185), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[102]']
        createRL(
            tech, net, 'm2',
            ((0.0,302.075),(0.0,302.335),(857.6,302.335),(857.6,302.075),(0.0,302.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(302.205), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(302.205), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[103]']
        createRL(
            tech, net, 'm2',
            ((0.0,302.705),(0.0,302.965),(857.6,302.965),(857.6,302.705),(0.0,302.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(302.835), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(302.835), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[104]']
        createRL(
            tech, net, 'm2',
            ((0.0,306.725),(0.0,306.985),(857.6,306.985),(857.6,306.725),(0.0,306.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(306.855), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(306.855), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[105]']
        createRL(
            tech, net, 'm2',
            ((0.0,307.355),(0.0,307.615),(857.6,307.615),(857.6,307.355),(0.0,307.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(307.485), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(307.485), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[106]']
        createRL(
            tech, net, 'm2',
            ((0.0,311.375),(0.0,311.635),(857.6,311.635),(857.6,311.375),(0.0,311.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(311.505), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(311.505), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[107]']
        createRL(
            tech, net, 'm2',
            ((0.0,312.005),(0.0,312.265),(857.6,312.265),(857.6,312.005),(0.0,312.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(312.135), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(312.135), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[108]']
        createRL(
            tech, net, 'm2',
            ((0.0,316.025),(0.0,316.285),(857.6,316.285),(857.6,316.025),(0.0,316.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(316.155), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(316.155), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[109]']
        createRL(
            tech, net, 'm2',
            ((0.0,316.655),(0.0,316.915),(857.6,316.915),(857.6,316.655),(0.0,316.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(316.785), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(316.785), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[110]']
        createRL(
            tech, net, 'm2',
            ((0.0,320.675),(0.0,320.935),(857.6,320.935),(857.6,320.675),(0.0,320.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(320.805), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(320.805), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[111]']
        createRL(
            tech, net, 'm2',
            ((0.0,321.305),(0.0,321.565),(857.6,321.565),(857.6,321.305),(0.0,321.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(321.435), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(321.435), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[112]']
        createRL(
            tech, net, 'm2',
            ((0.0,325.325),(0.0,325.585),(857.6,325.585),(857.6,325.325),(0.0,325.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(325.455), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(325.455), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[113]']
        createRL(
            tech, net, 'm2',
            ((0.0,325.955),(0.0,326.215),(857.6,326.215),(857.6,325.955),(0.0,325.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(326.085), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(326.085), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[114]']
        createRL(
            tech, net, 'm2',
            ((0.0,329.975),(0.0,330.235),(857.6,330.235),(857.6,329.975),(0.0,329.975)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(330.105), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(330.105), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[115]']
        createRL(
            tech, net, 'm2',
            ((0.0,330.605),(0.0,330.865),(857.6,330.865),(857.6,330.605),(0.0,330.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(330.735), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(330.735), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[116]']
        createRL(
            tech, net, 'm2',
            ((0.0,334.625),(0.0,334.885),(857.6,334.885),(857.6,334.625),(0.0,334.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(334.755), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(334.755), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[117]']
        createRL(
            tech, net, 'm2',
            ((0.0,335.255),(0.0,335.515),(857.6,335.515),(857.6,335.255),(0.0,335.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(335.385), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(335.385), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[118]']
        createRL(
            tech, net, 'm2',
            ((0.0,339.275),(0.0,339.535),(857.6,339.535),(857.6,339.275),(0.0,339.275)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(339.405), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(339.405), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[119]']
        createRL(
            tech, net, 'm2',
            ((0.0,339.905),(0.0,340.165),(857.6,340.165),(857.6,339.905),(0.0,339.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(340.035), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(340.035), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[120]']
        createRL(
            tech, net, 'm2',
            ((0.0,343.925),(0.0,344.185),(857.6,344.185),(857.6,343.925),(0.0,343.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(344.055), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(344.055), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[121]']
        createRL(
            tech, net, 'm2',
            ((0.0,344.555),(0.0,344.815),(857.6,344.815),(857.6,344.555),(0.0,344.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(344.685), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(344.685), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[122]']
        createRL(
            tech, net, 'm2',
            ((0.0,348.575),(0.0,348.835),(857.6,348.835),(857.6,348.575),(0.0,348.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(348.705), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(348.705), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[123]']
        createRL(
            tech, net, 'm2',
            ((0.0,349.205),(0.0,349.465),(857.6,349.465),(857.6,349.205),(0.0,349.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(349.335), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(349.335), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[124]']
        createRL(
            tech, net, 'm2',
            ((0.0,353.225),(0.0,353.485),(857.6,353.485),(857.6,353.225),(0.0,353.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(353.355), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(353.355), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[125]']
        createRL(
            tech, net, 'm2',
            ((0.0,353.855),(0.0,354.115),(857.6,354.115),(857.6,353.855),(0.0,353.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(353.985), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(353.985), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[126]']
        createRL(
            tech, net, 'm2',
            ((0.0,357.875),(0.0,358.135),(857.6,358.135),(857.6,357.875),(0.0,357.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(358.005), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(358.005), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[127]']
        createRL(
            tech, net, 'm2',
            ((0.0,358.505),(0.0,358.765),(857.6,358.765),(857.6,358.505),(0.0,358.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(358.635), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(358.635), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,64.425),(0.0,64.685),(857.6,64.685),(857.6,64.425),(0.0,64.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(64.555), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(64.555), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,66.055),(0.0,66.315),(857.6,66.315),(857.6,66.055),(0.0,66.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(66.185), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(66.185), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,69.075),(0.0,69.335),(857.6,69.335),(857.6,69.075),(0.0,69.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(69.205), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(69.205), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,70.705),(0.0,70.965),(857.6,70.965),(857.6,70.705),(0.0,70.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(70.835), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(70.835), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,73.725),(0.0,73.985),(857.6,73.985),(857.6,73.725),(0.0,73.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(73.855), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(73.855), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,75.355),(0.0,75.615),(857.6,75.615),(857.6,75.355),(0.0,75.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(75.485), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(75.485), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,78.375),(0.0,78.635),(857.6,78.635),(857.6,78.375),(0.0,78.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(78.505), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(78.505), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,80.005),(0.0,80.265),(857.6,80.265),(857.6,80.005),(0.0,80.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(80.135), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(80.135), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,83.025),(0.0,83.285),(857.6,83.285),(857.6,83.025),(0.0,83.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(83.155), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(83.155), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,84.655),(0.0,84.915),(857.6,84.915),(857.6,84.655),(0.0,84.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(84.785), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(84.785), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,87.675),(0.0,87.935),(857.6,87.935),(857.6,87.675),(0.0,87.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(87.805), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(87.805), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,89.305),(0.0,89.565),(857.6,89.565),(857.6,89.305),(0.0,89.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(89.435), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(89.435), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,92.325),(0.0,92.585),(857.6,92.585),(857.6,92.325),(0.0,92.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(92.455), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(92.455), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,93.955),(0.0,94.215),(857.6,94.215),(857.6,93.955),(0.0,93.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(94.085), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(94.085), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,96.975),(0.0,97.235),(857.6,97.235),(857.6,96.975),(0.0,96.975)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(97.105), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(97.105), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,98.605),(0.0,98.865),(857.6,98.865),(857.6,98.605),(0.0,98.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(98.735), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(98.735), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[16]']
        createRL(
            tech, net, 'm2',
            ((0.0,101.625),(0.0,101.885),(857.6,101.885),(857.6,101.625),(0.0,101.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(101.755), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(101.755), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[17]']
        createRL(
            tech, net, 'm2',
            ((0.0,103.255),(0.0,103.515),(857.6,103.515),(857.6,103.255),(0.0,103.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(103.385), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(103.385), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[18]']
        createRL(
            tech, net, 'm2',
            ((0.0,106.275),(0.0,106.535),(857.6,106.535),(857.6,106.275),(0.0,106.275)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(106.405), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(106.405), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[19]']
        createRL(
            tech, net, 'm2',
            ((0.0,107.905),(0.0,108.165),(857.6,108.165),(857.6,107.905),(0.0,107.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(108.035), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(108.035), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[20]']
        createRL(
            tech, net, 'm2',
            ((0.0,110.925),(0.0,111.185),(857.6,111.185),(857.6,110.925),(0.0,110.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(111.055), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(111.055), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[21]']
        createRL(
            tech, net, 'm2',
            ((0.0,112.555),(0.0,112.815),(857.6,112.815),(857.6,112.555),(0.0,112.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(112.685), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(112.685), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[22]']
        createRL(
            tech, net, 'm2',
            ((0.0,115.575),(0.0,115.835),(857.6,115.835),(857.6,115.575),(0.0,115.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(115.705), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(115.705), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[23]']
        createRL(
            tech, net, 'm2',
            ((0.0,117.205),(0.0,117.465),(857.6,117.465),(857.6,117.205),(0.0,117.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(117.335), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(117.335), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[24]']
        createRL(
            tech, net, 'm2',
            ((0.0,120.225),(0.0,120.485),(857.6,120.485),(857.6,120.225),(0.0,120.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(120.355), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(120.355), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[25]']
        createRL(
            tech, net, 'm2',
            ((0.0,121.855),(0.0,122.115),(857.6,122.115),(857.6,121.855),(0.0,121.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(121.985), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(121.985), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[26]']
        createRL(
            tech, net, 'm2',
            ((0.0,124.875),(0.0,125.135),(857.6,125.135),(857.6,124.875),(0.0,124.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(125.005), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(125.005), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[27]']
        createRL(
            tech, net, 'm2',
            ((0.0,126.505),(0.0,126.765),(857.6,126.765),(857.6,126.505),(0.0,126.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(126.635), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(126.635), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[28]']
        createRL(
            tech, net, 'm2',
            ((0.0,129.525),(0.0,129.785),(857.6,129.785),(857.6,129.525),(0.0,129.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(129.655), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(129.655), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[29]']
        createRL(
            tech, net, 'm2',
            ((0.0,131.155),(0.0,131.415),(857.6,131.415),(857.6,131.155),(0.0,131.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(131.285), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(131.285), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[30]']
        createRL(
            tech, net, 'm2',
            ((0.0,134.175),(0.0,134.435),(857.6,134.435),(857.6,134.175),(0.0,134.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(134.305), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(134.305), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[31]']
        createRL(
            tech, net, 'm2',
            ((0.0,135.805),(0.0,136.065),(857.6,136.065),(857.6,135.805),(0.0,135.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(135.935), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(135.935), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[32]']
        createRL(
            tech, net, 'm2',
            ((0.0,138.825),(0.0,139.085),(857.6,139.085),(857.6,138.825),(0.0,138.825)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(138.955), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(138.955), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[33]']
        createRL(
            tech, net, 'm2',
            ((0.0,140.455),(0.0,140.715),(857.6,140.715),(857.6,140.455),(0.0,140.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(140.585), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(140.585), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[34]']
        createRL(
            tech, net, 'm2',
            ((0.0,143.475),(0.0,143.735),(857.6,143.735),(857.6,143.475),(0.0,143.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(143.605), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(143.605), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[35]']
        createRL(
            tech, net, 'm2',
            ((0.0,145.105),(0.0,145.365),(857.6,145.365),(857.6,145.105),(0.0,145.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(145.235), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(145.235), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[36]']
        createRL(
            tech, net, 'm2',
            ((0.0,148.125),(0.0,148.385),(857.6,148.385),(857.6,148.125),(0.0,148.125)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(148.255), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(148.255), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[37]']
        createRL(
            tech, net, 'm2',
            ((0.0,149.755),(0.0,150.015),(857.6,150.015),(857.6,149.755),(0.0,149.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(149.885), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(149.885), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[38]']
        createRL(
            tech, net, 'm2',
            ((0.0,152.775),(0.0,153.035),(857.6,153.035),(857.6,152.775),(0.0,152.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(152.905), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(152.905), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[39]']
        createRL(
            tech, net, 'm2',
            ((0.0,154.405),(0.0,154.665),(857.6,154.665),(857.6,154.405),(0.0,154.405)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(154.535), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(154.535), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[40]']
        createRL(
            tech, net, 'm2',
            ((0.0,157.425),(0.0,157.685),(857.6,157.685),(857.6,157.425),(0.0,157.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(157.555), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(157.555), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[41]']
        createRL(
            tech, net, 'm2',
            ((0.0,159.055),(0.0,159.315),(857.6,159.315),(857.6,159.055),(0.0,159.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(159.185), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(159.185), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[42]']
        createRL(
            tech, net, 'm2',
            ((0.0,162.075),(0.0,162.335),(857.6,162.335),(857.6,162.075),(0.0,162.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(162.205), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(162.205), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[43]']
        createRL(
            tech, net, 'm2',
            ((0.0,163.705),(0.0,163.965),(857.6,163.965),(857.6,163.705),(0.0,163.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(163.835), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(163.835), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[44]']
        createRL(
            tech, net, 'm2',
            ((0.0,166.725),(0.0,166.985),(857.6,166.985),(857.6,166.725),(0.0,166.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(166.855), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(166.855), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[45]']
        createRL(
            tech, net, 'm2',
            ((0.0,168.355),(0.0,168.615),(857.6,168.615),(857.6,168.355),(0.0,168.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(168.485), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(168.485), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[46]']
        createRL(
            tech, net, 'm2',
            ((0.0,171.375),(0.0,171.635),(857.6,171.635),(857.6,171.375),(0.0,171.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(171.505), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(171.505), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[47]']
        createRL(
            tech, net, 'm2',
            ((0.0,173.005),(0.0,173.265),(857.6,173.265),(857.6,173.005),(0.0,173.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(173.135), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(173.135), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[48]']
        createRL(
            tech, net, 'm2',
            ((0.0,176.025),(0.0,176.285),(857.6,176.285),(857.6,176.025),(0.0,176.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(176.155), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(176.155), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[49]']
        createRL(
            tech, net, 'm2',
            ((0.0,177.655),(0.0,177.915),(857.6,177.915),(857.6,177.655),(0.0,177.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(177.785), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(177.785), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[50]']
        createRL(
            tech, net, 'm2',
            ((0.0,180.675),(0.0,180.935),(857.6,180.935),(857.6,180.675),(0.0,180.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(180.805), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(180.805), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[51]']
        createRL(
            tech, net, 'm2',
            ((0.0,182.305),(0.0,182.565),(857.6,182.565),(857.6,182.305),(0.0,182.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(182.435), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(182.435), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[52]']
        createRL(
            tech, net, 'm2',
            ((0.0,185.325),(0.0,185.585),(857.6,185.585),(857.6,185.325),(0.0,185.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(185.455), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(185.455), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[53]']
        createRL(
            tech, net, 'm2',
            ((0.0,186.955),(0.0,187.215),(857.6,187.215),(857.6,186.955),(0.0,186.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(187.085), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(187.085), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[54]']
        createRL(
            tech, net, 'm2',
            ((0.0,189.975),(0.0,190.235),(857.6,190.235),(857.6,189.975),(0.0,189.975)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(190.105), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(190.105), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[55]']
        createRL(
            tech, net, 'm2',
            ((0.0,191.605),(0.0,191.865),(857.6,191.865),(857.6,191.605),(0.0,191.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(191.735), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(191.735), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[56]']
        createRL(
            tech, net, 'm2',
            ((0.0,194.625),(0.0,194.885),(857.6,194.885),(857.6,194.625),(0.0,194.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(194.755), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(194.755), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[57]']
        createRL(
            tech, net, 'm2',
            ((0.0,196.255),(0.0,196.515),(857.6,196.515),(857.6,196.255),(0.0,196.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(196.385), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(196.385), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[58]']
        createRL(
            tech, net, 'm2',
            ((0.0,199.275),(0.0,199.535),(857.6,199.535),(857.6,199.275),(0.0,199.275)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(199.405), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(199.405), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[59]']
        createRL(
            tech, net, 'm2',
            ((0.0,200.905),(0.0,201.165),(857.6,201.165),(857.6,200.905),(0.0,200.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(201.035), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(201.035), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[60]']
        createRL(
            tech, net, 'm2',
            ((0.0,203.925),(0.0,204.185),(857.6,204.185),(857.6,203.925),(0.0,203.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(204.055), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(204.055), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[61]']
        createRL(
            tech, net, 'm2',
            ((0.0,205.555),(0.0,205.815),(857.6,205.815),(857.6,205.555),(0.0,205.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(205.685), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(205.685), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[62]']
        createRL(
            tech, net, 'm2',
            ((0.0,208.575),(0.0,208.835),(857.6,208.835),(857.6,208.575),(0.0,208.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(208.705), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(208.705), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[63]']
        createRL(
            tech, net, 'm2',
            ((0.0,210.205),(0.0,210.465),(857.6,210.465),(857.6,210.205),(0.0,210.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(210.335), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(210.335), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[64]']
        createRL(
            tech, net, 'm2',
            ((0.0,213.225),(0.0,213.485),(857.6,213.485),(857.6,213.225),(0.0,213.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(213.355), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(213.355), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[65]']
        createRL(
            tech, net, 'm2',
            ((0.0,214.855),(0.0,215.115),(857.6,215.115),(857.6,214.855),(0.0,214.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(214.985), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(214.985), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[66]']
        createRL(
            tech, net, 'm2',
            ((0.0,217.875),(0.0,218.135),(857.6,218.135),(857.6,217.875),(0.0,217.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(218.005), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(218.005), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[67]']
        createRL(
            tech, net, 'm2',
            ((0.0,219.505),(0.0,219.765),(857.6,219.765),(857.6,219.505),(0.0,219.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(219.635), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(219.635), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[68]']
        createRL(
            tech, net, 'm2',
            ((0.0,222.525),(0.0,222.785),(857.6,222.785),(857.6,222.525),(0.0,222.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(222.655), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(222.655), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[69]']
        createRL(
            tech, net, 'm2',
            ((0.0,224.155),(0.0,224.415),(857.6,224.415),(857.6,224.155),(0.0,224.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(224.285), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(224.285), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[70]']
        createRL(
            tech, net, 'm2',
            ((0.0,227.175),(0.0,227.435),(857.6,227.435),(857.6,227.175),(0.0,227.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(227.305), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(227.305), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[71]']
        createRL(
            tech, net, 'm2',
            ((0.0,228.805),(0.0,229.065),(857.6,229.065),(857.6,228.805),(0.0,228.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(228.935), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(228.935), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[72]']
        createRL(
            tech, net, 'm2',
            ((0.0,231.825),(0.0,232.085),(857.6,232.085),(857.6,231.825),(0.0,231.825)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(231.955), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(231.955), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[73]']
        createRL(
            tech, net, 'm2',
            ((0.0,233.455),(0.0,233.715),(857.6,233.715),(857.6,233.455),(0.0,233.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(233.585), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(233.585), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[74]']
        createRL(
            tech, net, 'm2',
            ((0.0,236.475),(0.0,236.735),(857.6,236.735),(857.6,236.475),(0.0,236.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(236.605), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(236.605), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[75]']
        createRL(
            tech, net, 'm2',
            ((0.0,238.105),(0.0,238.365),(857.6,238.365),(857.6,238.105),(0.0,238.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(238.235), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(238.235), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[76]']
        createRL(
            tech, net, 'm2',
            ((0.0,241.125),(0.0,241.385),(857.6,241.385),(857.6,241.125),(0.0,241.125)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(241.255), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(241.255), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[77]']
        createRL(
            tech, net, 'm2',
            ((0.0,242.755),(0.0,243.015),(857.6,243.015),(857.6,242.755),(0.0,242.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(242.885), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(242.885), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[78]']
        createRL(
            tech, net, 'm2',
            ((0.0,245.775),(0.0,246.035),(857.6,246.035),(857.6,245.775),(0.0,245.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(245.905), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(245.905), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[79]']
        createRL(
            tech, net, 'm2',
            ((0.0,247.405),(0.0,247.665),(857.6,247.665),(857.6,247.405),(0.0,247.405)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(247.535), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(247.535), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[80]']
        createRL(
            tech, net, 'm2',
            ((0.0,250.425),(0.0,250.685),(857.6,250.685),(857.6,250.425),(0.0,250.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(250.555), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(250.555), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[81]']
        createRL(
            tech, net, 'm2',
            ((0.0,252.055),(0.0,252.315),(857.6,252.315),(857.6,252.055),(0.0,252.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(252.185), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(252.185), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[82]']
        createRL(
            tech, net, 'm2',
            ((0.0,255.075),(0.0,255.335),(857.6,255.335),(857.6,255.075),(0.0,255.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(255.205), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(255.205), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[83]']
        createRL(
            tech, net, 'm2',
            ((0.0,256.705),(0.0,256.965),(857.6,256.965),(857.6,256.705),(0.0,256.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(256.835), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(256.835), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[84]']
        createRL(
            tech, net, 'm2',
            ((0.0,259.725),(0.0,259.985),(857.6,259.985),(857.6,259.725),(0.0,259.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(259.855), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(259.855), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[85]']
        createRL(
            tech, net, 'm2',
            ((0.0,261.355),(0.0,261.615),(857.6,261.615),(857.6,261.355),(0.0,261.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(261.485), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(261.485), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[86]']
        createRL(
            tech, net, 'm2',
            ((0.0,264.375),(0.0,264.635),(857.6,264.635),(857.6,264.375),(0.0,264.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(264.505), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(264.505), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[87]']
        createRL(
            tech, net, 'm2',
            ((0.0,266.005),(0.0,266.265),(857.6,266.265),(857.6,266.005),(0.0,266.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(266.135), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(266.135), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[88]']
        createRL(
            tech, net, 'm2',
            ((0.0,269.025),(0.0,269.285),(857.6,269.285),(857.6,269.025),(0.0,269.025)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(269.155), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(269.155), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[89]']
        createRL(
            tech, net, 'm2',
            ((0.0,270.655),(0.0,270.915),(857.6,270.915),(857.6,270.655),(0.0,270.655)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(270.785), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(270.785), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[90]']
        createRL(
            tech, net, 'm2',
            ((0.0,273.675),(0.0,273.935),(857.6,273.935),(857.6,273.675),(0.0,273.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(273.805), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(273.805), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[91]']
        createRL(
            tech, net, 'm2',
            ((0.0,275.305),(0.0,275.565),(857.6,275.565),(857.6,275.305),(0.0,275.305)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(275.435), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(275.435), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[92]']
        createRL(
            tech, net, 'm2',
            ((0.0,278.325),(0.0,278.585),(857.6,278.585),(857.6,278.325),(0.0,278.325)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(278.455), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(278.455), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[93]']
        createRL(
            tech, net, 'm2',
            ((0.0,279.955),(0.0,280.215),(857.6,280.215),(857.6,279.955),(0.0,279.955)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(280.085), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(280.085), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[94]']
        createRL(
            tech, net, 'm2',
            ((0.0,282.975),(0.0,283.235),(857.6,283.235),(857.6,282.975),(0.0,282.975)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(283.105), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(283.105), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[95]']
        createRL(
            tech, net, 'm2',
            ((0.0,284.605),(0.0,284.865),(857.6,284.865),(857.6,284.605),(0.0,284.605)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(284.735), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(284.735), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[96]']
        createRL(
            tech, net, 'm2',
            ((0.0,287.625),(0.0,287.885),(857.6,287.885),(857.6,287.625),(0.0,287.625)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(287.755), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(287.755), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[97]']
        createRL(
            tech, net, 'm2',
            ((0.0,289.255),(0.0,289.515),(857.6,289.515),(857.6,289.255),(0.0,289.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(289.385), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(289.385), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[98]']
        createRL(
            tech, net, 'm2',
            ((0.0,292.275),(0.0,292.535),(857.6,292.535),(857.6,292.275),(0.0,292.275)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(292.405), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(292.405), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[99]']
        createRL(
            tech, net, 'm2',
            ((0.0,293.905),(0.0,294.165),(857.6,294.165),(857.6,293.905),(0.0,293.905)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(294.035), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(294.035), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[100]']
        createRL(
            tech, net, 'm2',
            ((0.0,296.925),(0.0,297.185),(857.6,297.185),(857.6,296.925),(0.0,296.925)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(297.055), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(297.055), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[101]']
        createRL(
            tech, net, 'm2',
            ((0.0,298.555),(0.0,298.815),(857.6,298.815),(857.6,298.555),(0.0,298.555)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(298.685), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(298.685), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[102]']
        createRL(
            tech, net, 'm2',
            ((0.0,301.575),(0.0,301.835),(857.6,301.835),(857.6,301.575),(0.0,301.575)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(301.705), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(301.705), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[103]']
        createRL(
            tech, net, 'm2',
            ((0.0,303.205),(0.0,303.465),(857.6,303.465),(857.6,303.205),(0.0,303.205)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(303.335), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(303.335), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[104]']
        createRL(
            tech, net, 'm2',
            ((0.0,306.225),(0.0,306.485),(857.6,306.485),(857.6,306.225),(0.0,306.225)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(306.355), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(306.355), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[105]']
        createRL(
            tech, net, 'm2',
            ((0.0,307.855),(0.0,308.115),(857.6,308.115),(857.6,307.855),(0.0,307.855)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(307.985), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(307.985), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[106]']
        createRL(
            tech, net, 'm2',
            ((0.0,310.875),(0.0,311.135),(857.6,311.135),(857.6,310.875),(0.0,310.875)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(311.005), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(311.005), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[107]']
        createRL(
            tech, net, 'm2',
            ((0.0,312.505),(0.0,312.765),(857.6,312.765),(857.6,312.505),(0.0,312.505)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(312.635), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(312.635), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[108]']
        createRL(
            tech, net, 'm2',
            ((0.0,315.525),(0.0,315.785),(857.6,315.785),(857.6,315.525),(0.0,315.525)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(315.655), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(315.655), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[109]']
        createRL(
            tech, net, 'm2',
            ((0.0,317.155),(0.0,317.415),(857.6,317.415),(857.6,317.155),(0.0,317.155)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(317.285), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(317.285), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[110]']
        createRL(
            tech, net, 'm2',
            ((0.0,320.175),(0.0,320.435),(857.6,320.435),(857.6,320.175),(0.0,320.175)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(320.305), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(320.305), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[111]']
        createRL(
            tech, net, 'm2',
            ((0.0,321.805),(0.0,322.065),(857.6,322.065),(857.6,321.805),(0.0,321.805)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(321.935), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(321.935), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[112]']
        createRL(
            tech, net, 'm2',
            ((0.0,324.825),(0.0,325.085),(857.6,325.085),(857.6,324.825),(0.0,324.825)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(324.955), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(324.955), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[113]']
        createRL(
            tech, net, 'm2',
            ((0.0,326.455),(0.0,326.715),(857.6,326.715),(857.6,326.455),(0.0,326.455)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(326.585), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(326.585), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[114]']
        createRL(
            tech, net, 'm2',
            ((0.0,329.475),(0.0,329.735),(857.6,329.735),(857.6,329.475),(0.0,329.475)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(329.605), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(329.605), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[115]']
        createRL(
            tech, net, 'm2',
            ((0.0,331.105),(0.0,331.365),(857.6,331.365),(857.6,331.105),(0.0,331.105)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(331.235), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(331.235), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[116]']
        createRL(
            tech, net, 'm2',
            ((0.0,334.125),(0.0,334.385),(857.6,334.385),(857.6,334.125),(0.0,334.125)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(334.255), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(334.255), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[117]']
        createRL(
            tech, net, 'm2',
            ((0.0,335.755),(0.0,336.015),(857.6,336.015),(857.6,335.755),(0.0,335.755)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(335.885), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(335.885), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[118]']
        createRL(
            tech, net, 'm2',
            ((0.0,338.775),(0.0,339.035),(857.6,339.035),(857.6,338.775),(0.0,338.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(338.905), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(338.905), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[119]']
        createRL(
            tech, net, 'm2',
            ((0.0,340.405),(0.0,340.665),(857.6,340.665),(857.6,340.405),(0.0,340.405)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(340.535), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(340.535), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[120]']
        createRL(
            tech, net, 'm2',
            ((0.0,343.425),(0.0,343.685),(857.6,343.685),(857.6,343.425),(0.0,343.425)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(343.555), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(343.555), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[121]']
        createRL(
            tech, net, 'm2',
            ((0.0,345.055),(0.0,345.315),(857.6,345.315),(857.6,345.055),(0.0,345.055)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(345.185), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(345.185), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[122]']
        createRL(
            tech, net, 'm2',
            ((0.0,348.075),(0.0,348.335),(857.6,348.335),(857.6,348.075),(0.0,348.075)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(348.205), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(348.205), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[123]']
        createRL(
            tech, net, 'm2',
            ((0.0,349.705),(0.0,349.965),(857.6,349.965),(857.6,349.705),(0.0,349.705)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(349.835), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(349.835), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[124]']
        createRL(
            tech, net, 'm2',
            ((0.0,352.725),(0.0,352.985),(857.6,352.985),(857.6,352.725),(0.0,352.725)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(352.855), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(352.855), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[125]']
        createRL(
            tech, net, 'm2',
            ((0.0,354.355),(0.0,354.615),(857.6,354.615),(857.6,354.355),(0.0,354.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(354.485), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(354.485), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[126]']
        createRL(
            tech, net, 'm2',
            ((0.0,357.375),(0.0,357.635),(857.6,357.635),(857.6,357.375),(0.0,357.375)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(357.505), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(357.505), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[127]']
        createRL(
            tech, net, 'm2',
            ((0.0,359.005),(0.0,359.265),(857.6,359.265),(857.6,359.005),(0.0,359.005)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(359.135), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(359.135), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux1[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,50.33),(0.0,50.59),(857.6,50.59),(857.6,50.33),(0.0,50.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.46), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.46), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux1[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,50.79),(0.0,51.05),(857.6,51.05),(857.6,50.79),(0.0,50.79)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.92), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.92), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux1[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,51.25),(0.0,51.51),(857.6,51.51),(857.6,51.25),(0.0,51.25)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.38), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.38), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux1[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,51.71),(0.0,51.97),(857.6,51.97),(857.6,51.71),(0.0,51.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.84), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.84), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux2[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,373.1),(0.0,373.36),(857.6,373.36),(857.6,373.1),(0.0,373.1)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(373.23), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(373.23), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux2[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,372.64),(0.0,372.9),(857.6,372.9),(857.6,372.64),(0.0,372.64)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(372.77), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(372.77), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux2[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,372.18),(0.0,372.44),(857.6,372.44),(857.6,372.18),(0.0,372.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(372.31), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(372.31), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux2[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,371.72),(0.0,371.98),(857.6,371.98),(857.6,371.72),(0.0,371.72)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(371.85), u(0.26), u(0.0), u(857.5999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(371.85), u(0.26), u(0.0), u(857.5999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[0]']
        createRL(
            tech, net, 'm2',
            ((1.37,0.0),(1.37,41.955),(1.63,41.955),(1.63,0.0),(1.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(1.5), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(1.5), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[1]']
        createRL(
            tech, net, 'm2',
            ((14.77,0.0),(14.77,41.955),(15.03,41.955),(15.03,0.0),(14.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(14.9), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(14.9), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[2]']
        createRL(
            tech, net, 'm2',
            ((28.17,0.0),(28.17,41.955),(28.43,41.955),(28.43,0.0),(28.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(28.3), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(28.3), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[3]']
        createRL(
            tech, net, 'm2',
            ((41.57,0.0),(41.57,41.955),(41.83,41.955),(41.83,0.0),(41.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(41.7), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(41.7), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[4]']
        createRL(
            tech, net, 'm2',
            ((54.97,0.0),(54.97,41.955),(55.23,41.955),(55.23,0.0),(54.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(55.1), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(55.1), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[5]']
        createRL(
            tech, net, 'm2',
            ((68.37,0.0),(68.37,41.955),(68.63,41.955),(68.63,0.0),(68.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(68.5), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(68.5), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[6]']
        createRL(
            tech, net, 'm2',
            ((81.77,0.0),(81.77,41.955),(82.03,41.955),(82.03,0.0),(81.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(81.9), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(81.9), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[7]']
        createRL(
            tech, net, 'm2',
            ((95.17,0.0),(95.17,41.955),(95.43,41.955),(95.43,0.0),(95.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(95.3), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(95.3), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[8]']
        createRL(
            tech, net, 'm2',
            ((108.57,0.0),(108.57,41.955),(108.83,41.955),(108.83,0.0),(108.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(108.7), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(108.7), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[9]']
        createRL(
            tech, net, 'm2',
            ((121.97,0.0),(121.97,41.955),(122.23,41.955),(122.23,0.0),(121.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(122.1), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(122.1), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[10]']
        createRL(
            tech, net, 'm2',
            ((135.37,0.0),(135.37,41.955),(135.63,41.955),(135.63,0.0),(135.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(135.5), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(135.5), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[11]']
        createRL(
            tech, net, 'm2',
            ((148.77,0.0),(148.77,41.955),(149.03,41.955),(149.03,0.0),(148.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(148.9), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(148.9), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[12]']
        createRL(
            tech, net, 'm2',
            ((162.17,0.0),(162.17,41.955),(162.43,41.955),(162.43,0.0),(162.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(162.3), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(162.3), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[13]']
        createRL(
            tech, net, 'm2',
            ((175.57,0.0),(175.57,41.955),(175.83,41.955),(175.83,0.0),(175.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(175.7), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(175.7), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[14]']
        createRL(
            tech, net, 'm2',
            ((188.97,0.0),(188.97,41.955),(189.23,41.955),(189.23,0.0),(188.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(189.1), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(189.1), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[15]']
        createRL(
            tech, net, 'm2',
            ((202.37,0.0),(202.37,41.955),(202.63,41.955),(202.63,0.0),(202.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(202.5), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(202.5), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[16]']
        createRL(
            tech, net, 'm2',
            ((215.77,0.0),(215.77,41.955),(216.03,41.955),(216.03,0.0),(215.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(215.9), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(215.9), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[17]']
        createRL(
            tech, net, 'm2',
            ((229.17,0.0),(229.17,41.955),(229.43,41.955),(229.43,0.0),(229.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(229.3), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(229.3), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[18]']
        createRL(
            tech, net, 'm2',
            ((242.57,0.0),(242.57,41.955),(242.83,41.955),(242.83,0.0),(242.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(242.7), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(242.7), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[19]']
        createRL(
            tech, net, 'm2',
            ((255.97,0.0),(255.97,41.955),(256.23,41.955),(256.23,0.0),(255.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(256.1), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(256.1), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[20]']
        createRL(
            tech, net, 'm2',
            ((269.37,0.0),(269.37,41.955),(269.63,41.955),(269.63,0.0),(269.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(269.5), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(269.5), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[21]']
        createRL(
            tech, net, 'm2',
            ((282.77,0.0),(282.77,41.955),(283.03,41.955),(283.03,0.0),(282.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(282.9), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(282.9), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[22]']
        createRL(
            tech, net, 'm2',
            ((296.17,0.0),(296.17,41.955),(296.43,41.955),(296.43,0.0),(296.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(296.3), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(296.3), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[23]']
        createRL(
            tech, net, 'm2',
            ((309.57,0.0),(309.57,41.955),(309.83,41.955),(309.83,0.0),(309.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(309.7), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(309.7), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[24]']
        createRL(
            tech, net, 'm2',
            ((322.97,0.0),(322.97,41.955),(323.23,41.955),(323.23,0.0),(322.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(323.1), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(323.1), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[25]']
        createRL(
            tech, net, 'm2',
            ((336.37,0.0),(336.37,41.955),(336.63,41.955),(336.63,0.0),(336.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(336.5), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(336.5), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[26]']
        createRL(
            tech, net, 'm2',
            ((349.77,0.0),(349.77,41.955),(350.03,41.955),(350.03,0.0),(349.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(349.9), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(349.9), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[27]']
        createRL(
            tech, net, 'm2',
            ((363.17,0.0),(363.17,41.955),(363.43,41.955),(363.43,0.0),(363.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(363.3), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(363.3), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[28]']
        createRL(
            tech, net, 'm2',
            ((376.57,0.0),(376.57,41.955),(376.83,41.955),(376.83,0.0),(376.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(376.7), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(376.7), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[29]']
        createRL(
            tech, net, 'm2',
            ((389.97,0.0),(389.97,41.955),(390.23,41.955),(390.23,0.0),(389.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(390.1), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(390.1), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[30]']
        createRL(
            tech, net, 'm2',
            ((403.37,0.0),(403.37,41.955),(403.63,41.955),(403.63,0.0),(403.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(403.5), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(403.5), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[31]']
        createRL(
            tech, net, 'm2',
            ((416.77,0.0),(416.77,41.955),(417.03,41.955),(417.03,0.0),(416.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(416.9), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(416.9), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[32]']
        createRL(
            tech, net, 'm2',
            ((430.17,0.0),(430.17,41.955),(430.43,41.955),(430.43,0.0),(430.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(430.3), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(430.3), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[33]']
        createRL(
            tech, net, 'm2',
            ((443.57,0.0),(443.57,41.955),(443.83,41.955),(443.83,0.0),(443.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(443.7), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(443.7), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[34]']
        createRL(
            tech, net, 'm2',
            ((456.97,0.0),(456.97,41.955),(457.23,41.955),(457.23,0.0),(456.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(457.1), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(457.1), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[35]']
        createRL(
            tech, net, 'm2',
            ((470.37,0.0),(470.37,41.955),(470.63,41.955),(470.63,0.0),(470.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(470.5), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(470.5), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[36]']
        createRL(
            tech, net, 'm2',
            ((483.77,0.0),(483.77,41.955),(484.03,41.955),(484.03,0.0),(483.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(483.9), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(483.9), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[37]']
        createRL(
            tech, net, 'm2',
            ((497.17,0.0),(497.17,41.955),(497.43,41.955),(497.43,0.0),(497.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(497.3), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(497.3), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[38]']
        createRL(
            tech, net, 'm2',
            ((510.57,0.0),(510.57,41.955),(510.83,41.955),(510.83,0.0),(510.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(510.7), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(510.7), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[39]']
        createRL(
            tech, net, 'm2',
            ((523.97,0.0),(523.97,41.955),(524.23,41.955),(524.23,0.0),(523.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(524.1), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(524.1), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[40]']
        createRL(
            tech, net, 'm2',
            ((537.37,0.0),(537.37,41.955),(537.63,41.955),(537.63,0.0),(537.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(537.5), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(537.5), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[41]']
        createRL(
            tech, net, 'm2',
            ((550.77,0.0),(550.77,41.955),(551.03,41.955),(551.03,0.0),(550.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(550.9), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(550.9), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[42]']
        createRL(
            tech, net, 'm2',
            ((564.17,0.0),(564.17,41.955),(564.43,41.955),(564.43,0.0),(564.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(564.3), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(564.3), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[43]']
        createRL(
            tech, net, 'm2',
            ((577.57,0.0),(577.57,41.955),(577.83,41.955),(577.83,0.0),(577.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(577.7), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(577.7), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[44]']
        createRL(
            tech, net, 'm2',
            ((590.97,0.0),(590.97,41.955),(591.23,41.955),(591.23,0.0),(590.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(591.1), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(591.1), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[45]']
        createRL(
            tech, net, 'm2',
            ((604.37,0.0),(604.37,41.955),(604.63,41.955),(604.63,0.0),(604.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(604.5), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(604.5), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[46]']
        createRL(
            tech, net, 'm2',
            ((617.77,0.0),(617.77,41.955),(618.03,41.955),(618.03,0.0),(617.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(617.9), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(617.9), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[47]']
        createRL(
            tech, net, 'm2',
            ((631.17,0.0),(631.17,41.955),(631.43,41.955),(631.43,0.0),(631.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(631.3), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(631.3), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[48]']
        createRL(
            tech, net, 'm2',
            ((644.57,0.0),(644.57,41.955),(644.83,41.955),(644.83,0.0),(644.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(644.7), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(644.7), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[49]']
        createRL(
            tech, net, 'm2',
            ((657.97,0.0),(657.97,41.955),(658.23,41.955),(658.23,0.0),(657.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(658.1), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(658.1), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[50]']
        createRL(
            tech, net, 'm2',
            ((671.37,0.0),(671.37,41.955),(671.63,41.955),(671.63,0.0),(671.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(671.5), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(671.5), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[51]']
        createRL(
            tech, net, 'm2',
            ((684.77,0.0),(684.77,41.955),(685.03,41.955),(685.03,0.0),(684.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(684.9), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(684.9), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[52]']
        createRL(
            tech, net, 'm2',
            ((698.17,0.0),(698.17,41.955),(698.43,41.955),(698.43,0.0),(698.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(698.3), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(698.3), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[53]']
        createRL(
            tech, net, 'm2',
            ((711.57,0.0),(711.57,41.955),(711.83,41.955),(711.83,0.0),(711.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(711.7), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(711.7), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[54]']
        createRL(
            tech, net, 'm2',
            ((724.97,0.0),(724.97,41.955),(725.23,41.955),(725.23,0.0),(724.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(725.1), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(725.1), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[55]']
        createRL(
            tech, net, 'm2',
            ((738.37,0.0),(738.37,41.955),(738.63,41.955),(738.63,0.0),(738.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(738.5), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(738.5), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[56]']
        createRL(
            tech, net, 'm2',
            ((751.77,0.0),(751.77,41.955),(752.03,41.955),(752.03,0.0),(751.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(751.9), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(751.9), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[57]']
        createRL(
            tech, net, 'm2',
            ((765.17,0.0),(765.17,41.955),(765.43,41.955),(765.43,0.0),(765.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(765.3), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(765.3), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[58]']
        createRL(
            tech, net, 'm2',
            ((778.57,0.0),(778.57,41.955),(778.83,41.955),(778.83,0.0),(778.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(778.7), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(778.7), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[59]']
        createRL(
            tech, net, 'm2',
            ((791.97,0.0),(791.97,41.955),(792.23,41.955),(792.23,0.0),(791.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(792.1), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(792.1), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[60]']
        createRL(
            tech, net, 'm2',
            ((805.37,0.0),(805.37,41.955),(805.63,41.955),(805.63,0.0),(805.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(805.5), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(805.5), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[61]']
        createRL(
            tech, net, 'm2',
            ((818.77,0.0),(818.77,41.955),(819.03,41.955),(819.03,0.0),(818.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(818.9), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(818.9), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[62]']
        createRL(
            tech, net, 'm2',
            ((832.17,0.0),(832.17,41.955),(832.43,41.955),(832.43,0.0),(832.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(832.3), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(832.3), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q1[63]']
        createRL(
            tech, net, 'm2',
            ((845.57,0.0),(845.57,41.955),(845.83,41.955),(845.83,0.0),(845.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(845.7), u(0.26), u(0.0), u(41.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(845.7), u(0.26), u(0.0), u(41.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[0]']
        createRL(
            tech, net, 'm2',
            ((1.37,381.735),(1.37,423.69),(1.63,423.69),(1.63,381.735),(1.37,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(1.5), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(1.5), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[1]']
        createRL(
            tech, net, 'm2',
            ((14.77,381.735),(14.77,423.69),(15.03,423.69),(15.03,381.735),(14.77,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(14.9), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(14.9), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[2]']
        createRL(
            tech, net, 'm2',
            ((28.17,381.735),(28.17,423.69),(28.43,423.69),(28.43,381.735),(28.17,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(28.3), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(28.3), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[3]']
        createRL(
            tech, net, 'm2',
            ((41.57,381.735),(41.57,423.69),(41.83,423.69),(41.83,381.735),(41.57,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(41.7), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(41.7), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[4]']
        createRL(
            tech, net, 'm2',
            ((54.97,381.735),(54.97,423.69),(55.23,423.69),(55.23,381.735),(54.97,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(55.1), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(55.1), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[5]']
        createRL(
            tech, net, 'm2',
            ((68.37,381.735),(68.37,423.69),(68.63,423.69),(68.63,381.735),(68.37,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(68.5), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(68.5), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[6]']
        createRL(
            tech, net, 'm2',
            ((81.77,381.735),(81.77,423.69),(82.03,423.69),(82.03,381.735),(81.77,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(81.9), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(81.9), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[7]']
        createRL(
            tech, net, 'm2',
            ((95.17,381.735),(95.17,423.69),(95.43,423.69),(95.43,381.735),(95.17,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(95.3), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(95.3), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[8]']
        createRL(
            tech, net, 'm2',
            ((108.57,381.735),(108.57,423.69),(108.83,423.69),(108.83,381.735),(108.57,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(108.7), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(108.7), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[9]']
        createRL(
            tech, net, 'm2',
            ((121.97,381.735),(121.97,423.69),(122.23,423.69),(122.23,381.735),(121.97,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(122.1), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(122.1), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[10]']
        createRL(
            tech, net, 'm2',
            ((135.37,381.735),(135.37,423.69),(135.63,423.69),(135.63,381.735),(135.37,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(135.5), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(135.5), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[11]']
        createRL(
            tech, net, 'm2',
            ((148.77,381.735),(148.77,423.69),(149.03,423.69),(149.03,381.735),(148.77,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(148.9), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(148.9), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[12]']
        createRL(
            tech, net, 'm2',
            ((162.17,381.735),(162.17,423.69),(162.43,423.69),(162.43,381.735),(162.17,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(162.3), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(162.3), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[13]']
        createRL(
            tech, net, 'm2',
            ((175.57,381.735),(175.57,423.69),(175.83,423.69),(175.83,381.735),(175.57,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(175.7), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(175.7), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[14]']
        createRL(
            tech, net, 'm2',
            ((188.97,381.735),(188.97,423.69),(189.23,423.69),(189.23,381.735),(188.97,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(189.1), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(189.1), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[15]']
        createRL(
            tech, net, 'm2',
            ((202.37,381.735),(202.37,423.69),(202.63,423.69),(202.63,381.735),(202.37,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(202.5), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(202.5), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[16]']
        createRL(
            tech, net, 'm2',
            ((215.77,381.735),(215.77,423.69),(216.03,423.69),(216.03,381.735),(215.77,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(215.9), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(215.9), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[17]']
        createRL(
            tech, net, 'm2',
            ((229.17,381.735),(229.17,423.69),(229.43,423.69),(229.43,381.735),(229.17,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(229.3), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(229.3), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[18]']
        createRL(
            tech, net, 'm2',
            ((242.57,381.735),(242.57,423.69),(242.83,423.69),(242.83,381.735),(242.57,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(242.7), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(242.7), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[19]']
        createRL(
            tech, net, 'm2',
            ((255.97,381.735),(255.97,423.69),(256.23,423.69),(256.23,381.735),(255.97,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(256.1), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(256.1), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[20]']
        createRL(
            tech, net, 'm2',
            ((269.37,381.735),(269.37,423.69),(269.63,423.69),(269.63,381.735),(269.37,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(269.5), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(269.5), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[21]']
        createRL(
            tech, net, 'm2',
            ((282.77,381.735),(282.77,423.69),(283.03,423.69),(283.03,381.735),(282.77,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(282.9), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(282.9), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[22]']
        createRL(
            tech, net, 'm2',
            ((296.17,381.735),(296.17,423.69),(296.43,423.69),(296.43,381.735),(296.17,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(296.3), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(296.3), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[23]']
        createRL(
            tech, net, 'm2',
            ((309.57,381.735),(309.57,423.69),(309.83,423.69),(309.83,381.735),(309.57,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(309.7), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(309.7), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[24]']
        createRL(
            tech, net, 'm2',
            ((322.97,381.735),(322.97,423.69),(323.23,423.69),(323.23,381.735),(322.97,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(323.1), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(323.1), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[25]']
        createRL(
            tech, net, 'm2',
            ((336.37,381.735),(336.37,423.69),(336.63,423.69),(336.63,381.735),(336.37,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(336.5), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(336.5), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[26]']
        createRL(
            tech, net, 'm2',
            ((349.77,381.735),(349.77,423.69),(350.03,423.69),(350.03,381.735),(349.77,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(349.9), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(349.9), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[27]']
        createRL(
            tech, net, 'm2',
            ((363.17,381.735),(363.17,423.69),(363.43,423.69),(363.43,381.735),(363.17,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(363.3), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(363.3), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[28]']
        createRL(
            tech, net, 'm2',
            ((376.57,381.735),(376.57,423.69),(376.83,423.69),(376.83,381.735),(376.57,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(376.7), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(376.7), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[29]']
        createRL(
            tech, net, 'm2',
            ((389.97,381.735),(389.97,423.69),(390.23,423.69),(390.23,381.735),(389.97,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(390.1), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(390.1), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[30]']
        createRL(
            tech, net, 'm2',
            ((403.37,381.735),(403.37,423.69),(403.63,423.69),(403.63,381.735),(403.37,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(403.5), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(403.5), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[31]']
        createRL(
            tech, net, 'm2',
            ((416.77,381.735),(416.77,423.69),(417.03,423.69),(417.03,381.735),(416.77,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(416.9), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(416.9), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[32]']
        createRL(
            tech, net, 'm2',
            ((430.17,381.735),(430.17,423.69),(430.43,423.69),(430.43,381.735),(430.17,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(430.3), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(430.3), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[33]']
        createRL(
            tech, net, 'm2',
            ((443.57,381.735),(443.57,423.69),(443.83,423.69),(443.83,381.735),(443.57,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(443.7), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(443.7), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[34]']
        createRL(
            tech, net, 'm2',
            ((456.97,381.735),(456.97,423.69),(457.23,423.69),(457.23,381.735),(456.97,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(457.1), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(457.1), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[35]']
        createRL(
            tech, net, 'm2',
            ((470.37,381.735),(470.37,423.69),(470.63,423.69),(470.63,381.735),(470.37,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(470.5), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(470.5), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[36]']
        createRL(
            tech, net, 'm2',
            ((483.77,381.735),(483.77,423.69),(484.03,423.69),(484.03,381.735),(483.77,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(483.9), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(483.9), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[37]']
        createRL(
            tech, net, 'm2',
            ((497.17,381.735),(497.17,423.69),(497.43,423.69),(497.43,381.735),(497.17,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(497.3), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(497.3), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[38]']
        createRL(
            tech, net, 'm2',
            ((510.57,381.735),(510.57,423.69),(510.83,423.69),(510.83,381.735),(510.57,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(510.7), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(510.7), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[39]']
        createRL(
            tech, net, 'm2',
            ((523.97,381.735),(523.97,423.69),(524.23,423.69),(524.23,381.735),(523.97,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(524.1), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(524.1), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[40]']
        createRL(
            tech, net, 'm2',
            ((537.37,381.735),(537.37,423.69),(537.63,423.69),(537.63,381.735),(537.37,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(537.5), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(537.5), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[41]']
        createRL(
            tech, net, 'm2',
            ((550.77,381.735),(550.77,423.69),(551.03,423.69),(551.03,381.735),(550.77,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(550.9), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(550.9), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[42]']
        createRL(
            tech, net, 'm2',
            ((564.17,381.735),(564.17,423.69),(564.43,423.69),(564.43,381.735),(564.17,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(564.3), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(564.3), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[43]']
        createRL(
            tech, net, 'm2',
            ((577.57,381.735),(577.57,423.69),(577.83,423.69),(577.83,381.735),(577.57,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(577.7), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(577.7), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[44]']
        createRL(
            tech, net, 'm2',
            ((590.97,381.735),(590.97,423.69),(591.23,423.69),(591.23,381.735),(590.97,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(591.1), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(591.1), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[45]']
        createRL(
            tech, net, 'm2',
            ((604.37,381.735),(604.37,423.69),(604.63,423.69),(604.63,381.735),(604.37,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(604.5), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(604.5), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[46]']
        createRL(
            tech, net, 'm2',
            ((617.77,381.735),(617.77,423.69),(618.03,423.69),(618.03,381.735),(617.77,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(617.9), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(617.9), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[47]']
        createRL(
            tech, net, 'm2',
            ((631.17,381.735),(631.17,423.69),(631.43,423.69),(631.43,381.735),(631.17,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(631.3), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(631.3), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[48]']
        createRL(
            tech, net, 'm2',
            ((644.57,381.735),(644.57,423.69),(644.83,423.69),(644.83,381.735),(644.57,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(644.7), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(644.7), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[49]']
        createRL(
            tech, net, 'm2',
            ((657.97,381.735),(657.97,423.69),(658.23,423.69),(658.23,381.735),(657.97,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(658.1), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(658.1), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[50]']
        createRL(
            tech, net, 'm2',
            ((671.37,381.735),(671.37,423.69),(671.63,423.69),(671.63,381.735),(671.37,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(671.5), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(671.5), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[51]']
        createRL(
            tech, net, 'm2',
            ((684.77,381.735),(684.77,423.69),(685.03,423.69),(685.03,381.735),(684.77,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(684.9), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(684.9), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[52]']
        createRL(
            tech, net, 'm2',
            ((698.17,381.735),(698.17,423.69),(698.43,423.69),(698.43,381.735),(698.17,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(698.3), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(698.3), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[53]']
        createRL(
            tech, net, 'm2',
            ((711.57,381.735),(711.57,423.69),(711.83,423.69),(711.83,381.735),(711.57,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(711.7), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(711.7), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[54]']
        createRL(
            tech, net, 'm2',
            ((724.97,381.735),(724.97,423.69),(725.23,423.69),(725.23,381.735),(724.97,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(725.1), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(725.1), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[55]']
        createRL(
            tech, net, 'm2',
            ((738.37,381.735),(738.37,423.69),(738.63,423.69),(738.63,381.735),(738.37,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(738.5), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(738.5), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[56]']
        createRL(
            tech, net, 'm2',
            ((751.77,381.735),(751.77,423.69),(752.03,423.69),(752.03,381.735),(751.77,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(751.9), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(751.9), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[57]']
        createRL(
            tech, net, 'm2',
            ((765.17,381.735),(765.17,423.69),(765.43,423.69),(765.43,381.735),(765.17,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(765.3), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(765.3), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[58]']
        createRL(
            tech, net, 'm2',
            ((778.57,381.735),(778.57,423.69),(778.83,423.69),(778.83,381.735),(778.57,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(778.7), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(778.7), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[59]']
        createRL(
            tech, net, 'm2',
            ((791.97,381.735),(791.97,423.69),(792.23,423.69),(792.23,381.735),(791.97,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(792.1), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(792.1), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[60]']
        createRL(
            tech, net, 'm2',
            ((805.37,381.735),(805.37,423.69),(805.63,423.69),(805.63,381.735),(805.37,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(805.5), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(805.5), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[61]']
        createRL(
            tech, net, 'm2',
            ((818.77,381.735),(818.77,423.69),(819.03,423.69),(819.03,381.735),(818.77,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(818.9), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(818.9), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[62]']
        createRL(
            tech, net, 'm2',
            ((832.17,381.735),(832.17,423.69),(832.43,423.69),(832.43,381.735),(832.17,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(832.3), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(832.3), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q2[63]']
        createRL(
            tech, net, 'm2',
            ((845.57,381.735),(845.57,423.69),(845.83,423.69),(845.83,381.735),(845.57,381.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(845.7), u(0.26), u(381.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(845.7), u(0.26), u(381.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[0]']
        createRL(
            tech, net, 'm2',
            ((4.37,0.0),(4.37,11.955),(4.63,11.955),(4.63,0.0),(4.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(4.5), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(4.5), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[1]']
        createRL(
            tech, net, 'm2',
            ((4.88,0.0),(4.88,21.955),(5.14,21.955),(5.14,0.0),(4.88,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(5.01), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(5.01), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[2]']
        createRL(
            tech, net, 'm2',
            ((31.17,0.0),(31.17,11.955),(31.43,11.955),(31.43,0.0),(31.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(31.3), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(31.3), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[3]']
        createRL(
            tech, net, 'm2',
            ((31.68,0.0),(31.68,21.955),(31.94,21.955),(31.94,0.0),(31.68,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(31.81), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(31.81), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[4]']
        createRL(
            tech, net, 'm2',
            ((57.97,0.0),(57.97,11.955),(58.23,11.955),(58.23,0.0),(57.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(58.1), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(58.1), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[5]']
        createRL(
            tech, net, 'm2',
            ((58.48,0.0),(58.48,21.955),(58.74,21.955),(58.74,0.0),(58.48,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(58.61), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(58.61), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[6]']
        createRL(
            tech, net, 'm2',
            ((84.77,0.0),(84.77,11.955),(85.03,11.955),(85.03,0.0),(84.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(84.9), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(84.9), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[7]']
        createRL(
            tech, net, 'm2',
            ((85.28,0.0),(85.28,21.955),(85.54,21.955),(85.54,0.0),(85.28,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(85.41), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(85.41), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[8]']
        createRL(
            tech, net, 'm2',
            ((111.57,0.0),(111.57,11.955),(111.83,11.955),(111.83,0.0),(111.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(111.7), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(111.7), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[9]']
        createRL(
            tech, net, 'm2',
            ((112.08,0.0),(112.08,21.955),(112.34,21.955),(112.34,0.0),(112.08,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(112.21), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(112.21), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[10]']
        createRL(
            tech, net, 'm2',
            ((138.37,0.0),(138.37,11.955),(138.63,11.955),(138.63,0.0),(138.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(138.5), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(138.5), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[11]']
        createRL(
            tech, net, 'm2',
            ((138.88,0.0),(138.88,21.955),(139.14,21.955),(139.14,0.0),(138.88,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(139.01), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(139.01), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[12]']
        createRL(
            tech, net, 'm2',
            ((165.17,0.0),(165.17,11.955),(165.43,11.955),(165.43,0.0),(165.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(165.3), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(165.3), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[13]']
        createRL(
            tech, net, 'm2',
            ((165.68,0.0),(165.68,21.955),(165.94,21.955),(165.94,0.0),(165.68,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(165.81), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(165.81), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[14]']
        createRL(
            tech, net, 'm2',
            ((191.97,0.0),(191.97,11.955),(192.23,11.955),(192.23,0.0),(191.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(192.1), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(192.1), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[15]']
        createRL(
            tech, net, 'm2',
            ((192.48,0.0),(192.48,21.955),(192.74,21.955),(192.74,0.0),(192.48,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(192.61), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(192.61), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[16]']
        createRL(
            tech, net, 'm2',
            ((218.77,0.0),(218.77,11.955),(219.03,11.955),(219.03,0.0),(218.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(218.9), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(218.9), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[17]']
        createRL(
            tech, net, 'm2',
            ((219.28,0.0),(219.28,21.955),(219.54,21.955),(219.54,0.0),(219.28,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(219.41), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(219.41), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[18]']
        createRL(
            tech, net, 'm2',
            ((245.57,0.0),(245.57,11.955),(245.83,11.955),(245.83,0.0),(245.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(245.7), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(245.7), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[19]']
        createRL(
            tech, net, 'm2',
            ((246.08,0.0),(246.08,21.955),(246.34,21.955),(246.34,0.0),(246.08,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(246.21), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(246.21), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[20]']
        createRL(
            tech, net, 'm2',
            ((272.37,0.0),(272.37,11.955),(272.63,11.955),(272.63,0.0),(272.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(272.5), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(272.5), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[21]']
        createRL(
            tech, net, 'm2',
            ((272.88,0.0),(272.88,21.955),(273.14,21.955),(273.14,0.0),(272.88,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(273.01), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(273.01), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[22]']
        createRL(
            tech, net, 'm2',
            ((299.17,0.0),(299.17,11.955),(299.43,11.955),(299.43,0.0),(299.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(299.3), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(299.3), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[23]']
        createRL(
            tech, net, 'm2',
            ((299.68,0.0),(299.68,21.955),(299.94,21.955),(299.94,0.0),(299.68,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(299.81), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(299.81), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[24]']
        createRL(
            tech, net, 'm2',
            ((325.97,0.0),(325.97,11.955),(326.23,11.955),(326.23,0.0),(325.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(326.1), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(326.1), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[25]']
        createRL(
            tech, net, 'm2',
            ((326.48,0.0),(326.48,21.955),(326.74,21.955),(326.74,0.0),(326.48,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(326.61), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(326.61), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[26]']
        createRL(
            tech, net, 'm2',
            ((352.77,0.0),(352.77,11.955),(353.03,11.955),(353.03,0.0),(352.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(352.9), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(352.9), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[27]']
        createRL(
            tech, net, 'm2',
            ((353.28,0.0),(353.28,21.955),(353.54,21.955),(353.54,0.0),(353.28,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(353.41), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(353.41), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[28]']
        createRL(
            tech, net, 'm2',
            ((379.57,0.0),(379.57,11.955),(379.83,11.955),(379.83,0.0),(379.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(379.7), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(379.7), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[29]']
        createRL(
            tech, net, 'm2',
            ((380.08,0.0),(380.08,21.955),(380.34,21.955),(380.34,0.0),(380.08,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(380.21), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(380.21), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[30]']
        createRL(
            tech, net, 'm2',
            ((406.37,0.0),(406.37,11.955),(406.63,11.955),(406.63,0.0),(406.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(406.5), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(406.5), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[31]']
        createRL(
            tech, net, 'm2',
            ((406.88,0.0),(406.88,21.955),(407.14,21.955),(407.14,0.0),(406.88,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(407.01), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(407.01), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[32]']
        createRL(
            tech, net, 'm2',
            ((433.17,0.0),(433.17,11.955),(433.43,11.955),(433.43,0.0),(433.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(433.3), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(433.3), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[33]']
        createRL(
            tech, net, 'm2',
            ((433.68,0.0),(433.68,21.955),(433.94,21.955),(433.94,0.0),(433.68,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(433.81), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(433.81), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[34]']
        createRL(
            tech, net, 'm2',
            ((459.97,0.0),(459.97,11.955),(460.23,11.955),(460.23,0.0),(459.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(460.1), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(460.1), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[35]']
        createRL(
            tech, net, 'm2',
            ((460.48,0.0),(460.48,21.955),(460.74,21.955),(460.74,0.0),(460.48,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(460.61), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(460.61), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[36]']
        createRL(
            tech, net, 'm2',
            ((486.77,0.0),(486.77,11.955),(487.03,11.955),(487.03,0.0),(486.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(486.9), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(486.9), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[37]']
        createRL(
            tech, net, 'm2',
            ((487.28,0.0),(487.28,21.955),(487.54,21.955),(487.54,0.0),(487.28,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(487.41), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(487.41), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[38]']
        createRL(
            tech, net, 'm2',
            ((513.57,0.0),(513.57,11.955),(513.83,11.955),(513.83,0.0),(513.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(513.7), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(513.7), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[39]']
        createRL(
            tech, net, 'm2',
            ((514.08,0.0),(514.08,21.955),(514.34,21.955),(514.34,0.0),(514.08,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(514.21), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(514.21), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[40]']
        createRL(
            tech, net, 'm2',
            ((540.37,0.0),(540.37,11.955),(540.63,11.955),(540.63,0.0),(540.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(540.5), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(540.5), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[41]']
        createRL(
            tech, net, 'm2',
            ((540.88,0.0),(540.88,21.955),(541.14,21.955),(541.14,0.0),(540.88,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(541.01), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(541.01), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[42]']
        createRL(
            tech, net, 'm2',
            ((567.17,0.0),(567.17,11.955),(567.43,11.955),(567.43,0.0),(567.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(567.3), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(567.3), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[43]']
        createRL(
            tech, net, 'm2',
            ((567.68,0.0),(567.68,21.955),(567.94,21.955),(567.94,0.0),(567.68,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(567.81), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(567.81), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[44]']
        createRL(
            tech, net, 'm2',
            ((593.97,0.0),(593.97,11.955),(594.23,11.955),(594.23,0.0),(593.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(594.1), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(594.1), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[45]']
        createRL(
            tech, net, 'm2',
            ((594.48,0.0),(594.48,21.955),(594.74,21.955),(594.74,0.0),(594.48,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(594.61), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(594.61), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[46]']
        createRL(
            tech, net, 'm2',
            ((620.77,0.0),(620.77,11.955),(621.03,11.955),(621.03,0.0),(620.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(620.9), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(620.9), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[47]']
        createRL(
            tech, net, 'm2',
            ((621.28,0.0),(621.28,21.955),(621.54,21.955),(621.54,0.0),(621.28,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(621.41), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(621.41), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[48]']
        createRL(
            tech, net, 'm2',
            ((647.57,0.0),(647.57,11.955),(647.83,11.955),(647.83,0.0),(647.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(647.7), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(647.7), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[49]']
        createRL(
            tech, net, 'm2',
            ((648.08,0.0),(648.08,21.955),(648.34,21.955),(648.34,0.0),(648.08,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(648.21), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(648.21), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[50]']
        createRL(
            tech, net, 'm2',
            ((674.37,0.0),(674.37,11.955),(674.63,11.955),(674.63,0.0),(674.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(674.5), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(674.5), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[51]']
        createRL(
            tech, net, 'm2',
            ((674.88,0.0),(674.88,21.955),(675.14,21.955),(675.14,0.0),(674.88,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(675.01), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(675.01), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[52]']
        createRL(
            tech, net, 'm2',
            ((701.17,0.0),(701.17,11.955),(701.43,11.955),(701.43,0.0),(701.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(701.3), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(701.3), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[53]']
        createRL(
            tech, net, 'm2',
            ((701.68,0.0),(701.68,21.955),(701.94,21.955),(701.94,0.0),(701.68,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(701.81), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(701.81), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[54]']
        createRL(
            tech, net, 'm2',
            ((727.97,0.0),(727.97,11.955),(728.23,11.955),(728.23,0.0),(727.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(728.1), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(728.1), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[55]']
        createRL(
            tech, net, 'm2',
            ((728.48,0.0),(728.48,21.955),(728.74,21.955),(728.74,0.0),(728.48,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(728.61), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(728.61), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[56]']
        createRL(
            tech, net, 'm2',
            ((754.77,0.0),(754.77,11.955),(755.03,11.955),(755.03,0.0),(754.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(754.9), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(754.9), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[57]']
        createRL(
            tech, net, 'm2',
            ((755.28,0.0),(755.28,21.955),(755.54,21.955),(755.54,0.0),(755.28,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(755.41), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(755.41), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[58]']
        createRL(
            tech, net, 'm2',
            ((781.57,0.0),(781.57,11.955),(781.83,11.955),(781.83,0.0),(781.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(781.7), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(781.7), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[59]']
        createRL(
            tech, net, 'm2',
            ((782.08,0.0),(782.08,21.955),(782.34,21.955),(782.34,0.0),(782.08,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(782.21), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(782.21), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[60]']
        createRL(
            tech, net, 'm2',
            ((808.37,0.0),(808.37,11.955),(808.63,11.955),(808.63,0.0),(808.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(808.5), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(808.5), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[61]']
        createRL(
            tech, net, 'm2',
            ((808.88,0.0),(808.88,21.955),(809.14,21.955),(809.14,0.0),(808.88,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(809.01), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(809.01), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[62]']
        createRL(
            tech, net, 'm2',
            ((835.17,0.0),(835.17,11.955),(835.43,11.955),(835.43,0.0),(835.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(835.3), u(0.26), u(0.0), u(11.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(835.3), u(0.26), u(0.0), u(11.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d1[63]']
        createRL(
            tech, net, 'm2',
            ((835.68,0.0),(835.68,21.955),(835.94,21.955),(835.94,0.0),(835.68,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(835.81), u(0.26), u(0.0), u(21.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(835.81), u(0.26), u(0.0), u(21.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[0]']
        createRL(
            tech, net, 'm2',
            ((4.37,411.735),(4.37,423.69),(4.63,423.69),(4.63,411.735),(4.37,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(4.5), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(4.5), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[1]']
        createRL(
            tech, net, 'm2',
            ((4.88,401.735),(4.88,423.69),(5.14,423.69),(5.14,401.735),(4.88,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(5.01), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(5.01), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[2]']
        createRL(
            tech, net, 'm2',
            ((31.17,411.735),(31.17,423.69),(31.43,423.69),(31.43,411.735),(31.17,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(31.3), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(31.3), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[3]']
        createRL(
            tech, net, 'm2',
            ((31.68,401.735),(31.68,423.69),(31.94,423.69),(31.94,401.735),(31.68,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(31.81), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(31.81), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[4]']
        createRL(
            tech, net, 'm2',
            ((57.97,411.735),(57.97,423.69),(58.23,423.69),(58.23,411.735),(57.97,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(58.1), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(58.1), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[5]']
        createRL(
            tech, net, 'm2',
            ((58.48,401.735),(58.48,423.69),(58.74,423.69),(58.74,401.735),(58.48,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(58.61), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(58.61), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[6]']
        createRL(
            tech, net, 'm2',
            ((84.77,411.735),(84.77,423.69),(85.03,423.69),(85.03,411.735),(84.77,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(84.9), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(84.9), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[7]']
        createRL(
            tech, net, 'm2',
            ((85.28,401.735),(85.28,423.69),(85.54,423.69),(85.54,401.735),(85.28,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(85.41), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(85.41), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[8]']
        createRL(
            tech, net, 'm2',
            ((111.57,411.735),(111.57,423.69),(111.83,423.69),(111.83,411.735),(111.57,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(111.7), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(111.7), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[9]']
        createRL(
            tech, net, 'm2',
            ((112.08,401.735),(112.08,423.69),(112.34,423.69),(112.34,401.735),(112.08,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(112.21), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(112.21), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[10]']
        createRL(
            tech, net, 'm2',
            ((138.37,411.735),(138.37,423.69),(138.63,423.69),(138.63,411.735),(138.37,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(138.5), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(138.5), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[11]']
        createRL(
            tech, net, 'm2',
            ((138.88,401.735),(138.88,423.69),(139.14,423.69),(139.14,401.735),(138.88,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(139.01), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(139.01), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[12]']
        createRL(
            tech, net, 'm2',
            ((165.17,411.735),(165.17,423.69),(165.43,423.69),(165.43,411.735),(165.17,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(165.3), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(165.3), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[13]']
        createRL(
            tech, net, 'm2',
            ((165.68,401.735),(165.68,423.69),(165.94,423.69),(165.94,401.735),(165.68,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(165.81), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(165.81), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[14]']
        createRL(
            tech, net, 'm2',
            ((191.97,411.735),(191.97,423.69),(192.23,423.69),(192.23,411.735),(191.97,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(192.1), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(192.1), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[15]']
        createRL(
            tech, net, 'm2',
            ((192.48,401.735),(192.48,423.69),(192.74,423.69),(192.74,401.735),(192.48,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(192.61), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(192.61), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[16]']
        createRL(
            tech, net, 'm2',
            ((218.77,411.735),(218.77,423.69),(219.03,423.69),(219.03,411.735),(218.77,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(218.9), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(218.9), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[17]']
        createRL(
            tech, net, 'm2',
            ((219.28,401.735),(219.28,423.69),(219.54,423.69),(219.54,401.735),(219.28,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(219.41), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(219.41), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[18]']
        createRL(
            tech, net, 'm2',
            ((245.57,411.735),(245.57,423.69),(245.83,423.69),(245.83,411.735),(245.57,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(245.7), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(245.7), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[19]']
        createRL(
            tech, net, 'm2',
            ((246.08,401.735),(246.08,423.69),(246.34,423.69),(246.34,401.735),(246.08,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(246.21), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(246.21), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[20]']
        createRL(
            tech, net, 'm2',
            ((272.37,411.735),(272.37,423.69),(272.63,423.69),(272.63,411.735),(272.37,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(272.5), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(272.5), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[21]']
        createRL(
            tech, net, 'm2',
            ((272.88,401.735),(272.88,423.69),(273.14,423.69),(273.14,401.735),(272.88,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(273.01), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(273.01), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[22]']
        createRL(
            tech, net, 'm2',
            ((299.17,411.735),(299.17,423.69),(299.43,423.69),(299.43,411.735),(299.17,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(299.3), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(299.3), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[23]']
        createRL(
            tech, net, 'm2',
            ((299.68,401.735),(299.68,423.69),(299.94,423.69),(299.94,401.735),(299.68,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(299.81), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(299.81), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[24]']
        createRL(
            tech, net, 'm2',
            ((325.97,411.735),(325.97,423.69),(326.23,423.69),(326.23,411.735),(325.97,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(326.1), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(326.1), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[25]']
        createRL(
            tech, net, 'm2',
            ((326.48,401.735),(326.48,423.69),(326.74,423.69),(326.74,401.735),(326.48,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(326.61), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(326.61), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[26]']
        createRL(
            tech, net, 'm2',
            ((352.77,411.735),(352.77,423.69),(353.03,423.69),(353.03,411.735),(352.77,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(352.9), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(352.9), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[27]']
        createRL(
            tech, net, 'm2',
            ((353.28,401.735),(353.28,423.69),(353.54,423.69),(353.54,401.735),(353.28,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(353.41), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(353.41), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[28]']
        createRL(
            tech, net, 'm2',
            ((379.57,411.735),(379.57,423.69),(379.83,423.69),(379.83,411.735),(379.57,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(379.7), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(379.7), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[29]']
        createRL(
            tech, net, 'm2',
            ((380.08,401.735),(380.08,423.69),(380.34,423.69),(380.34,401.735),(380.08,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(380.21), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(380.21), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[30]']
        createRL(
            tech, net, 'm2',
            ((406.37,411.735),(406.37,423.69),(406.63,423.69),(406.63,411.735),(406.37,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(406.5), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(406.5), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[31]']
        createRL(
            tech, net, 'm2',
            ((406.88,401.735),(406.88,423.69),(407.14,423.69),(407.14,401.735),(406.88,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(407.01), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(407.01), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[32]']
        createRL(
            tech, net, 'm2',
            ((433.17,411.735),(433.17,423.69),(433.43,423.69),(433.43,411.735),(433.17,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(433.3), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(433.3), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[33]']
        createRL(
            tech, net, 'm2',
            ((433.68,401.735),(433.68,423.69),(433.94,423.69),(433.94,401.735),(433.68,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(433.81), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(433.81), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[34]']
        createRL(
            tech, net, 'm2',
            ((459.97,411.735),(459.97,423.69),(460.23,423.69),(460.23,411.735),(459.97,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(460.1), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(460.1), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[35]']
        createRL(
            tech, net, 'm2',
            ((460.48,401.735),(460.48,423.69),(460.74,423.69),(460.74,401.735),(460.48,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(460.61), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(460.61), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[36]']
        createRL(
            tech, net, 'm2',
            ((486.77,411.735),(486.77,423.69),(487.03,423.69),(487.03,411.735),(486.77,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(486.9), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(486.9), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[37]']
        createRL(
            tech, net, 'm2',
            ((487.28,401.735),(487.28,423.69),(487.54,423.69),(487.54,401.735),(487.28,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(487.41), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(487.41), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[38]']
        createRL(
            tech, net, 'm2',
            ((513.57,411.735),(513.57,423.69),(513.83,423.69),(513.83,411.735),(513.57,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(513.7), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(513.7), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[39]']
        createRL(
            tech, net, 'm2',
            ((514.08,401.735),(514.08,423.69),(514.34,423.69),(514.34,401.735),(514.08,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(514.21), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(514.21), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[40]']
        createRL(
            tech, net, 'm2',
            ((540.37,411.735),(540.37,423.69),(540.63,423.69),(540.63,411.735),(540.37,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(540.5), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(540.5), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[41]']
        createRL(
            tech, net, 'm2',
            ((540.88,401.735),(540.88,423.69),(541.14,423.69),(541.14,401.735),(540.88,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(541.01), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(541.01), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[42]']
        createRL(
            tech, net, 'm2',
            ((567.17,411.735),(567.17,423.69),(567.43,423.69),(567.43,411.735),(567.17,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(567.3), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(567.3), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[43]']
        createRL(
            tech, net, 'm2',
            ((567.68,401.735),(567.68,423.69),(567.94,423.69),(567.94,401.735),(567.68,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(567.81), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(567.81), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[44]']
        createRL(
            tech, net, 'm2',
            ((593.97,411.735),(593.97,423.69),(594.23,423.69),(594.23,411.735),(593.97,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(594.1), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(594.1), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[45]']
        createRL(
            tech, net, 'm2',
            ((594.48,401.735),(594.48,423.69),(594.74,423.69),(594.74,401.735),(594.48,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(594.61), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(594.61), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[46]']
        createRL(
            tech, net, 'm2',
            ((620.77,411.735),(620.77,423.69),(621.03,423.69),(621.03,411.735),(620.77,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(620.9), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(620.9), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[47]']
        createRL(
            tech, net, 'm2',
            ((621.28,401.735),(621.28,423.69),(621.54,423.69),(621.54,401.735),(621.28,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(621.41), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(621.41), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[48]']
        createRL(
            tech, net, 'm2',
            ((647.57,411.735),(647.57,423.69),(647.83,423.69),(647.83,411.735),(647.57,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(647.7), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(647.7), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[49]']
        createRL(
            tech, net, 'm2',
            ((648.08,401.735),(648.08,423.69),(648.34,423.69),(648.34,401.735),(648.08,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(648.21), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(648.21), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[50]']
        createRL(
            tech, net, 'm2',
            ((674.37,411.735),(674.37,423.69),(674.63,423.69),(674.63,411.735),(674.37,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(674.5), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(674.5), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[51]']
        createRL(
            tech, net, 'm2',
            ((674.88,401.735),(674.88,423.69),(675.14,423.69),(675.14,401.735),(674.88,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(675.01), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(675.01), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[52]']
        createRL(
            tech, net, 'm2',
            ((701.17,411.735),(701.17,423.69),(701.43,423.69),(701.43,411.735),(701.17,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(701.3), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(701.3), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[53]']
        createRL(
            tech, net, 'm2',
            ((701.68,401.735),(701.68,423.69),(701.94,423.69),(701.94,401.735),(701.68,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(701.81), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(701.81), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[54]']
        createRL(
            tech, net, 'm2',
            ((727.97,411.735),(727.97,423.69),(728.23,423.69),(728.23,411.735),(727.97,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(728.1), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(728.1), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[55]']
        createRL(
            tech, net, 'm2',
            ((728.48,401.735),(728.48,423.69),(728.74,423.69),(728.74,401.735),(728.48,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(728.61), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(728.61), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[56]']
        createRL(
            tech, net, 'm2',
            ((754.77,411.735),(754.77,423.69),(755.03,423.69),(755.03,411.735),(754.77,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(754.9), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(754.9), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[57]']
        createRL(
            tech, net, 'm2',
            ((755.28,401.735),(755.28,423.69),(755.54,423.69),(755.54,401.735),(755.28,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(755.41), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(755.41), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[58]']
        createRL(
            tech, net, 'm2',
            ((781.57,411.735),(781.57,423.69),(781.83,423.69),(781.83,411.735),(781.57,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(781.7), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(781.7), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[59]']
        createRL(
            tech, net, 'm2',
            ((782.08,401.735),(782.08,423.69),(782.34,423.69),(782.34,401.735),(782.08,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(782.21), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(782.21), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[60]']
        createRL(
            tech, net, 'm2',
            ((808.37,411.735),(808.37,423.69),(808.63,423.69),(808.63,411.735),(808.37,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(808.5), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(808.5), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[61]']
        createRL(
            tech, net, 'm2',
            ((808.88,401.735),(808.88,423.69),(809.14,423.69),(809.14,401.735),(808.88,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(809.01), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(809.01), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[62]']
        createRL(
            tech, net, 'm2',
            ((835.17,411.735),(835.17,423.69),(835.43,423.69),(835.43,411.735),(835.17,411.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(835.3), u(0.26), u(411.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(835.3), u(0.26), u(411.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d2[63]']
        createRL(
            tech, net, 'm2',
            ((835.68,401.735),(835.68,423.69),(835.94,423.69),(835.94,401.735),(835.68,401.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(835.81), u(0.26), u(401.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(835.81), u(0.26), u(401.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we1[0]']
        createRL(
            tech, net, 'm2',
            ((7.37,0.0),(7.37,1.955),(7.63,1.955),(7.63,0.0),(7.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(7.5), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(7.5), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we1[1]']
        createRL(
            tech, net, 'm2',
            ((114.57,0.0),(114.57,1.955),(114.83,1.955),(114.83,0.0),(114.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(114.7), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(114.7), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we1[2]']
        createRL(
            tech, net, 'm2',
            ((221.77,0.0),(221.77,1.955),(222.03,1.955),(222.03,0.0),(221.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(221.9), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(221.9), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we1[3]']
        createRL(
            tech, net, 'm2',
            ((328.97,0.0),(328.97,1.955),(329.23,1.955),(329.23,0.0),(328.97,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(329.1), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(329.1), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we1[4]']
        createRL(
            tech, net, 'm2',
            ((436.17,0.0),(436.17,1.955),(436.43,1.955),(436.43,0.0),(436.17,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(436.3), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(436.3), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we1[5]']
        createRL(
            tech, net, 'm2',
            ((543.37,0.0),(543.37,1.955),(543.63,1.955),(543.63,0.0),(543.37,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(543.5), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(543.5), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we1[6]']
        createRL(
            tech, net, 'm2',
            ((650.57,0.0),(650.57,1.955),(650.83,1.955),(650.83,0.0),(650.57,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(650.7), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(650.7), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we1[7]']
        createRL(
            tech, net, 'm2',
            ((757.77,0.0),(757.77,1.955),(758.03,1.955),(758.03,0.0),(757.77,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(757.9), u(0.26), u(0.0), u(1.955),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(757.9), u(0.26), u(0.0), u(1.955),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we2[0]']
        createRL(
            tech, net, 'm2',
            ((7.37,421.735),(7.37,423.69),(7.63,423.69),(7.63,421.735),(7.37,421.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(7.5), u(0.26), u(421.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(7.5), u(0.26), u(421.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we2[1]']
        createRL(
            tech, net, 'm2',
            ((114.57,421.735),(114.57,423.69),(114.83,423.69),(114.83,421.735),(114.57,421.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(114.7), u(0.26), u(421.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(114.7), u(0.26), u(421.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we2[2]']
        createRL(
            tech, net, 'm2',
            ((221.77,421.735),(221.77,423.69),(222.03,423.69),(222.03,421.735),(221.77,421.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(221.9), u(0.26), u(421.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(221.9), u(0.26), u(421.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we2[3]']
        createRL(
            tech, net, 'm2',
            ((328.97,421.735),(328.97,423.69),(329.23,423.69),(329.23,421.735),(328.97,421.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(329.1), u(0.26), u(421.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(329.1), u(0.26), u(421.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we2[4]']
        createRL(
            tech, net, 'm2',
            ((436.17,421.735),(436.17,423.69),(436.43,423.69),(436.43,421.735),(436.17,421.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(436.3), u(0.26), u(421.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(436.3), u(0.26), u(421.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we2[5]']
        createRL(
            tech, net, 'm2',
            ((543.37,421.735),(543.37,423.69),(543.63,423.69),(543.63,421.735),(543.37,421.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(543.5), u(0.26), u(421.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(543.5), u(0.26), u(421.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we2[6]']
        createRL(
            tech, net, 'm2',
            ((650.57,421.735),(650.57,423.69),(650.83,423.69),(650.83,421.735),(650.57,421.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(650.7), u(0.26), u(421.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(650.7), u(0.26), u(421.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we2[7]']
        createRL(
            tech, net, 'm2',
            ((757.77,421.735),(757.77,423.69),(758.03,423.69),(758.03,421.735),(757.77,421.735)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(757.9), u(0.26), u(421.735), u(423.69),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(757.9), u(0.26), u(421.735), u(423.69),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,423.69),(857.6,423.69),(857.6,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['clk1'].setDirection(Net.Direction.IN)
        nets['clk2'].setDirection(Net.Direction.IN)
        nets['precharge1_n'].setDirection(Net.Direction.IN)
        nets['precharge2_n'].setDirection(Net.Direction.IN)
        nets['we_en1'].setDirection(Net.Direction.IN)
        nets['we_en2'].setDirection(Net.Direction.IN)
        nets['wl1[0]'].setDirection(Net.Direction.IN)
        nets['wl1[1]'].setDirection(Net.Direction.IN)
        nets['wl1[2]'].setDirection(Net.Direction.IN)
        nets['wl1[3]'].setDirection(Net.Direction.IN)
        nets['wl1[4]'].setDirection(Net.Direction.IN)
        nets['wl1[5]'].setDirection(Net.Direction.IN)
        nets['wl1[6]'].setDirection(Net.Direction.IN)
        nets['wl1[7]'].setDirection(Net.Direction.IN)
        nets['wl1[8]'].setDirection(Net.Direction.IN)
        nets['wl1[9]'].setDirection(Net.Direction.IN)
        nets['wl1[10]'].setDirection(Net.Direction.IN)
        nets['wl1[11]'].setDirection(Net.Direction.IN)
        nets['wl1[12]'].setDirection(Net.Direction.IN)
        nets['wl1[13]'].setDirection(Net.Direction.IN)
        nets['wl1[14]'].setDirection(Net.Direction.IN)
        nets['wl1[15]'].setDirection(Net.Direction.IN)
        nets['wl1[16]'].setDirection(Net.Direction.IN)
        nets['wl1[17]'].setDirection(Net.Direction.IN)
        nets['wl1[18]'].setDirection(Net.Direction.IN)
        nets['wl1[19]'].setDirection(Net.Direction.IN)
        nets['wl1[20]'].setDirection(Net.Direction.IN)
        nets['wl1[21]'].setDirection(Net.Direction.IN)
        nets['wl1[22]'].setDirection(Net.Direction.IN)
        nets['wl1[23]'].setDirection(Net.Direction.IN)
        nets['wl1[24]'].setDirection(Net.Direction.IN)
        nets['wl1[25]'].setDirection(Net.Direction.IN)
        nets['wl1[26]'].setDirection(Net.Direction.IN)
        nets['wl1[27]'].setDirection(Net.Direction.IN)
        nets['wl1[28]'].setDirection(Net.Direction.IN)
        nets['wl1[29]'].setDirection(Net.Direction.IN)
        nets['wl1[30]'].setDirection(Net.Direction.IN)
        nets['wl1[31]'].setDirection(Net.Direction.IN)
        nets['wl1[32]'].setDirection(Net.Direction.IN)
        nets['wl1[33]'].setDirection(Net.Direction.IN)
        nets['wl1[34]'].setDirection(Net.Direction.IN)
        nets['wl1[35]'].setDirection(Net.Direction.IN)
        nets['wl1[36]'].setDirection(Net.Direction.IN)
        nets['wl1[37]'].setDirection(Net.Direction.IN)
        nets['wl1[38]'].setDirection(Net.Direction.IN)
        nets['wl1[39]'].setDirection(Net.Direction.IN)
        nets['wl1[40]'].setDirection(Net.Direction.IN)
        nets['wl1[41]'].setDirection(Net.Direction.IN)
        nets['wl1[42]'].setDirection(Net.Direction.IN)
        nets['wl1[43]'].setDirection(Net.Direction.IN)
        nets['wl1[44]'].setDirection(Net.Direction.IN)
        nets['wl1[45]'].setDirection(Net.Direction.IN)
        nets['wl1[46]'].setDirection(Net.Direction.IN)
        nets['wl1[47]'].setDirection(Net.Direction.IN)
        nets['wl1[48]'].setDirection(Net.Direction.IN)
        nets['wl1[49]'].setDirection(Net.Direction.IN)
        nets['wl1[50]'].setDirection(Net.Direction.IN)
        nets['wl1[51]'].setDirection(Net.Direction.IN)
        nets['wl1[52]'].setDirection(Net.Direction.IN)
        nets['wl1[53]'].setDirection(Net.Direction.IN)
        nets['wl1[54]'].setDirection(Net.Direction.IN)
        nets['wl1[55]'].setDirection(Net.Direction.IN)
        nets['wl1[56]'].setDirection(Net.Direction.IN)
        nets['wl1[57]'].setDirection(Net.Direction.IN)
        nets['wl1[58]'].setDirection(Net.Direction.IN)
        nets['wl1[59]'].setDirection(Net.Direction.IN)
        nets['wl1[60]'].setDirection(Net.Direction.IN)
        nets['wl1[61]'].setDirection(Net.Direction.IN)
        nets['wl1[62]'].setDirection(Net.Direction.IN)
        nets['wl1[63]'].setDirection(Net.Direction.IN)
        nets['wl1[64]'].setDirection(Net.Direction.IN)
        nets['wl1[65]'].setDirection(Net.Direction.IN)
        nets['wl1[66]'].setDirection(Net.Direction.IN)
        nets['wl1[67]'].setDirection(Net.Direction.IN)
        nets['wl1[68]'].setDirection(Net.Direction.IN)
        nets['wl1[69]'].setDirection(Net.Direction.IN)
        nets['wl1[70]'].setDirection(Net.Direction.IN)
        nets['wl1[71]'].setDirection(Net.Direction.IN)
        nets['wl1[72]'].setDirection(Net.Direction.IN)
        nets['wl1[73]'].setDirection(Net.Direction.IN)
        nets['wl1[74]'].setDirection(Net.Direction.IN)
        nets['wl1[75]'].setDirection(Net.Direction.IN)
        nets['wl1[76]'].setDirection(Net.Direction.IN)
        nets['wl1[77]'].setDirection(Net.Direction.IN)
        nets['wl1[78]'].setDirection(Net.Direction.IN)
        nets['wl1[79]'].setDirection(Net.Direction.IN)
        nets['wl1[80]'].setDirection(Net.Direction.IN)
        nets['wl1[81]'].setDirection(Net.Direction.IN)
        nets['wl1[82]'].setDirection(Net.Direction.IN)
        nets['wl1[83]'].setDirection(Net.Direction.IN)
        nets['wl1[84]'].setDirection(Net.Direction.IN)
        nets['wl1[85]'].setDirection(Net.Direction.IN)
        nets['wl1[86]'].setDirection(Net.Direction.IN)
        nets['wl1[87]'].setDirection(Net.Direction.IN)
        nets['wl1[88]'].setDirection(Net.Direction.IN)
        nets['wl1[89]'].setDirection(Net.Direction.IN)
        nets['wl1[90]'].setDirection(Net.Direction.IN)
        nets['wl1[91]'].setDirection(Net.Direction.IN)
        nets['wl1[92]'].setDirection(Net.Direction.IN)
        nets['wl1[93]'].setDirection(Net.Direction.IN)
        nets['wl1[94]'].setDirection(Net.Direction.IN)
        nets['wl1[95]'].setDirection(Net.Direction.IN)
        nets['wl1[96]'].setDirection(Net.Direction.IN)
        nets['wl1[97]'].setDirection(Net.Direction.IN)
        nets['wl1[98]'].setDirection(Net.Direction.IN)
        nets['wl1[99]'].setDirection(Net.Direction.IN)
        nets['wl1[100]'].setDirection(Net.Direction.IN)
        nets['wl1[101]'].setDirection(Net.Direction.IN)
        nets['wl1[102]'].setDirection(Net.Direction.IN)
        nets['wl1[103]'].setDirection(Net.Direction.IN)
        nets['wl1[104]'].setDirection(Net.Direction.IN)
        nets['wl1[105]'].setDirection(Net.Direction.IN)
        nets['wl1[106]'].setDirection(Net.Direction.IN)
        nets['wl1[107]'].setDirection(Net.Direction.IN)
        nets['wl1[108]'].setDirection(Net.Direction.IN)
        nets['wl1[109]'].setDirection(Net.Direction.IN)
        nets['wl1[110]'].setDirection(Net.Direction.IN)
        nets['wl1[111]'].setDirection(Net.Direction.IN)
        nets['wl1[112]'].setDirection(Net.Direction.IN)
        nets['wl1[113]'].setDirection(Net.Direction.IN)
        nets['wl1[114]'].setDirection(Net.Direction.IN)
        nets['wl1[115]'].setDirection(Net.Direction.IN)
        nets['wl1[116]'].setDirection(Net.Direction.IN)
        nets['wl1[117]'].setDirection(Net.Direction.IN)
        nets['wl1[118]'].setDirection(Net.Direction.IN)
        nets['wl1[119]'].setDirection(Net.Direction.IN)
        nets['wl1[120]'].setDirection(Net.Direction.IN)
        nets['wl1[121]'].setDirection(Net.Direction.IN)
        nets['wl1[122]'].setDirection(Net.Direction.IN)
        nets['wl1[123]'].setDirection(Net.Direction.IN)
        nets['wl1[124]'].setDirection(Net.Direction.IN)
        nets['wl1[125]'].setDirection(Net.Direction.IN)
        nets['wl1[126]'].setDirection(Net.Direction.IN)
        nets['wl1[127]'].setDirection(Net.Direction.IN)
        nets['wl2[0]'].setDirection(Net.Direction.IN)
        nets['wl2[1]'].setDirection(Net.Direction.IN)
        nets['wl2[2]'].setDirection(Net.Direction.IN)
        nets['wl2[3]'].setDirection(Net.Direction.IN)
        nets['wl2[4]'].setDirection(Net.Direction.IN)
        nets['wl2[5]'].setDirection(Net.Direction.IN)
        nets['wl2[6]'].setDirection(Net.Direction.IN)
        nets['wl2[7]'].setDirection(Net.Direction.IN)
        nets['wl2[8]'].setDirection(Net.Direction.IN)
        nets['wl2[9]'].setDirection(Net.Direction.IN)
        nets['wl2[10]'].setDirection(Net.Direction.IN)
        nets['wl2[11]'].setDirection(Net.Direction.IN)
        nets['wl2[12]'].setDirection(Net.Direction.IN)
        nets['wl2[13]'].setDirection(Net.Direction.IN)
        nets['wl2[14]'].setDirection(Net.Direction.IN)
        nets['wl2[15]'].setDirection(Net.Direction.IN)
        nets['wl2[16]'].setDirection(Net.Direction.IN)
        nets['wl2[17]'].setDirection(Net.Direction.IN)
        nets['wl2[18]'].setDirection(Net.Direction.IN)
        nets['wl2[19]'].setDirection(Net.Direction.IN)
        nets['wl2[20]'].setDirection(Net.Direction.IN)
        nets['wl2[21]'].setDirection(Net.Direction.IN)
        nets['wl2[22]'].setDirection(Net.Direction.IN)
        nets['wl2[23]'].setDirection(Net.Direction.IN)
        nets['wl2[24]'].setDirection(Net.Direction.IN)
        nets['wl2[25]'].setDirection(Net.Direction.IN)
        nets['wl2[26]'].setDirection(Net.Direction.IN)
        nets['wl2[27]'].setDirection(Net.Direction.IN)
        nets['wl2[28]'].setDirection(Net.Direction.IN)
        nets['wl2[29]'].setDirection(Net.Direction.IN)
        nets['wl2[30]'].setDirection(Net.Direction.IN)
        nets['wl2[31]'].setDirection(Net.Direction.IN)
        nets['wl2[32]'].setDirection(Net.Direction.IN)
        nets['wl2[33]'].setDirection(Net.Direction.IN)
        nets['wl2[34]'].setDirection(Net.Direction.IN)
        nets['wl2[35]'].setDirection(Net.Direction.IN)
        nets['wl2[36]'].setDirection(Net.Direction.IN)
        nets['wl2[37]'].setDirection(Net.Direction.IN)
        nets['wl2[38]'].setDirection(Net.Direction.IN)
        nets['wl2[39]'].setDirection(Net.Direction.IN)
        nets['wl2[40]'].setDirection(Net.Direction.IN)
        nets['wl2[41]'].setDirection(Net.Direction.IN)
        nets['wl2[42]'].setDirection(Net.Direction.IN)
        nets['wl2[43]'].setDirection(Net.Direction.IN)
        nets['wl2[44]'].setDirection(Net.Direction.IN)
        nets['wl2[45]'].setDirection(Net.Direction.IN)
        nets['wl2[46]'].setDirection(Net.Direction.IN)
        nets['wl2[47]'].setDirection(Net.Direction.IN)
        nets['wl2[48]'].setDirection(Net.Direction.IN)
        nets['wl2[49]'].setDirection(Net.Direction.IN)
        nets['wl2[50]'].setDirection(Net.Direction.IN)
        nets['wl2[51]'].setDirection(Net.Direction.IN)
        nets['wl2[52]'].setDirection(Net.Direction.IN)
        nets['wl2[53]'].setDirection(Net.Direction.IN)
        nets['wl2[54]'].setDirection(Net.Direction.IN)
        nets['wl2[55]'].setDirection(Net.Direction.IN)
        nets['wl2[56]'].setDirection(Net.Direction.IN)
        nets['wl2[57]'].setDirection(Net.Direction.IN)
        nets['wl2[58]'].setDirection(Net.Direction.IN)
        nets['wl2[59]'].setDirection(Net.Direction.IN)
        nets['wl2[60]'].setDirection(Net.Direction.IN)
        nets['wl2[61]'].setDirection(Net.Direction.IN)
        nets['wl2[62]'].setDirection(Net.Direction.IN)
        nets['wl2[63]'].setDirection(Net.Direction.IN)
        nets['wl2[64]'].setDirection(Net.Direction.IN)
        nets['wl2[65]'].setDirection(Net.Direction.IN)
        nets['wl2[66]'].setDirection(Net.Direction.IN)
        nets['wl2[67]'].setDirection(Net.Direction.IN)
        nets['wl2[68]'].setDirection(Net.Direction.IN)
        nets['wl2[69]'].setDirection(Net.Direction.IN)
        nets['wl2[70]'].setDirection(Net.Direction.IN)
        nets['wl2[71]'].setDirection(Net.Direction.IN)
        nets['wl2[72]'].setDirection(Net.Direction.IN)
        nets['wl2[73]'].setDirection(Net.Direction.IN)
        nets['wl2[74]'].setDirection(Net.Direction.IN)
        nets['wl2[75]'].setDirection(Net.Direction.IN)
        nets['wl2[76]'].setDirection(Net.Direction.IN)
        nets['wl2[77]'].setDirection(Net.Direction.IN)
        nets['wl2[78]'].setDirection(Net.Direction.IN)
        nets['wl2[79]'].setDirection(Net.Direction.IN)
        nets['wl2[80]'].setDirection(Net.Direction.IN)
        nets['wl2[81]'].setDirection(Net.Direction.IN)
        nets['wl2[82]'].setDirection(Net.Direction.IN)
        nets['wl2[83]'].setDirection(Net.Direction.IN)
        nets['wl2[84]'].setDirection(Net.Direction.IN)
        nets['wl2[85]'].setDirection(Net.Direction.IN)
        nets['wl2[86]'].setDirection(Net.Direction.IN)
        nets['wl2[87]'].setDirection(Net.Direction.IN)
        nets['wl2[88]'].setDirection(Net.Direction.IN)
        nets['wl2[89]'].setDirection(Net.Direction.IN)
        nets['wl2[90]'].setDirection(Net.Direction.IN)
        nets['wl2[91]'].setDirection(Net.Direction.IN)
        nets['wl2[92]'].setDirection(Net.Direction.IN)
        nets['wl2[93]'].setDirection(Net.Direction.IN)
        nets['wl2[94]'].setDirection(Net.Direction.IN)
        nets['wl2[95]'].setDirection(Net.Direction.IN)
        nets['wl2[96]'].setDirection(Net.Direction.IN)
        nets['wl2[97]'].setDirection(Net.Direction.IN)
        nets['wl2[98]'].setDirection(Net.Direction.IN)
        nets['wl2[99]'].setDirection(Net.Direction.IN)
        nets['wl2[100]'].setDirection(Net.Direction.IN)
        nets['wl2[101]'].setDirection(Net.Direction.IN)
        nets['wl2[102]'].setDirection(Net.Direction.IN)
        nets['wl2[103]'].setDirection(Net.Direction.IN)
        nets['wl2[104]'].setDirection(Net.Direction.IN)
        nets['wl2[105]'].setDirection(Net.Direction.IN)
        nets['wl2[106]'].setDirection(Net.Direction.IN)
        nets['wl2[107]'].setDirection(Net.Direction.IN)
        nets['wl2[108]'].setDirection(Net.Direction.IN)
        nets['wl2[109]'].setDirection(Net.Direction.IN)
        nets['wl2[110]'].setDirection(Net.Direction.IN)
        nets['wl2[111]'].setDirection(Net.Direction.IN)
        nets['wl2[112]'].setDirection(Net.Direction.IN)
        nets['wl2[113]'].setDirection(Net.Direction.IN)
        nets['wl2[114]'].setDirection(Net.Direction.IN)
        nets['wl2[115]'].setDirection(Net.Direction.IN)
        nets['wl2[116]'].setDirection(Net.Direction.IN)
        nets['wl2[117]'].setDirection(Net.Direction.IN)
        nets['wl2[118]'].setDirection(Net.Direction.IN)
        nets['wl2[119]'].setDirection(Net.Direction.IN)
        nets['wl2[120]'].setDirection(Net.Direction.IN)
        nets['wl2[121]'].setDirection(Net.Direction.IN)
        nets['wl2[122]'].setDirection(Net.Direction.IN)
        nets['wl2[123]'].setDirection(Net.Direction.IN)
        nets['wl2[124]'].setDirection(Net.Direction.IN)
        nets['wl2[125]'].setDirection(Net.Direction.IN)
        nets['wl2[126]'].setDirection(Net.Direction.IN)
        nets['wl2[127]'].setDirection(Net.Direction.IN)
        nets['mux1[0]'].setDirection(Net.Direction.IN)
        nets['mux1[1]'].setDirection(Net.Direction.IN)
        nets['mux1[2]'].setDirection(Net.Direction.IN)
        nets['mux1[3]'].setDirection(Net.Direction.IN)
        nets['mux2[0]'].setDirection(Net.Direction.IN)
        nets['mux2[1]'].setDirection(Net.Direction.IN)
        nets['mux2[2]'].setDirection(Net.Direction.IN)
        nets['mux2[3]'].setDirection(Net.Direction.IN)
        nets['we1[0]'].setDirection(Net.Direction.IN)
        nets['we2[0]'].setDirection(Net.Direction.IN)
        nets['q1[0]'].setDirection(Net.Direction.IN)
        nets['q2[0]'].setDirection(Net.Direction.IN)
        nets['d1[0]'].setDirection(Net.Direction.IN)
        nets['d2[0]'].setDirection(Net.Direction.IN)
        nets['q1[1]'].setDirection(Net.Direction.IN)
        nets['q2[1]'].setDirection(Net.Direction.IN)
        nets['d1[1]'].setDirection(Net.Direction.IN)
        nets['d2[1]'].setDirection(Net.Direction.IN)
        nets['q1[2]'].setDirection(Net.Direction.IN)
        nets['q2[2]'].setDirection(Net.Direction.IN)
        nets['d1[2]'].setDirection(Net.Direction.IN)
        nets['d2[2]'].setDirection(Net.Direction.IN)
        nets['q1[3]'].setDirection(Net.Direction.IN)
        nets['q2[3]'].setDirection(Net.Direction.IN)
        nets['d1[3]'].setDirection(Net.Direction.IN)
        nets['d2[3]'].setDirection(Net.Direction.IN)
        nets['q1[4]'].setDirection(Net.Direction.IN)
        nets['q2[4]'].setDirection(Net.Direction.IN)
        nets['d1[4]'].setDirection(Net.Direction.IN)
        nets['d2[4]'].setDirection(Net.Direction.IN)
        nets['q1[5]'].setDirection(Net.Direction.IN)
        nets['q2[5]'].setDirection(Net.Direction.IN)
        nets['d1[5]'].setDirection(Net.Direction.IN)
        nets['d2[5]'].setDirection(Net.Direction.IN)
        nets['q1[6]'].setDirection(Net.Direction.IN)
        nets['q2[6]'].setDirection(Net.Direction.IN)
        nets['d1[6]'].setDirection(Net.Direction.IN)
        nets['d2[6]'].setDirection(Net.Direction.IN)
        nets['q1[7]'].setDirection(Net.Direction.IN)
        nets['q2[7]'].setDirection(Net.Direction.IN)
        nets['d1[7]'].setDirection(Net.Direction.IN)
        nets['d2[7]'].setDirection(Net.Direction.IN)
        nets['we1[1]'].setDirection(Net.Direction.IN)
        nets['we2[1]'].setDirection(Net.Direction.IN)
        nets['q1[8]'].setDirection(Net.Direction.IN)
        nets['q2[8]'].setDirection(Net.Direction.IN)
        nets['d1[8]'].setDirection(Net.Direction.IN)
        nets['d2[8]'].setDirection(Net.Direction.IN)
        nets['q1[9]'].setDirection(Net.Direction.IN)
        nets['q2[9]'].setDirection(Net.Direction.IN)
        nets['d1[9]'].setDirection(Net.Direction.IN)
        nets['d2[9]'].setDirection(Net.Direction.IN)
        nets['q1[10]'].setDirection(Net.Direction.IN)
        nets['q2[10]'].setDirection(Net.Direction.IN)
        nets['d1[10]'].setDirection(Net.Direction.IN)
        nets['d2[10]'].setDirection(Net.Direction.IN)
        nets['q1[11]'].setDirection(Net.Direction.IN)
        nets['q2[11]'].setDirection(Net.Direction.IN)
        nets['d1[11]'].setDirection(Net.Direction.IN)
        nets['d2[11]'].setDirection(Net.Direction.IN)
        nets['q1[12]'].setDirection(Net.Direction.IN)
        nets['q2[12]'].setDirection(Net.Direction.IN)
        nets['d1[12]'].setDirection(Net.Direction.IN)
        nets['d2[12]'].setDirection(Net.Direction.IN)
        nets['q1[13]'].setDirection(Net.Direction.IN)
        nets['q2[13]'].setDirection(Net.Direction.IN)
        nets['d1[13]'].setDirection(Net.Direction.IN)
        nets['d2[13]'].setDirection(Net.Direction.IN)
        nets['q1[14]'].setDirection(Net.Direction.IN)
        nets['q2[14]'].setDirection(Net.Direction.IN)
        nets['d1[14]'].setDirection(Net.Direction.IN)
        nets['d2[14]'].setDirection(Net.Direction.IN)
        nets['q1[15]'].setDirection(Net.Direction.IN)
        nets['q2[15]'].setDirection(Net.Direction.IN)
        nets['d1[15]'].setDirection(Net.Direction.IN)
        nets['d2[15]'].setDirection(Net.Direction.IN)
        nets['we1[2]'].setDirection(Net.Direction.IN)
        nets['we2[2]'].setDirection(Net.Direction.IN)
        nets['q1[16]'].setDirection(Net.Direction.IN)
        nets['q2[16]'].setDirection(Net.Direction.IN)
        nets['d1[16]'].setDirection(Net.Direction.IN)
        nets['d2[16]'].setDirection(Net.Direction.IN)
        nets['q1[17]'].setDirection(Net.Direction.IN)
        nets['q2[17]'].setDirection(Net.Direction.IN)
        nets['d1[17]'].setDirection(Net.Direction.IN)
        nets['d2[17]'].setDirection(Net.Direction.IN)
        nets['q1[18]'].setDirection(Net.Direction.IN)
        nets['q2[18]'].setDirection(Net.Direction.IN)
        nets['d1[18]'].setDirection(Net.Direction.IN)
        nets['d2[18]'].setDirection(Net.Direction.IN)
        nets['q1[19]'].setDirection(Net.Direction.IN)
        nets['q2[19]'].setDirection(Net.Direction.IN)
        nets['d1[19]'].setDirection(Net.Direction.IN)
        nets['d2[19]'].setDirection(Net.Direction.IN)
        nets['q1[20]'].setDirection(Net.Direction.IN)
        nets['q2[20]'].setDirection(Net.Direction.IN)
        nets['d1[20]'].setDirection(Net.Direction.IN)
        nets['d2[20]'].setDirection(Net.Direction.IN)
        nets['q1[21]'].setDirection(Net.Direction.IN)
        nets['q2[21]'].setDirection(Net.Direction.IN)
        nets['d1[21]'].setDirection(Net.Direction.IN)
        nets['d2[21]'].setDirection(Net.Direction.IN)
        nets['q1[22]'].setDirection(Net.Direction.IN)
        nets['q2[22]'].setDirection(Net.Direction.IN)
        nets['d1[22]'].setDirection(Net.Direction.IN)
        nets['d2[22]'].setDirection(Net.Direction.IN)
        nets['q1[23]'].setDirection(Net.Direction.IN)
        nets['q2[23]'].setDirection(Net.Direction.IN)
        nets['d1[23]'].setDirection(Net.Direction.IN)
        nets['d2[23]'].setDirection(Net.Direction.IN)
        nets['we1[3]'].setDirection(Net.Direction.IN)
        nets['we2[3]'].setDirection(Net.Direction.IN)
        nets['q1[24]'].setDirection(Net.Direction.IN)
        nets['q2[24]'].setDirection(Net.Direction.IN)
        nets['d1[24]'].setDirection(Net.Direction.IN)
        nets['d2[24]'].setDirection(Net.Direction.IN)
        nets['q1[25]'].setDirection(Net.Direction.IN)
        nets['q2[25]'].setDirection(Net.Direction.IN)
        nets['d1[25]'].setDirection(Net.Direction.IN)
        nets['d2[25]'].setDirection(Net.Direction.IN)
        nets['q1[26]'].setDirection(Net.Direction.IN)
        nets['q2[26]'].setDirection(Net.Direction.IN)
        nets['d1[26]'].setDirection(Net.Direction.IN)
        nets['d2[26]'].setDirection(Net.Direction.IN)
        nets['q1[27]'].setDirection(Net.Direction.IN)
        nets['q2[27]'].setDirection(Net.Direction.IN)
        nets['d1[27]'].setDirection(Net.Direction.IN)
        nets['d2[27]'].setDirection(Net.Direction.IN)
        nets['q1[28]'].setDirection(Net.Direction.IN)
        nets['q2[28]'].setDirection(Net.Direction.IN)
        nets['d1[28]'].setDirection(Net.Direction.IN)
        nets['d2[28]'].setDirection(Net.Direction.IN)
        nets['q1[29]'].setDirection(Net.Direction.IN)
        nets['q2[29]'].setDirection(Net.Direction.IN)
        nets['d1[29]'].setDirection(Net.Direction.IN)
        nets['d2[29]'].setDirection(Net.Direction.IN)
        nets['q1[30]'].setDirection(Net.Direction.IN)
        nets['q2[30]'].setDirection(Net.Direction.IN)
        nets['d1[30]'].setDirection(Net.Direction.IN)
        nets['d2[30]'].setDirection(Net.Direction.IN)
        nets['q1[31]'].setDirection(Net.Direction.IN)
        nets['q2[31]'].setDirection(Net.Direction.IN)
        nets['d1[31]'].setDirection(Net.Direction.IN)
        nets['d2[31]'].setDirection(Net.Direction.IN)
        nets['we1[4]'].setDirection(Net.Direction.IN)
        nets['we2[4]'].setDirection(Net.Direction.IN)
        nets['q1[32]'].setDirection(Net.Direction.IN)
        nets['q2[32]'].setDirection(Net.Direction.IN)
        nets['d1[32]'].setDirection(Net.Direction.IN)
        nets['d2[32]'].setDirection(Net.Direction.IN)
        nets['q1[33]'].setDirection(Net.Direction.IN)
        nets['q2[33]'].setDirection(Net.Direction.IN)
        nets['d1[33]'].setDirection(Net.Direction.IN)
        nets['d2[33]'].setDirection(Net.Direction.IN)
        nets['q1[34]'].setDirection(Net.Direction.IN)
        nets['q2[34]'].setDirection(Net.Direction.IN)
        nets['d1[34]'].setDirection(Net.Direction.IN)
        nets['d2[34]'].setDirection(Net.Direction.IN)
        nets['q1[35]'].setDirection(Net.Direction.IN)
        nets['q2[35]'].setDirection(Net.Direction.IN)
        nets['d1[35]'].setDirection(Net.Direction.IN)
        nets['d2[35]'].setDirection(Net.Direction.IN)
        nets['q1[36]'].setDirection(Net.Direction.IN)
        nets['q2[36]'].setDirection(Net.Direction.IN)
        nets['d1[36]'].setDirection(Net.Direction.IN)
        nets['d2[36]'].setDirection(Net.Direction.IN)
        nets['q1[37]'].setDirection(Net.Direction.IN)
        nets['q2[37]'].setDirection(Net.Direction.IN)
        nets['d1[37]'].setDirection(Net.Direction.IN)
        nets['d2[37]'].setDirection(Net.Direction.IN)
        nets['q1[38]'].setDirection(Net.Direction.IN)
        nets['q2[38]'].setDirection(Net.Direction.IN)
        nets['d1[38]'].setDirection(Net.Direction.IN)
        nets['d2[38]'].setDirection(Net.Direction.IN)
        nets['q1[39]'].setDirection(Net.Direction.IN)
        nets['q2[39]'].setDirection(Net.Direction.IN)
        nets['d1[39]'].setDirection(Net.Direction.IN)
        nets['d2[39]'].setDirection(Net.Direction.IN)
        nets['we1[5]'].setDirection(Net.Direction.IN)
        nets['we2[5]'].setDirection(Net.Direction.IN)
        nets['q1[40]'].setDirection(Net.Direction.IN)
        nets['q2[40]'].setDirection(Net.Direction.IN)
        nets['d1[40]'].setDirection(Net.Direction.IN)
        nets['d2[40]'].setDirection(Net.Direction.IN)
        nets['q1[41]'].setDirection(Net.Direction.IN)
        nets['q2[41]'].setDirection(Net.Direction.IN)
        nets['d1[41]'].setDirection(Net.Direction.IN)
        nets['d2[41]'].setDirection(Net.Direction.IN)
        nets['q1[42]'].setDirection(Net.Direction.IN)
        nets['q2[42]'].setDirection(Net.Direction.IN)
        nets['d1[42]'].setDirection(Net.Direction.IN)
        nets['d2[42]'].setDirection(Net.Direction.IN)
        nets['q1[43]'].setDirection(Net.Direction.IN)
        nets['q2[43]'].setDirection(Net.Direction.IN)
        nets['d1[43]'].setDirection(Net.Direction.IN)
        nets['d2[43]'].setDirection(Net.Direction.IN)
        nets['q1[44]'].setDirection(Net.Direction.IN)
        nets['q2[44]'].setDirection(Net.Direction.IN)
        nets['d1[44]'].setDirection(Net.Direction.IN)
        nets['d2[44]'].setDirection(Net.Direction.IN)
        nets['q1[45]'].setDirection(Net.Direction.IN)
        nets['q2[45]'].setDirection(Net.Direction.IN)
        nets['d1[45]'].setDirection(Net.Direction.IN)
        nets['d2[45]'].setDirection(Net.Direction.IN)
        nets['q1[46]'].setDirection(Net.Direction.IN)
        nets['q2[46]'].setDirection(Net.Direction.IN)
        nets['d1[46]'].setDirection(Net.Direction.IN)
        nets['d2[46]'].setDirection(Net.Direction.IN)
        nets['q1[47]'].setDirection(Net.Direction.IN)
        nets['q2[47]'].setDirection(Net.Direction.IN)
        nets['d1[47]'].setDirection(Net.Direction.IN)
        nets['d2[47]'].setDirection(Net.Direction.IN)
        nets['we1[6]'].setDirection(Net.Direction.IN)
        nets['we2[6]'].setDirection(Net.Direction.IN)
        nets['q1[48]'].setDirection(Net.Direction.IN)
        nets['q2[48]'].setDirection(Net.Direction.IN)
        nets['d1[48]'].setDirection(Net.Direction.IN)
        nets['d2[48]'].setDirection(Net.Direction.IN)
        nets['q1[49]'].setDirection(Net.Direction.IN)
        nets['q2[49]'].setDirection(Net.Direction.IN)
        nets['d1[49]'].setDirection(Net.Direction.IN)
        nets['d2[49]'].setDirection(Net.Direction.IN)
        nets['q1[50]'].setDirection(Net.Direction.IN)
        nets['q2[50]'].setDirection(Net.Direction.IN)
        nets['d1[50]'].setDirection(Net.Direction.IN)
        nets['d2[50]'].setDirection(Net.Direction.IN)
        nets['q1[51]'].setDirection(Net.Direction.IN)
        nets['q2[51]'].setDirection(Net.Direction.IN)
        nets['d1[51]'].setDirection(Net.Direction.IN)
        nets['d2[51]'].setDirection(Net.Direction.IN)
        nets['q1[52]'].setDirection(Net.Direction.IN)
        nets['q2[52]'].setDirection(Net.Direction.IN)
        nets['d1[52]'].setDirection(Net.Direction.IN)
        nets['d2[52]'].setDirection(Net.Direction.IN)
        nets['q1[53]'].setDirection(Net.Direction.IN)
        nets['q2[53]'].setDirection(Net.Direction.IN)
        nets['d1[53]'].setDirection(Net.Direction.IN)
        nets['d2[53]'].setDirection(Net.Direction.IN)
        nets['q1[54]'].setDirection(Net.Direction.IN)
        nets['q2[54]'].setDirection(Net.Direction.IN)
        nets['d1[54]'].setDirection(Net.Direction.IN)
        nets['d2[54]'].setDirection(Net.Direction.IN)
        nets['q1[55]'].setDirection(Net.Direction.IN)
        nets['q2[55]'].setDirection(Net.Direction.IN)
        nets['d1[55]'].setDirection(Net.Direction.IN)
        nets['d2[55]'].setDirection(Net.Direction.IN)
        nets['we1[7]'].setDirection(Net.Direction.IN)
        nets['we2[7]'].setDirection(Net.Direction.IN)
        nets['q1[56]'].setDirection(Net.Direction.IN)
        nets['q2[56]'].setDirection(Net.Direction.IN)
        nets['d1[56]'].setDirection(Net.Direction.IN)
        nets['d2[56]'].setDirection(Net.Direction.IN)
        nets['q1[57]'].setDirection(Net.Direction.IN)
        nets['q2[57]'].setDirection(Net.Direction.IN)
        nets['d1[57]'].setDirection(Net.Direction.IN)
        nets['d2[57]'].setDirection(Net.Direction.IN)
        nets['q1[58]'].setDirection(Net.Direction.IN)
        nets['q2[58]'].setDirection(Net.Direction.IN)
        nets['d1[58]'].setDirection(Net.Direction.IN)
        nets['d2[58]'].setDirection(Net.Direction.IN)
        nets['q1[59]'].setDirection(Net.Direction.IN)
        nets['q2[59]'].setDirection(Net.Direction.IN)
        nets['d1[59]'].setDirection(Net.Direction.IN)
        nets['d2[59]'].setDirection(Net.Direction.IN)
        nets['q1[60]'].setDirection(Net.Direction.IN)
        nets['q2[60]'].setDirection(Net.Direction.IN)
        nets['d1[60]'].setDirection(Net.Direction.IN)
        nets['d2[60]'].setDirection(Net.Direction.IN)
        nets['q1[61]'].setDirection(Net.Direction.IN)
        nets['q2[61]'].setDirection(Net.Direction.IN)
        nets['d1[61]'].setDirection(Net.Direction.IN)
        nets['d2[61]'].setDirection(Net.Direction.IN)
        nets['q1[62]'].setDirection(Net.Direction.IN)
        nets['q2[62]'].setDirection(Net.Direction.IN)
        nets['d1[62]'].setDirection(Net.Direction.IN)
        nets['d2[62]'].setDirection(Net.Direction.IN)
        nets['q1[63]'].setDirection(Net.Direction.IN)
        nets['q2[63]'].setDirection(Net.Direction.IN)
        nets['d1[63]'].setDirection(Net.Direction.IN)
        nets['d2[63]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TColumn_128R8B4M']
        except:
            subcell = af.getCell('DP8TColumn_128R8B4M', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'column[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColumn_128R8B4M']
        except:
            subcell = af.getCell('DP8TColumn_128R8B4M', 0)
        trans = Transformation(
            u(107.20000000000002), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'column[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColumn_128R8B4M']
        except:
            subcell = af.getCell('DP8TColumn_128R8B4M', 0)
        trans = Transformation(
            u(214.40000000000003), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'column[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColumn_128R8B4M']
        except:
            subcell = af.getCell('DP8TColumn_128R8B4M', 0)
        trans = Transformation(
            u(321.6), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'column[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColumn_128R8B4M']
        except:
            subcell = af.getCell('DP8TColumn_128R8B4M', 0)
        trans = Transformation(
            u(428.80000000000007), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'column[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColumn_128R8B4M']
        except:
            subcell = af.getCell('DP8TColumn_128R8B4M', 0)
        trans = Transformation(
            u(536.0000000000001), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'column[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColumn_128R8B4M']
        except:
            subcell = af.getCell('DP8TColumn_128R8B4M', 0)
        trans = Transformation(
            u(643.2000000000002), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'column[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColumn_128R8B4M']
        except:
            subcell = af.getCell('DP8TColumn_128R8B4M', 0)
        trans = Transformation(
            u(750.4000000000002), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'column[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TClockGenerator']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(-10.0), u(28.0), u(10.0),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'clk': Net.create(cell, 'clk'),
            'columnclk': Net.create(cell, 'columnclk'),
            'decodeclk': Net.create(cell, 'decodeclk'),
            'firstpulse': Net.create(cell, 'firstpulse'),
            'precharge_n': Net.create(cell, 'precharge_n'),
            'secondpulse': Net.create(cell, 'secondpulse'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'we_en': Net.create(cell, 'we_en'),
            'wl_en': Net.create(cell, 'wl_en'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'li',
            ((0.0,-1.2),(0.0,1.2),(28.0,1.2),(28.0,-1.2),(0.0,-1.2)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(0.0), u(2.4), u(0.0), u(28.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(0.0), u(2.4), u(0.0), u(28.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'li',
            ((0.0,-10.0),(0.0,-8.8),(28.0,-8.8),(28.0,-10.0),(0.0,-10.0)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,8.8),(0.0,10.0),(28.0,10.0),(28.0,8.8),(0.0,8.8)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(-9.4), u(1.2), u(0.0), u(28.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(-9.4), u(1.2), u(0.0), u(28.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(9.4), u(1.2), u(0.0), u(28.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(9.4), u(1.2), u(0.0), u(28.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk']
        createRL(
            tech, net, 'li',
            ((20.695,-2.83),(20.695,-2.3),(20.865,-2.3),(20.865,-2.83),(20.695,-2.83)),
        )
        createRL(
            tech, net, 'li',
            ((20.695,1.37),(20.695,1.9),(20.865,1.9),(20.865,1.37),(20.695,1.37)),
        )
        createRL(
            tech, net, 'mcon',
            ((20.695,1.37),(20.695,1.54),(20.865,1.54),(20.865,1.37),(20.695,1.37)),
        )
        createRL(
            tech, net, 'mcon',
            ((20.695,1.73),(20.695,1.9),(20.865,1.9),(20.865,1.73),(20.695,1.73)),
        )
        createRL(
            tech, net, 'mcon',
            ((20.695,-2.83),(20.695,-2.66),(20.865,-2.66),(20.865,-2.83),(20.695,-2.83)),
        )
        createRL(
            tech, net, 'mcon',
            ((20.695,-2.47),(20.695,-2.3),(20.865,-2.3),(20.865,-2.47),(20.695,-2.47)),
        )
        createRL(
            tech, net, 'm1',
            ((0.14,-2.89),(0.14,1.96),(0.695,1.96),(0.695,-2.24),(20.665,-2.24),(20.665,1.96),(20.895,1.96),(20.895,-2.89),(0.14,-2.89)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.4175), u(0.555), u(-2.89), u(1.96),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.4175), u(0.555), u(-2.89), u(1.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['firstpulse']
        createRL(
            tech, net, 'li',
            ((23.695,4.735),(23.695,5.265),(23.865,5.265),(23.865,4.735),(23.695,4.735)),
        )
        createRL(
            tech, net, 'li',
            ((16.17,4.735),(16.17,5.265),(16.34,5.265),(16.34,4.735),(16.17,4.735)),
        )
        createRL(
            tech, net, 'li',
            ((23.695,-1.9),(23.695,-1.37),(23.865,-1.37),(23.865,-1.9),(23.695,-1.9)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.17,4.735),(16.17,4.905),(16.34,4.905),(16.34,4.735),(16.17,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.17,5.095),(16.17,5.265),(16.34,5.265),(16.34,5.095),(16.17,5.095)),
        )
        createRL(
            tech, net, 'mcon',
            ((23.695,-1.9),(23.695,-1.73),(23.865,-1.73),(23.865,-1.9),(23.695,-1.9)),
        )
        createRL(
            tech, net, 'mcon',
            ((23.695,-1.54),(23.695,-1.37),(23.865,-1.37),(23.865,-1.54),(23.695,-1.54)),
        )
        createRL(
            tech, net, 'mcon',
            ((23.695,4.735),(23.695,4.905),(23.865,4.905),(23.865,4.735),(23.695,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((23.695,5.095),(23.695,5.265),(23.865,5.265),(23.865,5.095),(23.695,5.095)),
        )
        createRL(
            tech, net, 'm1',
            ((23.665,-1.96),(23.665,4.675),(16.14,4.675),(16.14,5.325),(23.895,5.325),(23.895,-1.96),(23.665,-1.96)),
        )
        net = nets['secondpulse']
        createRL(
            tech, net, 'li',
            ((26.17,-5.265),(26.17,-4.735),(26.34,-4.735),(26.34,-5.265),(26.17,-5.265)),
        )
        createRL(
            tech, net, 'li',
            ((18.17,-5.265),(18.17,-4.735),(18.34,-4.735),(18.34,-5.265),(18.17,-5.265)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.17,-5.265),(18.17,-5.095),(18.34,-5.095),(18.34,-5.265),(18.17,-5.265)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.17,-4.905),(18.17,-4.735),(18.34,-4.735),(18.34,-4.905),(18.17,-4.905)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.17,-5.265),(26.17,-5.095),(26.34,-5.095),(26.34,-5.265),(26.17,-5.265)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.17,-4.905),(26.17,-4.735),(26.34,-4.735),(26.34,-4.905),(26.17,-4.905)),
        )
        createRL(
            tech, net, 'm1',
            ((18.14,-5.325),(18.14,-4.675),(26.37,-4.675),(26.37,-5.325),(18.14,-5.325)),
        )
        net = nets['decodeclk']
        createRL(
            tech, net, 'li',
            ((21.36,1.37),(21.36,8.63),(21.53,8.63),(21.53,1.37),(21.36,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(21.445), u(0.17), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(21.445), u(0.17), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['columnclk']
        createRL(
            tech, net, 'li',
            ((21.36,-8.63),(21.36,-1.37),(21.53,-1.37),(21.53,-8.63),(21.36,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(21.445), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(21.445), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_en']
        createRL(
            tech, net, 'li',
            ((24.36,1.37),(24.36,8.63),(24.53,8.63),(24.53,1.37),(24.36,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(24.445), u(0.17), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(24.445), u(0.17), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_en']
        createRL(
            tech, net, 'li',
            ((24.36,-8.63),(24.36,-1.37),(24.53,-1.37),(24.53,-8.63),(24.36,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(24.445), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(24.445), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['precharge_n']
        createRL(
            tech, net, 'li',
            ((26.845,-8.63),(26.845,-1.37),(27.015,-1.37),(27.015,-8.63),(26.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(26.93), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(26.93), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,-10.0),(0.0,10.0),(28.0,10.0),(28.0,-10.0),(0.0,-10.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['decodeclk'].setDirection(Net.Direction.IN)
        nets['columnclk'].setDirection(Net.Direction.IN)
        nets['precharge_n'].setDirection(Net.Direction.IN)
        nets['wl_en'].setDirection(Net.Direction.IN)
        nets['we_en'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TNonOverlapClock_8S']
        except:
            subcell = af.getCell('DP8TNonOverlapClock_8S', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'nonovl', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['buf_x2']
        except:
            subcell = af.getCell('buf_x2', 0)
        trans = Transformation(
            u(20.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'decodeclkbuf', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['buf_x2']
        except:
            subcell = af.getCell('buf_x2', 0)
        trans = Transformation(
            u(20.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'columnclkbuf', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['buf_x2']
        except:
            subcell = af.getCell('buf_x2', 0)
        trans = Transformation(
            u(23.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'wlenbuf', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['buf_x2']
        except:
            subcell = af.getCell('buf_x2', 0)
        trans = Transformation(
            u(23.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'weenbuf', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x2']
        except:
            subcell = af.getCell('inv_x2', 0)
        trans = Transformation(
            u(26.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'prechargeinv', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TLatchedDecoder_2A2R']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(-10.0), u(30.0), u(10.0),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'a[0]': Net.create(cell, 'a[0]'),
            'a[1]': Net.create(cell, 'a[1]'),
            'aint[0]': Net.create(cell, 'aint[0]'),
            'aint[1]': Net.create(cell, 'aint[1]'),
            'aint_n[0]': Net.create(cell, 'aint_n[0]'),
            'aint_n[1]': Net.create(cell, 'aint_n[1]'),
            'clk': Net.create(cell, 'clk'),
            'line[0]': Net.create(cell, 'line[0]'),
            'line[1]': Net.create(cell, 'line[1]'),
            'line[2]': Net.create(cell, 'line[2]'),
            'line[3]': Net.create(cell, 'line[3]'),
            'line_n[0]': Net.create(cell, 'line_n[0]'),
            'line_n[1]': Net.create(cell, 'line_n[1]'),
            'line_n[2]': Net.create(cell, 'line_n[2]'),
            'line_n[3]': Net.create(cell, 'line_n[3]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'li',
            ((0.0,-1.2),(0.0,1.2),(30.0,1.2),(30.0,-1.2),(0.0,-1.2)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(0.0), u(2.4), u(0.0), u(30.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(0.0), u(2.4), u(0.0), u(30.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'li',
            ((0.0,-10.0),(0.0,-8.8),(30.0,-8.8),(30.0,-10.0),(0.0,-10.0)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,8.8),(0.0,10.0),(30.0,10.0),(30.0,8.8),(0.0,8.8)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(-9.4), u(1.2), u(0.0), u(30.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(-9.4), u(1.2), u(0.0), u(30.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(9.4), u(1.2), u(0.0), u(30.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(9.4), u(1.2), u(0.0), u(30.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk']
        createRL(
            tech, net, 'li',
            ((13.415,4.735),(13.415,5.265),(13.585,5.265),(13.585,4.735),(13.415,4.735)),
        )
        createRL(
            tech, net, 'li',
            ((16.415,4.735),(16.415,5.265),(16.585,5.265),(16.585,4.735),(16.415,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((13.415,4.735),(13.415,4.905),(13.585,4.905),(13.585,4.735),(13.415,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((13.415,5.095),(13.415,5.265),(13.585,5.265),(13.585,5.095),(13.415,5.095)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.415,4.735),(16.415,4.905),(16.585,4.905),(16.585,4.735),(16.415,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.415,5.095),(16.415,5.265),(16.585,5.265),(16.585,5.095),(16.415,5.095)),
        )
        createRL(
            tech, net, 'm1',
            ((13.385,4.675),(13.385,5.325),(16.615,5.325),(16.615,4.675),(13.385,4.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(5.0), u(0.65), u(13.5), u(16.5),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(5.0), u(0.65), u(13.5), u(16.5),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['line_n[0]']
        createRL(
            tech, net, 'li',
            ((3.4,-8.63),(3.4,-1.37),(4.34,-1.37),(4.34,-8.63),(3.4,-8.63)),
        )
        net = nets['line[0]']
        createRL(
            tech, net, 'li',
            ((4.845,-8.63),(4.845,-1.37),(5.015,-1.37),(5.015,-8.63),(4.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(4.93), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(4.93), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['line_n[1]']
        createRL(
            tech, net, 'li',
            ((7.4,-8.63),(7.4,-1.37),(8.34,-1.37),(8.34,-8.63),(7.4,-8.63)),
        )
        net = nets['line[1]']
        createRL(
            tech, net, 'li',
            ((8.845,-8.63),(8.845,-1.37),(9.015,-1.37),(9.015,-8.63),(8.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(8.93), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(8.93), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['line_n[2]']
        createRL(
            tech, net, 'li',
            ((11.4,-8.63),(11.4,-1.37),(12.34,-1.37),(12.34,-8.63),(11.4,-8.63)),
        )
        net = nets['line[2]']
        createRL(
            tech, net, 'li',
            ((12.845,-8.63),(12.845,-1.37),(13.015,-1.37),(13.015,-8.63),(12.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(12.93), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(12.93), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['line_n[3]']
        createRL(
            tech, net, 'li',
            ((15.4,-8.63),(15.4,-1.37),(16.34,-1.37),(16.34,-8.63),(15.4,-8.63)),
        )
        net = nets['line[3]']
        createRL(
            tech, net, 'li',
            ((16.845,-8.63),(16.845,-1.37),(17.015,-1.37),(17.015,-8.63),(16.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(16.93), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(16.93), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[0]']
        createRL(
            tech, net, 'li',
            ((10.415,1.37),(10.415,8.63),(10.585,8.63),(10.585,1.37),(10.415,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(10.5), u(0.17), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(10.5), u(0.17), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[1]']
        createRL(
            tech, net, 'li',
            ((19.415,1.37),(19.415,8.63),(19.585,8.63),(19.585,1.37),(19.415,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(19.5), u(0.17), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(19.5), u(0.17), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['aint[0]']
        createRL(
            tech, net, 'li',
            ((1.415,1.37),(1.415,1.54),(1.585,1.54),(1.585,1.37),(1.415,1.37)),
        )
        createRL(
            tech, net, 'li',
            ((6.495,-1.54),(6.495,-1.37),(6.665,-1.37),(6.665,-1.54),(6.495,-1.54)),
        )
        createRL(
            tech, net, 'li',
            ((14.495,-1.54),(14.495,-1.37),(14.665,-1.37),(14.665,-1.54),(14.495,-1.54)),
        )
        createRL(
            tech, net, 'li',
            ((0.17,-1.54),(0.17,-1.37),(0.34,-1.37),(0.34,-1.54),(0.17,-1.54)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.415,1.37),(1.415,1.54),(1.585,1.54),(1.585,1.37),(1.415,1.37)),
        )
        createRL(
            tech, net, 'mcon',
            ((6.495,-1.54),(6.495,-1.37),(6.665,-1.37),(6.665,-1.54),(6.495,-1.54)),
        )
        createRL(
            tech, net, 'mcon',
            ((14.495,-1.54),(14.495,-1.37),(14.665,-1.37),(14.665,-1.54),(14.495,-1.54)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.17,-1.54),(0.17,-1.37),(0.34,-1.37),(0.34,-1.54),(0.17,-1.54)),
        )
        createRL(
            tech, net, 'm1',
            ((0.11,-1.57),(0.11,-1.34),(1.355,-1.34),(1.355,1.57),(1.645,1.57),(1.645,-1.34),(14.725,-1.34),(14.725,-1.57),(0.11,-1.57)),
        )
        net = nets['aint[1]']
        createRL(
            tech, net, 'li',
            ((15.05,-1.91),(15.05,-1.74),(15.22,-1.74),(15.22,-1.91),(15.05,-1.91)),
        )
        createRL(
            tech, net, 'li',
            ((28.415,1.37),(28.415,1.54),(28.585,1.54),(28.585,1.37),(28.415,1.37)),
        )
        createRL(
            tech, net, 'li',
            ((11.05,-1.91),(11.05,-1.74),(11.22,-1.74),(11.22,-1.91),(11.05,-1.91)),
        )
        createRL(
            tech, net, 'li',
            ((28.17,-1.91),(28.17,-1.74),(28.34,-1.74),(28.34,-1.91),(28.17,-1.91)),
        )
        createRL(
            tech, net, 'mcon',
            ((15.05,-1.91),(15.05,-1.74),(15.22,-1.74),(15.22,-1.91),(15.05,-1.91)),
        )
        createRL(
            tech, net, 'mcon',
            ((28.415,1.37),(28.415,1.54),(28.585,1.54),(28.585,1.37),(28.415,1.37)),
        )
        createRL(
            tech, net, 'mcon',
            ((11.05,-1.91),(11.05,-1.74),(11.22,-1.74),(11.22,-1.91),(11.05,-1.91)),
        )
        createRL(
            tech, net, 'mcon',
            ((28.17,-1.91),(28.17,-1.74),(28.34,-1.74),(28.34,-1.91),(28.17,-1.91)),
        )
        createRL(
            tech, net, 'm1',
            ((10.99,-1.94),(10.99,-1.71),(28.355,-1.71),(28.355,1.57),(28.645,1.57),(28.645,-1.94),(10.99,-1.94)),
        )
        net = nets['aint_n[0]']
        createRL(
            tech, net, 'li',
            ((10.495,-2.28),(10.495,-2.11),(10.665,-2.11),(10.665,-2.28),(10.495,-2.28)),
        )
        createRL(
            tech, net, 'li',
            ((0.845,-2.28),(0.845,-2.11),(1.015,-2.11),(1.015,-2.28),(0.845,-2.28)),
        )
        createRL(
            tech, net, 'li',
            ((2.495,-2.28),(2.495,-2.11),(2.665,-2.11),(2.665,-2.28),(2.495,-2.28)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.495,-2.28),(10.495,-2.11),(10.665,-2.11),(10.665,-2.28),(10.495,-2.28)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.845,-2.28),(0.845,-2.11),(1.015,-2.11),(1.015,-2.28),(0.845,-2.28)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.495,-2.28),(2.495,-2.11),(2.665,-2.11),(2.665,-2.28),(2.495,-2.28)),
        )
        createRL(
            tech, net, 'm1',
            ((0.785,-2.31),(0.785,-2.08),(10.725,-2.08),(10.725,-2.31),(0.785,-2.31)),
        )
        net = nets['aint_n[1]']
        createRL(
            tech, net, 'li',
            ((3.05,-2.65),(3.05,-2.48),(3.22,-2.48),(3.22,-2.65),(3.05,-2.65)),
        )
        createRL(
            tech, net, 'li',
            ((7.05,-2.65),(7.05,-2.48),(7.22,-2.48),(7.22,-2.65),(7.05,-2.65)),
        )
        createRL(
            tech, net, 'li',
            ((28.845,-2.65),(28.845,-2.48),(29.015,-2.48),(29.015,-2.65),(28.845,-2.65)),
        )
        createRL(
            tech, net, 'mcon',
            ((3.05,-2.65),(3.05,-2.48),(3.22,-2.48),(3.22,-2.65),(3.05,-2.65)),
        )
        createRL(
            tech, net, 'mcon',
            ((7.05,-2.65),(7.05,-2.48),(7.22,-2.48),(7.22,-2.65),(7.05,-2.65)),
        )
        createRL(
            tech, net, 'mcon',
            ((28.845,-2.65),(28.845,-2.48),(29.015,-2.48),(29.015,-2.65),(28.845,-2.65)),
        )
        createRL(
            tech, net, 'm1',
            ((2.99,-2.68),(2.99,-2.45),(29.075,-2.45),(29.075,-2.68),(2.99,-2.68)),
        )
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,-10.0),(0.0,10.0),(30.0,10.0),(30.0,-10.0),(0.0,-10.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['a[0]'].setDirection(Net.Direction.IN)
        nets['a[1]'].setDirection(Net.Direction.IN)
        nets['line[0]'].setDirection(Net.Direction.IN)
        nets['line[1]'].setDirection(Net.Direction.IN)
        nets['line[2]'].setDirection(Net.Direction.IN)
        nets['line[3]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(15.0), u(0.0), Transformation.Orientation.MY,
        )
        Instance.create(
            cell, 'aff[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(15.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'aff[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x1']
        except:
            subcell = af.getCell('inv_x1', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'ainv[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x1']
        except:
            subcell = af.getCell('inv_x1', 0)
        trans = Transformation(
            u(28.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'ainv[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['nand2_x0']
        except:
            subcell = af.getCell('nand2_x0', 0)
        trans = Transformation(
            u(2.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'linenand[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x2']
        except:
            subcell = af.getCell('inv_x2', 0)
        trans = Transformation(
            u(4.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'lineinv[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['nand2_x0']
        except:
            subcell = af.getCell('nand2_x0', 0)
        trans = Transformation(
            u(6.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'linenand[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x2']
        except:
            subcell = af.getCell('inv_x2', 0)
        trans = Transformation(
            u(8.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'lineinv[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['nand2_x0']
        except:
            subcell = af.getCell('nand2_x0', 0)
        trans = Transformation(
            u(10.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'linenand[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x2']
        except:
            subcell = af.getCell('inv_x2', 0)
        trans = Transformation(
            u(12.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'lineinv[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['nand2_x0']
        except:
            subcell = af.getCell('nand2_x0', 0)
        trans = Transformation(
            u(14.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'linenand[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x2']
        except:
            subcell = af.getCell('inv_x2', 0)
        trans = Transformation(
            u(16.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'lineinv[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TRowDecoder_3_4B_wl1']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(27.459999999999994), u(297.6),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'a[0]': Net.create(cell, 'a[0]'),
            'a[1]': Net.create(cell, 'a[1]'),
            'a[2]': Net.create(cell, 'a[2]'),
            'a[3]': Net.create(cell, 'a[3]'),
            'a[4]': Net.create(cell, 'a[4]'),
            'a[5]': Net.create(cell, 'a[5]'),
            'a[6]': Net.create(cell, 'a[6]'),
            'clk': Net.create(cell, 'clk'),
            'pd[0][0]': Net.create(cell, 'pd[0][0]'),
            'pd[0][1]': Net.create(cell, 'pd[0][1]'),
            'pd[0][2]': Net.create(cell, 'pd[0][2]'),
            'pd[0][3]': Net.create(cell, 'pd[0][3]'),
            'pd[0][4]': Net.create(cell, 'pd[0][4]'),
            'pd[0][5]': Net.create(cell, 'pd[0][5]'),
            'pd[0][6]': Net.create(cell, 'pd[0][6]'),
            'pd[0][7]': Net.create(cell, 'pd[0][7]'),
            'pd[1][0]': Net.create(cell, 'pd[1][0]'),
            'pd[1][10]': Net.create(cell, 'pd[1][10]'),
            'pd[1][11]': Net.create(cell, 'pd[1][11]'),
            'pd[1][12]': Net.create(cell, 'pd[1][12]'),
            'pd[1][13]': Net.create(cell, 'pd[1][13]'),
            'pd[1][14]': Net.create(cell, 'pd[1][14]'),
            'pd[1][15]': Net.create(cell, 'pd[1][15]'),
            'pd[1][1]': Net.create(cell, 'pd[1][1]'),
            'pd[1][2]': Net.create(cell, 'pd[1][2]'),
            'pd[1][3]': Net.create(cell, 'pd[1][3]'),
            'pd[1][4]': Net.create(cell, 'pd[1][4]'),
            'pd[1][5]': Net.create(cell, 'pd[1][5]'),
            'pd[1][6]': Net.create(cell, 'pd[1][6]'),
            'pd[1][7]': Net.create(cell, 'pd[1][7]'),
            'pd[1][8]': Net.create(cell, 'pd[1][8]'),
            'pd[1][9]': Net.create(cell, 'pd[1][9]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[100]': Net.create(cell, 'wl[100]'),
            'wl[101]': Net.create(cell, 'wl[101]'),
            'wl[102]': Net.create(cell, 'wl[102]'),
            'wl[103]': Net.create(cell, 'wl[103]'),
            'wl[104]': Net.create(cell, 'wl[104]'),
            'wl[105]': Net.create(cell, 'wl[105]'),
            'wl[106]': Net.create(cell, 'wl[106]'),
            'wl[107]': Net.create(cell, 'wl[107]'),
            'wl[108]': Net.create(cell, 'wl[108]'),
            'wl[109]': Net.create(cell, 'wl[109]'),
            'wl[10]': Net.create(cell, 'wl[10]'),
            'wl[110]': Net.create(cell, 'wl[110]'),
            'wl[111]': Net.create(cell, 'wl[111]'),
            'wl[112]': Net.create(cell, 'wl[112]'),
            'wl[113]': Net.create(cell, 'wl[113]'),
            'wl[114]': Net.create(cell, 'wl[114]'),
            'wl[115]': Net.create(cell, 'wl[115]'),
            'wl[116]': Net.create(cell, 'wl[116]'),
            'wl[117]': Net.create(cell, 'wl[117]'),
            'wl[118]': Net.create(cell, 'wl[118]'),
            'wl[119]': Net.create(cell, 'wl[119]'),
            'wl[11]': Net.create(cell, 'wl[11]'),
            'wl[120]': Net.create(cell, 'wl[120]'),
            'wl[121]': Net.create(cell, 'wl[121]'),
            'wl[122]': Net.create(cell, 'wl[122]'),
            'wl[123]': Net.create(cell, 'wl[123]'),
            'wl[124]': Net.create(cell, 'wl[124]'),
            'wl[125]': Net.create(cell, 'wl[125]'),
            'wl[126]': Net.create(cell, 'wl[126]'),
            'wl[127]': Net.create(cell, 'wl[127]'),
            'wl[12]': Net.create(cell, 'wl[12]'),
            'wl[13]': Net.create(cell, 'wl[13]'),
            'wl[14]': Net.create(cell, 'wl[14]'),
            'wl[15]': Net.create(cell, 'wl[15]'),
            'wl[16]': Net.create(cell, 'wl[16]'),
            'wl[17]': Net.create(cell, 'wl[17]'),
            'wl[18]': Net.create(cell, 'wl[18]'),
            'wl[19]': Net.create(cell, 'wl[19]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[20]': Net.create(cell, 'wl[20]'),
            'wl[21]': Net.create(cell, 'wl[21]'),
            'wl[22]': Net.create(cell, 'wl[22]'),
            'wl[23]': Net.create(cell, 'wl[23]'),
            'wl[24]': Net.create(cell, 'wl[24]'),
            'wl[25]': Net.create(cell, 'wl[25]'),
            'wl[26]': Net.create(cell, 'wl[26]'),
            'wl[27]': Net.create(cell, 'wl[27]'),
            'wl[28]': Net.create(cell, 'wl[28]'),
            'wl[29]': Net.create(cell, 'wl[29]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[30]': Net.create(cell, 'wl[30]'),
            'wl[31]': Net.create(cell, 'wl[31]'),
            'wl[32]': Net.create(cell, 'wl[32]'),
            'wl[33]': Net.create(cell, 'wl[33]'),
            'wl[34]': Net.create(cell, 'wl[34]'),
            'wl[35]': Net.create(cell, 'wl[35]'),
            'wl[36]': Net.create(cell, 'wl[36]'),
            'wl[37]': Net.create(cell, 'wl[37]'),
            'wl[38]': Net.create(cell, 'wl[38]'),
            'wl[39]': Net.create(cell, 'wl[39]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
            'wl[40]': Net.create(cell, 'wl[40]'),
            'wl[41]': Net.create(cell, 'wl[41]'),
            'wl[42]': Net.create(cell, 'wl[42]'),
            'wl[43]': Net.create(cell, 'wl[43]'),
            'wl[44]': Net.create(cell, 'wl[44]'),
            'wl[45]': Net.create(cell, 'wl[45]'),
            'wl[46]': Net.create(cell, 'wl[46]'),
            'wl[47]': Net.create(cell, 'wl[47]'),
            'wl[48]': Net.create(cell, 'wl[48]'),
            'wl[49]': Net.create(cell, 'wl[49]'),
            'wl[4]': Net.create(cell, 'wl[4]'),
            'wl[50]': Net.create(cell, 'wl[50]'),
            'wl[51]': Net.create(cell, 'wl[51]'),
            'wl[52]': Net.create(cell, 'wl[52]'),
            'wl[53]': Net.create(cell, 'wl[53]'),
            'wl[54]': Net.create(cell, 'wl[54]'),
            'wl[55]': Net.create(cell, 'wl[55]'),
            'wl[56]': Net.create(cell, 'wl[56]'),
            'wl[57]': Net.create(cell, 'wl[57]'),
            'wl[58]': Net.create(cell, 'wl[58]'),
            'wl[59]': Net.create(cell, 'wl[59]'),
            'wl[5]': Net.create(cell, 'wl[5]'),
            'wl[60]': Net.create(cell, 'wl[60]'),
            'wl[61]': Net.create(cell, 'wl[61]'),
            'wl[62]': Net.create(cell, 'wl[62]'),
            'wl[63]': Net.create(cell, 'wl[63]'),
            'wl[64]': Net.create(cell, 'wl[64]'),
            'wl[65]': Net.create(cell, 'wl[65]'),
            'wl[66]': Net.create(cell, 'wl[66]'),
            'wl[67]': Net.create(cell, 'wl[67]'),
            'wl[68]': Net.create(cell, 'wl[68]'),
            'wl[69]': Net.create(cell, 'wl[69]'),
            'wl[6]': Net.create(cell, 'wl[6]'),
            'wl[70]': Net.create(cell, 'wl[70]'),
            'wl[71]': Net.create(cell, 'wl[71]'),
            'wl[72]': Net.create(cell, 'wl[72]'),
            'wl[73]': Net.create(cell, 'wl[73]'),
            'wl[74]': Net.create(cell, 'wl[74]'),
            'wl[75]': Net.create(cell, 'wl[75]'),
            'wl[76]': Net.create(cell, 'wl[76]'),
            'wl[77]': Net.create(cell, 'wl[77]'),
            'wl[78]': Net.create(cell, 'wl[78]'),
            'wl[79]': Net.create(cell, 'wl[79]'),
            'wl[7]': Net.create(cell, 'wl[7]'),
            'wl[80]': Net.create(cell, 'wl[80]'),
            'wl[81]': Net.create(cell, 'wl[81]'),
            'wl[82]': Net.create(cell, 'wl[82]'),
            'wl[83]': Net.create(cell, 'wl[83]'),
            'wl[84]': Net.create(cell, 'wl[84]'),
            'wl[85]': Net.create(cell, 'wl[85]'),
            'wl[86]': Net.create(cell, 'wl[86]'),
            'wl[87]': Net.create(cell, 'wl[87]'),
            'wl[88]': Net.create(cell, 'wl[88]'),
            'wl[89]': Net.create(cell, 'wl[89]'),
            'wl[8]': Net.create(cell, 'wl[8]'),
            'wl[90]': Net.create(cell, 'wl[90]'),
            'wl[91]': Net.create(cell, 'wl[91]'),
            'wl[92]': Net.create(cell, 'wl[92]'),
            'wl[93]': Net.create(cell, 'wl[93]'),
            'wl[94]': Net.create(cell, 'wl[94]'),
            'wl[95]': Net.create(cell, 'wl[95]'),
            'wl[96]': Net.create(cell, 'wl[96]'),
            'wl[97]': Net.create(cell, 'wl[97]'),
            'wl[98]': Net.create(cell, 'wl[98]'),
            'wl[99]': Net.create(cell, 'wl[99]'),
            'wl[9]': Net.create(cell, 'wl[9]'),
            'wl_en': Net.create(cell, 'wl_en'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,295.145),(0.0,295.405),(24.005,295.405),(24.005,295.145),(0.0,295.145)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,90.545),(0.0,90.805),(24.005,90.805),(24.005,90.545),(0.0,90.545)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,202.145),(0.0,202.405),(24.005,202.405),(24.005,202.145),(0.0,202.145)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,239.345),(0.0,239.605),(24.005,239.605),(24.005,239.345),(0.0,239.345)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,127.745),(0.0,128.005),(24.005,128.005),(24.005,127.745),(0.0,127.745)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,164.945),(0.0,165.205),(24.005,165.205),(24.005,164.945),(0.0,164.945)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,146.345),(0.0,146.605),(24.005,146.605),(24.005,146.345),(0.0,146.345)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,220.745),(0.0,221.005),(24.005,221.005),(24.005,220.745),(0.0,220.745)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,257.945),(0.0,258.205),(24.005,258.205),(24.005,257.945),(0.0,257.945)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,109.145),(0.0,109.405),(24.005,109.405),(24.005,109.145),(0.0,109.145)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,276.545),(0.0,276.805),(24.005,276.805),(24.005,276.545),(0.0,276.545)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,183.545),(0.0,183.805),(24.005,183.805),(24.005,183.545),(0.0,183.545)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(295.275), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(295.275), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.675), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.675), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(202.275), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(202.275), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(239.475), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(239.475), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(127.875), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(127.875), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(165.075), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(165.075), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(146.475), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(146.475), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(220.875), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(220.875), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(258.075), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(258.075), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(109.275), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(109.275), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(276.675), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(276.675), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(183.675), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(183.675), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        createRL(
            tech, net, 'li',
            ((8.8,276.545),(8.8,276.805),(11.2,276.805),(11.2,276.545),(8.8,276.545)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,295.145),(8.8,295.405),(11.2,295.405),(11.2,295.145),(8.8,295.145)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,164.945),(8.8,165.205),(11.2,165.205),(11.2,164.945),(8.8,164.945)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,127.745),(8.8,128.005),(11.2,128.005),(11.2,127.745),(8.8,127.745)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,257.945),(8.8,258.205),(11.2,258.205),(11.2,257.945),(8.8,257.945)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,146.345),(8.8,146.605),(11.2,146.605),(11.2,146.345),(8.8,146.345)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,109.145),(8.8,109.405),(11.2,109.405),(11.2,109.145),(8.8,109.145)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,202.145),(8.8,202.405),(11.2,202.405),(11.2,202.145),(8.8,202.145)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,220.745),(8.8,221.005),(11.2,221.005),(11.2,220.745),(8.8,220.745)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,183.545),(8.8,183.805),(11.2,183.805),(11.2,183.545),(8.8,183.545)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,90.545),(8.8,90.805),(11.2,90.805),(11.2,90.545),(8.8,90.545)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,239.345),(8.8,239.605),(11.2,239.605),(11.2,239.345),(8.8,239.345)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,276.59),(8.955,276.76),(9.125,276.76),(9.125,276.59),(8.955,276.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,276.59),(9.315,276.76),(9.485,276.76),(9.485,276.59),(9.315,276.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,276.59),(9.675,276.76),(9.845,276.76),(9.845,276.59),(9.675,276.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,90.59),(8.955,90.76),(9.125,90.76),(9.125,90.59),(8.955,90.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,90.59),(9.315,90.76),(9.485,90.76),(9.485,90.59),(9.315,90.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,90.59),(9.675,90.76),(9.845,90.76),(9.845,90.59),(9.675,90.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,146.39),(8.955,146.56),(9.125,146.56),(9.125,146.39),(8.955,146.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,146.39),(9.315,146.56),(9.485,146.56),(9.485,146.39),(9.315,146.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,146.39),(9.675,146.56),(9.845,146.56),(9.845,146.39),(9.675,146.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,164.99),(10.155,165.16),(10.325,165.16),(10.325,164.99),(10.155,164.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,164.99),(10.515,165.16),(10.685,165.16),(10.685,164.99),(10.515,164.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,164.99),(10.875,165.16),(11.045,165.16),(11.045,164.99),(10.875,164.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,295.19),(8.955,295.36),(9.125,295.36),(9.125,295.19),(8.955,295.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,295.19),(9.315,295.36),(9.485,295.36),(9.485,295.19),(9.315,295.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,295.19),(9.675,295.36),(9.845,295.36),(9.845,295.19),(9.675,295.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,257.99),(8.955,258.16),(9.125,258.16),(9.125,257.99),(8.955,257.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,257.99),(9.315,258.16),(9.485,258.16),(9.485,257.99),(9.315,257.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,257.99),(9.675,258.16),(9.845,258.16),(9.845,257.99),(9.675,257.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,164.99),(8.955,165.16),(9.125,165.16),(9.125,164.99),(8.955,164.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,164.99),(9.315,165.16),(9.485,165.16),(9.485,164.99),(9.315,164.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,164.99),(9.675,165.16),(9.845,165.16),(9.845,164.99),(9.675,164.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,127.79),(8.955,127.96),(9.125,127.96),(9.125,127.79),(8.955,127.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,127.79),(9.315,127.96),(9.485,127.96),(9.485,127.79),(9.315,127.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,127.79),(9.675,127.96),(9.845,127.96),(9.845,127.79),(9.675,127.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,239.39),(8.955,239.56),(9.125,239.56),(9.125,239.39),(8.955,239.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,239.39),(9.315,239.56),(9.485,239.56),(9.485,239.39),(9.315,239.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,239.39),(9.675,239.56),(9.845,239.56),(9.845,239.39),(9.675,239.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,109.19),(8.955,109.36),(9.125,109.36),(9.125,109.19),(8.955,109.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,109.19),(9.315,109.36),(9.485,109.36),(9.485,109.19),(9.315,109.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,109.19),(9.675,109.36),(9.845,109.36),(9.845,109.19),(9.675,109.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,257.99),(10.155,258.16),(10.325,258.16),(10.325,257.99),(10.155,257.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,257.99),(10.515,258.16),(10.685,258.16),(10.685,257.99),(10.515,257.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,257.99),(10.875,258.16),(11.045,258.16),(11.045,257.99),(10.875,257.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,202.19),(8.955,202.36),(9.125,202.36),(9.125,202.19),(8.955,202.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,202.19),(9.315,202.36),(9.485,202.36),(9.485,202.19),(9.315,202.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,202.19),(9.675,202.36),(9.845,202.36),(9.845,202.19),(9.675,202.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,183.59),(10.155,183.76),(10.325,183.76),(10.325,183.59),(10.155,183.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,183.59),(10.515,183.76),(10.685,183.76),(10.685,183.59),(10.515,183.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,183.59),(10.875,183.76),(11.045,183.76),(11.045,183.59),(10.875,183.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,90.59),(10.155,90.76),(10.325,90.76),(10.325,90.59),(10.155,90.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,90.59),(10.515,90.76),(10.685,90.76),(10.685,90.59),(10.515,90.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,90.59),(10.875,90.76),(11.045,90.76),(11.045,90.59),(10.875,90.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,202.19),(10.155,202.36),(10.325,202.36),(10.325,202.19),(10.155,202.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,202.19),(10.515,202.36),(10.685,202.36),(10.685,202.19),(10.515,202.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,202.19),(10.875,202.36),(11.045,202.36),(11.045,202.19),(10.875,202.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,295.19),(10.155,295.36),(10.325,295.36),(10.325,295.19),(10.155,295.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,295.19),(10.515,295.36),(10.685,295.36),(10.685,295.19),(10.515,295.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,295.19),(10.875,295.36),(11.045,295.36),(11.045,295.19),(10.875,295.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,109.19),(10.155,109.36),(10.325,109.36),(10.325,109.19),(10.155,109.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,109.19),(10.515,109.36),(10.685,109.36),(10.685,109.19),(10.515,109.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,109.19),(10.875,109.36),(11.045,109.36),(11.045,109.19),(10.875,109.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,220.79),(10.155,220.96),(10.325,220.96),(10.325,220.79),(10.155,220.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,220.79),(10.515,220.96),(10.685,220.96),(10.685,220.79),(10.515,220.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,220.79),(10.875,220.96),(11.045,220.96),(11.045,220.79),(10.875,220.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,127.79),(10.155,127.96),(10.325,127.96),(10.325,127.79),(10.155,127.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,127.79),(10.515,127.96),(10.685,127.96),(10.685,127.79),(10.515,127.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,127.79),(10.875,127.96),(11.045,127.96),(11.045,127.79),(10.875,127.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,146.39),(10.155,146.56),(10.325,146.56),(10.325,146.39),(10.155,146.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,146.39),(10.515,146.56),(10.685,146.56),(10.685,146.39),(10.515,146.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,146.39),(10.875,146.56),(11.045,146.56),(11.045,146.39),(10.875,146.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,183.59),(8.955,183.76),(9.125,183.76),(9.125,183.59),(8.955,183.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,183.59),(9.315,183.76),(9.485,183.76),(9.485,183.59),(9.315,183.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,183.59),(9.675,183.76),(9.845,183.76),(9.845,183.59),(9.675,183.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,220.79),(8.955,220.96),(9.125,220.96),(9.125,220.79),(8.955,220.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,220.79),(9.315,220.96),(9.485,220.96),(9.485,220.79),(9.315,220.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,220.79),(9.675,220.96),(9.845,220.96),(9.845,220.79),(9.675,220.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,239.39),(10.155,239.56),(10.325,239.56),(10.325,239.39),(10.155,239.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,239.39),(10.515,239.56),(10.685,239.56),(10.685,239.39),(10.515,239.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,239.39),(10.875,239.56),(11.045,239.56),(11.045,239.39),(10.875,239.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,276.59),(10.155,276.76),(10.325,276.76),(10.325,276.59),(10.155,276.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,276.59),(10.515,276.76),(10.685,276.76),(10.685,276.59),(10.515,276.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,276.59),(10.875,276.76),(11.045,276.76),(11.045,276.59),(10.875,276.59)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,276.545),(8.8,276.805),(11.2,276.805),(11.2,276.545),(8.8,276.545)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,295.145),(8.8,295.405),(11.2,295.405),(11.2,295.145),(8.8,295.145)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,164.945),(8.8,165.205),(11.2,165.205),(11.2,164.945),(8.8,164.945)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,127.745),(8.8,128.005),(11.2,128.005),(11.2,127.745),(8.8,127.745)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,257.945),(8.8,258.205),(11.2,258.205),(11.2,257.945),(8.8,257.945)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,146.345),(8.8,146.605),(11.2,146.605),(11.2,146.345),(8.8,146.345)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,109.145),(8.8,109.405),(11.2,109.405),(11.2,109.145),(8.8,109.145)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,202.145),(8.8,202.405),(11.2,202.405),(11.2,202.145),(8.8,202.145)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,220.745),(8.8,221.005),(11.2,221.005),(11.2,220.745),(8.8,220.745)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,183.545),(8.8,183.805),(11.2,183.805),(11.2,183.545),(8.8,183.545)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,90.545),(8.8,90.805),(11.2,90.805),(11.2,90.545),(8.8,90.545)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,239.345),(8.8,239.605),(11.2,239.605),(11.2,239.345),(8.8,239.345)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,109.2),(9.005,109.35),(9.155,109.35),(9.155,109.2),(9.005,109.2)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,109.2),(9.325,109.35),(9.475,109.35),(9.475,109.2),(9.325,109.2)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,109.2),(9.645,109.35),(9.795,109.35),(9.795,109.2),(9.645,109.2)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,220.8),(10.205,220.95),(10.355,220.95),(10.355,220.8),(10.205,220.8)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,220.8),(10.525,220.95),(10.675,220.95),(10.675,220.8),(10.525,220.8)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,220.8),(10.845,220.95),(10.995,220.95),(10.995,220.8),(10.845,220.8)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,295.2),(9.005,295.35),(9.155,295.35),(9.155,295.2),(9.005,295.2)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,295.2),(9.325,295.35),(9.475,295.35),(9.475,295.2),(9.325,295.2)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,295.2),(9.645,295.35),(9.795,295.35),(9.795,295.2),(9.645,295.2)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,127.8),(10.205,127.95),(10.355,127.95),(10.355,127.8),(10.205,127.8)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,127.8),(10.525,127.95),(10.675,127.95),(10.675,127.8),(10.525,127.8)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,127.8),(10.845,127.95),(10.995,127.95),(10.995,127.8),(10.845,127.8)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,90.6),(10.205,90.75),(10.355,90.75),(10.355,90.6),(10.205,90.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,90.6),(10.525,90.75),(10.675,90.75),(10.675,90.6),(10.525,90.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,90.6),(10.845,90.75),(10.995,90.75),(10.995,90.6),(10.845,90.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,146.4),(10.205,146.55),(10.355,146.55),(10.355,146.4),(10.205,146.4)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,146.4),(10.525,146.55),(10.675,146.55),(10.675,146.4),(10.525,146.4)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,146.4),(10.845,146.55),(10.995,146.55),(10.995,146.4),(10.845,146.4)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,127.8),(9.005,127.95),(9.155,127.95),(9.155,127.8),(9.005,127.8)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,127.8),(9.325,127.95),(9.475,127.95),(9.475,127.8),(9.325,127.8)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,127.8),(9.645,127.95),(9.795,127.95),(9.795,127.8),(9.645,127.8)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,183.6),(9.005,183.75),(9.155,183.75),(9.155,183.6),(9.005,183.6)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,183.6),(9.325,183.75),(9.475,183.75),(9.475,183.6),(9.325,183.6)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,183.6),(9.645,183.75),(9.795,183.75),(9.795,183.6),(9.645,183.6)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,258.0),(9.005,258.15),(9.155,258.15),(9.155,258.0),(9.005,258.0)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,258.0),(9.325,258.15),(9.475,258.15),(9.475,258.0),(9.325,258.0)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,258.0),(9.645,258.15),(9.795,258.15),(9.795,258.0),(9.645,258.0)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,109.2),(10.205,109.35),(10.355,109.35),(10.355,109.2),(10.205,109.2)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,109.2),(10.525,109.35),(10.675,109.35),(10.675,109.2),(10.525,109.2)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,109.2),(10.845,109.35),(10.995,109.35),(10.995,109.2),(10.845,109.2)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,276.6),(10.205,276.75),(10.355,276.75),(10.355,276.6),(10.205,276.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,276.6),(10.525,276.75),(10.675,276.75),(10.675,276.6),(10.525,276.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,276.6),(10.845,276.75),(10.995,276.75),(10.995,276.6),(10.845,276.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,183.6),(10.205,183.75),(10.355,183.75),(10.355,183.6),(10.205,183.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,183.6),(10.525,183.75),(10.675,183.75),(10.675,183.6),(10.525,183.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,183.6),(10.845,183.75),(10.995,183.75),(10.995,183.6),(10.845,183.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,165.0),(10.205,165.15),(10.355,165.15),(10.355,165.0),(10.205,165.0)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,165.0),(10.525,165.15),(10.675,165.15),(10.675,165.0),(10.525,165.0)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,165.0),(10.845,165.15),(10.995,165.15),(10.995,165.0),(10.845,165.0)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,239.4),(10.205,239.55),(10.355,239.55),(10.355,239.4),(10.205,239.4)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,239.4),(10.525,239.55),(10.675,239.55),(10.675,239.4),(10.525,239.4)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,239.4),(10.845,239.55),(10.995,239.55),(10.995,239.4),(10.845,239.4)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,165.0),(9.005,165.15),(9.155,165.15),(9.155,165.0),(9.005,165.0)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,165.0),(9.325,165.15),(9.475,165.15),(9.475,165.0),(9.325,165.0)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,165.0),(9.645,165.15),(9.795,165.15),(9.795,165.0),(9.645,165.0)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,90.6),(9.005,90.75),(9.155,90.75),(9.155,90.6),(9.005,90.6)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,90.6),(9.325,90.75),(9.475,90.75),(9.475,90.6),(9.325,90.6)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,90.6),(9.645,90.75),(9.795,90.75),(9.795,90.6),(9.645,90.6)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,276.6),(9.005,276.75),(9.155,276.75),(9.155,276.6),(9.005,276.6)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,276.6),(9.325,276.75),(9.475,276.75),(9.475,276.6),(9.325,276.6)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,276.6),(9.645,276.75),(9.795,276.75),(9.795,276.6),(9.645,276.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,295.2),(10.205,295.35),(10.355,295.35),(10.355,295.2),(10.205,295.2)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,295.2),(10.525,295.35),(10.675,295.35),(10.675,295.2),(10.525,295.2)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,295.2),(10.845,295.35),(10.995,295.35),(10.995,295.2),(10.845,295.2)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,258.0),(10.205,258.15),(10.355,258.15),(10.355,258.0),(10.205,258.0)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,258.0),(10.525,258.15),(10.675,258.15),(10.675,258.0),(10.525,258.0)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,258.0),(10.845,258.15),(10.995,258.15),(10.995,258.0),(10.845,258.0)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,239.4),(9.005,239.55),(9.155,239.55),(9.155,239.4),(9.005,239.4)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,239.4),(9.325,239.55),(9.475,239.55),(9.475,239.4),(9.325,239.4)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,239.4),(9.645,239.55),(9.795,239.55),(9.795,239.4),(9.645,239.4)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,220.8),(9.005,220.95),(9.155,220.95),(9.155,220.8),(9.005,220.8)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,220.8),(9.325,220.95),(9.475,220.95),(9.475,220.8),(9.325,220.8)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,220.8),(9.645,220.95),(9.795,220.95),(9.795,220.8),(9.645,220.8)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,202.2),(9.005,202.35),(9.155,202.35),(9.155,202.2),(9.005,202.2)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,202.2),(9.325,202.35),(9.475,202.35),(9.475,202.2),(9.325,202.2)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,202.2),(9.645,202.35),(9.795,202.35),(9.795,202.2),(9.645,202.2)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,202.2),(10.205,202.35),(10.355,202.35),(10.355,202.2),(10.205,202.2)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,202.2),(10.525,202.35),(10.675,202.35),(10.675,202.2),(10.525,202.2)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,202.2),(10.845,202.35),(10.995,202.35),(10.995,202.2),(10.845,202.2)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,146.4),(9.005,146.55),(9.155,146.55),(9.155,146.4),(9.005,146.4)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,146.4),(9.325,146.55),(9.475,146.55),(9.475,146.4),(9.325,146.4)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,146.4),(9.645,146.55),(9.795,146.55),(9.795,146.4),(9.645,146.4)),
        )
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,111.47),(0.0,111.73),(27.46,111.73),(27.46,111.47),(0.0,111.47)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,167.27),(0.0,167.53),(27.46,167.53),(27.46,167.27),(0.0,167.27)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,223.07),(0.0,223.33),(27.46,223.33),(27.46,223.07),(0.0,223.07)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,185.87),(0.0,186.13),(27.46,186.13),(27.46,185.87),(0.0,185.87)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,148.67),(0.0,148.93),(27.46,148.93),(27.46,148.67),(0.0,148.67)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,260.27),(0.0,260.53),(27.46,260.53),(27.46,260.27),(0.0,260.27)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,278.87),(0.0,279.13),(27.46,279.13),(27.46,278.87),(0.0,278.87)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,297.47),(0.0,297.73),(27.46,297.73),(27.46,297.47),(0.0,297.47)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,130.07),(0.0,130.33),(27.46,130.33),(27.46,130.07),(0.0,130.07)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,204.47),(0.0,204.73),(27.46,204.73),(27.46,204.47),(0.0,204.47)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,241.67),(0.0,241.93),(27.46,241.93),(27.46,241.67),(0.0,241.67)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,92.87),(0.0,93.13),(27.46,93.13),(27.46,92.87),(0.0,92.87)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(111.6), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(111.6), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(167.4), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(167.4), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(223.2), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(223.2), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(186.0), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(186.0), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(148.8), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(148.8), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(260.4), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(260.4), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(279.0), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(279.0), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(297.6), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(297.6), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(130.2), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(130.2), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(204.6), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(204.6), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(241.8), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(241.8), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(93.0), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(93.0), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        createRL(
            tech, net, 'li',
            ((18.8,92.87),(18.8,93.13),(20.0,93.13),(20.0,92.87),(18.8,92.87)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,167.27),(0.0,167.53),(1.2,167.53),(1.2,167.27),(0.0,167.27)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,278.87),(0.0,279.13),(1.2,279.13),(1.2,278.87),(0.0,278.87)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,111.47),(18.8,111.73),(20.0,111.73),(20.0,111.47),(18.8,111.47)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,241.67),(18.8,241.93),(20.0,241.93),(20.0,241.67),(18.8,241.67)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,204.47),(0.0,204.73),(1.2,204.73),(1.2,204.47),(0.0,204.47)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,148.67),(18.8,148.93),(20.0,148.93),(20.0,148.67),(18.8,148.67)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,223.07),(18.8,223.33),(20.0,223.33),(20.0,223.07),(18.8,223.07)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,111.47),(0.0,111.73),(1.2,111.73),(1.2,111.47),(0.0,111.47)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,260.27),(0.0,260.53),(1.2,260.53),(1.2,260.27),(0.0,260.27)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,297.47),(0.0,297.73),(1.2,297.73),(1.2,297.47),(0.0,297.47)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,297.47),(18.8,297.73),(20.0,297.73),(20.0,297.47),(18.8,297.47)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,148.67),(0.0,148.93),(1.2,148.93),(1.2,148.67),(0.0,148.67)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,185.87),(18.8,186.13),(20.0,186.13),(20.0,185.87),(18.8,185.87)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,92.87),(0.0,93.13),(1.2,93.13),(1.2,92.87),(0.0,92.87)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,130.07),(18.8,130.33),(20.0,130.33),(20.0,130.07),(18.8,130.07)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,185.87),(0.0,186.13),(1.2,186.13),(1.2,185.87),(0.0,185.87)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,278.87),(18.8,279.13),(20.0,279.13),(20.0,278.87),(18.8,278.87)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,204.47),(18.8,204.73),(20.0,204.73),(20.0,204.47),(18.8,204.47)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,241.67),(0.0,241.93),(1.2,241.93),(1.2,241.67),(0.0,241.67)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,167.27),(18.8,167.53),(20.0,167.53),(20.0,167.27),(18.8,167.27)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,223.07),(0.0,223.33),(1.2,223.33),(1.2,223.07),(0.0,223.07)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,130.07),(0.0,130.33),(1.2,130.33),(1.2,130.07),(0.0,130.07)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,260.27),(18.8,260.53),(20.0,260.53),(20.0,260.27),(18.8,260.27)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,260.315),(0.155,260.485),(0.325,260.485),(0.325,260.315),(0.155,260.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,260.315),(0.515,260.485),(0.685,260.485),(0.685,260.315),(0.515,260.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,260.315),(0.875,260.485),(1.045,260.485),(1.045,260.315),(0.875,260.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,278.915),(0.155,279.085),(0.325,279.085),(0.325,278.915),(0.155,278.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,278.915),(0.515,279.085),(0.685,279.085),(0.685,278.915),(0.515,278.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,278.915),(0.875,279.085),(1.045,279.085),(1.045,278.915),(0.875,278.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,223.115),(18.955,223.285),(19.125,223.285),(19.125,223.115),(18.955,223.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,223.115),(19.315,223.285),(19.485,223.285),(19.485,223.115),(19.315,223.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,223.115),(19.675,223.285),(19.845,223.285),(19.845,223.115),(19.675,223.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,130.115),(18.955,130.285),(19.125,130.285),(19.125,130.115),(18.955,130.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,130.115),(19.315,130.285),(19.485,130.285),(19.485,130.115),(19.315,130.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,130.115),(19.675,130.285),(19.845,130.285),(19.845,130.115),(19.675,130.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,278.915),(18.955,279.085),(19.125,279.085),(19.125,278.915),(18.955,278.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,278.915),(19.315,279.085),(19.485,279.085),(19.485,278.915),(19.315,278.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,278.915),(19.675,279.085),(19.845,279.085),(19.845,278.915),(19.675,278.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,92.915),(0.155,93.085),(0.325,93.085),(0.325,92.915),(0.155,92.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,92.915),(0.515,93.085),(0.685,93.085),(0.685,92.915),(0.515,92.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,92.915),(0.875,93.085),(1.045,93.085),(1.045,92.915),(0.875,92.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,148.715),(18.955,148.885),(19.125,148.885),(19.125,148.715),(18.955,148.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,148.715),(19.315,148.885),(19.485,148.885),(19.485,148.715),(19.315,148.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,148.715),(19.675,148.885),(19.845,148.885),(19.845,148.715),(19.675,148.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,260.315),(18.955,260.485),(19.125,260.485),(19.125,260.315),(18.955,260.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,260.315),(19.315,260.485),(19.485,260.485),(19.485,260.315),(19.315,260.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,260.315),(19.675,260.485),(19.845,260.485),(19.845,260.315),(19.675,260.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,92.915),(18.955,93.085),(19.125,93.085),(19.125,92.915),(18.955,92.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,92.915),(19.315,93.085),(19.485,93.085),(19.485,92.915),(19.315,92.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,92.915),(19.675,93.085),(19.845,93.085),(19.845,92.915),(19.675,92.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,241.715),(18.955,241.885),(19.125,241.885),(19.125,241.715),(18.955,241.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,241.715),(19.315,241.885),(19.485,241.885),(19.485,241.715),(19.315,241.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,241.715),(19.675,241.885),(19.845,241.885),(19.845,241.715),(19.675,241.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,297.515),(18.955,297.685),(19.125,297.685),(19.125,297.515),(18.955,297.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,297.515),(19.315,297.685),(19.485,297.685),(19.485,297.515),(19.315,297.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,297.515),(19.675,297.685),(19.845,297.685),(19.845,297.515),(19.675,297.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,130.115),(0.155,130.285),(0.325,130.285),(0.325,130.115),(0.155,130.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,130.115),(0.515,130.285),(0.685,130.285),(0.685,130.115),(0.515,130.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,130.115),(0.875,130.285),(1.045,130.285),(1.045,130.115),(0.875,130.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,185.915),(0.155,186.085),(0.325,186.085),(0.325,185.915),(0.155,185.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,185.915),(0.515,186.085),(0.685,186.085),(0.685,185.915),(0.515,185.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,185.915),(0.875,186.085),(1.045,186.085),(1.045,185.915),(0.875,185.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,167.315),(0.155,167.485),(0.325,167.485),(0.325,167.315),(0.155,167.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,167.315),(0.515,167.485),(0.685,167.485),(0.685,167.315),(0.515,167.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,167.315),(0.875,167.485),(1.045,167.485),(1.045,167.315),(0.875,167.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,167.315),(18.955,167.485),(19.125,167.485),(19.125,167.315),(18.955,167.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,167.315),(19.315,167.485),(19.485,167.485),(19.485,167.315),(19.315,167.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,167.315),(19.675,167.485),(19.845,167.485),(19.845,167.315),(19.675,167.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,185.915),(18.955,186.085),(19.125,186.085),(19.125,185.915),(18.955,185.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,185.915),(19.315,186.085),(19.485,186.085),(19.485,185.915),(19.315,185.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,185.915),(19.675,186.085),(19.845,186.085),(19.845,185.915),(19.675,185.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,148.715),(0.155,148.885),(0.325,148.885),(0.325,148.715),(0.155,148.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,148.715),(0.515,148.885),(0.685,148.885),(0.685,148.715),(0.515,148.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,148.715),(0.875,148.885),(1.045,148.885),(1.045,148.715),(0.875,148.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,204.515),(0.155,204.685),(0.325,204.685),(0.325,204.515),(0.155,204.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,204.515),(0.515,204.685),(0.685,204.685),(0.685,204.515),(0.515,204.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,204.515),(0.875,204.685),(1.045,204.685),(1.045,204.515),(0.875,204.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,297.515),(0.155,297.685),(0.325,297.685),(0.325,297.515),(0.155,297.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,297.515),(0.515,297.685),(0.685,297.685),(0.685,297.515),(0.515,297.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,297.515),(0.875,297.685),(1.045,297.685),(1.045,297.515),(0.875,297.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,111.515),(0.155,111.685),(0.325,111.685),(0.325,111.515),(0.155,111.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,111.515),(0.515,111.685),(0.685,111.685),(0.685,111.515),(0.515,111.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,111.515),(0.875,111.685),(1.045,111.685),(1.045,111.515),(0.875,111.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,111.515),(18.955,111.685),(19.125,111.685),(19.125,111.515),(18.955,111.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,111.515),(19.315,111.685),(19.485,111.685),(19.485,111.515),(19.315,111.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,111.515),(19.675,111.685),(19.845,111.685),(19.845,111.515),(19.675,111.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,204.515),(18.955,204.685),(19.125,204.685),(19.125,204.515),(18.955,204.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,204.515),(19.315,204.685),(19.485,204.685),(19.485,204.515),(19.315,204.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,204.515),(19.675,204.685),(19.845,204.685),(19.845,204.515),(19.675,204.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,241.715),(0.155,241.885),(0.325,241.885),(0.325,241.715),(0.155,241.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,241.715),(0.515,241.885),(0.685,241.885),(0.685,241.715),(0.515,241.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,241.715),(0.875,241.885),(1.045,241.885),(1.045,241.715),(0.875,241.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,223.115),(0.155,223.285),(0.325,223.285),(0.325,223.115),(0.155,223.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,223.115),(0.515,223.285),(0.685,223.285),(0.685,223.115),(0.515,223.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,223.115),(0.875,223.285),(1.045,223.285),(1.045,223.115),(0.875,223.115)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,92.87),(18.8,93.13),(20.0,93.13),(20.0,92.87),(18.8,92.87)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,167.27),(0.0,167.53),(1.2,167.53),(1.2,167.27),(0.0,167.27)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,278.87),(0.0,279.13),(1.2,279.13),(1.2,278.87),(0.0,278.87)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,111.47),(18.8,111.73),(20.0,111.73),(20.0,111.47),(18.8,111.47)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,241.67),(18.8,241.93),(20.0,241.93),(20.0,241.67),(18.8,241.67)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,204.47),(0.0,204.73),(1.2,204.73),(1.2,204.47),(0.0,204.47)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,148.67),(18.8,148.93),(20.0,148.93),(20.0,148.67),(18.8,148.67)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,223.07),(18.8,223.33),(20.0,223.33),(20.0,223.07),(18.8,223.07)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,111.47),(0.0,111.73),(1.2,111.73),(1.2,111.47),(0.0,111.47)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,260.27),(0.0,260.53),(1.2,260.53),(1.2,260.27),(0.0,260.27)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,297.47),(0.0,297.73),(1.2,297.73),(1.2,297.47),(0.0,297.47)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,297.47),(18.8,297.73),(20.0,297.73),(20.0,297.47),(18.8,297.47)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,148.67),(0.0,148.93),(1.2,148.93),(1.2,148.67),(0.0,148.67)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,185.87),(18.8,186.13),(20.0,186.13),(20.0,185.87),(18.8,185.87)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,92.87),(0.0,93.13),(1.2,93.13),(1.2,92.87),(0.0,92.87)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,130.07),(18.8,130.33),(20.0,130.33),(20.0,130.07),(18.8,130.07)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,185.87),(0.0,186.13),(1.2,186.13),(1.2,185.87),(0.0,185.87)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,278.87),(18.8,279.13),(20.0,279.13),(20.0,278.87),(18.8,278.87)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,204.47),(18.8,204.73),(20.0,204.73),(20.0,204.47),(18.8,204.47)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,241.67),(0.0,241.93),(1.2,241.93),(1.2,241.67),(0.0,241.67)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,167.27),(18.8,167.53),(20.0,167.53),(20.0,167.27),(18.8,167.27)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,223.07),(0.0,223.33),(1.2,223.33),(1.2,223.07),(0.0,223.07)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,130.07),(0.0,130.33),(1.2,130.33),(1.2,130.07),(0.0,130.07)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,260.27),(18.8,260.53),(20.0,260.53),(20.0,260.27),(18.8,260.27)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,204.525),(19.005,204.675),(19.155,204.675),(19.155,204.525),(19.005,204.525)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,204.525),(19.325,204.675),(19.475,204.675),(19.475,204.525),(19.325,204.525)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,204.525),(19.645,204.675),(19.795,204.675),(19.795,204.525),(19.645,204.525)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,260.325),(19.005,260.475),(19.155,260.475),(19.155,260.325),(19.005,260.325)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,260.325),(19.325,260.475),(19.475,260.475),(19.475,260.325),(19.325,260.325)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,260.325),(19.645,260.475),(19.795,260.475),(19.795,260.325),(19.645,260.325)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,241.725),(0.205,241.875),(0.355,241.875),(0.355,241.725),(0.205,241.725)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,241.725),(0.525,241.875),(0.675,241.875),(0.675,241.725),(0.525,241.725)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,241.725),(0.845,241.875),(0.995,241.875),(0.995,241.725),(0.845,241.725)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,241.725),(19.005,241.875),(19.155,241.875),(19.155,241.725),(19.005,241.725)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,241.725),(19.325,241.875),(19.475,241.875),(19.475,241.725),(19.325,241.725)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,241.725),(19.645,241.875),(19.795,241.875),(19.795,241.725),(19.645,241.725)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,130.125),(19.005,130.275),(19.155,130.275),(19.155,130.125),(19.005,130.125)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,130.125),(19.325,130.275),(19.475,130.275),(19.475,130.125),(19.325,130.125)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,130.125),(19.645,130.275),(19.795,130.275),(19.795,130.125),(19.645,130.125)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,130.125),(0.205,130.275),(0.355,130.275),(0.355,130.125),(0.205,130.125)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,130.125),(0.525,130.275),(0.675,130.275),(0.675,130.125),(0.525,130.125)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,130.125),(0.845,130.275),(0.995,130.275),(0.995,130.125),(0.845,130.125)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,167.325),(0.205,167.475),(0.355,167.475),(0.355,167.325),(0.205,167.325)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,167.325),(0.525,167.475),(0.675,167.475),(0.675,167.325),(0.525,167.325)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,167.325),(0.845,167.475),(0.995,167.475),(0.995,167.325),(0.845,167.325)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,111.525),(19.005,111.675),(19.155,111.675),(19.155,111.525),(19.005,111.525)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,111.525),(19.325,111.675),(19.475,111.675),(19.475,111.525),(19.325,111.525)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,111.525),(19.645,111.675),(19.795,111.675),(19.795,111.525),(19.645,111.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,278.925),(0.205,279.075),(0.355,279.075),(0.355,278.925),(0.205,278.925)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,278.925),(0.525,279.075),(0.675,279.075),(0.675,278.925),(0.525,278.925)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,278.925),(0.845,279.075),(0.995,279.075),(0.995,278.925),(0.845,278.925)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,223.125),(19.005,223.275),(19.155,223.275),(19.155,223.125),(19.005,223.125)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,223.125),(19.325,223.275),(19.475,223.275),(19.475,223.125),(19.325,223.125)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,223.125),(19.645,223.275),(19.795,223.275),(19.795,223.125),(19.645,223.125)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,148.725),(19.005,148.875),(19.155,148.875),(19.155,148.725),(19.005,148.725)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,148.725),(19.325,148.875),(19.475,148.875),(19.475,148.725),(19.325,148.725)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,148.725),(19.645,148.875),(19.795,148.875),(19.795,148.725),(19.645,148.725)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,167.325),(19.005,167.475),(19.155,167.475),(19.155,167.325),(19.005,167.325)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,167.325),(19.325,167.475),(19.475,167.475),(19.475,167.325),(19.325,167.325)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,167.325),(19.645,167.475),(19.795,167.475),(19.795,167.325),(19.645,167.325)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,260.325),(0.205,260.475),(0.355,260.475),(0.355,260.325),(0.205,260.325)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,260.325),(0.525,260.475),(0.675,260.475),(0.675,260.325),(0.525,260.325)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,260.325),(0.845,260.475),(0.995,260.475),(0.995,260.325),(0.845,260.325)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,92.925),(19.005,93.075),(19.155,93.075),(19.155,92.925),(19.005,92.925)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,92.925),(19.325,93.075),(19.475,93.075),(19.475,92.925),(19.325,92.925)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,92.925),(19.645,93.075),(19.795,93.075),(19.795,92.925),(19.645,92.925)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,204.525),(0.205,204.675),(0.355,204.675),(0.355,204.525),(0.205,204.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,204.525),(0.525,204.675),(0.675,204.675),(0.675,204.525),(0.525,204.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,204.525),(0.845,204.675),(0.995,204.675),(0.995,204.525),(0.845,204.525)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,185.925),(19.005,186.075),(19.155,186.075),(19.155,185.925),(19.005,185.925)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,185.925),(19.325,186.075),(19.475,186.075),(19.475,185.925),(19.325,185.925)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,185.925),(19.645,186.075),(19.795,186.075),(19.795,185.925),(19.645,185.925)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,297.525),(19.005,297.675),(19.155,297.675),(19.155,297.525),(19.005,297.525)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,297.525),(19.325,297.675),(19.475,297.675),(19.475,297.525),(19.325,297.525)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,297.525),(19.645,297.675),(19.795,297.675),(19.795,297.525),(19.645,297.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,92.925),(0.205,93.075),(0.355,93.075),(0.355,92.925),(0.205,92.925)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,92.925),(0.525,93.075),(0.675,93.075),(0.675,92.925),(0.525,92.925)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,92.925),(0.845,93.075),(0.995,93.075),(0.995,92.925),(0.845,92.925)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,223.125),(0.205,223.275),(0.355,223.275),(0.355,223.125),(0.205,223.125)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,223.125),(0.525,223.275),(0.675,223.275),(0.675,223.125),(0.525,223.125)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,223.125),(0.845,223.275),(0.995,223.275),(0.995,223.125),(0.845,223.125)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,278.925),(19.005,279.075),(19.155,279.075),(19.155,278.925),(19.005,278.925)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,278.925),(19.325,279.075),(19.475,279.075),(19.475,278.925),(19.325,278.925)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,278.925),(19.645,279.075),(19.795,279.075),(19.795,278.925),(19.645,278.925)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,297.525),(0.205,297.675),(0.355,297.675),(0.355,297.525),(0.205,297.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,297.525),(0.525,297.675),(0.675,297.675),(0.675,297.525),(0.525,297.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,297.525),(0.845,297.675),(0.995,297.675),(0.995,297.525),(0.845,297.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,148.725),(0.205,148.875),(0.355,148.875),(0.355,148.725),(0.205,148.725)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,148.725),(0.525,148.875),(0.675,148.875),(0.675,148.725),(0.525,148.725)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,148.725),(0.845,148.875),(0.995,148.875),(0.995,148.725),(0.845,148.725)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,111.525),(0.205,111.675),(0.355,111.675),(0.355,111.525),(0.205,111.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,111.525),(0.525,111.675),(0.675,111.675),(0.675,111.525),(0.525,111.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,111.525),(0.845,111.675),(0.995,111.675),(0.995,111.525),(0.845,111.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,185.925),(0.205,186.075),(0.355,186.075),(0.355,185.925),(0.205,185.925)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,185.925),(0.525,186.075),(0.675,186.075),(0.675,185.925),(0.525,185.925)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,185.925),(0.845,186.075),(0.995,186.075),(0.995,185.925),(0.845,185.925)),
        )
        createRL(
            tech, net, 'nwm',
            ((19.96,-1.14),(19.96,297.6),(20.8,297.6),(20.8,-1.14),(19.96,-1.14)),
        )
        net = nets['a[0]']
        createRL(
            tech, net, 'm1',
            ((0.0,4.355),(0.0,4.645),(1.57,4.645),(1.57,4.355),(0.0,4.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(4.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(4.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[1]']
        createRL(
            tech, net, 'm1',
            ((0.0,21.355),(0.0,21.645),(1.57,21.645),(1.57,21.355),(0.0,21.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(21.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(21.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[2]']
        createRL(
            tech, net, 'm1',
            ((0.0,38.355),(0.0,38.645),(1.57,38.645),(1.57,38.355),(0.0,38.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(38.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(38.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[3]']
        createRL(
            tech, net, 'm1',
            ((0.0,55.355),(0.0,55.645),(1.57,55.645),(1.57,55.355),(0.0,55.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(55.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(55.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[4]']
        createRL(
            tech, net, 'm1',
            ((0.0,72.355),(0.0,72.645),(1.57,72.645),(1.57,72.355),(0.0,72.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(72.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(72.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[5]']
        createRL(
            tech, net, 'm1',
            ((0.0,89.355),(0.0,89.645),(1.57,89.645),(1.57,89.355),(0.0,89.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(89.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(89.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[6]']
        createRL(
            tech, net, 'm1',
            ((0.0,106.355),(0.0,106.645),(1.57,106.645),(1.57,106.355),(0.0,106.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(106.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(106.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk']
        createRL(
            tech, net, 'm1',
            ((1.725,0.0),(1.725,103.5),(1.985,103.5),(1.985,0.0),(1.725,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.855), u(0.26), u(0.0), u(103.5),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.855), u(0.26), u(0.0), u(103.5),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_en']
        createRL(
            tech, net, 'm1',
            ((22.915,0.0),(22.915,296.405),(23.145,296.405),(23.145,0.0),(22.915,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(23.03), u(0.23), u(0.0), u(296.405),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(23.03), u(0.23), u(0.0), u(296.405),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((26.9,1.88),(26.9,2.14),(27.46,2.14),(27.46,1.88),(26.9,1.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.01), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.01), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((26.9,2.51),(26.9,2.77),(27.46,2.77),(27.46,2.51),(26.9,2.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.64), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.64), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((26.9,6.53),(26.9,6.79),(27.46,6.79),(27.46,6.53),(26.9,6.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.66), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.66), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((26.9,7.16),(26.9,7.42),(27.46,7.42),(27.46,7.16),(26.9,7.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.29), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.29), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[4]']
        createRL(
            tech, net, 'm2',
            ((26.9,11.18),(26.9,11.44),(27.46,11.44),(27.46,11.18),(26.9,11.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.31), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.31), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[5]']
        createRL(
            tech, net, 'm2',
            ((26.9,11.81),(26.9,12.07),(27.46,12.07),(27.46,11.81),(26.9,11.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.94), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.94), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[6]']
        createRL(
            tech, net, 'm2',
            ((26.9,15.83),(26.9,16.09),(27.46,16.09),(27.46,15.83),(26.9,15.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.96), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.96), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[7]']
        createRL(
            tech, net, 'm2',
            ((26.9,16.46),(26.9,16.72),(27.46,16.72),(27.46,16.46),(26.9,16.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.59), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.59), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[8]']
        createRL(
            tech, net, 'm2',
            ((26.9,20.48),(26.9,20.74),(27.46,20.74),(27.46,20.48),(26.9,20.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(20.61), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(20.61), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[9]']
        createRL(
            tech, net, 'm2',
            ((26.9,21.11),(26.9,21.37),(27.46,21.37),(27.46,21.11),(26.9,21.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.24), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.24), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[10]']
        createRL(
            tech, net, 'm2',
            ((26.9,25.13),(26.9,25.39),(27.46,25.39),(27.46,25.13),(26.9,25.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.26), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.26), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[11]']
        createRL(
            tech, net, 'm2',
            ((26.9,25.76),(26.9,26.02),(27.46,26.02),(27.46,25.76),(26.9,25.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.89), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.89), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[12]']
        createRL(
            tech, net, 'm2',
            ((26.9,29.78),(26.9,30.04),(27.46,30.04),(27.46,29.78),(26.9,29.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.91), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.91), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[13]']
        createRL(
            tech, net, 'm2',
            ((26.9,30.41),(26.9,30.67),(27.46,30.67),(27.46,30.41),(26.9,30.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(30.54), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(30.54), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[14]']
        createRL(
            tech, net, 'm2',
            ((26.9,34.43),(26.9,34.69),(27.46,34.69),(27.46,34.43),(26.9,34.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.56), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.56), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[15]']
        createRL(
            tech, net, 'm2',
            ((26.9,35.06),(26.9,35.32),(27.46,35.32),(27.46,35.06),(26.9,35.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.19), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.19), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[16]']
        createRL(
            tech, net, 'm2',
            ((26.9,39.08),(26.9,39.34),(27.46,39.34),(27.46,39.08),(26.9,39.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(39.21), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(39.21), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[17]']
        createRL(
            tech, net, 'm2',
            ((26.9,39.71),(26.9,39.97),(27.46,39.97),(27.46,39.71),(26.9,39.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(39.84), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(39.84), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[18]']
        createRL(
            tech, net, 'm2',
            ((26.9,43.73),(26.9,43.99),(27.46,43.99),(27.46,43.73),(26.9,43.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(43.86), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(43.86), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[19]']
        createRL(
            tech, net, 'm2',
            ((26.9,44.36),(26.9,44.62),(27.46,44.62),(27.46,44.36),(26.9,44.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(44.49), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(44.49), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[20]']
        createRL(
            tech, net, 'm2',
            ((26.9,48.38),(26.9,48.64),(27.46,48.64),(27.46,48.38),(26.9,48.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.51), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.51), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[21]']
        createRL(
            tech, net, 'm2',
            ((26.9,49.01),(26.9,49.27),(27.46,49.27),(27.46,49.01),(26.9,49.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(49.14), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(49.14), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[22]']
        createRL(
            tech, net, 'm2',
            ((26.9,53.03),(26.9,53.29),(27.46,53.29),(27.46,53.03),(26.9,53.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(53.16), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(53.16), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[23]']
        createRL(
            tech, net, 'm2',
            ((26.9,53.66),(26.9,53.92),(27.46,53.92),(27.46,53.66),(26.9,53.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(53.79), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(53.79), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[24]']
        createRL(
            tech, net, 'm2',
            ((26.9,57.68),(26.9,57.94),(27.46,57.94),(27.46,57.68),(26.9,57.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(57.81), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(57.81), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[25]']
        createRL(
            tech, net, 'm2',
            ((26.9,58.31),(26.9,58.57),(27.46,58.57),(27.46,58.31),(26.9,58.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(58.44), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(58.44), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[26]']
        createRL(
            tech, net, 'm2',
            ((26.9,62.33),(26.9,62.59),(27.46,62.59),(27.46,62.33),(26.9,62.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(62.46), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(62.46), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[27]']
        createRL(
            tech, net, 'm2',
            ((26.9,62.96),(26.9,63.22),(27.46,63.22),(27.46,62.96),(26.9,62.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.09), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.09), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[28]']
        createRL(
            tech, net, 'm2',
            ((26.9,66.98),(26.9,67.24),(27.46,67.24),(27.46,66.98),(26.9,66.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.11), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.11), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[29]']
        createRL(
            tech, net, 'm2',
            ((26.9,67.61),(26.9,67.87),(27.46,67.87),(27.46,67.61),(26.9,67.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.74), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.74), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[30]']
        createRL(
            tech, net, 'm2',
            ((26.9,71.63),(26.9,71.89),(27.46,71.89),(27.46,71.63),(26.9,71.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(71.76), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(71.76), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[31]']
        createRL(
            tech, net, 'm2',
            ((26.9,72.26),(26.9,72.52),(27.46,72.52),(27.46,72.26),(26.9,72.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.39), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.39), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[32]']
        createRL(
            tech, net, 'm2',
            ((26.9,76.28),(26.9,76.54),(27.46,76.54),(27.46,76.28),(26.9,76.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(76.41), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(76.41), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[33]']
        createRL(
            tech, net, 'm2',
            ((26.9,76.91),(26.9,77.17),(27.46,77.17),(27.46,76.91),(26.9,76.91)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(77.04), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(77.04), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[34]']
        createRL(
            tech, net, 'm2',
            ((26.9,80.93),(26.9,81.19),(27.46,81.19),(27.46,80.93),(26.9,80.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(81.06), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(81.06), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[35]']
        createRL(
            tech, net, 'm2',
            ((26.9,81.56),(26.9,81.82),(27.46,81.82),(27.46,81.56),(26.9,81.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(81.69), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(81.69), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[36]']
        createRL(
            tech, net, 'm2',
            ((26.9,85.58),(26.9,85.84),(27.46,85.84),(27.46,85.58),(26.9,85.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(85.71), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(85.71), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[37]']
        createRL(
            tech, net, 'm2',
            ((26.9,86.21),(26.9,86.47),(27.46,86.47),(27.46,86.21),(26.9,86.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(86.34), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(86.34), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[38]']
        createRL(
            tech, net, 'm2',
            ((26.9,90.23),(26.9,90.49),(27.46,90.49),(27.46,90.23),(26.9,90.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.36), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.36), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[39]']
        createRL(
            tech, net, 'm2',
            ((26.9,90.86),(26.9,91.12),(27.46,91.12),(27.46,90.86),(26.9,90.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.99), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.99), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[40]']
        createRL(
            tech, net, 'm2',
            ((26.9,94.88),(26.9,95.14),(27.46,95.14),(27.46,94.88),(26.9,94.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(95.01), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(95.01), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[41]']
        createRL(
            tech, net, 'm2',
            ((26.9,95.51),(26.9,95.77),(27.46,95.77),(27.46,95.51),(26.9,95.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(95.64), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(95.64), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[42]']
        createRL(
            tech, net, 'm2',
            ((26.9,99.53),(26.9,99.79),(27.46,99.79),(27.46,99.53),(26.9,99.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(99.66), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(99.66), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[43]']
        createRL(
            tech, net, 'm2',
            ((26.9,100.16),(26.9,100.42),(27.46,100.42),(27.46,100.16),(26.9,100.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(100.29), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(100.29), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[44]']
        createRL(
            tech, net, 'm2',
            ((26.9,104.18),(26.9,104.44),(27.46,104.44),(27.46,104.18),(26.9,104.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(104.31), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(104.31), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[45]']
        createRL(
            tech, net, 'm2',
            ((26.9,104.81),(26.9,105.07),(27.46,105.07),(27.46,104.81),(26.9,104.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(104.94), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(104.94), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[46]']
        createRL(
            tech, net, 'm2',
            ((26.9,108.83),(26.9,109.09),(27.46,109.09),(27.46,108.83),(26.9,108.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(108.96), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(108.96), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[47]']
        createRL(
            tech, net, 'm2',
            ((26.9,109.46),(26.9,109.72),(27.46,109.72),(27.46,109.46),(26.9,109.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(109.59), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(109.59), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[48]']
        createRL(
            tech, net, 'm2',
            ((26.9,113.48),(26.9,113.74),(27.46,113.74),(27.46,113.48),(26.9,113.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(113.61), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(113.61), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[49]']
        createRL(
            tech, net, 'm2',
            ((26.9,114.11),(26.9,114.37),(27.46,114.37),(27.46,114.11),(26.9,114.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(114.24), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(114.24), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[50]']
        createRL(
            tech, net, 'm2',
            ((26.9,118.13),(26.9,118.39),(27.46,118.39),(27.46,118.13),(26.9,118.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(118.26), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(118.26), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[51]']
        createRL(
            tech, net, 'm2',
            ((26.9,118.76),(26.9,119.02),(27.46,119.02),(27.46,118.76),(26.9,118.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(118.89), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(118.89), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[52]']
        createRL(
            tech, net, 'm2',
            ((26.9,122.78),(26.9,123.04),(27.46,123.04),(27.46,122.78),(26.9,122.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(122.91), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(122.91), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[53]']
        createRL(
            tech, net, 'm2',
            ((26.9,123.41),(26.9,123.67),(27.46,123.67),(27.46,123.41),(26.9,123.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(123.54), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(123.54), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[54]']
        createRL(
            tech, net, 'm2',
            ((26.9,127.43),(26.9,127.69),(27.46,127.69),(27.46,127.43),(26.9,127.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(127.56), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(127.56), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[55]']
        createRL(
            tech, net, 'm2',
            ((26.9,128.06),(26.9,128.32),(27.46,128.32),(27.46,128.06),(26.9,128.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(128.19), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(128.19), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[56]']
        createRL(
            tech, net, 'm2',
            ((26.9,132.08),(26.9,132.34),(27.46,132.34),(27.46,132.08),(26.9,132.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(132.21), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(132.21), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[57]']
        createRL(
            tech, net, 'm2',
            ((26.9,132.71),(26.9,132.97),(27.46,132.97),(27.46,132.71),(26.9,132.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(132.84), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(132.84), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[58]']
        createRL(
            tech, net, 'm2',
            ((26.9,136.73),(26.9,136.99),(27.46,136.99),(27.46,136.73),(26.9,136.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(136.86), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(136.86), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[59]']
        createRL(
            tech, net, 'm2',
            ((26.9,137.36),(26.9,137.62),(27.46,137.62),(27.46,137.36),(26.9,137.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(137.49), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(137.49), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[60]']
        createRL(
            tech, net, 'm2',
            ((26.9,141.38),(26.9,141.64),(27.46,141.64),(27.46,141.38),(26.9,141.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(141.51), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(141.51), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[61]']
        createRL(
            tech, net, 'm2',
            ((26.9,142.01),(26.9,142.27),(27.46,142.27),(27.46,142.01),(26.9,142.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(142.14), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(142.14), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[62]']
        createRL(
            tech, net, 'm2',
            ((26.9,146.03),(26.9,146.29),(27.46,146.29),(27.46,146.03),(26.9,146.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(146.16), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(146.16), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[63]']
        createRL(
            tech, net, 'm2',
            ((26.9,146.66),(26.9,146.92),(27.46,146.92),(27.46,146.66),(26.9,146.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(146.79), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(146.79), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[64]']
        createRL(
            tech, net, 'm2',
            ((26.9,150.68),(26.9,150.94),(27.46,150.94),(27.46,150.68),(26.9,150.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(150.81), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(150.81), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[65]']
        createRL(
            tech, net, 'm2',
            ((26.9,151.31),(26.9,151.57),(27.46,151.57),(27.46,151.31),(26.9,151.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(151.44), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(151.44), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[66]']
        createRL(
            tech, net, 'm2',
            ((26.9,155.33),(26.9,155.59),(27.46,155.59),(27.46,155.33),(26.9,155.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(155.46), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(155.46), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[67]']
        createRL(
            tech, net, 'm2',
            ((26.9,155.96),(26.9,156.22),(27.46,156.22),(27.46,155.96),(26.9,155.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(156.09), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(156.09), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[68]']
        createRL(
            tech, net, 'm2',
            ((26.9,159.98),(26.9,160.24),(27.46,160.24),(27.46,159.98),(26.9,159.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(160.11), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(160.11), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[69]']
        createRL(
            tech, net, 'm2',
            ((26.9,160.61),(26.9,160.87),(27.46,160.87),(27.46,160.61),(26.9,160.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(160.74), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(160.74), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[70]']
        createRL(
            tech, net, 'm2',
            ((26.9,164.63),(26.9,164.89),(27.46,164.89),(27.46,164.63),(26.9,164.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(164.76), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(164.76), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[71]']
        createRL(
            tech, net, 'm2',
            ((26.9,165.26),(26.9,165.52),(27.46,165.52),(27.46,165.26),(26.9,165.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(165.39), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(165.39), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[72]']
        createRL(
            tech, net, 'm2',
            ((26.9,169.28),(26.9,169.54),(27.46,169.54),(27.46,169.28),(26.9,169.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(169.41), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(169.41), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[73]']
        createRL(
            tech, net, 'm2',
            ((26.9,169.91),(26.9,170.17),(27.46,170.17),(27.46,169.91),(26.9,169.91)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(170.04), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(170.04), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[74]']
        createRL(
            tech, net, 'm2',
            ((26.9,173.93),(26.9,174.19),(27.46,174.19),(27.46,173.93),(26.9,173.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(174.06), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(174.06), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[75]']
        createRL(
            tech, net, 'm2',
            ((26.9,174.56),(26.9,174.82),(27.46,174.82),(27.46,174.56),(26.9,174.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(174.69), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(174.69), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[76]']
        createRL(
            tech, net, 'm2',
            ((26.9,178.58),(26.9,178.84),(27.46,178.84),(27.46,178.58),(26.9,178.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(178.71), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(178.71), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[77]']
        createRL(
            tech, net, 'm2',
            ((26.9,179.21),(26.9,179.47),(27.46,179.47),(27.46,179.21),(26.9,179.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(179.34), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(179.34), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[78]']
        createRL(
            tech, net, 'm2',
            ((26.9,183.23),(26.9,183.49),(27.46,183.49),(27.46,183.23),(26.9,183.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(183.36), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(183.36), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[79]']
        createRL(
            tech, net, 'm2',
            ((26.9,183.86),(26.9,184.12),(27.46,184.12),(27.46,183.86),(26.9,183.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(183.99), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(183.99), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[80]']
        createRL(
            tech, net, 'm2',
            ((26.9,187.88),(26.9,188.14),(27.46,188.14),(27.46,187.88),(26.9,187.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(188.01), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(188.01), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[81]']
        createRL(
            tech, net, 'm2',
            ((26.9,188.51),(26.9,188.77),(27.46,188.77),(27.46,188.51),(26.9,188.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(188.64), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(188.64), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[82]']
        createRL(
            tech, net, 'm2',
            ((26.9,192.53),(26.9,192.79),(27.46,192.79),(27.46,192.53),(26.9,192.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(192.66), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(192.66), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[83]']
        createRL(
            tech, net, 'm2',
            ((26.9,193.16),(26.9,193.42),(27.46,193.42),(27.46,193.16),(26.9,193.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(193.29), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(193.29), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[84]']
        createRL(
            tech, net, 'm2',
            ((26.9,197.18),(26.9,197.44),(27.46,197.44),(27.46,197.18),(26.9,197.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(197.31), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(197.31), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[85]']
        createRL(
            tech, net, 'm2',
            ((26.9,197.81),(26.9,198.07),(27.46,198.07),(27.46,197.81),(26.9,197.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(197.94), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(197.94), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[86]']
        createRL(
            tech, net, 'm2',
            ((26.9,201.83),(26.9,202.09),(27.46,202.09),(27.46,201.83),(26.9,201.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(201.96), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(201.96), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[87]']
        createRL(
            tech, net, 'm2',
            ((26.9,202.46),(26.9,202.72),(27.46,202.72),(27.46,202.46),(26.9,202.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(202.59), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(202.59), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[88]']
        createRL(
            tech, net, 'm2',
            ((26.9,206.48),(26.9,206.74),(27.46,206.74),(27.46,206.48),(26.9,206.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(206.61), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(206.61), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[89]']
        createRL(
            tech, net, 'm2',
            ((26.9,207.11),(26.9,207.37),(27.46,207.37),(27.46,207.11),(26.9,207.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(207.24), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(207.24), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[90]']
        createRL(
            tech, net, 'm2',
            ((26.9,211.13),(26.9,211.39),(27.46,211.39),(27.46,211.13),(26.9,211.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(211.26), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(211.26), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[91]']
        createRL(
            tech, net, 'm2',
            ((26.9,211.76),(26.9,212.02),(27.46,212.02),(27.46,211.76),(26.9,211.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(211.89), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(211.89), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[92]']
        createRL(
            tech, net, 'm2',
            ((26.9,215.78),(26.9,216.04),(27.46,216.04),(27.46,215.78),(26.9,215.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(215.91), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(215.91), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[93]']
        createRL(
            tech, net, 'm2',
            ((26.9,216.41),(26.9,216.67),(27.46,216.67),(27.46,216.41),(26.9,216.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(216.54), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(216.54), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[94]']
        createRL(
            tech, net, 'm2',
            ((26.9,220.43),(26.9,220.69),(27.46,220.69),(27.46,220.43),(26.9,220.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(220.56), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(220.56), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[95]']
        createRL(
            tech, net, 'm2',
            ((26.9,221.06),(26.9,221.32),(27.46,221.32),(27.46,221.06),(26.9,221.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(221.19), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(221.19), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[96]']
        createRL(
            tech, net, 'm2',
            ((26.9,225.08),(26.9,225.34),(27.46,225.34),(27.46,225.08),(26.9,225.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(225.21), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(225.21), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[97]']
        createRL(
            tech, net, 'm2',
            ((26.9,225.71),(26.9,225.97),(27.46,225.97),(27.46,225.71),(26.9,225.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(225.84), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(225.84), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[98]']
        createRL(
            tech, net, 'm2',
            ((26.9,229.73),(26.9,229.99),(27.46,229.99),(27.46,229.73),(26.9,229.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(229.86), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(229.86), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[99]']
        createRL(
            tech, net, 'm2',
            ((26.9,230.36),(26.9,230.62),(27.46,230.62),(27.46,230.36),(26.9,230.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(230.49), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(230.49), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[100]']
        createRL(
            tech, net, 'm2',
            ((26.9,234.38),(26.9,234.64),(27.46,234.64),(27.46,234.38),(26.9,234.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(234.51), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(234.51), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[101]']
        createRL(
            tech, net, 'm2',
            ((26.9,235.01),(26.9,235.27),(27.46,235.27),(27.46,235.01),(26.9,235.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(235.14), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(235.14), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[102]']
        createRL(
            tech, net, 'm2',
            ((26.9,239.03),(26.9,239.29),(27.46,239.29),(27.46,239.03),(26.9,239.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(239.16), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(239.16), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[103]']
        createRL(
            tech, net, 'm2',
            ((26.9,239.66),(26.9,239.92),(27.46,239.92),(27.46,239.66),(26.9,239.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(239.79), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(239.79), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[104]']
        createRL(
            tech, net, 'm2',
            ((26.9,243.68),(26.9,243.94),(27.46,243.94),(27.46,243.68),(26.9,243.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(243.81), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(243.81), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[105]']
        createRL(
            tech, net, 'm2',
            ((26.9,244.31),(26.9,244.57),(27.46,244.57),(27.46,244.31),(26.9,244.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(244.44), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(244.44), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[106]']
        createRL(
            tech, net, 'm2',
            ((26.9,248.33),(26.9,248.59),(27.46,248.59),(27.46,248.33),(26.9,248.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(248.46), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(248.46), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[107]']
        createRL(
            tech, net, 'm2',
            ((26.9,248.96),(26.9,249.22),(27.46,249.22),(27.46,248.96),(26.9,248.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(249.09), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(249.09), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[108]']
        createRL(
            tech, net, 'm2',
            ((26.9,252.98),(26.9,253.24),(27.46,253.24),(27.46,252.98),(26.9,252.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(253.11), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(253.11), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[109]']
        createRL(
            tech, net, 'm2',
            ((26.9,253.61),(26.9,253.87),(27.46,253.87),(27.46,253.61),(26.9,253.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(253.74), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(253.74), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[110]']
        createRL(
            tech, net, 'm2',
            ((26.9,257.63),(26.9,257.89),(27.46,257.89),(27.46,257.63),(26.9,257.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(257.76), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(257.76), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[111]']
        createRL(
            tech, net, 'm2',
            ((26.9,258.26),(26.9,258.52),(27.46,258.52),(27.46,258.26),(26.9,258.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(258.39), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(258.39), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[112]']
        createRL(
            tech, net, 'm2',
            ((26.9,262.28),(26.9,262.54),(27.46,262.54),(27.46,262.28),(26.9,262.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(262.41), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(262.41), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[113]']
        createRL(
            tech, net, 'm2',
            ((26.9,262.91),(26.9,263.17),(27.46,263.17),(27.46,262.91),(26.9,262.91)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(263.04), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(263.04), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[114]']
        createRL(
            tech, net, 'm2',
            ((26.9,266.93),(26.9,267.19),(27.46,267.19),(27.46,266.93),(26.9,266.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(267.06), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(267.06), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[115]']
        createRL(
            tech, net, 'm2',
            ((26.9,267.56),(26.9,267.82),(27.46,267.82),(27.46,267.56),(26.9,267.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(267.69), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(267.69), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[116]']
        createRL(
            tech, net, 'm2',
            ((26.9,271.58),(26.9,271.84),(27.46,271.84),(27.46,271.58),(26.9,271.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(271.71), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(271.71), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[117]']
        createRL(
            tech, net, 'm2',
            ((26.9,272.21),(26.9,272.47),(27.46,272.47),(27.46,272.21),(26.9,272.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(272.34), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(272.34), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[118]']
        createRL(
            tech, net, 'm2',
            ((26.9,276.23),(26.9,276.49),(27.46,276.49),(27.46,276.23),(26.9,276.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(276.36), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(276.36), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[119]']
        createRL(
            tech, net, 'm2',
            ((26.9,276.86),(26.9,277.12),(27.46,277.12),(27.46,276.86),(26.9,276.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(276.99), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(276.99), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[120]']
        createRL(
            tech, net, 'm2',
            ((26.9,280.88),(26.9,281.14),(27.46,281.14),(27.46,280.88),(26.9,280.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(281.01), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(281.01), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[121]']
        createRL(
            tech, net, 'm2',
            ((26.9,281.51),(26.9,281.77),(27.46,281.77),(27.46,281.51),(26.9,281.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(281.64), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(281.64), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[122]']
        createRL(
            tech, net, 'm2',
            ((26.9,285.53),(26.9,285.79),(27.46,285.79),(27.46,285.53),(26.9,285.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(285.66), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(285.66), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[123]']
        createRL(
            tech, net, 'm2',
            ((26.9,286.16),(26.9,286.42),(27.46,286.42),(27.46,286.16),(26.9,286.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(286.29), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(286.29), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[124]']
        createRL(
            tech, net, 'm2',
            ((26.9,290.18),(26.9,290.44),(27.46,290.44),(27.46,290.18),(26.9,290.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(290.31), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(290.31), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[125]']
        createRL(
            tech, net, 'm2',
            ((26.9,290.81),(26.9,291.07),(27.46,291.07),(27.46,290.81),(26.9,290.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(290.94), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(290.94), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[126]']
        createRL(
            tech, net, 'm2',
            ((26.9,294.83),(26.9,295.09),(27.46,295.09),(27.46,294.83),(26.9,294.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(294.96), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(294.96), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[127]']
        createRL(
            tech, net, 'm2',
            ((26.9,295.46),(26.9,295.72),(27.46,295.72),(27.46,295.46),(26.9,295.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(295.59), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(295.59), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][0]']
        createRL(
            tech, net, 'li',
            ((21.885,1.075),(21.885,1.605),(22.055,1.605),(22.055,1.075),(21.885,1.075)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,94.075),(21.885,94.605),(22.055,94.605),(22.055,94.075),(21.885,94.075)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,224.275),(21.885,224.805),(22.055,224.805),(22.055,224.275),(21.885,224.275)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,149.88),(21.885,150.41),(22.055,150.41),(22.055,149.88),(21.885,149.88)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,131.28),(21.885,131.81),(22.055,131.81),(22.055,131.28),(21.885,131.28)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,205.68),(21.885,206.21),(22.055,206.21),(22.055,205.68),(21.885,205.68)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,261.48),(21.885,262.01),(22.055,262.01),(22.055,261.48),(21.885,261.48)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,75.48),(21.885,76.01),(22.055,76.01),(22.055,75.48),(21.885,75.48)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,112.675),(21.885,113.205),(22.055,113.205),(22.055,112.675),(21.885,112.675)),
        )
        createRL(
            tech, net, 'li',
            ((13.155,4.415),(13.155,4.585),(13.325,4.585),(13.325,4.415),(13.155,4.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,38.28),(21.885,38.81),(22.055,38.81),(22.055,38.28),(21.885,38.28)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,242.875),(21.885,243.405),(22.055,243.405),(22.055,242.875),(21.885,242.875)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,280.075),(21.885,280.605),(22.055,280.605),(22.055,280.075),(21.885,280.075)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,187.075),(21.885,187.605),(22.055,187.605),(22.055,187.075),(21.885,187.075)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,168.475),(21.885,169.005),(22.055,169.005),(22.055,168.475),(21.885,168.475)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,19.68),(21.885,20.21),(22.055,20.21),(22.055,19.68),(21.885,19.68)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,56.875),(21.885,57.405),(22.055,57.405),(22.055,56.875),(21.885,56.875)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,131.28),(21.885,131.45),(22.055,131.45),(22.055,131.28),(21.885,131.28)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,131.64),(21.885,131.81),(22.055,131.81),(22.055,131.64),(21.885,131.64)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,242.875),(21.885,243.045),(22.055,243.045),(22.055,242.875),(21.885,242.875)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,243.235),(21.885,243.405),(22.055,243.405),(22.055,243.235),(21.885,243.235)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,149.88),(21.885,150.05),(22.055,150.05),(22.055,149.88),(21.885,149.88)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,150.24),(21.885,150.41),(22.055,150.41),(22.055,150.24),(21.885,150.24)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,168.475),(21.885,168.645),(22.055,168.645),(22.055,168.475),(21.885,168.475)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,168.835),(21.885,169.005),(22.055,169.005),(22.055,168.835),(21.885,168.835)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,75.48),(21.885,75.65),(22.055,75.65),(22.055,75.48),(21.885,75.48)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,75.84),(21.885,76.01),(22.055,76.01),(22.055,75.84),(21.885,75.84)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,224.275),(21.885,224.445),(22.055,224.445),(22.055,224.275),(21.885,224.275)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,224.635),(21.885,224.805),(22.055,224.805),(22.055,224.635),(21.885,224.635)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,205.68),(21.885,205.85),(22.055,205.85),(22.055,205.68),(21.885,205.68)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,206.04),(21.885,206.21),(22.055,206.21),(22.055,206.04),(21.885,206.04)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,19.68),(21.885,19.85),(22.055,19.85),(22.055,19.68),(21.885,19.68)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,20.04),(21.885,20.21),(22.055,20.21),(22.055,20.04),(21.885,20.04)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,56.875),(21.885,57.045),(22.055,57.045),(22.055,56.875),(21.885,56.875)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,57.235),(21.885,57.405),(22.055,57.405),(22.055,57.235),(21.885,57.235)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,38.28),(21.885,38.45),(22.055,38.45),(22.055,38.28),(21.885,38.28)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,38.64),(21.885,38.81),(22.055,38.81),(22.055,38.64),(21.885,38.64)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,94.075),(21.885,94.245),(22.055,94.245),(22.055,94.075),(21.885,94.075)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,94.435),(21.885,94.605),(22.055,94.605),(22.055,94.435),(21.885,94.435)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,261.48),(21.885,261.65),(22.055,261.65),(22.055,261.48),(21.885,261.48)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,261.84),(21.885,262.01),(22.055,262.01),(22.055,261.84),(21.885,261.84)),
        )
        createRL(
            tech, net, 'mcon',
            ((13.155,4.415),(13.155,4.585),(13.325,4.585),(13.325,4.415),(13.155,4.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,112.675),(21.885,112.845),(22.055,112.845),(22.055,112.675),(21.885,112.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,113.035),(21.885,113.205),(22.055,113.205),(22.055,113.035),(21.885,113.035)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,1.075),(21.885,1.245),(22.055,1.245),(22.055,1.075),(21.885,1.075)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,1.435),(21.885,1.605),(22.055,1.605),(22.055,1.435),(21.885,1.435)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,280.075),(21.885,280.245),(22.055,280.245),(22.055,280.075),(21.885,280.075)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,280.435),(21.885,280.605),(22.055,280.605),(22.055,280.435),(21.885,280.435)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,187.075),(21.885,187.245),(22.055,187.245),(22.055,187.075),(21.885,187.075)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,187.435),(21.885,187.605),(22.055,187.605),(22.055,187.435),(21.885,187.435)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,94.015),(21.855,94.02),(21.84,94.02),(21.84,94.66),(21.855,94.66),(21.855,94.665),(22.085,94.665),(22.085,94.66),(22.1,94.66),(22.1,94.02),(22.085,94.02),(22.085,94.015),(21.855,94.015)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,19.62),(21.855,19.625),(21.84,19.625),(21.84,20.265),(21.855,20.265),(21.855,20.27),(22.085,20.27),(22.085,20.265),(22.1,20.265),(22.1,19.625),(22.085,19.625),(22.085,19.62),(21.855,19.62)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,168.415),(21.855,168.42),(21.84,168.42),(21.84,169.06),(21.855,169.06),(21.855,169.065),(22.085,169.065),(22.085,169.06),(22.1,169.06),(22.1,168.42),(22.085,168.42),(22.085,168.415),(21.855,168.415)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,187.015),(21.855,187.02),(21.84,187.02),(21.84,187.66),(21.855,187.66),(21.855,187.665),(22.085,187.665),(22.085,187.66),(22.1,187.66),(22.1,187.02),(22.085,187.02),(22.085,187.015),(21.855,187.015)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,242.815),(21.855,242.82),(21.84,242.82),(21.84,243.46),(21.855,243.46),(21.855,243.465),(22.085,243.465),(22.085,243.46),(22.1,243.46),(22.1,242.82),(22.085,242.82),(22.085,242.815),(21.855,242.815)),
        )
        createRL(
            tech, net, 'm1',
            ((13.11,1.02),(13.11,280.66),(13.37,280.66),(13.37,1.02),(13.11,1.02)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,38.22),(21.855,38.225),(21.84,38.225),(21.84,38.865),(21.855,38.865),(21.855,38.87),(22.085,38.87),(22.085,38.865),(22.1,38.865),(22.1,38.225),(22.085,38.225),(22.085,38.22),(21.855,38.22)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,131.22),(21.855,131.225),(21.84,131.225),(21.84,131.865),(21.855,131.865),(21.855,131.87),(22.085,131.87),(22.085,131.865),(22.1,131.865),(22.1,131.225),(22.085,131.225),(22.085,131.22),(21.855,131.22)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,261.42),(21.855,261.425),(21.84,261.425),(21.84,262.065),(21.855,262.065),(21.855,262.07),(22.085,262.07),(22.085,262.065),(22.1,262.065),(22.1,261.425),(22.085,261.425),(22.085,261.42),(21.855,261.42)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,1.015),(21.855,1.02),(21.84,1.02),(21.84,1.66),(21.855,1.66),(21.855,1.665),(22.085,1.665),(22.085,1.66),(22.1,1.66),(22.1,1.02),(22.085,1.02),(22.085,1.015),(21.855,1.015)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,224.215),(21.855,224.22),(21.84,224.22),(21.84,224.86),(21.855,224.86),(21.855,224.865),(22.085,224.865),(22.085,224.86),(22.1,224.86),(22.1,224.22),(22.085,224.22),(22.085,224.215),(21.855,224.215)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,56.815),(21.855,56.82),(21.84,56.82),(21.84,57.46),(21.855,57.46),(21.855,57.465),(22.085,57.465),(22.085,57.46),(22.1,57.46),(22.1,56.82),(22.085,56.82),(22.085,56.815),(21.855,56.815)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,205.62),(21.855,205.625),(21.84,205.625),(21.84,206.265),(21.855,206.265),(21.855,206.27),(22.085,206.27),(22.085,206.265),(22.1,206.265),(22.1,205.625),(22.085,205.625),(22.085,205.62),(21.855,205.62)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,280.015),(21.855,280.02),(21.84,280.02),(21.84,280.66),(21.855,280.66),(21.855,280.665),(22.085,280.665),(22.085,280.66),(22.1,280.66),(22.1,280.02),(22.085,280.02),(22.085,280.015),(21.855,280.015)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,112.615),(21.855,112.62),(21.84,112.62),(21.84,113.26),(21.855,113.26),(21.855,113.265),(22.085,113.265),(22.085,113.26),(22.1,113.26),(22.1,112.62),(22.085,112.62),(22.085,112.615),(21.855,112.615)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,75.42),(21.855,75.425),(21.84,75.425),(21.84,76.065),(21.855,76.065),(21.855,76.07),(22.085,76.07),(22.085,76.065),(22.1,76.065),(22.1,75.425),(22.085,75.425),(22.085,75.42),(21.855,75.42)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,149.82),(21.855,149.825),(21.84,149.825),(21.84,150.465),(21.855,150.465),(21.855,150.47),(22.085,150.47),(22.085,150.465),(22.1,150.465),(22.1,149.825),(22.085,149.825),(22.085,149.82),(21.855,149.82)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,149.91),(21.895,150.06),(22.045,150.06),(22.045,149.91),(21.895,149.91)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,150.23),(21.895,150.38),(22.045,150.38),(22.045,150.23),(21.895,150.23)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,280.105),(21.895,280.255),(22.045,280.255),(22.045,280.105),(21.895,280.105)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,280.425),(21.895,280.575),(22.045,280.575),(22.045,280.425),(21.895,280.425)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,187.105),(21.895,187.255),(22.045,187.255),(22.045,187.105),(21.895,187.105)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,187.425),(21.895,187.575),(22.045,187.575),(22.045,187.425),(21.895,187.425)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,131.31),(13.165,131.46),(13.315,131.46),(13.315,131.31),(13.165,131.31)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,131.63),(13.165,131.78),(13.315,131.78),(13.315,131.63),(13.165,131.63)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,261.51),(13.165,261.66),(13.315,261.66),(13.315,261.51),(13.165,261.51)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,261.83),(13.165,261.98),(13.315,261.98),(13.315,261.83),(13.165,261.83)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,94.105),(13.165,94.255),(13.315,94.255),(13.315,94.105),(13.165,94.105)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,94.425),(13.165,94.575),(13.315,94.575),(13.315,94.425),(13.165,94.425)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,56.905),(21.895,57.055),(22.045,57.055),(22.045,56.905),(21.895,56.905)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,57.225),(21.895,57.375),(22.045,57.375),(22.045,57.225),(21.895,57.225)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,131.31),(21.895,131.46),(22.045,131.46),(22.045,131.31),(21.895,131.31)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,131.63),(21.895,131.78),(22.045,131.78),(22.045,131.63),(21.895,131.63)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,242.905),(21.895,243.055),(22.045,243.055),(22.045,242.905),(21.895,242.905)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,243.225),(21.895,243.375),(22.045,243.375),(22.045,243.225),(21.895,243.225)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,75.51),(21.895,75.66),(22.045,75.66),(22.045,75.51),(21.895,75.51)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,75.83),(21.895,75.98),(22.045,75.98),(22.045,75.83),(21.895,75.83)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,168.505),(13.165,168.655),(13.315,168.655),(13.315,168.505),(13.165,168.505)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,168.825),(13.165,168.975),(13.315,168.975),(13.315,168.825),(13.165,168.825)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,280.105),(13.165,280.255),(13.315,280.255),(13.315,280.105),(13.165,280.105)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,280.425),(13.165,280.575),(13.315,280.575),(13.315,280.425),(13.165,280.425)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,168.505),(21.895,168.655),(22.045,168.655),(22.045,168.505),(21.895,168.505)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,168.825),(21.895,168.975),(22.045,168.975),(22.045,168.825),(21.895,168.825)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,205.71),(21.895,205.86),(22.045,205.86),(22.045,205.71),(21.895,205.71)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,206.03),(21.895,206.18),(22.045,206.18),(22.045,206.03),(21.895,206.03)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,187.105),(13.165,187.255),(13.315,187.255),(13.315,187.105),(13.165,187.105)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,187.425),(13.165,187.575),(13.315,187.575),(13.315,187.425),(13.165,187.425)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,19.71),(13.165,19.86),(13.315,19.86),(13.315,19.71),(13.165,19.71)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,20.03),(13.165,20.18),(13.315,20.18),(13.315,20.03),(13.165,20.03)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,1.105),(13.165,1.255),(13.315,1.255),(13.315,1.105),(13.165,1.105)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,1.425),(13.165,1.575),(13.315,1.575),(13.315,1.425),(13.165,1.425)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,112.705),(13.165,112.855),(13.315,112.855),(13.315,112.705),(13.165,112.705)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,113.025),(13.165,113.175),(13.315,113.175),(13.315,113.025),(13.165,113.025)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,261.51),(21.895,261.66),(22.045,261.66),(22.045,261.51),(21.895,261.51)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,261.83),(21.895,261.98),(22.045,261.98),(22.045,261.83),(21.895,261.83)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,38.31),(13.165,38.46),(13.315,38.46),(13.315,38.31),(13.165,38.31)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,38.63),(13.165,38.78),(13.315,38.78),(13.315,38.63),(13.165,38.63)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,19.71),(21.895,19.86),(22.045,19.86),(22.045,19.71),(21.895,19.71)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,20.03),(21.895,20.18),(22.045,20.18),(22.045,20.03),(21.895,20.03)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,224.305),(21.895,224.455),(22.045,224.455),(22.045,224.305),(21.895,224.305)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,224.625),(21.895,224.775),(22.045,224.775),(22.045,224.625),(21.895,224.625)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,75.51),(13.165,75.66),(13.315,75.66),(13.315,75.51),(13.165,75.51)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,75.83),(13.165,75.98),(13.315,75.98),(13.315,75.83),(13.165,75.83)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,242.905),(13.165,243.055),(13.315,243.055),(13.315,242.905),(13.165,242.905)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,243.225),(13.165,243.375),(13.315,243.375),(13.315,243.225),(13.165,243.225)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,56.905),(13.165,57.055),(13.315,57.055),(13.315,56.905),(13.165,56.905)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,57.225),(13.165,57.375),(13.315,57.375),(13.315,57.225),(13.165,57.225)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,149.91),(13.165,150.06),(13.315,150.06),(13.315,149.91),(13.165,149.91)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,150.23),(13.165,150.38),(13.315,150.38),(13.315,150.23),(13.165,150.23)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,1.105),(21.895,1.255),(22.045,1.255),(22.045,1.105),(21.895,1.105)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,1.425),(21.895,1.575),(22.045,1.575),(22.045,1.425),(21.895,1.425)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,94.105),(21.895,94.255),(22.045,94.255),(22.045,94.105),(21.895,94.105)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,94.425),(21.895,94.575),(22.045,94.575),(22.045,94.425),(21.895,94.425)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,224.305),(13.165,224.455),(13.315,224.455),(13.315,224.305),(13.165,224.305)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,224.625),(13.165,224.775),(13.315,224.775),(13.315,224.625),(13.165,224.625)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,112.705),(21.895,112.855),(22.045,112.855),(22.045,112.705),(21.895,112.705)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,113.025),(21.895,113.175),(22.045,113.175),(22.045,113.025),(21.895,113.025)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,38.31),(21.895,38.46),(22.045,38.46),(22.045,38.31),(21.895,38.31)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,38.63),(21.895,38.78),(22.045,38.78),(22.045,38.63),(21.895,38.63)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,205.71),(13.165,205.86),(13.315,205.86),(13.315,205.71),(13.165,205.71)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,206.03),(13.165,206.18),(13.315,206.18),(13.315,206.03),(13.165,206.03)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,187.02),(13.11,187.66),(22.1,187.66),(22.1,187.02),(13.11,187.02)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,19.625),(13.11,20.265),(22.1,20.265),(22.1,19.625),(13.11,19.625)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,280.02),(13.11,280.66),(22.1,280.66),(22.1,280.02),(13.11,280.02)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,56.82),(13.11,57.46),(22.1,57.46),(22.1,56.82),(13.11,56.82)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,168.42),(13.11,169.06),(22.1,169.06),(22.1,168.42),(13.11,168.42)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,1.02),(13.11,1.66),(22.1,1.66),(22.1,1.02),(13.11,1.02)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,94.02),(13.11,94.66),(22.1,94.66),(22.1,94.02),(13.11,94.02)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,224.22),(13.11,224.86),(22.1,224.86),(22.1,224.22),(13.11,224.22)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,149.825),(13.11,150.465),(22.1,150.465),(22.1,149.825),(13.11,149.825)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,131.225),(13.11,131.865),(22.1,131.865),(22.1,131.225),(13.11,131.225)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,205.625),(13.11,206.265),(22.1,206.265),(22.1,205.625),(13.11,205.625)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,261.425),(13.11,262.065),(22.1,262.065),(22.1,261.425),(13.11,261.425)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,75.425),(13.11,76.065),(22.1,76.065),(22.1,75.425),(13.11,75.425)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,112.62),(13.11,113.26),(22.1,113.26),(22.1,112.62),(13.11,112.62)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,38.225),(13.11,38.865),(22.1,38.865),(22.1,38.225),(13.11,38.225)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,242.82),(13.11,243.46),(22.1,243.46),(22.1,242.82),(13.11,242.82)),
        )
        net = nets['pd[0][1]']
        createRL(
            tech, net, 'li',
            ((21.885,244.845),(21.885,245.375),(22.055,245.375),(22.055,244.845),(21.885,244.845)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,96.045),(21.885,96.575),(22.055,96.575),(22.055,96.045),(21.885,96.045)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,21.645),(21.885,22.175),(22.055,22.175),(22.055,21.645),(21.885,21.645)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,3.045),(21.885,3.575),(22.055,3.575),(22.055,3.045),(21.885,3.045)),
        )
        createRL(
            tech, net, 'li',
            ((15.315,15.415),(15.315,15.585),(15.485,15.585),(15.485,15.415),(15.315,15.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,170.445),(21.885,170.975),(22.055,170.975),(22.055,170.445),(21.885,170.445)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,226.245),(21.885,226.775),(22.055,226.775),(22.055,226.245),(21.885,226.245)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,282.045),(21.885,282.575),(22.055,282.575),(22.055,282.045),(21.885,282.045)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,77.445),(21.885,77.975),(22.055,77.975),(22.055,77.445),(21.885,77.445)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,114.645),(21.885,115.175),(22.055,115.175),(22.055,114.645),(21.885,114.645)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,133.245),(21.885,133.775),(22.055,133.775),(22.055,133.245),(21.885,133.245)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,151.845),(21.885,152.375),(22.055,152.375),(22.055,151.845),(21.885,151.845)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,40.245),(21.885,40.775),(22.055,40.775),(22.055,40.245),(21.885,40.245)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,58.845),(21.885,59.375),(22.055,59.375),(22.055,58.845),(21.885,58.845)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,189.045),(21.885,189.575),(22.055,189.575),(22.055,189.045),(21.885,189.045)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,207.645),(21.885,208.175),(22.055,208.175),(22.055,207.645),(21.885,207.645)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,263.445),(21.885,263.975),(22.055,263.975),(22.055,263.445),(21.885,263.445)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,133.245),(21.885,133.415),(22.055,133.415),(22.055,133.245),(21.885,133.245)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,133.605),(21.885,133.775),(22.055,133.775),(22.055,133.605),(21.885,133.605)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,151.845),(21.885,152.015),(22.055,152.015),(22.055,151.845),(21.885,151.845)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,152.205),(21.885,152.375),(22.055,152.375),(22.055,152.205),(21.885,152.205)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,207.645),(21.885,207.815),(22.055,207.815),(22.055,207.645),(21.885,207.645)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,208.005),(21.885,208.175),(22.055,208.175),(22.055,208.005),(21.885,208.005)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,263.445),(21.885,263.615),(22.055,263.615),(22.055,263.445),(21.885,263.445)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,263.805),(21.885,263.975),(22.055,263.975),(22.055,263.805),(21.885,263.805)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,189.045),(21.885,189.215),(22.055,189.215),(22.055,189.045),(21.885,189.045)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,189.405),(21.885,189.575),(22.055,189.575),(22.055,189.405),(21.885,189.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,58.845),(21.885,59.015),(22.055,59.015),(22.055,58.845),(21.885,58.845)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,59.205),(21.885,59.375),(22.055,59.375),(22.055,59.205),(21.885,59.205)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,77.445),(21.885,77.615),(22.055,77.615),(22.055,77.445),(21.885,77.445)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,77.805),(21.885,77.975),(22.055,77.975),(22.055,77.805),(21.885,77.805)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,226.245),(21.885,226.415),(22.055,226.415),(22.055,226.245),(21.885,226.245)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,226.605),(21.885,226.775),(22.055,226.775),(22.055,226.605),(21.885,226.605)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,40.245),(21.885,40.415),(22.055,40.415),(22.055,40.245),(21.885,40.245)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,40.605),(21.885,40.775),(22.055,40.775),(22.055,40.605),(21.885,40.605)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,244.845),(21.885,245.015),(22.055,245.015),(22.055,244.845),(21.885,244.845)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,245.205),(21.885,245.375),(22.055,245.375),(22.055,245.205),(21.885,245.205)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,170.445),(21.885,170.615),(22.055,170.615),(22.055,170.445),(21.885,170.445)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,170.805),(21.885,170.975),(22.055,170.975),(22.055,170.805),(21.885,170.805)),
        )
        createRL(
            tech, net, 'mcon',
            ((15.315,15.415),(15.315,15.585),(15.485,15.585),(15.485,15.415),(15.315,15.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,96.045),(21.885,96.215),(22.055,96.215),(22.055,96.045),(21.885,96.045)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,96.405),(21.885,96.575),(22.055,96.575),(22.055,96.405),(21.885,96.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,114.645),(21.885,114.815),(22.055,114.815),(22.055,114.645),(21.885,114.645)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,115.005),(21.885,115.175),(22.055,115.175),(22.055,115.005),(21.885,115.005)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,21.645),(21.885,21.815),(22.055,21.815),(22.055,21.645),(21.885,21.645)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,22.005),(21.885,22.175),(22.055,22.175),(22.055,22.005),(21.885,22.005)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,3.045),(21.885,3.215),(22.055,3.215),(22.055,3.045),(21.885,3.045)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,3.405),(21.885,3.575),(22.055,3.575),(22.055,3.405),(21.885,3.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,282.045),(21.885,282.215),(22.055,282.215),(22.055,282.045),(21.885,282.045)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,282.405),(21.885,282.575),(22.055,282.575),(22.055,282.405),(21.885,282.405)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,114.585),(21.855,114.59),(21.84,114.59),(21.84,115.23),(21.855,115.23),(21.855,115.235),(22.085,115.235),(22.085,115.23),(22.1,115.23),(22.1,114.59),(22.085,114.59),(22.085,114.585),(21.855,114.585)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,207.585),(21.855,207.59),(21.84,207.59),(21.84,208.23),(21.855,208.23),(21.855,208.235),(22.085,208.235),(22.085,208.23),(22.1,208.23),(22.1,207.59),(22.085,207.59),(22.085,207.585),(21.855,207.585)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,40.185),(21.855,40.19),(21.84,40.19),(21.84,40.83),(21.855,40.83),(21.855,40.835),(22.085,40.835),(22.085,40.83),(22.1,40.83),(22.1,40.19),(22.085,40.19),(22.085,40.185),(21.855,40.185)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,281.985),(21.855,281.99),(21.84,281.99),(21.84,282.63),(21.855,282.63),(21.855,282.635),(22.085,282.635),(22.085,282.63),(22.1,282.63),(22.1,281.99),(22.085,281.99),(22.085,281.985),(21.855,281.985)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,58.785),(21.855,58.79),(21.84,58.79),(21.84,59.43),(21.855,59.43),(21.855,59.435),(22.085,59.435),(22.085,59.43),(22.1,59.43),(22.1,58.79),(22.085,58.79),(22.085,58.785),(21.855,58.785)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,188.985),(21.855,188.99),(21.84,188.99),(21.84,189.63),(21.855,189.63),(21.855,189.635),(22.085,189.635),(22.085,189.63),(22.1,189.63),(22.1,188.99),(22.085,188.99),(22.085,188.985),(21.855,188.985)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,151.785),(21.855,151.79),(21.84,151.79),(21.84,152.43),(21.855,152.43),(21.855,152.435),(22.085,152.435),(22.085,152.43),(22.1,152.43),(22.1,151.79),(22.085,151.79),(22.085,151.785),(21.855,151.785)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,133.185),(21.855,133.19),(21.84,133.19),(21.84,133.83),(21.855,133.83),(21.855,133.835),(22.085,133.835),(22.085,133.83),(22.1,133.83),(22.1,133.19),(22.085,133.19),(22.085,133.185),(21.855,133.185)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,2.985),(21.855,2.99),(21.84,2.99),(21.84,3.63),(21.855,3.63),(21.855,3.635),(22.085,3.635),(22.085,3.63),(22.1,3.63),(22.1,2.99),(22.085,2.99),(22.085,2.985),(21.855,2.985)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,77.385),(21.855,77.39),(21.84,77.39),(21.84,78.03),(21.855,78.03),(21.855,78.035),(22.085,78.035),(22.085,78.03),(22.1,78.03),(22.1,77.39),(22.085,77.39),(22.085,77.385),(21.855,77.385)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,226.185),(21.855,226.19),(21.84,226.19),(21.84,226.83),(21.855,226.83),(21.855,226.835),(22.085,226.835),(22.085,226.83),(22.1,226.83),(22.1,226.19),(22.085,226.19),(22.085,226.185),(21.855,226.185)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,95.985),(21.855,95.99),(21.84,95.99),(21.84,96.63),(21.855,96.63),(21.855,96.635),(22.085,96.635),(22.085,96.63),(22.1,96.63),(22.1,95.99),(22.085,95.99),(22.085,95.985),(21.855,95.985)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,244.785),(21.855,244.79),(21.84,244.79),(21.84,245.43),(21.855,245.43),(21.855,245.435),(22.085,245.435),(22.085,245.43),(22.1,245.43),(22.1,244.79),(22.085,244.79),(22.085,244.785),(21.855,244.785)),
        )
        createRL(
            tech, net, 'm1',
            ((15.27,2.99),(15.27,282.63),(15.53,282.63),(15.53,2.99),(15.27,2.99)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,170.385),(21.855,170.39),(21.84,170.39),(21.84,171.03),(21.855,171.03),(21.855,171.035),(22.085,171.035),(22.085,171.03),(22.1,171.03),(22.1,170.39),(22.085,170.39),(22.085,170.385),(21.855,170.385)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,21.585),(21.855,21.59),(21.84,21.59),(21.84,22.23),(21.855,22.23),(21.855,22.235),(22.085,22.235),(22.085,22.23),(22.1,22.23),(22.1,21.59),(22.085,21.59),(22.085,21.585),(21.855,21.585)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,263.385),(21.855,263.39),(21.84,263.39),(21.84,264.03),(21.855,264.03),(21.855,264.035),(22.085,264.035),(22.085,264.03),(22.1,264.03),(22.1,263.39),(22.085,263.39),(22.085,263.385),(21.855,263.385)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,170.475),(15.325,170.625),(15.475,170.625),(15.475,170.475),(15.325,170.475)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,170.795),(15.325,170.945),(15.475,170.945),(15.475,170.795),(15.325,170.795)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,226.275),(15.325,226.425),(15.475,226.425),(15.475,226.275),(15.325,226.275)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,226.595),(15.325,226.745),(15.475,226.745),(15.475,226.595),(15.325,226.595)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,77.475),(21.895,77.625),(22.045,77.625),(22.045,77.475),(21.895,77.475)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,77.795),(21.895,77.945),(22.045,77.945),(22.045,77.795),(21.895,77.795)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,58.875),(21.895,59.025),(22.045,59.025),(22.045,58.875),(21.895,58.875)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,59.195),(21.895,59.345),(22.045,59.345),(22.045,59.195),(21.895,59.195)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,207.675),(21.895,207.825),(22.045,207.825),(22.045,207.675),(21.895,207.675)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,207.995),(21.895,208.145),(22.045,208.145),(22.045,207.995),(21.895,207.995)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,40.275),(21.895,40.425),(22.045,40.425),(22.045,40.275),(21.895,40.275)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,40.595),(21.895,40.745),(22.045,40.745),(22.045,40.595),(21.895,40.595)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,170.475),(21.895,170.625),(22.045,170.625),(22.045,170.475),(21.895,170.475)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,170.795),(21.895,170.945),(22.045,170.945),(22.045,170.795),(21.895,170.795)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,263.475),(15.325,263.625),(15.475,263.625),(15.475,263.475),(15.325,263.475)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,263.795),(15.325,263.945),(15.475,263.945),(15.475,263.795),(15.325,263.795)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,96.075),(15.325,96.225),(15.475,96.225),(15.475,96.075),(15.325,96.075)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,96.395),(15.325,96.545),(15.475,96.545),(15.475,96.395),(15.325,96.395)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,263.475),(21.895,263.625),(22.045,263.625),(22.045,263.475),(21.895,263.475)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,263.795),(21.895,263.945),(22.045,263.945),(22.045,263.795),(21.895,263.795)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,244.875),(21.895,245.025),(22.045,245.025),(22.045,244.875),(21.895,244.875)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,245.195),(21.895,245.345),(22.045,245.345),(22.045,245.195),(21.895,245.195)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,114.675),(21.895,114.825),(22.045,114.825),(22.045,114.675),(21.895,114.675)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,114.995),(21.895,115.145),(22.045,115.145),(22.045,114.995),(21.895,114.995)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,244.875),(15.325,245.025),(15.475,245.025),(15.475,244.875),(15.325,244.875)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,245.195),(15.325,245.345),(15.475,245.345),(15.475,245.195),(15.325,245.195)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,40.275),(15.325,40.425),(15.475,40.425),(15.475,40.275),(15.325,40.275)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,40.595),(15.325,40.745),(15.475,40.745),(15.475,40.595),(15.325,40.595)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,3.075),(15.325,3.225),(15.475,3.225),(15.475,3.075),(15.325,3.075)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,3.395),(15.325,3.545),(15.475,3.545),(15.475,3.395),(15.325,3.395)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,189.075),(21.895,189.225),(22.045,189.225),(22.045,189.075),(21.895,189.075)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,189.395),(21.895,189.545),(22.045,189.545),(22.045,189.395),(21.895,189.395)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,21.675),(21.895,21.825),(22.045,21.825),(22.045,21.675),(21.895,21.675)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,21.995),(21.895,22.145),(22.045,22.145),(22.045,21.995),(21.895,21.995)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,189.075),(15.325,189.225),(15.475,189.225),(15.475,189.075),(15.325,189.075)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,189.395),(15.325,189.545),(15.475,189.545),(15.475,189.395),(15.325,189.395)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,3.075),(21.895,3.225),(22.045,3.225),(22.045,3.075),(21.895,3.075)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,3.395),(21.895,3.545),(22.045,3.545),(22.045,3.395),(21.895,3.395)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,282.075),(21.895,282.225),(22.045,282.225),(22.045,282.075),(21.895,282.075)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,282.395),(21.895,282.545),(22.045,282.545),(22.045,282.395),(21.895,282.395)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,21.675),(15.325,21.825),(15.475,21.825),(15.475,21.675),(15.325,21.675)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,21.995),(15.325,22.145),(15.475,22.145),(15.475,21.995),(15.325,21.995)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,151.875),(15.325,152.025),(15.475,152.025),(15.475,151.875),(15.325,151.875)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,152.195),(15.325,152.345),(15.475,152.345),(15.475,152.195),(15.325,152.195)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,133.275),(21.895,133.425),(22.045,133.425),(22.045,133.275),(21.895,133.275)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,133.595),(21.895,133.745),(22.045,133.745),(22.045,133.595),(21.895,133.595)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,77.475),(15.325,77.625),(15.475,77.625),(15.475,77.475),(15.325,77.475)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,77.795),(15.325,77.945),(15.475,77.945),(15.475,77.795),(15.325,77.795)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,226.275),(21.895,226.425),(22.045,226.425),(22.045,226.275),(21.895,226.275)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,226.595),(21.895,226.745),(22.045,226.745),(22.045,226.595),(21.895,226.595)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,207.675),(15.325,207.825),(15.475,207.825),(15.475,207.675),(15.325,207.675)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,207.995),(15.325,208.145),(15.475,208.145),(15.475,207.995),(15.325,207.995)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,114.675),(15.325,114.825),(15.475,114.825),(15.475,114.675),(15.325,114.675)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,114.995),(15.325,115.145),(15.475,115.145),(15.475,114.995),(15.325,114.995)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,58.875),(15.325,59.025),(15.475,59.025),(15.475,58.875),(15.325,58.875)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,59.195),(15.325,59.345),(15.475,59.345),(15.475,59.195),(15.325,59.195)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,151.875),(21.895,152.025),(22.045,152.025),(22.045,151.875),(21.895,151.875)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,152.195),(21.895,152.345),(22.045,152.345),(22.045,152.195),(21.895,152.195)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,282.075),(15.325,282.225),(15.475,282.225),(15.475,282.075),(15.325,282.075)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,282.395),(15.325,282.545),(15.475,282.545),(15.475,282.395),(15.325,282.395)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,133.275),(15.325,133.425),(15.475,133.425),(15.475,133.275),(15.325,133.275)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,133.595),(15.325,133.745),(15.475,133.745),(15.475,133.595),(15.325,133.595)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,96.075),(21.895,96.225),(22.045,96.225),(22.045,96.075),(21.895,96.075)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,96.395),(21.895,96.545),(22.045,96.545),(22.045,96.395),(21.895,96.395)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,188.99),(15.27,189.63),(22.1,189.63),(22.1,188.99),(15.27,188.99)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,21.59),(15.27,22.23),(22.1,22.23),(22.1,21.59),(15.27,21.59)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,114.59),(15.27,115.23),(22.1,115.23),(22.1,114.59),(15.27,114.59)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,207.59),(15.27,208.23),(22.1,208.23),(22.1,207.59),(15.27,207.59)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,281.99),(15.27,282.63),(22.1,282.63),(22.1,281.99),(15.27,281.99)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,133.19),(15.27,133.83),(22.1,133.83),(22.1,133.19),(15.27,133.19)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,58.79),(15.27,59.43),(22.1,59.43),(22.1,58.79),(15.27,58.79)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,170.39),(15.27,171.03),(22.1,171.03),(22.1,170.39),(15.27,170.39)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,151.79),(15.27,152.43),(22.1,152.43),(22.1,151.79),(15.27,151.79)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,244.79),(15.27,245.43),(22.1,245.43),(22.1,244.79),(15.27,244.79)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,263.39),(15.27,264.03),(22.1,264.03),(22.1,263.39),(15.27,263.39)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,77.39),(15.27,78.03),(22.1,78.03),(22.1,77.39),(15.27,77.39)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,226.19),(15.27,226.83),(22.1,226.83),(22.1,226.19),(15.27,226.19)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,40.19),(15.27,40.83),(22.1,40.83),(22.1,40.19),(15.27,40.19)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,2.99),(15.27,3.63),(22.1,3.63),(22.1,2.99),(15.27,2.99)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,95.99),(15.27,96.63),(22.1,96.63),(22.1,95.99),(15.27,95.99)),
        )
        net = nets['pd[0][2]']
        createRL(
            tech, net, 'li',
            ((21.885,80.13),(21.885,80.66),(22.055,80.66),(22.055,80.13),(21.885,80.13)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,154.53),(21.885,155.06),(22.055,155.06),(22.055,154.53),(21.885,154.53)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,228.93),(21.885,229.46),(22.055,229.46),(22.055,228.93),(21.885,228.93)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,5.725),(21.885,6.255),(22.055,6.255),(22.055,5.725),(21.885,5.725)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,61.525),(21.885,62.055),(22.055,62.055),(22.055,61.525),(21.885,61.525)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,284.725),(21.885,285.255),(22.055,285.255),(22.055,284.725),(21.885,284.725)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,210.33),(21.885,210.86),(22.055,210.86),(22.055,210.33),(21.885,210.33)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,266.13),(21.885,266.66),(22.055,266.66),(22.055,266.13),(21.885,266.13)),
        )
        createRL(
            tech, net, 'li',
            ((13.695,20.415),(13.695,20.585),(13.865,20.585),(13.865,20.415),(13.695,20.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,117.325),(21.885,117.855),(22.055,117.855),(22.055,117.325),(21.885,117.325)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,173.125),(21.885,173.655),(22.055,173.655),(22.055,173.125),(21.885,173.125)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,135.93),(21.885,136.46),(22.055,136.46),(22.055,135.93),(21.885,135.93)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,24.325),(21.885,24.855),(22.055,24.855),(22.055,24.325),(21.885,24.325)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,42.925),(21.885,43.455),(22.055,43.455),(22.055,42.925),(21.885,42.925)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,191.725),(21.885,192.255),(22.055,192.255),(22.055,191.725),(21.885,191.725)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,98.725),(21.885,99.255),(22.055,99.255),(22.055,98.725),(21.885,98.725)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,247.525),(21.885,248.055),(22.055,248.055),(22.055,247.525),(21.885,247.525)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,173.125),(21.885,173.295),(22.055,173.295),(22.055,173.125),(21.885,173.125)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,173.485),(21.885,173.655),(22.055,173.655),(22.055,173.485),(21.885,173.485)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,61.525),(21.885,61.695),(22.055,61.695),(22.055,61.525),(21.885,61.525)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,61.885),(21.885,62.055),(22.055,62.055),(22.055,61.885),(21.885,61.885)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,154.53),(21.885,154.7),(22.055,154.7),(22.055,154.53),(21.885,154.53)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,154.89),(21.885,155.06),(22.055,155.06),(22.055,154.89),(21.885,154.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,42.925),(21.885,43.095),(22.055,43.095),(22.055,42.925),(21.885,42.925)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,43.285),(21.885,43.455),(22.055,43.455),(22.055,43.285),(21.885,43.285)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,98.725),(21.885,98.895),(22.055,98.895),(22.055,98.725),(21.885,98.725)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,99.085),(21.885,99.255),(22.055,99.255),(22.055,99.085),(21.885,99.085)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,5.725),(21.885,5.895),(22.055,5.895),(22.055,5.725),(21.885,5.725)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,6.085),(21.885,6.255),(22.055,6.255),(22.055,6.085),(21.885,6.085)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,210.33),(21.885,210.5),(22.055,210.5),(22.055,210.33),(21.885,210.33)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,210.69),(21.885,210.86),(22.055,210.86),(22.055,210.69),(21.885,210.69)),
        )
        createRL(
            tech, net, 'mcon',
            ((13.695,20.415),(13.695,20.585),(13.865,20.585),(13.865,20.415),(13.695,20.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,247.525),(21.885,247.695),(22.055,247.695),(22.055,247.525),(21.885,247.525)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,247.885),(21.885,248.055),(22.055,248.055),(22.055,247.885),(21.885,247.885)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,24.325),(21.885,24.495),(22.055,24.495),(22.055,24.325),(21.885,24.325)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,24.685),(21.885,24.855),(22.055,24.855),(22.055,24.685),(21.885,24.685)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,135.93),(21.885,136.1),(22.055,136.1),(22.055,135.93),(21.885,135.93)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,136.29),(21.885,136.46),(22.055,136.46),(22.055,136.29),(21.885,136.29)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,228.93),(21.885,229.1),(22.055,229.1),(22.055,228.93),(21.885,228.93)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,229.29),(21.885,229.46),(22.055,229.46),(22.055,229.29),(21.885,229.29)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,284.725),(21.885,284.895),(22.055,284.895),(22.055,284.725),(21.885,284.725)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,285.085),(21.885,285.255),(22.055,285.255),(22.055,285.085),(21.885,285.085)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,191.725),(21.885,191.895),(22.055,191.895),(22.055,191.725),(21.885,191.725)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,192.085),(21.885,192.255),(22.055,192.255),(22.055,192.085),(21.885,192.085)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,266.13),(21.885,266.3),(22.055,266.3),(22.055,266.13),(21.885,266.13)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,266.49),(21.885,266.66),(22.055,266.66),(22.055,266.49),(21.885,266.49)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,80.13),(21.885,80.3),(22.055,80.3),(22.055,80.13),(21.885,80.13)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,80.49),(21.885,80.66),(22.055,80.66),(22.055,80.49),(21.885,80.49)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,117.325),(21.885,117.495),(22.055,117.495),(22.055,117.325),(21.885,117.325)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,117.685),(21.885,117.855),(22.055,117.855),(22.055,117.685),(21.885,117.685)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,117.265),(21.855,117.27),(21.84,117.27),(21.84,117.91),(21.855,117.91),(21.855,117.915),(22.085,117.915),(22.085,117.91),(22.1,117.91),(22.1,117.27),(22.085,117.27),(22.085,117.265),(21.855,117.265)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,61.465),(21.855,61.47),(21.84,61.47),(21.84,62.11),(21.855,62.11),(21.855,62.115),(22.085,62.115),(22.085,62.11),(22.1,62.11),(22.1,61.47),(22.085,61.47),(22.085,61.465),(21.855,61.465)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,210.27),(21.855,210.275),(21.84,210.275),(21.84,210.915),(21.855,210.915),(21.855,210.92),(22.085,210.92),(22.085,210.915),(22.1,210.915),(22.1,210.275),(22.085,210.275),(22.085,210.27),(21.855,210.27)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,228.87),(21.855,228.875),(21.84,228.875),(21.84,229.515),(21.855,229.515),(21.855,229.52),(22.085,229.52),(22.085,229.515),(22.1,229.515),(22.1,228.875),(22.085,228.875),(22.085,228.87),(21.855,228.87)),
        )
        createRL(
            tech, net, 'm1',
            ((13.65,5.67),(13.65,285.31),(13.91,285.31),(13.91,5.67),(13.65,5.67)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,173.065),(21.855,173.07),(21.84,173.07),(21.84,173.71),(21.855,173.71),(21.855,173.715),(22.085,173.715),(22.085,173.71),(22.1,173.71),(22.1,173.07),(22.085,173.07),(22.085,173.065),(21.855,173.065)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,154.47),(21.855,154.475),(21.84,154.475),(21.84,155.115),(21.855,155.115),(21.855,155.12),(22.085,155.12),(22.085,155.115),(22.1,155.115),(22.1,154.475),(22.085,154.475),(22.085,154.47),(21.855,154.47)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,5.665),(21.855,5.67),(21.84,5.67),(21.84,6.31),(21.855,6.31),(21.855,6.315),(22.085,6.315),(22.085,6.31),(22.1,6.31),(22.1,5.67),(22.085,5.67),(22.085,5.665),(21.855,5.665)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,284.665),(21.855,284.67),(21.84,284.67),(21.84,285.31),(21.855,285.31),(21.855,285.315),(22.085,285.315),(22.085,285.31),(22.1,285.31),(22.1,284.67),(22.085,284.67),(22.085,284.665),(21.855,284.665)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,247.465),(21.855,247.47),(21.84,247.47),(21.84,248.11),(21.855,248.11),(21.855,248.115),(22.085,248.115),(22.085,248.11),(22.1,248.11),(22.1,247.47),(22.085,247.47),(22.085,247.465),(21.855,247.465)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,98.665),(21.855,98.67),(21.84,98.67),(21.84,99.31),(21.855,99.31),(21.855,99.315),(22.085,99.315),(22.085,99.31),(22.1,99.31),(22.1,98.67),(22.085,98.67),(22.085,98.665),(21.855,98.665)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,191.665),(21.855,191.67),(21.84,191.67),(21.84,192.31),(21.855,192.31),(21.855,192.315),(22.085,192.315),(22.085,192.31),(22.1,192.31),(22.1,191.67),(22.085,191.67),(22.085,191.665),(21.855,191.665)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,24.265),(21.855,24.27),(21.84,24.27),(21.84,24.91),(21.855,24.91),(21.855,24.915),(22.085,24.915),(22.085,24.91),(22.1,24.91),(22.1,24.27),(22.085,24.27),(22.085,24.265),(21.855,24.265)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,42.865),(21.855,42.87),(21.84,42.87),(21.84,43.51),(21.855,43.51),(21.855,43.515),(22.085,43.515),(22.085,43.51),(22.1,43.51),(22.1,42.87),(22.085,42.87),(22.085,42.865),(21.855,42.865)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,266.07),(21.855,266.075),(21.84,266.075),(21.84,266.715),(21.855,266.715),(21.855,266.72),(22.085,266.72),(22.085,266.715),(22.1,266.715),(22.1,266.075),(22.085,266.075),(22.085,266.07),(21.855,266.07)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,135.87),(21.855,135.875),(21.84,135.875),(21.84,136.515),(21.855,136.515),(21.855,136.52),(22.085,136.52),(22.085,136.515),(22.1,136.515),(22.1,135.875),(22.085,135.875),(22.085,135.87),(21.855,135.87)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,80.07),(21.855,80.075),(21.84,80.075),(21.84,80.715),(21.855,80.715),(21.855,80.72),(22.085,80.72),(22.085,80.715),(22.1,80.715),(22.1,80.075),(22.085,80.075),(22.085,80.07),(21.855,80.07)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,5.755),(21.895,5.905),(22.045,5.905),(22.045,5.755),(21.895,5.755)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,6.075),(21.895,6.225),(22.045,6.225),(22.045,6.075),(21.895,6.075)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,266.16),(13.705,266.31),(13.855,266.31),(13.855,266.16),(13.705,266.16)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,266.48),(13.705,266.63),(13.855,266.63),(13.855,266.48),(13.705,266.48)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,135.96),(21.895,136.11),(22.045,136.11),(22.045,135.96),(21.895,135.96)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,136.28),(21.895,136.43),(22.045,136.43),(22.045,136.28),(21.895,136.28)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,173.155),(13.705,173.305),(13.855,173.305),(13.855,173.155),(13.705,173.155)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,173.475),(13.705,173.625),(13.855,173.625),(13.855,173.475),(13.705,173.475)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,266.16),(21.895,266.31),(22.045,266.31),(22.045,266.16),(21.895,266.16)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,266.48),(21.895,266.63),(22.045,266.63),(22.045,266.48),(21.895,266.48)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,117.355),(13.705,117.505),(13.855,117.505),(13.855,117.355),(13.705,117.355)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,117.675),(13.705,117.825),(13.855,117.825),(13.855,117.675),(13.705,117.675)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,210.36),(21.895,210.51),(22.045,210.51),(22.045,210.36),(21.895,210.36)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,210.68),(21.895,210.83),(22.045,210.83),(22.045,210.68),(21.895,210.68)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,42.955),(21.895,43.105),(22.045,43.105),(22.045,42.955),(21.895,42.955)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,43.275),(21.895,43.425),(22.045,43.425),(22.045,43.275),(21.895,43.275)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,228.96),(13.705,229.11),(13.855,229.11),(13.855,228.96),(13.705,228.96)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,229.28),(13.705,229.43),(13.855,229.43),(13.855,229.28),(13.705,229.28)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,173.155),(21.895,173.305),(22.045,173.305),(22.045,173.155),(21.895,173.155)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,173.475),(21.895,173.625),(22.045,173.625),(22.045,173.475),(21.895,173.475)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,247.555),(21.895,247.705),(22.045,247.705),(22.045,247.555),(21.895,247.555)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,247.875),(21.895,248.025),(22.045,248.025),(22.045,247.875),(21.895,247.875)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,284.755),(21.895,284.905),(22.045,284.905),(22.045,284.755),(21.895,284.755)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,285.075),(21.895,285.225),(22.045,285.225),(22.045,285.075),(21.895,285.075)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,154.56),(13.705,154.71),(13.855,154.71),(13.855,154.56),(13.705,154.56)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,154.88),(13.705,155.03),(13.855,155.03),(13.855,154.88),(13.705,154.88)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,80.16),(21.895,80.31),(22.045,80.31),(22.045,80.16),(21.895,80.16)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,80.48),(21.895,80.63),(22.045,80.63),(22.045,80.48),(21.895,80.48)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,247.555),(13.705,247.705),(13.855,247.705),(13.855,247.555),(13.705,247.555)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,247.875),(13.705,248.025),(13.855,248.025),(13.855,247.875),(13.705,247.875)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,24.355),(21.895,24.505),(22.045,24.505),(22.045,24.355),(21.895,24.355)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,24.675),(21.895,24.825),(22.045,24.825),(22.045,24.675),(21.895,24.675)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,135.96),(13.705,136.11),(13.855,136.11),(13.855,135.96),(13.705,135.96)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,136.28),(13.705,136.43),(13.855,136.43),(13.855,136.28),(13.705,136.28)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,24.355),(13.705,24.505),(13.855,24.505),(13.855,24.355),(13.705,24.355)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,24.675),(13.705,24.825),(13.855,24.825),(13.855,24.675),(13.705,24.675)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,154.56),(21.895,154.71),(22.045,154.71),(22.045,154.56),(21.895,154.56)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,154.88),(21.895,155.03),(22.045,155.03),(22.045,154.88),(21.895,154.88)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,191.755),(13.705,191.905),(13.855,191.905),(13.855,191.755),(13.705,191.755)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,192.075),(13.705,192.225),(13.855,192.225),(13.855,192.075),(13.705,192.075)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,284.755),(13.705,284.905),(13.855,284.905),(13.855,284.755),(13.705,284.755)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,285.075),(13.705,285.225),(13.855,285.225),(13.855,285.075),(13.705,285.075)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,117.355),(21.895,117.505),(22.045,117.505),(22.045,117.355),(21.895,117.355)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,117.675),(21.895,117.825),(22.045,117.825),(22.045,117.675),(21.895,117.675)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,228.96),(21.895,229.11),(22.045,229.11),(22.045,228.96),(21.895,228.96)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,229.28),(21.895,229.43),(22.045,229.43),(22.045,229.28),(21.895,229.28)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,98.755),(13.705,98.905),(13.855,98.905),(13.855,98.755),(13.705,98.755)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,99.075),(13.705,99.225),(13.855,99.225),(13.855,99.075),(13.705,99.075)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,42.955),(13.705,43.105),(13.855,43.105),(13.855,42.955),(13.705,42.955)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,43.275),(13.705,43.425),(13.855,43.425),(13.855,43.275),(13.705,43.275)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,98.755),(21.895,98.905),(22.045,98.905),(22.045,98.755),(21.895,98.755)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,99.075),(21.895,99.225),(22.045,99.225),(22.045,99.075),(21.895,99.075)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,210.36),(13.705,210.51),(13.855,210.51),(13.855,210.36),(13.705,210.36)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,210.68),(13.705,210.83),(13.855,210.83),(13.855,210.68),(13.705,210.68)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,80.16),(13.705,80.31),(13.855,80.31),(13.855,80.16),(13.705,80.16)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,80.48),(13.705,80.63),(13.855,80.63),(13.855,80.48),(13.705,80.48)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,5.755),(13.705,5.905),(13.855,5.905),(13.855,5.755),(13.705,5.755)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,6.075),(13.705,6.225),(13.855,6.225),(13.855,6.075),(13.705,6.075)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,61.555),(21.895,61.705),(22.045,61.705),(22.045,61.555),(21.895,61.555)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,61.875),(21.895,62.025),(22.045,62.025),(22.045,61.875),(21.895,61.875)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,191.755),(21.895,191.905),(22.045,191.905),(22.045,191.755),(21.895,191.755)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,192.075),(21.895,192.225),(22.045,192.225),(22.045,192.075),(21.895,192.075)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,61.555),(13.705,61.705),(13.855,61.705),(13.855,61.555),(13.705,61.555)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,61.875),(13.705,62.025),(13.855,62.025),(13.855,61.875),(13.705,61.875)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,173.07),(13.65,173.71),(22.1,173.71),(22.1,173.07),(13.65,173.07)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,154.475),(13.65,155.115),(22.1,155.115),(22.1,154.475),(13.65,154.475)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,228.875),(13.65,229.515),(22.1,229.515),(22.1,228.875),(13.65,228.875)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,284.67),(13.65,285.31),(22.1,285.31),(22.1,284.67),(13.65,284.67)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,117.27),(13.65,117.91),(22.1,117.91),(22.1,117.27),(13.65,117.27)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,80.075),(13.65,80.715),(22.1,80.715),(22.1,80.075),(13.65,80.075)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,135.875),(13.65,136.515),(22.1,136.515),(22.1,135.875),(13.65,135.875)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,191.67),(13.65,192.31),(22.1,192.31),(22.1,191.67),(13.65,191.67)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,5.67),(13.65,6.31),(22.1,6.31),(22.1,5.67),(13.65,5.67)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,61.47),(13.65,62.11),(22.1,62.11),(22.1,61.47),(13.65,61.47)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,247.47),(13.65,248.11),(22.1,248.11),(22.1,247.47),(13.65,247.47)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,210.275),(13.65,210.915),(22.1,210.915),(22.1,210.275),(13.65,210.275)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,266.075),(13.65,266.715),(22.1,266.715),(22.1,266.075),(13.65,266.075)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,98.67),(13.65,99.31),(22.1,99.31),(22.1,98.67),(13.65,98.67)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,24.27),(13.65,24.91),(22.1,24.91),(22.1,24.27),(13.65,24.27)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,42.87),(13.65,43.51),(22.1,43.51),(22.1,42.87),(13.65,42.87)),
        )
        net = nets['pd[0][3]']
        createRL(
            tech, net, 'li',
            ((21.885,156.49),(21.885,157.02),(22.055,157.02),(22.055,156.49),(21.885,156.49)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,175.095),(21.885,175.625),(22.055,175.625),(22.055,175.095),(21.885,175.095)),
        )
        createRL(
            tech, net, 'li',
            ((15.855,25.415),(15.855,25.585),(16.025,25.585),(16.025,25.415),(15.855,25.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,26.295),(21.885,26.825),(22.055,26.825),(22.055,26.295),(21.885,26.295)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,82.095),(21.885,82.625),(22.055,82.625),(22.055,82.095),(21.885,82.095)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,193.69),(21.885,194.22),(22.055,194.22),(22.055,193.69),(21.885,193.69)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,212.295),(21.885,212.825),(22.055,212.825),(22.055,212.295),(21.885,212.295)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,268.095),(21.885,268.625),(22.055,268.625),(22.055,268.095),(21.885,268.095)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,286.69),(21.885,287.22),(22.055,287.22),(22.055,286.69),(21.885,286.69)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,63.495),(21.885,64.025),(22.055,64.025),(22.055,63.495),(21.885,63.495)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,7.695),(21.885,8.225),(22.055,8.225),(22.055,7.695),(21.885,7.695)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,44.895),(21.885,45.425),(22.055,45.425),(22.055,44.895),(21.885,44.895)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,137.895),(21.885,138.425),(22.055,138.425),(22.055,137.895),(21.885,137.895)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,119.295),(21.885,119.825),(22.055,119.825),(22.055,119.295),(21.885,119.295)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,249.495),(21.885,250.025),(22.055,250.025),(22.055,249.495),(21.885,249.495)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,100.695),(21.885,101.225),(22.055,101.225),(22.055,100.695),(21.885,100.695)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,230.895),(21.885,231.425),(22.055,231.425),(22.055,230.895),(21.885,230.895)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,137.895),(21.885,138.065),(22.055,138.065),(22.055,137.895),(21.885,137.895)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,138.255),(21.885,138.425),(22.055,138.425),(22.055,138.255),(21.885,138.255)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,63.495),(21.885,63.665),(22.055,63.665),(22.055,63.495),(21.885,63.495)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,63.855),(21.885,64.025),(22.055,64.025),(22.055,63.855),(21.885,63.855)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,193.69),(21.885,193.86),(22.055,193.86),(22.055,193.69),(21.885,193.69)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,194.05),(21.885,194.22),(22.055,194.22),(22.055,194.05),(21.885,194.05)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,7.695),(21.885,7.865),(22.055,7.865),(22.055,7.695),(21.885,7.695)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,8.055),(21.885,8.225),(22.055,8.225),(22.055,8.055),(21.885,8.055)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,156.49),(21.885,156.66),(22.055,156.66),(22.055,156.49),(21.885,156.49)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,156.85),(21.885,157.02),(22.055,157.02),(22.055,156.85),(21.885,156.85)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,230.895),(21.885,231.065),(22.055,231.065),(22.055,230.895),(21.885,230.895)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,231.255),(21.885,231.425),(22.055,231.425),(22.055,231.255),(21.885,231.255)),
        )
        createRL(
            tech, net, 'mcon',
            ((15.855,25.415),(15.855,25.585),(16.025,25.585),(16.025,25.415),(15.855,25.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,119.295),(21.885,119.465),(22.055,119.465),(22.055,119.295),(21.885,119.295)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,119.655),(21.885,119.825),(22.055,119.825),(22.055,119.655),(21.885,119.655)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,44.895),(21.885,45.065),(22.055,45.065),(22.055,44.895),(21.885,44.895)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,45.255),(21.885,45.425),(22.055,45.425),(22.055,45.255),(21.885,45.255)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,26.295),(21.885,26.465),(22.055,26.465),(22.055,26.295),(21.885,26.295)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,26.655),(21.885,26.825),(22.055,26.825),(22.055,26.655),(21.885,26.655)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,249.495),(21.885,249.665),(22.055,249.665),(22.055,249.495),(21.885,249.495)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,249.855),(21.885,250.025),(22.055,250.025),(22.055,249.855),(21.885,249.855)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,82.095),(21.885,82.265),(22.055,82.265),(22.055,82.095),(21.885,82.095)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,82.455),(21.885,82.625),(22.055,82.625),(22.055,82.455),(21.885,82.455)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,268.095),(21.885,268.265),(22.055,268.265),(22.055,268.095),(21.885,268.095)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,268.455),(21.885,268.625),(22.055,268.625),(22.055,268.455),(21.885,268.455)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,100.695),(21.885,100.865),(22.055,100.865),(22.055,100.695),(21.885,100.695)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,101.055),(21.885,101.225),(22.055,101.225),(22.055,101.055),(21.885,101.055)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,175.095),(21.885,175.265),(22.055,175.265),(22.055,175.095),(21.885,175.095)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,175.455),(21.885,175.625),(22.055,175.625),(22.055,175.455),(21.885,175.455)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,212.295),(21.885,212.465),(22.055,212.465),(22.055,212.295),(21.885,212.295)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,212.655),(21.885,212.825),(22.055,212.825),(22.055,212.655),(21.885,212.655)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,286.69),(21.885,286.86),(22.055,286.86),(22.055,286.69),(21.885,286.69)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,287.05),(21.885,287.22),(22.055,287.22),(22.055,287.05),(21.885,287.05)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,212.235),(21.855,212.24),(21.84,212.24),(21.84,212.88),(21.855,212.88),(21.855,212.885),(22.085,212.885),(22.085,212.88),(22.1,212.88),(22.1,212.24),(22.085,212.24),(22.085,212.235),(21.855,212.235)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,82.035),(21.855,82.04),(21.84,82.04),(21.84,82.68),(21.855,82.68),(21.855,82.685),(22.085,82.685),(22.085,82.68),(22.1,82.68),(22.1,82.04),(22.085,82.04),(22.085,82.035),(21.855,82.035)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,100.635),(21.855,100.64),(21.84,100.64),(21.84,101.28),(21.855,101.28),(21.855,101.285),(22.085,101.285),(22.085,101.28),(22.1,101.28),(22.1,100.64),(22.085,100.64),(22.085,100.635),(21.855,100.635)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,286.63),(21.855,286.635),(21.84,286.635),(21.84,287.275),(21.855,287.275),(21.855,287.28),(22.085,287.28),(22.085,287.275),(22.1,287.275),(22.1,286.635),(22.085,286.635),(22.085,286.63),(21.855,286.63)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,175.035),(21.855,175.04),(21.84,175.04),(21.84,175.68),(21.855,175.68),(21.855,175.685),(22.085,175.685),(22.085,175.68),(22.1,175.68),(22.1,175.04),(22.085,175.04),(22.085,175.035),(21.855,175.035)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,249.435),(21.855,249.44),(21.84,249.44),(21.84,250.08),(21.855,250.08),(21.855,250.085),(22.085,250.085),(22.085,250.08),(22.1,250.08),(22.1,249.44),(22.085,249.44),(22.085,249.435),(21.855,249.435)),
        )
        createRL(
            tech, net, 'm1',
            ((15.81,7.64),(15.81,287.275),(16.07,287.275),(16.07,7.64),(15.81,7.64)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,268.035),(21.855,268.04),(21.84,268.04),(21.84,268.68),(21.855,268.68),(21.855,268.685),(22.085,268.685),(22.085,268.68),(22.1,268.68),(22.1,268.04),(22.085,268.04),(22.085,268.035),(21.855,268.035)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,26.235),(21.855,26.24),(21.84,26.24),(21.84,26.88),(21.855,26.88),(21.855,26.885),(22.085,26.885),(22.085,26.88),(22.1,26.88),(22.1,26.24),(22.085,26.24),(22.085,26.235),(21.855,26.235)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,156.43),(21.855,156.435),(21.84,156.435),(21.84,157.075),(21.855,157.075),(21.855,157.08),(22.085,157.08),(22.085,157.075),(22.1,157.075),(22.1,156.435),(22.085,156.435),(22.085,156.43),(21.855,156.43)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,230.835),(21.855,230.84),(21.84,230.84),(21.84,231.48),(21.855,231.48),(21.855,231.485),(22.085,231.485),(22.085,231.48),(22.1,231.48),(22.1,230.84),(22.085,230.84),(22.085,230.835),(21.855,230.835)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,119.235),(21.855,119.24),(21.84,119.24),(21.84,119.88),(21.855,119.88),(21.855,119.885),(22.085,119.885),(22.085,119.88),(22.1,119.88),(22.1,119.24),(22.085,119.24),(22.085,119.235),(21.855,119.235)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,193.63),(21.855,193.635),(21.84,193.635),(21.84,194.275),(21.855,194.275),(21.855,194.28),(22.085,194.28),(22.085,194.275),(22.1,194.275),(22.1,193.635),(22.085,193.635),(22.085,193.63),(21.855,193.63)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,63.435),(21.855,63.44),(21.84,63.44),(21.84,64.08),(21.855,64.08),(21.855,64.085),(22.085,64.085),(22.085,64.08),(22.1,64.08),(22.1,63.44),(22.085,63.44),(22.085,63.435),(21.855,63.435)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,137.835),(21.855,137.84),(21.84,137.84),(21.84,138.48),(21.855,138.48),(21.855,138.485),(22.085,138.485),(22.085,138.48),(22.1,138.48),(22.1,137.84),(22.085,137.84),(22.085,137.835),(21.855,137.835)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,44.835),(21.855,44.84),(21.84,44.84),(21.84,45.48),(21.855,45.48),(21.855,45.485),(22.085,45.485),(22.085,45.48),(22.1,45.48),(22.1,44.84),(22.085,44.84),(22.085,44.835),(21.855,44.835)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,7.635),(21.855,7.64),(21.84,7.64),(21.84,8.28),(21.855,8.28),(21.855,8.285),(22.085,8.285),(22.085,8.28),(22.1,8.28),(22.1,7.64),(22.085,7.64),(22.085,7.635),(21.855,7.635)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,26.325),(15.865,26.475),(16.015,26.475),(16.015,26.325),(15.865,26.325)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,26.645),(15.865,26.795),(16.015,26.795),(16.015,26.645),(15.865,26.645)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,156.52),(21.895,156.67),(22.045,156.67),(22.045,156.52),(21.895,156.52)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,156.84),(21.895,156.99),(22.045,156.99),(22.045,156.84),(21.895,156.84)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,7.725),(15.865,7.875),(16.015,7.875),(16.015,7.725),(15.865,7.725)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,8.045),(15.865,8.195),(16.015,8.195),(16.015,8.045),(15.865,8.045)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,156.52),(15.865,156.67),(16.015,156.67),(16.015,156.52),(15.865,156.52)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,156.84),(15.865,156.99),(16.015,156.99),(16.015,156.84),(15.865,156.84)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,44.925),(15.865,45.075),(16.015,45.075),(16.015,44.925),(15.865,44.925)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,45.245),(15.865,45.395),(16.015,45.395),(16.015,45.245),(15.865,45.245)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,212.325),(21.895,212.475),(22.045,212.475),(22.045,212.325),(21.895,212.325)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,212.645),(21.895,212.795),(22.045,212.795),(22.045,212.645),(21.895,212.645)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,286.72),(21.895,286.87),(22.045,286.87),(22.045,286.72),(21.895,286.72)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,287.04),(21.895,287.19),(22.045,287.19),(22.045,287.04),(21.895,287.04)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,268.125),(15.865,268.275),(16.015,268.275),(16.015,268.125),(15.865,268.125)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,268.445),(15.865,268.595),(16.015,268.595),(16.015,268.445),(15.865,268.445)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,249.525),(21.895,249.675),(22.045,249.675),(22.045,249.525),(21.895,249.525)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,249.845),(21.895,249.995),(22.045,249.995),(22.045,249.845),(21.895,249.845)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,100.725),(21.895,100.875),(22.045,100.875),(22.045,100.725),(21.895,100.725)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,101.045),(21.895,101.195),(22.045,101.195),(22.045,101.045),(21.895,101.045)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,230.925),(21.895,231.075),(22.045,231.075),(22.045,230.925),(21.895,230.925)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,231.245),(21.895,231.395),(22.045,231.395),(22.045,231.245),(21.895,231.245)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,7.725),(21.895,7.875),(22.045,7.875),(22.045,7.725),(21.895,7.725)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,8.045),(21.895,8.195),(22.045,8.195),(22.045,8.045),(21.895,8.045)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,26.325),(21.895,26.475),(22.045,26.475),(22.045,26.325),(21.895,26.325)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,26.645),(21.895,26.795),(22.045,26.795),(22.045,26.645),(21.895,26.645)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,175.125),(21.895,175.275),(22.045,175.275),(22.045,175.125),(21.895,175.125)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,175.445),(21.895,175.595),(22.045,175.595),(22.045,175.445),(21.895,175.445)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,63.525),(21.895,63.675),(22.045,63.675),(22.045,63.525),(21.895,63.525)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,63.845),(21.895,63.995),(22.045,63.995),(22.045,63.845),(21.895,63.845)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,175.125),(15.865,175.275),(16.015,175.275),(16.015,175.125),(15.865,175.125)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,175.445),(15.865,175.595),(16.015,175.595),(16.015,175.445),(15.865,175.445)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,137.925),(21.895,138.075),(22.045,138.075),(22.045,137.925),(21.895,137.925)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,138.245),(21.895,138.395),(22.045,138.395),(22.045,138.245),(21.895,138.245)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,193.72),(21.895,193.87),(22.045,193.87),(22.045,193.72),(21.895,193.72)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,194.04),(21.895,194.19),(22.045,194.19),(22.045,194.04),(21.895,194.04)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,268.125),(21.895,268.275),(22.045,268.275),(22.045,268.125),(21.895,268.125)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,268.445),(21.895,268.595),(22.045,268.595),(22.045,268.445),(21.895,268.445)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,119.325),(15.865,119.475),(16.015,119.475),(16.015,119.325),(15.865,119.325)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,119.645),(15.865,119.795),(16.015,119.795),(16.015,119.645),(15.865,119.645)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,44.925),(21.895,45.075),(22.045,45.075),(22.045,44.925),(21.895,44.925)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,45.245),(21.895,45.395),(22.045,45.395),(22.045,45.245),(21.895,45.245)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,82.125),(21.895,82.275),(22.045,82.275),(22.045,82.125),(21.895,82.125)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,82.445),(21.895,82.595),(22.045,82.595),(22.045,82.445),(21.895,82.445)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,137.925),(15.865,138.075),(16.015,138.075),(16.015,137.925),(15.865,137.925)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,138.245),(15.865,138.395),(16.015,138.395),(16.015,138.245),(15.865,138.245)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,286.72),(15.865,286.87),(16.015,286.87),(16.015,286.72),(15.865,286.72)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,287.04),(15.865,287.19),(16.015,287.19),(16.015,287.04),(15.865,287.04)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,230.925),(15.865,231.075),(16.015,231.075),(16.015,230.925),(15.865,230.925)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,231.245),(15.865,231.395),(16.015,231.395),(16.015,231.245),(15.865,231.245)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,63.525),(15.865,63.675),(16.015,63.675),(16.015,63.525),(15.865,63.525)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,63.845),(15.865,63.995),(16.015,63.995),(16.015,63.845),(15.865,63.845)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,82.125),(15.865,82.275),(16.015,82.275),(16.015,82.125),(15.865,82.125)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,82.445),(15.865,82.595),(16.015,82.595),(16.015,82.445),(15.865,82.445)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,193.72),(15.865,193.87),(16.015,193.87),(16.015,193.72),(15.865,193.72)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,194.04),(15.865,194.19),(16.015,194.19),(16.015,194.04),(15.865,194.04)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,119.325),(21.895,119.475),(22.045,119.475),(22.045,119.325),(21.895,119.325)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,119.645),(21.895,119.795),(22.045,119.795),(22.045,119.645),(21.895,119.645)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,249.525),(15.865,249.675),(16.015,249.675),(16.015,249.525),(15.865,249.525)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,249.845),(15.865,249.995),(16.015,249.995),(16.015,249.845),(15.865,249.845)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,100.725),(15.865,100.875),(16.015,100.875),(16.015,100.725),(15.865,100.725)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,101.045),(15.865,101.195),(16.015,101.195),(16.015,101.045),(15.865,101.045)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,212.325),(15.865,212.475),(16.015,212.475),(16.015,212.325),(15.865,212.325)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,212.645),(15.865,212.795),(16.015,212.795),(16.015,212.645),(15.865,212.645)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,119.24),(15.81,119.88),(22.1,119.88),(22.1,119.24),(15.81,119.24)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,175.04),(15.81,175.68),(22.1,175.68),(22.1,175.04),(15.81,175.04)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,137.84),(15.81,138.48),(22.1,138.48),(22.1,137.84),(15.81,137.84)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,26.24),(15.81,26.88),(22.1,26.88),(22.1,26.24),(15.81,26.24)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,212.24),(15.81,212.88),(22.1,212.88),(22.1,212.24),(15.81,212.24)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,230.84),(15.81,231.48),(22.1,231.48),(22.1,230.84),(15.81,230.84)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,249.44),(15.81,250.08),(22.1,250.08),(22.1,249.44),(15.81,249.44)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,286.635),(15.81,287.275),(22.1,287.275),(22.1,286.635),(15.81,286.635)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,100.64),(15.81,101.28),(22.1,101.28),(22.1,100.64),(15.81,100.64)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,7.64),(15.81,8.28),(22.1,8.28),(22.1,7.64),(15.81,7.64)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,156.435),(15.81,157.075),(22.1,157.075),(22.1,156.435),(15.81,156.435)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,82.04),(15.81,82.68),(22.1,82.68),(22.1,82.04),(15.81,82.04)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,193.635),(15.81,194.275),(22.1,194.275),(22.1,193.635),(15.81,193.635)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,268.04),(15.81,268.68),(22.1,268.68),(22.1,268.04),(15.81,268.04)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,44.84),(15.81,45.48),(22.1,45.48),(22.1,44.84),(15.81,44.84)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,63.44),(15.81,64.08),(22.1,64.08),(22.1,63.44),(15.81,63.44)),
        )
        net = nets['pd[0][4]']
        createRL(
            tech, net, 'li',
            ((21.885,177.775),(21.885,178.305),(22.055,178.305),(22.055,177.775),(21.885,177.775)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,289.38),(21.885,289.91),(22.055,289.91),(22.055,289.38),(21.885,289.38)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,159.175),(21.885,159.705),(22.055,159.705),(22.055,159.175),(21.885,159.175)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,84.775),(21.885,85.305),(22.055,85.305),(22.055,84.775),(21.885,84.775)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,66.175),(21.885,66.705),(22.055,66.705),(22.055,66.175),(21.885,66.175)),
        )
        createRL(
            tech, net, 'li',
            ((14.235,36.415),(14.235,36.585),(14.405,36.585),(14.405,36.415),(14.235,36.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,10.375),(21.885,10.905),(22.055,10.905),(22.055,10.375),(21.885,10.375)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,196.375),(21.885,196.905),(22.055,196.905),(22.055,196.375),(21.885,196.375)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,140.58),(21.885,141.11),(22.055,141.11),(22.055,140.58),(21.885,140.58)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,233.58),(21.885,234.11),(22.055,234.11),(22.055,233.58),(21.885,233.58)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,252.175),(21.885,252.705),(22.055,252.705),(22.055,252.175),(21.885,252.175)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,47.575),(21.885,48.105),(22.055,48.105),(22.055,47.575),(21.885,47.575)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,270.775),(21.885,271.305),(22.055,271.305),(22.055,270.775),(21.885,270.775)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,28.975),(21.885,29.505),(22.055,29.505),(22.055,28.975),(21.885,28.975)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,121.975),(21.885,122.505),(22.055,122.505),(22.055,121.975),(21.885,121.975)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,103.375),(21.885,103.905),(22.055,103.905),(22.055,103.375),(21.885,103.375)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,214.975),(21.885,215.505),(22.055,215.505),(22.055,214.975),(21.885,214.975)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,140.58),(21.885,140.75),(22.055,140.75),(22.055,140.58),(21.885,140.58)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,140.94),(21.885,141.11),(22.055,141.11),(22.055,140.94),(21.885,140.94)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,66.175),(21.885,66.345),(22.055,66.345),(22.055,66.175),(21.885,66.175)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,66.535),(21.885,66.705),(22.055,66.705),(22.055,66.535),(21.885,66.535)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,159.175),(21.885,159.345),(22.055,159.345),(22.055,159.175),(21.885,159.175)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,159.535),(21.885,159.705),(22.055,159.705),(22.055,159.535),(21.885,159.535)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,10.375),(21.885,10.545),(22.055,10.545),(22.055,10.375),(21.885,10.375)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,10.735),(21.885,10.905),(22.055,10.905),(22.055,10.735),(21.885,10.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,252.175),(21.885,252.345),(22.055,252.345),(22.055,252.175),(21.885,252.175)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,252.535),(21.885,252.705),(22.055,252.705),(22.055,252.535),(21.885,252.535)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,233.58),(21.885,233.75),(22.055,233.75),(22.055,233.58),(21.885,233.58)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,233.94),(21.885,234.11),(22.055,234.11),(22.055,233.94),(21.885,233.94)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,47.575),(21.885,47.745),(22.055,47.745),(22.055,47.575),(21.885,47.575)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,47.935),(21.885,48.105),(22.055,48.105),(22.055,47.935),(21.885,47.935)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,103.375),(21.885,103.545),(22.055,103.545),(22.055,103.375),(21.885,103.375)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,103.735),(21.885,103.905),(22.055,103.905),(22.055,103.735),(21.885,103.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,121.975),(21.885,122.145),(22.055,122.145),(22.055,121.975),(21.885,121.975)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,122.335),(21.885,122.505),(22.055,122.505),(22.055,122.335),(21.885,122.335)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,177.775),(21.885,177.945),(22.055,177.945),(22.055,177.775),(21.885,177.775)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,178.135),(21.885,178.305),(22.055,178.305),(22.055,178.135),(21.885,178.135)),
        )
        createRL(
            tech, net, 'mcon',
            ((14.235,36.415),(14.235,36.585),(14.405,36.585),(14.405,36.415),(14.235,36.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,28.975),(21.885,29.145),(22.055,29.145),(22.055,28.975),(21.885,28.975)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,29.335),(21.885,29.505),(22.055,29.505),(22.055,29.335),(21.885,29.335)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,289.38),(21.885,289.55),(22.055,289.55),(22.055,289.38),(21.885,289.38)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,289.74),(21.885,289.91),(22.055,289.91),(22.055,289.74),(21.885,289.74)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,196.375),(21.885,196.545),(22.055,196.545),(22.055,196.375),(21.885,196.375)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,196.735),(21.885,196.905),(22.055,196.905),(22.055,196.735),(21.885,196.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,214.975),(21.885,215.145),(22.055,215.145),(22.055,214.975),(21.885,214.975)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,215.335),(21.885,215.505),(22.055,215.505),(22.055,215.335),(21.885,215.335)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,84.775),(21.885,84.945),(22.055,84.945),(22.055,84.775),(21.885,84.775)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,85.135),(21.885,85.305),(22.055,85.305),(22.055,85.135),(21.885,85.135)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,270.775),(21.885,270.945),(22.055,270.945),(22.055,270.775),(21.885,270.775)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,271.135),(21.885,271.305),(22.055,271.305),(22.055,271.135),(21.885,271.135)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,103.315),(21.855,103.32),(21.84,103.32),(21.84,103.96),(21.855,103.96),(21.855,103.965),(22.085,103.965),(22.085,103.96),(22.1,103.96),(22.1,103.32),(22.085,103.32),(22.085,103.315),(21.855,103.315)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,177.715),(21.855,177.72),(21.84,177.72),(21.84,178.36),(21.855,178.36),(21.855,178.365),(22.085,178.365),(22.085,178.36),(22.1,178.36),(22.1,177.72),(22.085,177.72),(22.085,177.715),(21.855,177.715)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,47.515),(21.855,47.52),(21.84,47.52),(21.84,48.16),(21.855,48.16),(21.855,48.165),(22.085,48.165),(22.085,48.16),(22.1,48.16),(22.1,47.52),(22.085,47.52),(22.085,47.515),(21.855,47.515)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,121.915),(21.855,121.92),(21.84,121.92),(21.84,122.56),(21.855,122.56),(21.855,122.565),(22.085,122.565),(22.085,122.56),(22.1,122.56),(22.1,121.92),(22.085,121.92),(22.085,121.915),(21.855,121.915)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,140.52),(21.855,140.525),(21.84,140.525),(21.84,141.165),(21.855,141.165),(21.855,141.17),(22.085,141.17),(22.085,141.165),(22.1,141.165),(22.1,140.525),(22.085,140.525),(22.085,140.52),(21.855,140.52)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,28.915),(21.855,28.92),(21.84,28.92),(21.84,29.56),(21.855,29.56),(21.855,29.565),(22.085,29.565),(22.085,29.56),(22.1,29.56),(22.1,28.92),(22.085,28.92),(22.085,28.915),(21.855,28.915)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,270.715),(21.855,270.72),(21.84,270.72),(21.84,271.36),(21.855,271.36),(21.855,271.365),(22.085,271.365),(22.085,271.36),(22.1,271.36),(22.1,270.72),(22.085,270.72),(22.085,270.715),(21.855,270.715)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,289.32),(21.855,289.325),(21.84,289.325),(21.84,289.965),(21.855,289.965),(21.855,289.97),(22.085,289.97),(22.085,289.965),(22.1,289.965),(22.1,289.325),(22.085,289.325),(22.085,289.32),(21.855,289.32)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,196.315),(21.855,196.32),(21.84,196.32),(21.84,196.96),(21.855,196.96),(21.855,196.965),(22.085,196.965),(22.085,196.96),(22.1,196.96),(22.1,196.32),(22.085,196.32),(22.085,196.315),(21.855,196.315)),
        )
        createRL(
            tech, net, 'm1',
            ((14.19,10.32),(14.19,289.965),(14.45,289.965),(14.45,10.32),(14.19,10.32)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,66.115),(21.855,66.12),(21.84,66.12),(21.84,66.76),(21.855,66.76),(21.855,66.765),(22.085,66.765),(22.085,66.76),(22.1,66.76),(22.1,66.12),(22.085,66.12),(22.085,66.115),(21.855,66.115)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,84.715),(21.855,84.72),(21.84,84.72),(21.84,85.36),(21.855,85.36),(21.855,85.365),(22.085,85.365),(22.085,85.36),(22.1,85.36),(22.1,84.72),(22.085,84.72),(22.085,84.715),(21.855,84.715)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,233.52),(21.855,233.525),(21.84,233.525),(21.84,234.165),(21.855,234.165),(21.855,234.17),(22.085,234.17),(22.085,234.165),(22.1,234.165),(22.1,233.525),(22.085,233.525),(22.085,233.52),(21.855,233.52)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,159.115),(21.855,159.12),(21.84,159.12),(21.84,159.76),(21.855,159.76),(21.855,159.765),(22.085,159.765),(22.085,159.76),(22.1,159.76),(22.1,159.12),(22.085,159.12),(22.085,159.115),(21.855,159.115)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,252.115),(21.855,252.12),(21.84,252.12),(21.84,252.76),(21.855,252.76),(21.855,252.765),(22.085,252.765),(22.085,252.76),(22.1,252.76),(22.1,252.12),(22.085,252.12),(22.085,252.115),(21.855,252.115)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,10.315),(21.855,10.32),(21.84,10.32),(21.84,10.96),(21.855,10.96),(21.855,10.965),(22.085,10.965),(22.085,10.96),(22.1,10.96),(22.1,10.32),(22.085,10.32),(22.085,10.315),(21.855,10.315)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,214.915),(21.855,214.92),(21.84,214.92),(21.84,215.56),(21.855,215.56),(21.855,215.565),(22.085,215.565),(22.085,215.56),(22.1,215.56),(22.1,214.92),(22.085,214.92),(22.085,214.915),(21.855,214.915)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,84.805),(14.245,84.955),(14.395,84.955),(14.395,84.805),(14.245,84.805)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,85.125),(14.245,85.275),(14.395,85.275),(14.395,85.125),(14.245,85.125)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,47.605),(14.245,47.755),(14.395,47.755),(14.395,47.605),(14.245,47.605)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,47.925),(14.245,48.075),(14.395,48.075),(14.395,47.925),(14.245,47.925)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,233.61),(14.245,233.76),(14.395,233.76),(14.395,233.61),(14.245,233.61)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,233.93),(14.245,234.08),(14.395,234.08),(14.395,233.93),(14.245,233.93)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,29.005),(14.245,29.155),(14.395,29.155),(14.395,29.005),(14.245,29.005)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,29.325),(14.245,29.475),(14.395,29.475),(14.395,29.325),(14.245,29.325)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,29.005),(21.895,29.155),(22.045,29.155),(22.045,29.005),(21.895,29.005)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,29.325),(21.895,29.475),(22.045,29.475),(22.045,29.325),(21.895,29.325)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,289.41),(21.895,289.56),(22.045,289.56),(22.045,289.41),(21.895,289.41)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,289.73),(21.895,289.88),(22.045,289.88),(22.045,289.73),(21.895,289.73)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,122.005),(21.895,122.155),(22.045,122.155),(22.045,122.005),(21.895,122.005)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,122.325),(21.895,122.475),(22.045,122.475),(22.045,122.325),(21.895,122.325)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,177.805),(14.245,177.955),(14.395,177.955),(14.395,177.805),(14.245,177.805)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,178.125),(14.245,178.275),(14.395,178.275),(14.395,178.125),(14.245,178.125)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,252.205),(21.895,252.355),(22.045,252.355),(22.045,252.205),(21.895,252.205)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,252.525),(21.895,252.675),(22.045,252.675),(22.045,252.525),(21.895,252.525)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,140.61),(14.245,140.76),(14.395,140.76),(14.395,140.61),(14.245,140.61)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,140.93),(14.245,141.08),(14.395,141.08),(14.395,140.93),(14.245,140.93)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,159.205),(14.245,159.355),(14.395,159.355),(14.395,159.205),(14.245,159.205)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,159.525),(14.245,159.675),(14.395,159.675),(14.395,159.525),(14.245,159.525)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,122.005),(14.245,122.155),(14.395,122.155),(14.395,122.005),(14.245,122.005)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,122.325),(14.245,122.475),(14.395,122.475),(14.395,122.325),(14.245,122.325)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,103.405),(21.895,103.555),(22.045,103.555),(22.045,103.405),(21.895,103.405)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,103.725),(21.895,103.875),(22.045,103.875),(22.045,103.725),(21.895,103.725)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,66.205),(14.245,66.355),(14.395,66.355),(14.395,66.205),(14.245,66.205)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,66.525),(14.245,66.675),(14.395,66.675),(14.395,66.525),(14.245,66.525)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,289.41),(14.245,289.56),(14.395,289.56),(14.395,289.41),(14.245,289.41)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,289.73),(14.245,289.88),(14.395,289.88),(14.395,289.73),(14.245,289.73)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,215.005),(14.245,215.155),(14.395,215.155),(14.395,215.005),(14.245,215.005)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,215.325),(14.245,215.475),(14.395,215.475),(14.395,215.325),(14.245,215.325)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,270.805),(14.245,270.955),(14.395,270.955),(14.395,270.805),(14.245,270.805)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,271.125),(14.245,271.275),(14.395,271.275),(14.395,271.125),(14.245,271.125)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,10.405),(21.895,10.555),(22.045,10.555),(22.045,10.405),(21.895,10.405)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,10.725),(21.895,10.875),(22.045,10.875),(22.045,10.725),(21.895,10.725)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,196.405),(21.895,196.555),(22.045,196.555),(22.045,196.405),(21.895,196.405)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,196.725),(21.895,196.875),(22.045,196.875),(22.045,196.725),(21.895,196.725)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,159.205),(21.895,159.355),(22.045,159.355),(22.045,159.205),(21.895,159.205)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,159.525),(21.895,159.675),(22.045,159.675),(22.045,159.525),(21.895,159.525)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,47.605),(21.895,47.755),(22.045,47.755),(22.045,47.605),(21.895,47.605)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,47.925),(21.895,48.075),(22.045,48.075),(22.045,47.925),(21.895,47.925)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,270.805),(21.895,270.955),(22.045,270.955),(22.045,270.805),(21.895,270.805)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,271.125),(21.895,271.275),(22.045,271.275),(22.045,271.125),(21.895,271.125)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,177.805),(21.895,177.955),(22.045,177.955),(22.045,177.805),(21.895,177.805)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,178.125),(21.895,178.275),(22.045,178.275),(22.045,178.125),(21.895,178.125)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,196.405),(14.245,196.555),(14.395,196.555),(14.395,196.405),(14.245,196.405)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,196.725),(14.245,196.875),(14.395,196.875),(14.395,196.725),(14.245,196.725)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,233.61),(21.895,233.76),(22.045,233.76),(22.045,233.61),(21.895,233.61)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,233.93),(21.895,234.08),(22.045,234.08),(22.045,233.93),(21.895,233.93)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,215.005),(21.895,215.155),(22.045,215.155),(22.045,215.005),(21.895,215.005)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,215.325),(21.895,215.475),(22.045,215.475),(22.045,215.325),(21.895,215.325)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,66.205),(21.895,66.355),(22.045,66.355),(22.045,66.205),(21.895,66.205)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,66.525),(21.895,66.675),(22.045,66.675),(22.045,66.525),(21.895,66.525)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,252.205),(14.245,252.355),(14.395,252.355),(14.395,252.205),(14.245,252.205)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,252.525),(14.245,252.675),(14.395,252.675),(14.395,252.525),(14.245,252.525)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,103.405),(14.245,103.555),(14.395,103.555),(14.395,103.405),(14.245,103.405)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,103.725),(14.245,103.875),(14.395,103.875),(14.395,103.725),(14.245,103.725)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,140.61),(21.895,140.76),(22.045,140.76),(22.045,140.61),(21.895,140.61)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,140.93),(21.895,141.08),(22.045,141.08),(22.045,140.93),(21.895,140.93)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,10.405),(14.245,10.555),(14.395,10.555),(14.395,10.405),(14.245,10.405)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,10.725),(14.245,10.875),(14.395,10.875),(14.395,10.725),(14.245,10.725)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,84.805),(21.895,84.955),(22.045,84.955),(22.045,84.805),(21.895,84.805)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,85.125),(21.895,85.275),(22.045,85.275),(22.045,85.125),(21.895,85.125)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,121.92),(14.19,122.56),(22.1,122.56),(22.1,121.92),(14.19,121.92)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,177.72),(14.19,178.36),(22.1,178.36),(22.1,177.72),(14.19,177.72)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,233.525),(14.19,234.165),(22.1,234.165),(22.1,233.525),(14.19,233.525)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,47.52),(14.19,48.16),(22.1,48.16),(22.1,47.52),(14.19,47.52)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,214.92),(14.19,215.56),(22.1,215.56),(22.1,214.92),(14.19,214.92)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,196.32),(14.19,196.96),(22.1,196.96),(22.1,196.32),(14.19,196.32)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,252.12),(14.19,252.76),(22.1,252.76),(22.1,252.12),(14.19,252.12)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,140.525),(14.19,141.165),(22.1,141.165),(22.1,140.525),(14.19,140.525)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,289.325),(14.19,289.965),(22.1,289.965),(22.1,289.325),(14.19,289.325)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,10.32),(14.19,10.96),(22.1,10.96),(22.1,10.32),(14.19,10.32)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,159.12),(14.19,159.76),(22.1,159.76),(22.1,159.12),(14.19,159.12)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,270.72),(14.19,271.36),(22.1,271.36),(22.1,270.72),(14.19,270.72)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,28.92),(14.19,29.56),(22.1,29.56),(22.1,28.92),(14.19,28.92)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,103.32),(14.19,103.96),(22.1,103.96),(22.1,103.32),(14.19,103.32)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,84.72),(14.19,85.36),(22.1,85.36),(22.1,84.72),(14.19,84.72)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,66.12),(14.19,66.76),(22.1,66.76),(22.1,66.12),(14.19,66.12)),
        )
        net = nets['pd[0][5]']
        createRL(
            tech, net, 'li',
            ((21.885,105.345),(21.885,105.875),(22.055,105.875),(22.055,105.345),(21.885,105.345)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,161.145),(21.885,161.675),(22.055,161.675),(22.055,161.145),(21.885,161.145)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,254.145),(21.885,254.675),(22.055,254.675),(22.055,254.145),(21.885,254.145)),
        )
        createRL(
            tech, net, 'li',
            ((16.395,41.415),(16.395,41.585),(16.565,41.585),(16.565,41.415),(16.395,41.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,291.34),(21.885,291.87),(22.055,291.87),(22.055,291.34),(21.885,291.34)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,123.945),(21.885,124.475),(22.055,124.475),(22.055,123.945),(21.885,123.945)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,68.145),(21.885,68.675),(22.055,68.675),(22.055,68.145),(21.885,68.145)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,12.345),(21.885,12.875),(22.055,12.875),(22.055,12.345),(21.885,12.345)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,30.945),(21.885,31.475),(22.055,31.475),(22.055,30.945),(21.885,30.945)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,142.545),(21.885,143.075),(22.055,143.075),(22.055,142.545),(21.885,142.545)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,235.545),(21.885,236.075),(22.055,236.075),(22.055,235.545),(21.885,235.545)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,272.745),(21.885,273.275),(22.055,273.275),(22.055,272.745),(21.885,272.745)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,198.345),(21.885,198.875),(22.055,198.875),(22.055,198.345),(21.885,198.345)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,49.545),(21.885,50.075),(22.055,50.075),(22.055,49.545),(21.885,49.545)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,216.945),(21.885,217.475),(22.055,217.475),(22.055,216.945),(21.885,216.945)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,179.745),(21.885,180.275),(22.055,180.275),(22.055,179.745),(21.885,179.745)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,86.745),(21.885,87.275),(22.055,87.275),(22.055,86.745),(21.885,86.745)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,272.745),(21.885,272.915),(22.055,272.915),(22.055,272.745),(21.885,272.745)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,273.105),(21.885,273.275),(22.055,273.275),(22.055,273.105),(21.885,273.105)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,198.345),(21.885,198.515),(22.055,198.515),(22.055,198.345),(21.885,198.345)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,198.705),(21.885,198.875),(22.055,198.875),(22.055,198.705),(21.885,198.705)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,49.545),(21.885,49.715),(22.055,49.715),(22.055,49.545),(21.885,49.545)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,49.905),(21.885,50.075),(22.055,50.075),(22.055,49.905),(21.885,49.905)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,235.545),(21.885,235.715),(22.055,235.715),(22.055,235.545),(21.885,235.545)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,235.905),(21.885,236.075),(22.055,236.075),(22.055,235.905),(21.885,235.905)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.395,41.415),(16.395,41.585),(16.565,41.585),(16.565,41.415),(16.395,41.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,12.345),(21.885,12.515),(22.055,12.515),(22.055,12.345),(21.885,12.345)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,12.705),(21.885,12.875),(22.055,12.875),(22.055,12.705),(21.885,12.705)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,161.145),(21.885,161.315),(22.055,161.315),(22.055,161.145),(21.885,161.145)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,161.505),(21.885,161.675),(22.055,161.675),(22.055,161.505),(21.885,161.505)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,254.145),(21.885,254.315),(22.055,254.315),(22.055,254.145),(21.885,254.145)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,254.505),(21.885,254.675),(22.055,254.675),(22.055,254.505),(21.885,254.505)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,142.545),(21.885,142.715),(22.055,142.715),(22.055,142.545),(21.885,142.545)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,142.905),(21.885,143.075),(22.055,143.075),(22.055,142.905),(21.885,142.905)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,105.345),(21.885,105.515),(22.055,105.515),(22.055,105.345),(21.885,105.345)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,105.705),(21.885,105.875),(22.055,105.875),(22.055,105.705),(21.885,105.705)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,86.745),(21.885,86.915),(22.055,86.915),(22.055,86.745),(21.885,86.745)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,87.105),(21.885,87.275),(22.055,87.275),(22.055,87.105),(21.885,87.105)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,123.945),(21.885,124.115),(22.055,124.115),(22.055,123.945),(21.885,123.945)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,124.305),(21.885,124.475),(22.055,124.475),(22.055,124.305),(21.885,124.305)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,68.145),(21.885,68.315),(22.055,68.315),(22.055,68.145),(21.885,68.145)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,68.505),(21.885,68.675),(22.055,68.675),(22.055,68.505),(21.885,68.505)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,291.34),(21.885,291.51),(22.055,291.51),(22.055,291.34),(21.885,291.34)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,291.7),(21.885,291.87),(22.055,291.87),(22.055,291.7),(21.885,291.7)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,30.945),(21.885,31.115),(22.055,31.115),(22.055,30.945),(21.885,30.945)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,31.305),(21.885,31.475),(22.055,31.475),(22.055,31.305),(21.885,31.305)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,179.745),(21.885,179.915),(22.055,179.915),(22.055,179.745),(21.885,179.745)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,180.105),(21.885,180.275),(22.055,180.275),(22.055,180.105),(21.885,180.105)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,216.945),(21.885,217.115),(22.055,217.115),(22.055,216.945),(21.885,216.945)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,217.305),(21.885,217.475),(22.055,217.475),(22.055,217.305),(21.885,217.305)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,49.485),(21.855,49.49),(21.84,49.49),(21.84,50.13),(21.855,50.13),(21.855,50.135),(22.085,50.135),(22.085,50.13),(22.1,50.13),(22.1,49.49),(22.085,49.49),(22.085,49.485),(21.855,49.485)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,254.085),(21.855,254.09),(21.84,254.09),(21.84,254.73),(21.855,254.73),(21.855,254.735),(22.085,254.735),(22.085,254.73),(22.1,254.73),(22.1,254.09),(22.085,254.09),(22.085,254.085),(21.855,254.085)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,179.685),(21.855,179.69),(21.84,179.69),(21.84,180.33),(21.855,180.33),(21.855,180.335),(22.085,180.335),(22.085,180.33),(22.1,180.33),(22.1,179.69),(22.085,179.69),(22.085,179.685),(21.855,179.685)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,105.285),(21.855,105.29),(21.84,105.29),(21.84,105.93),(21.855,105.93),(21.855,105.935),(22.085,105.935),(22.085,105.93),(22.1,105.93),(22.1,105.29),(22.085,105.29),(22.085,105.285),(21.855,105.285)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,30.885),(21.855,30.89),(21.84,30.89),(21.84,31.53),(21.855,31.53),(21.855,31.535),(22.085,31.535),(22.085,31.53),(22.1,31.53),(22.1,30.89),(22.085,30.89),(22.085,30.885),(21.855,30.885)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,198.285),(21.855,198.29),(21.84,198.29),(21.84,198.93),(21.855,198.93),(21.855,198.935),(22.085,198.935),(22.085,198.93),(22.1,198.93),(22.1,198.29),(22.085,198.29),(22.085,198.285),(21.855,198.285)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,123.885),(21.855,123.89),(21.84,123.89),(21.84,124.53),(21.855,124.53),(21.855,124.535),(22.085,124.535),(22.085,124.53),(22.1,124.53),(22.1,123.89),(22.085,123.89),(22.085,123.885),(21.855,123.885)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,12.285),(21.855,12.29),(21.84,12.29),(21.84,12.93),(21.855,12.93),(21.855,12.935),(22.085,12.935),(22.085,12.93),(22.1,12.93),(22.1,12.29),(22.085,12.29),(22.085,12.285),(21.855,12.285)),
        )
        createRL(
            tech, net, 'm1',
            ((16.35,12.29),(16.35,291.925),(16.61,291.925),(16.61,12.29),(16.35,12.29)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,291.28),(21.855,291.285),(21.84,291.285),(21.84,291.925),(21.855,291.925),(21.855,291.93),(22.085,291.93),(22.085,291.925),(22.1,291.925),(22.1,291.285),(22.085,291.285),(22.085,291.28),(21.855,291.28)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,161.085),(21.855,161.09),(21.84,161.09),(21.84,161.73),(21.855,161.73),(21.855,161.735),(22.085,161.735),(22.085,161.73),(22.1,161.73),(22.1,161.09),(22.085,161.09),(22.085,161.085),(21.855,161.085)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,216.885),(21.855,216.89),(21.84,216.89),(21.84,217.53),(21.855,217.53),(21.855,217.535),(22.085,217.535),(22.085,217.53),(22.1,217.53),(22.1,216.89),(22.085,216.89),(22.085,216.885),(21.855,216.885)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,68.085),(21.855,68.09),(21.84,68.09),(21.84,68.73),(21.855,68.73),(21.855,68.735),(22.085,68.735),(22.085,68.73),(22.1,68.73),(22.1,68.09),(22.085,68.09),(22.085,68.085),(21.855,68.085)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,142.485),(21.855,142.49),(21.84,142.49),(21.84,143.13),(21.855,143.13),(21.855,143.135),(22.085,143.135),(22.085,143.13),(22.1,143.13),(22.1,142.49),(22.085,142.49),(22.085,142.485),(21.855,142.485)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,272.685),(21.855,272.69),(21.84,272.69),(21.84,273.33),(21.855,273.33),(21.855,273.335),(22.085,273.335),(22.085,273.33),(22.1,273.33),(22.1,272.69),(22.085,272.69),(22.085,272.685),(21.855,272.685)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,235.485),(21.855,235.49),(21.84,235.49),(21.84,236.13),(21.855,236.13),(21.855,236.135),(22.085,236.135),(22.085,236.13),(22.1,236.13),(22.1,235.49),(22.085,235.49),(22.085,235.485),(21.855,235.485)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,86.685),(21.855,86.69),(21.84,86.69),(21.84,87.33),(21.855,87.33),(21.855,87.335),(22.085,87.335),(22.085,87.33),(22.1,87.33),(22.1,86.69),(22.085,86.69),(22.085,86.685),(21.855,86.685)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,216.975),(16.405,217.125),(16.555,217.125),(16.555,216.975),(16.405,216.975)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,217.295),(16.405,217.445),(16.555,217.445),(16.555,217.295),(16.405,217.295)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,272.775),(16.405,272.925),(16.555,272.925),(16.555,272.775),(16.405,272.775)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,273.095),(16.405,273.245),(16.555,273.245),(16.555,273.095),(16.405,273.095)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,142.575),(21.895,142.725),(22.045,142.725),(22.045,142.575),(21.895,142.575)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,142.895),(21.895,143.045),(22.045,143.045),(22.045,142.895),(21.895,142.895)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,272.775),(21.895,272.925),(22.045,272.925),(22.045,272.775),(21.895,272.775)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,273.095),(21.895,273.245),(22.045,273.245),(22.045,273.095),(21.895,273.095)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,216.975),(21.895,217.125),(22.045,217.125),(22.045,216.975),(21.895,216.975)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,217.295),(21.895,217.445),(22.045,217.445),(22.045,217.295),(21.895,217.295)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,49.575),(21.895,49.725),(22.045,49.725),(22.045,49.575),(21.895,49.575)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,49.895),(21.895,50.045),(22.045,50.045),(22.045,49.895),(21.895,49.895)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,291.37),(16.405,291.52),(16.555,291.52),(16.555,291.37),(16.405,291.37)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,291.69),(16.405,291.84),(16.555,291.84),(16.555,291.69),(16.405,291.69)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,12.375),(16.405,12.525),(16.555,12.525),(16.555,12.375),(16.405,12.375)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,12.695),(16.405,12.845),(16.555,12.845),(16.555,12.695),(16.405,12.695)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,49.575),(16.405,49.725),(16.555,49.725),(16.555,49.575),(16.405,49.575)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,49.895),(16.405,50.045),(16.555,50.045),(16.555,49.895),(16.405,49.895)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,254.175),(16.405,254.325),(16.555,254.325),(16.555,254.175),(16.405,254.175)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,254.495),(16.405,254.645),(16.555,254.645),(16.555,254.495),(16.405,254.495)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,12.375),(21.895,12.525),(22.045,12.525),(22.045,12.375),(21.895,12.375)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,12.695),(21.895,12.845),(22.045,12.845),(22.045,12.695),(21.895,12.695)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,68.175),(21.895,68.325),(22.045,68.325),(22.045,68.175),(21.895,68.175)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,68.495),(21.895,68.645),(22.045,68.645),(22.045,68.495),(21.895,68.495)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,161.175),(16.405,161.325),(16.555,161.325),(16.555,161.175),(16.405,161.175)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,161.495),(16.405,161.645),(16.555,161.645),(16.555,161.495),(16.405,161.495)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,235.575),(16.405,235.725),(16.555,235.725),(16.555,235.575),(16.405,235.575)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,235.895),(16.405,236.045),(16.555,236.045),(16.555,235.895),(16.405,235.895)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,30.975),(16.405,31.125),(16.555,31.125),(16.555,30.975),(16.405,30.975)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,31.295),(16.405,31.445),(16.555,31.445),(16.555,31.295),(16.405,31.295)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,142.575),(16.405,142.725),(16.555,142.725),(16.555,142.575),(16.405,142.575)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,142.895),(16.405,143.045),(16.555,143.045),(16.555,142.895),(16.405,142.895)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,198.375),(16.405,198.525),(16.555,198.525),(16.555,198.375),(16.405,198.375)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,198.695),(16.405,198.845),(16.555,198.845),(16.555,198.695),(16.405,198.695)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,291.37),(21.895,291.52),(22.045,291.52),(22.045,291.37),(21.895,291.37)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,291.69),(21.895,291.84),(22.045,291.84),(22.045,291.69),(21.895,291.69)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,123.975),(16.405,124.125),(16.555,124.125),(16.555,123.975),(16.405,123.975)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,124.295),(16.405,124.445),(16.555,124.445),(16.555,124.295),(16.405,124.295)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,198.375),(21.895,198.525),(22.045,198.525),(22.045,198.375),(21.895,198.375)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,198.695),(21.895,198.845),(22.045,198.845),(22.045,198.695),(21.895,198.695)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,105.375),(21.895,105.525),(22.045,105.525),(22.045,105.375),(21.895,105.375)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,105.695),(21.895,105.845),(22.045,105.845),(22.045,105.695),(21.895,105.695)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,105.375),(16.405,105.525),(16.555,105.525),(16.555,105.375),(16.405,105.375)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,105.695),(16.405,105.845),(16.555,105.845),(16.555,105.695),(16.405,105.695)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,86.775),(16.405,86.925),(16.555,86.925),(16.555,86.775),(16.405,86.775)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,87.095),(16.405,87.245),(16.555,87.245),(16.555,87.095),(16.405,87.095)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,161.175),(21.895,161.325),(22.045,161.325),(22.045,161.175),(21.895,161.175)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,161.495),(21.895,161.645),(22.045,161.645),(22.045,161.495),(21.895,161.495)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,179.775),(21.895,179.925),(22.045,179.925),(22.045,179.775),(21.895,179.775)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,180.095),(21.895,180.245),(22.045,180.245),(22.045,180.095),(21.895,180.095)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,86.775),(21.895,86.925),(22.045,86.925),(22.045,86.775),(21.895,86.775)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,87.095),(21.895,87.245),(22.045,87.245),(22.045,87.095),(21.895,87.095)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,254.175),(21.895,254.325),(22.045,254.325),(22.045,254.175),(21.895,254.175)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,254.495),(21.895,254.645),(22.045,254.645),(22.045,254.495),(21.895,254.495)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,68.175),(16.405,68.325),(16.555,68.325),(16.555,68.175),(16.405,68.175)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,68.495),(16.405,68.645),(16.555,68.645),(16.555,68.495),(16.405,68.495)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,235.575),(21.895,235.725),(22.045,235.725),(22.045,235.575),(21.895,235.575)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,235.895),(21.895,236.045),(22.045,236.045),(22.045,235.895),(21.895,235.895)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,179.775),(16.405,179.925),(16.555,179.925),(16.555,179.775),(16.405,179.775)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,180.095),(16.405,180.245),(16.555,180.245),(16.555,180.095),(16.405,180.095)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,123.975),(21.895,124.125),(22.045,124.125),(22.045,123.975),(21.895,123.975)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,124.295),(21.895,124.445),(22.045,124.445),(22.045,124.295),(21.895,124.295)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,30.975),(21.895,31.125),(22.045,31.125),(22.045,30.975),(21.895,30.975)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,31.295),(21.895,31.445),(22.045,31.445),(22.045,31.295),(21.895,31.295)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,49.49),(16.35,50.13),(22.1,50.13),(22.1,49.49),(16.35,49.49)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,68.09),(16.35,68.73),(22.1,68.73),(22.1,68.09),(16.35,68.09)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,105.29),(16.35,105.93),(22.1,105.93),(22.1,105.29),(16.35,105.29)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,254.09),(16.35,254.73),(22.1,254.73),(22.1,254.09),(16.35,254.09)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,272.69),(16.35,273.33),(22.1,273.33),(22.1,272.69),(16.35,272.69)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,291.285),(16.35,291.925),(22.1,291.925),(22.1,291.285),(16.35,291.285)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,86.69),(16.35,87.33),(22.1,87.33),(22.1,86.69),(16.35,86.69)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,30.89),(16.35,31.53),(22.1,31.53),(22.1,30.89),(16.35,30.89)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,12.29),(16.35,12.93),(22.1,12.93),(22.1,12.29),(16.35,12.29)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,123.89),(16.35,124.53),(22.1,124.53),(22.1,123.89),(16.35,123.89)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,142.49),(16.35,143.13),(22.1,143.13),(22.1,142.49),(16.35,142.49)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,161.09),(16.35,161.73),(22.1,161.73),(22.1,161.09),(16.35,161.09)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,179.69),(16.35,180.33),(22.1,180.33),(22.1,179.69),(16.35,179.69)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,235.49),(16.35,236.13),(22.1,236.13),(22.1,235.49),(16.35,235.49)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,216.89),(16.35,217.53),(22.1,217.53),(22.1,216.89),(16.35,216.89)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,198.29),(16.35,198.93),(22.1,198.93),(22.1,198.29),(16.35,198.29)),
        )
        net = nets['pd[0][6]']
        createRL(
            tech, net, 'li',
            ((21.885,89.425),(21.885,89.955),(22.055,89.955),(22.055,89.425),(21.885,89.425)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,145.225),(21.885,145.755),(22.055,145.755),(22.055,145.225),(21.885,145.225)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,201.025),(21.885,201.555),(22.055,201.555),(22.055,201.025),(21.885,201.025)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,238.225),(21.885,238.755),(22.055,238.755),(22.055,238.225),(21.885,238.225)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,15.03),(21.885,15.56),(22.055,15.56),(22.055,15.03),(21.885,15.03)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,275.425),(21.885,275.955),(22.055,275.955),(22.055,275.425),(21.885,275.425)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,219.63),(21.885,220.16),(22.055,220.16),(22.055,219.63),(21.885,219.63)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,52.23),(21.885,52.76),(22.055,52.76),(22.055,52.23),(21.885,52.23)),
        )
        createRL(
            tech, net, 'li',
            ((14.775,52.415),(14.775,52.585),(14.945,52.585),(14.945,52.415),(14.775,52.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,108.025),(21.885,108.555),(22.055,108.555),(22.055,108.025),(21.885,108.025)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,126.63),(21.885,127.16),(22.055,127.16),(22.055,126.63),(21.885,126.63)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,256.825),(21.885,257.355),(22.055,257.355),(22.055,256.825),(21.885,256.825)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,182.425),(21.885,182.955),(22.055,182.955),(22.055,182.425),(21.885,182.425)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,294.025),(21.885,294.555),(22.055,294.555),(22.055,294.025),(21.885,294.025)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,33.63),(21.885,34.16),(22.055,34.16),(22.055,33.63),(21.885,33.63)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,163.83),(21.885,164.36),(22.055,164.36),(22.055,163.83),(21.885,163.83)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,70.825),(21.885,71.355),(22.055,71.355),(22.055,70.825),(21.885,70.825)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,126.63),(21.885,126.8),(22.055,126.8),(22.055,126.63),(21.885,126.63)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,126.99),(21.885,127.16),(22.055,127.16),(22.055,126.99),(21.885,126.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,163.83),(21.885,164.0),(22.055,164.0),(22.055,163.83),(21.885,163.83)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,164.19),(21.885,164.36),(22.055,164.36),(22.055,164.19),(21.885,164.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,238.225),(21.885,238.395),(22.055,238.395),(22.055,238.225),(21.885,238.225)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,238.585),(21.885,238.755),(22.055,238.755),(22.055,238.585),(21.885,238.585)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,256.825),(21.885,256.995),(22.055,256.995),(22.055,256.825),(21.885,256.825)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,257.185),(21.885,257.355),(22.055,257.355),(22.055,257.185),(21.885,257.185)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,294.025),(21.885,294.195),(22.055,294.195),(22.055,294.025),(21.885,294.025)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,294.385),(21.885,294.555),(22.055,294.555),(22.055,294.385),(21.885,294.385)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,15.03),(21.885,15.2),(22.055,15.2),(22.055,15.03),(21.885,15.03)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,15.39),(21.885,15.56),(22.055,15.56),(22.055,15.39),(21.885,15.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,275.425),(21.885,275.595),(22.055,275.595),(22.055,275.425),(21.885,275.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,275.785),(21.885,275.955),(22.055,275.955),(22.055,275.785),(21.885,275.785)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,89.425),(21.885,89.595),(22.055,89.595),(22.055,89.425),(21.885,89.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,89.785),(21.885,89.955),(22.055,89.955),(22.055,89.785),(21.885,89.785)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,33.63),(21.885,33.8),(22.055,33.8),(22.055,33.63),(21.885,33.63)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,33.99),(21.885,34.16),(22.055,34.16),(22.055,33.99),(21.885,33.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((14.775,52.415),(14.775,52.585),(14.945,52.585),(14.945,52.415),(14.775,52.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,70.825),(21.885,70.995),(22.055,70.995),(22.055,70.825),(21.885,70.825)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,71.185),(21.885,71.355),(22.055,71.355),(22.055,71.185),(21.885,71.185)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,52.23),(21.885,52.4),(22.055,52.4),(22.055,52.23),(21.885,52.23)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,52.59),(21.885,52.76),(22.055,52.76),(22.055,52.59),(21.885,52.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,219.63),(21.885,219.8),(22.055,219.8),(22.055,219.63),(21.885,219.63)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,219.99),(21.885,220.16),(22.055,220.16),(22.055,219.99),(21.885,219.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,201.025),(21.885,201.195),(22.055,201.195),(22.055,201.025),(21.885,201.025)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,201.385),(21.885,201.555),(22.055,201.555),(22.055,201.385),(21.885,201.385)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,108.025),(21.885,108.195),(22.055,108.195),(22.055,108.025),(21.885,108.025)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,108.385),(21.885,108.555),(22.055,108.555),(22.055,108.385),(21.885,108.385)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,145.225),(21.885,145.395),(22.055,145.395),(22.055,145.225),(21.885,145.225)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,145.585),(21.885,145.755),(22.055,145.755),(22.055,145.585),(21.885,145.585)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,182.425),(21.885,182.595),(22.055,182.595),(22.055,182.425),(21.885,182.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,182.785),(21.885,182.955),(22.055,182.955),(22.055,182.785),(21.885,182.785)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,200.965),(21.855,200.97),(21.84,200.97),(21.84,201.61),(21.855,201.61),(21.855,201.615),(22.085,201.615),(22.085,201.61),(22.1,201.61),(22.1,200.97),(22.085,200.97),(22.085,200.965),(21.855,200.965)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,275.365),(21.855,275.37),(21.84,275.37),(21.84,276.01),(21.855,276.01),(21.855,276.015),(22.085,276.015),(22.085,276.01),(22.1,276.01),(22.1,275.37),(22.085,275.37),(22.085,275.365),(21.855,275.365)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,52.17),(21.855,52.175),(21.84,52.175),(21.84,52.815),(21.855,52.815),(21.855,52.82),(22.085,52.82),(22.085,52.815),(22.1,52.815),(22.1,52.175),(22.085,52.175),(22.085,52.17),(21.855,52.17)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,126.57),(21.855,126.575),(21.84,126.575),(21.84,127.215),(21.855,127.215),(21.855,127.22),(22.085,127.22),(22.085,127.215),(22.1,127.215),(22.1,126.575),(22.085,126.575),(22.085,126.57),(21.855,126.57)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,89.365),(21.855,89.37),(21.84,89.37),(21.84,90.01),(21.855,90.01),(21.855,90.015),(22.085,90.015),(22.085,90.01),(22.1,90.01),(22.1,89.37),(22.085,89.37),(22.085,89.365),(21.855,89.365)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,256.765),(21.855,256.77),(21.84,256.77),(21.84,257.41),(21.855,257.41),(21.855,257.415),(22.085,257.415),(22.085,257.41),(22.1,257.41),(22.1,256.77),(22.085,256.77),(22.085,256.765),(21.855,256.765)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,219.57),(21.855,219.575),(21.84,219.575),(21.84,220.215),(21.855,220.215),(21.855,220.22),(22.085,220.22),(22.085,220.215),(22.1,220.215),(22.1,219.575),(22.085,219.575),(22.085,219.57),(21.855,219.57)),
        )
        createRL(
            tech, net, 'm1',
            ((14.73,14.975),(14.73,294.61),(14.99,294.61),(14.99,14.975),(14.73,14.975)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,293.965),(21.855,293.97),(21.84,293.97),(21.84,294.61),(21.855,294.61),(21.855,294.615),(22.085,294.615),(22.085,294.61),(22.1,294.61),(22.1,293.97),(22.085,293.97),(22.085,293.965),(21.855,293.965)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,70.765),(21.855,70.77),(21.84,70.77),(21.84,71.41),(21.855,71.41),(21.855,71.415),(22.085,71.415),(22.085,71.41),(22.1,71.41),(22.1,70.77),(22.085,70.77),(22.085,70.765),(21.855,70.765)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,33.57),(21.855,33.575),(21.84,33.575),(21.84,34.215),(21.855,34.215),(21.855,34.22),(22.085,34.22),(22.085,34.215),(22.1,34.215),(22.1,33.575),(22.085,33.575),(22.085,33.57),(21.855,33.57)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,238.165),(21.855,238.17),(21.84,238.17),(21.84,238.81),(21.855,238.81),(21.855,238.815),(22.085,238.815),(22.085,238.81),(22.1,238.81),(22.1,238.17),(22.085,238.17),(22.085,238.165),(21.855,238.165)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,163.77),(21.855,163.775),(21.84,163.775),(21.84,164.415),(21.855,164.415),(21.855,164.42),(22.085,164.42),(22.085,164.415),(22.1,164.415),(22.1,163.775),(22.085,163.775),(22.085,163.77),(21.855,163.77)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,14.97),(21.855,14.975),(21.84,14.975),(21.84,15.615),(21.855,15.615),(21.855,15.62),(22.085,15.62),(22.085,15.615),(22.1,15.615),(22.1,14.975),(22.085,14.975),(22.085,14.97),(21.855,14.97)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,107.965),(21.855,107.97),(21.84,107.97),(21.84,108.61),(21.855,108.61),(21.855,108.615),(22.085,108.615),(22.085,108.61),(22.1,108.61),(22.1,107.97),(22.085,107.97),(22.085,107.965),(21.855,107.965)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,145.165),(21.855,145.17),(21.84,145.17),(21.84,145.81),(21.855,145.81),(21.855,145.815),(22.085,145.815),(22.085,145.81),(22.1,145.81),(22.1,145.17),(22.085,145.17),(22.085,145.165),(21.855,145.165)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,182.365),(21.855,182.37),(21.84,182.37),(21.84,183.01),(21.855,183.01),(21.855,183.015),(22.085,183.015),(22.085,183.01),(22.1,183.01),(22.1,182.37),(22.085,182.37),(22.085,182.365),(21.855,182.365)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,219.66),(14.785,219.81),(14.935,219.81),(14.935,219.66),(14.785,219.66)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,219.98),(14.785,220.13),(14.935,220.13),(14.935,219.98),(14.785,219.98)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,108.055),(14.785,108.205),(14.935,108.205),(14.935,108.055),(14.785,108.055)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,108.375),(14.785,108.525),(14.935,108.525),(14.935,108.375),(14.785,108.375)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,15.06),(14.785,15.21),(14.935,15.21),(14.935,15.06),(14.785,15.06)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,15.38),(14.785,15.53),(14.935,15.53),(14.935,15.38),(14.785,15.38)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,52.26),(21.895,52.41),(22.045,52.41),(22.045,52.26),(21.895,52.26)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,52.58),(21.895,52.73),(22.045,52.73),(22.045,52.58),(21.895,52.58)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,126.66),(21.895,126.81),(22.045,126.81),(22.045,126.66),(21.895,126.66)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,126.98),(21.895,127.13),(22.045,127.13),(22.045,126.98),(21.895,126.98)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,275.455),(14.785,275.605),(14.935,275.605),(14.935,275.455),(14.785,275.455)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,275.775),(14.785,275.925),(14.935,275.925),(14.935,275.775),(14.785,275.775)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,89.455),(21.895,89.605),(22.045,89.605),(22.045,89.455),(21.895,89.455)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,89.775),(21.895,89.925),(22.045,89.925),(22.045,89.775),(21.895,89.775)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,294.055),(14.785,294.205),(14.935,294.205),(14.935,294.055),(14.785,294.055)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,294.375),(14.785,294.525),(14.935,294.525),(14.935,294.375),(14.785,294.375)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,182.455),(21.895,182.605),(22.045,182.605),(22.045,182.455),(21.895,182.455)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,182.775),(21.895,182.925),(22.045,182.925),(22.045,182.775),(21.895,182.775)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,70.855),(14.785,71.005),(14.935,71.005),(14.935,70.855),(14.785,70.855)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,71.175),(14.785,71.325),(14.935,71.325),(14.935,71.175),(14.785,71.175)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,182.455),(14.785,182.605),(14.935,182.605),(14.935,182.455),(14.785,182.455)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,182.775),(14.785,182.925),(14.935,182.925),(14.935,182.775),(14.785,182.775)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,294.055),(21.895,294.205),(22.045,294.205),(22.045,294.055),(21.895,294.055)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,294.375),(21.895,294.525),(22.045,294.525),(22.045,294.375),(21.895,294.375)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,70.855),(21.895,71.005),(22.045,71.005),(22.045,70.855),(21.895,70.855)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,71.175),(21.895,71.325),(22.045,71.325),(22.045,71.175),(21.895,71.175)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,33.66),(21.895,33.81),(22.045,33.81),(22.045,33.66),(21.895,33.66)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,33.98),(21.895,34.13),(22.045,34.13),(22.045,33.98),(21.895,33.98)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,145.255),(14.785,145.405),(14.935,145.405),(14.935,145.255),(14.785,145.255)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,145.575),(14.785,145.725),(14.935,145.725),(14.935,145.575),(14.785,145.575)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,256.855),(14.785,257.005),(14.935,257.005),(14.935,256.855),(14.785,256.855)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,257.175),(14.785,257.325),(14.935,257.325),(14.935,257.175),(14.785,257.175)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,163.86),(14.785,164.01),(14.935,164.01),(14.935,163.86),(14.785,163.86)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,164.18),(14.785,164.33),(14.935,164.33),(14.935,164.18),(14.785,164.18)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,33.66),(14.785,33.81),(14.935,33.81),(14.935,33.66),(14.785,33.66)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,33.98),(14.785,34.13),(14.935,34.13),(14.935,33.98),(14.785,33.98)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,52.26),(14.785,52.41),(14.935,52.41),(14.935,52.26),(14.785,52.26)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,52.58),(14.785,52.73),(14.935,52.73),(14.935,52.58),(14.785,52.58)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,89.455),(14.785,89.605),(14.935,89.605),(14.935,89.455),(14.785,89.455)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,89.775),(14.785,89.925),(14.935,89.925),(14.935,89.775),(14.785,89.775)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,201.055),(14.785,201.205),(14.935,201.205),(14.935,201.055),(14.785,201.055)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,201.375),(14.785,201.525),(14.935,201.525),(14.935,201.375),(14.785,201.375)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,219.66),(21.895,219.81),(22.045,219.81),(22.045,219.66),(21.895,219.66)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,219.98),(21.895,220.13),(22.045,220.13),(22.045,219.98),(21.895,219.98)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,238.255),(21.895,238.405),(22.045,238.405),(22.045,238.255),(21.895,238.255)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,238.575),(21.895,238.725),(22.045,238.725),(22.045,238.575),(21.895,238.575)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,201.055),(21.895,201.205),(22.045,201.205),(22.045,201.055),(21.895,201.055)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,201.375),(21.895,201.525),(22.045,201.525),(22.045,201.375),(21.895,201.375)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,126.66),(14.785,126.81),(14.935,126.81),(14.935,126.66),(14.785,126.66)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,126.98),(14.785,127.13),(14.935,127.13),(14.935,126.98),(14.785,126.98)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,15.06),(21.895,15.21),(22.045,15.21),(22.045,15.06),(21.895,15.06)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,15.38),(21.895,15.53),(22.045,15.53),(22.045,15.38),(21.895,15.38)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,238.255),(14.785,238.405),(14.935,238.405),(14.935,238.255),(14.785,238.255)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,238.575),(14.785,238.725),(14.935,238.725),(14.935,238.575),(14.785,238.575)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,275.455),(21.895,275.605),(22.045,275.605),(22.045,275.455),(21.895,275.455)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,275.775),(21.895,275.925),(22.045,275.925),(22.045,275.775),(21.895,275.775)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,163.86),(21.895,164.01),(22.045,164.01),(22.045,163.86),(21.895,163.86)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,164.18),(21.895,164.33),(22.045,164.33),(22.045,164.18),(21.895,164.18)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,256.855),(21.895,257.005),(22.045,257.005),(22.045,256.855),(21.895,256.855)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,257.175),(21.895,257.325),(22.045,257.325),(22.045,257.175),(21.895,257.175)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,108.055),(21.895,108.205),(22.045,108.205),(22.045,108.055),(21.895,108.055)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,108.375),(21.895,108.525),(22.045,108.525),(22.045,108.375),(21.895,108.375)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,145.255),(21.895,145.405),(22.045,145.405),(22.045,145.255),(21.895,145.255)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,145.575),(21.895,145.725),(22.045,145.725),(22.045,145.575),(21.895,145.575)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,33.575),(14.73,34.215),(22.1,34.215),(22.1,33.575),(14.73,33.575)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,89.37),(14.73,90.01),(22.1,90.01),(22.1,89.37),(14.73,89.37)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,163.775),(14.73,164.415),(22.1,164.415),(22.1,163.775),(14.73,163.775)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,275.37),(14.73,276.01),(22.1,276.01),(22.1,275.37),(14.73,275.37)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,70.77),(14.73,71.41),(22.1,71.41),(22.1,70.77),(14.73,70.77)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,52.175),(14.73,52.815),(22.1,52.815),(22.1,52.175),(14.73,52.175)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,182.37),(14.73,183.01),(22.1,183.01),(22.1,182.37),(14.73,182.37)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,200.97),(14.73,201.61),(22.1,201.61),(22.1,200.97),(14.73,200.97)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,256.77),(14.73,257.41),(22.1,257.41),(22.1,256.77),(14.73,256.77)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,107.97),(14.73,108.61),(22.1,108.61),(22.1,107.97),(14.73,107.97)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,219.575),(14.73,220.215),(22.1,220.215),(22.1,219.575),(14.73,219.575)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,14.975),(14.73,15.615),(22.1,15.615),(22.1,14.975),(14.73,14.975)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,126.575),(14.73,127.215),(22.1,127.215),(22.1,126.575),(14.73,126.575)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,293.97),(14.73,294.61),(22.1,294.61),(22.1,293.97),(14.73,293.97)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,145.17),(14.73,145.81),(22.1,145.81),(22.1,145.17),(14.73,145.17)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,238.17),(14.73,238.81),(22.1,238.81),(22.1,238.17),(14.73,238.17)),
        )
        net = nets['pd[0][7]']
        createRL(
            tech, net, 'li',
            ((21.885,240.195),(21.885,240.725),(22.055,240.725),(22.055,240.195),(21.885,240.195)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,109.99),(21.885,110.52),(22.055,110.52),(22.055,109.99),(21.885,109.99)),
        )
        createRL(
            tech, net, 'li',
            ((16.935,57.415),(16.935,57.585),(17.105,57.585),(17.105,57.415),(16.935,57.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,147.195),(21.885,147.725),(22.055,147.725),(22.055,147.195),(21.885,147.195)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,165.795),(21.885,166.325),(22.055,166.325),(22.055,165.795),(21.885,165.795)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,221.595),(21.885,222.125),(22.055,222.125),(22.055,221.595),(21.885,221.595)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,16.995),(21.885,17.525),(22.055,17.525),(22.055,16.995),(21.885,16.995)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,128.595),(21.885,129.125),(22.055,129.125),(22.055,128.595),(21.885,128.595)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,258.795),(21.885,259.325),(22.055,259.325),(22.055,258.795),(21.885,258.795)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,277.395),(21.885,277.925),(22.055,277.925),(22.055,277.395),(21.885,277.395)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,295.995),(21.885,296.525),(22.055,296.525),(22.055,295.995),(21.885,295.995)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,54.195),(21.885,54.725),(22.055,54.725),(22.055,54.195),(21.885,54.195)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,184.395),(21.885,184.925),(22.055,184.925),(22.055,184.395),(21.885,184.395)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,91.395),(21.885,91.925),(22.055,91.925),(22.055,91.395),(21.885,91.395)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,202.995),(21.885,203.525),(22.055,203.525),(22.055,202.995),(21.885,202.995)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,35.595),(21.885,36.125),(22.055,36.125),(22.055,35.595),(21.885,35.595)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,72.795),(21.885,73.325),(22.055,73.325),(22.055,72.795),(21.885,72.795)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,91.395),(21.885,91.565),(22.055,91.565),(22.055,91.395),(21.885,91.395)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,91.755),(21.885,91.925),(22.055,91.925),(22.055,91.755),(21.885,91.755)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,128.595),(21.885,128.765),(22.055,128.765),(22.055,128.595),(21.885,128.595)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,128.955),(21.885,129.125),(22.055,129.125),(22.055,128.955),(21.885,128.955)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,277.395),(21.885,277.565),(22.055,277.565),(22.055,277.395),(21.885,277.395)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,277.755),(21.885,277.925),(22.055,277.925),(22.055,277.755),(21.885,277.755)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,35.595),(21.885,35.765),(22.055,35.765),(22.055,35.595),(21.885,35.595)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,35.955),(21.885,36.125),(22.055,36.125),(22.055,35.955),(21.885,35.955)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,295.995),(21.885,296.165),(22.055,296.165),(22.055,295.995),(21.885,295.995)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,296.355),(21.885,296.525),(22.055,296.525),(22.055,296.355),(21.885,296.355)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,109.99),(21.885,110.16),(22.055,110.16),(22.055,109.99),(21.885,109.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,110.35),(21.885,110.52),(22.055,110.52),(22.055,110.35),(21.885,110.35)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.935,57.415),(16.935,57.585),(17.105,57.585),(17.105,57.415),(16.935,57.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,16.995),(21.885,17.165),(22.055,17.165),(22.055,16.995),(21.885,16.995)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,17.355),(21.885,17.525),(22.055,17.525),(22.055,17.355),(21.885,17.355)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,54.195),(21.885,54.365),(22.055,54.365),(22.055,54.195),(21.885,54.195)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,54.555),(21.885,54.725),(22.055,54.725),(22.055,54.555),(21.885,54.555)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,147.195),(21.885,147.365),(22.055,147.365),(22.055,147.195),(21.885,147.195)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,147.555),(21.885,147.725),(22.055,147.725),(22.055,147.555),(21.885,147.555)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,184.395),(21.885,184.565),(22.055,184.565),(22.055,184.395),(21.885,184.395)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,184.755),(21.885,184.925),(22.055,184.925),(22.055,184.755),(21.885,184.755)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,165.795),(21.885,165.965),(22.055,165.965),(22.055,165.795),(21.885,165.795)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,166.155),(21.885,166.325),(22.055,166.325),(22.055,166.155),(21.885,166.155)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,72.795),(21.885,72.965),(22.055,72.965),(22.055,72.795),(21.885,72.795)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,73.155),(21.885,73.325),(22.055,73.325),(22.055,73.155),(21.885,73.155)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,240.195),(21.885,240.365),(22.055,240.365),(22.055,240.195),(21.885,240.195)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,240.555),(21.885,240.725),(22.055,240.725),(22.055,240.555),(21.885,240.555)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,221.595),(21.885,221.765),(22.055,221.765),(22.055,221.595),(21.885,221.595)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,221.955),(21.885,222.125),(22.055,222.125),(22.055,221.955),(21.885,221.955)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,202.995),(21.885,203.165),(22.055,203.165),(22.055,202.995),(21.885,202.995)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,203.355),(21.885,203.525),(22.055,203.525),(22.055,203.355),(21.885,203.355)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,258.795),(21.885,258.965),(22.055,258.965),(22.055,258.795),(21.885,258.795)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,259.155),(21.885,259.325),(22.055,259.325),(22.055,259.155),(21.885,259.155)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,54.135),(21.855,54.14),(21.84,54.14),(21.84,54.78),(21.855,54.78),(21.855,54.785),(22.085,54.785),(22.085,54.78),(22.1,54.78),(22.1,54.14),(22.085,54.14),(22.085,54.135),(21.855,54.135)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,72.735),(21.855,72.74),(21.84,72.74),(21.84,73.38),(21.855,73.38),(21.855,73.385),(22.085,73.385),(22.085,73.38),(22.1,73.38),(22.1,72.74),(22.085,72.74),(22.085,72.735),(21.855,72.735)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,277.335),(21.855,277.34),(21.84,277.34),(21.84,277.98),(21.855,277.98),(21.855,277.985),(22.085,277.985),(22.085,277.98),(22.1,277.98),(22.1,277.34),(22.085,277.34),(22.085,277.335),(21.855,277.335)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,91.335),(21.855,91.34),(21.84,91.34),(21.84,91.98),(21.855,91.98),(21.855,91.985),(22.085,91.985),(22.085,91.98),(22.1,91.98),(22.1,91.34),(22.085,91.34),(22.085,91.335),(21.855,91.335)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,221.535),(21.855,221.54),(21.84,221.54),(21.84,222.18),(21.855,222.18),(21.855,222.185),(22.085,222.185),(22.085,222.18),(22.1,222.18),(22.1,221.54),(22.085,221.54),(22.085,221.535),(21.855,221.535)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,128.535),(21.855,128.54),(21.84,128.54),(21.84,129.18),(21.855,129.18),(21.855,129.185),(22.085,129.185),(22.085,129.18),(22.1,129.18),(22.1,128.54),(22.085,128.54),(22.085,128.535),(21.855,128.535)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,165.735),(21.855,165.74),(21.84,165.74),(21.84,166.38),(21.855,166.38),(21.855,166.385),(22.085,166.385),(22.085,166.38),(22.1,166.38),(22.1,165.74),(22.085,165.74),(22.085,165.735),(21.855,165.735)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,35.535),(21.855,35.54),(21.84,35.54),(21.84,36.18),(21.855,36.18),(21.855,36.185),(22.085,36.185),(22.085,36.18),(22.1,36.18),(22.1,35.54),(22.085,35.54),(22.085,35.535),(21.855,35.535)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,258.735),(21.855,258.74),(21.84,258.74),(21.84,259.38),(21.855,259.38),(21.855,259.385),(22.085,259.385),(22.085,259.38),(22.1,259.38),(22.1,258.74),(22.085,258.74),(22.085,258.735),(21.855,258.735)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,109.93),(21.855,109.935),(21.84,109.935),(21.84,110.575),(21.855,110.575),(21.855,110.58),(22.085,110.58),(22.085,110.575),(22.1,110.575),(22.1,109.935),(22.085,109.935),(22.085,109.93),(21.855,109.93)),
        )
        createRL(
            tech, net, 'm1',
            ((16.89,16.94),(16.89,296.58),(17.15,296.58),(17.15,16.94),(16.89,16.94)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,184.335),(21.855,184.34),(21.84,184.34),(21.84,184.98),(21.855,184.98),(21.855,184.985),(22.085,184.985),(22.085,184.98),(22.1,184.98),(22.1,184.34),(22.085,184.34),(22.085,184.335),(21.855,184.335)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,16.935),(21.855,16.94),(21.84,16.94),(21.84,17.58),(21.855,17.58),(21.855,17.585),(22.085,17.585),(22.085,17.58),(22.1,17.58),(22.1,16.94),(22.085,16.94),(22.085,16.935),(21.855,16.935)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,202.935),(21.855,202.94),(21.84,202.94),(21.84,203.58),(21.855,203.58),(21.855,203.585),(22.085,203.585),(22.085,203.58),(22.1,203.58),(22.1,202.94),(22.085,202.94),(22.085,202.935),(21.855,202.935)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,147.135),(21.855,147.14),(21.84,147.14),(21.84,147.78),(21.855,147.78),(21.855,147.785),(22.085,147.785),(22.085,147.78),(22.1,147.78),(22.1,147.14),(22.085,147.14),(22.085,147.135),(21.855,147.135)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,295.935),(21.855,295.94),(21.84,295.94),(21.84,296.58),(21.855,296.58),(21.855,296.585),(22.085,296.585),(22.085,296.58),(22.1,296.58),(22.1,295.94),(22.085,295.94),(22.085,295.935),(21.855,295.935)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,240.135),(21.855,240.14),(21.84,240.14),(21.84,240.78),(21.855,240.78),(21.855,240.785),(22.085,240.785),(22.085,240.78),(22.1,240.78),(22.1,240.14),(22.085,240.14),(22.085,240.135),(21.855,240.135)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,147.225),(21.895,147.375),(22.045,147.375),(22.045,147.225),(21.895,147.225)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,147.545),(21.895,147.695),(22.045,147.695),(22.045,147.545),(21.895,147.545)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,240.225),(16.945,240.375),(17.095,240.375),(17.095,240.225),(16.945,240.225)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,240.545),(16.945,240.695),(17.095,240.695),(17.095,240.545),(16.945,240.545)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,72.825),(21.895,72.975),(22.045,72.975),(22.045,72.825),(21.895,72.825)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,73.145),(21.895,73.295),(22.045,73.295),(22.045,73.145),(21.895,73.145)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,35.625),(21.895,35.775),(22.045,35.775),(22.045,35.625),(21.895,35.625)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,35.945),(21.895,36.095),(22.045,36.095),(22.045,35.945),(21.895,35.945)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,203.025),(21.895,203.175),(22.045,203.175),(22.045,203.025),(21.895,203.025)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,203.345),(21.895,203.495),(22.045,203.495),(22.045,203.345),(21.895,203.345)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,128.625),(21.895,128.775),(22.045,128.775),(22.045,128.625),(21.895,128.625)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,128.945),(21.895,129.095),(22.045,129.095),(22.045,128.945),(21.895,128.945)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,240.225),(21.895,240.375),(22.045,240.375),(22.045,240.225),(21.895,240.225)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,240.545),(21.895,240.695),(22.045,240.695),(22.045,240.545),(21.895,240.545)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,258.825),(16.945,258.975),(17.095,258.975),(17.095,258.825),(16.945,258.825)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,259.145),(16.945,259.295),(17.095,259.295),(17.095,259.145),(16.945,259.145)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,165.825),(16.945,165.975),(17.095,165.975),(17.095,165.825),(16.945,165.825)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,166.145),(16.945,166.295),(17.095,166.295),(17.095,166.145),(16.945,166.145)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,91.425),(21.895,91.575),(22.045,91.575),(22.045,91.425),(21.895,91.425)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,91.745),(21.895,91.895),(22.045,91.895),(22.045,91.745),(21.895,91.745)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,54.225),(16.945,54.375),(17.095,54.375),(17.095,54.225),(16.945,54.225)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,54.545),(16.945,54.695),(17.095,54.695),(17.095,54.545),(16.945,54.545)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,54.225),(21.895,54.375),(22.045,54.375),(22.045,54.225),(21.895,54.225)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,54.545),(21.895,54.695),(22.045,54.695),(22.045,54.545),(21.895,54.545)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,17.025),(21.895,17.175),(22.045,17.175),(22.045,17.025),(21.895,17.025)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,17.345),(21.895,17.495),(22.045,17.495),(22.045,17.345),(21.895,17.345)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,91.425),(16.945,91.575),(17.095,91.575),(17.095,91.425),(16.945,91.425)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,91.745),(16.945,91.895),(17.095,91.895),(17.095,91.745),(16.945,91.745)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,72.825),(16.945,72.975),(17.095,72.975),(17.095,72.825),(16.945,72.825)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,73.145),(16.945,73.295),(17.095,73.295),(17.095,73.145),(16.945,73.145)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,128.625),(16.945,128.775),(17.095,128.775),(17.095,128.625),(16.945,128.625)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,128.945),(16.945,129.095),(17.095,129.095),(17.095,128.945),(16.945,128.945)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,277.425),(16.945,277.575),(17.095,277.575),(17.095,277.425),(16.945,277.425)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,277.745),(16.945,277.895),(17.095,277.895),(17.095,277.745),(16.945,277.745)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,17.025),(16.945,17.175),(17.095,17.175),(17.095,17.025),(16.945,17.025)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,17.345),(16.945,17.495),(17.095,17.495),(17.095,17.345),(16.945,17.345)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,110.02),(16.945,110.17),(17.095,110.17),(17.095,110.02),(16.945,110.02)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,110.34),(16.945,110.49),(17.095,110.49),(17.095,110.34),(16.945,110.34)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,184.425),(21.895,184.575),(22.045,184.575),(22.045,184.425),(21.895,184.425)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,184.745),(21.895,184.895),(22.045,184.895),(22.045,184.745),(21.895,184.745)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,203.025),(16.945,203.175),(17.095,203.175),(17.095,203.025),(16.945,203.025)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,203.345),(16.945,203.495),(17.095,203.495),(17.095,203.345),(16.945,203.345)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,35.625),(16.945,35.775),(17.095,35.775),(17.095,35.625),(16.945,35.625)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,35.945),(16.945,36.095),(17.095,36.095),(17.095,35.945),(16.945,35.945)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,296.025),(21.895,296.175),(22.045,296.175),(22.045,296.025),(21.895,296.025)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,296.345),(21.895,296.495),(22.045,296.495),(22.045,296.345),(21.895,296.345)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,277.425),(21.895,277.575),(22.045,277.575),(22.045,277.425),(21.895,277.425)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,277.745),(21.895,277.895),(22.045,277.895),(22.045,277.745),(21.895,277.745)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,221.625),(16.945,221.775),(17.095,221.775),(17.095,221.625),(16.945,221.625)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,221.945),(16.945,222.095),(17.095,222.095),(17.095,221.945),(16.945,221.945)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,221.625),(21.895,221.775),(22.045,221.775),(22.045,221.625),(21.895,221.625)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,221.945),(21.895,222.095),(22.045,222.095),(22.045,221.945),(21.895,221.945)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,184.425),(16.945,184.575),(17.095,184.575),(17.095,184.425),(16.945,184.425)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,184.745),(16.945,184.895),(17.095,184.895),(17.095,184.745),(16.945,184.745)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,147.225),(16.945,147.375),(17.095,147.375),(17.095,147.225),(16.945,147.225)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,147.545),(16.945,147.695),(17.095,147.695),(17.095,147.545),(16.945,147.545)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,110.02),(21.895,110.17),(22.045,110.17),(22.045,110.02),(21.895,110.02)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,110.34),(21.895,110.49),(22.045,110.49),(22.045,110.34),(21.895,110.34)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,296.025),(16.945,296.175),(17.095,296.175),(17.095,296.025),(16.945,296.025)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,296.345),(16.945,296.495),(17.095,296.495),(17.095,296.345),(16.945,296.345)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,258.825),(21.895,258.975),(22.045,258.975),(22.045,258.825),(21.895,258.825)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,259.145),(21.895,259.295),(22.045,259.295),(22.045,259.145),(21.895,259.145)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,165.825),(21.895,165.975),(22.045,165.975),(22.045,165.825),(21.895,165.825)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,166.145),(21.895,166.295),(22.045,166.295),(22.045,166.145),(21.895,166.145)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,202.94),(16.89,203.58),(22.1,203.58),(22.1,202.94),(16.89,202.94)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,184.34),(16.89,184.98),(22.1,184.98),(22.1,184.34),(16.89,184.34)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,258.74),(16.89,259.38),(22.1,259.38),(22.1,258.74),(16.89,258.74)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,295.94),(16.89,296.58),(22.1,296.58),(22.1,295.94),(16.89,295.94)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,165.74),(16.89,166.38),(22.1,166.38),(22.1,165.74),(16.89,165.74)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,16.94),(16.89,17.58),(22.1,17.58),(22.1,16.94),(16.89,16.94)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,128.54),(16.89,129.18),(22.1,129.18),(22.1,128.54),(16.89,128.54)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,221.54),(16.89,222.18),(22.1,222.18),(22.1,221.54),(16.89,221.54)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,91.34),(16.89,91.98),(22.1,91.98),(22.1,91.34),(16.89,91.34)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,147.14),(16.89,147.78),(22.1,147.78),(22.1,147.14),(16.89,147.14)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,277.34),(16.89,277.98),(22.1,277.98),(22.1,277.34),(16.89,277.34)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,240.14),(16.89,240.78),(22.1,240.78),(22.1,240.14),(16.89,240.14)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,35.54),(16.89,36.18),(22.1,36.18),(22.1,35.54),(16.89,35.54)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,109.935),(16.89,110.575),(22.1,110.575),(22.1,109.935),(16.89,109.935)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,72.74),(16.89,73.38),(22.1,73.38),(22.1,72.74),(16.89,72.74)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,54.14),(16.89,54.78),(22.1,54.78),(22.1,54.14),(16.89,54.14)),
        )
        net = nets['pd[1][0]']
        createRL(
            tech, net, 'li',
            ((18.46,10.415),(18.46,10.585),(18.63,10.585),(18.63,10.415),(18.46,10.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,10.415),(18.46,10.585),(18.63,10.585),(18.63,10.415),(18.46,10.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,10.11),(18.43,10.645),(18.66,10.645),(18.66,10.37),(22.635,10.37),(22.635,10.11),(18.43,10.11)),
        )
        net = nets['pd[1][1]']
        createRL(
            tech, net, 'li',
            ((18.46,31.415),(18.46,31.585),(18.63,31.585),(18.63,31.415),(18.46,31.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,31.415),(18.46,31.585),(18.63,31.585),(18.63,31.415),(18.46,31.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,28.71),(18.43,31.645),(18.66,31.645),(18.66,28.97),(22.635,28.97),(22.635,28.71),(18.43,28.71)),
        )
        net = nets['pd[1][2]']
        createRL(
            tech, net, 'li',
            ((18.46,47.415),(18.46,47.585),(18.63,47.585),(18.63,47.415),(18.46,47.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,47.415),(18.46,47.585),(18.63,47.585),(18.63,47.415),(18.46,47.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,47.31),(18.43,47.645),(18.66,47.645),(18.66,47.57),(22.635,47.57),(22.635,47.31),(18.43,47.31)),
        )
        net = nets['pd[1][3]']
        createRL(
            tech, net, 'li',
            ((18.46,67.415),(18.46,67.585),(18.63,67.585),(18.63,67.415),(18.46,67.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,67.415),(18.46,67.585),(18.63,67.585),(18.63,67.415),(18.46,67.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,65.91),(18.43,67.645),(18.66,67.645),(18.66,66.17),(22.635,66.17),(22.635,65.91),(18.43,65.91)),
        )
        net = nets['pd[1][4]']
        createRL(
            tech, net, 'li',
            ((18.46,85.415),(18.46,85.585),(18.63,85.585),(18.63,85.415),(18.46,85.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,85.415),(18.46,85.585),(18.63,85.585),(18.63,85.415),(18.46,85.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,84.51),(18.43,85.645),(18.66,85.645),(18.66,84.77),(22.635,84.77),(22.635,84.51),(18.43,84.51)),
        )
        net = nets['pd[1][5]']
        createRL(
            tech, net, 'li',
            ((18.46,103.415),(18.46,103.585),(18.63,103.585),(18.63,103.415),(18.46,103.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,103.415),(18.46,103.585),(18.63,103.585),(18.63,103.415),(18.46,103.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,103.11),(18.43,103.645),(18.66,103.645),(18.66,103.37),(22.635,103.37),(22.635,103.11),(18.43,103.11)),
        )
        net = nets['pd[1][6]']
        createRL(
            tech, net, 'li',
            ((18.46,121.415),(18.46,121.585),(18.63,121.585),(18.63,121.415),(18.46,121.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,121.415),(18.46,121.585),(18.63,121.585),(18.63,121.415),(18.46,121.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,121.355),(18.43,121.97),(22.635,121.97),(22.635,121.71),(18.66,121.71),(18.66,121.355),(18.43,121.355)),
        )
        net = nets['pd[1][7]']
        createRL(
            tech, net, 'li',
            ((18.46,143.415),(18.46,143.585),(18.63,143.585),(18.63,143.415),(18.46,143.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,143.415),(18.46,143.585),(18.63,143.585),(18.63,143.415),(18.46,143.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,140.31),(18.43,143.645),(18.66,143.645),(18.66,140.57),(22.635,140.57),(22.635,140.31),(18.43,140.31)),
        )
        net = nets['pd[1][8]']
        createRL(
            tech, net, 'li',
            ((18.46,161.415),(18.46,161.585),(18.63,161.585),(18.63,161.415),(18.46,161.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,161.415),(18.46,161.585),(18.63,161.585),(18.63,161.415),(18.46,161.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,158.91),(18.43,161.645),(18.66,161.645),(18.66,159.17),(22.635,159.17),(22.635,158.91),(18.43,158.91)),
        )
        net = nets['pd[1][9]']
        createRL(
            tech, net, 'li',
            ((18.46,179.415),(18.46,179.585),(18.63,179.585),(18.63,179.415),(18.46,179.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,179.415),(18.46,179.585),(18.63,179.585),(18.63,179.415),(18.46,179.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,177.51),(18.43,179.645),(18.66,179.645),(18.66,177.77),(22.635,177.77),(22.635,177.51),(18.43,177.51)),
        )
        net = nets['pd[1][10]']
        createRL(
            tech, net, 'li',
            ((18.46,197.415),(18.46,197.585),(18.63,197.585),(18.63,197.415),(18.46,197.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,197.415),(18.46,197.585),(18.63,197.585),(18.63,197.415),(18.46,197.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,196.11),(18.43,197.645),(18.66,197.645),(18.66,196.37),(22.635,196.37),(22.635,196.11),(18.43,196.11)),
        )
        net = nets['pd[1][11]']
        createRL(
            tech, net, 'li',
            ((18.46,215.415),(18.46,215.585),(18.63,215.585),(18.63,215.415),(18.46,215.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,215.415),(18.46,215.585),(18.63,215.585),(18.63,215.415),(18.46,215.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,214.71),(18.43,215.645),(18.66,215.645),(18.66,214.97),(22.635,214.97),(22.635,214.71),(18.43,214.71)),
        )
        net = nets['pd[1][12]']
        createRL(
            tech, net, 'li',
            ((18.46,233.415),(18.46,233.585),(18.63,233.585),(18.63,233.415),(18.46,233.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,233.415),(18.46,233.585),(18.63,233.585),(18.63,233.415),(18.46,233.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,233.31),(18.43,233.645),(18.66,233.645),(18.66,233.57),(22.635,233.57),(22.635,233.31),(18.43,233.31)),
        )
        net = nets['pd[1][13]']
        createRL(
            tech, net, 'li',
            ((18.46,251.415),(18.46,251.585),(18.63,251.585),(18.63,251.415),(18.46,251.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,251.415),(18.46,251.585),(18.63,251.585),(18.63,251.415),(18.46,251.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,251.355),(18.43,252.17),(22.635,252.17),(22.635,251.91),(18.66,251.91),(18.66,251.355),(18.43,251.355)),
        )
        net = nets['pd[1][14]']
        createRL(
            tech, net, 'li',
            ((18.46,273.415),(18.46,273.585),(18.63,273.585),(18.63,273.415),(18.46,273.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,273.415),(18.46,273.585),(18.63,273.585),(18.63,273.415),(18.46,273.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,270.51),(18.43,273.645),(18.66,273.645),(18.66,270.77),(22.635,270.77),(22.635,270.51),(18.43,270.51)),
        )
        net = nets['pd[1][15]']
        createRL(
            tech, net, 'li',
            ((18.46,291.415),(18.46,291.585),(18.63,291.585),(18.63,291.415),(18.46,291.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,291.415),(18.46,291.585),(18.63,291.585),(18.63,291.415),(18.46,291.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,289.11),(18.43,291.645),(18.66,291.645),(18.66,289.37),(22.635,289.37),(22.635,289.11),(18.43,289.11)),
        )
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,297.6),(27.46,297.6),(27.46,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['a[0]'].setDirection(Net.Direction.IN)
        nets['a[1]'].setDirection(Net.Direction.IN)
        nets['a[2]'].setDirection(Net.Direction.IN)
        nets['a[3]'].setDirection(Net.Direction.IN)
        nets['a[4]'].setDirection(Net.Direction.IN)
        nets['a[5]'].setDirection(Net.Direction.IN)
        nets['a[6]'].setDirection(Net.Direction.IN)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['wl_en'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['wl[4]'].setDirection(Net.Direction.IN)
        nets['wl[5]'].setDirection(Net.Direction.IN)
        nets['wl[6]'].setDirection(Net.Direction.IN)
        nets['wl[7]'].setDirection(Net.Direction.IN)
        nets['wl[8]'].setDirection(Net.Direction.IN)
        nets['wl[9]'].setDirection(Net.Direction.IN)
        nets['wl[10]'].setDirection(Net.Direction.IN)
        nets['wl[11]'].setDirection(Net.Direction.IN)
        nets['wl[12]'].setDirection(Net.Direction.IN)
        nets['wl[13]'].setDirection(Net.Direction.IN)
        nets['wl[14]'].setDirection(Net.Direction.IN)
        nets['wl[15]'].setDirection(Net.Direction.IN)
        nets['wl[16]'].setDirection(Net.Direction.IN)
        nets['wl[17]'].setDirection(Net.Direction.IN)
        nets['wl[18]'].setDirection(Net.Direction.IN)
        nets['wl[19]'].setDirection(Net.Direction.IN)
        nets['wl[20]'].setDirection(Net.Direction.IN)
        nets['wl[21]'].setDirection(Net.Direction.IN)
        nets['wl[22]'].setDirection(Net.Direction.IN)
        nets['wl[23]'].setDirection(Net.Direction.IN)
        nets['wl[24]'].setDirection(Net.Direction.IN)
        nets['wl[25]'].setDirection(Net.Direction.IN)
        nets['wl[26]'].setDirection(Net.Direction.IN)
        nets['wl[27]'].setDirection(Net.Direction.IN)
        nets['wl[28]'].setDirection(Net.Direction.IN)
        nets['wl[29]'].setDirection(Net.Direction.IN)
        nets['wl[30]'].setDirection(Net.Direction.IN)
        nets['wl[31]'].setDirection(Net.Direction.IN)
        nets['wl[32]'].setDirection(Net.Direction.IN)
        nets['wl[33]'].setDirection(Net.Direction.IN)
        nets['wl[34]'].setDirection(Net.Direction.IN)
        nets['wl[35]'].setDirection(Net.Direction.IN)
        nets['wl[36]'].setDirection(Net.Direction.IN)
        nets['wl[37]'].setDirection(Net.Direction.IN)
        nets['wl[38]'].setDirection(Net.Direction.IN)
        nets['wl[39]'].setDirection(Net.Direction.IN)
        nets['wl[40]'].setDirection(Net.Direction.IN)
        nets['wl[41]'].setDirection(Net.Direction.IN)
        nets['wl[42]'].setDirection(Net.Direction.IN)
        nets['wl[43]'].setDirection(Net.Direction.IN)
        nets['wl[44]'].setDirection(Net.Direction.IN)
        nets['wl[45]'].setDirection(Net.Direction.IN)
        nets['wl[46]'].setDirection(Net.Direction.IN)
        nets['wl[47]'].setDirection(Net.Direction.IN)
        nets['wl[48]'].setDirection(Net.Direction.IN)
        nets['wl[49]'].setDirection(Net.Direction.IN)
        nets['wl[50]'].setDirection(Net.Direction.IN)
        nets['wl[51]'].setDirection(Net.Direction.IN)
        nets['wl[52]'].setDirection(Net.Direction.IN)
        nets['wl[53]'].setDirection(Net.Direction.IN)
        nets['wl[54]'].setDirection(Net.Direction.IN)
        nets['wl[55]'].setDirection(Net.Direction.IN)
        nets['wl[56]'].setDirection(Net.Direction.IN)
        nets['wl[57]'].setDirection(Net.Direction.IN)
        nets['wl[58]'].setDirection(Net.Direction.IN)
        nets['wl[59]'].setDirection(Net.Direction.IN)
        nets['wl[60]'].setDirection(Net.Direction.IN)
        nets['wl[61]'].setDirection(Net.Direction.IN)
        nets['wl[62]'].setDirection(Net.Direction.IN)
        nets['wl[63]'].setDirection(Net.Direction.IN)
        nets['wl[64]'].setDirection(Net.Direction.IN)
        nets['wl[65]'].setDirection(Net.Direction.IN)
        nets['wl[66]'].setDirection(Net.Direction.IN)
        nets['wl[67]'].setDirection(Net.Direction.IN)
        nets['wl[68]'].setDirection(Net.Direction.IN)
        nets['wl[69]'].setDirection(Net.Direction.IN)
        nets['wl[70]'].setDirection(Net.Direction.IN)
        nets['wl[71]'].setDirection(Net.Direction.IN)
        nets['wl[72]'].setDirection(Net.Direction.IN)
        nets['wl[73]'].setDirection(Net.Direction.IN)
        nets['wl[74]'].setDirection(Net.Direction.IN)
        nets['wl[75]'].setDirection(Net.Direction.IN)
        nets['wl[76]'].setDirection(Net.Direction.IN)
        nets['wl[77]'].setDirection(Net.Direction.IN)
        nets['wl[78]'].setDirection(Net.Direction.IN)
        nets['wl[79]'].setDirection(Net.Direction.IN)
        nets['wl[80]'].setDirection(Net.Direction.IN)
        nets['wl[81]'].setDirection(Net.Direction.IN)
        nets['wl[82]'].setDirection(Net.Direction.IN)
        nets['wl[83]'].setDirection(Net.Direction.IN)
        nets['wl[84]'].setDirection(Net.Direction.IN)
        nets['wl[85]'].setDirection(Net.Direction.IN)
        nets['wl[86]'].setDirection(Net.Direction.IN)
        nets['wl[87]'].setDirection(Net.Direction.IN)
        nets['wl[88]'].setDirection(Net.Direction.IN)
        nets['wl[89]'].setDirection(Net.Direction.IN)
        nets['wl[90]'].setDirection(Net.Direction.IN)
        nets['wl[91]'].setDirection(Net.Direction.IN)
        nets['wl[92]'].setDirection(Net.Direction.IN)
        nets['wl[93]'].setDirection(Net.Direction.IN)
        nets['wl[94]'].setDirection(Net.Direction.IN)
        nets['wl[95]'].setDirection(Net.Direction.IN)
        nets['wl[96]'].setDirection(Net.Direction.IN)
        nets['wl[97]'].setDirection(Net.Direction.IN)
        nets['wl[98]'].setDirection(Net.Direction.IN)
        nets['wl[99]'].setDirection(Net.Direction.IN)
        nets['wl[100]'].setDirection(Net.Direction.IN)
        nets['wl[101]'].setDirection(Net.Direction.IN)
        nets['wl[102]'].setDirection(Net.Direction.IN)
        nets['wl[103]'].setDirection(Net.Direction.IN)
        nets['wl[104]'].setDirection(Net.Direction.IN)
        nets['wl[105]'].setDirection(Net.Direction.IN)
        nets['wl[106]'].setDirection(Net.Direction.IN)
        nets['wl[107]'].setDirection(Net.Direction.IN)
        nets['wl[108]'].setDirection(Net.Direction.IN)
        nets['wl[109]'].setDirection(Net.Direction.IN)
        nets['wl[110]'].setDirection(Net.Direction.IN)
        nets['wl[111]'].setDirection(Net.Direction.IN)
        nets['wl[112]'].setDirection(Net.Direction.IN)
        nets['wl[113]'].setDirection(Net.Direction.IN)
        nets['wl[114]'].setDirection(Net.Direction.IN)
        nets['wl[115]'].setDirection(Net.Direction.IN)
        nets['wl[116]'].setDirection(Net.Direction.IN)
        nets['wl[117]'].setDirection(Net.Direction.IN)
        nets['wl[118]'].setDirection(Net.Direction.IN)
        nets['wl[119]'].setDirection(Net.Direction.IN)
        nets['wl[120]'].setDirection(Net.Direction.IN)
        nets['wl[121]'].setDirection(Net.Direction.IN)
        nets['wl[122]'].setDirection(Net.Direction.IN)
        nets['wl[123]'].setDirection(Net.Direction.IN)
        nets['wl[124]'].setDirection(Net.Direction.IN)
        nets['wl[125]'].setDirection(Net.Direction.IN)
        nets['wl[126]'].setDirection(Net.Direction.IN)
        nets['wl[127]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TRowPredecoders_3_4B']
        except:
            subcell = af.getCell('DP8TRowPredecoders_3_4B', 0)
        trans = Transformation(
            u(10.0), u(0.0), Transformation.Orientation.R1,
        )
        Instance.create(
            cell, 'predec', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl1']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl1', 0)
        trans = Transformation(
            u(20.824999999999996), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl1']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl1', 0)
        trans = Transformation(
            u(20.824999999999996), u(18.6), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl1']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl1', 0)
        trans = Transformation(
            u(20.824999999999996), u(37.2), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl1']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl1', 0)
        trans = Transformation(
            u(20.824999999999996), u(55.800000000000004), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl1']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl1', 0)
        trans = Transformation(
            u(20.824999999999996), u(74.4), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl1']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl1', 0)
        trans = Transformation(
            u(20.824999999999996), u(93.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl1']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl1', 0)
        trans = Transformation(
            u(20.824999999999996), u(111.60000000000001), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl1']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl1', 0)
        trans = Transformation(
            u(20.824999999999996), u(130.20000000000002), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl1']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl1', 0)
        trans = Transformation(
            u(20.824999999999996), u(148.8), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[8]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl1']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl1', 0)
        trans = Transformation(
            u(20.824999999999996), u(167.4), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[9]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl1']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl1', 0)
        trans = Transformation(
            u(20.824999999999996), u(186.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[10]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl1']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl1', 0)
        trans = Transformation(
            u(20.824999999999996), u(204.60000000000002), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[11]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl1']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl1', 0)
        trans = Transformation(
            u(20.824999999999996), u(223.20000000000002), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[12]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl1']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl1', 0)
        trans = Transformation(
            u(20.824999999999996), u(241.8), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[13]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl1']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl1', 0)
        trans = Transformation(
            u(20.824999999999996), u(260.40000000000003), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[14]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl1']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl1', 0)
        trans = Transformation(
            u(20.824999999999996), u(279.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'page[15]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TNonOverlapClock_8S']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(-10.0), u(20.0), u(10.0),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'clk': Net.create(cell, 'clk'),
            'clk_n': Net.create(cell, 'clk_n'),
            'firststage[0]': Net.create(cell, 'firststage[0]'),
            'firststage[1]': Net.create(cell, 'firststage[1]'),
            'firststage[2]': Net.create(cell, 'firststage[2]'),
            'firststage[3]': Net.create(cell, 'firststage[3]'),
            'firststage[4]': Net.create(cell, 'firststage[4]'),
            'firststage[5]': Net.create(cell, 'firststage[5]'),
            'firststage[6]': Net.create(cell, 'firststage[6]'),
            'firststage[7]': Net.create(cell, 'firststage[7]'),
            'firststage[8]': Net.create(cell, 'firststage[8]'),
            'secondstage[0]': Net.create(cell, 'secondstage[0]'),
            'secondstage[1]': Net.create(cell, 'secondstage[1]'),
            'secondstage[2]': Net.create(cell, 'secondstage[2]'),
            'secondstage[3]': Net.create(cell, 'secondstage[3]'),
            'secondstage[4]': Net.create(cell, 'secondstage[4]'),
            'secondstage[5]': Net.create(cell, 'secondstage[5]'),
            'secondstage[6]': Net.create(cell, 'secondstage[6]'),
            'secondstage[7]': Net.create(cell, 'secondstage[7]'),
            'secondstage[8]': Net.create(cell, 'secondstage[8]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'li',
            ((0.0,-1.2),(0.0,1.2),(20.0,1.2),(20.0,-1.2),(0.0,-1.2)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(0.0), u(2.4), u(0.0), u(20.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(0.0), u(2.4), u(0.0), u(20.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'li',
            ((0.0,-10.0),(0.0,-8.8),(20.0,-8.8),(20.0,-10.0),(0.0,-10.0)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,8.8),(0.0,10.0),(20.0,10.0),(20.0,8.8),(0.0,8.8)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(-9.4), u(1.2), u(0.0), u(20.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(-9.4), u(1.2), u(0.0), u(20.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(9.4), u(1.2), u(0.0), u(20.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(9.4), u(1.2), u(0.0), u(20.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk']
        createRL(
            tech, net, 'li',
            ((0.495,1.37),(0.495,1.9),(0.665,1.9),(0.665,1.37),(0.495,1.37)),
        )
        createRL(
            tech, net, 'li',
            ((0.17,-1.9),(0.17,-1.37),(0.34,-1.37),(0.34,-1.9),(0.17,-1.9)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.17,-1.9),(0.17,-1.73),(0.34,-1.73),(0.34,-1.9),(0.17,-1.9)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.17,-1.54),(0.17,-1.37),(0.34,-1.37),(0.34,-1.54),(0.17,-1.54)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.495,1.37),(0.495,1.54),(0.665,1.54),(0.665,1.37),(0.495,1.37)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.495,1.73),(0.495,1.9),(0.665,1.9),(0.665,1.73),(0.495,1.73)),
        )
        createRL(
            tech, net, 'm1',
            ((0.14,-1.96),(0.14,1.96),(0.695,1.96),(0.695,-1.96),(0.14,-1.96)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.4175), u(0.555), u(-1.96), u(1.96),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.4175), u(0.555), u(-1.96), u(1.96),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk_n']
        createRL(
            tech, net, 'li',
            ((0.845,-8.63),(0.845,-1.37),(2.665,-1.37),(2.665,-8.63),(0.845,-8.63)),
        )
        net = nets['firststage[0]']
        createRL(
            tech, net, 'li',
            ((1.4,1.37),(1.4,8.63),(2.34,8.63),(2.34,1.37),(1.4,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.87), u(0.94), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.87), u(0.94), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['firststage[1]']
        createRL(
            tech, net, 'li',
            ((2.845,1.37),(2.845,8.63),(4.34,8.63),(4.34,1.37),(2.845,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(3.5925), u(1.495), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(3.5925), u(1.495), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['firststage[2]']
        createRL(
            tech, net, 'li',
            ((4.845,1.37),(4.845,8.63),(6.34,8.63),(6.34,1.37),(4.845,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(5.5925), u(1.495), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(5.5925), u(1.495), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['firststage[3]']
        createRL(
            tech, net, 'li',
            ((6.845,1.37),(6.845,8.63),(8.34,8.63),(8.34,1.37),(6.845,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(7.5925), u(1.495), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(7.5925), u(1.495), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['firststage[4]']
        createRL(
            tech, net, 'li',
            ((8.845,1.37),(8.845,8.63),(10.34,8.63),(10.34,1.37),(8.845,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(9.5925), u(1.495), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(9.5925), u(1.495), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['firststage[5]']
        createRL(
            tech, net, 'li',
            ((10.845,1.37),(10.845,8.63),(12.34,8.63),(12.34,1.37),(10.845,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(11.5925), u(1.495), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(11.5925), u(1.495), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['firststage[6]']
        createRL(
            tech, net, 'li',
            ((12.845,1.37),(12.845,8.63),(14.34,8.63),(14.34,1.37),(12.845,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(13.5925), u(1.495), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(13.5925), u(1.495), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['firststage[7]']
        createRL(
            tech, net, 'li',
            ((14.845,1.37),(14.845,8.63),(16.34,8.63),(16.34,1.37),(14.845,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(15.5925), u(1.495), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(15.5925), u(1.495), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['secondstage[0]']
        createRL(
            tech, net, 'li',
            ((3.4,-8.63),(3.4,-1.37),(4.34,-1.37),(4.34,-8.63),(3.4,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(3.87), u(0.94), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(3.87), u(0.94), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['secondstage[1]']
        createRL(
            tech, net, 'li',
            ((4.845,-8.63),(4.845,-1.37),(6.34,-1.37),(6.34,-8.63),(4.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(5.5925), u(1.495), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(5.5925), u(1.495), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['secondstage[2]']
        createRL(
            tech, net, 'li',
            ((6.845,-8.63),(6.845,-1.37),(8.34,-1.37),(8.34,-8.63),(6.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(7.5925), u(1.495), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(7.5925), u(1.495), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['secondstage[3]']
        createRL(
            tech, net, 'li',
            ((8.845,-8.63),(8.845,-1.37),(10.34,-1.37),(10.34,-8.63),(8.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(9.5925), u(1.495), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(9.5925), u(1.495), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['secondstage[4]']
        createRL(
            tech, net, 'li',
            ((10.845,-8.63),(10.845,-1.37),(12.34,-1.37),(12.34,-8.63),(10.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(11.5925), u(1.495), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(11.5925), u(1.495), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['secondstage[5]']
        createRL(
            tech, net, 'li',
            ((12.845,-8.63),(12.845,-1.37),(14.34,-1.37),(14.34,-8.63),(12.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(13.5925), u(1.495), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(13.5925), u(1.495), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['secondstage[6]']
        createRL(
            tech, net, 'li',
            ((14.845,-8.63),(14.845,-1.37),(16.34,-1.37),(16.34,-8.63),(14.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(15.5925), u(1.495), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(15.5925), u(1.495), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['secondstage[7]']
        createRL(
            tech, net, 'li',
            ((16.845,-8.63),(16.845,-1.37),(18.34,-1.37),(18.34,-8.63),(16.845,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(17.5925), u(1.495), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(17.5925), u(1.495), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['firststage[8]']
        createRL(
            tech, net, 'li',
            ((16.845,1.37),(16.845,1.9),(17.015,1.9),(17.015,1.37),(16.845,1.37)),
        )
        createRL(
            tech, net, 'li',
            ((3.05,-1.9),(3.05,-1.37),(3.22,-1.37),(3.22,-1.9),(3.05,-1.9)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.845,1.37),(16.845,1.54),(17.015,1.54),(17.015,1.37),(16.845,1.37)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.845,1.73),(16.845,1.9),(17.015,1.9),(17.015,1.73),(16.845,1.73)),
        )
        createRL(
            tech, net, 'mcon',
            ((3.05,-1.9),(3.05,-1.73),(3.22,-1.73),(3.22,-1.9),(3.05,-1.9)),
        )
        createRL(
            tech, net, 'mcon',
            ((3.05,-1.54),(3.05,-1.37),(3.22,-1.37),(3.22,-1.54),(3.05,-1.54)),
        )
        createRL(
            tech, net, 'm1',
            ((3.02,-1.96),(3.02,-1.31),(16.815,-1.31),(16.815,1.96),(17.045,1.96),(17.045,-1.96),(3.02,-1.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(-1.635), u(0.65), u(3.0199999999999996), u(17.044999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(-1.635), u(0.65), u(3.0199999999999996), u(17.044999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['secondstage[8]']
        createRL(
            tech, net, 'li',
            ((1.05,2.16),(1.05,2.69),(1.22,2.69),(1.22,2.16),(1.05,2.16)),
        )
        createRL(
            tech, net, 'li',
            ((18.845,-1.9),(18.845,-1.37),(19.015,-1.37),(19.015,-1.9),(18.845,-1.9)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.05,2.16),(1.05,2.33),(1.22,2.33),(1.22,2.16),(1.05,2.16)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.05,2.52),(1.05,2.69),(1.22,2.69),(1.22,2.52),(1.05,2.52)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.845,-1.9),(18.845,-1.73),(19.015,-1.73),(19.015,-1.9),(18.845,-1.9)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.845,-1.54),(18.845,-1.37),(19.015,-1.37),(19.015,-1.54),(18.845,-1.54)),
        )
        createRL(
            tech, net, 'm1',
            ((18.815,-1.96),(18.815,2.1),(1.02,2.1),(1.02,2.75),(19.045,2.75),(19.045,-1.96),(18.815,-1.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(2.425), u(0.65), u(1.0199999999999996), u(19.044999999999998),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(2.425), u(0.65), u(1.0199999999999996), u(19.044999999999998),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,-10.0),(0.0,10.0),(20.0,10.0),(20.0,-10.0),(0.0,-10.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['firststage[0]'].setDirection(Net.Direction.IN)
        nets['firststage[1]'].setDirection(Net.Direction.IN)
        nets['firststage[2]'].setDirection(Net.Direction.IN)
        nets['firststage[3]'].setDirection(Net.Direction.IN)
        nets['firststage[4]'].setDirection(Net.Direction.IN)
        nets['firststage[5]'].setDirection(Net.Direction.IN)
        nets['firststage[6]'].setDirection(Net.Direction.IN)
        nets['firststage[7]'].setDirection(Net.Direction.IN)
        nets['firststage[8]'].setDirection(Net.Direction.IN)
        nets['secondstage[0]'].setDirection(Net.Direction.IN)
        nets['secondstage[1]'].setDirection(Net.Direction.IN)
        nets['secondstage[2]'].setDirection(Net.Direction.IN)
        nets['secondstage[3]'].setDirection(Net.Direction.IN)
        nets['secondstage[4]'].setDirection(Net.Direction.IN)
        nets['secondstage[5]'].setDirection(Net.Direction.IN)
        nets['secondstage[6]'].setDirection(Net.Direction.IN)
        nets['secondstage[7]'].setDirection(Net.Direction.IN)
        nets['secondstage[8]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['nand2_x0']
        except:
            subcell = af.getCell('nand2_x0', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'firstnand2', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(2.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'firststage[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(4.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'firststage[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(6.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'firststage[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(8.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'firststage[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(10.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'firststage[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(12.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'firststage[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(14.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'firststage[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(16.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'firststage[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'clkinv', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['nand2_x0']
        except:
            subcell = af.getCell('nand2_x0', 0)
        trans = Transformation(
            u(2.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'secondnand2', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(4.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'secondstage[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(6.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'secondstage[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(8.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'secondstage[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(10.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'secondstage[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(12.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'secondstage[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(14.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'secondstage[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(16.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'secondstage[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x0']
        except:
            subcell = af.getCell('inv_x0', 0)
        trans = Transformation(
            u(18.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'secondstage[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TRowPredecoders_3_4B']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(-10.0), u(297.6), u(10.0),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'a[0]': Net.create(cell, 'a[0]'),
            'a[1]': Net.create(cell, 'a[1]'),
            'a[2]': Net.create(cell, 'a[2]'),
            'a[3]': Net.create(cell, 'a[3]'),
            'a[4]': Net.create(cell, 'a[4]'),
            'a[5]': Net.create(cell, 'a[5]'),
            'a[6]': Net.create(cell, 'a[6]'),
            'aint[0]': Net.create(cell, 'aint[0]'),
            'aint[1]': Net.create(cell, 'aint[1]'),
            'aint[2]': Net.create(cell, 'aint[2]'),
            'aint[3]': Net.create(cell, 'aint[3]'),
            'aint[4]': Net.create(cell, 'aint[4]'),
            'aint[5]': Net.create(cell, 'aint[5]'),
            'aint[6]': Net.create(cell, 'aint[6]'),
            'aint_n[0]': Net.create(cell, 'aint_n[0]'),
            'aint_n[1]': Net.create(cell, 'aint_n[1]'),
            'aint_n[2]': Net.create(cell, 'aint_n[2]'),
            'aint_n[3]': Net.create(cell, 'aint_n[3]'),
            'aint_n[4]': Net.create(cell, 'aint_n[4]'),
            'aint_n[5]': Net.create(cell, 'aint_n[5]'),
            'aint_n[6]': Net.create(cell, 'aint_n[6]'),
            'clk': Net.create(cell, 'clk'),
            'pd[0][0]': Net.create(cell, 'pd[0][0]'),
            'pd[0][1]': Net.create(cell, 'pd[0][1]'),
            'pd[0][2]': Net.create(cell, 'pd[0][2]'),
            'pd[0][3]': Net.create(cell, 'pd[0][3]'),
            'pd[0][4]': Net.create(cell, 'pd[0][4]'),
            'pd[0][5]': Net.create(cell, 'pd[0][5]'),
            'pd[0][6]': Net.create(cell, 'pd[0][6]'),
            'pd[0][7]': Net.create(cell, 'pd[0][7]'),
            'pd[1][0]': Net.create(cell, 'pd[1][0]'),
            'pd[1][10]': Net.create(cell, 'pd[1][10]'),
            'pd[1][11]': Net.create(cell, 'pd[1][11]'),
            'pd[1][12]': Net.create(cell, 'pd[1][12]'),
            'pd[1][13]': Net.create(cell, 'pd[1][13]'),
            'pd[1][14]': Net.create(cell, 'pd[1][14]'),
            'pd[1][15]': Net.create(cell, 'pd[1][15]'),
            'pd[1][1]': Net.create(cell, 'pd[1][1]'),
            'pd[1][2]': Net.create(cell, 'pd[1][2]'),
            'pd[1][3]': Net.create(cell, 'pd[1][3]'),
            'pd[1][4]': Net.create(cell, 'pd[1][4]'),
            'pd[1][5]': Net.create(cell, 'pd[1][5]'),
            'pd[1][6]': Net.create(cell, 'pd[1][6]'),
            'pd[1][7]': Net.create(cell, 'pd[1][7]'),
            'pd[1][8]': Net.create(cell, 'pd[1][8]'),
            'pd[1][9]': Net.create(cell, 'pd[1][9]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'li',
            ((0.0,-1.2),(0.0,1.2),(297.6,1.2),(297.6,-1.2),(0.0,-1.2)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(0.0), u(2.4), u(0.0), u(297.59999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(0.0), u(2.4), u(0.0), u(297.59999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'li',
            ((0.0,-10.0),(0.0,-8.8),(297.6,-8.8),(297.6,-10.0),(0.0,-10.0)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,8.8),(0.0,10.0),(297.6,10.0),(297.6,8.8),(0.0,8.8)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(-9.4), u(1.2), u(0.0), u(297.59999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(-9.4), u(1.2), u(0.0), u(297.59999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(9.4), u(1.2), u(0.0), u(297.59999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(9.4), u(1.2), u(0.0), u(297.59999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk']
        createRL(
            tech, net, 'li',
            ((103.415,8.06),(103.415,8.23),(103.585,8.23),(103.585,8.06),(103.415,8.06)),
        )
        createRL(
            tech, net, 'li',
            ((52.415,8.06),(52.415,8.23),(52.585,8.23),(52.585,8.06),(52.415,8.06)),
        )
        createRL(
            tech, net, 'li',
            ((86.415,8.06),(86.415,8.23),(86.585,8.23),(86.585,8.06),(86.415,8.06)),
        )
        createRL(
            tech, net, 'li',
            ((69.415,8.06),(69.415,8.23),(69.585,8.23),(69.585,8.06),(69.415,8.06)),
        )
        createRL(
            tech, net, 'li',
            ((35.415,8.06),(35.415,8.23),(35.585,8.23),(35.585,8.06),(35.415,8.06)),
        )
        createRL(
            tech, net, 'li',
            ((1.415,8.06),(1.415,8.23),(1.585,8.23),(1.585,8.06),(1.415,8.06)),
        )
        createRL(
            tech, net, 'li',
            ((18.415,8.06),(18.415,8.23),(18.585,8.23),(18.585,8.06),(18.415,8.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((103.415,8.06),(103.415,8.23),(103.585,8.23),(103.585,8.06),(103.415,8.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((52.415,8.06),(52.415,8.23),(52.585,8.23),(52.585,8.06),(52.415,8.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((86.415,8.06),(86.415,8.23),(86.585,8.23),(86.585,8.06),(86.415,8.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((69.415,8.06),(69.415,8.23),(69.585,8.23),(69.585,8.06),(69.415,8.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((35.415,8.06),(35.415,8.23),(35.585,8.23),(35.585,8.06),(35.415,8.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.415,8.06),(1.415,8.23),(1.585,8.23),(1.585,8.06),(1.415,8.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.415,8.06),(18.415,8.23),(18.585,8.23),(18.585,8.06),(18.415,8.06)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,8.015),(0.0,8.275),(103.5,8.275),(103.5,8.26),(103.645,8.26),(103.645,8.03),(103.5,8.03),(103.5,8.015),(0.0,8.015)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(8.145), u(0.26), u(0.0), u(103.5),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(8.145), u(0.26), u(0.0), u(103.5),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[0]']
        createRL(
            tech, net, 'li',
            ((4.415,8.46),(4.415,8.63),(4.585,8.63),(4.585,8.46),(4.415,8.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,8.46),(4.415,8.63),(4.585,8.63),(4.585,8.46),(4.415,8.46)),
        )
        createRL(
            tech, net, 'm1',
            ((4.355,8.43),(4.355,10.0),(4.645,10.0),(4.645,8.43),(4.355,8.43)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.5), u(0.29), u(8.43), u(10.0),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.5), u(0.29), u(8.43), u(10.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['aint[0]']
        createRL(
            tech, net, 'li',
            ((13.415,6.46),(13.415,6.63),(13.585,6.63),(13.585,6.46),(13.415,6.46)),
        )
        createRL(
            tech, net, 'li',
            ((11.415,-2.67),(11.415,-2.5),(11.585,-2.5),(11.585,-2.67),(11.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((21.415,-2.67),(21.415,-2.5),(21.585,-2.5),(21.585,-2.67),(21.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((53.415,-2.67),(53.415,-2.5),(53.585,-2.5),(53.585,-2.67),(53.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((37.415,-2.67),(37.415,-2.5),(37.585,-2.5),(37.585,-2.67),(37.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((15.17,6.46),(15.17,6.63),(15.34,6.63),(15.34,6.46),(15.17,6.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((13.415,6.46),(13.415,6.63),(13.585,6.63),(13.585,6.46),(13.415,6.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((11.415,-2.67),(11.415,-2.5),(11.585,-2.5),(11.585,-2.67),(11.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.415,-2.67),(21.415,-2.5),(21.585,-2.5),(21.585,-2.67),(21.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.415,-2.67),(53.415,-2.5),(53.585,-2.5),(53.585,-2.67),(53.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((37.415,-2.67),(37.415,-2.5),(37.585,-2.5),(37.585,-2.67),(37.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((15.17,6.46),(15.17,6.63),(15.34,6.63),(15.34,6.46),(15.17,6.46)),
        )
        createRL(
            tech, net, 'm1',
            ((37.355,-2.7),(37.355,-2.47),(37.37,-2.47),(37.37,-2.06),(37.63,-2.06),(37.63,-2.47),(37.645,-2.47),(37.645,-2.7),(37.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((11.355,-2.7),(11.355,-2.47),(11.37,-2.47),(11.37,-2.06),(11.63,-2.06),(11.63,-2.47),(11.645,-2.47),(11.645,-2.7),(11.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((53.355,-2.7),(53.355,-2.47),(53.37,-2.47),(53.37,-2.06),(53.63,-2.06),(53.63,-2.47),(53.645,-2.47),(53.645,-2.7),(53.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((21.355,-2.7),(21.355,-2.47),(21.37,-2.47),(21.37,-2.06),(21.63,-2.06),(21.63,-2.47),(21.645,-2.47),(21.645,-2.7),(21.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((11.18,6.415),(11.18,6.675),(53.82,6.675),(53.82,6.415),(11.18,6.415)),
        )
        createRL(
            tech, net, 'via',
            ((21.425,-2.615),(21.425,-2.465),(21.575,-2.465),(21.575,-2.615),(21.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((21.425,-2.295),(21.425,-2.145),(21.575,-2.145),(21.575,-2.295),(21.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((37.425,-2.615),(37.425,-2.465),(37.575,-2.465),(37.575,-2.615),(37.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((37.425,-2.295),(37.425,-2.145),(37.575,-2.145),(37.575,-2.295),(37.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((53.265,6.47),(53.265,6.62),(53.415,6.62),(53.415,6.47),(53.265,6.47)),
        )
        createRL(
            tech, net, 'via',
            ((53.585,6.47),(53.585,6.62),(53.735,6.62),(53.735,6.47),(53.585,6.47)),
        )
        createRL(
            tech, net, 'via',
            ((21.265,6.47),(21.265,6.62),(21.415,6.62),(21.415,6.47),(21.265,6.47)),
        )
        createRL(
            tech, net, 'via',
            ((21.585,6.47),(21.585,6.62),(21.735,6.62),(21.735,6.47),(21.585,6.47)),
        )
        createRL(
            tech, net, 'via',
            ((53.425,-2.615),(53.425,-2.465),(53.575,-2.465),(53.575,-2.615),(53.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((53.425,-2.295),(53.425,-2.145),(53.575,-2.145),(53.575,-2.295),(53.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((11.265,6.47),(11.265,6.62),(11.415,6.62),(11.415,6.47),(11.265,6.47)),
        )
        createRL(
            tech, net, 'via',
            ((11.585,6.47),(11.585,6.62),(11.735,6.62),(11.735,6.47),(11.585,6.47)),
        )
        createRL(
            tech, net, 'via',
            ((37.265,6.47),(37.265,6.62),(37.415,6.62),(37.415,6.47),(37.265,6.47)),
        )
        createRL(
            tech, net, 'via',
            ((37.585,6.47),(37.585,6.62),(37.735,6.62),(37.735,6.47),(37.585,6.47)),
        )
        createRL(
            tech, net, 'via',
            ((11.425,-2.615),(11.425,-2.465),(11.575,-2.465),(11.575,-2.615),(11.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((11.425,-2.295),(11.425,-2.145),(11.575,-2.145),(11.575,-2.295),(11.425,-2.295)),
        )
        createRL(
            tech, net, 'm2',
            ((21.37,-2.7),(21.37,6.415),(21.18,6.415),(21.18,6.675),(21.82,6.675),(21.82,6.415),(21.63,6.415),(21.63,-2.7),(21.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((11.37,-2.7),(11.37,6.415),(11.18,6.415),(11.18,6.675),(11.82,6.675),(11.82,6.415),(11.63,6.415),(11.63,-2.7),(11.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((53.37,-2.7),(53.37,6.415),(53.18,6.415),(53.18,6.675),(53.82,6.675),(53.82,6.415),(53.63,6.415),(53.63,-2.7),(53.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((37.37,-2.7),(37.37,6.415),(37.18,6.415),(37.18,6.675),(37.82,6.675),(37.82,6.415),(37.63,6.415),(37.63,-2.7),(37.37,-2.7)),
        )
        net = nets['aint_n[0]']
        createRL(
            tech, net, 'li',
            ((48.415,-2.67),(48.415,-2.5),(48.585,-2.5),(48.585,-2.67),(48.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((16.415,-2.67),(16.415,-2.5),(16.585,-2.5),(16.585,-2.67),(16.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((0.415,-2.67),(0.415,-2.5),(0.585,-2.5),(0.585,-2.67),(0.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((15.845,3.66),(15.845,3.83),(16.015,3.83),(16.015,3.66),(15.845,3.66)),
        )
        createRL(
            tech, net, 'li',
            ((32.415,-2.67),(32.415,-2.5),(32.585,-2.5),(32.585,-2.67),(32.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((48.415,-2.67),(48.415,-2.5),(48.585,-2.5),(48.585,-2.67),(48.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.415,-2.67),(16.415,-2.5),(16.585,-2.5),(16.585,-2.67),(16.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.415,-2.67),(0.415,-2.5),(0.585,-2.5),(0.585,-2.67),(0.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((15.845,3.66),(15.845,3.83),(16.015,3.83),(16.015,3.66),(15.845,3.66)),
        )
        createRL(
            tech, net, 'mcon',
            ((32.415,-2.67),(32.415,-2.5),(32.585,-2.5),(32.585,-2.67),(32.415,-2.67)),
        )
        createRL(
            tech, net, 'm1',
            ((0.355,-2.7),(0.355,-2.47),(0.37,-2.47),(0.37,-2.06),(0.63,-2.06),(0.63,-2.47),(0.645,-2.47),(0.645,-2.7),(0.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((16.355,-2.7),(16.355,-2.47),(16.37,-2.47),(16.37,-2.06),(16.63,-2.06),(16.63,-2.47),(16.645,-2.47),(16.645,-2.7),(16.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((48.355,-2.7),(48.355,-2.47),(48.37,-2.47),(48.37,-2.06),(48.63,-2.06),(48.63,-2.47),(48.645,-2.47),(48.645,-2.7),(48.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((0.18,3.615),(0.18,3.875),(48.82,3.875),(48.82,3.615),(0.18,3.615)),
        )
        createRL(
            tech, net, 'm1',
            ((32.355,-2.7),(32.355,-2.47),(32.37,-2.47),(32.37,-2.06),(32.63,-2.06),(32.63,-2.47),(32.645,-2.47),(32.645,-2.7),(32.355,-2.7)),
        )
        createRL(
            tech, net, 'via',
            ((0.425,-2.615),(0.425,-2.465),(0.575,-2.465),(0.575,-2.615),(0.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((0.425,-2.295),(0.425,-2.145),(0.575,-2.145),(0.575,-2.295),(0.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((48.265,3.67),(48.265,3.82),(48.415,3.82),(48.415,3.67),(48.265,3.67)),
        )
        createRL(
            tech, net, 'via',
            ((48.585,3.67),(48.585,3.82),(48.735,3.82),(48.735,3.67),(48.585,3.67)),
        )
        createRL(
            tech, net, 'via',
            ((48.425,-2.615),(48.425,-2.465),(48.575,-2.465),(48.575,-2.615),(48.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((48.425,-2.295),(48.425,-2.145),(48.575,-2.145),(48.575,-2.295),(48.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((32.425,-2.615),(32.425,-2.465),(32.575,-2.465),(32.575,-2.615),(32.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((32.425,-2.295),(32.425,-2.145),(32.575,-2.145),(32.575,-2.295),(32.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((0.265,3.67),(0.265,3.82),(0.415,3.82),(0.415,3.67),(0.265,3.67)),
        )
        createRL(
            tech, net, 'via',
            ((0.585,3.67),(0.585,3.82),(0.735,3.82),(0.735,3.67),(0.585,3.67)),
        )
        createRL(
            tech, net, 'via',
            ((16.265,3.67),(16.265,3.82),(16.415,3.82),(16.415,3.67),(16.265,3.67)),
        )
        createRL(
            tech, net, 'via',
            ((16.585,3.67),(16.585,3.82),(16.735,3.82),(16.735,3.67),(16.585,3.67)),
        )
        createRL(
            tech, net, 'via',
            ((32.265,3.67),(32.265,3.82),(32.415,3.82),(32.415,3.67),(32.265,3.67)),
        )
        createRL(
            tech, net, 'via',
            ((32.585,3.67),(32.585,3.82),(32.735,3.82),(32.735,3.67),(32.585,3.67)),
        )
        createRL(
            tech, net, 'via',
            ((16.425,-2.615),(16.425,-2.465),(16.575,-2.465),(16.575,-2.615),(16.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((16.425,-2.295),(16.425,-2.145),(16.575,-2.145),(16.575,-2.295),(16.425,-2.295)),
        )
        createRL(
            tech, net, 'm2',
            ((32.37,-2.7),(32.37,3.615),(32.18,3.615),(32.18,3.875),(32.82,3.875),(32.82,3.615),(32.63,3.615),(32.63,-2.7),(32.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((48.37,-2.7),(48.37,3.615),(48.18,3.615),(48.18,3.875),(48.82,3.875),(48.82,3.615),(48.63,3.615),(48.63,-2.7),(48.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((16.37,-2.7),(16.37,3.615),(16.18,3.615),(16.18,3.875),(16.82,3.875),(16.82,3.615),(16.63,3.615),(16.63,-2.7),(16.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((0.37,-2.7),(0.37,3.615),(0.18,3.615),(0.18,3.875),(0.82,3.875),(0.82,3.615),(0.63,3.615),(0.63,-2.7),(0.37,-2.7)),
        )
        net = nets['a[1]']
        createRL(
            tech, net, 'li',
            ((21.415,8.46),(21.415,8.63),(21.585,8.63),(21.585,8.46),(21.415,8.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.415,8.46),(21.415,8.63),(21.585,8.63),(21.585,8.46),(21.415,8.46)),
        )
        createRL(
            tech, net, 'm1',
            ((21.355,8.43),(21.355,10.0),(21.645,10.0),(21.645,8.43),(21.355,8.43)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(21.5), u(0.29), u(8.43), u(10.0),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(21.5), u(0.29), u(8.43), u(10.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['aint[1]']
        createRL(
            tech, net, 'li',
            ((30.415,7.66),(30.415,7.83),(30.585,7.83),(30.585,7.66),(30.415,7.66)),
        )
        createRL(
            tech, net, 'li',
            ((32.17,7.66),(32.17,7.83),(32.34,7.83),(32.34,7.66),(32.17,7.66)),
        )
        createRL(
            tech, net, 'li',
            ((49.415,-2.425),(49.415,-2.255),(49.585,-2.255),(49.585,-2.425),(49.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((17.415,-2.425),(17.415,-2.255),(17.585,-2.255),(17.585,-2.425),(17.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((54.415,-2.425),(54.415,-2.255),(54.585,-2.255),(54.585,-2.425),(54.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((22.415,-2.425),(22.415,-2.255),(22.585,-2.255),(22.585,-2.425),(22.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((30.415,7.66),(30.415,7.83),(30.585,7.83),(30.585,7.66),(30.415,7.66)),
        )
        createRL(
            tech, net, 'mcon',
            ((32.17,7.66),(32.17,7.83),(32.34,7.83),(32.34,7.66),(32.17,7.66)),
        )
        createRL(
            tech, net, 'mcon',
            ((49.415,-2.425),(49.415,-2.255),(49.585,-2.255),(49.585,-2.425),(49.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((17.415,-2.425),(17.415,-2.255),(17.585,-2.255),(17.585,-2.425),(17.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((54.415,-2.425),(54.415,-2.255),(54.585,-2.255),(54.585,-2.425),(54.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((22.415,-2.425),(22.415,-2.255),(22.585,-2.255),(22.585,-2.425),(22.415,-2.425)),
        )
        createRL(
            tech, net, 'm1',
            ((17.355,-2.455),(17.355,-2.225),(17.37,-2.225),(17.37,-1.815),(17.63,-1.815),(17.63,-2.225),(17.645,-2.225),(17.645,-2.455),(17.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((49.355,-2.455),(49.355,-2.225),(49.37,-2.225),(49.37,-1.815),(49.63,-1.815),(49.63,-2.225),(49.645,-2.225),(49.645,-2.455),(49.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((17.18,7.615),(17.18,7.875),(54.82,7.875),(54.82,7.615),(17.18,7.615)),
        )
        createRL(
            tech, net, 'm1',
            ((22.355,-2.455),(22.355,-2.225),(22.37,-2.225),(22.37,-1.815),(22.63,-1.815),(22.63,-2.225),(22.645,-2.225),(22.645,-2.455),(22.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((54.355,-2.455),(54.355,-2.225),(54.37,-2.225),(54.37,-1.815),(54.63,-1.815),(54.63,-2.225),(54.645,-2.225),(54.645,-2.455),(54.355,-2.455)),
        )
        createRL(
            tech, net, 'via',
            ((22.265,7.67),(22.265,7.82),(22.415,7.82),(22.415,7.67),(22.265,7.67)),
        )
        createRL(
            tech, net, 'via',
            ((22.585,7.67),(22.585,7.82),(22.735,7.82),(22.735,7.67),(22.585,7.67)),
        )
        createRL(
            tech, net, 'via',
            ((49.425,-2.37),(49.425,-2.22),(49.575,-2.22),(49.575,-2.37),(49.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((49.425,-2.05),(49.425,-1.9),(49.575,-1.9),(49.575,-2.05),(49.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((49.265,7.67),(49.265,7.82),(49.415,7.82),(49.415,7.67),(49.265,7.67)),
        )
        createRL(
            tech, net, 'via',
            ((49.585,7.67),(49.585,7.82),(49.735,7.82),(49.735,7.67),(49.585,7.67)),
        )
        createRL(
            tech, net, 'via',
            ((17.265,7.67),(17.265,7.82),(17.415,7.82),(17.415,7.67),(17.265,7.67)),
        )
        createRL(
            tech, net, 'via',
            ((17.585,7.67),(17.585,7.82),(17.735,7.82),(17.735,7.67),(17.585,7.67)),
        )
        createRL(
            tech, net, 'via',
            ((54.425,-2.37),(54.425,-2.22),(54.575,-2.22),(54.575,-2.37),(54.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((54.425,-2.05),(54.425,-1.9),(54.575,-1.9),(54.575,-2.05),(54.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((17.425,-2.37),(17.425,-2.22),(17.575,-2.22),(17.575,-2.37),(17.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((17.425,-2.05),(17.425,-1.9),(17.575,-1.9),(17.575,-2.05),(17.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((22.425,-2.37),(22.425,-2.22),(22.575,-2.22),(22.575,-2.37),(22.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((22.425,-2.05),(22.425,-1.9),(22.575,-1.9),(22.575,-2.05),(22.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((54.265,7.67),(54.265,7.82),(54.415,7.82),(54.415,7.67),(54.265,7.67)),
        )
        createRL(
            tech, net, 'via',
            ((54.585,7.67),(54.585,7.82),(54.735,7.82),(54.735,7.67),(54.585,7.67)),
        )
        createRL(
            tech, net, 'm2',
            ((22.37,-2.455),(22.37,7.615),(22.18,7.615),(22.18,7.875),(22.82,7.875),(22.82,7.615),(22.63,7.615),(22.63,-2.455),(22.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((17.37,-2.455),(17.37,7.615),(17.18,7.615),(17.18,7.875),(17.82,7.875),(17.82,7.615),(17.63,7.615),(17.63,-2.455),(17.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((54.37,-2.455),(54.37,7.615),(54.18,7.615),(54.18,7.875),(54.82,7.875),(54.82,7.615),(54.63,7.615),(54.63,-2.455),(54.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((49.37,-2.455),(49.37,7.615),(49.18,7.615),(49.18,7.875),(49.82,7.875),(49.82,7.615),(49.63,7.615),(49.63,-2.455),(49.37,-2.455)),
        )
        net = nets['aint_n[1]']
        createRL(
            tech, net, 'li',
            ((1.415,-2.425),(1.415,-2.255),(1.585,-2.255),(1.585,-2.425),(1.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((33.415,-2.425),(33.415,-2.255),(33.585,-2.255),(33.585,-2.425),(33.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((12.415,-2.425),(12.415,-2.255),(12.585,-2.255),(12.585,-2.425),(12.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((38.415,-2.425),(38.415,-2.255),(38.585,-2.255),(38.585,-2.425),(38.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((32.845,4.86),(32.845,5.03),(33.015,5.03),(33.015,4.86),(32.845,4.86)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.415,-2.425),(1.415,-2.255),(1.585,-2.255),(1.585,-2.425),(1.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((33.415,-2.425),(33.415,-2.255),(33.585,-2.255),(33.585,-2.425),(33.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((12.415,-2.425),(12.415,-2.255),(12.585,-2.255),(12.585,-2.425),(12.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((38.415,-2.425),(38.415,-2.255),(38.585,-2.255),(38.585,-2.425),(38.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((32.845,4.86),(32.845,5.03),(33.015,5.03),(33.015,4.86),(32.845,4.86)),
        )
        createRL(
            tech, net, 'm1',
            ((38.355,-2.455),(38.355,-2.225),(38.37,-2.225),(38.37,-1.815),(38.63,-1.815),(38.63,-2.225),(38.645,-2.225),(38.645,-2.455),(38.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((1.355,-2.455),(1.355,-2.225),(1.37,-2.225),(1.37,-1.815),(1.63,-1.815),(1.63,-2.225),(1.645,-2.225),(1.645,-2.455),(1.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((33.355,-2.455),(33.355,-2.225),(33.37,-2.225),(33.37,-1.815),(33.63,-1.815),(33.63,-2.225),(33.645,-2.225),(33.645,-2.455),(33.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((12.355,-2.455),(12.355,-2.225),(12.37,-2.225),(12.37,-1.815),(12.63,-1.815),(12.63,-2.225),(12.645,-2.225),(12.645,-2.455),(12.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((1.18,4.815),(1.18,5.075),(38.82,5.075),(38.82,4.815),(1.18,4.815)),
        )
        createRL(
            tech, net, 'via',
            ((33.425,-2.37),(33.425,-2.22),(33.575,-2.22),(33.575,-2.37),(33.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((33.425,-2.05),(33.425,-1.9),(33.575,-1.9),(33.575,-2.05),(33.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((38.425,-2.37),(38.425,-2.22),(38.575,-2.22),(38.575,-2.37),(38.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((38.425,-2.05),(38.425,-1.9),(38.575,-1.9),(38.575,-2.05),(38.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((1.265,4.87),(1.265,5.02),(1.415,5.02),(1.415,4.87),(1.265,4.87)),
        )
        createRL(
            tech, net, 'via',
            ((1.585,4.87),(1.585,5.02),(1.735,5.02),(1.735,4.87),(1.585,4.87)),
        )
        createRL(
            tech, net, 'via',
            ((38.265,4.87),(38.265,5.02),(38.415,5.02),(38.415,4.87),(38.265,4.87)),
        )
        createRL(
            tech, net, 'via',
            ((38.585,4.87),(38.585,5.02),(38.735,5.02),(38.735,4.87),(38.585,4.87)),
        )
        createRL(
            tech, net, 'via',
            ((12.425,-2.37),(12.425,-2.22),(12.575,-2.22),(12.575,-2.37),(12.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((12.425,-2.05),(12.425,-1.9),(12.575,-1.9),(12.575,-2.05),(12.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((12.265,4.87),(12.265,5.02),(12.415,5.02),(12.415,4.87),(12.265,4.87)),
        )
        createRL(
            tech, net, 'via',
            ((12.585,4.87),(12.585,5.02),(12.735,5.02),(12.735,4.87),(12.585,4.87)),
        )
        createRL(
            tech, net, 'via',
            ((1.425,-2.37),(1.425,-2.22),(1.575,-2.22),(1.575,-2.37),(1.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((1.425,-2.05),(1.425,-1.9),(1.575,-1.9),(1.575,-2.05),(1.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((33.265,4.87),(33.265,5.02),(33.415,5.02),(33.415,4.87),(33.265,4.87)),
        )
        createRL(
            tech, net, 'via',
            ((33.585,4.87),(33.585,5.02),(33.735,5.02),(33.735,4.87),(33.585,4.87)),
        )
        createRL(
            tech, net, 'm2',
            ((38.37,-2.455),(38.37,4.815),(38.18,4.815),(38.18,5.075),(38.82,5.075),(38.82,4.815),(38.63,4.815),(38.63,-2.455),(38.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((33.37,-2.455),(33.37,4.815),(33.18,4.815),(33.18,5.075),(33.82,5.075),(33.82,4.815),(33.63,4.815),(33.63,-2.455),(33.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((12.37,-2.455),(12.37,4.815),(12.18,4.815),(12.18,5.075),(12.82,5.075),(12.82,4.815),(12.63,4.815),(12.63,-2.455),(12.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((1.37,-2.455),(1.37,4.815),(1.18,4.815),(1.18,5.075),(1.82,5.075),(1.82,4.815),(1.63,4.815),(1.63,-2.455),(1.37,-2.455)),
        )
        net = nets['a[2]']
        createRL(
            tech, net, 'li',
            ((38.415,8.46),(38.415,8.63),(38.585,8.63),(38.585,8.46),(38.415,8.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((38.415,8.46),(38.415,8.63),(38.585,8.63),(38.585,8.46),(38.415,8.46)),
        )
        createRL(
            tech, net, 'm1',
            ((38.355,8.43),(38.355,10.0),(38.645,10.0),(38.645,8.43),(38.355,8.43)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(38.5), u(0.29), u(8.43), u(10.0),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(38.5), u(0.29), u(8.43), u(10.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['aint[2]']
        createRL(
            tech, net, 'li',
            ((39.415,-2.425),(39.415,-2.255),(39.585,-2.255),(39.585,-2.425),(39.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((55.415,-2.425),(55.415,-2.255),(55.585,-2.255),(55.585,-2.425),(55.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((50.415,-2.425),(50.415,-2.255),(50.585,-2.255),(50.585,-2.425),(50.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((34.415,-2.425),(34.415,-2.255),(34.585,-2.255),(34.585,-2.425),(34.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((47.415,6.06),(47.415,6.23),(47.585,6.23),(47.585,6.06),(47.415,6.06)),
        )
        createRL(
            tech, net, 'li',
            ((49.17,6.06),(49.17,6.23),(49.34,6.23),(49.34,6.06),(49.17,6.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((39.415,-2.425),(39.415,-2.255),(39.585,-2.255),(39.585,-2.425),(39.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((55.415,-2.425),(55.415,-2.255),(55.585,-2.255),(55.585,-2.425),(55.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((50.415,-2.425),(50.415,-2.255),(50.585,-2.255),(50.585,-2.425),(50.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((34.415,-2.425),(34.415,-2.255),(34.585,-2.255),(34.585,-2.425),(34.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((47.415,6.06),(47.415,6.23),(47.585,6.23),(47.585,6.06),(47.415,6.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((49.17,6.06),(49.17,6.23),(49.34,6.23),(49.34,6.06),(49.17,6.06)),
        )
        createRL(
            tech, net, 'm1',
            ((50.355,-2.455),(50.355,-2.225),(50.37,-2.225),(50.37,-1.815),(50.63,-1.815),(50.63,-2.225),(50.645,-2.225),(50.645,-2.455),(50.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((39.355,-2.455),(39.355,-2.225),(39.37,-2.225),(39.37,-1.815),(39.63,-1.815),(39.63,-2.225),(39.645,-2.225),(39.645,-2.455),(39.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((34.18,6.015),(34.18,6.275),(55.82,6.275),(55.82,6.015),(34.18,6.015)),
        )
        createRL(
            tech, net, 'm1',
            ((34.355,-2.455),(34.355,-2.225),(34.37,-2.225),(34.37,-1.815),(34.63,-1.815),(34.63,-2.225),(34.645,-2.225),(34.645,-2.455),(34.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((55.355,-2.455),(55.355,-2.225),(55.37,-2.225),(55.37,-1.815),(55.63,-1.815),(55.63,-2.225),(55.645,-2.225),(55.645,-2.455),(55.355,-2.455)),
        )
        createRL(
            tech, net, 'via',
            ((39.425,-2.37),(39.425,-2.22),(39.575,-2.22),(39.575,-2.37),(39.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((39.425,-2.05),(39.425,-1.9),(39.575,-1.9),(39.575,-2.05),(39.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((34.425,-2.37),(34.425,-2.22),(34.575,-2.22),(34.575,-2.37),(34.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((34.425,-2.05),(34.425,-1.9),(34.575,-1.9),(34.575,-2.05),(34.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((39.265,6.07),(39.265,6.22),(39.415,6.22),(39.415,6.07),(39.265,6.07)),
        )
        createRL(
            tech, net, 'via',
            ((39.585,6.07),(39.585,6.22),(39.735,6.22),(39.735,6.07),(39.585,6.07)),
        )
        createRL(
            tech, net, 'via',
            ((55.265,6.07),(55.265,6.22),(55.415,6.22),(55.415,6.07),(55.265,6.07)),
        )
        createRL(
            tech, net, 'via',
            ((55.585,6.07),(55.585,6.22),(55.735,6.22),(55.735,6.07),(55.585,6.07)),
        )
        createRL(
            tech, net, 'via',
            ((50.425,-2.37),(50.425,-2.22),(50.575,-2.22),(50.575,-2.37),(50.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((50.425,-2.05),(50.425,-1.9),(50.575,-1.9),(50.575,-2.05),(50.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((34.265,6.07),(34.265,6.22),(34.415,6.22),(34.415,6.07),(34.265,6.07)),
        )
        createRL(
            tech, net, 'via',
            ((34.585,6.07),(34.585,6.22),(34.735,6.22),(34.735,6.07),(34.585,6.07)),
        )
        createRL(
            tech, net, 'via',
            ((55.425,-2.37),(55.425,-2.22),(55.575,-2.22),(55.575,-2.37),(55.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((55.425,-2.05),(55.425,-1.9),(55.575,-1.9),(55.575,-2.05),(55.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((50.265,6.07),(50.265,6.22),(50.415,6.22),(50.415,6.07),(50.265,6.07)),
        )
        createRL(
            tech, net, 'via',
            ((50.585,6.07),(50.585,6.22),(50.735,6.22),(50.735,6.07),(50.585,6.07)),
        )
        createRL(
            tech, net, 'm2',
            ((34.37,-2.455),(34.37,6.015),(34.18,6.015),(34.18,6.275),(34.82,6.275),(34.82,6.015),(34.63,6.015),(34.63,-2.455),(34.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((39.37,-2.455),(39.37,6.015),(39.18,6.015),(39.18,6.275),(39.82,6.275),(39.82,6.015),(39.63,6.015),(39.63,-2.455),(39.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((55.37,-2.455),(55.37,6.015),(55.18,6.015),(55.18,6.275),(55.82,6.275),(55.82,6.015),(55.63,6.015),(55.63,-2.455),(55.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((50.37,-2.455),(50.37,6.015),(50.18,6.015),(50.18,6.275),(50.82,6.275),(50.82,6.015),(50.63,6.015),(50.63,-2.455),(50.37,-2.455)),
        )
        net = nets['aint_n[2]']
        createRL(
            tech, net, 'li',
            ((23.415,-2.425),(23.415,-2.255),(23.585,-2.255),(23.585,-2.425),(23.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((18.415,-2.425),(18.415,-2.255),(18.585,-2.255),(18.585,-2.425),(18.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((2.415,-2.425),(2.415,-2.255),(2.585,-2.255),(2.585,-2.425),(2.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((13.415,-2.425),(13.415,-2.255),(13.585,-2.255),(13.585,-2.425),(13.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((49.845,3.26),(49.845,3.43),(50.015,3.43),(50.015,3.26),(49.845,3.26)),
        )
        createRL(
            tech, net, 'mcon',
            ((23.415,-2.425),(23.415,-2.255),(23.585,-2.255),(23.585,-2.425),(23.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.415,-2.425),(18.415,-2.255),(18.585,-2.255),(18.585,-2.425),(18.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.415,-2.425),(2.415,-2.255),(2.585,-2.255),(2.585,-2.425),(2.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((13.415,-2.425),(13.415,-2.255),(13.585,-2.255),(13.585,-2.425),(13.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((49.845,3.26),(49.845,3.43),(50.015,3.43),(50.015,3.26),(49.845,3.26)),
        )
        createRL(
            tech, net, 'm1',
            ((18.355,-2.455),(18.355,-2.225),(18.37,-2.225),(18.37,-1.815),(18.63,-1.815),(18.63,-2.225),(18.645,-2.225),(18.645,-2.455),(18.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((2.18,3.215),(2.18,3.475),(49.93,3.475),(49.93,3.46),(50.075,3.46),(50.075,3.23),(49.93,3.23),(49.93,3.215),(2.18,3.215)),
        )
        createRL(
            tech, net, 'm1',
            ((2.355,-2.455),(2.355,-2.225),(2.37,-2.225),(2.37,-1.815),(2.63,-1.815),(2.63,-2.225),(2.645,-2.225),(2.645,-2.455),(2.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((23.355,-2.455),(23.355,-2.225),(23.37,-2.225),(23.37,-1.815),(23.63,-1.815),(23.63,-2.225),(23.645,-2.225),(23.645,-2.455),(23.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((13.355,-2.455),(13.355,-2.225),(13.37,-2.225),(13.37,-1.815),(13.63,-1.815),(13.63,-2.225),(13.645,-2.225),(13.645,-2.455),(13.355,-2.455)),
        )
        createRL(
            tech, net, 'via',
            ((2.265,3.27),(2.265,3.42),(2.415,3.42),(2.415,3.27),(2.265,3.27)),
        )
        createRL(
            tech, net, 'via',
            ((2.585,3.27),(2.585,3.42),(2.735,3.42),(2.735,3.27),(2.585,3.27)),
        )
        createRL(
            tech, net, 'via',
            ((13.265,3.27),(13.265,3.42),(13.415,3.42),(13.415,3.27),(13.265,3.27)),
        )
        createRL(
            tech, net, 'via',
            ((13.585,3.27),(13.585,3.42),(13.735,3.42),(13.735,3.27),(13.585,3.27)),
        )
        createRL(
            tech, net, 'via',
            ((23.425,-2.37),(23.425,-2.22),(23.575,-2.22),(23.575,-2.37),(23.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((23.425,-2.05),(23.425,-1.9),(23.575,-1.9),(23.575,-2.05),(23.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((18.265,3.27),(18.265,3.42),(18.415,3.42),(18.415,3.27),(18.265,3.27)),
        )
        createRL(
            tech, net, 'via',
            ((18.585,3.27),(18.585,3.42),(18.735,3.42),(18.735,3.27),(18.585,3.27)),
        )
        createRL(
            tech, net, 'via',
            ((2.425,-2.37),(2.425,-2.22),(2.575,-2.22),(2.575,-2.37),(2.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((2.425,-2.05),(2.425,-1.9),(2.575,-1.9),(2.575,-2.05),(2.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((23.265,3.27),(23.265,3.42),(23.415,3.42),(23.415,3.27),(23.265,3.27)),
        )
        createRL(
            tech, net, 'via',
            ((23.585,3.27),(23.585,3.42),(23.735,3.42),(23.735,3.27),(23.585,3.27)),
        )
        createRL(
            tech, net, 'via',
            ((18.425,-2.37),(18.425,-2.22),(18.575,-2.22),(18.575,-2.37),(18.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((18.425,-2.05),(18.425,-1.9),(18.575,-1.9),(18.575,-2.05),(18.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((13.425,-2.37),(13.425,-2.22),(13.575,-2.22),(13.575,-2.37),(13.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((13.425,-2.05),(13.425,-1.9),(13.575,-1.9),(13.575,-2.05),(13.425,-2.05)),
        )
        createRL(
            tech, net, 'm2',
            ((18.37,-2.455),(18.37,3.215),(18.18,3.215),(18.18,3.475),(18.82,3.475),(18.82,3.215),(18.63,3.215),(18.63,-2.455),(18.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((2.37,-2.455),(2.37,3.215),(2.18,3.215),(2.18,3.475),(2.82,3.475),(2.82,3.215),(2.63,3.215),(2.63,-2.455),(2.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((23.37,-2.455),(23.37,3.215),(23.18,3.215),(23.18,3.475),(23.82,3.475),(23.82,3.215),(23.63,3.215),(23.63,-2.455),(23.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((13.37,-2.455),(13.37,3.215),(13.18,3.215),(13.18,3.475),(13.82,3.475),(13.82,3.215),(13.63,3.215),(13.63,-2.455),(13.37,-2.455)),
        )
        net = nets['a[3]']
        createRL(
            tech, net, 'li',
            ((55.415,8.46),(55.415,8.63),(55.585,8.63),(55.585,8.46),(55.415,8.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((55.415,8.46),(55.415,8.63),(55.585,8.63),(55.585,8.46),(55.415,8.46)),
        )
        createRL(
            tech, net, 'm1',
            ((55.355,8.43),(55.355,10.0),(55.645,10.0),(55.645,8.43),(55.355,8.43)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(55.5), u(0.29), u(8.43), u(10.0),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(55.5), u(0.29), u(8.43), u(10.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['aint[3]']
        createRL(
            tech, net, 'li',
            ((66.17,7.26),(66.17,7.43),(66.34,7.43),(66.34,7.26),(66.17,7.26)),
        )
        createRL(
            tech, net, 'li',
            ((62.415,-2.67),(62.415,-2.5),(62.585,-2.5),(62.585,-2.67),(62.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((98.415,-2.67),(98.415,-2.5),(98.585,-2.5),(98.585,-2.67),(98.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((174.415,-2.67),(174.415,-2.5),(174.585,-2.5),(174.585,-2.67),(174.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((210.415,-2.67),(210.415,-2.5),(210.585,-2.5),(210.585,-2.67),(210.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((286.415,-2.67),(286.415,-2.5),(286.585,-2.5),(286.585,-2.67),(286.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((64.415,7.26),(64.415,7.43),(64.585,7.43),(64.585,7.26),(64.415,7.26)),
        )
        createRL(
            tech, net, 'li',
            ((246.415,-2.67),(246.415,-2.5),(246.585,-2.5),(246.585,-2.67),(246.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((138.415,-2.67),(138.415,-2.5),(138.585,-2.5),(138.585,-2.67),(138.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((26.415,-2.67),(26.415,-2.5),(26.585,-2.5),(26.585,-2.67),(26.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((66.17,7.26),(66.17,7.43),(66.34,7.43),(66.34,7.26),(66.17,7.26)),
        )
        createRL(
            tech, net, 'mcon',
            ((62.415,-2.67),(62.415,-2.5),(62.585,-2.5),(62.585,-2.67),(62.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((98.415,-2.67),(98.415,-2.5),(98.585,-2.5),(98.585,-2.67),(98.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((174.415,-2.67),(174.415,-2.5),(174.585,-2.5),(174.585,-2.67),(174.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((210.415,-2.67),(210.415,-2.5),(210.585,-2.5),(210.585,-2.67),(210.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((286.415,-2.67),(286.415,-2.5),(286.585,-2.5),(286.585,-2.67),(286.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((64.415,7.26),(64.415,7.43),(64.585,7.43),(64.585,7.26),(64.415,7.26)),
        )
        createRL(
            tech, net, 'mcon',
            ((246.415,-2.67),(246.415,-2.5),(246.585,-2.5),(246.585,-2.67),(246.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((138.415,-2.67),(138.415,-2.5),(138.585,-2.5),(138.585,-2.67),(138.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.415,-2.67),(26.415,-2.5),(26.585,-2.5),(26.585,-2.67),(26.415,-2.67)),
        )
        createRL(
            tech, net, 'm1',
            ((210.355,-2.7),(210.355,-2.47),(210.37,-2.47),(210.37,-2.06),(210.63,-2.06),(210.63,-2.47),(210.645,-2.47),(210.645,-2.7),(210.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((246.355,-2.7),(246.355,-2.47),(246.37,-2.47),(246.37,-2.06),(246.63,-2.06),(246.63,-2.47),(246.645,-2.47),(246.645,-2.7),(246.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((26.355,-2.7),(26.355,-2.47),(26.37,-2.47),(26.37,-2.06),(26.63,-2.06),(26.63,-2.47),(26.645,-2.47),(26.645,-2.7),(26.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((62.355,-2.7),(62.355,-2.47),(62.37,-2.47),(62.37,-2.06),(62.63,-2.06),(62.63,-2.47),(62.645,-2.47),(62.645,-2.7),(62.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((286.355,-2.7),(286.355,-2.47),(286.37,-2.47),(286.37,-2.06),(286.63,-2.06),(286.63,-2.47),(286.645,-2.47),(286.645,-2.7),(286.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((98.355,-2.7),(98.355,-2.47),(98.37,-2.47),(98.37,-2.06),(98.63,-2.06),(98.63,-2.47),(98.645,-2.47),(98.645,-2.7),(98.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((26.18,7.215),(26.18,7.475),(286.82,7.475),(286.82,7.215),(26.18,7.215)),
        )
        createRL(
            tech, net, 'm1',
            ((138.355,-2.7),(138.355,-2.47),(138.37,-2.47),(138.37,-2.06),(138.63,-2.06),(138.63,-2.47),(138.645,-2.47),(138.645,-2.7),(138.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((174.355,-2.7),(174.355,-2.47),(174.37,-2.47),(174.37,-2.06),(174.63,-2.06),(174.63,-2.47),(174.645,-2.47),(174.645,-2.7),(174.355,-2.7)),
        )
        createRL(
            tech, net, 'via',
            ((210.265,7.27),(210.265,7.42),(210.415,7.42),(210.415,7.27),(210.265,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((210.585,7.27),(210.585,7.42),(210.735,7.42),(210.735,7.27),(210.585,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((210.425,-2.615),(210.425,-2.465),(210.575,-2.465),(210.575,-2.615),(210.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((210.425,-2.295),(210.425,-2.145),(210.575,-2.145),(210.575,-2.295),(210.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((174.425,-2.615),(174.425,-2.465),(174.575,-2.465),(174.575,-2.615),(174.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((174.425,-2.295),(174.425,-2.145),(174.575,-2.145),(174.575,-2.295),(174.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((98.425,-2.615),(98.425,-2.465),(98.575,-2.465),(98.575,-2.615),(98.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((98.425,-2.295),(98.425,-2.145),(98.575,-2.145),(98.575,-2.295),(98.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((286.425,-2.615),(286.425,-2.465),(286.575,-2.465),(286.575,-2.615),(286.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((286.425,-2.295),(286.425,-2.145),(286.575,-2.145),(286.575,-2.295),(286.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((246.425,-2.615),(246.425,-2.465),(246.575,-2.465),(246.575,-2.615),(246.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((246.425,-2.295),(246.425,-2.145),(246.575,-2.145),(246.575,-2.295),(246.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((62.425,-2.615),(62.425,-2.465),(62.575,-2.465),(62.575,-2.615),(62.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((62.425,-2.295),(62.425,-2.145),(62.575,-2.145),(62.575,-2.295),(62.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((26.425,-2.615),(26.425,-2.465),(26.575,-2.465),(26.575,-2.615),(26.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((26.425,-2.295),(26.425,-2.145),(26.575,-2.145),(26.575,-2.295),(26.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((286.265,7.27),(286.265,7.42),(286.415,7.42),(286.415,7.27),(286.265,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((286.585,7.27),(286.585,7.42),(286.735,7.42),(286.735,7.27),(286.585,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((174.265,7.27),(174.265,7.42),(174.415,7.42),(174.415,7.27),(174.265,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((174.585,7.27),(174.585,7.42),(174.735,7.42),(174.735,7.27),(174.585,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((98.265,7.27),(98.265,7.42),(98.415,7.42),(98.415,7.27),(98.265,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((98.585,7.27),(98.585,7.42),(98.735,7.42),(98.735,7.27),(98.585,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((26.265,7.27),(26.265,7.42),(26.415,7.42),(26.415,7.27),(26.265,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((26.585,7.27),(26.585,7.42),(26.735,7.42),(26.735,7.27),(26.585,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((246.265,7.27),(246.265,7.42),(246.415,7.42),(246.415,7.27),(246.265,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((246.585,7.27),(246.585,7.42),(246.735,7.42),(246.735,7.27),(246.585,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((138.425,-2.615),(138.425,-2.465),(138.575,-2.465),(138.575,-2.615),(138.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((138.425,-2.295),(138.425,-2.145),(138.575,-2.145),(138.575,-2.295),(138.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((138.265,7.27),(138.265,7.42),(138.415,7.42),(138.415,7.27),(138.265,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((138.585,7.27),(138.585,7.42),(138.735,7.42),(138.735,7.27),(138.585,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((62.265,7.27),(62.265,7.42),(62.415,7.42),(62.415,7.27),(62.265,7.27)),
        )
        createRL(
            tech, net, 'via',
            ((62.585,7.27),(62.585,7.42),(62.735,7.42),(62.735,7.27),(62.585,7.27)),
        )
        createRL(
            tech, net, 'm2',
            ((246.37,-2.7),(246.37,7.215),(246.18,7.215),(246.18,7.475),(246.82,7.475),(246.82,7.215),(246.63,7.215),(246.63,-2.7),(246.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((98.37,-2.7),(98.37,7.215),(98.18,7.215),(98.18,7.475),(98.82,7.475),(98.82,7.215),(98.63,7.215),(98.63,-2.7),(98.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((174.37,-2.7),(174.37,7.215),(174.18,7.215),(174.18,7.475),(174.82,7.475),(174.82,7.215),(174.63,7.215),(174.63,-2.7),(174.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((26.37,-2.7),(26.37,7.215),(26.18,7.215),(26.18,7.475),(26.82,7.475),(26.82,7.215),(26.63,7.215),(26.63,-2.7),(26.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((286.37,-2.7),(286.37,7.215),(286.18,7.215),(286.18,7.475),(286.82,7.475),(286.82,7.215),(286.63,7.215),(286.63,-2.7),(286.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((210.37,-2.7),(210.37,7.215),(210.18,7.215),(210.18,7.475),(210.82,7.475),(210.82,7.215),(210.63,7.215),(210.63,-2.7),(210.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((62.37,-2.7),(62.37,7.215),(62.18,7.215),(62.18,7.475),(62.82,7.475),(62.82,7.215),(62.63,7.215),(62.63,-2.7),(62.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((138.37,-2.7),(138.37,7.215),(138.18,7.215),(138.18,7.475),(138.82,7.475),(138.82,7.215),(138.63,7.215),(138.63,-2.7),(138.37,-2.7)),
        )
        net = nets['aint_n[3]']
        createRL(
            tech, net, 'li',
            ((5.415,-2.67),(5.415,-2.5),(5.585,-2.5),(5.585,-2.67),(5.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((192.415,-2.67),(192.415,-2.5),(192.585,-2.5),(192.585,-2.67),(192.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((66.845,4.46),(66.845,4.63),(67.015,4.63),(67.015,4.46),(66.845,4.46)),
        )
        createRL(
            tech, net, 'li',
            ((156.415,-2.67),(156.415,-2.5),(156.585,-2.5),(156.585,-2.67),(156.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((116.415,-2.67),(116.415,-2.5),(116.585,-2.5),(116.585,-2.67),(116.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((228.415,-2.67),(228.415,-2.5),(228.585,-2.5),(228.585,-2.67),(228.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((268.415,-2.67),(268.415,-2.5),(268.585,-2.5),(268.585,-2.67),(268.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((42.415,-2.67),(42.415,-2.5),(42.585,-2.5),(42.585,-2.67),(42.415,-2.67)),
        )
        createRL(
            tech, net, 'li',
            ((80.415,-2.67),(80.415,-2.5),(80.585,-2.5),(80.585,-2.67),(80.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((5.415,-2.67),(5.415,-2.5),(5.585,-2.5),(5.585,-2.67),(5.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((192.415,-2.67),(192.415,-2.5),(192.585,-2.5),(192.585,-2.67),(192.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((66.845,4.46),(66.845,4.63),(67.015,4.63),(67.015,4.46),(66.845,4.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((156.415,-2.67),(156.415,-2.5),(156.585,-2.5),(156.585,-2.67),(156.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((116.415,-2.67),(116.415,-2.5),(116.585,-2.5),(116.585,-2.67),(116.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((228.415,-2.67),(228.415,-2.5),(228.585,-2.5),(228.585,-2.67),(228.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((268.415,-2.67),(268.415,-2.5),(268.585,-2.5),(268.585,-2.67),(268.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((42.415,-2.67),(42.415,-2.5),(42.585,-2.5),(42.585,-2.67),(42.415,-2.67)),
        )
        createRL(
            tech, net, 'mcon',
            ((80.415,-2.67),(80.415,-2.5),(80.585,-2.5),(80.585,-2.67),(80.415,-2.67)),
        )
        createRL(
            tech, net, 'm1',
            ((5.355,-2.7),(5.355,-2.47),(5.37,-2.47),(5.37,-2.06),(5.63,-2.06),(5.63,-2.47),(5.645,-2.47),(5.645,-2.7),(5.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((268.355,-2.7),(268.355,-2.47),(268.37,-2.47),(268.37,-2.06),(268.63,-2.06),(268.63,-2.47),(268.645,-2.47),(268.645,-2.7),(268.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((80.355,-2.7),(80.355,-2.47),(80.37,-2.47),(80.37,-2.06),(80.63,-2.06),(80.63,-2.47),(80.645,-2.47),(80.645,-2.7),(80.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((116.355,-2.7),(116.355,-2.47),(116.37,-2.47),(116.37,-2.06),(116.63,-2.06),(116.63,-2.47),(116.645,-2.47),(116.645,-2.7),(116.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((156.355,-2.7),(156.355,-2.47),(156.37,-2.47),(156.37,-2.06),(156.63,-2.06),(156.63,-2.47),(156.645,-2.47),(156.645,-2.7),(156.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((42.355,-2.7),(42.355,-2.47),(42.37,-2.47),(42.37,-2.06),(42.63,-2.06),(42.63,-2.47),(42.645,-2.47),(42.645,-2.7),(42.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((192.355,-2.7),(192.355,-2.47),(192.37,-2.47),(192.37,-2.06),(192.63,-2.06),(192.63,-2.47),(192.645,-2.47),(192.645,-2.7),(192.355,-2.7)),
        )
        createRL(
            tech, net, 'm1',
            ((5.18,4.415),(5.18,4.675),(268.82,4.675),(268.82,4.415),(5.18,4.415)),
        )
        createRL(
            tech, net, 'm1',
            ((228.355,-2.7),(228.355,-2.47),(228.37,-2.47),(228.37,-2.06),(228.63,-2.06),(228.63,-2.47),(228.645,-2.47),(228.645,-2.7),(228.355,-2.7)),
        )
        createRL(
            tech, net, 'via',
            ((42.265,4.47),(42.265,4.62),(42.415,4.62),(42.415,4.47),(42.265,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((42.585,4.47),(42.585,4.62),(42.735,4.62),(42.735,4.47),(42.585,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((228.265,4.47),(228.265,4.62),(228.415,4.62),(228.415,4.47),(228.265,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((228.585,4.47),(228.585,4.62),(228.735,4.62),(228.735,4.47),(228.585,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((80.265,4.47),(80.265,4.62),(80.415,4.62),(80.415,4.47),(80.265,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((80.585,4.47),(80.585,4.62),(80.735,4.62),(80.735,4.47),(80.585,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((116.265,4.47),(116.265,4.62),(116.415,4.62),(116.415,4.47),(116.265,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((116.585,4.47),(116.585,4.62),(116.735,4.62),(116.735,4.47),(116.585,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((42.425,-2.615),(42.425,-2.465),(42.575,-2.465),(42.575,-2.615),(42.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((42.425,-2.295),(42.425,-2.145),(42.575,-2.145),(42.575,-2.295),(42.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((116.425,-2.615),(116.425,-2.465),(116.575,-2.465),(116.575,-2.615),(116.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((116.425,-2.295),(116.425,-2.145),(116.575,-2.145),(116.575,-2.295),(116.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((5.425,-2.615),(5.425,-2.465),(5.575,-2.465),(5.575,-2.615),(5.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((5.425,-2.295),(5.425,-2.145),(5.575,-2.145),(5.575,-2.295),(5.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((268.425,-2.615),(268.425,-2.465),(268.575,-2.465),(268.575,-2.615),(268.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((268.425,-2.295),(268.425,-2.145),(268.575,-2.145),(268.575,-2.295),(268.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((80.425,-2.615),(80.425,-2.465),(80.575,-2.465),(80.575,-2.615),(80.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((80.425,-2.295),(80.425,-2.145),(80.575,-2.145),(80.575,-2.295),(80.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((228.425,-2.615),(228.425,-2.465),(228.575,-2.465),(228.575,-2.615),(228.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((228.425,-2.295),(228.425,-2.145),(228.575,-2.145),(228.575,-2.295),(228.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((156.425,-2.615),(156.425,-2.465),(156.575,-2.465),(156.575,-2.615),(156.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((156.425,-2.295),(156.425,-2.145),(156.575,-2.145),(156.575,-2.295),(156.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((156.265,4.47),(156.265,4.62),(156.415,4.62),(156.415,4.47),(156.265,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((156.585,4.47),(156.585,4.62),(156.735,4.62),(156.735,4.47),(156.585,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((192.265,4.47),(192.265,4.62),(192.415,4.62),(192.415,4.47),(192.265,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((192.585,4.47),(192.585,4.62),(192.735,4.62),(192.735,4.47),(192.585,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((192.425,-2.615),(192.425,-2.465),(192.575,-2.465),(192.575,-2.615),(192.425,-2.615)),
        )
        createRL(
            tech, net, 'via',
            ((192.425,-2.295),(192.425,-2.145),(192.575,-2.145),(192.575,-2.295),(192.425,-2.295)),
        )
        createRL(
            tech, net, 'via',
            ((268.265,4.47),(268.265,4.62),(268.415,4.62),(268.415,4.47),(268.265,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((268.585,4.47),(268.585,4.62),(268.735,4.62),(268.735,4.47),(268.585,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((5.265,4.47),(5.265,4.62),(5.415,4.62),(5.415,4.47),(5.265,4.47)),
        )
        createRL(
            tech, net, 'via',
            ((5.585,4.47),(5.585,4.62),(5.735,4.62),(5.735,4.47),(5.585,4.47)),
        )
        createRL(
            tech, net, 'm2',
            ((42.37,-2.7),(42.37,4.415),(42.18,4.415),(42.18,4.675),(42.82,4.675),(42.82,4.415),(42.63,4.415),(42.63,-2.7),(42.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((80.37,-2.7),(80.37,4.415),(80.18,4.415),(80.18,4.675),(80.82,4.675),(80.82,4.415),(80.63,4.415),(80.63,-2.7),(80.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((116.37,-2.7),(116.37,4.415),(116.18,4.415),(116.18,4.675),(116.82,4.675),(116.82,4.415),(116.63,4.415),(116.63,-2.7),(116.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((5.37,-2.7),(5.37,4.415),(5.18,4.415),(5.18,4.675),(5.82,4.675),(5.82,4.415),(5.63,4.415),(5.63,-2.7),(5.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((268.37,-2.7),(268.37,4.415),(268.18,4.415),(268.18,4.675),(268.82,4.675),(268.82,4.415),(268.63,4.415),(268.63,-2.7),(268.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((192.37,-2.7),(192.37,4.415),(192.18,4.415),(192.18,4.675),(192.82,4.675),(192.82,4.415),(192.63,4.415),(192.63,-2.7),(192.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((228.37,-2.7),(228.37,4.415),(228.18,4.415),(228.18,4.675),(228.82,4.675),(228.82,4.415),(228.63,4.415),(228.63,-2.7),(228.37,-2.7)),
        )
        createRL(
            tech, net, 'm2',
            ((156.37,-2.7),(156.37,4.415),(156.18,4.415),(156.18,4.675),(156.82,4.675),(156.82,4.415),(156.63,4.415),(156.63,-2.7),(156.37,-2.7)),
        )
        net = nets['a[4]']
        createRL(
            tech, net, 'li',
            ((72.415,8.46),(72.415,8.63),(72.585,8.63),(72.585,8.46),(72.415,8.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((72.415,8.46),(72.415,8.63),(72.585,8.63),(72.585,8.46),(72.415,8.46)),
        )
        createRL(
            tech, net, 'm1',
            ((72.355,8.43),(72.355,10.0),(72.645,10.0),(72.645,8.43),(72.355,8.43)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(72.5), u(0.29), u(8.43), u(10.0),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(72.5), u(0.29), u(8.43), u(10.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['aint[4]']
        createRL(
            tech, net, 'li',
            ((139.415,-2.425),(139.415,-2.255),(139.585,-2.255),(139.585,-2.425),(139.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((43.415,-2.425),(43.415,-2.255),(43.585,-2.255),(43.585,-2.425),(43.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((117.415,-2.425),(117.415,-2.255),(117.585,-2.255),(117.585,-2.425),(117.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((211.415,-2.425),(211.415,-2.255),(211.585,-2.255),(211.585,-2.425),(211.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((269.415,-2.425),(269.415,-2.255),(269.585,-2.255),(269.585,-2.425),(269.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((83.17,5.66),(83.17,5.83),(83.34,5.83),(83.34,5.66),(83.17,5.66)),
        )
        createRL(
            tech, net, 'li',
            ((63.415,-2.425),(63.415,-2.255),(63.585,-2.255),(63.585,-2.425),(63.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((193.415,-2.425),(193.415,-2.255),(193.585,-2.255),(193.585,-2.425),(193.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((287.415,-2.425),(287.415,-2.255),(287.585,-2.255),(287.585,-2.425),(287.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((81.415,5.66),(81.415,5.83),(81.585,5.83),(81.585,5.66),(81.415,5.66)),
        )
        createRL(
            tech, net, 'mcon',
            ((139.415,-2.425),(139.415,-2.255),(139.585,-2.255),(139.585,-2.425),(139.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((43.415,-2.425),(43.415,-2.255),(43.585,-2.255),(43.585,-2.425),(43.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((117.415,-2.425),(117.415,-2.255),(117.585,-2.255),(117.585,-2.425),(117.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((211.415,-2.425),(211.415,-2.255),(211.585,-2.255),(211.585,-2.425),(211.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((269.415,-2.425),(269.415,-2.255),(269.585,-2.255),(269.585,-2.425),(269.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((83.17,5.66),(83.17,5.83),(83.34,5.83),(83.34,5.66),(83.17,5.66)),
        )
        createRL(
            tech, net, 'mcon',
            ((63.415,-2.425),(63.415,-2.255),(63.585,-2.255),(63.585,-2.425),(63.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((193.415,-2.425),(193.415,-2.255),(193.585,-2.255),(193.585,-2.425),(193.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((287.415,-2.425),(287.415,-2.255),(287.585,-2.255),(287.585,-2.425),(287.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((81.415,5.66),(81.415,5.83),(81.585,5.83),(81.585,5.66),(81.415,5.66)),
        )
        createRL(
            tech, net, 'm1',
            ((43.355,-2.455),(43.355,-2.225),(43.37,-2.225),(43.37,-1.815),(43.63,-1.815),(43.63,-2.225),(43.645,-2.225),(43.645,-2.455),(43.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((139.355,-2.455),(139.355,-2.225),(139.37,-2.225),(139.37,-1.815),(139.63,-1.815),(139.63,-2.225),(139.645,-2.225),(139.645,-2.455),(139.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((63.355,-2.455),(63.355,-2.225),(63.37,-2.225),(63.37,-1.815),(63.63,-1.815),(63.63,-2.225),(63.645,-2.225),(63.645,-2.455),(63.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((287.355,-2.455),(287.355,-2.225),(287.37,-2.225),(287.37,-1.815),(287.63,-1.815),(287.63,-2.225),(287.645,-2.225),(287.645,-2.455),(287.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((211.355,-2.455),(211.355,-2.225),(211.37,-2.225),(211.37,-1.815),(211.63,-1.815),(211.63,-2.225),(211.645,-2.225),(211.645,-2.455),(211.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((193.355,-2.455),(193.355,-2.225),(193.37,-2.225),(193.37,-1.815),(193.63,-1.815),(193.63,-2.225),(193.645,-2.225),(193.645,-2.455),(193.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((117.355,-2.455),(117.355,-2.225),(117.37,-2.225),(117.37,-1.815),(117.63,-1.815),(117.63,-2.225),(117.645,-2.225),(117.645,-2.455),(117.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((43.18,5.615),(43.18,5.875),(287.82,5.875),(287.82,5.615),(43.18,5.615)),
        )
        createRL(
            tech, net, 'm1',
            ((269.355,-2.455),(269.355,-2.225),(269.37,-2.225),(269.37,-1.815),(269.63,-1.815),(269.63,-2.225),(269.645,-2.225),(269.645,-2.455),(269.355,-2.455)),
        )
        createRL(
            tech, net, 'via',
            ((211.265,5.67),(211.265,5.82),(211.415,5.82),(211.415,5.67),(211.265,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((211.585,5.67),(211.585,5.82),(211.735,5.82),(211.735,5.67),(211.585,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((193.265,5.67),(193.265,5.82),(193.415,5.82),(193.415,5.67),(193.265,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((193.585,5.67),(193.585,5.82),(193.735,5.82),(193.735,5.67),(193.585,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((269.265,5.67),(269.265,5.82),(269.415,5.82),(269.415,5.67),(269.265,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((269.585,5.67),(269.585,5.82),(269.735,5.82),(269.735,5.67),(269.585,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((43.425,-2.37),(43.425,-2.22),(43.575,-2.22),(43.575,-2.37),(43.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((43.425,-2.05),(43.425,-1.9),(43.575,-1.9),(43.575,-2.05),(43.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((139.265,5.67),(139.265,5.82),(139.415,5.82),(139.415,5.67),(139.265,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((139.585,5.67),(139.585,5.82),(139.735,5.82),(139.735,5.67),(139.585,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((287.425,-2.37),(287.425,-2.22),(287.575,-2.22),(287.575,-2.37),(287.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((287.425,-2.05),(287.425,-1.9),(287.575,-1.9),(287.575,-2.05),(287.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((139.425,-2.37),(139.425,-2.22),(139.575,-2.22),(139.575,-2.37),(139.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((139.425,-2.05),(139.425,-1.9),(139.575,-1.9),(139.575,-2.05),(139.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((117.265,5.67),(117.265,5.82),(117.415,5.82),(117.415,5.67),(117.265,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((117.585,5.67),(117.585,5.82),(117.735,5.82),(117.735,5.67),(117.585,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((287.265,5.67),(287.265,5.82),(287.415,5.82),(287.415,5.67),(287.265,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((287.585,5.67),(287.585,5.82),(287.735,5.82),(287.735,5.67),(287.585,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((193.425,-2.37),(193.425,-2.22),(193.575,-2.22),(193.575,-2.37),(193.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((193.425,-2.05),(193.425,-1.9),(193.575,-1.9),(193.575,-2.05),(193.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((43.265,5.67),(43.265,5.82),(43.415,5.82),(43.415,5.67),(43.265,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((43.585,5.67),(43.585,5.82),(43.735,5.82),(43.735,5.67),(43.585,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((63.265,5.67),(63.265,5.82),(63.415,5.82),(63.415,5.67),(63.265,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((63.585,5.67),(63.585,5.82),(63.735,5.82),(63.735,5.67),(63.585,5.67)),
        )
        createRL(
            tech, net, 'via',
            ((269.425,-2.37),(269.425,-2.22),(269.575,-2.22),(269.575,-2.37),(269.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((269.425,-2.05),(269.425,-1.9),(269.575,-1.9),(269.575,-2.05),(269.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((117.425,-2.37),(117.425,-2.22),(117.575,-2.22),(117.575,-2.37),(117.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((117.425,-2.05),(117.425,-1.9),(117.575,-1.9),(117.575,-2.05),(117.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((63.425,-2.37),(63.425,-2.22),(63.575,-2.22),(63.575,-2.37),(63.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((63.425,-2.05),(63.425,-1.9),(63.575,-1.9),(63.575,-2.05),(63.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((211.425,-2.37),(211.425,-2.22),(211.575,-2.22),(211.575,-2.37),(211.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((211.425,-2.05),(211.425,-1.9),(211.575,-1.9),(211.575,-2.05),(211.425,-2.05)),
        )
        createRL(
            tech, net, 'm2',
            ((63.37,-2.455),(63.37,5.615),(63.18,5.615),(63.18,5.875),(63.82,5.875),(63.82,5.615),(63.63,5.615),(63.63,-2.455),(63.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((287.37,-2.455),(287.37,5.615),(287.18,5.615),(287.18,5.875),(287.82,5.875),(287.82,5.615),(287.63,5.615),(287.63,-2.455),(287.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((193.37,-2.455),(193.37,5.615),(193.18,5.615),(193.18,5.875),(193.82,5.875),(193.82,5.615),(193.63,5.615),(193.63,-2.455),(193.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((211.37,-2.455),(211.37,5.615),(211.18,5.615),(211.18,5.875),(211.82,5.875),(211.82,5.615),(211.63,5.615),(211.63,-2.455),(211.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((117.37,-2.455),(117.37,5.615),(117.18,5.615),(117.18,5.875),(117.82,5.875),(117.82,5.615),(117.63,5.615),(117.63,-2.455),(117.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((43.37,-2.455),(43.37,5.615),(43.18,5.615),(43.18,5.875),(43.82,5.875),(43.82,5.615),(43.63,5.615),(43.63,-2.455),(43.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((139.37,-2.455),(139.37,5.615),(139.18,5.615),(139.18,5.875),(139.82,5.875),(139.82,5.615),(139.63,5.615),(139.63,-2.455),(139.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((269.37,-2.455),(269.37,5.615),(269.18,5.615),(269.18,5.875),(269.82,5.875),(269.82,5.615),(269.63,5.615),(269.63,-2.455),(269.37,-2.455)),
        )
        net = nets['aint_n[4]']
        createRL(
            tech, net, 'li',
            ((247.415,-2.425),(247.415,-2.255),(247.585,-2.255),(247.585,-2.425),(247.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((83.845,2.86),(83.845,3.03),(84.015,3.03),(84.015,2.86),(83.845,2.86)),
        )
        createRL(
            tech, net, 'li',
            ((27.415,-2.425),(27.415,-2.255),(27.585,-2.255),(27.585,-2.425),(27.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((157.415,-2.425),(157.415,-2.255),(157.585,-2.255),(157.585,-2.425),(157.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((99.415,-2.425),(99.415,-2.255),(99.585,-2.255),(99.585,-2.425),(99.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((229.415,-2.425),(229.415,-2.255),(229.585,-2.255),(229.585,-2.425),(229.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((81.415,-2.425),(81.415,-2.255),(81.585,-2.255),(81.585,-2.425),(81.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((175.415,-2.425),(175.415,-2.255),(175.585,-2.255),(175.585,-2.425),(175.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((6.415,-2.425),(6.415,-2.255),(6.585,-2.255),(6.585,-2.425),(6.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((247.415,-2.425),(247.415,-2.255),(247.585,-2.255),(247.585,-2.425),(247.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((83.845,2.86),(83.845,3.03),(84.015,3.03),(84.015,2.86),(83.845,2.86)),
        )
        createRL(
            tech, net, 'mcon',
            ((27.415,-2.425),(27.415,-2.255),(27.585,-2.255),(27.585,-2.425),(27.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((157.415,-2.425),(157.415,-2.255),(157.585,-2.255),(157.585,-2.425),(157.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((99.415,-2.425),(99.415,-2.255),(99.585,-2.255),(99.585,-2.425),(99.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((229.415,-2.425),(229.415,-2.255),(229.585,-2.255),(229.585,-2.425),(229.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((81.415,-2.425),(81.415,-2.255),(81.585,-2.255),(81.585,-2.425),(81.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((175.415,-2.425),(175.415,-2.255),(175.585,-2.255),(175.585,-2.425),(175.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((6.415,-2.425),(6.415,-2.255),(6.585,-2.255),(6.585,-2.425),(6.415,-2.425)),
        )
        createRL(
            tech, net, 'm1',
            ((6.355,-2.455),(6.355,-2.225),(6.37,-2.225),(6.37,-1.815),(6.63,-1.815),(6.63,-2.225),(6.645,-2.225),(6.645,-2.455),(6.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((81.355,-2.455),(81.355,-2.225),(81.37,-2.225),(81.37,-1.815),(81.63,-1.815),(81.63,-2.225),(81.645,-2.225),(81.645,-2.455),(81.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((229.355,-2.455),(229.355,-2.225),(229.37,-2.225),(229.37,-1.815),(229.63,-1.815),(229.63,-2.225),(229.645,-2.225),(229.645,-2.455),(229.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((6.18,2.815),(6.18,3.075),(247.82,3.075),(247.82,2.815),(6.18,2.815)),
        )
        createRL(
            tech, net, 'm1',
            ((157.355,-2.455),(157.355,-2.225),(157.37,-2.225),(157.37,-1.815),(157.63,-1.815),(157.63,-2.225),(157.645,-2.225),(157.645,-2.455),(157.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((27.355,-2.455),(27.355,-2.225),(27.37,-2.225),(27.37,-1.815),(27.63,-1.815),(27.63,-2.225),(27.645,-2.225),(27.645,-2.455),(27.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((175.355,-2.455),(175.355,-2.225),(175.37,-2.225),(175.37,-1.815),(175.63,-1.815),(175.63,-2.225),(175.645,-2.225),(175.645,-2.455),(175.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((99.355,-2.455),(99.355,-2.225),(99.37,-2.225),(99.37,-1.815),(99.63,-1.815),(99.63,-2.225),(99.645,-2.225),(99.645,-2.455),(99.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((247.355,-2.455),(247.355,-2.225),(247.37,-2.225),(247.37,-1.815),(247.63,-1.815),(247.63,-2.225),(247.645,-2.225),(247.645,-2.455),(247.355,-2.455)),
        )
        createRL(
            tech, net, 'via',
            ((247.425,-2.37),(247.425,-2.22),(247.575,-2.22),(247.575,-2.37),(247.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((247.425,-2.05),(247.425,-1.9),(247.575,-1.9),(247.575,-2.05),(247.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((6.425,-2.37),(6.425,-2.22),(6.575,-2.22),(6.575,-2.37),(6.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((6.425,-2.05),(6.425,-1.9),(6.575,-1.9),(6.575,-2.05),(6.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((27.425,-2.37),(27.425,-2.22),(27.575,-2.22),(27.575,-2.37),(27.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((27.425,-2.05),(27.425,-1.9),(27.575,-1.9),(27.575,-2.05),(27.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((157.425,-2.37),(157.425,-2.22),(157.575,-2.22),(157.575,-2.37),(157.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((157.425,-2.05),(157.425,-1.9),(157.575,-1.9),(157.575,-2.05),(157.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((6.265,2.87),(6.265,3.02),(6.415,3.02),(6.415,2.87),(6.265,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((6.585,2.87),(6.585,3.02),(6.735,3.02),(6.735,2.87),(6.585,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((99.265,2.87),(99.265,3.02),(99.415,3.02),(99.415,2.87),(99.265,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((99.585,2.87),(99.585,3.02),(99.735,3.02),(99.735,2.87),(99.585,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((175.425,-2.37),(175.425,-2.22),(175.575,-2.22),(175.575,-2.37),(175.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((175.425,-2.05),(175.425,-1.9),(175.575,-1.9),(175.575,-2.05),(175.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((247.265,2.87),(247.265,3.02),(247.415,3.02),(247.415,2.87),(247.265,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((247.585,2.87),(247.585,3.02),(247.735,3.02),(247.735,2.87),(247.585,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((99.425,-2.37),(99.425,-2.22),(99.575,-2.22),(99.575,-2.37),(99.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((99.425,-2.05),(99.425,-1.9),(99.575,-1.9),(99.575,-2.05),(99.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((81.425,-2.37),(81.425,-2.22),(81.575,-2.22),(81.575,-2.37),(81.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((81.425,-2.05),(81.425,-1.9),(81.575,-1.9),(81.575,-2.05),(81.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((175.265,2.87),(175.265,3.02),(175.415,3.02),(175.415,2.87),(175.265,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((175.585,2.87),(175.585,3.02),(175.735,3.02),(175.735,2.87),(175.585,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((27.265,2.87),(27.265,3.02),(27.415,3.02),(27.415,2.87),(27.265,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((27.585,2.87),(27.585,3.02),(27.735,3.02),(27.735,2.87),(27.585,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((229.425,-2.37),(229.425,-2.22),(229.575,-2.22),(229.575,-2.37),(229.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((229.425,-2.05),(229.425,-1.9),(229.575,-1.9),(229.575,-2.05),(229.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((81.265,2.87),(81.265,3.02),(81.415,3.02),(81.415,2.87),(81.265,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((81.585,2.87),(81.585,3.02),(81.735,3.02),(81.735,2.87),(81.585,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((229.265,2.87),(229.265,3.02),(229.415,3.02),(229.415,2.87),(229.265,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((229.585,2.87),(229.585,3.02),(229.735,3.02),(229.735,2.87),(229.585,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((157.265,2.87),(157.265,3.02),(157.415,3.02),(157.415,2.87),(157.265,2.87)),
        )
        createRL(
            tech, net, 'via',
            ((157.585,2.87),(157.585,3.02),(157.735,3.02),(157.735,2.87),(157.585,2.87)),
        )
        createRL(
            tech, net, 'm2',
            ((6.37,-2.455),(6.37,2.815),(6.18,2.815),(6.18,3.075),(6.82,3.075),(6.82,2.815),(6.63,2.815),(6.63,-2.455),(6.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((99.37,-2.455),(99.37,2.815),(99.18,2.815),(99.18,3.075),(99.82,3.075),(99.82,2.815),(99.63,2.815),(99.63,-2.455),(99.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((247.37,-2.455),(247.37,2.815),(247.18,2.815),(247.18,3.075),(247.82,3.075),(247.82,2.815),(247.63,2.815),(247.63,-2.455),(247.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((157.37,-2.455),(157.37,2.815),(157.18,2.815),(157.18,3.075),(157.82,3.075),(157.82,2.815),(157.63,2.815),(157.63,-2.455),(157.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((27.37,-2.455),(27.37,2.815),(27.18,2.815),(27.18,3.075),(27.82,3.075),(27.82,2.815),(27.63,2.815),(27.63,-2.455),(27.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((175.37,-2.455),(175.37,2.815),(175.18,2.815),(175.18,3.075),(175.82,3.075),(175.82,2.815),(175.63,2.815),(175.63,-2.455),(175.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((229.37,-2.455),(229.37,2.815),(229.18,2.815),(229.18,3.075),(229.82,3.075),(229.82,2.815),(229.63,2.815),(229.63,-2.455),(229.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((81.37,-2.455),(81.37,2.815),(81.18,2.815),(81.18,3.075),(81.82,3.075),(81.82,2.815),(81.63,2.815),(81.63,-2.455),(81.37,-2.455)),
        )
        net = nets['a[5]']
        createRL(
            tech, net, 'li',
            ((89.415,8.46),(89.415,8.63),(89.585,8.63),(89.585,8.46),(89.415,8.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((89.415,8.46),(89.415,8.63),(89.585,8.63),(89.585,8.46),(89.415,8.46)),
        )
        createRL(
            tech, net, 'm1',
            ((89.355,8.43),(89.355,10.0),(89.645,10.0),(89.645,8.43),(89.355,8.43)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(89.5), u(0.29), u(8.43), u(10.0),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(89.5), u(0.29), u(8.43), u(10.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['aint[5]']
        createRL(
            tech, net, 'li',
            ((82.415,-2.425),(82.415,-2.255),(82.585,-2.255),(82.585,-2.425),(82.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((270.415,-2.425),(270.415,-2.255),(270.585,-2.255),(270.585,-2.425),(270.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((248.415,-2.425),(248.415,-2.255),(248.585,-2.255),(248.585,-2.425),(248.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((230.415,-2.425),(230.415,-2.255),(230.585,-2.255),(230.585,-2.425),(230.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((98.415,6.86),(98.415,7.03),(98.585,7.03),(98.585,6.86),(98.415,6.86)),
        )
        createRL(
            tech, net, 'li',
            ((140.415,-2.425),(140.415,-2.255),(140.585,-2.255),(140.585,-2.425),(140.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((100.415,-2.425),(100.415,-2.255),(100.585,-2.255),(100.585,-2.425),(100.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((118.415,-2.425),(118.415,-2.255),(118.585,-2.255),(118.585,-2.425),(118.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((100.17,6.86),(100.17,7.03),(100.34,7.03),(100.34,6.86),(100.17,6.86)),
        )
        createRL(
            tech, net, 'li',
            ((288.415,-2.425),(288.415,-2.255),(288.585,-2.255),(288.585,-2.425),(288.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((82.415,-2.425),(82.415,-2.255),(82.585,-2.255),(82.585,-2.425),(82.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((270.415,-2.425),(270.415,-2.255),(270.585,-2.255),(270.585,-2.425),(270.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((248.415,-2.425),(248.415,-2.255),(248.585,-2.255),(248.585,-2.425),(248.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((230.415,-2.425),(230.415,-2.255),(230.585,-2.255),(230.585,-2.425),(230.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((98.415,6.86),(98.415,7.03),(98.585,7.03),(98.585,6.86),(98.415,6.86)),
        )
        createRL(
            tech, net, 'mcon',
            ((140.415,-2.425),(140.415,-2.255),(140.585,-2.255),(140.585,-2.425),(140.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((100.415,-2.425),(100.415,-2.255),(100.585,-2.255),(100.585,-2.425),(100.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((118.415,-2.425),(118.415,-2.255),(118.585,-2.255),(118.585,-2.425),(118.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((100.17,6.86),(100.17,7.03),(100.34,7.03),(100.34,6.86),(100.17,6.86)),
        )
        createRL(
            tech, net, 'mcon',
            ((288.415,-2.425),(288.415,-2.255),(288.585,-2.255),(288.585,-2.425),(288.415,-2.425)),
        )
        createRL(
            tech, net, 'm1',
            ((230.355,-2.455),(230.355,-2.225),(230.37,-2.225),(230.37,-1.815),(230.63,-1.815),(230.63,-2.225),(230.645,-2.225),(230.645,-2.455),(230.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((82.355,-2.455),(82.355,-2.225),(82.37,-2.225),(82.37,-1.815),(82.63,-1.815),(82.63,-2.225),(82.645,-2.225),(82.645,-2.455),(82.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((82.18,6.815),(82.18,7.075),(288.82,7.075),(288.82,6.815),(82.18,6.815)),
        )
        createRL(
            tech, net, 'm1',
            ((288.355,-2.455),(288.355,-2.225),(288.37,-2.225),(288.37,-1.815),(288.63,-1.815),(288.63,-2.225),(288.645,-2.225),(288.645,-2.455),(288.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((118.355,-2.455),(118.355,-2.225),(118.37,-2.225),(118.37,-1.815),(118.63,-1.815),(118.63,-2.225),(118.645,-2.225),(118.645,-2.455),(118.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((100.355,-2.455),(100.355,-2.225),(100.37,-2.225),(100.37,-1.815),(100.63,-1.815),(100.63,-2.225),(100.645,-2.225),(100.645,-2.455),(100.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((270.355,-2.455),(270.355,-2.225),(270.37,-2.225),(270.37,-1.815),(270.63,-1.815),(270.63,-2.225),(270.645,-2.225),(270.645,-2.455),(270.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((140.355,-2.455),(140.355,-2.225),(140.37,-2.225),(140.37,-1.815),(140.63,-1.815),(140.63,-2.225),(140.645,-2.225),(140.645,-2.455),(140.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((248.355,-2.455),(248.355,-2.225),(248.37,-2.225),(248.37,-1.815),(248.63,-1.815),(248.63,-2.225),(248.645,-2.225),(248.645,-2.455),(248.355,-2.455)),
        )
        createRL(
            tech, net, 'via',
            ((140.425,-2.37),(140.425,-2.22),(140.575,-2.22),(140.575,-2.37),(140.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((140.425,-2.05),(140.425,-1.9),(140.575,-1.9),(140.575,-2.05),(140.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((140.265,6.87),(140.265,7.02),(140.415,7.02),(140.415,6.87),(140.265,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((140.585,6.87),(140.585,7.02),(140.735,7.02),(140.735,6.87),(140.585,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((230.265,6.87),(230.265,7.02),(230.415,7.02),(230.415,6.87),(230.265,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((230.585,6.87),(230.585,7.02),(230.735,7.02),(230.735,6.87),(230.585,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((82.265,6.87),(82.265,7.02),(82.415,7.02),(82.415,6.87),(82.265,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((82.585,6.87),(82.585,7.02),(82.735,7.02),(82.735,6.87),(82.585,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((248.265,6.87),(248.265,7.02),(248.415,7.02),(248.415,6.87),(248.265,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((248.585,6.87),(248.585,7.02),(248.735,7.02),(248.735,6.87),(248.585,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((288.425,-2.37),(288.425,-2.22),(288.575,-2.22),(288.575,-2.37),(288.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((288.425,-2.05),(288.425,-1.9),(288.575,-1.9),(288.575,-2.05),(288.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((118.265,6.87),(118.265,7.02),(118.415,7.02),(118.415,6.87),(118.265,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((118.585,6.87),(118.585,7.02),(118.735,7.02),(118.735,6.87),(118.585,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((82.425,-2.37),(82.425,-2.22),(82.575,-2.22),(82.575,-2.37),(82.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((82.425,-2.05),(82.425,-1.9),(82.575,-1.9),(82.575,-2.05),(82.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((230.425,-2.37),(230.425,-2.22),(230.575,-2.22),(230.575,-2.37),(230.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((230.425,-2.05),(230.425,-1.9),(230.575,-1.9),(230.575,-2.05),(230.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((270.425,-2.37),(270.425,-2.22),(270.575,-2.22),(270.575,-2.37),(270.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((270.425,-2.05),(270.425,-1.9),(270.575,-1.9),(270.575,-2.05),(270.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((100.425,-2.37),(100.425,-2.22),(100.575,-2.22),(100.575,-2.37),(100.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((100.425,-2.05),(100.425,-1.9),(100.575,-1.9),(100.575,-2.05),(100.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((248.425,-2.37),(248.425,-2.22),(248.575,-2.22),(248.575,-2.37),(248.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((248.425,-2.05),(248.425,-1.9),(248.575,-1.9),(248.575,-2.05),(248.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((118.425,-2.37),(118.425,-2.22),(118.575,-2.22),(118.575,-2.37),(118.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((118.425,-2.05),(118.425,-1.9),(118.575,-1.9),(118.575,-2.05),(118.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((288.265,6.87),(288.265,7.02),(288.415,7.02),(288.415,6.87),(288.265,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((288.585,6.87),(288.585,7.02),(288.735,7.02),(288.735,6.87),(288.585,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((270.265,6.87),(270.265,7.02),(270.415,7.02),(270.415,6.87),(270.265,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((270.585,6.87),(270.585,7.02),(270.735,7.02),(270.735,6.87),(270.585,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((100.265,6.87),(100.265,7.02),(100.415,7.02),(100.415,6.87),(100.265,6.87)),
        )
        createRL(
            tech, net, 'via',
            ((100.585,6.87),(100.585,7.02),(100.735,7.02),(100.735,6.87),(100.585,6.87)),
        )
        createRL(
            tech, net, 'm2',
            ((230.37,-2.455),(230.37,6.815),(230.18,6.815),(230.18,7.075),(230.82,7.075),(230.82,6.815),(230.63,6.815),(230.63,-2.455),(230.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((100.37,-2.455),(100.37,6.815),(100.18,6.815),(100.18,7.075),(100.82,7.075),(100.82,6.815),(100.63,6.815),(100.63,-2.455),(100.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((82.37,-2.455),(82.37,6.815),(82.18,6.815),(82.18,7.075),(82.82,7.075),(82.82,6.815),(82.63,6.815),(82.63,-2.455),(82.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((140.37,-2.455),(140.37,6.815),(140.18,6.815),(140.18,7.075),(140.82,7.075),(140.82,6.815),(140.63,6.815),(140.63,-2.455),(140.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((248.37,-2.455),(248.37,6.815),(248.18,6.815),(248.18,7.075),(248.82,7.075),(248.82,6.815),(248.63,6.815),(248.63,-2.455),(248.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((118.37,-2.455),(118.37,6.815),(118.18,6.815),(118.18,7.075),(118.82,7.075),(118.82,6.815),(118.63,6.815),(118.63,-2.455),(118.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((288.37,-2.455),(288.37,6.815),(288.18,6.815),(288.18,7.075),(288.82,7.075),(288.82,6.815),(288.63,6.815),(288.63,-2.455),(288.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((270.37,-2.455),(270.37,6.815),(270.18,6.815),(270.18,7.075),(270.82,7.075),(270.82,6.815),(270.63,6.815),(270.63,-2.455),(270.37,-2.455)),
        )
        net = nets['aint_n[5]']
        createRL(
            tech, net, 'li',
            ((7.415,-2.425),(7.415,-2.255),(7.585,-2.255),(7.585,-2.425),(7.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((158.415,-2.425),(158.415,-2.255),(158.585,-2.255),(158.585,-2.425),(158.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((194.415,-2.425),(194.415,-2.255),(194.585,-2.255),(194.585,-2.425),(194.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((100.845,4.06),(100.845,4.23),(101.015,4.23),(101.015,4.06),(100.845,4.06)),
        )
        createRL(
            tech, net, 'li',
            ((44.415,-2.425),(44.415,-2.255),(44.585,-2.255),(44.585,-2.425),(44.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((28.415,-2.425),(28.415,-2.255),(28.585,-2.255),(28.585,-2.425),(28.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((176.415,-2.425),(176.415,-2.255),(176.585,-2.255),(176.585,-2.425),(176.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((212.415,-2.425),(212.415,-2.255),(212.585,-2.255),(212.585,-2.425),(212.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((64.415,-2.425),(64.415,-2.255),(64.585,-2.255),(64.585,-2.425),(64.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((7.415,-2.425),(7.415,-2.255),(7.585,-2.255),(7.585,-2.425),(7.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((158.415,-2.425),(158.415,-2.255),(158.585,-2.255),(158.585,-2.425),(158.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((194.415,-2.425),(194.415,-2.255),(194.585,-2.255),(194.585,-2.425),(194.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((100.845,4.06),(100.845,4.23),(101.015,4.23),(101.015,4.06),(100.845,4.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((44.415,-2.425),(44.415,-2.255),(44.585,-2.255),(44.585,-2.425),(44.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((28.415,-2.425),(28.415,-2.255),(28.585,-2.255),(28.585,-2.425),(28.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((176.415,-2.425),(176.415,-2.255),(176.585,-2.255),(176.585,-2.425),(176.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((212.415,-2.425),(212.415,-2.255),(212.585,-2.255),(212.585,-2.425),(212.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((64.415,-2.425),(64.415,-2.255),(64.585,-2.255),(64.585,-2.425),(64.415,-2.425)),
        )
        createRL(
            tech, net, 'm1',
            ((212.355,-2.455),(212.355,-2.225),(212.37,-2.225),(212.37,-1.815),(212.63,-1.815),(212.63,-2.225),(212.645,-2.225),(212.645,-2.455),(212.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((64.355,-2.455),(64.355,-2.225),(64.37,-2.225),(64.37,-1.815),(64.63,-1.815),(64.63,-2.225),(64.645,-2.225),(64.645,-2.455),(64.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((158.355,-2.455),(158.355,-2.225),(158.37,-2.225),(158.37,-1.815),(158.63,-1.815),(158.63,-2.225),(158.645,-2.225),(158.645,-2.455),(158.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((28.355,-2.455),(28.355,-2.225),(28.37,-2.225),(28.37,-1.815),(28.63,-1.815),(28.63,-2.225),(28.645,-2.225),(28.645,-2.455),(28.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((7.355,-2.455),(7.355,-2.225),(7.37,-2.225),(7.37,-1.815),(7.63,-1.815),(7.63,-2.225),(7.645,-2.225),(7.645,-2.455),(7.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((194.355,-2.455),(194.355,-2.225),(194.37,-2.225),(194.37,-1.815),(194.63,-1.815),(194.63,-2.225),(194.645,-2.225),(194.645,-2.455),(194.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((176.355,-2.455),(176.355,-2.225),(176.37,-2.225),(176.37,-1.815),(176.63,-1.815),(176.63,-2.225),(176.645,-2.225),(176.645,-2.455),(176.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((7.18,4.015),(7.18,4.275),(212.82,4.275),(212.82,4.015),(7.18,4.015)),
        )
        createRL(
            tech, net, 'm1',
            ((44.355,-2.455),(44.355,-2.225),(44.37,-2.225),(44.37,-1.815),(44.63,-1.815),(44.63,-2.225),(44.645,-2.225),(44.645,-2.455),(44.355,-2.455)),
        )
        createRL(
            tech, net, 'via',
            ((194.265,4.07),(194.265,4.22),(194.415,4.22),(194.415,4.07),(194.265,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((194.585,4.07),(194.585,4.22),(194.735,4.22),(194.735,4.07),(194.585,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((158.425,-2.37),(158.425,-2.22),(158.575,-2.22),(158.575,-2.37),(158.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((158.425,-2.05),(158.425,-1.9),(158.575,-1.9),(158.575,-2.05),(158.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((44.265,4.07),(44.265,4.22),(44.415,4.22),(44.415,4.07),(44.265,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((44.585,4.07),(44.585,4.22),(44.735,4.22),(44.735,4.07),(44.585,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((212.425,-2.37),(212.425,-2.22),(212.575,-2.22),(212.575,-2.37),(212.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((212.425,-2.05),(212.425,-1.9),(212.575,-1.9),(212.575,-2.05),(212.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((212.265,4.07),(212.265,4.22),(212.415,4.22),(212.415,4.07),(212.265,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((212.585,4.07),(212.585,4.22),(212.735,4.22),(212.735,4.07),(212.585,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((28.425,-2.37),(28.425,-2.22),(28.575,-2.22),(28.575,-2.37),(28.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((28.425,-2.05),(28.425,-1.9),(28.575,-1.9),(28.575,-2.05),(28.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((7.425,-2.37),(7.425,-2.22),(7.575,-2.22),(7.575,-2.37),(7.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((7.425,-2.05),(7.425,-1.9),(7.575,-1.9),(7.575,-2.05),(7.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((158.265,4.07),(158.265,4.22),(158.415,4.22),(158.415,4.07),(158.265,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((158.585,4.07),(158.585,4.22),(158.735,4.22),(158.735,4.07),(158.585,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((176.265,4.07),(176.265,4.22),(176.415,4.22),(176.415,4.07),(176.265,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((176.585,4.07),(176.585,4.22),(176.735,4.22),(176.735,4.07),(176.585,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((64.265,4.07),(64.265,4.22),(64.415,4.22),(64.415,4.07),(64.265,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((64.585,4.07),(64.585,4.22),(64.735,4.22),(64.735,4.07),(64.585,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((194.425,-2.37),(194.425,-2.22),(194.575,-2.22),(194.575,-2.37),(194.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((194.425,-2.05),(194.425,-1.9),(194.575,-1.9),(194.575,-2.05),(194.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((64.425,-2.37),(64.425,-2.22),(64.575,-2.22),(64.575,-2.37),(64.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((64.425,-2.05),(64.425,-1.9),(64.575,-1.9),(64.575,-2.05),(64.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((44.425,-2.37),(44.425,-2.22),(44.575,-2.22),(44.575,-2.37),(44.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((44.425,-2.05),(44.425,-1.9),(44.575,-1.9),(44.575,-2.05),(44.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((7.265,4.07),(7.265,4.22),(7.415,4.22),(7.415,4.07),(7.265,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((7.585,4.07),(7.585,4.22),(7.735,4.22),(7.735,4.07),(7.585,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((28.265,4.07),(28.265,4.22),(28.415,4.22),(28.415,4.07),(28.265,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((28.585,4.07),(28.585,4.22),(28.735,4.22),(28.735,4.07),(28.585,4.07)),
        )
        createRL(
            tech, net, 'via',
            ((176.425,-2.37),(176.425,-2.22),(176.575,-2.22),(176.575,-2.37),(176.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((176.425,-2.05),(176.425,-1.9),(176.575,-1.9),(176.575,-2.05),(176.425,-2.05)),
        )
        createRL(
            tech, net, 'm2',
            ((176.37,-2.455),(176.37,4.015),(176.18,4.015),(176.18,4.275),(176.82,4.275),(176.82,4.015),(176.63,4.015),(176.63,-2.455),(176.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((212.37,-2.455),(212.37,4.015),(212.18,4.015),(212.18,4.275),(212.82,4.275),(212.82,4.015),(212.63,4.015),(212.63,-2.455),(212.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((194.37,-2.455),(194.37,4.015),(194.18,4.015),(194.18,4.275),(194.82,4.275),(194.82,4.015),(194.63,4.015),(194.63,-2.455),(194.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((44.37,-2.455),(44.37,4.015),(44.18,4.015),(44.18,4.275),(44.82,4.275),(44.82,4.015),(44.63,4.015),(44.63,-2.455),(44.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((64.37,-2.455),(64.37,4.015),(64.18,4.015),(64.18,4.275),(64.82,4.275),(64.82,4.015),(64.63,4.015),(64.63,-2.455),(64.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((158.37,-2.455),(158.37,4.015),(158.18,4.015),(158.18,4.275),(158.82,4.275),(158.82,4.015),(158.63,4.015),(158.63,-2.455),(158.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((7.37,-2.455),(7.37,4.015),(7.18,4.015),(7.18,4.275),(7.82,4.275),(7.82,4.015),(7.63,4.015),(7.63,-2.455),(7.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((28.37,-2.455),(28.37,4.015),(28.18,4.015),(28.18,4.275),(28.82,4.275),(28.82,4.015),(28.63,4.015),(28.63,-2.455),(28.37,-2.455)),
        )
        net = nets['a[6]']
        createRL(
            tech, net, 'li',
            ((106.415,8.46),(106.415,8.63),(106.585,8.63),(106.585,8.46),(106.415,8.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((106.415,8.46),(106.415,8.63),(106.585,8.63),(106.585,8.46),(106.415,8.46)),
        )
        createRL(
            tech, net, 'm1',
            ((106.355,8.43),(106.355,10.0),(106.645,10.0),(106.645,8.43),(106.355,8.43)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(106.5), u(0.29), u(8.43), u(10.0),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(106.5), u(0.29), u(8.43), u(10.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['aint[6]']
        createRL(
            tech, net, 'li',
            ((231.415,-2.425),(231.415,-2.255),(231.585,-2.255),(231.585,-2.425),(231.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((249.415,-2.425),(249.415,-2.255),(249.585,-2.255),(249.585,-2.425),(249.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((195.415,-2.425),(195.415,-2.255),(195.585,-2.255),(195.585,-2.425),(195.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((213.415,-2.425),(213.415,-2.255),(213.585,-2.255),(213.585,-2.425),(213.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((115.415,5.26),(115.415,5.43),(115.585,5.43),(115.585,5.26),(115.415,5.26)),
        )
        createRL(
            tech, net, 'li',
            ((117.17,5.26),(117.17,5.43),(117.34,5.43),(117.34,5.26),(117.17,5.26)),
        )
        createRL(
            tech, net, 'li',
            ((177.415,-2.425),(177.415,-2.255),(177.585,-2.255),(177.585,-2.425),(177.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((159.415,-2.425),(159.415,-2.255),(159.585,-2.255),(159.585,-2.425),(159.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((271.415,-2.425),(271.415,-2.255),(271.585,-2.255),(271.585,-2.425),(271.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((289.415,-2.425),(289.415,-2.255),(289.585,-2.255),(289.585,-2.425),(289.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((231.415,-2.425),(231.415,-2.255),(231.585,-2.255),(231.585,-2.425),(231.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((249.415,-2.425),(249.415,-2.255),(249.585,-2.255),(249.585,-2.425),(249.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((195.415,-2.425),(195.415,-2.255),(195.585,-2.255),(195.585,-2.425),(195.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((213.415,-2.425),(213.415,-2.255),(213.585,-2.255),(213.585,-2.425),(213.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((115.415,5.26),(115.415,5.43),(115.585,5.43),(115.585,5.26),(115.415,5.26)),
        )
        createRL(
            tech, net, 'mcon',
            ((117.17,5.26),(117.17,5.43),(117.34,5.43),(117.34,5.26),(117.17,5.26)),
        )
        createRL(
            tech, net, 'mcon',
            ((177.415,-2.425),(177.415,-2.255),(177.585,-2.255),(177.585,-2.425),(177.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((159.415,-2.425),(159.415,-2.255),(159.585,-2.255),(159.585,-2.425),(159.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((271.415,-2.425),(271.415,-2.255),(271.585,-2.255),(271.585,-2.425),(271.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((289.415,-2.425),(289.415,-2.255),(289.585,-2.255),(289.585,-2.425),(289.415,-2.425)),
        )
        createRL(
            tech, net, 'm1',
            ((177.355,-2.455),(177.355,-2.225),(177.37,-2.225),(177.37,-1.815),(177.63,-1.815),(177.63,-2.225),(177.645,-2.225),(177.645,-2.455),(177.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((159.355,-2.455),(159.355,-2.225),(159.37,-2.225),(159.37,-1.815),(159.63,-1.815),(159.63,-2.225),(159.645,-2.225),(159.645,-2.455),(159.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((231.355,-2.455),(231.355,-2.225),(231.37,-2.225),(231.37,-1.815),(231.63,-1.815),(231.63,-2.225),(231.645,-2.225),(231.645,-2.455),(231.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((289.355,-2.455),(289.355,-2.225),(289.37,-2.225),(289.37,-1.815),(289.63,-1.815),(289.63,-2.225),(289.645,-2.225),(289.645,-2.455),(289.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((115.5,5.215),(115.5,5.23),(115.355,5.23),(115.355,5.46),(115.5,5.46),(115.5,5.475),(289.82,5.475),(289.82,5.215),(115.5,5.215)),
        )
        createRL(
            tech, net, 'm1',
            ((271.355,-2.455),(271.355,-2.225),(271.37,-2.225),(271.37,-1.815),(271.63,-1.815),(271.63,-2.225),(271.645,-2.225),(271.645,-2.455),(271.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((213.355,-2.455),(213.355,-2.225),(213.37,-2.225),(213.37,-1.815),(213.63,-1.815),(213.63,-2.225),(213.645,-2.225),(213.645,-2.455),(213.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((195.355,-2.455),(195.355,-2.225),(195.37,-2.225),(195.37,-1.815),(195.63,-1.815),(195.63,-2.225),(195.645,-2.225),(195.645,-2.455),(195.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((249.355,-2.455),(249.355,-2.225),(249.37,-2.225),(249.37,-1.815),(249.63,-1.815),(249.63,-2.225),(249.645,-2.225),(249.645,-2.455),(249.355,-2.455)),
        )
        createRL(
            tech, net, 'via',
            ((249.265,5.27),(249.265,5.42),(249.415,5.42),(249.415,5.27),(249.265,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((249.585,5.27),(249.585,5.42),(249.735,5.42),(249.735,5.27),(249.585,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((177.265,5.27),(177.265,5.42),(177.415,5.42),(177.415,5.27),(177.265,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((177.585,5.27),(177.585,5.42),(177.735,5.42),(177.735,5.27),(177.585,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((249.425,-2.37),(249.425,-2.22),(249.575,-2.22),(249.575,-2.37),(249.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((249.425,-2.05),(249.425,-1.9),(249.575,-1.9),(249.575,-2.05),(249.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((213.425,-2.37),(213.425,-2.22),(213.575,-2.22),(213.575,-2.37),(213.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((213.425,-2.05),(213.425,-1.9),(213.575,-1.9),(213.575,-2.05),(213.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((231.425,-2.37),(231.425,-2.22),(231.575,-2.22),(231.575,-2.37),(231.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((231.425,-2.05),(231.425,-1.9),(231.575,-1.9),(231.575,-2.05),(231.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((289.425,-2.37),(289.425,-2.22),(289.575,-2.22),(289.575,-2.37),(289.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((289.425,-2.05),(289.425,-1.9),(289.575,-1.9),(289.575,-2.05),(289.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((159.425,-2.37),(159.425,-2.22),(159.575,-2.22),(159.575,-2.37),(159.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((159.425,-2.05),(159.425,-1.9),(159.575,-1.9),(159.575,-2.05),(159.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((213.265,5.27),(213.265,5.42),(213.415,5.42),(213.415,5.27),(213.265,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((213.585,5.27),(213.585,5.42),(213.735,5.42),(213.735,5.27),(213.585,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((195.425,-2.37),(195.425,-2.22),(195.575,-2.22),(195.575,-2.37),(195.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((195.425,-2.05),(195.425,-1.9),(195.575,-1.9),(195.575,-2.05),(195.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((271.265,5.27),(271.265,5.42),(271.415,5.42),(271.415,5.27),(271.265,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((271.585,5.27),(271.585,5.42),(271.735,5.42),(271.735,5.27),(271.585,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((271.425,-2.37),(271.425,-2.22),(271.575,-2.22),(271.575,-2.37),(271.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((271.425,-2.05),(271.425,-1.9),(271.575,-1.9),(271.575,-2.05),(271.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((159.265,5.27),(159.265,5.42),(159.415,5.42),(159.415,5.27),(159.265,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((159.585,5.27),(159.585,5.42),(159.735,5.42),(159.735,5.27),(159.585,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((177.425,-2.37),(177.425,-2.22),(177.575,-2.22),(177.575,-2.37),(177.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((177.425,-2.05),(177.425,-1.9),(177.575,-1.9),(177.575,-2.05),(177.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((289.265,5.27),(289.265,5.42),(289.415,5.42),(289.415,5.27),(289.265,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((289.585,5.27),(289.585,5.42),(289.735,5.42),(289.735,5.27),(289.585,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((195.265,5.27),(195.265,5.42),(195.415,5.42),(195.415,5.27),(195.265,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((195.585,5.27),(195.585,5.42),(195.735,5.42),(195.735,5.27),(195.585,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((231.265,5.27),(231.265,5.42),(231.415,5.42),(231.415,5.27),(231.265,5.27)),
        )
        createRL(
            tech, net, 'via',
            ((231.585,5.27),(231.585,5.42),(231.735,5.42),(231.735,5.27),(231.585,5.27)),
        )
        createRL(
            tech, net, 'm2',
            ((195.37,-2.455),(195.37,5.215),(195.18,5.215),(195.18,5.475),(195.82,5.475),(195.82,5.215),(195.63,5.215),(195.63,-2.455),(195.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((159.37,-2.455),(159.37,5.215),(159.18,5.215),(159.18,5.475),(159.82,5.475),(159.82,5.215),(159.63,5.215),(159.63,-2.455),(159.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((289.37,-2.455),(289.37,5.215),(289.18,5.215),(289.18,5.475),(289.82,5.475),(289.82,5.215),(289.63,5.215),(289.63,-2.455),(289.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((249.37,-2.455),(249.37,5.215),(249.18,5.215),(249.18,5.475),(249.82,5.475),(249.82,5.215),(249.63,5.215),(249.63,-2.455),(249.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((271.37,-2.455),(271.37,5.215),(271.18,5.215),(271.18,5.475),(271.82,5.475),(271.82,5.215),(271.63,5.215),(271.63,-2.455),(271.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((213.37,-2.455),(213.37,5.215),(213.18,5.215),(213.18,5.475),(213.82,5.475),(213.82,5.215),(213.63,5.215),(213.63,-2.455),(213.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((177.37,-2.455),(177.37,5.215),(177.18,5.215),(177.18,5.475),(177.82,5.475),(177.82,5.215),(177.63,5.215),(177.63,-2.455),(177.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((231.37,-2.455),(231.37,5.215),(231.18,5.215),(231.18,5.475),(231.82,5.475),(231.82,5.215),(231.63,5.215),(231.63,-2.455),(231.37,-2.455)),
        )
        net = nets['aint_n[6]']
        createRL(
            tech, net, 'li',
            ((119.415,-2.425),(119.415,-2.255),(119.585,-2.255),(119.585,-2.425),(119.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((29.415,-2.425),(29.415,-2.255),(29.585,-2.255),(29.585,-2.425),(29.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((45.415,-2.425),(45.415,-2.255),(45.585,-2.255),(45.585,-2.425),(45.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((8.415,-2.425),(8.415,-2.255),(8.585,-2.255),(8.585,-2.425),(8.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((83.415,-2.425),(83.415,-2.255),(83.585,-2.255),(83.585,-2.425),(83.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((101.415,-2.425),(101.415,-2.255),(101.585,-2.255),(101.585,-2.425),(101.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((141.415,-2.425),(141.415,-2.255),(141.585,-2.255),(141.585,-2.425),(141.415,-2.425)),
        )
        createRL(
            tech, net, 'li',
            ((117.845,2.46),(117.845,2.63),(118.015,2.63),(118.015,2.46),(117.845,2.46)),
        )
        createRL(
            tech, net, 'li',
            ((65.415,-2.425),(65.415,-2.255),(65.585,-2.255),(65.585,-2.425),(65.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((119.415,-2.425),(119.415,-2.255),(119.585,-2.255),(119.585,-2.425),(119.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((29.415,-2.425),(29.415,-2.255),(29.585,-2.255),(29.585,-2.425),(29.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((45.415,-2.425),(45.415,-2.255),(45.585,-2.255),(45.585,-2.425),(45.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.415,-2.425),(8.415,-2.255),(8.585,-2.255),(8.585,-2.425),(8.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((83.415,-2.425),(83.415,-2.255),(83.585,-2.255),(83.585,-2.425),(83.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((101.415,-2.425),(101.415,-2.255),(101.585,-2.255),(101.585,-2.425),(101.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((141.415,-2.425),(141.415,-2.255),(141.585,-2.255),(141.585,-2.425),(141.415,-2.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((117.845,2.46),(117.845,2.63),(118.015,2.63),(118.015,2.46),(117.845,2.46)),
        )
        createRL(
            tech, net, 'mcon',
            ((65.415,-2.425),(65.415,-2.255),(65.585,-2.255),(65.585,-2.425),(65.415,-2.425)),
        )
        createRL(
            tech, net, 'm1',
            ((101.355,-2.455),(101.355,-2.225),(101.37,-2.225),(101.37,-1.815),(101.63,-1.815),(101.63,-2.225),(101.645,-2.225),(101.645,-2.455),(101.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((83.355,-2.455),(83.355,-2.225),(83.37,-2.225),(83.37,-1.815),(83.63,-1.815),(83.63,-2.225),(83.645,-2.225),(83.645,-2.455),(83.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((141.355,-2.455),(141.355,-2.225),(141.37,-2.225),(141.37,-1.815),(141.63,-1.815),(141.63,-2.225),(141.645,-2.225),(141.645,-2.455),(141.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((8.355,-2.455),(8.355,-2.225),(8.37,-2.225),(8.37,-1.815),(8.63,-1.815),(8.63,-2.225),(8.645,-2.225),(8.645,-2.455),(8.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((29.355,-2.455),(29.355,-2.225),(29.37,-2.225),(29.37,-1.815),(29.63,-1.815),(29.63,-2.225),(29.645,-2.225),(29.645,-2.455),(29.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((8.18,2.415),(8.18,2.675),(141.82,2.675),(141.82,2.415),(8.18,2.415)),
        )
        createRL(
            tech, net, 'm1',
            ((65.355,-2.455),(65.355,-2.225),(65.37,-2.225),(65.37,-1.815),(65.63,-1.815),(65.63,-2.225),(65.645,-2.225),(65.645,-2.455),(65.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((119.355,-2.455),(119.355,-2.225),(119.37,-2.225),(119.37,-1.815),(119.63,-1.815),(119.63,-2.225),(119.645,-2.225),(119.645,-2.455),(119.355,-2.455)),
        )
        createRL(
            tech, net, 'm1',
            ((45.355,-2.455),(45.355,-2.225),(45.37,-2.225),(45.37,-1.815),(45.63,-1.815),(45.63,-2.225),(45.645,-2.225),(45.645,-2.455),(45.355,-2.455)),
        )
        createRL(
            tech, net, 'via',
            ((29.265,2.47),(29.265,2.62),(29.415,2.62),(29.415,2.47),(29.265,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((29.585,2.47),(29.585,2.62),(29.735,2.62),(29.735,2.47),(29.585,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((8.425,-2.37),(8.425,-2.22),(8.575,-2.22),(8.575,-2.37),(8.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((8.425,-2.05),(8.425,-1.9),(8.575,-1.9),(8.575,-2.05),(8.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((83.425,-2.37),(83.425,-2.22),(83.575,-2.22),(83.575,-2.37),(83.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((83.425,-2.05),(83.425,-1.9),(83.575,-1.9),(83.575,-2.05),(83.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((45.265,2.47),(45.265,2.62),(45.415,2.62),(45.415,2.47),(45.265,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((45.585,2.47),(45.585,2.62),(45.735,2.62),(45.735,2.47),(45.585,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((101.265,2.47),(101.265,2.62),(101.415,2.62),(101.415,2.47),(101.265,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((101.585,2.47),(101.585,2.62),(101.735,2.62),(101.735,2.47),(101.585,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((119.425,-2.37),(119.425,-2.22),(119.575,-2.22),(119.575,-2.37),(119.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((119.425,-2.05),(119.425,-1.9),(119.575,-1.9),(119.575,-2.05),(119.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((29.425,-2.37),(29.425,-2.22),(29.575,-2.22),(29.575,-2.37),(29.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((29.425,-2.05),(29.425,-1.9),(29.575,-1.9),(29.575,-2.05),(29.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((8.265,2.47),(8.265,2.62),(8.415,2.62),(8.415,2.47),(8.265,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((8.585,2.47),(8.585,2.62),(8.735,2.62),(8.735,2.47),(8.585,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((83.265,2.47),(83.265,2.62),(83.415,2.62),(83.415,2.47),(83.265,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((83.585,2.47),(83.585,2.62),(83.735,2.62),(83.735,2.47),(83.585,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((65.425,-2.37),(65.425,-2.22),(65.575,-2.22),(65.575,-2.37),(65.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((65.425,-2.05),(65.425,-1.9),(65.575,-1.9),(65.575,-2.05),(65.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((45.425,-2.37),(45.425,-2.22),(45.575,-2.22),(45.575,-2.37),(45.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((45.425,-2.05),(45.425,-1.9),(45.575,-1.9),(45.575,-2.05),(45.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((65.265,2.47),(65.265,2.62),(65.415,2.62),(65.415,2.47),(65.265,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((65.585,2.47),(65.585,2.62),(65.735,2.62),(65.735,2.47),(65.585,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((101.425,-2.37),(101.425,-2.22),(101.575,-2.22),(101.575,-2.37),(101.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((101.425,-2.05),(101.425,-1.9),(101.575,-1.9),(101.575,-2.05),(101.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((141.425,-2.37),(141.425,-2.22),(141.575,-2.22),(141.575,-2.37),(141.425,-2.37)),
        )
        createRL(
            tech, net, 'via',
            ((141.425,-2.05),(141.425,-1.9),(141.575,-1.9),(141.575,-2.05),(141.425,-2.05)),
        )
        createRL(
            tech, net, 'via',
            ((141.265,2.47),(141.265,2.62),(141.415,2.62),(141.415,2.47),(141.265,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((141.585,2.47),(141.585,2.62),(141.735,2.62),(141.735,2.47),(141.585,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((119.265,2.47),(119.265,2.62),(119.415,2.62),(119.415,2.47),(119.265,2.47)),
        )
        createRL(
            tech, net, 'via',
            ((119.585,2.47),(119.585,2.62),(119.735,2.62),(119.735,2.47),(119.585,2.47)),
        )
        createRL(
            tech, net, 'm2',
            ((83.37,-2.455),(83.37,2.415),(83.18,2.415),(83.18,2.675),(83.82,2.675),(83.82,2.415),(83.63,2.415),(83.63,-2.455),(83.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((65.37,-2.455),(65.37,2.415),(65.18,2.415),(65.18,2.675),(65.82,2.675),(65.82,2.415),(65.63,2.415),(65.63,-2.455),(65.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((8.37,-2.455),(8.37,2.415),(8.18,2.415),(8.18,2.675),(8.82,2.675),(8.82,2.415),(8.63,2.415),(8.63,-2.455),(8.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((45.37,-2.455),(45.37,2.415),(45.18,2.415),(45.18,2.675),(45.82,2.675),(45.82,2.415),(45.63,2.415),(45.63,-2.455),(45.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((141.37,-2.455),(141.37,2.415),(141.18,2.415),(141.18,2.675),(141.82,2.675),(141.82,2.415),(141.63,2.415),(141.63,-2.455),(141.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((119.37,-2.455),(119.37,2.415),(119.18,2.415),(119.18,2.675),(119.82,2.675),(119.82,2.415),(119.63,2.415),(119.63,-2.455),(119.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((101.37,-2.455),(101.37,2.415),(101.18,2.415),(101.18,2.675),(101.82,2.675),(101.82,2.415),(101.63,2.415),(101.63,-2.455),(101.37,-2.455)),
        )
        createRL(
            tech, net, 'm2',
            ((29.37,-2.455),(29.37,2.415),(29.18,2.415),(29.18,2.675),(29.82,2.675),(29.82,2.415),(29.63,2.415),(29.63,-2.455),(29.37,-2.455)),
        )
        net = nets['pd[0][0]']
        createRL(
            tech, net, 'li',
            ((4.415,-8.63),(4.415,-1.37),(4.585,-1.37),(4.585,-8.63),(4.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(4.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(4.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][1]']
        createRL(
            tech, net, 'li',
            ((15.415,-8.63),(15.415,-1.37),(15.585,-1.37),(15.585,-8.63),(15.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(15.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(15.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][2]']
        createRL(
            tech, net, 'li',
            ((20.415,-8.63),(20.415,-1.37),(20.585,-1.37),(20.585,-8.63),(20.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(20.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(20.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][3]']
        createRL(
            tech, net, 'li',
            ((25.415,-8.63),(25.415,-1.37),(25.585,-1.37),(25.585,-8.63),(25.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(25.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(25.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][4]']
        createRL(
            tech, net, 'li',
            ((36.415,-8.63),(36.415,-1.37),(36.585,-1.37),(36.585,-8.63),(36.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(36.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(36.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][5]']
        createRL(
            tech, net, 'li',
            ((41.415,-8.63),(41.415,-1.37),(41.585,-1.37),(41.585,-8.63),(41.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(41.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(41.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][6]']
        createRL(
            tech, net, 'li',
            ((52.415,-8.63),(52.415,-1.37),(52.585,-1.37),(52.585,-8.63),(52.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(52.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(52.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][7]']
        createRL(
            tech, net, 'li',
            ((57.415,-8.63),(57.415,-1.37),(57.585,-1.37),(57.585,-8.63),(57.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(57.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(57.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][0]']
        createRL(
            tech, net, 'li',
            ((10.415,-8.63),(10.415,-1.37),(10.585,-1.37),(10.585,-8.63),(10.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(10.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(10.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][1]']
        createRL(
            tech, net, 'li',
            ((31.415,-8.63),(31.415,-1.37),(31.585,-1.37),(31.585,-8.63),(31.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(31.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(31.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][2]']
        createRL(
            tech, net, 'li',
            ((47.415,-8.63),(47.415,-1.37),(47.585,-1.37),(47.585,-8.63),(47.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(47.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(47.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][3]']
        createRL(
            tech, net, 'li',
            ((67.415,-8.63),(67.415,-1.37),(67.585,-1.37),(67.585,-8.63),(67.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(67.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(67.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][4]']
        createRL(
            tech, net, 'li',
            ((85.415,-8.63),(85.415,-1.37),(85.585,-1.37),(85.585,-8.63),(85.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(85.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(85.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][5]']
        createRL(
            tech, net, 'li',
            ((103.415,-8.63),(103.415,-1.37),(103.585,-1.37),(103.585,-8.63),(103.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(103.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(103.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][6]']
        createRL(
            tech, net, 'li',
            ((121.415,-8.63),(121.415,-1.37),(121.585,-1.37),(121.585,-8.63),(121.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(121.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(121.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][7]']
        createRL(
            tech, net, 'li',
            ((143.415,-8.63),(143.415,-1.37),(143.585,-1.37),(143.585,-8.63),(143.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(143.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(143.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][8]']
        createRL(
            tech, net, 'li',
            ((161.415,-8.63),(161.415,-1.37),(161.585,-1.37),(161.585,-8.63),(161.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(161.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(161.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][9]']
        createRL(
            tech, net, 'li',
            ((179.415,-8.63),(179.415,-1.37),(179.585,-1.37),(179.585,-8.63),(179.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(179.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(179.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][10]']
        createRL(
            tech, net, 'li',
            ((197.415,-8.63),(197.415,-1.37),(197.585,-1.37),(197.585,-8.63),(197.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(197.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(197.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][11]']
        createRL(
            tech, net, 'li',
            ((215.415,-8.63),(215.415,-1.37),(215.585,-1.37),(215.585,-8.63),(215.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(215.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(215.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][12]']
        createRL(
            tech, net, 'li',
            ((233.415,-8.63),(233.415,-1.37),(233.585,-1.37),(233.585,-8.63),(233.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(233.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(233.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][13]']
        createRL(
            tech, net, 'li',
            ((251.415,-8.63),(251.415,-1.37),(251.585,-1.37),(251.585,-8.63),(251.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(251.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(251.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][14]']
        createRL(
            tech, net, 'li',
            ((273.415,-8.63),(273.415,-1.37),(273.585,-1.37),(273.585,-8.63),(273.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(273.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(273.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1][15]']
        createRL(
            tech, net, 'li',
            ((291.415,-8.63),(291.415,-1.37),(291.585,-1.37),(291.585,-8.63),(291.415,-8.63)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(291.5), u(0.17), u(-8.63), u(-1.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(291.5), u(0.17), u(-8.63), u(-1.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,-10.0),(0.0,10.0),(297.6,10.0),(297.6,-10.0),(0.0,-10.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['a[0]'].setDirection(Net.Direction.IN)
        nets['a[1]'].setDirection(Net.Direction.IN)
        nets['a[2]'].setDirection(Net.Direction.IN)
        nets['a[3]'].setDirection(Net.Direction.IN)
        nets['a[4]'].setDirection(Net.Direction.IN)
        nets['a[5]'].setDirection(Net.Direction.IN)
        nets['a[6]'].setDirection(Net.Direction.IN)
        nets['pd[0][0]'].setDirection(Net.Direction.IN)
        nets['pd[0][1]'].setDirection(Net.Direction.IN)
        nets['pd[0][2]'].setDirection(Net.Direction.IN)
        nets['pd[0][3]'].setDirection(Net.Direction.IN)
        nets['pd[0][4]'].setDirection(Net.Direction.IN)
        nets['pd[0][5]'].setDirection(Net.Direction.IN)
        nets['pd[0][6]'].setDirection(Net.Direction.IN)
        nets['pd[0][7]'].setDirection(Net.Direction.IN)
        nets['pd[1][0]'].setDirection(Net.Direction.IN)
        nets['pd[1][1]'].setDirection(Net.Direction.IN)
        nets['pd[1][2]'].setDirection(Net.Direction.IN)
        nets['pd[1][3]'].setDirection(Net.Direction.IN)
        nets['pd[1][4]'].setDirection(Net.Direction.IN)
        nets['pd[1][5]'].setDirection(Net.Direction.IN)
        nets['pd[1][6]'].setDirection(Net.Direction.IN)
        nets['pd[1][7]'].setDirection(Net.Direction.IN)
        nets['pd[1][8]'].setDirection(Net.Direction.IN)
        nets['pd[1][9]'].setDirection(Net.Direction.IN)
        nets['pd[1][10]'].setDirection(Net.Direction.IN)
        nets['pd[1][11]'].setDirection(Net.Direction.IN)
        nets['pd[1][12]'].setDirection(Net.Direction.IN)
        nets['pd[1][13]'].setDirection(Net.Direction.IN)
        nets['pd[1][14]'].setDirection(Net.Direction.IN)
        nets['pd[1][15]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'aff[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x1']
        except:
            subcell = af.getCell('inv_x1', 0)
        trans = Transformation(
            u(15.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'ainv[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(17.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'aff[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x1']
        except:
            subcell = af.getCell('inv_x1', 0)
        trans = Transformation(
            u(32.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'ainv[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(34.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'aff[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x1']
        except:
            subcell = af.getCell('inv_x1', 0)
        trans = Transformation(
            u(49.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'ainv[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(51.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'aff[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x1']
        except:
            subcell = af.getCell('inv_x1', 0)
        trans = Transformation(
            u(66.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'ainv[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(68.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'aff[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x1']
        except:
            subcell = af.getCell('inv_x1', 0)
        trans = Transformation(
            u(83.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'ainv[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(85.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'aff[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x1']
        except:
            subcell = af.getCell('inv_x1', 0)
        trans = Transformation(
            u(100.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'ainv[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(102.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'aff[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['inv_x1']
        except:
            subcell = af.getCell('inv_x1', 0)
        trans = Transformation(
            u(117.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'ainv[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(119.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(123.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(127.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(131.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(135.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(139.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(143.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(147.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(151.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[8]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(155.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[9]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(159.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[10]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(163.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[11]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(167.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[12]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(171.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[13]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(175.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[14]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(179.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[15]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(183.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[16]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(187.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[17]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(191.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[18]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(195.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[19]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(199.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[20]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(203.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[21]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(207.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[22]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(211.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[23]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(215.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[24]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(219.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[25]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(223.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[26]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(227.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[27]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(231.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[28]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(235.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[29]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(239.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[30]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(243.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[31]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(247.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[32]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(251.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[33]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(255.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[34]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(259.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[35]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(263.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[36]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(267.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[37]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(271.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[38]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(275.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[39]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(279.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[40]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(283.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[41]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(287.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[42]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(291.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie[43]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a3_x2']
        except:
            subcell = af.getCell('a3_x2', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[0]and[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(5.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a3_x2']
        except:
            subcell = af.getCell('a3_x2', 0)
        trans = Transformation(
            u(11.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[0]and[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a3_x2']
        except:
            subcell = af.getCell('a3_x2', 0)
        trans = Transformation(
            u(16.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[0]and[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a3_x2']
        except:
            subcell = af.getCell('a3_x2', 0)
        trans = Transformation(
            u(21.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[0]and[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(26.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a3_x2']
        except:
            subcell = af.getCell('a3_x2', 0)
        trans = Transformation(
            u(32.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[0]and[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a3_x2']
        except:
            subcell = af.getCell('a3_x2', 0)
        trans = Transformation(
            u(37.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[0]and[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(42.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a3_x2']
        except:
            subcell = af.getCell('a3_x2', 0)
        trans = Transformation(
            u(48.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[0]and[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a3_x2']
        except:
            subcell = af.getCell('a3_x2', 0)
        trans = Transformation(
            u(53.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[0]and[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(58.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[44]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(62.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(68.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[45]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(72.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[46]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(76.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[47]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(80.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(86.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[48]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(90.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[49]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(94.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[50]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(98.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(104.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[51]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(108.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[52]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(112.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[53]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(116.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(122.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[54]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(126.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[55]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(130.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[56]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(134.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[57]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(138.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(144.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[58]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(148.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[59]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(152.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[60]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(156.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[8]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(162.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[61]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(166.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[62]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(170.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[63]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(174.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[9]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(180.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[64]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(184.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[65]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(188.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[66]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(192.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[10]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(198.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[67]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(202.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[68]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(206.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[69]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(210.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[11]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(216.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[70]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(220.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[71]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(224.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[72]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(228.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[12]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(234.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[73]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(238.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[74]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(242.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[75]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(246.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[13]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(252.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[76]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(256.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[77]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(260.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[78]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(264.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[79]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(268.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[14]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(274.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[80]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(278.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[81]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(282.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[82]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['a4_x2']
        except:
            subcell = af.getCell('a4_x2', 0)
        trans = Transformation(
            u(286.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'pd[1]and[15]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie_diff_w4']
        except:
            subcell = af.getCell('tie_diff_w4', 0)
        trans = Transformation(
            u(292.0), u(0.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'tie[83]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl1']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(6.635), u(18.6),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'pd[0][0]': Net.create(cell, 'pd[0][0]'),
            'pd[0][1]': Net.create(cell, 'pd[0][1]'),
            'pd[0][2]': Net.create(cell, 'pd[0][2]'),
            'pd[0][3]': Net.create(cell, 'pd[0][3]'),
            'pd[0][4]': Net.create(cell, 'pd[0][4]'),
            'pd[0][5]': Net.create(cell, 'pd[0][5]'),
            'pd[0][6]': Net.create(cell, 'pd[0][6]'),
            'pd[0][7]': Net.create(cell, 'pd[0][7]'),
            'pd[1]': Net.create(cell, 'pd[1]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
            'wl[4]': Net.create(cell, 'wl[4]'),
            'wl[5]': Net.create(cell, 'wl[5]'),
            'wl[6]': Net.create(cell, 'wl[6]'),
            'wl[7]': Net.create(cell, 'wl[7]'),
            'wl_en': Net.create(cell, 'wl_en'),
            'wl_n[0]': Net.create(cell, 'wl_n[0]'),
            'wl_n[1]': Net.create(cell, 'wl_n[1]'),
            'wl_n[2]': Net.create(cell, 'wl_n[2]'),
            'wl_n[3]': Net.create(cell, 'wl_n[3]'),
            'wl_n[4]': Net.create(cell, 'wl_n[4]'),
            'wl_n[5]': Net.create(cell, 'wl_n[5]'),
            'wl_n[6]': Net.create(cell, 'wl_n[6]'),
            'wl_n[7]': Net.create(cell, 'wl_n[7]'),
        }
        net = nets['pd[0][0]']
        createRL(
            tech, net, 'li',
            ((1.06,0.615),(1.06,2.07),(1.23,2.07),(1.23,0.615),(1.06,0.615)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(0.615), u(2.07),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(0.615), u(2.07),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1]']
        createRL(
            tech, net, 'li',
            ((1.61,10.555),(1.61,10.725),(1.78,10.725),(1.78,10.555),(1.61,10.555)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,7.875),(1.61,8.045),(1.78,8.045),(1.78,7.875),(1.61,7.875)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,3.225),(1.61,3.395),(1.78,3.395),(1.78,3.225),(1.61,3.225)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,12.525),(1.61,12.695),(1.78,12.695),(1.78,12.525),(1.61,12.525)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,1.255),(1.61,1.425),(1.78,1.425),(1.78,1.255),(1.61,1.255)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,15.21),(1.61,15.38),(1.78,15.38),(1.78,15.21),(1.61,15.21)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,17.175),(1.61,17.345),(1.78,17.345),(1.78,17.175),(1.61,17.175)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,5.905),(1.61,6.075),(1.78,6.075),(1.78,5.905),(1.61,5.905)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,10.555),(1.61,10.725),(1.78,10.725),(1.78,10.555),(1.61,10.555)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,7.875),(1.61,8.045),(1.78,8.045),(1.78,7.875),(1.61,7.875)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,3.225),(1.61,3.395),(1.78,3.395),(1.78,3.225),(1.61,3.225)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,12.525),(1.61,12.695),(1.78,12.695),(1.78,12.525),(1.61,12.525)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,1.255),(1.61,1.425),(1.78,1.425),(1.78,1.255),(1.61,1.255)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,15.21),(1.61,15.38),(1.78,15.38),(1.78,15.21),(1.61,15.21)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,17.175),(1.61,17.345),(1.78,17.345),(1.78,17.175),(1.61,17.175)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,5.905),(1.61,6.075),(1.78,6.075),(1.78,5.905),(1.61,5.905)),
        )
        createRL(
            tech, net, 'm1',
            ((1.58,1.195),(1.58,17.405),(1.81,17.405),(1.81,1.195),(1.58,1.195)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.695), u(0.23), u(1.195), u(17.405),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.695), u(0.23), u(1.195), u(17.405),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_en']
        createRL(
            tech, net, 'li',
            ((2.12,5.905),(2.12,6.075),(2.29,6.075),(2.29,5.905),(2.12,5.905)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,1.255),(2.12,1.425),(2.29,1.425),(2.29,1.255),(2.12,1.255)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,15.21),(2.12,15.38),(2.29,15.38),(2.29,15.21),(2.12,15.21)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,17.175),(2.12,17.345),(2.29,17.345),(2.29,17.175),(2.12,17.175)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,3.225),(2.12,3.395),(2.29,3.395),(2.29,3.225),(2.12,3.225)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,7.875),(2.12,8.045),(2.29,8.045),(2.29,7.875),(2.12,7.875)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,12.525),(2.12,12.695),(2.29,12.695),(2.29,12.525),(2.12,12.525)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,10.555),(2.12,10.725),(2.29,10.725),(2.29,10.555),(2.12,10.555)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,5.905),(2.12,6.075),(2.29,6.075),(2.29,5.905),(2.12,5.905)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,1.255),(2.12,1.425),(2.29,1.425),(2.29,1.255),(2.12,1.255)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,15.21),(2.12,15.38),(2.29,15.38),(2.29,15.21),(2.12,15.21)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,17.175),(2.12,17.345),(2.29,17.345),(2.29,17.175),(2.12,17.175)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,3.225),(2.12,3.395),(2.29,3.395),(2.29,3.225),(2.12,3.225)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,7.875),(2.12,8.045),(2.29,8.045),(2.29,7.875),(2.12,7.875)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,12.525),(2.12,12.695),(2.29,12.695),(2.29,12.525),(2.12,12.525)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,10.555),(2.12,10.725),(2.29,10.725),(2.29,10.555),(2.12,10.555)),
        )
        createRL(
            tech, net, 'm1',
            ((2.09,1.195),(2.09,17.405),(2.32,17.405),(2.32,1.195),(2.09,1.195)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.205), u(0.23), u(1.195), u(17.405),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.205), u(0.23), u(1.195), u(17.405),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[0]']
        createRL(
            tech, net, 'li',
            ((2.465,0.66),(2.465,1.67),(3.61,1.67),(3.61,0.66),(2.465,0.66)),
        )
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((6.075,1.88),(6.075,2.14),(6.635,2.14),(6.635,1.88),(6.075,1.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.01), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.01), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,4.52),(0.0,4.78),(6.635,4.78),(6.635,4.52),(0.0,4.52)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,9.17),(0.0,9.43),(6.635,9.43),(6.635,9.17),(0.0,9.17)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,18.47),(0.0,18.73),(6.635,18.73),(6.635,18.47),(0.0,18.47)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(6.635,0.13),(6.635,-0.13),(0.0,-0.13)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,13.82),(0.0,14.08),(6.635,14.08),(6.635,13.82),(0.0,13.82)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(4.65), u(0.26), u(0.0), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(4.65), u(0.26), u(0.0), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.3), u(0.26), u(0.0), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.3), u(0.26), u(0.0), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.6), u(0.26), u(0.0), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.6), u(0.26), u(0.0), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.95), u(0.26), u(0.0), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.95), u(0.26), u(0.0), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][1]']
        createRL(
            tech, net, 'li',
            ((1.06,2.58),(1.06,4.035),(1.23,4.035),(1.23,2.58),(1.06,2.58)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(2.58), u(4.035),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(2.58), u(4.035),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[1]']
        createRL(
            tech, net, 'li',
            ((2.465,2.98),(2.465,3.99),(3.61,3.99),(3.61,2.98),(2.465,2.98)),
        )
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((6.075,2.51),(6.075,2.77),(6.635,2.77),(6.635,2.51),(6.075,2.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.64), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.64), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((3.18,9.73),(3.18,11.495),(0.0,11.495),(0.0,11.755),(3.18,11.755),(3.18,13.52),(6.635,13.52),(6.635,12.94),(3.44,12.94),(3.44,10.31),(6.635,10.31),(6.635,9.73),(3.18,9.73)),
        )
        createRL(
            tech, net, 'm2',
            ((3.18,14.38),(3.18,16.145),(0.0,16.145),(0.0,16.405),(3.18,16.405),(3.18,18.17),(6.635,18.17),(6.635,17.59),(3.44,17.59),(3.44,14.96),(6.635,14.96),(6.635,14.38),(3.18,14.38)),
        )
        createRL(
            tech, net, 'm2',
            ((3.18,5.08),(3.18,6.845),(0.0,6.845),(0.0,7.105),(3.18,7.105),(3.18,8.87),(6.635,8.87),(6.635,8.29),(3.44,8.29),(3.44,5.66),(6.635,5.66),(6.635,5.08),(3.18,5.08)),
        )
        createRL(
            tech, net, 'm2',
            ((3.18,0.43),(3.18,2.195),(0.0,2.195),(0.0,2.455),(3.18,2.455),(3.18,4.22),(6.635,4.22),(6.635,3.64),(3.44,3.64),(3.44,1.01),(6.635,1.01),(6.635,0.43),(3.18,0.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.625), u(0.26), u(0.0), u(3.1799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.625), u(0.26), u(0.0), u(3.1799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.325), u(0.26), u(0.0), u(3.1799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.325), u(0.26), u(0.0), u(3.1799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.975), u(0.26), u(0.0), u(3.1799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.975), u(0.26), u(0.0), u(3.1799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.275), u(0.26), u(0.0), u(3.1799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.275), u(0.26), u(0.0), u(3.1799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][2]']
        createRL(
            tech, net, 'li',
            ((1.06,5.265),(1.06,6.72),(1.23,6.72),(1.23,5.265),(1.06,5.265)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(5.265), u(6.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(5.265), u(6.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[2]']
        createRL(
            tech, net, 'li',
            ((2.465,5.31),(2.465,6.32),(3.61,6.32),(3.61,5.31),(2.465,5.31)),
        )
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((6.075,6.53),(6.075,6.79),(6.635,6.79),(6.635,6.53),(6.075,6.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.66), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.66), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][3]']
        createRL(
            tech, net, 'li',
            ((1.06,7.23),(1.06,8.685),(1.23,8.685),(1.23,7.23),(1.06,7.23)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(7.23), u(8.685),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(7.23), u(8.685),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[3]']
        createRL(
            tech, net, 'li',
            ((2.465,7.63),(2.465,8.64),(3.61,8.64),(3.61,7.63),(2.465,7.63)),
        )
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((6.075,7.16),(6.075,7.42),(6.635,7.42),(6.635,7.16),(6.075,7.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.29), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.29), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][4]']
        createRL(
            tech, net, 'li',
            ((1.06,9.915),(1.06,11.37),(1.23,11.37),(1.23,9.915),(1.06,9.915)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(9.915), u(11.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(9.915), u(11.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[4]']
        createRL(
            tech, net, 'li',
            ((2.465,9.96),(2.465,10.97),(3.61,10.97),(3.61,9.96),(2.465,9.96)),
        )
        net = nets['wl[4]']
        createRL(
            tech, net, 'm2',
            ((6.075,11.18),(6.075,11.44),(6.635,11.44),(6.635,11.18),(6.075,11.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.31), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.31), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][5]']
        createRL(
            tech, net, 'li',
            ((1.06,11.88),(1.06,13.335),(1.23,13.335),(1.23,11.88),(1.06,11.88)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(11.88), u(13.335),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(11.88), u(13.335),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[5]']
        createRL(
            tech, net, 'li',
            ((2.465,12.28),(2.465,13.29),(3.61,13.29),(3.61,12.28),(2.465,12.28)),
        )
        net = nets['wl[5]']
        createRL(
            tech, net, 'm2',
            ((6.075,11.81),(6.075,12.07),(6.635,12.07),(6.635,11.81),(6.075,11.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.94), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.94), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][6]']
        createRL(
            tech, net, 'li',
            ((1.06,14.565),(1.06,16.02),(1.23,16.02),(1.23,14.565),(1.06,14.565)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(14.565), u(16.02),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(14.565), u(16.02),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[6]']
        createRL(
            tech, net, 'li',
            ((2.465,14.61),(2.465,15.62),(3.61,15.62),(3.61,14.61),(2.465,14.61)),
        )
        net = nets['wl[6]']
        createRL(
            tech, net, 'm2',
            ((6.075,15.83),(6.075,16.09),(6.635,16.09),(6.635,15.83),(6.075,15.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.96), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.96), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][7]']
        createRL(
            tech, net, 'li',
            ((1.06,16.53),(1.06,17.985),(1.23,17.985),(1.23,16.53),(1.06,16.53)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(16.53), u(17.985),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(16.53), u(17.985),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[7]']
        createRL(
            tech, net, 'li',
            ((2.465,16.93),(2.465,17.94),(3.61,17.94),(3.61,16.93),(2.465,16.93)),
        )
        net = nets['wl[7]']
        createRL(
            tech, net, 'm2',
            ((6.075,16.46),(6.075,16.72),(6.635,16.72),(6.635,16.46),(6.075,16.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.59), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.59), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,18.6),(6.635,18.6),(6.635,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['pd[0][0]'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['pd[0][1]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['pd[0][2]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['pd[0][3]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['pd[0][4]'].setDirection(Net.Direction.IN)
        nets['wl[4]'].setDirection(Net.Direction.IN)
        nets['pd[0][5]'].setDirection(Net.Direction.IN)
        nets['wl[5]'].setDirection(Net.Direction.IN)
        nets['pd[0][6]'].setDirection(Net.Direction.IN)
        nets['wl[6]'].setDirection(Net.Direction.IN)
        nets['pd[0][7]'].setDirection(Net.Direction.IN)
        nets['wl[7]'].setDirection(Net.Direction.IN)
        nets['pd[1]'].setDirection(Net.Direction.IN)
        nets['wl_en'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TRowDecoderNand3']
        except:
            subcell = af.getCell('DP8TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(2.325), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'nand3[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWLDrive_30LN100WN30LP200WP_wl1']
        except:
            subcell = af.getCell('DP8TWLDrive_30LN100WN30LP200WP_wl1', 0)
        trans = Transformation(
            u(6.635), u(2.325), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'drive[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderNand3']
        except:
            subcell = af.getCell('DP8TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(2.325), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'nand3[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWLDrive_30LN100WN30LP200WP_wl1']
        except:
            subcell = af.getCell('DP8TWLDrive_30LN100WN30LP200WP_wl1', 0)
        trans = Transformation(
            u(6.635), u(2.325), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'drive[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderNand3']
        except:
            subcell = af.getCell('DP8TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(6.9750000000000005), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'nand3[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWLDrive_30LN100WN30LP200WP_wl1']
        except:
            subcell = af.getCell('DP8TWLDrive_30LN100WN30LP200WP_wl1', 0)
        trans = Transformation(
            u(6.635), u(6.9750000000000005), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'drive[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderNand3']
        except:
            subcell = af.getCell('DP8TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(6.9750000000000005), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'nand3[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWLDrive_30LN100WN30LP200WP_wl1']
        except:
            subcell = af.getCell('DP8TWLDrive_30LN100WN30LP200WP_wl1', 0)
        trans = Transformation(
            u(6.635), u(6.9750000000000005), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'drive[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderNand3']
        except:
            subcell = af.getCell('DP8TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(11.625), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'nand3[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWLDrive_30LN100WN30LP200WP_wl1']
        except:
            subcell = af.getCell('DP8TWLDrive_30LN100WN30LP200WP_wl1', 0)
        trans = Transformation(
            u(6.635), u(11.625), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'drive[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderNand3']
        except:
            subcell = af.getCell('DP8TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(11.625), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'nand3[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWLDrive_30LN100WN30LP200WP_wl1']
        except:
            subcell = af.getCell('DP8TWLDrive_30LN100WN30LP200WP_wl1', 0)
        trans = Transformation(
            u(6.635), u(11.625), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'drive[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderNand3']
        except:
            subcell = af.getCell('DP8TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(16.275000000000002), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'nand3[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWLDrive_30LN100WN30LP200WP_wl1']
        except:
            subcell = af.getCell('DP8TWLDrive_30LN100WN30LP200WP_wl1', 0)
        trans = Transformation(
            u(6.635), u(16.275000000000002), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'drive[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderNand3']
        except:
            subcell = af.getCell('DP8TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(16.275000000000002), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'nand3[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWLDrive_30LN100WN30LP200WP_wl1']
        except:
            subcell = af.getCell('DP8TWLDrive_30LN100WN30LP200WP_wl1', 0)
        trans = Transformation(
            u(6.635), u(16.275000000000002), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'drive[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TRowDecoderNand3']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(3.18), u(2.325),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'int[0]': Net.create(cell, 'int[0]'),
            'int[1]': Net.create(cell, 'int[1]'),
            'pd[0]': Net.create(cell, 'pd[0]'),
            'pd[1]': Net.create(cell, 'pd[1]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl_en': Net.create(cell, 'wl_en'),
            'wl_n': Net.create(cell, 'wl_n'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'difftap',
            ((1.71,0.235),(1.71,0.885),(1.86,0.885),(1.86,0.235),(1.71,0.235)),
        )
        createRL(
            tech, net, 'difftap',
            ((0.315,-0.205),(0.315,0.205),(0.565,0.205),(0.565,-0.205),(0.315,-0.205)),
        )
        createRL(
            tech, net, 'difftap',
            ((2.26,0.235),(2.26,0.885),(2.41,0.885),(2.41,0.235),(2.26,0.235)),
        )
        createRL(
            tech, net, 'difftap',
            ((0.835,-0.205),(0.835,0.885),(1.31,0.885),(1.31,0.235),(1.085,0.235),(1.085,-0.205),(0.835,-0.205)),
        )
        createRL(
            tech, net, 'licon',
            ((0.355,-0.085),(0.355,0.085),(0.525,0.085),(0.525,-0.085),(0.355,-0.085)),
        )
        createRL(
            tech, net, 'licon',
            ((0.875,-0.085),(0.875,0.085),(1.045,0.085),(1.045,-0.085),(0.875,-0.085)),
        )
        createRL(
            tech, net, 'li',
            ((0.355,-0.265),(0.355,-0.085),(0.0,-0.085),(0.0,0.085),(0.355,0.085),(0.355,0.265),(0.525,0.265),(0.525,0.085),(3.18,0.085),(3.18,-0.085),(0.525,-0.085),(0.525,-0.265),(0.355,-0.265)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.355,-0.265),(0.355,-0.095),(0.525,-0.095),(0.525,-0.265),(0.355,-0.265)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.355,0.095),(0.355,0.265),(0.525,0.265),(0.525,0.095),(0.355,0.095)),
        )
        createRL(
            tech, net, 'm1',
            ((0.325,-0.325),(0.325,-0.16),(0.31,-0.16),(0.31,0.16),(0.325,0.16),(0.325,0.325),(0.555,0.325),(0.555,0.16),(0.57,0.16),(0.57,-0.16),(0.555,-0.16),(0.555,-0.325),(0.325,-0.325)),
        )
        createRL(
            tech, net, 'via',
            ((0.365,-0.075),(0.365,0.075),(0.515,0.075),(0.515,-0.075),(0.365,-0.075)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(3.18,0.13),(3.18,-0.13),(0.0,-0.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(3.18),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(3.18),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'psdm',
            ((0.19,-0.33),(0.19,0.33),(0.69,0.33),(0.69,-0.33),(0.19,-0.33)),
        )
        createRL(
            tech, net, 'psdm',
            ((0.71,1.01),(0.71,2.655),(2.8,2.655),(2.8,1.01),(0.71,1.01)),
        )
        createRL(
            tech, net, 'nsdm',
            ((0.71,-0.33),(0.71,1.01),(2.8,1.01),(2.8,-0.33),(0.71,-0.33)),
        )
        createRL(
            tech, net, 'nsdm',
            ((0.19,1.995),(0.19,2.655),(0.69,2.655),(0.69,1.995),(0.19,1.995)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((1.705,0.23),(1.705,0.89),(1.865,0.89),(1.865,0.23),(1.705,0.23)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((1.155,0.23),(1.155,0.89),(1.315,0.89),(1.315,0.23),(1.155,0.23)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((2.255,0.23),(2.255,0.89),(2.415,0.89),(2.415,0.23),(2.255,0.23)),
        )
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,2.325),(3.18,2.325),(3.18,0.0),(0.0,0.0)),
        )
        net = nets['vdd']
        createRL(
            tech, net, 'difftap',
            ((1.71,1.44),(1.71,2.09),(1.935,2.09),(1.935,2.53),(2.185,2.53),(2.185,2.09),(2.41,2.09),(2.41,1.44),(1.71,1.44)),
        )
        createRL(
            tech, net, 'difftap',
            ((0.315,2.12),(0.315,2.53),(0.565,2.53),(0.565,2.12),(0.315,2.12)),
        )
        createRL(
            tech, net, 'difftap',
            ((0.835,1.44),(0.835,2.53),(1.085,2.53),(1.085,2.09),(1.31,2.09),(1.31,1.44),(0.835,1.44)),
        )
        createRL(
            tech, net, 'licon',
            ((0.355,2.24),(0.355,2.41),(0.525,2.41),(0.525,2.24),(0.355,2.24)),
        )
        createRL(
            tech, net, 'licon',
            ((1.975,2.24),(1.975,2.41),(2.145,2.41),(2.145,2.24),(1.975,2.24)),
        )
        createRL(
            tech, net, 'licon',
            ((0.875,2.24),(0.875,2.41),(1.045,2.41),(1.045,2.24),(0.875,2.24)),
        )
        createRL(
            tech, net, 'li',
            ((0.355,2.06),(0.355,2.24),(0.0,2.24),(0.0,2.41),(0.355,2.41),(0.355,2.59),(0.525,2.59),(0.525,2.41),(3.18,2.41),(3.18,2.24),(0.525,2.24),(0.525,2.06),(0.355,2.06)),
        )
        createRL(
            tech, net, 'nwm',
            ((-0.18,1.26),(-0.18,2.71),(4.02,2.71),(4.02,1.26),(-0.18,1.26)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.355,2.06),(0.355,2.23),(0.525,2.23),(0.525,2.06),(0.355,2.06)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.355,2.42),(0.355,2.59),(0.525,2.59),(0.525,2.42),(0.355,2.42)),
        )
        createRL(
            tech, net, 'm1',
            ((0.325,2.0),(0.325,2.165),(0.31,2.165),(0.31,2.485),(0.325,2.485),(0.325,2.65),(0.555,2.65),(0.555,2.485),(0.57,2.485),(0.57,2.165),(0.555,2.165),(0.555,2.0),(0.325,2.0)),
        )
        createRL(
            tech, net, 'via',
            ((0.365,2.25),(0.365,2.4),(0.515,2.4),(0.515,2.25),(0.365,2.25)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,2.195),(0.0,2.455),(3.18,2.455),(3.18,2.195),(0.0,2.195)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.325), u(0.26), u(0.0), u(3.18),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.325), u(0.26), u(0.0), u(3.18),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['int[0]']
        createRL(
            tech, net, 'difftap',
            ((1.31,0.235),(1.31,0.885),(1.71,0.885),(1.71,0.235),(1.31,0.235)),
        )
        net = nets['pd[0]']
        createRL(
            tech, net, 'poly',
            ((1.16,0.105),(1.16,1.025),(0.98,1.025),(0.98,1.295),(1.16,1.295),(1.16,2.22),(1.31,2.22),(1.31,0.105),(1.16,0.105)),
        )
        createRL(
            tech, net, 'licon',
            ((1.06,1.075),(1.06,1.245),(1.23,1.245),(1.23,1.075),(1.06,1.075)),
        )
        createRL(
            tech, net, 'li',
            ((1.06,0.255),(1.06,1.71),(1.23,1.71),(1.23,0.255),(1.06,0.255)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(0.255), u(1.71),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(0.255), u(1.71),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n']
        createRL(
            tech, net, 'difftap',
            ((2.41,1.44),(2.41,2.09),(2.675,2.09),(2.675,1.44),(2.41,1.44)),
        )
        createRL(
            tech, net, 'difftap',
            ((2.41,0.235),(2.41,0.885),(2.675,0.885),(2.675,0.235),(2.41,0.235)),
        )
        createRL(
            tech, net, 'difftap',
            ((1.31,1.44),(1.31,1.84),(1.305,1.84),(1.305,2.09),(1.715,2.09),(1.715,1.84),(1.71,1.84),(1.71,1.44),(1.31,1.44)),
        )
        createRL(
            tech, net, 'licon',
            ((2.465,1.68),(2.465,1.85),(2.635,1.85),(2.635,1.68),(2.465,1.68)),
        )
        createRL(
            tech, net, 'licon',
            ((1.425,1.88),(1.425,2.05),(1.595,2.05),(1.595,1.88),(1.425,1.88)),
        )
        createRL(
            tech, net, 'licon',
            ((2.465,0.475),(2.465,0.645),(2.635,0.645),(2.635,0.475),(2.465,0.475)),
        )
        createRL(
            tech, net, 'li',
            ((2.465,0.395),(2.465,1.88),(1.345,1.88),(1.345,2.05),(2.635,2.05),(2.635,0.395),(2.465,0.395)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(2.55), u(0.17), u(0.395), u(1.93),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(2.55), u(0.17), u(0.395), u(1.93),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['int[1]']
        createRL(
            tech, net, 'difftap',
            ((1.86,0.235),(1.86,0.885),(2.26,0.885),(2.26,0.235),(1.86,0.235)),
        )
        net = nets['pd[1]']
        createRL(
            tech, net, 'poly',
            ((1.71,0.105),(1.71,1.025),(1.53,1.025),(1.53,1.295),(1.71,1.295),(1.71,2.22),(1.86,2.22),(1.86,0.105),(1.71,0.105)),
        )
        createRL(
            tech, net, 'licon',
            ((1.61,1.075),(1.61,1.245),(1.78,1.245),(1.78,1.075),(1.61,1.075)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,0.255),(1.61,1.71),(1.78,1.71),(1.78,0.255),(1.61,0.255)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.695), u(0.17), u(0.255), u(1.71),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.695), u(0.17), u(0.255), u(1.71),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_en']
        createRL(
            tech, net, 'poly',
            ((2.26,0.105),(2.26,0.995),(2.07,0.995),(2.07,1.325),(2.26,1.325),(2.26,2.22),(2.41,2.22),(2.41,0.105),(2.26,0.105)),
        )
        createRL(
            tech, net, 'licon',
            ((2.12,1.075),(2.12,1.245),(2.29,1.245),(2.29,1.075),(2.12,1.075)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,0.255),(2.12,1.71),(2.29,1.71),(2.29,0.255),(2.12,0.255)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(2.205), u(0.17), u(0.255), u(1.71),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(2.205), u(0.17), u(0.255), u(1.71),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['pd[0]'].setDirection(Net.Direction.IN)
        nets['pd[1]'].setDirection(Net.Direction.IN)
        nets['wl_en'].setDirection(Net.Direction.IN)
        nets['wl_n'].setDirection(Net.Direction.IN)

    cell = new_cells['DP8TCell']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(3.3500000000000005), u(2.325),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bit': Net.create(cell, 'bit'),
            'bit_n': Net.create(cell, 'bit_n'),
            'bl1': Net.create(cell, 'bl1'),
            'bl1_n': Net.create(cell, 'bl1_n'),
            'bl2': Net.create(cell, 'bl2'),
            'bl2_n': Net.create(cell, 'bl2_n'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl1': Net.create(cell, 'wl1'),
            'wl2': Net.create(cell, 'wl2'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'difftap',
            ((3.225,-0.38),(3.225,0.38),(3.475,0.38),(3.475,-0.38),(3.225,-0.38)),
        )
        createRL(
            tech, net, 'difftap',
            ((0.395,0.14),(0.395,0.31),(0.755,0.31),(0.755,0.14),(0.395,0.14)),
        )
        createRL(
            tech, net, 'difftap',
            ((1.025,0.14),(1.025,0.31),(1.385,0.31),(1.385,0.14),(1.025,0.14)),
        )
        createRL(
            tech, net, 'difftap',
            ((-0.125,-0.38),(-0.125,0.38),(0.125,0.38),(0.125,-0.38),(-0.125,-0.38)),
        )
        createRL(
            tech, net, 'difftap',
            ((3.06,0.65),(3.06,1.01),(3.475,1.01),(3.475,0.65),(3.06,0.65)),
        )
        createRL(
            tech, net, 'difftap',
            ((2.595,0.14),(2.595,0.31),(2.955,0.31),(2.955,0.14),(2.595,0.14)),
        )
        createRL(
            tech, net, 'difftap',
            ((-0.125,0.65),(-0.125,1.01),(0.29,1.01),(0.29,0.65),(-0.125,0.65)),
        )
        createRL(
            tech, net, 'difftap',
            ((1.935,0.615),(1.935,0.785),(2.295,0.785),(2.295,0.615),(1.935,0.615)),
        )
        createRL(
            tech, net, 'licon',
            ((-0.085,-0.255),(-0.085,-0.085),(0.085,-0.085),(0.085,-0.255),(-0.085,-0.255)),
        )
        createRL(
            tech, net, 'licon',
            ((-0.085,0.085),(-0.085,0.255),(0.085,0.255),(0.085,0.085),(-0.085,0.085)),
        )
        createRL(
            tech, net, 'licon',
            ((-0.085,0.745),(-0.085,0.915),(0.085,0.915),(0.085,0.745),(-0.085,0.745)),
        )
        createRL(
            tech, net, 'licon',
            ((3.265,-0.255),(3.265,-0.085),(3.435,-0.085),(3.435,-0.255),(3.265,-0.255)),
        )
        createRL(
            tech, net, 'licon',
            ((3.265,0.085),(3.265,0.255),(3.435,0.255),(3.435,0.085),(3.265,0.085)),
        )
        createRL(
            tech, net, 'licon',
            ((3.265,0.745),(3.265,0.915),(3.435,0.915),(3.435,0.745),(3.265,0.745)),
        )
        createRL(
            tech, net, 'li',
            ((-0.085,-0.335),(-0.085,2.325),(0.085,2.325),(0.085,-0.335),(-0.085,-0.335)),
        )
        createRL(
            tech, net, 'li',
            ((3.265,-0.335),(3.265,2.325),(3.435,2.325),(3.435,-0.335),(3.265,-0.335)),
        )
        createRL(
            tech, net, 'm1',
            ((-0.115,0.99),(-0.115,1.285),(-0.13,1.285),(-0.13,1.925),(0.13,1.925),(0.13,1.285),(0.115,1.285),(0.115,0.99),(-0.115,0.99)),
        )
        createRL(
            tech, net, 'm1',
            ((3.235,0.99),(3.235,1.285),(3.22,1.285),(3.22,1.925),(3.48,1.925),(3.48,1.285),(3.465,1.285),(3.465,0.99),(3.235,0.99)),
        )
        createRL(
            tech, net, 'via',
            ((3.275,1.37),(3.275,1.52),(3.425,1.52),(3.425,1.37),(3.275,1.37)),
        )
        createRL(
            tech, net, 'via',
            ((3.275,1.69),(3.275,1.84),(3.425,1.84),(3.425,1.69),(3.275,1.69)),
        )
        createRL(
            tech, net, 'via',
            ((-0.075,1.37),(-0.075,1.52),(0.075,1.52),(0.075,1.37),(-0.075,1.37)),
        )
        createRL(
            tech, net, 'via',
            ((-0.075,1.69),(-0.075,1.84),(0.075,1.84),(0.075,1.69),(-0.075,1.69)),
        )
        createRL(
            tech, net, 'm2',
            ((-0.16,1.315),(-0.16,1.895),(3.51,1.895),(3.51,1.315),(-0.16,1.315)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.605), u(0.58), u(-0.16000000000000014), u(3.5100000000000007),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.605), u(0.58), u(-0.16000000000000014), u(3.5100000000000007),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        createRL(
            tech, net, 'mcon',
            ((-0.085,1.05),(-0.085,1.22),(0.085,1.22),(0.085,1.05),(-0.085,1.05)),
        )
        createRL(
            tech, net, 'mcon',
            ((-0.085,1.41),(-0.085,1.58),(0.085,1.58),(0.085,1.41),(-0.085,1.41)),
        )
        createRL(
            tech, net, 'mcon',
            ((3.265,1.05),(3.265,1.22),(3.435,1.22),(3.435,1.05),(3.265,1.05)),
        )
        createRL(
            tech, net, 'mcon',
            ((3.265,1.41),(3.265,1.58),(3.435,1.58),(3.435,1.41),(3.265,1.41)),
        )
        net = nets['*']
        createRL(
            tech, net, 'nsdm',
            ((0.27,-0.25),(0.27,0.525),(-0.25,0.525),(-0.25,1.135),(1.81,1.135),(1.81,1.175),(2.42,1.175),(2.42,1.135),(3.6,1.135),(3.6,0.525),(3.08,0.525),(3.08,-0.25),(0.27,-0.25)),
        )
        createRL(
            tech, net, 'nsdm',
            ((0.93,2.075),(0.93,2.575),(2.0,2.575),(2.0,2.075),(0.93,2.075)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((1.02,0.135),(1.02,0.315),(1.39,0.315),(1.39,0.135),(1.02,0.135)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((0.135,0.645),(0.135,1.015),(0.295,1.015),(0.295,0.645),(0.135,0.645)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((1.93,0.61),(1.93,0.79),(2.3,0.79),(2.3,0.61),(1.93,0.61)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((0.39,0.135),(0.39,0.315),(0.76,0.315),(0.76,0.135),(0.39,0.135)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((3.055,0.645),(3.055,1.015),(3.215,1.015),(3.215,0.645),(3.055,0.645)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((2.59,0.135),(2.59,0.315),(2.96,0.315),(2.96,0.135),(2.59,0.135)),
        )
        createRL(
            tech, net, 'psdm',
            ((3.1,-0.505),(3.1,0.505),(3.6,0.505),(3.6,-0.505),(3.1,-0.505)),
        )
        createRL(
            tech, net, 'psdm',
            ((-0.25,-0.505),(-0.25,0.505),(0.25,0.505),(0.25,-0.505),(-0.25,-0.505)),
        )
        createRL(
            tech, net, 'psdm',
            ((0.24,1.645),(0.24,2.575),(0.91,2.575),(0.91,1.645),(0.24,1.645)),
        )
        createRL(
            tech, net, 'psdm',
            ((2.44,1.645),(2.44,2.575),(3.11,2.575),(3.11,1.645),(2.44,1.645)),
        )
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,2.325),(3.35,2.325),(3.35,0.0),(0.0,0.0)),
        )
        net = nets['bit']
        createRL(
            tech, net, 'difftap',
            ((0.365,1.77),(0.365,2.035),(0.785,2.035),(0.785,1.77),(0.365,1.77)),
        )
        createRL(
            tech, net, 'difftap',
            ((1.935,0.785),(1.935,1.05),(2.295,1.05),(2.295,0.785),(1.935,0.785)),
        )
        createRL(
            tech, net, 'difftap',
            ((0.395,0.31),(0.395,0.65),(0.29,0.65),(0.29,1.01),(0.755,1.01),(0.755,0.31),(0.395,0.31)),
        )
        createRL(
            tech, net, 'licon',
            ((2.03,1.81),(2.03,1.98),(2.2,1.98),(2.2,1.81),(2.03,1.81)),
        )
        createRL(
            tech, net, 'licon',
            ((0.465,0.8),(0.465,0.97),(0.635,0.97),(0.635,0.8),(0.465,0.8)),
        )
        createRL(
            tech, net, 'licon',
            ((2.03,0.84),(2.03,1.01),(2.2,1.01),(2.2,0.84),(2.03,0.84)),
        )
        createRL(
            tech, net, 'licon',
            ((0.49,1.81),(0.49,1.98),(0.66,1.98),(0.66,1.81),(0.49,1.81)),
        )
        createRL(
            tech, net, 'li',
            ((0.465,0.72),(0.465,1.05),(0.49,1.05),(0.49,2.06),(2.2,2.06),(2.2,1.01),(2.28,1.01),(2.28,0.84),(1.95,0.84),(1.95,1.01),(2.03,1.01),(2.03,1.73),(0.66,1.73),(0.66,0.72),(0.465,0.72)),
        )
        createRL(
            tech, net, 'poly',
            ((3.06,0.52),(3.06,2.035),(2.28,2.035),(2.28,1.76),(1.95,1.76),(1.95,2.185),(3.21,2.185),(3.21,0.52),(3.06,0.52)),
        )
        net = nets['bit_n']
        createRL(
            tech, net, 'poly',
            ((0.14,0.52),(0.14,2.185),(0.915,2.185),(0.915,2.035),(0.29,2.035),(0.29,1.3),(1.04,1.3),(1.04,1.42),(1.37,1.42),(1.37,1.3),(2.52,1.3),(2.52,1.42),(2.85,1.42),(2.85,1.15),(0.29,1.15),(0.29,0.52),(0.14,0.52)),
        )
        createRL(
            tech, net, 'difftap',
            ((2.565,1.77),(2.565,2.035),(2.985,2.035),(2.985,1.77),(2.565,1.77)),
        )
        createRL(
            tech, net, 'difftap',
            ((1.025,0.31),(1.025,0.575),(1.385,0.575),(1.385,0.31),(1.025,0.31)),
        )
        createRL(
            tech, net, 'difftap',
            ((2.595,0.31),(2.595,1.01),(3.06,1.01),(3.06,0.65),(2.955,0.65),(2.955,0.31),(2.595,0.31)),
        )
        createRL(
            tech, net, 'licon',
            ((2.6,1.2),(2.6,1.37),(2.77,1.37),(2.77,1.2),(2.6,1.2)),
        )
        createRL(
            tech, net, 'licon',
            ((2.69,1.81),(2.69,1.98),(2.86,1.98),(2.86,1.81),(2.69,1.81)),
        )
        createRL(
            tech, net, 'licon',
            ((1.12,0.365),(1.12,0.535),(1.29,0.535),(1.29,0.365),(1.12,0.365)),
        )
        createRL(
            tech, net, 'licon',
            ((1.12,1.2),(1.12,1.37),(1.29,1.37),(1.29,1.2),(1.12,1.2)),
        )
        createRL(
            tech, net, 'licon',
            ((2.715,0.8),(2.715,0.97),(2.885,0.97),(2.885,0.8),(2.715,0.8)),
        )
        createRL(
            tech, net, 'li',
            ((2.69,0.72),(2.69,1.12),(2.6,1.12),(2.6,1.45),(2.69,1.45),(2.69,2.06),(2.86,2.06),(2.86,1.05),(2.885,1.05),(2.885,0.72),(2.69,0.72)),
        )
        createRL(
            tech, net, 'li',
            ((1.04,0.365),(1.04,0.535),(1.12,0.535),(1.12,1.45),(1.29,1.45),(1.29,0.535),(1.37,0.535),(1.37,0.365),(1.04,0.365)),
        )
        net = nets['bl1']
        createRL(
            tech, net, 'difftap',
            ((0.395,-0.125),(0.395,0.14),(0.755,0.14),(0.755,-0.125),(0.395,-0.125)),
        )
        createRL(
            tech, net, 'licon',
            ((0.49,-0.085),(0.49,0.085),(0.66,0.085),(0.66,-0.085),(0.49,-0.085)),
        )
        createRL(
            tech, net, 'li',
            ((0.49,-0.165),(0.49,0.165),(0.66,0.165),(0.66,-0.165),(0.49,-0.165)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.49,-0.085),(0.49,0.085),(0.66,0.085),(0.66,-0.085),(0.49,-0.085)),
        )
        createRL(
            tech, net, 'm1',
            ((0.46,-0.145),(0.46,2.325),(0.69,2.325),(0.69,-0.145),(0.46,-0.145)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.575), u(0.23), u(-0.145), u(2.325),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.575), u(0.23), u(-0.145), u(2.325),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1']
        createRL(
            tech, net, 'poly',
            ((1.495,0.115),(1.495,0.14),(0.265,0.14),(0.265,0.31),(1.495,0.31),(1.495,0.385),(1.825,0.385),(1.825,0.115),(1.495,0.115)),
        )
        createRL(
            tech, net, 'licon',
            ((1.575,0.165),(1.575,0.335),(1.745,0.335),(1.745,0.165),(1.575,0.165)),
        )
        createRL(
            tech, net, 'li',
            ((1.575,0.085),(1.575,0.415),(1.745,0.415),(1.745,0.085),(1.575,0.085)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.575,0.245),(1.575,0.415),(1.745,0.415),(1.745,0.245),(1.575,0.245)),
        )
        createRL(
            tech, net, 'm1',
            ((1.5,0.185),(1.5,0.445),(1.82,0.445),(1.82,0.185),(1.5,0.185)),
        )
        createRL(
            tech, net, 'via',
            ((1.585,0.24),(1.585,0.39),(1.735,0.39),(1.735,0.24),(1.585,0.24)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,0.185),(0.0,0.445),(3.35,0.445),(3.35,0.185),(0.0,0.185)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.315), u(0.26), u(0.0), u(3.3500000000000005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.315), u(0.26), u(0.0), u(3.3500000000000005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n']
        createRL(
            tech, net, 'difftap',
            ((1.025,-0.125),(1.025,0.14),(1.385,0.14),(1.385,-0.125),(1.025,-0.125)),
        )
        createRL(
            tech, net, 'licon',
            ((1.12,-0.085),(1.12,0.085),(1.29,0.085),(1.29,-0.085),(1.12,-0.085)),
        )
        createRL(
            tech, net, 'li',
            ((1.12,-0.165),(1.12,0.165),(1.29,0.165),(1.29,-0.165),(1.12,-0.165)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.12,-0.085),(1.12,0.085),(1.29,0.085),(1.29,-0.085),(1.12,-0.085)),
        )
        createRL(
            tech, net, 'm1',
            ((1.09,-0.145),(1.09,2.325),(1.32,2.325),(1.32,-0.145),(1.09,-0.145)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.205), u(0.23), u(-0.145), u(2.325),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.205), u(0.23), u(-0.145), u(2.325),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2']
        createRL(
            tech, net, 'poly',
            ((2.37,0.14),(2.37,0.615),(1.495,0.615),(1.495,0.885),(1.825,0.885),(1.825,0.785),(2.52,0.785),(2.52,0.31),(3.085,0.31),(3.085,0.14),(2.37,0.14)),
        )
        createRL(
            tech, net, 'licon',
            ((1.575,0.665),(1.575,0.835),(1.745,0.835),(1.745,0.665),(1.575,0.665)),
        )
        createRL(
            tech, net, 'li',
            ((1.575,0.585),(1.575,0.915),(1.745,0.915),(1.745,0.585),(1.575,0.585)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.575,0.745),(1.575,0.915),(1.745,0.915),(1.745,0.745),(1.575,0.745)),
        )
        createRL(
            tech, net, 'm1',
            ((1.5,0.685),(1.5,0.945),(1.82,0.945),(1.82,0.685),(1.5,0.685)),
        )
        createRL(
            tech, net, 'via',
            ((1.585,0.74),(1.585,0.89),(1.735,0.89),(1.735,0.74),(1.585,0.74)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,0.685),(0.0,0.945),(3.35,0.945),(3.35,0.685),(0.0,0.685)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.815), u(0.26), u(0.0), u(3.3500000000000005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.815), u(0.26), u(0.0), u(3.3500000000000005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2']
        createRL(
            tech, net, 'difftap',
            ((1.935,-0.125),(1.935,0.615),(2.295,0.615),(2.295,-0.125),(1.935,-0.125)),
        )
        createRL(
            tech, net, 'licon',
            ((2.03,-0.085),(2.03,0.085),(2.2,0.085),(2.2,-0.085),(2.03,-0.085)),
        )
        createRL(
            tech, net, 'li',
            ((2.03,-0.165),(2.03,0.165),(2.2,0.165),(2.2,-0.165),(2.03,-0.165)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.03,-0.085),(2.03,0.085),(2.2,0.085),(2.2,-0.085),(2.03,-0.085)),
        )
        createRL(
            tech, net, 'm1',
            ((2.0,-0.145),(2.0,2.325),(2.23,2.325),(2.23,-0.145),(2.0,-0.145)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.115), u(0.23), u(-0.145), u(2.325),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.115), u(0.23), u(-0.145), u(2.325),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n']
        createRL(
            tech, net, 'difftap',
            ((2.595,-0.125),(2.595,0.14),(2.955,0.14),(2.955,-0.125),(2.595,-0.125)),
        )
        createRL(
            tech, net, 'licon',
            ((2.69,-0.085),(2.69,0.085),(2.86,0.085),(2.86,-0.085),(2.69,-0.085)),
        )
        createRL(
            tech, net, 'li',
            ((2.69,-0.165),(2.69,0.165),(2.86,0.165),(2.86,-0.165),(2.69,-0.165)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.69,-0.085),(2.69,0.085),(2.86,0.085),(2.86,-0.085),(2.69,-0.085)),
        )
        createRL(
            tech, net, 'm1',
            ((2.66,-0.145),(2.66,2.325),(2.89,2.325),(2.89,-0.145),(2.66,-0.145)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.775), u(0.23), u(-0.145), u(2.325),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.775), u(0.23), u(-0.145), u(2.325),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'nwm',
            ((0.0,1.59),(0.0,2.63),(3.35,2.63),(3.35,1.59),(0.0,1.59)),
        )
        createRL(
            tech, net, 'difftap',
            ((1.055,2.2),(1.055,2.45),(1.875,2.45),(1.875,2.2),(1.055,2.2)),
        )
        createRL(
            tech, net, 'difftap',
            ((0.365,2.035),(0.365,2.45),(0.785,2.45),(0.785,2.035),(0.365,2.035)),
        )
        createRL(
            tech, net, 'difftap',
            ((2.565,2.035),(2.565,2.45),(2.985,2.45),(2.985,2.035),(2.565,2.035)),
        )
        createRL(
            tech, net, 'licon',
            ((1.21,2.24),(1.21,2.41),(1.38,2.41),(1.38,2.24),(1.21,2.24)),
        )
        createRL(
            tech, net, 'licon',
            ((1.55,2.24),(1.55,2.41),(1.72,2.41),(1.72,2.24),(1.55,2.24)),
        )
        createRL(
            tech, net, 'licon',
            ((0.49,2.24),(0.49,2.41),(0.66,2.41),(0.66,2.24),(0.49,2.24)),
        )
        createRL(
            tech, net, 'licon',
            ((2.69,2.24),(2.69,2.41),(2.86,2.41),(2.86,2.24),(2.69,2.24)),
        )
        createRL(
            tech, net, 'li',
            ((0.41,2.24),(0.41,2.41),(2.94,2.41),(2.94,2.24),(0.41,2.24)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.575,2.24),(1.575,2.41),(1.745,2.41),(1.745,2.24),(1.575,2.24)),
        )
        createRL(
            tech, net, 'm1',
            ((1.53,2.005),(1.53,2.645),(1.79,2.645),(1.79,2.005),(1.53,2.005)),
        )
        createRL(
            tech, net, 'via',
            ((1.585,2.09),(1.585,2.24),(1.735,2.24),(1.735,2.09),(1.585,2.09)),
        )
        createRL(
            tech, net, 'via',
            ((1.585,2.41),(1.585,2.56),(1.735,2.56),(1.735,2.41),(1.585,2.41)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,2.035),(0.0,2.615),(3.35,2.615),(3.35,2.035),(0.0,2.035)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.325), u(0.58), u(0.0), u(3.3500000000000005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.325), u(0.58), u(0.0), u(3.3500000000000005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        nets['vdd'].setGlobal(True)
        nets['vss'].setGlobal(True)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['wl1'].setDirection(Net.Direction.IN)
        nets['wl2'].setDirection(Net.Direction.IN)
        nets['bl1'].setDirection(Net.Direction.IN)
        nets['bl1_n'].setDirection(Net.Direction.IN)
        nets['bl2'].setDirection(Net.Direction.IN)
        nets['bl2_n'].setDirection(Net.Direction.IN)

    cell = new_cells['DP8TWLDrive_30LN100WN30LP200WP_wl1']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(-3.455), u(0.0), u(0.0), u(2.325),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl_drive': Net.create(cell, 'wl_drive'),
            'wl_n': Net.create(cell, 'wl_n'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'difftap',
            ((-1.225,-0.455),(-1.225,0.66),(-0.725,0.66),(-0.725,-0.455),(-1.225,-0.455)),
        )
        createRL(
            tech, net, 'difftap',
            ((-0.125,-0.38),(-0.125,0.38),(0.125,0.38),(0.125,-0.38),(-0.125,-0.38)),
        )
        createRL(
            tech, net, 'difftap',
            ((-1.225,1.665),(-1.225,2.78),(-0.725,2.78),(-0.725,1.665),(-1.225,1.665)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,-0.255),(-1.06,-0.085),(-0.89,-0.085),(-0.89,-0.255),(-1.06,-0.255)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,0.085),(-1.06,0.255),(-0.89,0.255),(-0.89,0.085),(-1.06,0.085)),
        )
        createRL(
            tech, net, 'licon',
            ((-0.085,-0.255),(-0.085,-0.085),(0.085,-0.085),(0.085,-0.255),(-0.085,-0.255)),
        )
        createRL(
            tech, net, 'licon',
            ((-0.085,0.085),(-0.085,0.255),(0.085,0.255),(0.085,0.085),(-0.085,0.085)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,2.07),(-1.06,2.24),(-0.89,2.24),(-0.89,2.07),(-1.06,2.07)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,2.41),(-1.06,2.58),(-0.89,2.58),(-0.89,2.41),(-1.06,2.41)),
        )
        createRL(
            tech, net, 'li',
            ((-1.225,2.07),(-1.225,2.58),(-0.725,2.58),(-0.725,2.07),(-1.225,2.07)),
        )
        createRL(
            tech, net, 'li',
            ((-1.225,-0.255),(-1.225,0.255),(0.165,0.255),(0.165,-0.255),(-1.225,-0.255)),
        )
        createRL(
            tech, net, 'mcon',
            ((-1.06,2.24),(-1.06,2.41),(-0.89,2.41),(-0.89,2.24),(-1.06,2.24)),
        )
        createRL(
            tech, net, 'mcon',
            ((-1.06,-0.085),(-1.06,0.085),(-0.89,0.085),(-0.89,-0.085),(-1.06,-0.085)),
        )
        createRL(
            tech, net, 'm1',
            ((-1.695,-0.115),(-1.695,2.44),(-0.67,2.44),(-0.67,-0.115),(-1.695,-0.115)),
        )
        createRL(
            tech, net, 'via',
            ((-1.05,1.37),(-1.05,1.52),(-0.9,1.52),(-0.9,1.37),(-1.05,1.37)),
        )
        createRL(
            tech, net, 'via',
            ((-1.05,1.69),(-1.05,1.84),(-0.9,1.84),(-0.9,1.69),(-1.05,1.69)),
        )
        createRL(
            tech, net, 'm2',
            ((-3.455,1.315),(-3.455,1.895),(0.0,1.895),(0.0,1.315),(-3.455,1.315)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.605), u(0.58), u(-3.455), u(0.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.605), u(0.58), u(-3.455), u(0.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_drive']
        createRL(
            tech, net, 'difftap',
            ((-1.225,0.66),(-1.225,1.665),(-0.725,1.665),(-0.725,0.66),(-1.225,0.66)),
        )
        createRL(
            tech, net, 'difftap',
            ((-2.835,0.66),(-2.835,1.665),(-1.835,1.665),(-1.835,0.66),(-2.835,0.66)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,0.91),(-1.06,1.08),(-0.89,1.08),(-0.89,0.91),(-1.06,0.91)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,1.25),(-1.06,1.42),(-0.89,1.42),(-0.89,1.25),(-1.06,1.25)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.76,0.91),(-2.76,1.08),(-2.59,1.08),(-2.59,0.91),(-2.76,0.91)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.42,0.91),(-2.42,1.08),(-2.25,1.08),(-2.25,0.91),(-2.42,0.91)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.08,0.91),(-2.08,1.08),(-1.91,1.08),(-1.91,0.91),(-2.08,0.91)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.76,1.25),(-2.76,1.42),(-2.59,1.42),(-2.59,1.25),(-2.76,1.25)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.42,1.25),(-2.42,1.42),(-2.25,1.42),(-2.25,1.25),(-2.42,1.25)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.08,1.25),(-2.08,1.42),(-1.91,1.42),(-1.91,1.25),(-2.08,1.25)),
        )
        createRL(
            tech, net, 'li',
            ((-2.84,0.91),(-2.84,1.42),(-0.315,1.42),(-0.315,0.91),(-2.84,0.91)),
        )
        createRL(
            tech, net, 'm1',
            ((-0.53,0.155),(-0.53,1.31),(-0.27,1.31),(-0.27,0.155),(-0.53,0.155)),
        )
        createRL(
            tech, net, 'via',
            ((-0.475,0.24),(-0.475,0.39),(-0.325,0.39),(-0.325,0.24),(-0.475,0.24)),
        )
        createRL(
            tech, net, 'm2',
            ((-0.56,0.185),(-0.56,0.445),(0.0,0.445),(0.0,0.185),(-0.56,0.185)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.315), u(0.26), u(-0.56), u(0.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.315), u(0.26), u(-0.56), u(0.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        createRL(
            tech, net, 'mcon',
            ((-0.485,1.08),(-0.485,1.25),(-0.315,1.25),(-0.315,1.08),(-0.485,1.08)),
        )
        net = nets['*']
        createRL(
            tech, net, 'nsdm',
            ((-3.785,2.075),(-3.785,2.575),(-3.125,2.575),(-3.125,2.075),(-3.785,2.075)),
        )
        createRL(
            tech, net, 'nsdm',
            ((-1.35,-0.58),(-1.35,2.905),(-0.6,2.905),(-0.6,1.135),(0.0,1.135),(0.0,0.525),(-0.6,0.525),(-0.6,-0.58),(-1.35,-0.58)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((-1.23,0.505),(-1.23,0.665),(-0.72,0.665),(-0.72,0.505),(-1.23,0.505)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((-1.23,1.66),(-1.23,1.82),(-0.72,1.82),(-0.72,1.66),(-1.23,1.66)),
        )
        createRL(
            tech, net, 'psdm',
            ((-0.25,-0.505),(-0.25,0.505),(0.25,0.505),(0.25,-0.505),(-0.25,-0.505)),
        )
        createRL(
            tech, net, 'psdm',
            ((-2.96,-0.58),(-2.96,0.51),(-3.245,0.51),(-3.245,1.81),(-2.96,1.81),(-2.96,2.905),(-1.71,2.905),(-1.71,-0.58),(-2.96,-0.58)),
        )
        createRL(
            tech, net, 'prBoundary',
            ((-3.455,0.0),(-3.455,2.325),(0.0,2.325),(0.0,0.0),(-3.455,0.0)),
        )
        net = nets['wl_n']
        createRL(
            tech, net, 'poly',
            ((-3.245,0.51),(-3.245,1.815),(-0.595,1.815),(-0.595,1.665),(-2.975,1.665),(-2.975,0.66),(-0.595,0.66),(-0.595,0.51),(-3.245,0.51)),
        )
        createRL(
            tech, net, 'licon',
            ((-3.195,0.735),(-3.195,0.905),(-3.025,0.905),(-3.025,0.735),(-3.195,0.735)),
        )
        createRL(
            tech, net, 'licon',
            ((-3.195,1.075),(-3.195,1.245),(-3.025,1.245),(-3.025,1.075),(-3.195,1.075)),
        )
        createRL(
            tech, net, 'licon',
            ((-3.195,1.415),(-3.195,1.585),(-3.025,1.585),(-3.025,1.415),(-3.195,1.415)),
        )
        createRL(
            tech, net, 'li',
            ((-3.455,0.655),(-3.455,1.665),(-3.025,1.665),(-3.025,0.655),(-3.455,0.655)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(-3.24), u(0.43), u(0.655), u(1.665),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(-3.24), u(0.43), u(0.655), u(1.665),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'difftap',
            ((-3.66,2.2),(-3.66,2.45),(-3.25,2.45),(-3.25,2.2),(-3.66,2.2)),
        )
        createRL(
            tech, net, 'difftap',
            ((-2.835,-0.455),(-2.835,0.66),(-1.835,0.66),(-1.835,-0.455),(-2.835,-0.455)),
        )
        createRL(
            tech, net, 'difftap',
            ((-2.835,1.665),(-2.835,2.78),(-1.835,2.78),(-1.835,1.665),(-2.835,1.665)),
        )
        createRL(
            tech, net, 'nwm',
            ((-3.015,-0.635),(-3.015,1.905),(-3.84,1.905),(-3.84,2.745),(-3.015,2.745),(-3.015,2.96),(-1.655,2.96),(-1.655,-0.635),(-3.015,-0.635)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.59,2.07),(-2.59,2.24),(-2.42,2.24),(-2.42,2.07),(-2.59,2.07)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.25,2.07),(-2.25,2.24),(-2.08,2.24),(-2.08,2.07),(-2.25,2.07)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.59,2.41),(-2.59,2.58),(-2.42,2.58),(-2.42,2.41),(-2.59,2.41)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.25,2.41),(-2.25,2.58),(-2.08,2.58),(-2.08,2.41),(-2.25,2.41)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.59,-0.255),(-2.59,-0.085),(-2.42,-0.085),(-2.42,-0.255),(-2.59,-0.255)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.25,-0.255),(-2.25,-0.085),(-2.08,-0.085),(-2.08,-0.255),(-2.25,-0.255)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.59,0.085),(-2.59,0.255),(-2.42,0.255),(-2.42,0.085),(-2.59,0.085)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.25,0.085),(-2.25,0.255),(-2.08,0.255),(-2.08,0.085),(-2.25,0.085)),
        )
        createRL(
            tech, net, 'licon',
            ((-3.54,2.24),(-3.54,2.41),(-3.37,2.41),(-3.37,2.24),(-3.54,2.24)),
        )
        createRL(
            tech, net, 'li',
            ((-2.835,-0.255),(-2.835,0.255),(-1.835,0.255),(-1.835,-0.255),(-2.835,-0.255)),
        )
        createRL(
            tech, net, 'li',
            ((-2.835,2.07),(-2.835,2.24),(-3.62,2.24),(-3.62,2.41),(-2.835,2.41),(-2.835,2.58),(-1.835,2.58),(-1.835,2.07),(-2.835,2.07)),
        )
        createRL(
            tech, net, 'mcon',
            ((-2.6,2.24),(-2.6,2.41),(-2.43,2.41),(-2.43,2.24),(-2.6,2.24)),
        )
        createRL(
            tech, net, 'mcon',
            ((-2.24,2.24),(-2.24,2.41),(-2.07,2.41),(-2.07,2.24),(-2.24,2.24)),
        )
        createRL(
            tech, net, 'mcon',
            ((-2.6,-0.085),(-2.6,0.085),(-2.43,0.085),(-2.43,-0.085),(-2.6,-0.085)),
        )
        createRL(
            tech, net, 'mcon',
            ((-2.24,-0.085),(-2.24,0.085),(-2.07,0.085),(-2.07,-0.085),(-2.24,-0.085)),
        )
        createRL(
            tech, net, 'm1',
            ((-2.835,-0.115),(-2.835,2.615),(-1.835,2.615),(-1.835,-0.115),(-2.835,-0.115)),
        )
        createRL(
            tech, net, 'via',
            ((-2.73,2.09),(-2.73,2.24),(-2.58,2.24),(-2.58,2.09),(-2.73,2.09)),
        )
        createRL(
            tech, net, 'via',
            ((-2.41,2.09),(-2.41,2.24),(-2.26,2.24),(-2.26,2.09),(-2.41,2.09)),
        )
        createRL(
            tech, net, 'via',
            ((-2.09,2.09),(-2.09,2.24),(-1.94,2.24),(-1.94,2.09),(-2.09,2.09)),
        )
        createRL(
            tech, net, 'via',
            ((-2.73,2.41),(-2.73,2.56),(-2.58,2.56),(-2.58,2.41),(-2.73,2.41)),
        )
        createRL(
            tech, net, 'via',
            ((-2.41,2.41),(-2.41,2.56),(-2.26,2.56),(-2.26,2.41),(-2.41,2.41)),
        )
        createRL(
            tech, net, 'via',
            ((-2.09,2.41),(-2.09,2.56),(-1.94,2.56),(-1.94,2.41),(-2.09,2.41)),
        )
        createRL(
            tech, net, 'm2',
            ((-3.455,2.035),(-3.455,2.615),(0.0,2.615),(0.0,2.035),(-3.455,2.035)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.325), u(0.58), u(-3.455), u(0.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.325), u(0.58), u(-3.455), u(0.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl_n'].setDirection(Net.Direction.IN)
        nets['wl_drive'].setDirection(Net.Direction.IN)

    cell = new_cells['DP8TRowDecoder_3_4B_wl2']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(27.459999999999994), u(297.6),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'a[0]': Net.create(cell, 'a[0]'),
            'a[1]': Net.create(cell, 'a[1]'),
            'a[2]': Net.create(cell, 'a[2]'),
            'a[3]': Net.create(cell, 'a[3]'),
            'a[4]': Net.create(cell, 'a[4]'),
            'a[5]': Net.create(cell, 'a[5]'),
            'a[6]': Net.create(cell, 'a[6]'),
            'clk': Net.create(cell, 'clk'),
            'pd[0][0]': Net.create(cell, 'pd[0][0]'),
            'pd[0][1]': Net.create(cell, 'pd[0][1]'),
            'pd[0][2]': Net.create(cell, 'pd[0][2]'),
            'pd[0][3]': Net.create(cell, 'pd[0][3]'),
            'pd[0][4]': Net.create(cell, 'pd[0][4]'),
            'pd[0][5]': Net.create(cell, 'pd[0][5]'),
            'pd[0][6]': Net.create(cell, 'pd[0][6]'),
            'pd[0][7]': Net.create(cell, 'pd[0][7]'),
            'pd[1][0]': Net.create(cell, 'pd[1][0]'),
            'pd[1][10]': Net.create(cell, 'pd[1][10]'),
            'pd[1][11]': Net.create(cell, 'pd[1][11]'),
            'pd[1][12]': Net.create(cell, 'pd[1][12]'),
            'pd[1][13]': Net.create(cell, 'pd[1][13]'),
            'pd[1][14]': Net.create(cell, 'pd[1][14]'),
            'pd[1][15]': Net.create(cell, 'pd[1][15]'),
            'pd[1][1]': Net.create(cell, 'pd[1][1]'),
            'pd[1][2]': Net.create(cell, 'pd[1][2]'),
            'pd[1][3]': Net.create(cell, 'pd[1][3]'),
            'pd[1][4]': Net.create(cell, 'pd[1][4]'),
            'pd[1][5]': Net.create(cell, 'pd[1][5]'),
            'pd[1][6]': Net.create(cell, 'pd[1][6]'),
            'pd[1][7]': Net.create(cell, 'pd[1][7]'),
            'pd[1][8]': Net.create(cell, 'pd[1][8]'),
            'pd[1][9]': Net.create(cell, 'pd[1][9]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[100]': Net.create(cell, 'wl[100]'),
            'wl[101]': Net.create(cell, 'wl[101]'),
            'wl[102]': Net.create(cell, 'wl[102]'),
            'wl[103]': Net.create(cell, 'wl[103]'),
            'wl[104]': Net.create(cell, 'wl[104]'),
            'wl[105]': Net.create(cell, 'wl[105]'),
            'wl[106]': Net.create(cell, 'wl[106]'),
            'wl[107]': Net.create(cell, 'wl[107]'),
            'wl[108]': Net.create(cell, 'wl[108]'),
            'wl[109]': Net.create(cell, 'wl[109]'),
            'wl[10]': Net.create(cell, 'wl[10]'),
            'wl[110]': Net.create(cell, 'wl[110]'),
            'wl[111]': Net.create(cell, 'wl[111]'),
            'wl[112]': Net.create(cell, 'wl[112]'),
            'wl[113]': Net.create(cell, 'wl[113]'),
            'wl[114]': Net.create(cell, 'wl[114]'),
            'wl[115]': Net.create(cell, 'wl[115]'),
            'wl[116]': Net.create(cell, 'wl[116]'),
            'wl[117]': Net.create(cell, 'wl[117]'),
            'wl[118]': Net.create(cell, 'wl[118]'),
            'wl[119]': Net.create(cell, 'wl[119]'),
            'wl[11]': Net.create(cell, 'wl[11]'),
            'wl[120]': Net.create(cell, 'wl[120]'),
            'wl[121]': Net.create(cell, 'wl[121]'),
            'wl[122]': Net.create(cell, 'wl[122]'),
            'wl[123]': Net.create(cell, 'wl[123]'),
            'wl[124]': Net.create(cell, 'wl[124]'),
            'wl[125]': Net.create(cell, 'wl[125]'),
            'wl[126]': Net.create(cell, 'wl[126]'),
            'wl[127]': Net.create(cell, 'wl[127]'),
            'wl[12]': Net.create(cell, 'wl[12]'),
            'wl[13]': Net.create(cell, 'wl[13]'),
            'wl[14]': Net.create(cell, 'wl[14]'),
            'wl[15]': Net.create(cell, 'wl[15]'),
            'wl[16]': Net.create(cell, 'wl[16]'),
            'wl[17]': Net.create(cell, 'wl[17]'),
            'wl[18]': Net.create(cell, 'wl[18]'),
            'wl[19]': Net.create(cell, 'wl[19]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[20]': Net.create(cell, 'wl[20]'),
            'wl[21]': Net.create(cell, 'wl[21]'),
            'wl[22]': Net.create(cell, 'wl[22]'),
            'wl[23]': Net.create(cell, 'wl[23]'),
            'wl[24]': Net.create(cell, 'wl[24]'),
            'wl[25]': Net.create(cell, 'wl[25]'),
            'wl[26]': Net.create(cell, 'wl[26]'),
            'wl[27]': Net.create(cell, 'wl[27]'),
            'wl[28]': Net.create(cell, 'wl[28]'),
            'wl[29]': Net.create(cell, 'wl[29]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[30]': Net.create(cell, 'wl[30]'),
            'wl[31]': Net.create(cell, 'wl[31]'),
            'wl[32]': Net.create(cell, 'wl[32]'),
            'wl[33]': Net.create(cell, 'wl[33]'),
            'wl[34]': Net.create(cell, 'wl[34]'),
            'wl[35]': Net.create(cell, 'wl[35]'),
            'wl[36]': Net.create(cell, 'wl[36]'),
            'wl[37]': Net.create(cell, 'wl[37]'),
            'wl[38]': Net.create(cell, 'wl[38]'),
            'wl[39]': Net.create(cell, 'wl[39]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
            'wl[40]': Net.create(cell, 'wl[40]'),
            'wl[41]': Net.create(cell, 'wl[41]'),
            'wl[42]': Net.create(cell, 'wl[42]'),
            'wl[43]': Net.create(cell, 'wl[43]'),
            'wl[44]': Net.create(cell, 'wl[44]'),
            'wl[45]': Net.create(cell, 'wl[45]'),
            'wl[46]': Net.create(cell, 'wl[46]'),
            'wl[47]': Net.create(cell, 'wl[47]'),
            'wl[48]': Net.create(cell, 'wl[48]'),
            'wl[49]': Net.create(cell, 'wl[49]'),
            'wl[4]': Net.create(cell, 'wl[4]'),
            'wl[50]': Net.create(cell, 'wl[50]'),
            'wl[51]': Net.create(cell, 'wl[51]'),
            'wl[52]': Net.create(cell, 'wl[52]'),
            'wl[53]': Net.create(cell, 'wl[53]'),
            'wl[54]': Net.create(cell, 'wl[54]'),
            'wl[55]': Net.create(cell, 'wl[55]'),
            'wl[56]': Net.create(cell, 'wl[56]'),
            'wl[57]': Net.create(cell, 'wl[57]'),
            'wl[58]': Net.create(cell, 'wl[58]'),
            'wl[59]': Net.create(cell, 'wl[59]'),
            'wl[5]': Net.create(cell, 'wl[5]'),
            'wl[60]': Net.create(cell, 'wl[60]'),
            'wl[61]': Net.create(cell, 'wl[61]'),
            'wl[62]': Net.create(cell, 'wl[62]'),
            'wl[63]': Net.create(cell, 'wl[63]'),
            'wl[64]': Net.create(cell, 'wl[64]'),
            'wl[65]': Net.create(cell, 'wl[65]'),
            'wl[66]': Net.create(cell, 'wl[66]'),
            'wl[67]': Net.create(cell, 'wl[67]'),
            'wl[68]': Net.create(cell, 'wl[68]'),
            'wl[69]': Net.create(cell, 'wl[69]'),
            'wl[6]': Net.create(cell, 'wl[6]'),
            'wl[70]': Net.create(cell, 'wl[70]'),
            'wl[71]': Net.create(cell, 'wl[71]'),
            'wl[72]': Net.create(cell, 'wl[72]'),
            'wl[73]': Net.create(cell, 'wl[73]'),
            'wl[74]': Net.create(cell, 'wl[74]'),
            'wl[75]': Net.create(cell, 'wl[75]'),
            'wl[76]': Net.create(cell, 'wl[76]'),
            'wl[77]': Net.create(cell, 'wl[77]'),
            'wl[78]': Net.create(cell, 'wl[78]'),
            'wl[79]': Net.create(cell, 'wl[79]'),
            'wl[7]': Net.create(cell, 'wl[7]'),
            'wl[80]': Net.create(cell, 'wl[80]'),
            'wl[81]': Net.create(cell, 'wl[81]'),
            'wl[82]': Net.create(cell, 'wl[82]'),
            'wl[83]': Net.create(cell, 'wl[83]'),
            'wl[84]': Net.create(cell, 'wl[84]'),
            'wl[85]': Net.create(cell, 'wl[85]'),
            'wl[86]': Net.create(cell, 'wl[86]'),
            'wl[87]': Net.create(cell, 'wl[87]'),
            'wl[88]': Net.create(cell, 'wl[88]'),
            'wl[89]': Net.create(cell, 'wl[89]'),
            'wl[8]': Net.create(cell, 'wl[8]'),
            'wl[90]': Net.create(cell, 'wl[90]'),
            'wl[91]': Net.create(cell, 'wl[91]'),
            'wl[92]': Net.create(cell, 'wl[92]'),
            'wl[93]': Net.create(cell, 'wl[93]'),
            'wl[94]': Net.create(cell, 'wl[94]'),
            'wl[95]': Net.create(cell, 'wl[95]'),
            'wl[96]': Net.create(cell, 'wl[96]'),
            'wl[97]': Net.create(cell, 'wl[97]'),
            'wl[98]': Net.create(cell, 'wl[98]'),
            'wl[99]': Net.create(cell, 'wl[99]'),
            'wl[9]': Net.create(cell, 'wl[9]'),
            'wl_en': Net.create(cell, 'wl_en'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,295.145),(0.0,295.405),(24.005,295.405),(24.005,295.145),(0.0,295.145)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,90.545),(0.0,90.805),(24.005,90.805),(24.005,90.545),(0.0,90.545)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,202.145),(0.0,202.405),(24.005,202.405),(24.005,202.145),(0.0,202.145)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,239.345),(0.0,239.605),(24.005,239.605),(24.005,239.345),(0.0,239.345)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,127.745),(0.0,128.005),(24.005,128.005),(24.005,127.745),(0.0,127.745)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,164.945),(0.0,165.205),(24.005,165.205),(24.005,164.945),(0.0,164.945)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,146.345),(0.0,146.605),(24.005,146.605),(24.005,146.345),(0.0,146.345)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,220.745),(0.0,221.005),(24.005,221.005),(24.005,220.745),(0.0,220.745)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,257.945),(0.0,258.205),(24.005,258.205),(24.005,257.945),(0.0,257.945)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,109.145),(0.0,109.405),(24.005,109.405),(24.005,109.145),(0.0,109.145)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,276.545),(0.0,276.805),(24.005,276.805),(24.005,276.545),(0.0,276.545)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,183.545),(0.0,183.805),(24.005,183.805),(24.005,183.545),(0.0,183.545)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(295.275), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(295.275), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.675), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.675), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(202.275), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(202.275), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(239.475), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(239.475), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(127.875), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(127.875), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(165.075), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(165.075), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(146.475), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(146.475), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(220.875), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(220.875), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(258.075), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(258.075), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(109.275), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(109.275), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(276.675), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(276.675), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(183.675), u(0.26), u(0.0), u(24.005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(183.675), u(0.26), u(0.0), u(24.005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        createRL(
            tech, net, 'li',
            ((8.8,276.545),(8.8,276.805),(11.2,276.805),(11.2,276.545),(8.8,276.545)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,295.145),(8.8,295.405),(11.2,295.405),(11.2,295.145),(8.8,295.145)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,164.945),(8.8,165.205),(11.2,165.205),(11.2,164.945),(8.8,164.945)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,127.745),(8.8,128.005),(11.2,128.005),(11.2,127.745),(8.8,127.745)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,257.945),(8.8,258.205),(11.2,258.205),(11.2,257.945),(8.8,257.945)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,146.345),(8.8,146.605),(11.2,146.605),(11.2,146.345),(8.8,146.345)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,109.145),(8.8,109.405),(11.2,109.405),(11.2,109.145),(8.8,109.145)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,202.145),(8.8,202.405),(11.2,202.405),(11.2,202.145),(8.8,202.145)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,220.745),(8.8,221.005),(11.2,221.005),(11.2,220.745),(8.8,220.745)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,183.545),(8.8,183.805),(11.2,183.805),(11.2,183.545),(8.8,183.545)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,90.545),(8.8,90.805),(11.2,90.805),(11.2,90.545),(8.8,90.545)),
        )
        createRL(
            tech, net, 'li',
            ((8.8,239.345),(8.8,239.605),(11.2,239.605),(11.2,239.345),(8.8,239.345)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,276.59),(8.955,276.76),(9.125,276.76),(9.125,276.59),(8.955,276.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,276.59),(9.315,276.76),(9.485,276.76),(9.485,276.59),(9.315,276.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,276.59),(9.675,276.76),(9.845,276.76),(9.845,276.59),(9.675,276.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,202.19),(8.955,202.36),(9.125,202.36),(9.125,202.19),(8.955,202.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,202.19),(9.315,202.36),(9.485,202.36),(9.485,202.19),(9.315,202.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,202.19),(9.675,202.36),(9.845,202.36),(9.845,202.19),(9.675,202.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,146.39),(8.955,146.56),(9.125,146.56),(9.125,146.39),(8.955,146.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,146.39),(9.315,146.56),(9.485,146.56),(9.485,146.39),(9.315,146.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,146.39),(9.675,146.56),(9.845,146.56),(9.845,146.39),(9.675,146.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,295.19),(10.155,295.36),(10.325,295.36),(10.325,295.19),(10.155,295.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,295.19),(10.515,295.36),(10.685,295.36),(10.685,295.19),(10.515,295.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,295.19),(10.875,295.36),(11.045,295.36),(11.045,295.19),(10.875,295.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,164.99),(8.955,165.16),(9.125,165.16),(9.125,164.99),(8.955,164.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,164.99),(9.315,165.16),(9.485,165.16),(9.485,164.99),(9.315,164.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,164.99),(9.675,165.16),(9.845,165.16),(9.845,164.99),(9.675,164.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,257.99),(8.955,258.16),(9.125,258.16),(9.125,257.99),(8.955,257.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,257.99),(9.315,258.16),(9.485,258.16),(9.485,257.99),(9.315,257.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,257.99),(9.675,258.16),(9.845,258.16),(9.845,257.99),(9.675,257.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,90.59),(10.155,90.76),(10.325,90.76),(10.325,90.59),(10.155,90.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,90.59),(10.515,90.76),(10.685,90.76),(10.685,90.59),(10.515,90.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,90.59),(10.875,90.76),(11.045,90.76),(11.045,90.59),(10.875,90.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,127.79),(10.155,127.96),(10.325,127.96),(10.325,127.79),(10.155,127.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,127.79),(10.515,127.96),(10.685,127.96),(10.685,127.79),(10.515,127.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,127.79),(10.875,127.96),(11.045,127.96),(11.045,127.79),(10.875,127.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,295.19),(8.955,295.36),(9.125,295.36),(9.125,295.19),(8.955,295.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,295.19),(9.315,295.36),(9.485,295.36),(9.485,295.19),(9.315,295.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,295.19),(9.675,295.36),(9.845,295.36),(9.845,295.19),(9.675,295.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,109.19),(8.955,109.36),(9.125,109.36),(9.125,109.19),(8.955,109.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,109.19),(9.315,109.36),(9.485,109.36),(9.485,109.19),(9.315,109.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,109.19),(9.675,109.36),(9.845,109.36),(9.845,109.19),(9.675,109.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,220.79),(8.955,220.96),(9.125,220.96),(9.125,220.79),(8.955,220.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,220.79),(9.315,220.96),(9.485,220.96),(9.485,220.79),(9.315,220.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,220.79),(9.675,220.96),(9.845,220.96),(9.845,220.79),(9.675,220.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,239.39),(8.955,239.56),(9.125,239.56),(9.125,239.39),(8.955,239.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,239.39),(9.315,239.56),(9.485,239.56),(9.485,239.39),(9.315,239.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,239.39),(9.675,239.56),(9.845,239.56),(9.845,239.39),(9.675,239.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,202.19),(10.155,202.36),(10.325,202.36),(10.325,202.19),(10.155,202.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,202.19),(10.515,202.36),(10.685,202.36),(10.685,202.19),(10.515,202.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,202.19),(10.875,202.36),(11.045,202.36),(11.045,202.19),(10.875,202.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,257.99),(10.155,258.16),(10.325,258.16),(10.325,257.99),(10.155,257.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,257.99),(10.515,258.16),(10.685,258.16),(10.685,257.99),(10.515,257.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,257.99),(10.875,258.16),(11.045,258.16),(11.045,257.99),(10.875,257.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,183.59),(10.155,183.76),(10.325,183.76),(10.325,183.59),(10.155,183.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,183.59),(10.515,183.76),(10.685,183.76),(10.685,183.59),(10.515,183.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,183.59),(10.875,183.76),(11.045,183.76),(11.045,183.59),(10.875,183.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,109.19),(10.155,109.36),(10.325,109.36),(10.325,109.19),(10.155,109.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,109.19),(10.515,109.36),(10.685,109.36),(10.685,109.19),(10.515,109.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,109.19),(10.875,109.36),(11.045,109.36),(11.045,109.19),(10.875,109.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,90.59),(8.955,90.76),(9.125,90.76),(9.125,90.59),(8.955,90.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,90.59),(9.315,90.76),(9.485,90.76),(9.485,90.59),(9.315,90.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,90.59),(9.675,90.76),(9.845,90.76),(9.845,90.59),(9.675,90.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,164.99),(10.155,165.16),(10.325,165.16),(10.325,164.99),(10.155,164.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,164.99),(10.515,165.16),(10.685,165.16),(10.685,164.99),(10.515,164.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,164.99),(10.875,165.16),(11.045,165.16),(11.045,164.99),(10.875,164.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,146.39),(10.155,146.56),(10.325,146.56),(10.325,146.39),(10.155,146.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,146.39),(10.515,146.56),(10.685,146.56),(10.685,146.39),(10.515,146.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,146.39),(10.875,146.56),(11.045,146.56),(11.045,146.39),(10.875,146.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,183.59),(8.955,183.76),(9.125,183.76),(9.125,183.59),(8.955,183.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,183.59),(9.315,183.76),(9.485,183.76),(9.485,183.59),(9.315,183.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,183.59),(9.675,183.76),(9.845,183.76),(9.845,183.59),(9.675,183.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,220.79),(10.155,220.96),(10.325,220.96),(10.325,220.79),(10.155,220.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,220.79),(10.515,220.96),(10.685,220.96),(10.685,220.79),(10.515,220.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,220.79),(10.875,220.96),(11.045,220.96),(11.045,220.79),(10.875,220.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,239.39),(10.155,239.56),(10.325,239.56),(10.325,239.39),(10.155,239.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,239.39),(10.515,239.56),(10.685,239.56),(10.685,239.39),(10.515,239.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,239.39),(10.875,239.56),(11.045,239.56),(11.045,239.39),(10.875,239.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((8.955,127.79),(8.955,127.96),(9.125,127.96),(9.125,127.79),(8.955,127.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.315,127.79),(9.315,127.96),(9.485,127.96),(9.485,127.79),(9.315,127.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((9.675,127.79),(9.675,127.96),(9.845,127.96),(9.845,127.79),(9.675,127.79)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.155,276.59),(10.155,276.76),(10.325,276.76),(10.325,276.59),(10.155,276.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.515,276.59),(10.515,276.76),(10.685,276.76),(10.685,276.59),(10.515,276.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((10.875,276.59),(10.875,276.76),(11.045,276.76),(11.045,276.59),(10.875,276.59)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,276.545),(8.8,276.805),(11.2,276.805),(11.2,276.545),(8.8,276.545)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,295.145),(8.8,295.405),(11.2,295.405),(11.2,295.145),(8.8,295.145)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,164.945),(8.8,165.205),(11.2,165.205),(11.2,164.945),(8.8,164.945)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,127.745),(8.8,128.005),(11.2,128.005),(11.2,127.745),(8.8,127.745)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,257.945),(8.8,258.205),(11.2,258.205),(11.2,257.945),(8.8,257.945)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,146.345),(8.8,146.605),(11.2,146.605),(11.2,146.345),(8.8,146.345)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,109.145),(8.8,109.405),(11.2,109.405),(11.2,109.145),(8.8,109.145)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,202.145),(8.8,202.405),(11.2,202.405),(11.2,202.145),(8.8,202.145)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,220.745),(8.8,221.005),(11.2,221.005),(11.2,220.745),(8.8,220.745)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,183.545),(8.8,183.805),(11.2,183.805),(11.2,183.545),(8.8,183.545)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,90.545),(8.8,90.805),(11.2,90.805),(11.2,90.545),(8.8,90.545)),
        )
        createRL(
            tech, net, 'm1',
            ((8.8,239.345),(8.8,239.605),(11.2,239.605),(11.2,239.345),(8.8,239.345)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,90.6),(10.205,90.75),(10.355,90.75),(10.355,90.6),(10.205,90.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,90.6),(10.525,90.75),(10.675,90.75),(10.675,90.6),(10.525,90.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,90.6),(10.845,90.75),(10.995,90.75),(10.995,90.6),(10.845,90.6)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,295.2),(9.005,295.35),(9.155,295.35),(9.155,295.2),(9.005,295.2)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,295.2),(9.325,295.35),(9.475,295.35),(9.475,295.2),(9.325,295.2)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,295.2),(9.645,295.35),(9.795,295.35),(9.795,295.2),(9.645,295.2)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,146.4),(10.205,146.55),(10.355,146.55),(10.355,146.4),(10.205,146.4)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,146.4),(10.525,146.55),(10.675,146.55),(10.675,146.4),(10.525,146.4)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,146.4),(10.845,146.55),(10.995,146.55),(10.995,146.4),(10.845,146.4)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,183.6),(9.005,183.75),(9.155,183.75),(9.155,183.6),(9.005,183.6)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,183.6),(9.325,183.75),(9.475,183.75),(9.475,183.6),(9.325,183.6)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,183.6),(9.645,183.75),(9.795,183.75),(9.795,183.6),(9.645,183.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,109.2),(10.205,109.35),(10.355,109.35),(10.355,109.2),(10.205,109.2)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,109.2),(10.525,109.35),(10.675,109.35),(10.675,109.2),(10.525,109.2)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,109.2),(10.845,109.35),(10.995,109.35),(10.995,109.2),(10.845,109.2)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,202.2),(9.005,202.35),(9.155,202.35),(9.155,202.2),(9.005,202.2)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,202.2),(9.325,202.35),(9.475,202.35),(9.475,202.2),(9.325,202.2)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,202.2),(9.645,202.35),(9.795,202.35),(9.795,202.2),(9.645,202.2)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,258.0),(9.005,258.15),(9.155,258.15),(9.155,258.0),(9.005,258.0)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,258.0),(9.325,258.15),(9.475,258.15),(9.475,258.0),(9.325,258.0)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,258.0),(9.645,258.15),(9.795,258.15),(9.795,258.0),(9.645,258.0)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,276.6),(10.205,276.75),(10.355,276.75),(10.355,276.6),(10.205,276.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,276.6),(10.525,276.75),(10.675,276.75),(10.675,276.6),(10.525,276.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,276.6),(10.845,276.75),(10.995,276.75),(10.995,276.6),(10.845,276.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,183.6),(10.205,183.75),(10.355,183.75),(10.355,183.6),(10.205,183.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,183.6),(10.525,183.75),(10.675,183.75),(10.675,183.6),(10.525,183.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,183.6),(10.845,183.75),(10.995,183.75),(10.995,183.6),(10.845,183.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,202.2),(10.205,202.35),(10.355,202.35),(10.355,202.2),(10.205,202.2)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,202.2),(10.525,202.35),(10.675,202.35),(10.675,202.2),(10.525,202.2)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,202.2),(10.845,202.35),(10.995,202.35),(10.995,202.2),(10.845,202.2)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,220.8),(10.205,220.95),(10.355,220.95),(10.355,220.8),(10.205,220.8)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,220.8),(10.525,220.95),(10.675,220.95),(10.675,220.8),(10.525,220.8)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,220.8),(10.845,220.95),(10.995,220.95),(10.995,220.8),(10.845,220.8)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,239.4),(10.205,239.55),(10.355,239.55),(10.355,239.4),(10.205,239.4)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,239.4),(10.525,239.55),(10.675,239.55),(10.675,239.4),(10.525,239.4)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,239.4),(10.845,239.55),(10.995,239.55),(10.995,239.4),(10.845,239.4)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,127.8),(9.005,127.95),(9.155,127.95),(9.155,127.8),(9.005,127.8)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,127.8),(9.325,127.95),(9.475,127.95),(9.475,127.8),(9.325,127.8)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,127.8),(9.645,127.95),(9.795,127.95),(9.795,127.8),(9.645,127.8)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,165.0),(9.005,165.15),(9.155,165.15),(9.155,165.0),(9.005,165.0)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,165.0),(9.325,165.15),(9.475,165.15),(9.475,165.0),(9.325,165.0)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,165.0),(9.645,165.15),(9.795,165.15),(9.795,165.0),(9.645,165.0)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,165.0),(10.205,165.15),(10.355,165.15),(10.355,165.0),(10.205,165.0)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,165.0),(10.525,165.15),(10.675,165.15),(10.675,165.0),(10.525,165.0)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,165.0),(10.845,165.15),(10.995,165.15),(10.995,165.0),(10.845,165.0)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,90.6),(9.005,90.75),(9.155,90.75),(9.155,90.6),(9.005,90.6)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,90.6),(9.325,90.75),(9.475,90.75),(9.475,90.6),(9.325,90.6)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,90.6),(9.645,90.75),(9.795,90.75),(9.795,90.6),(9.645,90.6)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,295.2),(10.205,295.35),(10.355,295.35),(10.355,295.2),(10.205,295.2)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,295.2),(10.525,295.35),(10.675,295.35),(10.675,295.2),(10.525,295.2)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,295.2),(10.845,295.35),(10.995,295.35),(10.995,295.2),(10.845,295.2)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,276.6),(9.005,276.75),(9.155,276.75),(9.155,276.6),(9.005,276.6)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,276.6),(9.325,276.75),(9.475,276.75),(9.475,276.6),(9.325,276.6)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,276.6),(9.645,276.75),(9.795,276.75),(9.795,276.6),(9.645,276.6)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,220.8),(9.005,220.95),(9.155,220.95),(9.155,220.8),(9.005,220.8)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,220.8),(9.325,220.95),(9.475,220.95),(9.475,220.8),(9.325,220.8)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,220.8),(9.645,220.95),(9.795,220.95),(9.795,220.8),(9.645,220.8)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,258.0),(10.205,258.15),(10.355,258.15),(10.355,258.0),(10.205,258.0)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,258.0),(10.525,258.15),(10.675,258.15),(10.675,258.0),(10.525,258.0)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,258.0),(10.845,258.15),(10.995,258.15),(10.995,258.0),(10.845,258.0)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,109.2),(9.005,109.35),(9.155,109.35),(9.155,109.2),(9.005,109.2)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,109.2),(9.325,109.35),(9.475,109.35),(9.475,109.2),(9.325,109.2)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,109.2),(9.645,109.35),(9.795,109.35),(9.795,109.2),(9.645,109.2)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,239.4),(9.005,239.55),(9.155,239.55),(9.155,239.4),(9.005,239.4)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,239.4),(9.325,239.55),(9.475,239.55),(9.475,239.4),(9.325,239.4)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,239.4),(9.645,239.55),(9.795,239.55),(9.795,239.4),(9.645,239.4)),
        )
        createRL(
            tech, net, 'via',
            ((10.205,127.8),(10.205,127.95),(10.355,127.95),(10.355,127.8),(10.205,127.8)),
        )
        createRL(
            tech, net, 'via',
            ((10.525,127.8),(10.525,127.95),(10.675,127.95),(10.675,127.8),(10.525,127.8)),
        )
        createRL(
            tech, net, 'via',
            ((10.845,127.8),(10.845,127.95),(10.995,127.95),(10.995,127.8),(10.845,127.8)),
        )
        createRL(
            tech, net, 'via',
            ((9.005,146.4),(9.005,146.55),(9.155,146.55),(9.155,146.4),(9.005,146.4)),
        )
        createRL(
            tech, net, 'via',
            ((9.325,146.4),(9.325,146.55),(9.475,146.55),(9.475,146.4),(9.325,146.4)),
        )
        createRL(
            tech, net, 'via',
            ((9.645,146.4),(9.645,146.55),(9.795,146.55),(9.795,146.4),(9.645,146.4)),
        )
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,111.47),(0.0,111.73),(27.46,111.73),(27.46,111.47),(0.0,111.47)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,167.27),(0.0,167.53),(27.46,167.53),(27.46,167.27),(0.0,167.27)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,223.07),(0.0,223.33),(27.46,223.33),(27.46,223.07),(0.0,223.07)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,185.87),(0.0,186.13),(27.46,186.13),(27.46,185.87),(0.0,185.87)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,148.67),(0.0,148.93),(27.46,148.93),(27.46,148.67),(0.0,148.67)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,260.27),(0.0,260.53),(27.46,260.53),(27.46,260.27),(0.0,260.27)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,278.87),(0.0,279.13),(27.46,279.13),(27.46,278.87),(0.0,278.87)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,297.47),(0.0,297.73),(27.46,297.73),(27.46,297.47),(0.0,297.47)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,130.07),(0.0,130.33),(27.46,130.33),(27.46,130.07),(0.0,130.07)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,204.47),(0.0,204.73),(27.46,204.73),(27.46,204.47),(0.0,204.47)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,241.67),(0.0,241.93),(27.46,241.93),(27.46,241.67),(0.0,241.67)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,92.87),(0.0,93.13),(27.46,93.13),(27.46,92.87),(0.0,92.87)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(111.6), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(111.6), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(167.4), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(167.4), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(223.2), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(223.2), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(186.0), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(186.0), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(148.8), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(148.8), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(260.4), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(260.4), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(279.0), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(279.0), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(297.6), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(297.6), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(130.2), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(130.2), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(204.6), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(204.6), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(241.8), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(241.8), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(93.0), u(0.26), u(0.0), u(27.459999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(93.0), u(0.26), u(0.0), u(27.459999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        createRL(
            tech, net, 'li',
            ((18.8,92.87),(18.8,93.13),(20.0,93.13),(20.0,92.87),(18.8,92.87)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,167.27),(0.0,167.53),(1.2,167.53),(1.2,167.27),(0.0,167.27)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,278.87),(0.0,279.13),(1.2,279.13),(1.2,278.87),(0.0,278.87)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,111.47),(18.8,111.73),(20.0,111.73),(20.0,111.47),(18.8,111.47)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,241.67),(18.8,241.93),(20.0,241.93),(20.0,241.67),(18.8,241.67)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,204.47),(0.0,204.73),(1.2,204.73),(1.2,204.47),(0.0,204.47)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,148.67),(18.8,148.93),(20.0,148.93),(20.0,148.67),(18.8,148.67)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,223.07),(18.8,223.33),(20.0,223.33),(20.0,223.07),(18.8,223.07)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,111.47),(0.0,111.73),(1.2,111.73),(1.2,111.47),(0.0,111.47)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,260.27),(0.0,260.53),(1.2,260.53),(1.2,260.27),(0.0,260.27)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,297.47),(0.0,297.73),(1.2,297.73),(1.2,297.47),(0.0,297.47)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,297.47),(18.8,297.73),(20.0,297.73),(20.0,297.47),(18.8,297.47)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,148.67),(0.0,148.93),(1.2,148.93),(1.2,148.67),(0.0,148.67)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,185.87),(18.8,186.13),(20.0,186.13),(20.0,185.87),(18.8,185.87)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,92.87),(0.0,93.13),(1.2,93.13),(1.2,92.87),(0.0,92.87)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,130.07),(18.8,130.33),(20.0,130.33),(20.0,130.07),(18.8,130.07)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,185.87),(0.0,186.13),(1.2,186.13),(1.2,185.87),(0.0,185.87)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,278.87),(18.8,279.13),(20.0,279.13),(20.0,278.87),(18.8,278.87)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,204.47),(18.8,204.73),(20.0,204.73),(20.0,204.47),(18.8,204.47)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,241.67),(0.0,241.93),(1.2,241.93),(1.2,241.67),(0.0,241.67)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,167.27),(18.8,167.53),(20.0,167.53),(20.0,167.27),(18.8,167.27)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,223.07),(0.0,223.33),(1.2,223.33),(1.2,223.07),(0.0,223.07)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,130.07),(0.0,130.33),(1.2,130.33),(1.2,130.07),(0.0,130.07)),
        )
        createRL(
            tech, net, 'li',
            ((18.8,260.27),(18.8,260.53),(20.0,260.53),(20.0,260.27),(18.8,260.27)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,130.115),(18.955,130.285),(19.125,130.285),(19.125,130.115),(18.955,130.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,130.115),(19.315,130.285),(19.485,130.285),(19.485,130.115),(19.315,130.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,130.115),(19.675,130.285),(19.845,130.285),(19.845,130.115),(19.675,130.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,223.115),(18.955,223.285),(19.125,223.285),(19.125,223.115),(18.955,223.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,223.115),(19.315,223.285),(19.485,223.285),(19.485,223.115),(19.315,223.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,223.115),(19.675,223.285),(19.845,223.285),(19.845,223.115),(19.675,223.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,241.715),(18.955,241.885),(19.125,241.885),(19.125,241.715),(18.955,241.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,241.715),(19.315,241.885),(19.485,241.885),(19.485,241.715),(19.315,241.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,241.715),(19.675,241.885),(19.845,241.885),(19.845,241.715),(19.675,241.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,185.915),(0.155,186.085),(0.325,186.085),(0.325,185.915),(0.155,185.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,185.915),(0.515,186.085),(0.685,186.085),(0.685,185.915),(0.515,185.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,185.915),(0.875,186.085),(1.045,186.085),(1.045,185.915),(0.875,185.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,260.315),(18.955,260.485),(19.125,260.485),(19.125,260.315),(18.955,260.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,260.315),(19.315,260.485),(19.485,260.485),(19.485,260.315),(19.315,260.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,260.315),(19.675,260.485),(19.845,260.485),(19.845,260.315),(19.675,260.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,278.915),(18.955,279.085),(19.125,279.085),(19.125,278.915),(18.955,278.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,278.915),(19.315,279.085),(19.485,279.085),(19.485,278.915),(19.315,278.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,278.915),(19.675,279.085),(19.845,279.085),(19.845,278.915),(19.675,278.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,111.515),(0.155,111.685),(0.325,111.685),(0.325,111.515),(0.155,111.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,111.515),(0.515,111.685),(0.685,111.685),(0.685,111.515),(0.515,111.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,111.515),(0.875,111.685),(1.045,111.685),(1.045,111.515),(0.875,111.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,148.715),(0.155,148.885),(0.325,148.885),(0.325,148.715),(0.155,148.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,148.715),(0.515,148.885),(0.685,148.885),(0.685,148.715),(0.515,148.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,148.715),(0.875,148.885),(1.045,148.885),(1.045,148.715),(0.875,148.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,130.115),(0.155,130.285),(0.325,130.285),(0.325,130.115),(0.155,130.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,130.115),(0.515,130.285),(0.685,130.285),(0.685,130.115),(0.515,130.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,130.115),(0.875,130.285),(1.045,130.285),(1.045,130.115),(0.875,130.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,278.915),(0.155,279.085),(0.325,279.085),(0.325,278.915),(0.155,278.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,278.915),(0.515,279.085),(0.685,279.085),(0.685,278.915),(0.515,278.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,278.915),(0.875,279.085),(1.045,279.085),(1.045,278.915),(0.875,278.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,185.915),(18.955,186.085),(19.125,186.085),(19.125,185.915),(18.955,185.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,185.915),(19.315,186.085),(19.485,186.085),(19.485,185.915),(19.315,185.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,185.915),(19.675,186.085),(19.845,186.085),(19.845,185.915),(19.675,185.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,111.515),(18.955,111.685),(19.125,111.685),(19.125,111.515),(18.955,111.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,111.515),(19.315,111.685),(19.485,111.685),(19.485,111.515),(19.315,111.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,111.515),(19.675,111.685),(19.845,111.685),(19.845,111.515),(19.675,111.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,297.515),(18.955,297.685),(19.125,297.685),(19.125,297.515),(18.955,297.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,297.515),(19.315,297.685),(19.485,297.685),(19.485,297.515),(19.315,297.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,297.515),(19.675,297.685),(19.845,297.685),(19.845,297.515),(19.675,297.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,167.315),(0.155,167.485),(0.325,167.485),(0.325,167.315),(0.155,167.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,167.315),(0.515,167.485),(0.685,167.485),(0.685,167.315),(0.515,167.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,167.315),(0.875,167.485),(1.045,167.485),(1.045,167.315),(0.875,167.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,241.715),(0.155,241.885),(0.325,241.885),(0.325,241.715),(0.155,241.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,241.715),(0.515,241.885),(0.685,241.885),(0.685,241.715),(0.515,241.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,241.715),(0.875,241.885),(1.045,241.885),(1.045,241.715),(0.875,241.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,167.315),(18.955,167.485),(19.125,167.485),(19.125,167.315),(18.955,167.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,167.315),(19.315,167.485),(19.485,167.485),(19.485,167.315),(19.315,167.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,167.315),(19.675,167.485),(19.845,167.485),(19.845,167.315),(19.675,167.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,204.515),(0.155,204.685),(0.325,204.685),(0.325,204.515),(0.155,204.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,204.515),(0.515,204.685),(0.685,204.685),(0.685,204.515),(0.515,204.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,204.515),(0.875,204.685),(1.045,204.685),(1.045,204.515),(0.875,204.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,260.315),(0.155,260.485),(0.325,260.485),(0.325,260.315),(0.155,260.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,260.315),(0.515,260.485),(0.685,260.485),(0.685,260.315),(0.515,260.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,260.315),(0.875,260.485),(1.045,260.485),(1.045,260.315),(0.875,260.315)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,92.915),(18.955,93.085),(19.125,93.085),(19.125,92.915),(18.955,92.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,92.915),(19.315,93.085),(19.485,93.085),(19.485,92.915),(19.315,92.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,92.915),(19.675,93.085),(19.845,93.085),(19.845,92.915),(19.675,92.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,297.515),(0.155,297.685),(0.325,297.685),(0.325,297.515),(0.155,297.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,297.515),(0.515,297.685),(0.685,297.685),(0.685,297.515),(0.515,297.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,297.515),(0.875,297.685),(1.045,297.685),(1.045,297.515),(0.875,297.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,148.715),(18.955,148.885),(19.125,148.885),(19.125,148.715),(18.955,148.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,148.715),(19.315,148.885),(19.485,148.885),(19.485,148.715),(19.315,148.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,148.715),(19.675,148.885),(19.845,148.885),(19.845,148.715),(19.675,148.715)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.955,204.515),(18.955,204.685),(19.125,204.685),(19.125,204.515),(18.955,204.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.315,204.515),(19.315,204.685),(19.485,204.685),(19.485,204.515),(19.315,204.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.675,204.515),(19.675,204.685),(19.845,204.685),(19.845,204.515),(19.675,204.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,92.915),(0.155,93.085),(0.325,93.085),(0.325,92.915),(0.155,92.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,92.915),(0.515,93.085),(0.685,93.085),(0.685,92.915),(0.515,92.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,92.915),(0.875,93.085),(1.045,93.085),(1.045,92.915),(0.875,92.915)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.155,223.115),(0.155,223.285),(0.325,223.285),(0.325,223.115),(0.155,223.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.515,223.115),(0.515,223.285),(0.685,223.285),(0.685,223.115),(0.515,223.115)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.875,223.115),(0.875,223.285),(1.045,223.285),(1.045,223.115),(0.875,223.115)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,92.87),(18.8,93.13),(20.0,93.13),(20.0,92.87),(18.8,92.87)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,167.27),(0.0,167.53),(1.2,167.53),(1.2,167.27),(0.0,167.27)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,278.87),(0.0,279.13),(1.2,279.13),(1.2,278.87),(0.0,278.87)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,111.47),(18.8,111.73),(20.0,111.73),(20.0,111.47),(18.8,111.47)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,241.67),(18.8,241.93),(20.0,241.93),(20.0,241.67),(18.8,241.67)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,204.47),(0.0,204.73),(1.2,204.73),(1.2,204.47),(0.0,204.47)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,148.67),(18.8,148.93),(20.0,148.93),(20.0,148.67),(18.8,148.67)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,223.07),(18.8,223.33),(20.0,223.33),(20.0,223.07),(18.8,223.07)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,111.47),(0.0,111.73),(1.2,111.73),(1.2,111.47),(0.0,111.47)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,260.27),(0.0,260.53),(1.2,260.53),(1.2,260.27),(0.0,260.27)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,297.47),(0.0,297.73),(1.2,297.73),(1.2,297.47),(0.0,297.47)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,297.47),(18.8,297.73),(20.0,297.73),(20.0,297.47),(18.8,297.47)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,148.67),(0.0,148.93),(1.2,148.93),(1.2,148.67),(0.0,148.67)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,185.87),(18.8,186.13),(20.0,186.13),(20.0,185.87),(18.8,185.87)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,92.87),(0.0,93.13),(1.2,93.13),(1.2,92.87),(0.0,92.87)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,130.07),(18.8,130.33),(20.0,130.33),(20.0,130.07),(18.8,130.07)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,185.87),(0.0,186.13),(1.2,186.13),(1.2,185.87),(0.0,185.87)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,278.87),(18.8,279.13),(20.0,279.13),(20.0,278.87),(18.8,278.87)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,204.47),(18.8,204.73),(20.0,204.73),(20.0,204.47),(18.8,204.47)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,241.67),(0.0,241.93),(1.2,241.93),(1.2,241.67),(0.0,241.67)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,167.27),(18.8,167.53),(20.0,167.53),(20.0,167.27),(18.8,167.27)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,223.07),(0.0,223.33),(1.2,223.33),(1.2,223.07),(0.0,223.07)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,130.07),(0.0,130.33),(1.2,130.33),(1.2,130.07),(0.0,130.07)),
        )
        createRL(
            tech, net, 'm1',
            ((18.8,260.27),(18.8,260.53),(20.0,260.53),(20.0,260.27),(18.8,260.27)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,204.525),(19.005,204.675),(19.155,204.675),(19.155,204.525),(19.005,204.525)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,204.525),(19.325,204.675),(19.475,204.675),(19.475,204.525),(19.325,204.525)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,204.525),(19.645,204.675),(19.795,204.675),(19.795,204.525),(19.645,204.525)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,241.725),(19.005,241.875),(19.155,241.875),(19.155,241.725),(19.005,241.725)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,241.725),(19.325,241.875),(19.475,241.875),(19.475,241.725),(19.325,241.725)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,241.725),(19.645,241.875),(19.795,241.875),(19.795,241.725),(19.645,241.725)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,148.725),(0.205,148.875),(0.355,148.875),(0.355,148.725),(0.205,148.725)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,148.725),(0.525,148.875),(0.675,148.875),(0.675,148.725),(0.525,148.725)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,148.725),(0.845,148.875),(0.995,148.875),(0.995,148.725),(0.845,148.725)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,185.925),(0.205,186.075),(0.355,186.075),(0.355,185.925),(0.205,185.925)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,185.925),(0.525,186.075),(0.675,186.075),(0.675,185.925),(0.525,185.925)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,185.925),(0.845,186.075),(0.995,186.075),(0.995,185.925),(0.845,185.925)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,130.125),(19.005,130.275),(19.155,130.275),(19.155,130.125),(19.005,130.125)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,130.125),(19.325,130.275),(19.475,130.275),(19.475,130.125),(19.325,130.125)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,130.125),(19.645,130.275),(19.795,130.275),(19.795,130.125),(19.645,130.125)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,130.125),(0.205,130.275),(0.355,130.275),(0.355,130.125),(0.205,130.125)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,130.125),(0.525,130.275),(0.675,130.275),(0.675,130.125),(0.525,130.125)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,130.125),(0.845,130.275),(0.995,130.275),(0.995,130.125),(0.845,130.125)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,167.325),(0.205,167.475),(0.355,167.475),(0.355,167.325),(0.205,167.325)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,167.325),(0.525,167.475),(0.675,167.475),(0.675,167.325),(0.525,167.325)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,167.325),(0.845,167.475),(0.995,167.475),(0.995,167.325),(0.845,167.325)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,223.125),(19.005,223.275),(19.155,223.275),(19.155,223.125),(19.005,223.125)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,223.125),(19.325,223.275),(19.475,223.275),(19.475,223.125),(19.325,223.125)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,223.125),(19.645,223.275),(19.795,223.275),(19.795,223.125),(19.645,223.125)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,167.325),(19.005,167.475),(19.155,167.475),(19.155,167.325),(19.005,167.325)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,167.325),(19.325,167.475),(19.475,167.475),(19.475,167.325),(19.325,167.325)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,167.325),(19.645,167.475),(19.795,167.475),(19.795,167.325),(19.645,167.325)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,185.925),(19.005,186.075),(19.155,186.075),(19.155,185.925),(19.005,185.925)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,185.925),(19.325,186.075),(19.475,186.075),(19.475,185.925),(19.325,185.925)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,185.925),(19.645,186.075),(19.795,186.075),(19.795,185.925),(19.645,185.925)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,204.525),(0.205,204.675),(0.355,204.675),(0.355,204.525),(0.205,204.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,204.525),(0.525,204.675),(0.675,204.675),(0.675,204.525),(0.525,204.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,204.525),(0.845,204.675),(0.995,204.675),(0.995,204.525),(0.845,204.525)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,260.325),(19.005,260.475),(19.155,260.475),(19.155,260.325),(19.005,260.325)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,260.325),(19.325,260.475),(19.475,260.475),(19.475,260.325),(19.325,260.325)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,260.325),(19.645,260.475),(19.795,260.475),(19.795,260.325),(19.645,260.325)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,92.925),(19.005,93.075),(19.155,93.075),(19.155,92.925),(19.005,92.925)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,92.925),(19.325,93.075),(19.475,93.075),(19.475,92.925),(19.325,92.925)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,92.925),(19.645,93.075),(19.795,93.075),(19.795,92.925),(19.645,92.925)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,297.525),(19.005,297.675),(19.155,297.675),(19.155,297.525),(19.005,297.525)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,297.525),(19.325,297.675),(19.475,297.675),(19.475,297.525),(19.325,297.525)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,297.525),(19.645,297.675),(19.795,297.675),(19.795,297.525),(19.645,297.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,111.525),(0.205,111.675),(0.355,111.675),(0.355,111.525),(0.205,111.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,111.525),(0.525,111.675),(0.675,111.675),(0.675,111.525),(0.525,111.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,111.525),(0.845,111.675),(0.995,111.675),(0.995,111.525),(0.845,111.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,223.125),(0.205,223.275),(0.355,223.275),(0.355,223.125),(0.205,223.125)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,223.125),(0.525,223.275),(0.675,223.275),(0.675,223.125),(0.525,223.125)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,223.125),(0.845,223.275),(0.995,223.275),(0.995,223.125),(0.845,223.125)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,148.725),(19.005,148.875),(19.155,148.875),(19.155,148.725),(19.005,148.725)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,148.725),(19.325,148.875),(19.475,148.875),(19.475,148.725),(19.325,148.725)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,148.725),(19.645,148.875),(19.795,148.875),(19.795,148.725),(19.645,148.725)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,278.925),(0.205,279.075),(0.355,279.075),(0.355,278.925),(0.205,278.925)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,278.925),(0.525,279.075),(0.675,279.075),(0.675,278.925),(0.525,278.925)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,278.925),(0.845,279.075),(0.995,279.075),(0.995,278.925),(0.845,278.925)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,278.925),(19.005,279.075),(19.155,279.075),(19.155,278.925),(19.005,278.925)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,278.925),(19.325,279.075),(19.475,279.075),(19.475,278.925),(19.325,278.925)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,278.925),(19.645,279.075),(19.795,279.075),(19.795,278.925),(19.645,278.925)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,92.925),(0.205,93.075),(0.355,93.075),(0.355,92.925),(0.205,92.925)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,92.925),(0.525,93.075),(0.675,93.075),(0.675,92.925),(0.525,92.925)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,92.925),(0.845,93.075),(0.995,93.075),(0.995,92.925),(0.845,92.925)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,297.525),(0.205,297.675),(0.355,297.675),(0.355,297.525),(0.205,297.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,297.525),(0.525,297.675),(0.675,297.675),(0.675,297.525),(0.525,297.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,297.525),(0.845,297.675),(0.995,297.675),(0.995,297.525),(0.845,297.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,260.325),(0.205,260.475),(0.355,260.475),(0.355,260.325),(0.205,260.325)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,260.325),(0.525,260.475),(0.675,260.475),(0.675,260.325),(0.525,260.325)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,260.325),(0.845,260.475),(0.995,260.475),(0.995,260.325),(0.845,260.325)),
        )
        createRL(
            tech, net, 'via',
            ((19.005,111.525),(19.005,111.675),(19.155,111.675),(19.155,111.525),(19.005,111.525)),
        )
        createRL(
            tech, net, 'via',
            ((19.325,111.525),(19.325,111.675),(19.475,111.675),(19.475,111.525),(19.325,111.525)),
        )
        createRL(
            tech, net, 'via',
            ((19.645,111.525),(19.645,111.675),(19.795,111.675),(19.795,111.525),(19.645,111.525)),
        )
        createRL(
            tech, net, 'via',
            ((0.205,241.725),(0.205,241.875),(0.355,241.875),(0.355,241.725),(0.205,241.725)),
        )
        createRL(
            tech, net, 'via',
            ((0.525,241.725),(0.525,241.875),(0.675,241.875),(0.675,241.725),(0.525,241.725)),
        )
        createRL(
            tech, net, 'via',
            ((0.845,241.725),(0.845,241.875),(0.995,241.875),(0.995,241.725),(0.845,241.725)),
        )
        createRL(
            tech, net, 'nwm',
            ((19.96,-1.14),(19.96,297.6),(20.8,297.6),(20.8,-1.14),(19.96,-1.14)),
        )
        net = nets['a[0]']
        createRL(
            tech, net, 'm1',
            ((0.0,4.355),(0.0,4.645),(1.57,4.645),(1.57,4.355),(0.0,4.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(4.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(4.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[1]']
        createRL(
            tech, net, 'm1',
            ((0.0,21.355),(0.0,21.645),(1.57,21.645),(1.57,21.355),(0.0,21.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(21.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(21.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[2]']
        createRL(
            tech, net, 'm1',
            ((0.0,38.355),(0.0,38.645),(1.57,38.645),(1.57,38.355),(0.0,38.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(38.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(38.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[3]']
        createRL(
            tech, net, 'm1',
            ((0.0,55.355),(0.0,55.645),(1.57,55.645),(1.57,55.355),(0.0,55.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(55.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(55.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[4]']
        createRL(
            tech, net, 'm1',
            ((0.0,72.355),(0.0,72.645),(1.57,72.645),(1.57,72.355),(0.0,72.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(72.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(72.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[5]']
        createRL(
            tech, net, 'm1',
            ((0.0,89.355),(0.0,89.645),(1.57,89.645),(1.57,89.355),(0.0,89.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(89.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(89.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['a[6]']
        createRL(
            tech, net, 'm1',
            ((0.0,106.355),(0.0,106.645),(1.57,106.645),(1.57,106.355),(0.0,106.355)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(106.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(106.5), u(0.29), u(0.0), u(1.5700000000000003),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk']
        createRL(
            tech, net, 'm1',
            ((1.725,0.0),(1.725,103.5),(1.985,103.5),(1.985,0.0),(1.725,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.855), u(0.26), u(0.0), u(103.5),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.855), u(0.26), u(0.0), u(103.5),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_en']
        createRL(
            tech, net, 'm1',
            ((22.915,0.0),(22.915,296.405),(23.145,296.405),(23.145,0.0),(22.915,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(23.03), u(0.23), u(0.0), u(296.405),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(23.03), u(0.23), u(0.0), u(296.405),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((26.9,295.96),(26.9,296.22),(27.46,296.22),(27.46,295.96),(26.9,295.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(296.09), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(296.09), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((26.9,294.33),(26.9,294.59),(27.46,294.59),(27.46,294.33),(26.9,294.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(294.46), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(294.46), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((26.9,291.31),(26.9,291.57),(27.46,291.57),(27.46,291.31),(26.9,291.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(291.44), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(291.44), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((26.9,289.68),(26.9,289.94),(27.46,289.94),(27.46,289.68),(26.9,289.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(289.81), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(289.81), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[4]']
        createRL(
            tech, net, 'm2',
            ((26.9,286.66),(26.9,286.92),(27.46,286.92),(27.46,286.66),(26.9,286.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(286.79), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(286.79), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[5]']
        createRL(
            tech, net, 'm2',
            ((26.9,285.03),(26.9,285.29),(27.46,285.29),(27.46,285.03),(26.9,285.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(285.16), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(285.16), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[6]']
        createRL(
            tech, net, 'm2',
            ((26.9,282.01),(26.9,282.27),(27.46,282.27),(27.46,282.01),(26.9,282.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(282.14), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(282.14), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[7]']
        createRL(
            tech, net, 'm2',
            ((26.9,280.38),(26.9,280.64),(27.46,280.64),(27.46,280.38),(26.9,280.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(280.51), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(280.51), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[8]']
        createRL(
            tech, net, 'm2',
            ((26.9,277.36),(26.9,277.62),(27.46,277.62),(27.46,277.36),(26.9,277.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(277.49), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(277.49), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[9]']
        createRL(
            tech, net, 'm2',
            ((26.9,275.73),(26.9,275.99),(27.46,275.99),(27.46,275.73),(26.9,275.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(275.86), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(275.86), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[10]']
        createRL(
            tech, net, 'm2',
            ((26.9,272.71),(26.9,272.97),(27.46,272.97),(27.46,272.71),(26.9,272.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(272.84), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(272.84), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[11]']
        createRL(
            tech, net, 'm2',
            ((26.9,271.08),(26.9,271.34),(27.46,271.34),(27.46,271.08),(26.9,271.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(271.21), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(271.21), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[12]']
        createRL(
            tech, net, 'm2',
            ((26.9,268.06),(26.9,268.32),(27.46,268.32),(27.46,268.06),(26.9,268.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(268.19), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(268.19), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[13]']
        createRL(
            tech, net, 'm2',
            ((26.9,266.43),(26.9,266.69),(27.46,266.69),(27.46,266.43),(26.9,266.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(266.56), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(266.56), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[14]']
        createRL(
            tech, net, 'm2',
            ((26.9,263.41),(26.9,263.67),(27.46,263.67),(27.46,263.41),(26.9,263.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(263.54), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(263.54), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[15]']
        createRL(
            tech, net, 'm2',
            ((26.9,261.78),(26.9,262.04),(27.46,262.04),(27.46,261.78),(26.9,261.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(261.91), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(261.91), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[16]']
        createRL(
            tech, net, 'm2',
            ((26.9,258.76),(26.9,259.02),(27.46,259.02),(27.46,258.76),(26.9,258.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(258.89), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(258.89), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[17]']
        createRL(
            tech, net, 'm2',
            ((26.9,257.13),(26.9,257.39),(27.46,257.39),(27.46,257.13),(26.9,257.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(257.26), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(257.26), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[18]']
        createRL(
            tech, net, 'm2',
            ((26.9,254.11),(26.9,254.37),(27.46,254.37),(27.46,254.11),(26.9,254.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(254.24), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(254.24), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[19]']
        createRL(
            tech, net, 'm2',
            ((26.9,252.48),(26.9,252.74),(27.46,252.74),(27.46,252.48),(26.9,252.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(252.61), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(252.61), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[20]']
        createRL(
            tech, net, 'm2',
            ((26.9,249.46),(26.9,249.72),(27.46,249.72),(27.46,249.46),(26.9,249.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(249.59), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(249.59), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[21]']
        createRL(
            tech, net, 'm2',
            ((26.9,247.83),(26.9,248.09),(27.46,248.09),(27.46,247.83),(26.9,247.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(247.96), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(247.96), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[22]']
        createRL(
            tech, net, 'm2',
            ((26.9,244.81),(26.9,245.07),(27.46,245.07),(27.46,244.81),(26.9,244.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(244.94), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(244.94), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[23]']
        createRL(
            tech, net, 'm2',
            ((26.9,243.18),(26.9,243.44),(27.46,243.44),(27.46,243.18),(26.9,243.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(243.31), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(243.31), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[24]']
        createRL(
            tech, net, 'm2',
            ((26.9,240.16),(26.9,240.42),(27.46,240.42),(27.46,240.16),(26.9,240.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(240.29), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(240.29), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[25]']
        createRL(
            tech, net, 'm2',
            ((26.9,238.53),(26.9,238.79),(27.46,238.79),(27.46,238.53),(26.9,238.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(238.66), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(238.66), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[26]']
        createRL(
            tech, net, 'm2',
            ((26.9,235.51),(26.9,235.77),(27.46,235.77),(27.46,235.51),(26.9,235.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(235.64), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(235.64), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[27]']
        createRL(
            tech, net, 'm2',
            ((26.9,233.88),(26.9,234.14),(27.46,234.14),(27.46,233.88),(26.9,233.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(234.01), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(234.01), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[28]']
        createRL(
            tech, net, 'm2',
            ((26.9,230.86),(26.9,231.12),(27.46,231.12),(27.46,230.86),(26.9,230.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(230.99), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(230.99), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[29]']
        createRL(
            tech, net, 'm2',
            ((26.9,229.23),(26.9,229.49),(27.46,229.49),(27.46,229.23),(26.9,229.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(229.36), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(229.36), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[30]']
        createRL(
            tech, net, 'm2',
            ((26.9,226.21),(26.9,226.47),(27.46,226.47),(27.46,226.21),(26.9,226.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(226.34), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(226.34), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[31]']
        createRL(
            tech, net, 'm2',
            ((26.9,224.58),(26.9,224.84),(27.46,224.84),(27.46,224.58),(26.9,224.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(224.71), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(224.71), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[32]']
        createRL(
            tech, net, 'm2',
            ((26.9,221.56),(26.9,221.82),(27.46,221.82),(27.46,221.56),(26.9,221.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(221.69), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(221.69), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[33]']
        createRL(
            tech, net, 'm2',
            ((26.9,219.93),(26.9,220.19),(27.46,220.19),(27.46,219.93),(26.9,219.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(220.06), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(220.06), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[34]']
        createRL(
            tech, net, 'm2',
            ((26.9,216.91),(26.9,217.17),(27.46,217.17),(27.46,216.91),(26.9,216.91)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(217.04), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(217.04), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[35]']
        createRL(
            tech, net, 'm2',
            ((26.9,215.28),(26.9,215.54),(27.46,215.54),(27.46,215.28),(26.9,215.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(215.41), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(215.41), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[36]']
        createRL(
            tech, net, 'm2',
            ((26.9,212.26),(26.9,212.52),(27.46,212.52),(27.46,212.26),(26.9,212.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(212.39), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(212.39), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[37]']
        createRL(
            tech, net, 'm2',
            ((26.9,210.63),(26.9,210.89),(27.46,210.89),(27.46,210.63),(26.9,210.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(210.76), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(210.76), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[38]']
        createRL(
            tech, net, 'm2',
            ((26.9,207.61),(26.9,207.87),(27.46,207.87),(27.46,207.61),(26.9,207.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(207.74), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(207.74), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[39]']
        createRL(
            tech, net, 'm2',
            ((26.9,205.98),(26.9,206.24),(27.46,206.24),(27.46,205.98),(26.9,205.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(206.11), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(206.11), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[40]']
        createRL(
            tech, net, 'm2',
            ((26.9,202.96),(26.9,203.22),(27.46,203.22),(27.46,202.96),(26.9,202.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(203.09), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(203.09), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[41]']
        createRL(
            tech, net, 'm2',
            ((26.9,201.33),(26.9,201.59),(27.46,201.59),(27.46,201.33),(26.9,201.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(201.46), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(201.46), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[42]']
        createRL(
            tech, net, 'm2',
            ((26.9,198.31),(26.9,198.57),(27.46,198.57),(27.46,198.31),(26.9,198.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(198.44), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(198.44), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[43]']
        createRL(
            tech, net, 'm2',
            ((26.9,196.68),(26.9,196.94),(27.46,196.94),(27.46,196.68),(26.9,196.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(196.81), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(196.81), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[44]']
        createRL(
            tech, net, 'm2',
            ((26.9,193.66),(26.9,193.92),(27.46,193.92),(27.46,193.66),(26.9,193.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(193.79), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(193.79), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[45]']
        createRL(
            tech, net, 'm2',
            ((26.9,192.03),(26.9,192.29),(27.46,192.29),(27.46,192.03),(26.9,192.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(192.16), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(192.16), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[46]']
        createRL(
            tech, net, 'm2',
            ((26.9,189.01),(26.9,189.27),(27.46,189.27),(27.46,189.01),(26.9,189.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(189.14), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(189.14), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[47]']
        createRL(
            tech, net, 'm2',
            ((26.9,187.38),(26.9,187.64),(27.46,187.64),(27.46,187.38),(26.9,187.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(187.51), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(187.51), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[48]']
        createRL(
            tech, net, 'm2',
            ((26.9,184.36),(26.9,184.62),(27.46,184.62),(27.46,184.36),(26.9,184.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(184.49), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(184.49), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[49]']
        createRL(
            tech, net, 'm2',
            ((26.9,182.73),(26.9,182.99),(27.46,182.99),(27.46,182.73),(26.9,182.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(182.86), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(182.86), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[50]']
        createRL(
            tech, net, 'm2',
            ((26.9,179.71),(26.9,179.97),(27.46,179.97),(27.46,179.71),(26.9,179.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(179.84), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(179.84), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[51]']
        createRL(
            tech, net, 'm2',
            ((26.9,178.08),(26.9,178.34),(27.46,178.34),(27.46,178.08),(26.9,178.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(178.21), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(178.21), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[52]']
        createRL(
            tech, net, 'm2',
            ((26.9,175.06),(26.9,175.32),(27.46,175.32),(27.46,175.06),(26.9,175.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(175.19), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(175.19), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[53]']
        createRL(
            tech, net, 'm2',
            ((26.9,173.43),(26.9,173.69),(27.46,173.69),(27.46,173.43),(26.9,173.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(173.56), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(173.56), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[54]']
        createRL(
            tech, net, 'm2',
            ((26.9,170.41),(26.9,170.67),(27.46,170.67),(27.46,170.41),(26.9,170.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(170.54), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(170.54), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[55]']
        createRL(
            tech, net, 'm2',
            ((26.9,168.78),(26.9,169.04),(27.46,169.04),(27.46,168.78),(26.9,168.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(168.91), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(168.91), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[56]']
        createRL(
            tech, net, 'm2',
            ((26.9,165.76),(26.9,166.02),(27.46,166.02),(27.46,165.76),(26.9,165.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(165.89), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(165.89), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[57]']
        createRL(
            tech, net, 'm2',
            ((26.9,164.13),(26.9,164.39),(27.46,164.39),(27.46,164.13),(26.9,164.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(164.26), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(164.26), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[58]']
        createRL(
            tech, net, 'm2',
            ((26.9,161.11),(26.9,161.37),(27.46,161.37),(27.46,161.11),(26.9,161.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(161.24), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(161.24), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[59]']
        createRL(
            tech, net, 'm2',
            ((26.9,159.48),(26.9,159.74),(27.46,159.74),(27.46,159.48),(26.9,159.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(159.61), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(159.61), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[60]']
        createRL(
            tech, net, 'm2',
            ((26.9,156.46),(26.9,156.72),(27.46,156.72),(27.46,156.46),(26.9,156.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(156.59), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(156.59), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[61]']
        createRL(
            tech, net, 'm2',
            ((26.9,154.83),(26.9,155.09),(27.46,155.09),(27.46,154.83),(26.9,154.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(154.96), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(154.96), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[62]']
        createRL(
            tech, net, 'm2',
            ((26.9,151.81),(26.9,152.07),(27.46,152.07),(27.46,151.81),(26.9,151.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(151.94), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(151.94), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[63]']
        createRL(
            tech, net, 'm2',
            ((26.9,150.18),(26.9,150.44),(27.46,150.44),(27.46,150.18),(26.9,150.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(150.31), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(150.31), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[64]']
        createRL(
            tech, net, 'm2',
            ((26.9,147.16),(26.9,147.42),(27.46,147.42),(27.46,147.16),(26.9,147.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(147.29), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(147.29), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[65]']
        createRL(
            tech, net, 'm2',
            ((26.9,145.53),(26.9,145.79),(27.46,145.79),(27.46,145.53),(26.9,145.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(145.66), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(145.66), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[66]']
        createRL(
            tech, net, 'm2',
            ((26.9,142.51),(26.9,142.77),(27.46,142.77),(27.46,142.51),(26.9,142.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(142.64), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(142.64), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[67]']
        createRL(
            tech, net, 'm2',
            ((26.9,140.88),(26.9,141.14),(27.46,141.14),(27.46,140.88),(26.9,140.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(141.01), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(141.01), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[68]']
        createRL(
            tech, net, 'm2',
            ((26.9,137.86),(26.9,138.12),(27.46,138.12),(27.46,137.86),(26.9,137.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(137.99), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(137.99), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[69]']
        createRL(
            tech, net, 'm2',
            ((26.9,136.23),(26.9,136.49),(27.46,136.49),(27.46,136.23),(26.9,136.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(136.36), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(136.36), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[70]']
        createRL(
            tech, net, 'm2',
            ((26.9,133.21),(26.9,133.47),(27.46,133.47),(27.46,133.21),(26.9,133.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(133.34), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(133.34), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[71]']
        createRL(
            tech, net, 'm2',
            ((26.9,131.58),(26.9,131.84),(27.46,131.84),(27.46,131.58),(26.9,131.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(131.71), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(131.71), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[72]']
        createRL(
            tech, net, 'm2',
            ((26.9,128.56),(26.9,128.82),(27.46,128.82),(27.46,128.56),(26.9,128.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(128.69), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(128.69), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[73]']
        createRL(
            tech, net, 'm2',
            ((26.9,126.93),(26.9,127.19),(27.46,127.19),(27.46,126.93),(26.9,126.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(127.06), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(127.06), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[74]']
        createRL(
            tech, net, 'm2',
            ((26.9,123.91),(26.9,124.17),(27.46,124.17),(27.46,123.91),(26.9,123.91)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(124.04), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(124.04), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[75]']
        createRL(
            tech, net, 'm2',
            ((26.9,122.28),(26.9,122.54),(27.46,122.54),(27.46,122.28),(26.9,122.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(122.41), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(122.41), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[76]']
        createRL(
            tech, net, 'm2',
            ((26.9,119.26),(26.9,119.52),(27.46,119.52),(27.46,119.26),(26.9,119.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(119.39), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(119.39), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[77]']
        createRL(
            tech, net, 'm2',
            ((26.9,117.63),(26.9,117.89),(27.46,117.89),(27.46,117.63),(26.9,117.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(117.76), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(117.76), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[78]']
        createRL(
            tech, net, 'm2',
            ((26.9,114.61),(26.9,114.87),(27.46,114.87),(27.46,114.61),(26.9,114.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(114.74), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(114.74), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[79]']
        createRL(
            tech, net, 'm2',
            ((26.9,112.98),(26.9,113.24),(27.46,113.24),(27.46,112.98),(26.9,112.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(113.11), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(113.11), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[80]']
        createRL(
            tech, net, 'm2',
            ((26.9,109.96),(26.9,110.22),(27.46,110.22),(27.46,109.96),(26.9,109.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(110.09), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(110.09), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[81]']
        createRL(
            tech, net, 'm2',
            ((26.9,108.33),(26.9,108.59),(27.46,108.59),(27.46,108.33),(26.9,108.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(108.46), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(108.46), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[82]']
        createRL(
            tech, net, 'm2',
            ((26.9,105.31),(26.9,105.57),(27.46,105.57),(27.46,105.31),(26.9,105.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(105.44), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(105.44), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[83]']
        createRL(
            tech, net, 'm2',
            ((26.9,103.68),(26.9,103.94),(27.46,103.94),(27.46,103.68),(26.9,103.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(103.81), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(103.81), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[84]']
        createRL(
            tech, net, 'm2',
            ((26.9,100.66),(26.9,100.92),(27.46,100.92),(27.46,100.66),(26.9,100.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(100.79), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(100.79), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[85]']
        createRL(
            tech, net, 'm2',
            ((26.9,99.03),(26.9,99.29),(27.46,99.29),(27.46,99.03),(26.9,99.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(99.16), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(99.16), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[86]']
        createRL(
            tech, net, 'm2',
            ((26.9,96.01),(26.9,96.27),(27.46,96.27),(27.46,96.01),(26.9,96.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(96.14), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(96.14), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[87]']
        createRL(
            tech, net, 'm2',
            ((26.9,94.38),(26.9,94.64),(27.46,94.64),(27.46,94.38),(26.9,94.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(94.51), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(94.51), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[88]']
        createRL(
            tech, net, 'm2',
            ((26.9,91.36),(26.9,91.62),(27.46,91.62),(27.46,91.36),(26.9,91.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(91.49), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(91.49), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[89]']
        createRL(
            tech, net, 'm2',
            ((26.9,89.73),(26.9,89.99),(27.46,89.99),(27.46,89.73),(26.9,89.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(89.86), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(89.86), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[90]']
        createRL(
            tech, net, 'm2',
            ((26.9,86.71),(26.9,86.97),(27.46,86.97),(27.46,86.71),(26.9,86.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(86.84), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(86.84), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[91]']
        createRL(
            tech, net, 'm2',
            ((26.9,85.08),(26.9,85.34),(27.46,85.34),(27.46,85.08),(26.9,85.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(85.21), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(85.21), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[92]']
        createRL(
            tech, net, 'm2',
            ((26.9,82.06),(26.9,82.32),(27.46,82.32),(27.46,82.06),(26.9,82.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(82.19), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(82.19), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[93]']
        createRL(
            tech, net, 'm2',
            ((26.9,80.43),(26.9,80.69),(27.46,80.69),(27.46,80.43),(26.9,80.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(80.56), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(80.56), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[94]']
        createRL(
            tech, net, 'm2',
            ((26.9,77.41),(26.9,77.67),(27.46,77.67),(27.46,77.41),(26.9,77.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(77.54), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(77.54), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[95]']
        createRL(
            tech, net, 'm2',
            ((26.9,75.78),(26.9,76.04),(27.46,76.04),(27.46,75.78),(26.9,75.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(75.91), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(75.91), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[96]']
        createRL(
            tech, net, 'm2',
            ((26.9,72.76),(26.9,73.02),(27.46,73.02),(27.46,72.76),(26.9,72.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.89), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.89), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[97]']
        createRL(
            tech, net, 'm2',
            ((26.9,71.13),(26.9,71.39),(27.46,71.39),(27.46,71.13),(26.9,71.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(71.26), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(71.26), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[98]']
        createRL(
            tech, net, 'm2',
            ((26.9,68.11),(26.9,68.37),(27.46,68.37),(27.46,68.11),(26.9,68.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(68.24), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(68.24), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[99]']
        createRL(
            tech, net, 'm2',
            ((26.9,66.48),(26.9,66.74),(27.46,66.74),(27.46,66.48),(26.9,66.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(66.61), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(66.61), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[100]']
        createRL(
            tech, net, 'm2',
            ((26.9,63.46),(26.9,63.72),(27.46,63.72),(27.46,63.46),(26.9,63.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.59), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.59), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[101]']
        createRL(
            tech, net, 'm2',
            ((26.9,61.83),(26.9,62.09),(27.46,62.09),(27.46,61.83),(26.9,61.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(61.96), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(61.96), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[102]']
        createRL(
            tech, net, 'm2',
            ((26.9,58.81),(26.9,59.07),(27.46,59.07),(27.46,58.81),(26.9,58.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(58.94), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(58.94), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[103]']
        createRL(
            tech, net, 'm2',
            ((26.9,57.18),(26.9,57.44),(27.46,57.44),(27.46,57.18),(26.9,57.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(57.31), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(57.31), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[104]']
        createRL(
            tech, net, 'm2',
            ((26.9,54.16),(26.9,54.42),(27.46,54.42),(27.46,54.16),(26.9,54.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(54.29), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(54.29), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[105]']
        createRL(
            tech, net, 'm2',
            ((26.9,52.53),(26.9,52.79),(27.46,52.79),(27.46,52.53),(26.9,52.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(52.66), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(52.66), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[106]']
        createRL(
            tech, net, 'm2',
            ((26.9,49.51),(26.9,49.77),(27.46,49.77),(27.46,49.51),(26.9,49.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(49.64), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(49.64), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[107]']
        createRL(
            tech, net, 'm2',
            ((26.9,47.88),(26.9,48.14),(27.46,48.14),(27.46,47.88),(26.9,47.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.01), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.01), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[108]']
        createRL(
            tech, net, 'm2',
            ((26.9,44.86),(26.9,45.12),(27.46,45.12),(27.46,44.86),(26.9,44.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(44.99), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(44.99), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[109]']
        createRL(
            tech, net, 'm2',
            ((26.9,43.23),(26.9,43.49),(27.46,43.49),(27.46,43.23),(26.9,43.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(43.36), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(43.36), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[110]']
        createRL(
            tech, net, 'm2',
            ((26.9,40.21),(26.9,40.47),(27.46,40.47),(27.46,40.21),(26.9,40.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(40.34), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(40.34), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[111]']
        createRL(
            tech, net, 'm2',
            ((26.9,38.58),(26.9,38.84),(27.46,38.84),(27.46,38.58),(26.9,38.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(38.71), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(38.71), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[112]']
        createRL(
            tech, net, 'm2',
            ((26.9,35.56),(26.9,35.82),(27.46,35.82),(27.46,35.56),(26.9,35.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.69), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.69), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[113]']
        createRL(
            tech, net, 'm2',
            ((26.9,33.93),(26.9,34.19),(27.46,34.19),(27.46,33.93),(26.9,33.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.06), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.06), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[114]']
        createRL(
            tech, net, 'm2',
            ((26.9,30.91),(26.9,31.17),(27.46,31.17),(27.46,30.91),(26.9,30.91)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(31.04), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(31.04), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[115]']
        createRL(
            tech, net, 'm2',
            ((26.9,29.28),(26.9,29.54),(27.46,29.54),(27.46,29.28),(26.9,29.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.41), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.41), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[116]']
        createRL(
            tech, net, 'm2',
            ((26.9,26.26),(26.9,26.52),(27.46,26.52),(27.46,26.26),(26.9,26.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(26.39), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(26.39), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[117]']
        createRL(
            tech, net, 'm2',
            ((26.9,24.63),(26.9,24.89),(27.46,24.89),(27.46,24.63),(26.9,24.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(24.76), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(24.76), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[118]']
        createRL(
            tech, net, 'm2',
            ((26.9,21.61),(26.9,21.87),(27.46,21.87),(27.46,21.61),(26.9,21.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.74), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.74), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[119]']
        createRL(
            tech, net, 'm2',
            ((26.9,19.98),(26.9,20.24),(27.46,20.24),(27.46,19.98),(26.9,19.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(20.11), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(20.11), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[120]']
        createRL(
            tech, net, 'm2',
            ((26.9,16.96),(26.9,17.22),(27.46,17.22),(27.46,16.96),(26.9,16.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(17.09), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(17.09), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[121]']
        createRL(
            tech, net, 'm2',
            ((26.9,15.33),(26.9,15.59),(27.46,15.59),(27.46,15.33),(26.9,15.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.46), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.46), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[122]']
        createRL(
            tech, net, 'm2',
            ((26.9,12.31),(26.9,12.57),(27.46,12.57),(27.46,12.31),(26.9,12.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.44), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.44), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[123]']
        createRL(
            tech, net, 'm2',
            ((26.9,10.68),(26.9,10.94),(27.46,10.94),(27.46,10.68),(26.9,10.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.81), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.81), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[124]']
        createRL(
            tech, net, 'm2',
            ((26.9,7.66),(26.9,7.92),(27.46,7.92),(27.46,7.66),(26.9,7.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.79), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.79), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[125]']
        createRL(
            tech, net, 'm2',
            ((26.9,6.03),(26.9,6.29),(27.46,6.29),(27.46,6.03),(26.9,6.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.16), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.16), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[126]']
        createRL(
            tech, net, 'm2',
            ((26.9,3.01),(26.9,3.27),(27.46,3.27),(27.46,3.01),(26.9,3.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.14), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.14), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl[127]']
        createRL(
            tech, net, 'm2',
            ((26.9,1.38),(26.9,1.64),(27.46,1.64),(27.46,1.38),(26.9,1.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.51), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.51), u(0.26), u(26.89999999999999), u(27.459999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][0]']
        createRL(
            tech, net, 'li',
            ((21.885,240.195),(21.885,240.725),(22.055,240.725),(22.055,240.195),(21.885,240.195)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,109.995),(21.885,110.525),(22.055,110.525),(22.055,109.995),(21.885,109.995)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,147.195),(21.885,147.725),(22.055,147.725),(22.055,147.195),(21.885,147.195)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,165.795),(21.885,166.325),(22.055,166.325),(22.055,165.795),(21.885,165.795)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,221.595),(21.885,222.125),(22.055,222.125),(22.055,221.595),(21.885,221.595)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,16.995),(21.885,17.525),(22.055,17.525),(22.055,16.995),(21.885,16.995)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,128.595),(21.885,129.125),(22.055,129.125),(22.055,128.595),(21.885,128.595)),
        )
        createRL(
            tech, net, 'li',
            ((13.155,4.415),(13.155,4.585),(13.325,4.585),(13.325,4.415),(13.155,4.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,258.795),(21.885,259.325),(22.055,259.325),(22.055,258.795),(21.885,258.795)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,277.395),(21.885,277.925),(22.055,277.925),(22.055,277.395),(21.885,277.395)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,295.995),(21.885,296.525),(22.055,296.525),(22.055,295.995),(21.885,295.995)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,54.195),(21.885,54.725),(22.055,54.725),(22.055,54.195),(21.885,54.195)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,184.395),(21.885,184.925),(22.055,184.925),(22.055,184.395),(21.885,184.395)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,91.395),(21.885,91.925),(22.055,91.925),(22.055,91.395),(21.885,91.395)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,202.995),(21.885,203.525),(22.055,203.525),(22.055,202.995),(21.885,202.995)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,35.59),(21.885,36.12),(22.055,36.12),(22.055,35.59),(21.885,35.59)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,72.795),(21.885,73.325),(22.055,73.325),(22.055,72.795),(21.885,72.795)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,91.395),(21.885,91.565),(22.055,91.565),(22.055,91.395),(21.885,91.395)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,91.755),(21.885,91.925),(22.055,91.925),(22.055,91.755),(21.885,91.755)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,128.595),(21.885,128.765),(22.055,128.765),(22.055,128.595),(21.885,128.595)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,128.955),(21.885,129.125),(22.055,129.125),(22.055,128.955),(21.885,128.955)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,277.395),(21.885,277.565),(22.055,277.565),(22.055,277.395),(21.885,277.395)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,277.755),(21.885,277.925),(22.055,277.925),(22.055,277.755),(21.885,277.755)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,295.995),(21.885,296.165),(22.055,296.165),(22.055,295.995),(21.885,295.995)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,296.355),(21.885,296.525),(22.055,296.525),(22.055,296.355),(21.885,296.355)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,54.195),(21.885,54.365),(22.055,54.365),(22.055,54.195),(21.885,54.195)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,54.555),(21.885,54.725),(22.055,54.725),(22.055,54.555),(21.885,54.555)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,184.395),(21.885,184.565),(22.055,184.565),(22.055,184.395),(21.885,184.395)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,184.755),(21.885,184.925),(22.055,184.925),(22.055,184.755),(21.885,184.755)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,147.195),(21.885,147.365),(22.055,147.365),(22.055,147.195),(21.885,147.195)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,147.555),(21.885,147.725),(22.055,147.725),(22.055,147.555),(21.885,147.555)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,109.995),(21.885,110.165),(22.055,110.165),(22.055,109.995),(21.885,109.995)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,110.355),(21.885,110.525),(22.055,110.525),(22.055,110.355),(21.885,110.355)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,16.995),(21.885,17.165),(22.055,17.165),(22.055,16.995),(21.885,16.995)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,17.355),(21.885,17.525),(22.055,17.525),(22.055,17.355),(21.885,17.355)),
        )
        createRL(
            tech, net, 'mcon',
            ((13.155,4.415),(13.155,4.585),(13.325,4.585),(13.325,4.415),(13.155,4.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,72.795),(21.885,72.965),(22.055,72.965),(22.055,72.795),(21.885,72.795)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,73.155),(21.885,73.325),(22.055,73.325),(22.055,73.155),(21.885,73.155)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,221.595),(21.885,221.765),(22.055,221.765),(22.055,221.595),(21.885,221.595)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,221.955),(21.885,222.125),(22.055,222.125),(22.055,221.955),(21.885,221.955)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,240.195),(21.885,240.365),(22.055,240.365),(22.055,240.195),(21.885,240.195)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,240.555),(21.885,240.725),(22.055,240.725),(22.055,240.555),(21.885,240.555)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,165.795),(21.885,165.965),(22.055,165.965),(22.055,165.795),(21.885,165.795)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,166.155),(21.885,166.325),(22.055,166.325),(22.055,166.155),(21.885,166.155)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,202.995),(21.885,203.165),(22.055,203.165),(22.055,202.995),(21.885,202.995)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,203.355),(21.885,203.525),(22.055,203.525),(22.055,203.355),(21.885,203.355)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,258.795),(21.885,258.965),(22.055,258.965),(22.055,258.795),(21.885,258.795)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,259.155),(21.885,259.325),(22.055,259.325),(22.055,259.155),(21.885,259.155)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,35.59),(21.885,35.76),(22.055,35.76),(22.055,35.59),(21.885,35.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,35.95),(21.885,36.12),(22.055,36.12),(22.055,35.95),(21.885,35.95)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,54.135),(21.855,54.14),(21.84,54.14),(21.84,54.78),(21.855,54.78),(21.855,54.785),(22.085,54.785),(22.085,54.78),(22.1,54.78),(22.1,54.14),(22.085,54.14),(22.085,54.135),(21.855,54.135)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,72.735),(21.855,72.74),(21.84,72.74),(21.84,73.38),(21.855,73.38),(21.855,73.385),(22.085,73.385),(22.085,73.38),(22.1,73.38),(22.1,72.74),(22.085,72.74),(22.085,72.735),(21.855,72.735)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,277.335),(21.855,277.34),(21.84,277.34),(21.84,277.98),(21.855,277.98),(21.855,277.985),(22.085,277.985),(22.085,277.98),(22.1,277.98),(22.1,277.34),(22.085,277.34),(22.085,277.335),(21.855,277.335)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,91.335),(21.855,91.34),(21.84,91.34),(21.84,91.98),(21.855,91.98),(21.855,91.985),(22.085,91.985),(22.085,91.98),(22.1,91.98),(22.1,91.34),(22.085,91.34),(22.085,91.335),(21.855,91.335)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,221.535),(21.855,221.54),(21.84,221.54),(21.84,222.18),(21.855,222.18),(21.855,222.185),(22.085,222.185),(22.085,222.18),(22.1,222.18),(22.1,221.54),(22.085,221.54),(22.085,221.535),(21.855,221.535)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,128.535),(21.855,128.54),(21.84,128.54),(21.84,129.18),(21.855,129.18),(21.855,129.185),(22.085,129.185),(22.085,129.18),(22.1,129.18),(22.1,128.54),(22.085,128.54),(22.085,128.535),(21.855,128.535)),
        )
        createRL(
            tech, net, 'm1',
            ((13.125,4.355),(13.125,4.5),(13.11,4.5),(13.11,296.58),(13.37,296.58),(13.37,4.5),(13.355,4.5),(13.355,4.355),(13.125,4.355)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,165.735),(21.855,165.74),(21.84,165.74),(21.84,166.38),(21.855,166.38),(21.855,166.385),(22.085,166.385),(22.085,166.38),(22.1,166.38),(22.1,165.74),(22.085,165.74),(22.085,165.735),(21.855,165.735)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,35.53),(21.855,35.535),(21.84,35.535),(21.84,36.175),(21.855,36.175),(21.855,36.18),(22.085,36.18),(22.085,36.175),(22.1,36.175),(22.1,35.535),(22.085,35.535),(22.085,35.53),(21.855,35.53)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,258.735),(21.855,258.74),(21.84,258.74),(21.84,259.38),(21.855,259.38),(21.855,259.385),(22.085,259.385),(22.085,259.38),(22.1,259.38),(22.1,258.74),(22.085,258.74),(22.085,258.735),(21.855,258.735)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,109.935),(21.855,109.94),(21.84,109.94),(21.84,110.58),(21.855,110.58),(21.855,110.585),(22.085,110.585),(22.085,110.58),(22.1,110.58),(22.1,109.94),(22.085,109.94),(22.085,109.935),(21.855,109.935)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,184.335),(21.855,184.34),(21.84,184.34),(21.84,184.98),(21.855,184.98),(21.855,184.985),(22.085,184.985),(22.085,184.98),(22.1,184.98),(22.1,184.34),(22.085,184.34),(22.085,184.335),(21.855,184.335)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,16.935),(21.855,16.94),(21.84,16.94),(21.84,17.58),(21.855,17.58),(21.855,17.585),(22.085,17.585),(22.085,17.58),(22.1,17.58),(22.1,16.94),(22.085,16.94),(22.085,16.935),(21.855,16.935)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,202.935),(21.855,202.94),(21.84,202.94),(21.84,203.58),(21.855,203.58),(21.855,203.585),(22.085,203.585),(22.085,203.58),(22.1,203.58),(22.1,202.94),(22.085,202.94),(22.085,202.935),(21.855,202.935)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,147.135),(21.855,147.14),(21.84,147.14),(21.84,147.78),(21.855,147.78),(21.855,147.785),(22.085,147.785),(22.085,147.78),(22.1,147.78),(22.1,147.14),(22.085,147.14),(22.085,147.135),(21.855,147.135)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,295.935),(21.855,295.94),(21.84,295.94),(21.84,296.58),(21.855,296.58),(21.855,296.585),(22.085,296.585),(22.085,296.58),(22.1,296.58),(22.1,295.94),(22.085,295.94),(22.085,295.935),(21.855,295.935)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,240.135),(21.855,240.14),(21.84,240.14),(21.84,240.78),(21.855,240.78),(21.855,240.785),(22.085,240.785),(22.085,240.78),(22.1,240.78),(22.1,240.14),(22.085,240.14),(22.085,240.135),(21.855,240.135)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,203.025),(13.165,203.175),(13.315,203.175),(13.315,203.025),(13.165,203.025)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,203.345),(13.165,203.495),(13.315,203.495),(13.315,203.345),(13.165,203.345)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,147.225),(21.895,147.375),(22.045,147.375),(22.045,147.225),(21.895,147.225)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,147.545),(21.895,147.695),(22.045,147.695),(22.045,147.545),(21.895,147.545)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,277.425),(13.165,277.575),(13.315,277.575),(13.315,277.425),(13.165,277.425)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,277.745),(13.165,277.895),(13.315,277.895),(13.315,277.745),(13.165,277.745)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,72.825),(21.895,72.975),(22.045,72.975),(22.045,72.825),(21.895,72.825)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,73.145),(21.895,73.295),(22.045,73.295),(22.045,73.145),(21.895,73.145)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,35.62),(21.895,35.77),(22.045,35.77),(22.045,35.62),(21.895,35.62)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,35.94),(21.895,36.09),(22.045,36.09),(22.045,35.94),(21.895,35.94)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,203.025),(21.895,203.175),(22.045,203.175),(22.045,203.025),(21.895,203.025)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,203.345),(21.895,203.495),(22.045,203.495),(22.045,203.345),(21.895,203.345)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,165.825),(13.165,165.975),(13.315,165.975),(13.315,165.825),(13.165,165.825)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,166.145),(13.165,166.295),(13.315,166.295),(13.315,166.145),(13.165,166.145)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,35.62),(13.165,35.77),(13.315,35.77),(13.315,35.62),(13.165,35.62)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,35.94),(13.165,36.09),(13.315,36.09),(13.315,35.94),(13.165,35.94)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,240.225),(21.895,240.375),(22.045,240.375),(22.045,240.225),(21.895,240.225)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,240.545),(21.895,240.695),(22.045,240.695),(22.045,240.545),(21.895,240.545)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,128.625),(21.895,128.775),(22.045,128.775),(22.045,128.625),(21.895,128.625)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,128.945),(21.895,129.095),(22.045,129.095),(22.045,128.945),(21.895,128.945)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,54.225),(13.165,54.375),(13.315,54.375),(13.315,54.225),(13.165,54.225)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,54.545),(13.165,54.695),(13.315,54.695),(13.315,54.545),(13.165,54.545)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,184.425),(13.165,184.575),(13.315,184.575),(13.315,184.425),(13.165,184.425)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,184.745),(13.165,184.895),(13.315,184.895),(13.315,184.745),(13.165,184.745)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,91.425),(21.895,91.575),(22.045,91.575),(22.045,91.425),(21.895,91.425)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,91.745),(21.895,91.895),(22.045,91.895),(22.045,91.745),(21.895,91.745)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,128.625),(13.165,128.775),(13.315,128.775),(13.315,128.625),(13.165,128.625)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,128.945),(13.165,129.095),(13.315,129.095),(13.315,128.945),(13.165,128.945)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,296.025),(13.165,296.175),(13.315,296.175),(13.315,296.025),(13.165,296.025)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,296.345),(13.165,296.495),(13.315,296.495),(13.315,296.345),(13.165,296.345)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,72.825),(13.165,72.975),(13.315,72.975),(13.315,72.825),(13.165,72.825)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,73.145),(13.165,73.295),(13.315,73.295),(13.315,73.145),(13.165,73.145)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,54.225),(21.895,54.375),(22.045,54.375),(22.045,54.225),(21.895,54.225)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,54.545),(21.895,54.695),(22.045,54.695),(22.045,54.545),(21.895,54.545)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,17.025),(21.895,17.175),(22.045,17.175),(22.045,17.025),(21.895,17.025)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,17.345),(21.895,17.495),(22.045,17.495),(22.045,17.345),(21.895,17.345)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,17.025),(13.165,17.175),(13.315,17.175),(13.315,17.025),(13.165,17.025)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,17.345),(13.165,17.495),(13.315,17.495),(13.315,17.345),(13.165,17.345)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,147.225),(13.165,147.375),(13.315,147.375),(13.315,147.225),(13.165,147.225)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,147.545),(13.165,147.695),(13.315,147.695),(13.315,147.545),(13.165,147.545)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,296.025),(21.895,296.175),(22.045,296.175),(22.045,296.025),(21.895,296.025)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,296.345),(21.895,296.495),(22.045,296.495),(22.045,296.345),(21.895,296.345)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,184.425),(21.895,184.575),(22.045,184.575),(22.045,184.425),(21.895,184.425)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,184.745),(21.895,184.895),(22.045,184.895),(22.045,184.745),(21.895,184.745)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,277.425),(21.895,277.575),(22.045,277.575),(22.045,277.425),(21.895,277.425)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,277.745),(21.895,277.895),(22.045,277.895),(22.045,277.745),(21.895,277.745)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,240.225),(13.165,240.375),(13.315,240.375),(13.315,240.225),(13.165,240.225)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,240.545),(13.165,240.695),(13.315,240.695),(13.315,240.545),(13.165,240.545)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,221.625),(13.165,221.775),(13.315,221.775),(13.315,221.625),(13.165,221.625)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,221.945),(13.165,222.095),(13.315,222.095),(13.315,221.945),(13.165,221.945)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,91.425),(13.165,91.575),(13.315,91.575),(13.315,91.425),(13.165,91.425)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,91.745),(13.165,91.895),(13.315,91.895),(13.315,91.745),(13.165,91.745)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,221.625),(21.895,221.775),(22.045,221.775),(22.045,221.625),(21.895,221.625)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,221.945),(21.895,222.095),(22.045,222.095),(22.045,221.945),(21.895,221.945)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,258.825),(13.165,258.975),(13.315,258.975),(13.315,258.825),(13.165,258.825)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,259.145),(13.165,259.295),(13.315,259.295),(13.315,259.145),(13.165,259.145)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,110.025),(21.895,110.175),(22.045,110.175),(22.045,110.025),(21.895,110.025)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,110.345),(21.895,110.495),(22.045,110.495),(22.045,110.345),(21.895,110.345)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,110.025),(13.165,110.175),(13.315,110.175),(13.315,110.025),(13.165,110.025)),
        )
        createRL(
            tech, net, 'via',
            ((13.165,110.345),(13.165,110.495),(13.315,110.495),(13.315,110.345),(13.165,110.345)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,258.825),(21.895,258.975),(22.045,258.975),(22.045,258.825),(21.895,258.825)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,259.145),(21.895,259.295),(22.045,259.295),(22.045,259.145),(21.895,259.145)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,165.825),(21.895,165.975),(22.045,165.975),(22.045,165.825),(21.895,165.825)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,166.145),(21.895,166.295),(22.045,166.295),(22.045,166.145),(21.895,166.145)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,258.74),(13.11,259.38),(22.1,259.38),(22.1,258.74),(13.11,258.74)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,91.34),(13.11,91.98),(22.1,91.98),(22.1,91.34),(13.11,91.34)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,128.54),(13.11,129.18),(22.1,129.18),(22.1,128.54),(13.11,128.54)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,35.535),(13.11,36.175),(22.1,36.175),(22.1,35.535),(13.11,35.535)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,72.74),(13.11,73.38),(22.1,73.38),(22.1,72.74),(13.11,72.74)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,184.34),(13.11,184.98),(22.1,184.98),(22.1,184.34),(13.11,184.34)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,295.94),(13.11,296.58),(22.1,296.58),(22.1,295.94),(13.11,295.94)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,240.14),(13.11,240.78),(22.1,240.78),(22.1,240.14),(13.11,240.14)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,109.94),(13.11,110.58),(22.1,110.58),(22.1,109.94),(13.11,109.94)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,147.14),(13.11,147.78),(22.1,147.78),(22.1,147.14),(13.11,147.14)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,165.74),(13.11,166.38),(22.1,166.38),(22.1,165.74),(13.11,165.74)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,221.54),(13.11,222.18),(22.1,222.18),(22.1,221.54),(13.11,221.54)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,16.94),(13.11,17.58),(22.1,17.58),(22.1,16.94),(13.11,16.94)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,277.34),(13.11,277.98),(22.1,277.98),(22.1,277.34),(13.11,277.34)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,54.14),(13.11,54.78),(22.1,54.78),(22.1,54.14),(13.11,54.14)),
        )
        createRL(
            tech, net, 'm2',
            ((13.11,202.94),(13.11,203.58),(22.1,203.58),(22.1,202.94),(13.11,202.94)),
        )
        net = nets['pd[0][1]']
        createRL(
            tech, net, 'li',
            ((21.885,89.425),(21.885,89.955),(22.055,89.955),(22.055,89.425),(21.885,89.425)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,145.225),(21.885,145.755),(22.055,145.755),(22.055,145.225),(21.885,145.225)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,201.025),(21.885,201.555),(22.055,201.555),(22.055,201.025),(21.885,201.025)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,238.225),(21.885,238.755),(22.055,238.755),(22.055,238.225),(21.885,238.225)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,15.03),(21.885,15.56),(22.055,15.56),(22.055,15.03),(21.885,15.03)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,275.425),(21.885,275.955),(22.055,275.955),(22.055,275.425),(21.885,275.425)),
        )
        createRL(
            tech, net, 'li',
            ((15.315,15.415),(15.315,15.585),(15.485,15.585),(15.485,15.415),(15.315,15.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,52.23),(21.885,52.76),(22.055,52.76),(22.055,52.23),(21.885,52.23)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,108.03),(21.885,108.56),(22.055,108.56),(22.055,108.03),(21.885,108.03)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,126.63),(21.885,127.16),(22.055,127.16),(22.055,126.63),(21.885,126.63)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,219.625),(21.885,220.155),(22.055,220.155),(22.055,219.625),(21.885,219.625)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,256.83),(21.885,257.36),(22.055,257.36),(22.055,256.83),(21.885,256.83)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,182.425),(21.885,182.955),(22.055,182.955),(22.055,182.425),(21.885,182.425)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,294.025),(21.885,294.555),(22.055,294.555),(22.055,294.025),(21.885,294.025)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,33.625),(21.885,34.155),(22.055,34.155),(22.055,33.625),(21.885,33.625)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,163.825),(21.885,164.355),(22.055,164.355),(22.055,163.825),(21.885,163.825)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,70.825),(21.885,71.355),(22.055,71.355),(22.055,70.825),(21.885,70.825)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,126.63),(21.885,126.8),(22.055,126.8),(22.055,126.63),(21.885,126.63)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,126.99),(21.885,127.16),(22.055,127.16),(22.055,126.99),(21.885,126.99)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,33.625),(21.885,33.795),(22.055,33.795),(22.055,33.625),(21.885,33.625)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,33.985),(21.885,34.155),(22.055,34.155),(22.055,33.985),(21.885,33.985)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,219.625),(21.885,219.795),(22.055,219.795),(22.055,219.625),(21.885,219.625)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,219.985),(21.885,220.155),(22.055,220.155),(22.055,219.985),(21.885,219.985)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,238.225),(21.885,238.395),(22.055,238.395),(22.055,238.225),(21.885,238.225)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,238.585),(21.885,238.755),(22.055,238.755),(22.055,238.585),(21.885,238.585)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,256.83),(21.885,257.0),(22.055,257.0),(22.055,256.83),(21.885,256.83)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,257.19),(21.885,257.36),(22.055,257.36),(22.055,257.19),(21.885,257.19)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,294.025),(21.885,294.195),(22.055,294.195),(22.055,294.025),(21.885,294.025)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,294.385),(21.885,294.555),(22.055,294.555),(22.055,294.385),(21.885,294.385)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,108.03),(21.885,108.2),(22.055,108.2),(22.055,108.03),(21.885,108.03)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,108.39),(21.885,108.56),(22.055,108.56),(22.055,108.39),(21.885,108.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,275.425),(21.885,275.595),(22.055,275.595),(22.055,275.425),(21.885,275.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,275.785),(21.885,275.955),(22.055,275.955),(22.055,275.785),(21.885,275.785)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,89.425),(21.885,89.595),(22.055,89.595),(22.055,89.425),(21.885,89.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,89.785),(21.885,89.955),(22.055,89.955),(22.055,89.785),(21.885,89.785)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,15.03),(21.885,15.2),(22.055,15.2),(22.055,15.03),(21.885,15.03)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,15.39),(21.885,15.56),(22.055,15.56),(22.055,15.39),(21.885,15.39)),
        )
        createRL(
            tech, net, 'mcon',
            ((15.315,15.415),(15.315,15.585),(15.485,15.585),(15.485,15.415),(15.315,15.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,70.825),(21.885,70.995),(22.055,70.995),(22.055,70.825),(21.885,70.825)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,71.185),(21.885,71.355),(22.055,71.355),(22.055,71.185),(21.885,71.185)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,52.23),(21.885,52.4),(22.055,52.4),(22.055,52.23),(21.885,52.23)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,52.59),(21.885,52.76),(22.055,52.76),(22.055,52.59),(21.885,52.59)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,201.025),(21.885,201.195),(22.055,201.195),(22.055,201.025),(21.885,201.025)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,201.385),(21.885,201.555),(22.055,201.555),(22.055,201.385),(21.885,201.385)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,163.825),(21.885,163.995),(22.055,163.995),(22.055,163.825),(21.885,163.825)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,164.185),(21.885,164.355),(22.055,164.355),(22.055,164.185),(21.885,164.185)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,145.225),(21.885,145.395),(22.055,145.395),(22.055,145.225),(21.885,145.225)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,145.585),(21.885,145.755),(22.055,145.755),(22.055,145.585),(21.885,145.585)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,182.425),(21.885,182.595),(22.055,182.595),(22.055,182.425),(21.885,182.425)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,182.785),(21.885,182.955),(22.055,182.955),(22.055,182.785),(21.885,182.785)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,200.965),(21.855,200.97),(21.84,200.97),(21.84,201.61),(21.855,201.61),(21.855,201.615),(22.085,201.615),(22.085,201.61),(22.1,201.61),(22.1,200.97),(22.085,200.97),(22.085,200.965),(21.855,200.965)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,275.365),(21.855,275.37),(21.84,275.37),(21.84,276.01),(21.855,276.01),(21.855,276.015),(22.085,276.015),(22.085,276.01),(22.1,276.01),(22.1,275.37),(22.085,275.37),(22.085,275.365),(21.855,275.365)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,52.17),(21.855,52.175),(21.84,52.175),(21.84,52.815),(21.855,52.815),(21.855,52.82),(22.085,52.82),(22.085,52.815),(22.1,52.815),(22.1,52.175),(22.085,52.175),(22.085,52.17),(21.855,52.17)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,126.57),(21.855,126.575),(21.84,126.575),(21.84,127.215),(21.855,127.215),(21.855,127.22),(22.085,127.22),(22.085,127.215),(22.1,127.215),(22.1,126.575),(22.085,126.575),(22.085,126.57),(21.855,126.57)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,89.365),(21.855,89.37),(21.84,89.37),(21.84,90.01),(21.855,90.01),(21.855,90.015),(22.085,90.015),(22.085,90.01),(22.1,90.01),(22.1,89.37),(22.085,89.37),(22.085,89.365),(21.855,89.365)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,256.77),(21.855,256.775),(21.84,256.775),(21.84,257.415),(21.855,257.415),(21.855,257.42),(22.085,257.42),(22.085,257.415),(22.1,257.415),(22.1,256.775),(22.085,256.775),(22.085,256.77),(21.855,256.77)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,219.565),(21.855,219.57),(21.84,219.57),(21.84,220.21),(21.855,220.21),(21.855,220.215),(22.085,220.215),(22.085,220.21),(22.1,220.21),(22.1,219.57),(22.085,219.57),(22.085,219.565),(21.855,219.565)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,293.965),(21.855,293.97),(21.84,293.97),(21.84,294.61),(21.855,294.61),(21.855,294.615),(22.085,294.615),(22.085,294.61),(22.1,294.61),(22.1,293.97),(22.085,293.97),(22.085,293.965),(21.855,293.965)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,70.765),(21.855,70.77),(21.84,70.77),(21.84,71.41),(21.855,71.41),(21.855,71.415),(22.085,71.415),(22.085,71.41),(22.1,71.41),(22.1,70.77),(22.085,70.77),(22.085,70.765),(21.855,70.765)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,33.565),(21.855,33.57),(21.84,33.57),(21.84,34.21),(21.855,34.21),(21.855,34.215),(22.085,34.215),(22.085,34.21),(22.1,34.21),(22.1,33.57),(22.085,33.57),(22.085,33.565),(21.855,33.565)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,238.165),(21.855,238.17),(21.84,238.17),(21.84,238.81),(21.855,238.81),(21.855,238.815),(22.085,238.815),(22.085,238.81),(22.1,238.81),(22.1,238.17),(22.085,238.17),(22.085,238.165),(21.855,238.165)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,163.765),(21.855,163.77),(21.84,163.77),(21.84,164.41),(21.855,164.41),(21.855,164.415),(22.085,164.415),(22.085,164.41),(22.1,164.41),(22.1,163.77),(22.085,163.77),(22.085,163.765),(21.855,163.765)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,14.97),(21.855,14.975),(21.84,14.975),(21.84,15.615),(21.855,15.615),(21.855,15.62),(22.085,15.62),(22.085,15.615),(22.1,15.615),(22.1,14.975),(22.085,14.975),(22.085,14.97),(21.855,14.97)),
        )
        createRL(
            tech, net, 'm1',
            ((15.27,14.975),(15.27,294.61),(15.53,294.61),(15.53,14.975),(15.27,14.975)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,107.97),(21.855,107.975),(21.84,107.975),(21.84,108.615),(21.855,108.615),(21.855,108.62),(22.085,108.62),(22.085,108.615),(22.1,108.615),(22.1,107.975),(22.085,107.975),(22.085,107.97),(21.855,107.97)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,145.165),(21.855,145.17),(21.84,145.17),(21.84,145.81),(21.855,145.81),(21.855,145.815),(22.085,145.815),(22.085,145.81),(22.1,145.81),(22.1,145.17),(22.085,145.17),(22.085,145.165),(21.855,145.165)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,182.365),(21.855,182.37),(21.84,182.37),(21.84,183.01),(21.855,183.01),(21.855,183.015),(22.085,183.015),(22.085,183.01),(22.1,183.01),(22.1,182.37),(22.085,182.37),(22.085,182.365),(21.855,182.365)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,256.86),(21.895,257.01),(22.045,257.01),(22.045,256.86),(21.895,256.86)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,257.18),(21.895,257.33),(22.045,257.33),(22.045,257.18),(21.895,257.18)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,256.86),(15.325,257.01),(15.475,257.01),(15.475,256.86),(15.325,256.86)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,257.18),(15.325,257.33),(15.475,257.33),(15.475,257.18),(15.325,257.18)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,201.055),(15.325,201.205),(15.475,201.205),(15.475,201.055),(15.325,201.055)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,201.375),(15.325,201.525),(15.475,201.525),(15.475,201.375),(15.325,201.375)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,108.06),(21.895,108.21),(22.045,108.21),(22.045,108.06),(21.895,108.06)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,108.38),(21.895,108.53),(22.045,108.53),(22.045,108.38),(21.895,108.38)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,52.26),(21.895,52.41),(22.045,52.41),(22.045,52.26),(21.895,52.26)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,52.58),(21.895,52.73),(22.045,52.73),(22.045,52.58),(21.895,52.58)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,126.66),(21.895,126.81),(22.045,126.81),(22.045,126.66),(21.895,126.66)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,126.98),(21.895,127.13),(22.045,127.13),(22.045,126.98),(21.895,126.98)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,163.855),(21.895,164.005),(22.045,164.005),(22.045,163.855),(21.895,163.855)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,164.175),(21.895,164.325),(22.045,164.325),(22.045,164.175),(21.895,164.175)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,219.655),(21.895,219.805),(22.045,219.805),(22.045,219.655),(21.895,219.655)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,219.975),(21.895,220.125),(22.045,220.125),(22.045,219.975),(21.895,219.975)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,89.455),(21.895,89.605),(22.045,89.605),(22.045,89.455),(21.895,89.455)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,89.775),(21.895,89.925),(22.045,89.925),(22.045,89.775),(21.895,89.775)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,126.66),(15.325,126.81),(15.475,126.81),(15.475,126.66),(15.325,126.66)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,126.98),(15.325,127.13),(15.475,127.13),(15.475,126.98),(15.325,126.98)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,145.255),(15.325,145.405),(15.475,145.405),(15.475,145.255),(15.325,145.255)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,145.575),(15.325,145.725),(15.475,145.725),(15.475,145.575),(15.325,145.575)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,182.455),(21.895,182.605),(22.045,182.605),(22.045,182.455),(21.895,182.455)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,182.775),(21.895,182.925),(22.045,182.925),(22.045,182.775),(21.895,182.775)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,70.855),(15.325,71.005),(15.475,71.005),(15.475,70.855),(15.325,70.855)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,71.175),(15.325,71.325),(15.475,71.325),(15.475,71.175),(15.325,71.175)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,294.055),(21.895,294.205),(22.045,294.205),(22.045,294.055),(21.895,294.055)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,294.375),(21.895,294.525),(22.045,294.525),(22.045,294.375),(21.895,294.375)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,52.26),(15.325,52.41),(15.475,52.41),(15.475,52.26),(15.325,52.26)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,52.58),(15.325,52.73),(15.475,52.73),(15.475,52.58),(15.325,52.58)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,70.855),(21.895,71.005),(22.045,71.005),(22.045,70.855),(21.895,70.855)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,71.175),(21.895,71.325),(22.045,71.325),(22.045,71.175),(21.895,71.175)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,182.455),(15.325,182.605),(15.475,182.605),(15.475,182.455),(15.325,182.455)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,182.775),(15.325,182.925),(15.475,182.925),(15.475,182.775),(15.325,182.775)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,89.455),(15.325,89.605),(15.475,89.605),(15.475,89.455),(15.325,89.455)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,89.775),(15.325,89.925),(15.475,89.925),(15.475,89.775),(15.325,89.775)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,33.655),(21.895,33.805),(22.045,33.805),(22.045,33.655),(21.895,33.655)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,33.975),(21.895,34.125),(22.045,34.125),(22.045,33.975),(21.895,33.975)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,238.255),(21.895,238.405),(22.045,238.405),(22.045,238.255),(21.895,238.255)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,238.575),(21.895,238.725),(22.045,238.725),(22.045,238.575),(21.895,238.575)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,201.055),(21.895,201.205),(22.045,201.205),(22.045,201.055),(21.895,201.055)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,201.375),(21.895,201.525),(22.045,201.525),(22.045,201.375),(21.895,201.375)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,15.06),(21.895,15.21),(22.045,15.21),(22.045,15.06),(21.895,15.06)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,15.38),(21.895,15.53),(22.045,15.53),(22.045,15.38),(21.895,15.38)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,15.06),(15.325,15.21),(15.475,15.21),(15.475,15.06),(15.325,15.06)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,15.38),(15.325,15.53),(15.475,15.53),(15.475,15.38),(15.325,15.38)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,33.655),(15.325,33.805),(15.475,33.805),(15.475,33.655),(15.325,33.655)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,33.975),(15.325,34.125),(15.475,34.125),(15.475,33.975),(15.325,33.975)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,238.255),(15.325,238.405),(15.475,238.405),(15.475,238.255),(15.325,238.255)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,238.575),(15.325,238.725),(15.475,238.725),(15.475,238.575),(15.325,238.575)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,275.455),(21.895,275.605),(22.045,275.605),(22.045,275.455),(21.895,275.455)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,275.775),(21.895,275.925),(22.045,275.925),(22.045,275.775),(21.895,275.775)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,275.455),(15.325,275.605),(15.475,275.605),(15.475,275.455),(15.325,275.455)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,275.775),(15.325,275.925),(15.475,275.925),(15.475,275.775),(15.325,275.775)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,163.855),(15.325,164.005),(15.475,164.005),(15.475,163.855),(15.325,163.855)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,164.175),(15.325,164.325),(15.475,164.325),(15.475,164.175),(15.325,164.175)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,219.655),(15.325,219.805),(15.475,219.805),(15.475,219.655),(15.325,219.655)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,219.975),(15.325,220.125),(15.475,220.125),(15.475,219.975),(15.325,219.975)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,294.055),(15.325,294.205),(15.475,294.205),(15.475,294.055),(15.325,294.055)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,294.375),(15.325,294.525),(15.475,294.525),(15.475,294.375),(15.325,294.375)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,145.255),(21.895,145.405),(22.045,145.405),(22.045,145.255),(21.895,145.255)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,145.575),(21.895,145.725),(22.045,145.725),(22.045,145.575),(21.895,145.575)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,108.06),(15.325,108.21),(15.475,108.21),(15.475,108.06),(15.325,108.06)),
        )
        createRL(
            tech, net, 'via',
            ((15.325,108.38),(15.325,108.53),(15.475,108.53),(15.475,108.38),(15.325,108.38)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,89.37),(15.27,90.01),(22.1,90.01),(22.1,89.37),(15.27,89.37)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,52.175),(15.27,52.815),(22.1,52.815),(22.1,52.175),(15.27,52.175)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,70.77),(15.27,71.41),(22.1,71.41),(22.1,70.77),(15.27,70.77)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,14.975),(15.27,15.615),(22.1,15.615),(22.1,14.975),(15.27,14.975)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,107.975),(15.27,108.615),(22.1,108.615),(22.1,107.975),(15.27,107.975)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,126.575),(15.27,127.215),(22.1,127.215),(22.1,126.575),(15.27,126.575)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,163.77),(15.27,164.41),(22.1,164.41),(22.1,163.77),(15.27,163.77)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,182.37),(15.27,183.01),(22.1,183.01),(22.1,182.37),(15.27,182.37)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,200.97),(15.27,201.61),(22.1,201.61),(22.1,200.97),(15.27,200.97)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,219.57),(15.27,220.21),(22.1,220.21),(22.1,219.57),(15.27,219.57)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,256.775),(15.27,257.415),(22.1,257.415),(22.1,256.775),(15.27,256.775)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,275.37),(15.27,276.01),(22.1,276.01),(22.1,275.37),(15.27,275.37)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,293.97),(15.27,294.61),(22.1,294.61),(22.1,293.97),(15.27,293.97)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,33.57),(15.27,34.21),(22.1,34.21),(22.1,33.57),(15.27,33.57)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,145.17),(15.27,145.81),(22.1,145.81),(22.1,145.17),(15.27,145.17)),
        )
        createRL(
            tech, net, 'm2',
            ((15.27,238.17),(15.27,238.81),(22.1,238.81),(22.1,238.17),(15.27,238.17)),
        )
        net = nets['pd[0][2]']
        createRL(
            tech, net, 'li',
            ((21.885,105.345),(21.885,105.875),(22.055,105.875),(22.055,105.345),(21.885,105.345)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,161.145),(21.885,161.675),(22.055,161.675),(22.055,161.145),(21.885,161.145)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,254.145),(21.885,254.675),(22.055,254.675),(22.055,254.145),(21.885,254.145)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,291.345),(21.885,291.875),(22.055,291.875),(22.055,291.345),(21.885,291.345)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,123.945),(21.885,124.475),(22.055,124.475),(22.055,123.945),(21.885,123.945)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,68.145),(21.885,68.675),(22.055,68.675),(22.055,68.145),(21.885,68.145)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,12.345),(21.885,12.875),(22.055,12.875),(22.055,12.345),(21.885,12.345)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,30.94),(21.885,31.47),(22.055,31.47),(22.055,30.94),(21.885,30.94)),
        )
        createRL(
            tech, net, 'li',
            ((13.695,20.415),(13.695,20.585),(13.865,20.585),(13.865,20.415),(13.695,20.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,142.545),(21.885,143.075),(22.055,143.075),(22.055,142.545),(21.885,142.545)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,235.545),(21.885,236.075),(22.055,236.075),(22.055,235.545),(21.885,235.545)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,272.745),(21.885,273.275),(22.055,273.275),(22.055,272.745),(21.885,272.745)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,198.345),(21.885,198.875),(22.055,198.875),(22.055,198.345),(21.885,198.345)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,49.545),(21.885,50.075),(22.055,50.075),(22.055,49.545),(21.885,49.545)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,216.945),(21.885,217.475),(22.055,217.475),(22.055,216.945),(21.885,216.945)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,179.745),(21.885,180.275),(22.055,180.275),(22.055,179.745),(21.885,179.745)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,86.745),(21.885,87.275),(22.055,87.275),(22.055,86.745),(21.885,86.745)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,30.94),(21.885,31.11),(22.055,31.11),(22.055,30.94),(21.885,30.94)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,31.3),(21.885,31.47),(22.055,31.47),(22.055,31.3),(21.885,31.3)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,272.745),(21.885,272.915),(22.055,272.915),(22.055,272.745),(21.885,272.745)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,273.105),(21.885,273.275),(22.055,273.275),(22.055,273.105),(21.885,273.105)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,198.345),(21.885,198.515),(22.055,198.515),(22.055,198.345),(21.885,198.345)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,198.705),(21.885,198.875),(22.055,198.875),(22.055,198.705),(21.885,198.705)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,49.545),(21.885,49.715),(22.055,49.715),(22.055,49.545),(21.885,49.545)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,49.905),(21.885,50.075),(22.055,50.075),(22.055,49.905),(21.885,49.905)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,235.545),(21.885,235.715),(22.055,235.715),(22.055,235.545),(21.885,235.545)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,235.905),(21.885,236.075),(22.055,236.075),(22.055,235.905),(21.885,235.905)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,12.345),(21.885,12.515),(22.055,12.515),(22.055,12.345),(21.885,12.345)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,12.705),(21.885,12.875),(22.055,12.875),(22.055,12.705),(21.885,12.705)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,254.145),(21.885,254.315),(22.055,254.315),(22.055,254.145),(21.885,254.145)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,254.505),(21.885,254.675),(22.055,254.675),(22.055,254.505),(21.885,254.505)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,142.545),(21.885,142.715),(22.055,142.715),(22.055,142.545),(21.885,142.545)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,142.905),(21.885,143.075),(22.055,143.075),(22.055,142.905),(21.885,142.905)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,105.345),(21.885,105.515),(22.055,105.515),(22.055,105.345),(21.885,105.345)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,105.705),(21.885,105.875),(22.055,105.875),(22.055,105.705),(21.885,105.705)),
        )
        createRL(
            tech, net, 'mcon',
            ((13.695,20.415),(13.695,20.585),(13.865,20.585),(13.865,20.415),(13.695,20.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,123.945),(21.885,124.115),(22.055,124.115),(22.055,123.945),(21.885,123.945)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,124.305),(21.885,124.475),(22.055,124.475),(22.055,124.305),(21.885,124.305)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,86.745),(21.885,86.915),(22.055,86.915),(22.055,86.745),(21.885,86.745)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,87.105),(21.885,87.275),(22.055,87.275),(22.055,87.105),(21.885,87.105)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,291.345),(21.885,291.515),(22.055,291.515),(22.055,291.345),(21.885,291.345)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,291.705),(21.885,291.875),(22.055,291.875),(22.055,291.705),(21.885,291.705)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,68.145),(21.885,68.315),(22.055,68.315),(22.055,68.145),(21.885,68.145)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,68.505),(21.885,68.675),(22.055,68.675),(22.055,68.505),(21.885,68.505)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,161.145),(21.885,161.315),(22.055,161.315),(22.055,161.145),(21.885,161.145)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,161.505),(21.885,161.675),(22.055,161.675),(22.055,161.505),(21.885,161.505)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,179.745),(21.885,179.915),(22.055,179.915),(22.055,179.745),(21.885,179.745)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,180.105),(21.885,180.275),(22.055,180.275),(22.055,180.105),(21.885,180.105)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,216.945),(21.885,217.115),(22.055,217.115),(22.055,216.945),(21.885,216.945)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,217.305),(21.885,217.475),(22.055,217.475),(22.055,217.305),(21.885,217.305)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,49.485),(21.855,49.49),(21.84,49.49),(21.84,50.13),(21.855,50.13),(21.855,50.135),(22.085,50.135),(22.085,50.13),(22.1,50.13),(22.1,49.49),(22.085,49.49),(22.085,49.485),(21.855,49.485)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,254.085),(21.855,254.09),(21.84,254.09),(21.84,254.73),(21.855,254.73),(21.855,254.735),(22.085,254.735),(22.085,254.73),(22.1,254.73),(22.1,254.09),(22.085,254.09),(22.085,254.085),(21.855,254.085)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,179.685),(21.855,179.69),(21.84,179.69),(21.84,180.33),(21.855,180.33),(21.855,180.335),(22.085,180.335),(22.085,180.33),(22.1,180.33),(22.1,179.69),(22.085,179.69),(22.085,179.685),(21.855,179.685)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,105.285),(21.855,105.29),(21.84,105.29),(21.84,105.93),(21.855,105.93),(21.855,105.935),(22.085,105.935),(22.085,105.93),(22.1,105.93),(22.1,105.29),(22.085,105.29),(22.085,105.285),(21.855,105.285)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,30.88),(21.855,30.885),(21.84,30.885),(21.84,31.525),(21.855,31.525),(21.855,31.53),(22.085,31.53),(22.085,31.525),(22.1,31.525),(22.1,30.885),(22.085,30.885),(22.085,30.88),(21.855,30.88)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,198.285),(21.855,198.29),(21.84,198.29),(21.84,198.93),(21.855,198.93),(21.855,198.935),(22.085,198.935),(22.085,198.93),(22.1,198.93),(22.1,198.29),(22.085,198.29),(22.085,198.285),(21.855,198.285)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,123.885),(21.855,123.89),(21.84,123.89),(21.84,124.53),(21.855,124.53),(21.855,124.535),(22.085,124.535),(22.085,124.53),(22.1,124.53),(22.1,123.89),(22.085,123.89),(22.085,123.885),(21.855,123.885)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,12.285),(21.855,12.29),(21.84,12.29),(21.84,12.93),(21.855,12.93),(21.855,12.935),(22.085,12.935),(22.085,12.93),(22.1,12.93),(22.1,12.29),(22.085,12.29),(22.085,12.285),(21.855,12.285)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,291.285),(21.855,291.29),(21.84,291.29),(21.84,291.93),(21.855,291.93),(21.855,291.935),(22.085,291.935),(22.085,291.93),(22.1,291.93),(22.1,291.29),(22.085,291.29),(22.085,291.285),(21.855,291.285)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,161.085),(21.855,161.09),(21.84,161.09),(21.84,161.73),(21.855,161.73),(21.855,161.735),(22.085,161.735),(22.085,161.73),(22.1,161.73),(22.1,161.09),(22.085,161.09),(22.085,161.085),(21.855,161.085)),
        )
        createRL(
            tech, net, 'm1',
            ((13.65,12.29),(13.65,291.93),(13.91,291.93),(13.91,12.29),(13.65,12.29)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,216.885),(21.855,216.89),(21.84,216.89),(21.84,217.53),(21.855,217.53),(21.855,217.535),(22.085,217.535),(22.085,217.53),(22.1,217.53),(22.1,216.89),(22.085,216.89),(22.085,216.885),(21.855,216.885)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,68.085),(21.855,68.09),(21.84,68.09),(21.84,68.73),(21.855,68.73),(21.855,68.735),(22.085,68.735),(22.085,68.73),(22.1,68.73),(22.1,68.09),(22.085,68.09),(22.085,68.085),(21.855,68.085)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,142.485),(21.855,142.49),(21.84,142.49),(21.84,143.13),(21.855,143.13),(21.855,143.135),(22.085,143.135),(22.085,143.13),(22.1,143.13),(22.1,142.49),(22.085,142.49),(22.085,142.485),(21.855,142.485)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,272.685),(21.855,272.69),(21.84,272.69),(21.84,273.33),(21.855,273.33),(21.855,273.335),(22.085,273.335),(22.085,273.33),(22.1,273.33),(22.1,272.69),(22.085,272.69),(22.085,272.685),(21.855,272.685)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,235.485),(21.855,235.49),(21.84,235.49),(21.84,236.13),(21.855,236.13),(21.855,236.135),(22.085,236.135),(22.085,236.13),(22.1,236.13),(22.1,235.49),(22.085,235.49),(22.085,235.485),(21.855,235.485)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,86.685),(21.855,86.69),(21.84,86.69),(21.84,87.33),(21.855,87.33),(21.855,87.335),(22.085,87.335),(22.085,87.33),(22.1,87.33),(22.1,86.69),(22.085,86.69),(22.085,86.685),(21.855,86.685)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,12.375),(13.705,12.525),(13.855,12.525),(13.855,12.375),(13.705,12.375)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,12.695),(13.705,12.845),(13.855,12.845),(13.855,12.695),(13.705,12.695)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,235.575),(13.705,235.725),(13.855,235.725),(13.855,235.575),(13.705,235.575)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,235.895),(13.705,236.045),(13.855,236.045),(13.855,235.895),(13.705,235.895)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,142.575),(21.895,142.725),(22.045,142.725),(22.045,142.575),(21.895,142.575)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,142.895),(21.895,143.045),(22.045,143.045),(22.045,142.895),(21.895,142.895)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,272.775),(21.895,272.925),(22.045,272.925),(22.045,272.775),(21.895,272.775)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,273.095),(21.895,273.245),(22.045,273.245),(22.045,273.095),(21.895,273.095)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,216.975),(21.895,217.125),(22.045,217.125),(22.045,216.975),(21.895,216.975)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,217.295),(21.895,217.445),(22.045,217.445),(22.045,217.295),(21.895,217.295)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,49.575),(21.895,49.725),(22.045,49.725),(22.045,49.575),(21.895,49.575)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,49.895),(21.895,50.045),(22.045,50.045),(22.045,49.895),(21.895,49.895)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,123.975),(13.705,124.125),(13.855,124.125),(13.855,123.975),(13.705,123.975)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,124.295),(13.705,124.445),(13.855,124.445),(13.855,124.295),(13.705,124.295)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,86.775),(13.705,86.925),(13.855,86.925),(13.855,86.775),(13.705,86.775)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,87.095),(13.705,87.245),(13.855,87.245),(13.855,87.095),(13.705,87.095)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,198.375),(13.705,198.525),(13.855,198.525),(13.855,198.375),(13.705,198.375)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,198.695),(13.705,198.845),(13.855,198.845),(13.855,198.695),(13.705,198.695)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,12.375),(21.895,12.525),(22.045,12.525),(22.045,12.375),(21.895,12.375)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,12.695),(21.895,12.845),(22.045,12.845),(22.045,12.695),(21.895,12.695)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,68.175),(21.895,68.325),(22.045,68.325),(22.045,68.175),(21.895,68.175)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,68.495),(21.895,68.645),(22.045,68.645),(22.045,68.495),(21.895,68.495)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,142.575),(13.705,142.725),(13.855,142.725),(13.855,142.575),(13.705,142.575)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,142.895),(13.705,143.045),(13.855,143.045),(13.855,142.895),(13.705,142.895)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,30.97),(21.895,31.12),(22.045,31.12),(22.045,30.97),(21.895,30.97)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,31.29),(21.895,31.44),(22.045,31.44),(22.045,31.29),(21.895,31.29)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,30.97),(13.705,31.12),(13.855,31.12),(13.855,30.97),(13.705,30.97)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,31.29),(13.705,31.44),(13.855,31.44),(13.855,31.29),(13.705,31.29)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,68.175),(13.705,68.325),(13.855,68.325),(13.855,68.175),(13.705,68.175)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,68.495),(13.705,68.645),(13.855,68.645),(13.855,68.495),(13.705,68.495)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,198.375),(21.895,198.525),(22.045,198.525),(22.045,198.375),(21.895,198.375)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,198.695),(21.895,198.845),(22.045,198.845),(22.045,198.695),(21.895,198.695)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,105.375),(13.705,105.525),(13.855,105.525),(13.855,105.375),(13.705,105.375)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,105.695),(13.705,105.845),(13.855,105.845),(13.855,105.695),(13.705,105.695)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,179.775),(13.705,179.925),(13.855,179.925),(13.855,179.775),(13.705,179.775)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,180.095),(13.705,180.245),(13.855,180.245),(13.855,180.095),(13.705,180.095)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,291.375),(21.895,291.525),(22.045,291.525),(22.045,291.375),(21.895,291.375)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,291.695),(21.895,291.845),(22.045,291.845),(22.045,291.695),(21.895,291.695)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,216.975),(13.705,217.125),(13.855,217.125),(13.855,216.975),(13.705,216.975)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,217.295),(13.705,217.445),(13.855,217.445),(13.855,217.295),(13.705,217.295)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,105.375),(21.895,105.525),(22.045,105.525),(22.045,105.375),(21.895,105.375)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,105.695),(21.895,105.845),(22.045,105.845),(22.045,105.695),(21.895,105.695)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,291.375),(13.705,291.525),(13.855,291.525),(13.855,291.375),(13.705,291.375)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,291.695),(13.705,291.845),(13.855,291.845),(13.855,291.695),(13.705,291.695)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,49.575),(13.705,49.725),(13.855,49.725),(13.855,49.575),(13.705,49.575)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,49.895),(13.705,50.045),(13.855,50.045),(13.855,49.895),(13.705,49.895)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,161.175),(21.895,161.325),(22.045,161.325),(22.045,161.175),(21.895,161.175)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,161.495),(21.895,161.645),(22.045,161.645),(22.045,161.495),(21.895,161.495)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,179.775),(21.895,179.925),(22.045,179.925),(22.045,179.775),(21.895,179.775)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,180.095),(21.895,180.245),(22.045,180.245),(22.045,180.095),(21.895,180.095)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,254.175),(21.895,254.325),(22.045,254.325),(22.045,254.175),(21.895,254.175)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,254.495),(21.895,254.645),(22.045,254.645),(22.045,254.495),(21.895,254.495)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,86.775),(21.895,86.925),(22.045,86.925),(22.045,86.775),(21.895,86.775)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,87.095),(21.895,87.245),(22.045,87.245),(22.045,87.095),(21.895,87.095)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,161.175),(13.705,161.325),(13.855,161.325),(13.855,161.175),(13.705,161.175)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,161.495),(13.705,161.645),(13.855,161.645),(13.855,161.495),(13.705,161.495)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,235.575),(21.895,235.725),(22.045,235.725),(22.045,235.575),(21.895,235.575)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,235.895),(21.895,236.045),(22.045,236.045),(22.045,235.895),(21.895,235.895)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,123.975),(21.895,124.125),(22.045,124.125),(22.045,123.975),(21.895,123.975)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,124.295),(21.895,124.445),(22.045,124.445),(22.045,124.295),(21.895,124.295)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,254.175),(13.705,254.325),(13.855,254.325),(13.855,254.175),(13.705,254.175)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,254.495),(13.705,254.645),(13.855,254.645),(13.855,254.495),(13.705,254.495)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,272.775),(13.705,272.925),(13.855,272.925),(13.855,272.775),(13.705,272.775)),
        )
        createRL(
            tech, net, 'via',
            ((13.705,273.095),(13.705,273.245),(13.855,273.245),(13.855,273.095),(13.705,273.095)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,49.49),(13.65,50.13),(22.1,50.13),(22.1,49.49),(13.65,49.49)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,179.69),(13.65,180.33),(22.1,180.33),(22.1,179.69),(13.65,179.69)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,86.69),(13.65,87.33),(22.1,87.33),(22.1,86.69),(13.65,86.69)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,216.89),(13.65,217.53),(22.1,217.53),(22.1,216.89),(13.65,216.89)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,105.29),(13.65,105.93),(22.1,105.93),(22.1,105.29),(13.65,105.29)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,142.49),(13.65,143.13),(22.1,143.13),(22.1,142.49),(13.65,142.49)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,161.09),(13.65,161.73),(22.1,161.73),(22.1,161.09),(13.65,161.09)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,254.09),(13.65,254.73),(22.1,254.73),(22.1,254.09),(13.65,254.09)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,272.69),(13.65,273.33),(22.1,273.33),(22.1,272.69),(13.65,272.69)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,291.29),(13.65,291.93),(22.1,291.93),(22.1,291.29),(13.65,291.29)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,123.89),(13.65,124.53),(22.1,124.53),(22.1,123.89),(13.65,123.89)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,68.09),(13.65,68.73),(22.1,68.73),(22.1,68.09),(13.65,68.09)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,12.29),(13.65,12.93),(22.1,12.93),(22.1,12.29),(13.65,12.29)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,235.49),(13.65,236.13),(22.1,236.13),(22.1,235.49),(13.65,235.49)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,30.885),(13.65,31.525),(22.1,31.525),(22.1,30.885),(13.65,30.885)),
        )
        createRL(
            tech, net, 'm2',
            ((13.65,198.29),(13.65,198.93),(22.1,198.93),(22.1,198.29),(13.65,198.29)),
        )
        net = nets['pd[0][3]']
        createRL(
            tech, net, 'li',
            ((21.885,177.775),(21.885,178.305),(22.055,178.305),(22.055,177.775),(21.885,177.775)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,289.38),(21.885,289.91),(22.055,289.91),(22.055,289.38),(21.885,289.38)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,159.175),(21.885,159.705),(22.055,159.705),(22.055,159.175),(21.885,159.175)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,84.775),(21.885,85.305),(22.055,85.305),(22.055,84.775),(21.885,84.775)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,66.175),(21.885,66.705),(22.055,66.705),(22.055,66.175),(21.885,66.175)),
        )
        createRL(
            tech, net, 'li',
            ((15.855,25.415),(15.855,25.585),(16.025,25.585),(16.025,25.415),(15.855,25.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,10.38),(21.885,10.91),(22.055,10.91),(22.055,10.38),(21.885,10.38)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,196.38),(21.885,196.91),(22.055,196.91),(22.055,196.38),(21.885,196.38)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,140.58),(21.885,141.11),(22.055,141.11),(22.055,140.58),(21.885,140.58)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,233.58),(21.885,234.11),(22.055,234.11),(22.055,233.58),(21.885,233.58)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,252.18),(21.885,252.71),(22.055,252.71),(22.055,252.18),(21.885,252.18)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,47.58),(21.885,48.11),(22.055,48.11),(22.055,47.58),(21.885,47.58)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,270.775),(21.885,271.305),(22.055,271.305),(22.055,270.775),(21.885,270.775)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,28.975),(21.885,29.505),(22.055,29.505),(22.055,28.975),(21.885,28.975)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,121.975),(21.885,122.505),(22.055,122.505),(22.055,121.975),(21.885,121.975)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,103.38),(21.885,103.91),(22.055,103.91),(22.055,103.38),(21.885,103.38)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,214.975),(21.885,215.505),(22.055,215.505),(22.055,214.975),(21.885,214.975)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,140.58),(21.885,140.75),(22.055,140.75),(22.055,140.58),(21.885,140.58)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,140.94),(21.885,141.11),(22.055,141.11),(22.055,140.94),(21.885,140.94)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,66.175),(21.885,66.345),(22.055,66.345),(22.055,66.175),(21.885,66.175)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,66.535),(21.885,66.705),(22.055,66.705),(22.055,66.535),(21.885,66.535)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,159.175),(21.885,159.345),(22.055,159.345),(22.055,159.175),(21.885,159.175)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,159.535),(21.885,159.705),(22.055,159.705),(22.055,159.535),(21.885,159.535)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,121.975),(21.885,122.145),(22.055,122.145),(22.055,121.975),(21.885,121.975)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,122.335),(21.885,122.505),(22.055,122.505),(22.055,122.335),(21.885,122.335)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,103.38),(21.885,103.55),(22.055,103.55),(22.055,103.38),(21.885,103.38)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,103.74),(21.885,103.91),(22.055,103.91),(22.055,103.74),(21.885,103.74)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,177.775),(21.885,177.945),(22.055,177.945),(22.055,177.775),(21.885,177.775)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,178.135),(21.885,178.305),(22.055,178.305),(22.055,178.135),(21.885,178.135)),
        )
        createRL(
            tech, net, 'mcon',
            ((15.855,25.415),(15.855,25.585),(16.025,25.585),(16.025,25.415),(15.855,25.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,196.38),(21.885,196.55),(22.055,196.55),(22.055,196.38),(21.885,196.38)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,196.74),(21.885,196.91),(22.055,196.91),(22.055,196.74),(21.885,196.74)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,47.58),(21.885,47.75),(22.055,47.75),(22.055,47.58),(21.885,47.58)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,47.94),(21.885,48.11),(22.055,48.11),(22.055,47.94),(21.885,47.94)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,252.18),(21.885,252.35),(22.055,252.35),(22.055,252.18),(21.885,252.18)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,252.54),(21.885,252.71),(22.055,252.71),(22.055,252.54),(21.885,252.54)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,28.975),(21.885,29.145),(22.055,29.145),(22.055,28.975),(21.885,28.975)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,29.335),(21.885,29.505),(22.055,29.505),(22.055,29.335),(21.885,29.335)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,233.58),(21.885,233.75),(22.055,233.75),(22.055,233.58),(21.885,233.58)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,233.94),(21.885,234.11),(22.055,234.11),(22.055,233.94),(21.885,233.94)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,289.38),(21.885,289.55),(22.055,289.55),(22.055,289.38),(21.885,289.38)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,289.74),(21.885,289.91),(22.055,289.91),(22.055,289.74),(21.885,289.74)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,10.38),(21.885,10.55),(22.055,10.55),(22.055,10.38),(21.885,10.38)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,10.74),(21.885,10.91),(22.055,10.91),(22.055,10.74),(21.885,10.74)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,214.975),(21.885,215.145),(22.055,215.145),(22.055,214.975),(21.885,214.975)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,215.335),(21.885,215.505),(22.055,215.505),(22.055,215.335),(21.885,215.335)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,84.775),(21.885,84.945),(22.055,84.945),(22.055,84.775),(21.885,84.775)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,85.135),(21.885,85.305),(22.055,85.305),(22.055,85.135),(21.885,85.135)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,270.775),(21.885,270.945),(22.055,270.945),(22.055,270.775),(21.885,270.775)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,271.135),(21.885,271.305),(22.055,271.305),(22.055,271.135),(21.885,271.135)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,103.32),(21.855,103.325),(21.84,103.325),(21.84,103.965),(21.855,103.965),(21.855,103.97),(22.085,103.97),(22.085,103.965),(22.1,103.965),(22.1,103.325),(22.085,103.325),(22.085,103.32),(21.855,103.32)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,177.715),(21.855,177.72),(21.84,177.72),(21.84,178.36),(21.855,178.36),(21.855,178.365),(22.085,178.365),(22.085,178.36),(22.1,178.36),(22.1,177.72),(22.085,177.72),(22.085,177.715),(21.855,177.715)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,47.52),(21.855,47.525),(21.84,47.525),(21.84,48.165),(21.855,48.165),(21.855,48.17),(22.085,48.17),(22.085,48.165),(22.1,48.165),(22.1,47.525),(22.085,47.525),(22.085,47.52),(21.855,47.52)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,121.915),(21.855,121.92),(21.84,121.92),(21.84,122.56),(21.855,122.56),(21.855,122.565),(22.085,122.565),(22.085,122.56),(22.1,122.56),(22.1,121.92),(22.085,121.92),(22.085,121.915),(21.855,121.915)),
        )
        createRL(
            tech, net, 'm1',
            ((15.81,10.325),(15.81,289.965),(16.07,289.965),(16.07,10.325),(15.81,10.325)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,140.52),(21.855,140.525),(21.84,140.525),(21.84,141.165),(21.855,141.165),(21.855,141.17),(22.085,141.17),(22.085,141.165),(22.1,141.165),(22.1,140.525),(22.085,140.525),(22.085,140.52),(21.855,140.52)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,28.915),(21.855,28.92),(21.84,28.92),(21.84,29.56),(21.855,29.56),(21.855,29.565),(22.085,29.565),(22.085,29.56),(22.1,29.56),(22.1,28.92),(22.085,28.92),(22.085,28.915),(21.855,28.915)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,270.715),(21.855,270.72),(21.84,270.72),(21.84,271.36),(21.855,271.36),(21.855,271.365),(22.085,271.365),(22.085,271.36),(22.1,271.36),(22.1,270.72),(22.085,270.72),(22.085,270.715),(21.855,270.715)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,289.32),(21.855,289.325),(21.84,289.325),(21.84,289.965),(21.855,289.965),(21.855,289.97),(22.085,289.97),(22.085,289.965),(22.1,289.965),(22.1,289.325),(22.085,289.325),(22.085,289.32),(21.855,289.32)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,196.32),(21.855,196.325),(21.84,196.325),(21.84,196.965),(21.855,196.965),(21.855,196.97),(22.085,196.97),(22.085,196.965),(22.1,196.965),(22.1,196.325),(22.085,196.325),(22.085,196.32),(21.855,196.32)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,66.115),(21.855,66.12),(21.84,66.12),(21.84,66.76),(21.855,66.76),(21.855,66.765),(22.085,66.765),(22.085,66.76),(22.1,66.76),(22.1,66.12),(22.085,66.12),(22.085,66.115),(21.855,66.115)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,84.715),(21.855,84.72),(21.84,84.72),(21.84,85.36),(21.855,85.36),(21.855,85.365),(22.085,85.365),(22.085,85.36),(22.1,85.36),(22.1,84.72),(22.085,84.72),(22.085,84.715),(21.855,84.715)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,233.52),(21.855,233.525),(21.84,233.525),(21.84,234.165),(21.855,234.165),(21.855,234.17),(22.085,234.17),(22.085,234.165),(22.1,234.165),(22.1,233.525),(22.085,233.525),(22.085,233.52),(21.855,233.52)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,159.115),(21.855,159.12),(21.84,159.12),(21.84,159.76),(21.855,159.76),(21.855,159.765),(22.085,159.765),(22.085,159.76),(22.1,159.76),(22.1,159.12),(22.085,159.12),(22.085,159.115),(21.855,159.115)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,252.12),(21.855,252.125),(21.84,252.125),(21.84,252.765),(21.855,252.765),(21.855,252.77),(22.085,252.77),(22.085,252.765),(22.1,252.765),(22.1,252.125),(22.085,252.125),(22.085,252.12),(21.855,252.12)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,10.32),(21.855,10.325),(21.84,10.325),(21.84,10.965),(21.855,10.965),(21.855,10.97),(22.085,10.97),(22.085,10.965),(22.1,10.965),(22.1,10.325),(22.085,10.325),(22.085,10.32),(21.855,10.32)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,214.915),(21.855,214.92),(21.84,214.92),(21.84,215.56),(21.855,215.56),(21.855,215.565),(22.085,215.565),(22.085,215.56),(22.1,215.56),(22.1,214.92),(22.085,214.92),(22.085,214.915),(21.855,214.915)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,252.21),(21.895,252.36),(22.045,252.36),(22.045,252.21),(21.895,252.21)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,252.53),(21.895,252.68),(22.045,252.68),(22.045,252.53),(21.895,252.53)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,140.61),(15.865,140.76),(16.015,140.76),(16.015,140.61),(15.865,140.61)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,140.93),(15.865,141.08),(16.015,141.08),(16.015,140.93),(15.865,140.93)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,122.005),(15.865,122.155),(16.015,122.155),(16.015,122.005),(15.865,122.005)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,122.325),(15.865,122.475),(16.015,122.475),(16.015,122.325),(15.865,122.325)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,289.41),(21.895,289.56),(22.045,289.56),(22.045,289.41),(21.895,289.41)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,289.73),(21.895,289.88),(22.045,289.88),(22.045,289.73),(21.895,289.73)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,29.005),(21.895,29.155),(22.045,29.155),(22.045,29.005),(21.895,29.005)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,29.325),(21.895,29.475),(22.045,29.475),(22.045,29.325),(21.895,29.325)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,122.005),(21.895,122.155),(22.045,122.155),(22.045,122.005),(21.895,122.005)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,122.325),(21.895,122.475),(22.045,122.475),(22.045,122.325),(21.895,122.325)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,47.61),(21.895,47.76),(22.045,47.76),(22.045,47.61),(21.895,47.61)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,47.93),(21.895,48.08),(22.045,48.08),(22.045,47.93),(21.895,47.93)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,103.41),(15.865,103.56),(16.015,103.56),(16.015,103.41),(15.865,103.41)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,103.73),(15.865,103.88),(16.015,103.88),(16.015,103.73),(15.865,103.73)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,159.205),(15.865,159.355),(16.015,159.355),(16.015,159.205),(15.865,159.205)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,159.525),(15.865,159.675),(16.015,159.675),(16.015,159.525),(15.865,159.525)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,289.41),(15.865,289.56),(16.015,289.56),(16.015,289.41),(15.865,289.41)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,289.73),(15.865,289.88),(16.015,289.88),(16.015,289.73),(15.865,289.73)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,270.805),(15.865,270.955),(16.015,270.955),(16.015,270.805),(15.865,270.805)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,271.125),(15.865,271.275),(16.015,271.275),(16.015,271.125),(15.865,271.125)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,29.005),(15.865,29.155),(16.015,29.155),(16.015,29.005),(15.865,29.005)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,29.325),(15.865,29.475),(16.015,29.475),(16.015,29.325),(15.865,29.325)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,196.41),(15.865,196.56),(16.015,196.56),(16.015,196.41),(15.865,196.41)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,196.73),(15.865,196.88),(16.015,196.88),(16.015,196.73),(15.865,196.73)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,159.205),(21.895,159.355),(22.045,159.355),(22.045,159.205),(21.895,159.205)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,159.525),(21.895,159.675),(22.045,159.675),(22.045,159.525),(21.895,159.525)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,252.21),(15.865,252.36),(16.015,252.36),(16.015,252.21),(15.865,252.21)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,252.53),(15.865,252.68),(16.015,252.68),(16.015,252.53),(15.865,252.53)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,66.205),(15.865,66.355),(16.015,66.355),(16.015,66.205),(15.865,66.205)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,66.525),(15.865,66.675),(16.015,66.675),(16.015,66.525),(15.865,66.525)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,196.41),(21.895,196.56),(22.045,196.56),(22.045,196.41),(21.895,196.41)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,196.73),(21.895,196.88),(22.045,196.88),(22.045,196.73),(21.895,196.73)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,103.41),(21.895,103.56),(22.045,103.56),(22.045,103.41),(21.895,103.41)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,103.73),(21.895,103.88),(22.045,103.88),(22.045,103.73),(21.895,103.73)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,270.805),(21.895,270.955),(22.045,270.955),(22.045,270.805),(21.895,270.805)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,271.125),(21.895,271.275),(22.045,271.275),(22.045,271.125),(21.895,271.125)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,177.805),(21.895,177.955),(22.045,177.955),(22.045,177.805),(21.895,177.805)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,178.125),(21.895,178.275),(22.045,178.275),(22.045,178.125),(21.895,178.125)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,47.61),(15.865,47.76),(16.015,47.76),(16.015,47.61),(15.865,47.61)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,47.93),(15.865,48.08),(16.015,48.08),(16.015,47.93),(15.865,47.93)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,10.41),(15.865,10.56),(16.015,10.56),(16.015,10.41),(15.865,10.41)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,10.73),(15.865,10.88),(16.015,10.88),(16.015,10.73),(15.865,10.73)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,233.61),(21.895,233.76),(22.045,233.76),(22.045,233.61),(21.895,233.61)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,233.93),(21.895,234.08),(22.045,234.08),(22.045,233.93),(21.895,233.93)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,215.005),(21.895,215.155),(22.045,215.155),(22.045,215.005),(21.895,215.005)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,215.325),(21.895,215.475),(22.045,215.475),(22.045,215.325),(21.895,215.325)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,66.205),(21.895,66.355),(22.045,66.355),(22.045,66.205),(21.895,66.205)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,66.525),(21.895,66.675),(22.045,66.675),(22.045,66.525),(21.895,66.525)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,215.005),(15.865,215.155),(16.015,215.155),(16.015,215.005),(15.865,215.005)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,215.325),(15.865,215.475),(16.015,215.475),(16.015,215.325),(15.865,215.325)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,233.61),(15.865,233.76),(16.015,233.76),(16.015,233.61),(15.865,233.61)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,233.93),(15.865,234.08),(16.015,234.08),(16.015,233.93),(15.865,233.93)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,140.61),(21.895,140.76),(22.045,140.76),(22.045,140.61),(21.895,140.61)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,140.93),(21.895,141.08),(22.045,141.08),(22.045,140.93),(21.895,140.93)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,177.805),(15.865,177.955),(16.015,177.955),(16.015,177.805),(15.865,177.805)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,178.125),(15.865,178.275),(16.015,178.275),(16.015,178.125),(15.865,178.125)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,10.41),(21.895,10.56),(22.045,10.56),(22.045,10.41),(21.895,10.41)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,10.73),(21.895,10.88),(22.045,10.88),(22.045,10.73),(21.895,10.73)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,84.805),(21.895,84.955),(22.045,84.955),(22.045,84.805),(21.895,84.805)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,85.125),(21.895,85.275),(22.045,85.275),(22.045,85.125),(21.895,85.125)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,84.805),(15.865,84.955),(16.015,84.955),(16.015,84.805),(15.865,84.805)),
        )
        createRL(
            tech, net, 'via',
            ((15.865,85.125),(15.865,85.275),(16.015,85.275),(16.015,85.125),(15.865,85.125)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,103.325),(15.81,103.965),(22.1,103.965),(22.1,103.325),(15.81,103.325)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,159.12),(15.81,159.76),(22.1,159.76),(22.1,159.12),(15.81,159.12)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,121.92),(15.81,122.56),(22.1,122.56),(22.1,121.92),(15.81,121.92)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,10.325),(15.81,10.965),(22.1,10.965),(22.1,10.325),(15.81,10.325)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,196.325),(15.81,196.965),(22.1,196.965),(22.1,196.325),(15.81,196.325)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,214.92),(15.81,215.56),(22.1,215.56),(22.1,214.92),(15.81,214.92)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,233.525),(15.81,234.165),(22.1,234.165),(22.1,233.525),(15.81,233.525)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,270.72),(15.81,271.36),(22.1,271.36),(22.1,270.72),(15.81,270.72)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,84.72),(15.81,85.36),(22.1,85.36),(22.1,84.72),(15.81,84.72)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,177.72),(15.81,178.36),(22.1,178.36),(22.1,177.72),(15.81,177.72)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,66.12),(15.81,66.76),(22.1,66.76),(22.1,66.12),(15.81,66.12)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,140.525),(15.81,141.165),(22.1,141.165),(22.1,140.525),(15.81,140.525)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,252.125),(15.81,252.765),(22.1,252.765),(22.1,252.125),(15.81,252.125)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,289.325),(15.81,289.965),(22.1,289.965),(22.1,289.325),(15.81,289.325)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,28.92),(15.81,29.56),(22.1,29.56),(22.1,28.92),(15.81,28.92)),
        )
        createRL(
            tech, net, 'm2',
            ((15.81,47.525),(15.81,48.165),(22.1,48.165),(22.1,47.525),(15.81,47.525)),
        )
        net = nets['pd[0][4]']
        createRL(
            tech, net, 'li',
            ((21.885,156.49),(21.885,157.02),(22.055,157.02),(22.055,156.49),(21.885,156.49)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,175.095),(21.885,175.625),(22.055,175.625),(22.055,175.095),(21.885,175.095)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,26.29),(21.885,26.82),(22.055,26.82),(22.055,26.29),(21.885,26.29)),
        )
        createRL(
            tech, net, 'li',
            ((14.235,36.415),(14.235,36.585),(14.405,36.585),(14.405,36.415),(14.235,36.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,82.095),(21.885,82.625),(22.055,82.625),(22.055,82.095),(21.885,82.095)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,193.695),(21.885,194.225),(22.055,194.225),(22.055,193.695),(21.885,193.695)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,212.295),(21.885,212.825),(22.055,212.825),(22.055,212.295),(21.885,212.295)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,268.09),(21.885,268.62),(22.055,268.62),(22.055,268.09),(21.885,268.09)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,286.69),(21.885,287.22),(22.055,287.22),(22.055,286.69),(21.885,286.69)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,63.495),(21.885,64.025),(22.055,64.025),(22.055,63.495),(21.885,63.495)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,7.695),(21.885,8.225),(22.055,8.225),(22.055,7.695),(21.885,7.695)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,44.895),(21.885,45.425),(22.055,45.425),(22.055,44.895),(21.885,44.895)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,137.895),(21.885,138.425),(22.055,138.425),(22.055,137.895),(21.885,137.895)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,119.295),(21.885,119.825),(22.055,119.825),(22.055,119.295),(21.885,119.295)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,249.495),(21.885,250.025),(22.055,250.025),(22.055,249.495),(21.885,249.495)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,100.695),(21.885,101.225),(22.055,101.225),(22.055,100.695),(21.885,100.695)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,230.895),(21.885,231.425),(22.055,231.425),(22.055,230.895),(21.885,230.895)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,137.895),(21.885,138.065),(22.055,138.065),(22.055,137.895),(21.885,137.895)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,138.255),(21.885,138.425),(22.055,138.425),(22.055,138.255),(21.885,138.255)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,63.495),(21.885,63.665),(22.055,63.665),(22.055,63.495),(21.885,63.495)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,63.855),(21.885,64.025),(22.055,64.025),(22.055,63.855),(21.885,63.855)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,7.695),(21.885,7.865),(22.055,7.865),(22.055,7.695),(21.885,7.695)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,8.055),(21.885,8.225),(22.055,8.225),(22.055,8.055),(21.885,8.055)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,156.49),(21.885,156.66),(22.055,156.66),(22.055,156.49),(21.885,156.49)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,156.85),(21.885,157.02),(22.055,157.02),(22.055,156.85),(21.885,156.85)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,230.895),(21.885,231.065),(22.055,231.065),(22.055,230.895),(21.885,230.895)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,231.255),(21.885,231.425),(22.055,231.425),(22.055,231.255),(21.885,231.255)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,268.09),(21.885,268.26),(22.055,268.26),(22.055,268.09),(21.885,268.09)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,268.45),(21.885,268.62),(22.055,268.62),(22.055,268.45),(21.885,268.45)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,26.29),(21.885,26.46),(22.055,26.46),(22.055,26.29),(21.885,26.29)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,26.65),(21.885,26.82),(22.055,26.82),(22.055,26.65),(21.885,26.65)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,119.295),(21.885,119.465),(22.055,119.465),(22.055,119.295),(21.885,119.295)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,119.655),(21.885,119.825),(22.055,119.825),(22.055,119.655),(21.885,119.655)),
        )
        createRL(
            tech, net, 'mcon',
            ((14.235,36.415),(14.235,36.585),(14.405,36.585),(14.405,36.415),(14.235,36.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,44.895),(21.885,45.065),(22.055,45.065),(22.055,44.895),(21.885,44.895)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,45.255),(21.885,45.425),(22.055,45.425),(22.055,45.255),(21.885,45.255)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,249.495),(21.885,249.665),(22.055,249.665),(22.055,249.495),(21.885,249.495)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,249.855),(21.885,250.025),(22.055,250.025),(22.055,249.855),(21.885,249.855)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,286.69),(21.885,286.86),(22.055,286.86),(22.055,286.69),(21.885,286.69)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,287.05),(21.885,287.22),(22.055,287.22),(22.055,287.05),(21.885,287.05)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,82.095),(21.885,82.265),(22.055,82.265),(22.055,82.095),(21.885,82.095)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,82.455),(21.885,82.625),(22.055,82.625),(22.055,82.455),(21.885,82.455)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,100.695),(21.885,100.865),(22.055,100.865),(22.055,100.695),(21.885,100.695)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,101.055),(21.885,101.225),(22.055,101.225),(22.055,101.055),(21.885,101.055)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,212.295),(21.885,212.465),(22.055,212.465),(22.055,212.295),(21.885,212.295)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,212.655),(21.885,212.825),(22.055,212.825),(22.055,212.655),(21.885,212.655)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,175.095),(21.885,175.265),(22.055,175.265),(22.055,175.095),(21.885,175.095)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,175.455),(21.885,175.625),(22.055,175.625),(22.055,175.455),(21.885,175.455)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,193.695),(21.885,193.865),(22.055,193.865),(22.055,193.695),(21.885,193.695)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,194.055),(21.885,194.225),(22.055,194.225),(22.055,194.055),(21.885,194.055)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,212.235),(21.855,212.24),(21.84,212.24),(21.84,212.88),(21.855,212.88),(21.855,212.885),(22.085,212.885),(22.085,212.88),(22.1,212.88),(22.1,212.24),(22.085,212.24),(22.085,212.235),(21.855,212.235)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,82.035),(21.855,82.04),(21.84,82.04),(21.84,82.68),(21.855,82.68),(21.855,82.685),(22.085,82.685),(22.085,82.68),(22.1,82.68),(22.1,82.04),(22.085,82.04),(22.085,82.035),(21.855,82.035)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,100.635),(21.855,100.64),(21.84,100.64),(21.84,101.28),(21.855,101.28),(21.855,101.285),(22.085,101.285),(22.085,101.28),(22.1,101.28),(22.1,100.64),(22.085,100.64),(22.085,100.635),(21.855,100.635)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,286.63),(21.855,286.635),(21.84,286.635),(21.84,287.275),(21.855,287.275),(21.855,287.28),(22.085,287.28),(22.085,287.275),(22.1,287.275),(22.1,286.635),(22.085,286.635),(22.085,286.63),(21.855,286.63)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,175.035),(21.855,175.04),(21.84,175.04),(21.84,175.68),(21.855,175.68),(21.855,175.685),(22.085,175.685),(22.085,175.68),(22.1,175.68),(22.1,175.04),(22.085,175.04),(22.085,175.035),(21.855,175.035)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,249.435),(21.855,249.44),(21.84,249.44),(21.84,250.08),(21.855,250.08),(21.855,250.085),(22.085,250.085),(22.085,250.08),(22.1,250.08),(22.1,249.44),(22.085,249.44),(22.085,249.435),(21.855,249.435)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,268.03),(21.855,268.035),(21.84,268.035),(21.84,268.675),(21.855,268.675),(21.855,268.68),(22.085,268.68),(22.085,268.675),(22.1,268.675),(22.1,268.035),(22.085,268.035),(22.085,268.03),(21.855,268.03)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,26.23),(21.855,26.235),(21.84,26.235),(21.84,26.875),(21.855,26.875),(21.855,26.88),(22.085,26.88),(22.085,26.875),(22.1,26.875),(22.1,26.235),(22.085,26.235),(22.085,26.23),(21.855,26.23)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,156.43),(21.855,156.435),(21.84,156.435),(21.84,157.075),(21.855,157.075),(21.855,157.08),(22.085,157.08),(22.085,157.075),(22.1,157.075),(22.1,156.435),(22.085,156.435),(22.085,156.43),(21.855,156.43)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,230.835),(21.855,230.84),(21.84,230.84),(21.84,231.48),(21.855,231.48),(21.855,231.485),(22.085,231.485),(22.085,231.48),(22.1,231.48),(22.1,230.84),(22.085,230.84),(22.085,230.835),(21.855,230.835)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,119.235),(21.855,119.24),(21.84,119.24),(21.84,119.88),(21.855,119.88),(21.855,119.885),(22.085,119.885),(22.085,119.88),(22.1,119.88),(22.1,119.24),(22.085,119.24),(22.085,119.235),(21.855,119.235)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,193.635),(21.855,193.64),(21.84,193.64),(21.84,194.28),(21.855,194.28),(21.855,194.285),(22.085,194.285),(22.085,194.28),(22.1,194.28),(22.1,193.64),(22.085,193.64),(22.085,193.635),(21.855,193.635)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,63.435),(21.855,63.44),(21.84,63.44),(21.84,64.08),(21.855,64.08),(21.855,64.085),(22.085,64.085),(22.085,64.08),(22.1,64.08),(22.1,63.44),(22.085,63.44),(22.085,63.435),(21.855,63.435)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,137.835),(21.855,137.84),(21.84,137.84),(21.84,138.48),(21.855,138.48),(21.855,138.485),(22.085,138.485),(22.085,138.48),(22.1,138.48),(22.1,137.84),(22.085,137.84),(22.085,137.835),(21.855,137.835)),
        )
        createRL(
            tech, net, 'm1',
            ((14.19,7.64),(14.19,287.275),(14.45,287.275),(14.45,7.64),(14.19,7.64)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,44.835),(21.855,44.84),(21.84,44.84),(21.84,45.48),(21.855,45.48),(21.855,45.485),(22.085,45.485),(22.085,45.48),(22.1,45.48),(22.1,44.84),(22.085,44.84),(22.085,44.835),(21.855,44.835)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,7.635),(21.855,7.64),(21.84,7.64),(21.84,8.28),(21.855,8.28),(21.855,8.285),(22.085,8.285),(22.085,8.28),(22.1,8.28),(22.1,7.64),(22.085,7.64),(22.085,7.635),(21.855,7.635)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,63.525),(14.245,63.675),(14.395,63.675),(14.395,63.525),(14.245,63.525)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,63.845),(14.245,63.995),(14.395,63.995),(14.395,63.845),(14.245,63.845)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,156.52),(21.895,156.67),(22.045,156.67),(22.045,156.52),(21.895,156.52)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,156.84),(21.895,156.99),(22.045,156.99),(22.045,156.84),(21.895,156.84)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,286.72),(14.245,286.87),(14.395,286.87),(14.395,286.72),(14.245,286.72)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,287.04),(14.245,287.19),(14.395,287.19),(14.395,287.04),(14.245,287.04)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,100.725),(14.245,100.875),(14.395,100.875),(14.395,100.725),(14.245,100.725)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,101.045),(14.245,101.195),(14.395,101.195),(14.395,101.045),(14.245,101.045)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,212.325),(21.895,212.475),(22.045,212.475),(22.045,212.325),(21.895,212.325)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,212.645),(21.895,212.795),(22.045,212.795),(22.045,212.645),(21.895,212.645)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,230.925),(14.245,231.075),(14.395,231.075),(14.395,230.925),(14.245,230.925)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,231.245),(14.245,231.395),(14.395,231.395),(14.395,231.245),(14.245,231.245)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,286.72),(21.895,286.87),(22.045,286.87),(22.045,286.72),(21.895,286.72)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,287.04),(21.895,287.19),(22.045,287.19),(22.045,287.04),(21.895,287.04)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,44.925),(14.245,45.075),(14.395,45.075),(14.395,44.925),(14.245,44.925)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,45.245),(14.245,45.395),(14.395,45.395),(14.395,45.245),(14.245,45.245)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,249.525),(21.895,249.675),(22.045,249.675),(22.045,249.525),(21.895,249.525)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,249.845),(21.895,249.995),(22.045,249.995),(22.045,249.845),(21.895,249.845)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,100.725),(21.895,100.875),(22.045,100.875),(22.045,100.725),(21.895,100.725)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,101.045),(21.895,101.195),(22.045,101.195),(22.045,101.045),(21.895,101.045)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,212.325),(14.245,212.475),(14.395,212.475),(14.395,212.325),(14.245,212.325)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,212.645),(14.245,212.795),(14.395,212.795),(14.395,212.645),(14.245,212.645)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,26.32),(21.895,26.47),(22.045,26.47),(22.045,26.32),(21.895,26.32)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,26.64),(21.895,26.79),(22.045,26.79),(22.045,26.64),(21.895,26.64)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,230.925),(21.895,231.075),(22.045,231.075),(22.045,230.925),(21.895,230.925)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,231.245),(21.895,231.395),(22.045,231.395),(22.045,231.245),(21.895,231.245)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,7.725),(21.895,7.875),(22.045,7.875),(22.045,7.725),(21.895,7.725)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,8.045),(21.895,8.195),(22.045,8.195),(22.045,8.045),(21.895,8.045)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,175.125),(21.895,175.275),(22.045,175.275),(22.045,175.125),(21.895,175.125)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,175.445),(21.895,175.595),(22.045,175.595),(22.045,175.445),(21.895,175.445)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,63.525),(21.895,63.675),(22.045,63.675),(22.045,63.525),(21.895,63.525)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,63.845),(21.895,63.995),(22.045,63.995),(22.045,63.845),(21.895,63.845)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,137.925),(21.895,138.075),(22.045,138.075),(22.045,137.925),(21.895,137.925)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,138.245),(21.895,138.395),(22.045,138.395),(22.045,138.245),(21.895,138.245)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,7.725),(14.245,7.875),(14.395,7.875),(14.395,7.725),(14.245,7.725)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,8.045),(14.245,8.195),(14.395,8.195),(14.395,8.045),(14.245,8.045)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,249.525),(14.245,249.675),(14.395,249.675),(14.395,249.525),(14.245,249.525)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,249.845),(14.245,249.995),(14.395,249.995),(14.395,249.845),(14.245,249.845)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,156.52),(14.245,156.67),(14.395,156.67),(14.395,156.52),(14.245,156.52)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,156.84),(14.245,156.99),(14.395,156.99),(14.395,156.84),(14.245,156.84)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,44.925),(21.895,45.075),(22.045,45.075),(22.045,44.925),(21.895,44.925)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,45.245),(21.895,45.395),(22.045,45.395),(22.045,45.245),(21.895,45.245)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,175.125),(14.245,175.275),(14.395,175.275),(14.395,175.125),(14.245,175.125)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,175.445),(14.245,175.595),(14.395,175.595),(14.395,175.445),(14.245,175.445)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,82.125),(21.895,82.275),(22.045,82.275),(22.045,82.125),(21.895,82.125)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,82.445),(21.895,82.595),(22.045,82.595),(22.045,82.445),(21.895,82.445)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,137.925),(14.245,138.075),(14.395,138.075),(14.395,137.925),(14.245,137.925)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,138.245),(14.245,138.395),(14.395,138.395),(14.395,138.245),(14.245,138.245)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,193.725),(21.895,193.875),(22.045,193.875),(22.045,193.725),(21.895,193.725)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,194.045),(21.895,194.195),(22.045,194.195),(22.045,194.045),(21.895,194.045)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,26.32),(14.245,26.47),(14.395,26.47),(14.395,26.32),(14.245,26.32)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,26.64),(14.245,26.79),(14.395,26.79),(14.395,26.64),(14.245,26.64)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,193.725),(14.245,193.875),(14.395,193.875),(14.395,193.725),(14.245,193.725)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,194.045),(14.245,194.195),(14.395,194.195),(14.395,194.045),(14.245,194.045)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,268.12),(21.895,268.27),(22.045,268.27),(22.045,268.12),(21.895,268.12)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,268.44),(21.895,268.59),(22.045,268.59),(22.045,268.44),(21.895,268.44)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,119.325),(21.895,119.475),(22.045,119.475),(22.045,119.325),(21.895,119.325)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,119.645),(21.895,119.795),(22.045,119.795),(22.045,119.645),(21.895,119.645)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,82.125),(14.245,82.275),(14.395,82.275),(14.395,82.125),(14.245,82.125)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,82.445),(14.245,82.595),(14.395,82.595),(14.395,82.445),(14.245,82.445)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,268.12),(14.245,268.27),(14.395,268.27),(14.395,268.12),(14.245,268.12)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,268.44),(14.245,268.59),(14.395,268.59),(14.395,268.44),(14.245,268.44)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,119.325),(14.245,119.475),(14.395,119.475),(14.395,119.325),(14.245,119.325)),
        )
        createRL(
            tech, net, 'via',
            ((14.245,119.645),(14.245,119.795),(14.395,119.795),(14.395,119.645),(14.245,119.645)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,137.84),(14.19,138.48),(22.1,138.48),(22.1,137.84),(14.19,137.84)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,193.64),(14.19,194.28),(22.1,194.28),(22.1,193.64),(14.19,193.64)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,249.44),(14.19,250.08),(22.1,250.08),(22.1,249.44),(14.19,249.44)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,63.44),(14.19,64.08),(22.1,64.08),(22.1,63.44),(14.19,63.44)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,230.84),(14.19,231.48),(22.1,231.48),(22.1,230.84),(14.19,230.84)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,212.24),(14.19,212.88),(22.1,212.88),(22.1,212.24),(14.19,212.24)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,268.035),(14.19,268.675),(22.1,268.675),(22.1,268.035),(14.19,268.035)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,100.64),(14.19,101.28),(22.1,101.28),(22.1,100.64),(14.19,100.64)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,175.04),(14.19,175.68),(22.1,175.68),(22.1,175.04),(14.19,175.04)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,26.235),(14.19,26.875),(22.1,26.875),(22.1,26.235),(14.19,26.235)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,156.435),(14.19,157.075),(22.1,157.075),(22.1,156.435),(14.19,156.435)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,7.64),(14.19,8.28),(22.1,8.28),(22.1,7.64),(14.19,7.64)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,286.635),(14.19,287.275),(22.1,287.275),(22.1,286.635),(14.19,286.635)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,119.24),(14.19,119.88),(22.1,119.88),(22.1,119.24),(14.19,119.24)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,44.84),(14.19,45.48),(22.1,45.48),(22.1,44.84),(14.19,44.84)),
        )
        createRL(
            tech, net, 'm2',
            ((14.19,82.04),(14.19,82.68),(22.1,82.68),(22.1,82.04),(14.19,82.04)),
        )
        net = nets['pd[0][5]']
        createRL(
            tech, net, 'li',
            ((21.885,80.125),(21.885,80.655),(22.055,80.655),(22.055,80.125),(21.885,80.125)),
        )
        createRL(
            tech, net, 'li',
            ((16.395,41.415),(16.395,41.585),(16.565,41.585),(16.565,41.415),(16.395,41.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,154.53),(21.885,155.06),(22.055,155.06),(22.055,154.53),(21.885,154.53)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,5.73),(21.885,6.26),(22.055,6.26),(22.055,5.73),(21.885,5.73)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,61.525),(21.885,62.055),(22.055,62.055),(22.055,61.525),(21.885,61.525)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,228.925),(21.885,229.455),(22.055,229.455),(22.055,228.925),(21.885,228.925)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,284.73),(21.885,285.26),(22.055,285.26),(22.055,284.73),(21.885,284.73)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,210.33),(21.885,210.86),(22.055,210.86),(22.055,210.33),(21.885,210.33)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,266.13),(21.885,266.66),(22.055,266.66),(22.055,266.13),(21.885,266.13)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,117.33),(21.885,117.86),(22.055,117.86),(22.055,117.33),(21.885,117.33)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,173.125),(21.885,173.655),(22.055,173.655),(22.055,173.125),(21.885,173.125)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,135.925),(21.885,136.455),(22.055,136.455),(22.055,135.925),(21.885,135.925)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,24.325),(21.885,24.855),(22.055,24.855),(22.055,24.325),(21.885,24.325)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,42.93),(21.885,43.46),(22.055,43.46),(22.055,42.93),(21.885,42.93)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,191.725),(21.885,192.255),(22.055,192.255),(22.055,191.725),(21.885,191.725)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,98.73),(21.885,99.26),(22.055,99.26),(22.055,98.73),(21.885,98.73)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,247.525),(21.885,248.055),(22.055,248.055),(22.055,247.525),(21.885,247.525)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,173.125),(21.885,173.295),(22.055,173.295),(22.055,173.125),(21.885,173.125)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,173.485),(21.885,173.655),(22.055,173.655),(22.055,173.485),(21.885,173.485)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,61.525),(21.885,61.695),(22.055,61.695),(22.055,61.525),(21.885,61.525)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,61.885),(21.885,62.055),(22.055,62.055),(22.055,61.885),(21.885,61.885)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.395,41.415),(16.395,41.585),(16.565,41.585),(16.565,41.415),(16.395,41.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,42.93),(21.885,43.1),(22.055,43.1),(22.055,42.93),(21.885,42.93)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,43.29),(21.885,43.46),(22.055,43.46),(22.055,43.29),(21.885,43.29)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,117.33),(21.885,117.5),(22.055,117.5),(22.055,117.33),(21.885,117.33)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,117.69),(21.885,117.86),(22.055,117.86),(22.055,117.69),(21.885,117.69)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,210.33),(21.885,210.5),(22.055,210.5),(22.055,210.33),(21.885,210.33)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,210.69),(21.885,210.86),(22.055,210.86),(22.055,210.69),(21.885,210.69)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,247.525),(21.885,247.695),(22.055,247.695),(22.055,247.525),(21.885,247.525)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,247.885),(21.885,248.055),(22.055,248.055),(22.055,247.885),(21.885,247.885)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,228.925),(21.885,229.095),(22.055,229.095),(22.055,228.925),(21.885,228.925)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,229.285),(21.885,229.455),(22.055,229.455),(22.055,229.285),(21.885,229.285)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,135.925),(21.885,136.095),(22.055,136.095),(22.055,135.925),(21.885,135.925)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,136.285),(21.885,136.455),(22.055,136.455),(22.055,136.285),(21.885,136.285)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,98.73),(21.885,98.9),(22.055,98.9),(22.055,98.73),(21.885,98.73)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,99.09),(21.885,99.26),(22.055,99.26),(22.055,99.09),(21.885,99.09)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,24.325),(21.885,24.495),(22.055,24.495),(22.055,24.325),(21.885,24.325)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,24.685),(21.885,24.855),(22.055,24.855),(22.055,24.685),(21.885,24.685)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,284.73),(21.885,284.9),(22.055,284.9),(22.055,284.73),(21.885,284.73)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,285.09),(21.885,285.26),(22.055,285.26),(22.055,285.09),(21.885,285.09)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,266.13),(21.885,266.3),(22.055,266.3),(22.055,266.13),(21.885,266.13)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,266.49),(21.885,266.66),(22.055,266.66),(22.055,266.49),(21.885,266.49)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,191.725),(21.885,191.895),(22.055,191.895),(22.055,191.725),(21.885,191.725)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,192.085),(21.885,192.255),(22.055,192.255),(22.055,192.085),(21.885,192.085)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,5.73),(21.885,5.9),(22.055,5.9),(22.055,5.73),(21.885,5.73)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,6.09),(21.885,6.26),(22.055,6.26),(22.055,6.09),(21.885,6.09)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,154.53),(21.885,154.7),(22.055,154.7),(22.055,154.53),(21.885,154.53)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,154.89),(21.885,155.06),(22.055,155.06),(22.055,154.89),(21.885,154.89)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,80.125),(21.885,80.295),(22.055,80.295),(22.055,80.125),(21.885,80.125)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,80.485),(21.885,80.655),(22.055,80.655),(22.055,80.485),(21.885,80.485)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,117.27),(21.855,117.275),(21.84,117.275),(21.84,117.915),(21.855,117.915),(21.855,117.92),(22.085,117.92),(22.085,117.915),(22.1,117.915),(22.1,117.275),(22.085,117.275),(22.085,117.27),(21.855,117.27)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,61.465),(21.855,61.47),(21.84,61.47),(21.84,62.11),(21.855,62.11),(21.855,62.115),(22.085,62.115),(22.085,62.11),(22.1,62.11),(22.1,61.47),(22.085,61.47),(22.085,61.465),(21.855,61.465)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,210.27),(21.855,210.275),(21.84,210.275),(21.84,210.915),(21.855,210.915),(21.855,210.92),(22.085,210.92),(22.085,210.915),(22.1,210.915),(22.1,210.275),(22.085,210.275),(22.085,210.27),(21.855,210.27)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,228.865),(21.855,228.87),(21.84,228.87),(21.84,229.51),(21.855,229.51),(21.855,229.515),(22.085,229.515),(22.085,229.51),(22.1,229.51),(22.1,228.87),(22.085,228.87),(22.085,228.865),(21.855,228.865)),
        )
        createRL(
            tech, net, 'm1',
            ((16.35,5.675),(16.35,285.315),(16.61,285.315),(16.61,5.675),(16.35,5.675)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,173.065),(21.855,173.07),(21.84,173.07),(21.84,173.71),(21.855,173.71),(21.855,173.715),(22.085,173.715),(22.085,173.71),(22.1,173.71),(22.1,173.07),(22.085,173.07),(22.085,173.065),(21.855,173.065)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,154.47),(21.855,154.475),(21.84,154.475),(21.84,155.115),(21.855,155.115),(21.855,155.12),(22.085,155.12),(22.085,155.115),(22.1,155.115),(22.1,154.475),(22.085,154.475),(22.085,154.47),(21.855,154.47)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,5.67),(21.855,5.675),(21.84,5.675),(21.84,6.315),(21.855,6.315),(21.855,6.32),(22.085,6.32),(22.085,6.315),(22.1,6.315),(22.1,5.675),(22.085,5.675),(22.085,5.67),(21.855,5.67)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,284.67),(21.855,284.675),(21.84,284.675),(21.84,285.315),(21.855,285.315),(21.855,285.32),(22.085,285.32),(22.085,285.315),(22.1,285.315),(22.1,284.675),(22.085,284.675),(22.085,284.67),(21.855,284.67)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,247.465),(21.855,247.47),(21.84,247.47),(21.84,248.11),(21.855,248.11),(21.855,248.115),(22.085,248.115),(22.085,248.11),(22.1,248.11),(22.1,247.47),(22.085,247.47),(22.085,247.465),(21.855,247.465)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,98.67),(21.855,98.675),(21.84,98.675),(21.84,99.315),(21.855,99.315),(21.855,99.32),(22.085,99.32),(22.085,99.315),(22.1,99.315),(22.1,98.675),(22.085,98.675),(22.085,98.67),(21.855,98.67)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,191.665),(21.855,191.67),(21.84,191.67),(21.84,192.31),(21.855,192.31),(21.855,192.315),(22.085,192.315),(22.085,192.31),(22.1,192.31),(22.1,191.67),(22.085,191.67),(22.085,191.665),(21.855,191.665)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,24.265),(21.855,24.27),(21.84,24.27),(21.84,24.91),(21.855,24.91),(21.855,24.915),(22.085,24.915),(22.085,24.91),(22.1,24.91),(22.1,24.27),(22.085,24.27),(22.085,24.265),(21.855,24.265)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,42.87),(21.855,42.875),(21.84,42.875),(21.84,43.515),(21.855,43.515),(21.855,43.52),(22.085,43.52),(22.085,43.515),(22.1,43.515),(22.1,42.875),(22.085,42.875),(22.085,42.87),(21.855,42.87)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,266.07),(21.855,266.075),(21.84,266.075),(21.84,266.715),(21.855,266.715),(21.855,266.72),(22.085,266.72),(22.085,266.715),(22.1,266.715),(22.1,266.075),(22.085,266.075),(22.085,266.07),(21.855,266.07)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,135.865),(21.855,135.87),(21.84,135.87),(21.84,136.51),(21.855,136.51),(21.855,136.515),(22.085,136.515),(22.085,136.51),(22.1,136.51),(22.1,135.87),(22.085,135.87),(22.085,135.865),(21.855,135.865)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,80.065),(21.855,80.07),(21.84,80.07),(21.84,80.71),(21.855,80.71),(21.855,80.715),(22.085,80.715),(22.085,80.71),(22.1,80.71),(22.1,80.07),(22.085,80.07),(22.085,80.065),(21.855,80.065)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,117.36),(21.895,117.51),(22.045,117.51),(22.045,117.36),(21.895,117.36)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,117.68),(21.895,117.83),(22.045,117.83),(22.045,117.68),(21.895,117.68)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,266.16),(21.895,266.31),(22.045,266.31),(22.045,266.16),(21.895,266.16)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,266.48),(21.895,266.63),(22.045,266.63),(22.045,266.48),(21.895,266.48)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,135.955),(16.405,136.105),(16.555,136.105),(16.555,135.955),(16.405,135.955)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,136.275),(16.405,136.425),(16.555,136.425),(16.555,136.275),(16.405,136.275)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,210.36),(21.895,210.51),(22.045,210.51),(22.045,210.36),(21.895,210.36)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,210.68),(21.895,210.83),(22.045,210.83),(22.045,210.68),(21.895,210.68)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,61.555),(16.405,61.705),(16.555,61.705),(16.555,61.555),(16.405,61.555)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,61.875),(16.405,62.025),(16.555,62.025),(16.555,61.875),(16.405,61.875)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,98.76),(16.405,98.91),(16.555,98.91),(16.555,98.76),(16.405,98.76)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,99.08),(16.405,99.23),(16.555,99.23),(16.555,99.08),(16.405,99.08)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,42.96),(16.405,43.11),(16.555,43.11),(16.555,42.96),(16.405,42.96)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,43.28),(16.405,43.43),(16.555,43.43),(16.555,43.28),(16.405,43.28)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,173.155),(21.895,173.305),(22.045,173.305),(22.045,173.155),(21.895,173.155)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,173.475),(21.895,173.625),(22.045,173.625),(22.045,173.475),(21.895,173.475)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,284.76),(16.405,284.91),(16.555,284.91),(16.555,284.76),(16.405,284.76)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,285.08),(16.405,285.23),(16.555,285.23),(16.555,285.08),(16.405,285.08)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,247.555),(21.895,247.705),(22.045,247.705),(22.045,247.555),(21.895,247.555)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,247.875),(21.895,248.025),(22.045,248.025),(22.045,247.875),(21.895,247.875)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,191.755),(16.405,191.905),(16.555,191.905),(16.555,191.755),(16.405,191.755)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,192.075),(16.405,192.225),(16.555,192.225),(16.555,192.075),(16.405,192.075)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,5.76),(21.895,5.91),(22.045,5.91),(22.045,5.76),(21.895,5.76)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,6.08),(21.895,6.23),(22.045,6.23),(22.045,6.08),(21.895,6.08)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,42.96),(21.895,43.11),(22.045,43.11),(22.045,42.96),(21.895,42.96)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,43.28),(21.895,43.43),(22.045,43.43),(22.045,43.28),(21.895,43.28)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,210.36),(16.405,210.51),(16.555,210.51),(16.555,210.36),(16.405,210.36)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,210.68),(16.405,210.83),(16.555,210.83),(16.555,210.68),(16.405,210.68)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,24.355),(21.895,24.505),(22.045,24.505),(22.045,24.355),(21.895,24.355)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,24.675),(21.895,24.825),(22.045,24.825),(22.045,24.675),(21.895,24.675)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,173.155),(16.405,173.305),(16.555,173.305),(16.555,173.155),(16.405,173.155)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,173.475),(16.405,173.625),(16.555,173.625),(16.555,173.475),(16.405,173.475)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,154.56),(21.895,154.71),(22.045,154.71),(22.045,154.56),(21.895,154.56)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,154.88),(21.895,155.03),(22.045,155.03),(22.045,154.88),(21.895,154.88)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,117.36),(16.405,117.51),(16.555,117.51),(16.555,117.36),(16.405,117.36)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,117.68),(16.405,117.83),(16.555,117.83),(16.555,117.68),(16.405,117.68)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,266.16),(16.405,266.31),(16.555,266.31),(16.555,266.16),(16.405,266.16)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,266.48),(16.405,266.63),(16.555,266.63),(16.555,266.48),(16.405,266.48)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,5.76),(16.405,5.91),(16.555,5.91),(16.555,5.76),(16.405,5.76)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,6.08),(16.405,6.23),(16.555,6.23),(16.555,6.08),(16.405,6.08)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,98.76),(21.895,98.91),(22.045,98.91),(22.045,98.76),(21.895,98.76)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,99.08),(21.895,99.23),(22.045,99.23),(22.045,99.08),(21.895,99.08)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,154.56),(16.405,154.71),(16.555,154.71),(16.555,154.56),(16.405,154.56)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,154.88),(16.405,155.03),(16.555,155.03),(16.555,154.88),(16.405,154.88)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,80.155),(21.895,80.305),(22.045,80.305),(22.045,80.155),(21.895,80.155)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,80.475),(21.895,80.625),(22.045,80.625),(22.045,80.475),(21.895,80.475)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,24.355),(16.405,24.505),(16.555,24.505),(16.555,24.355),(16.405,24.355)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,24.675),(16.405,24.825),(16.555,24.825),(16.555,24.675),(16.405,24.675)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,247.555),(16.405,247.705),(16.555,247.705),(16.555,247.555),(16.405,247.555)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,247.875),(16.405,248.025),(16.555,248.025),(16.555,247.875),(16.405,247.875)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,135.955),(21.895,136.105),(22.045,136.105),(22.045,135.955),(21.895,135.955)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,136.275),(21.895,136.425),(22.045,136.425),(22.045,136.275),(21.895,136.275)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,228.955),(21.895,229.105),(22.045,229.105),(22.045,228.955),(21.895,228.955)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,229.275),(21.895,229.425),(22.045,229.425),(22.045,229.275),(21.895,229.275)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,61.555),(21.895,61.705),(22.045,61.705),(22.045,61.555),(21.895,61.555)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,61.875),(21.895,62.025),(22.045,62.025),(22.045,61.875),(21.895,61.875)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,191.755),(21.895,191.905),(22.045,191.905),(22.045,191.755),(21.895,191.755)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,192.075),(21.895,192.225),(22.045,192.225),(22.045,192.075),(21.895,192.075)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,228.955),(16.405,229.105),(16.555,229.105),(16.555,228.955),(16.405,228.955)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,229.275),(16.405,229.425),(16.555,229.425),(16.555,229.275),(16.405,229.275)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,80.155),(16.405,80.305),(16.555,80.305),(16.555,80.155),(16.405,80.155)),
        )
        createRL(
            tech, net, 'via',
            ((16.405,80.475),(16.405,80.625),(16.555,80.625),(16.555,80.475),(16.405,80.475)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,284.76),(21.895,284.91),(22.045,284.91),(22.045,284.76),(21.895,284.76)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,285.08),(21.895,285.23),(22.045,285.23),(22.045,285.08),(21.895,285.08)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,42.875),(16.35,43.515),(22.1,43.515),(22.1,42.875),(16.35,42.875)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,24.27),(16.35,24.91),(22.1,24.91),(22.1,24.27),(16.35,24.27)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,61.47),(16.35,62.11),(22.1,62.11),(22.1,61.47),(16.35,61.47)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,98.675),(16.35,99.315),(22.1,99.315),(22.1,98.675),(16.35,98.675)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,135.87),(16.35,136.51),(22.1,136.51),(22.1,135.87),(16.35,135.87)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,154.475),(16.35,155.115),(22.1,155.115),(22.1,154.475),(16.35,154.475)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,191.67),(16.35,192.31),(22.1,192.31),(22.1,191.67),(16.35,191.67)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,247.47),(16.35,248.11),(22.1,248.11),(22.1,247.47),(16.35,247.47)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,284.675),(16.35,285.315),(22.1,285.315),(22.1,284.675),(16.35,284.675)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,210.275),(16.35,210.915),(22.1,210.915),(22.1,210.275),(16.35,210.275)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,266.075),(16.35,266.715),(22.1,266.715),(22.1,266.075),(16.35,266.075)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,117.275),(16.35,117.915),(22.1,117.915),(22.1,117.275),(16.35,117.275)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,173.07),(16.35,173.71),(22.1,173.71),(22.1,173.07),(16.35,173.07)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,80.07),(16.35,80.71),(22.1,80.71),(22.1,80.07),(16.35,80.07)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,5.675),(16.35,6.315),(22.1,6.315),(22.1,5.675),(16.35,5.675)),
        )
        createRL(
            tech, net, 'm2',
            ((16.35,228.87),(16.35,229.51),(22.1,229.51),(22.1,228.87),(16.35,228.87)),
        )
        net = nets['pd[0][6]']
        createRL(
            tech, net, 'li',
            ((21.885,244.845),(21.885,245.375),(22.055,245.375),(22.055,244.845),(21.885,244.845)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,96.045),(21.885,96.575),(22.055,96.575),(22.055,96.045),(21.885,96.045)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,21.64),(21.885,22.17),(22.055,22.17),(22.055,21.64),(21.885,21.64)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,3.045),(21.885,3.575),(22.055,3.575),(22.055,3.045),(21.885,3.045)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,170.44),(21.885,170.97),(22.055,170.97),(22.055,170.44),(21.885,170.44)),
        )
        createRL(
            tech, net, 'li',
            ((14.775,52.415),(14.775,52.585),(14.945,52.585),(14.945,52.415),(14.775,52.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,226.245),(21.885,226.775),(22.055,226.775),(22.055,226.245),(21.885,226.245)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,282.045),(21.885,282.575),(22.055,282.575),(22.055,282.045),(21.885,282.045)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,77.44),(21.885,77.97),(22.055,77.97),(22.055,77.44),(21.885,77.44)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,114.645),(21.885,115.175),(22.055,115.175),(22.055,114.645),(21.885,114.645)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,133.24),(21.885,133.77),(22.055,133.77),(22.055,133.24),(21.885,133.24)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,151.845),(21.885,152.375),(22.055,152.375),(22.055,151.845),(21.885,151.845)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,40.245),(21.885,40.775),(22.055,40.775),(22.055,40.245),(21.885,40.245)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,58.845),(21.885,59.375),(22.055,59.375),(22.055,58.845),(21.885,58.845)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,189.045),(21.885,189.575),(22.055,189.575),(22.055,189.045),(21.885,189.045)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,207.645),(21.885,208.175),(22.055,208.175),(22.055,207.645),(21.885,207.645)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,263.44),(21.885,263.97),(22.055,263.97),(22.055,263.44),(21.885,263.44)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,151.845),(21.885,152.015),(22.055,152.015),(22.055,151.845),(21.885,151.845)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,152.205),(21.885,152.375),(22.055,152.375),(22.055,152.205),(21.885,152.205)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,207.645),(21.885,207.815),(22.055,207.815),(22.055,207.645),(21.885,207.645)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,208.005),(21.885,208.175),(22.055,208.175),(22.055,208.005),(21.885,208.005)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,189.045),(21.885,189.215),(22.055,189.215),(22.055,189.045),(21.885,189.045)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,189.405),(21.885,189.575),(22.055,189.575),(22.055,189.405),(21.885,189.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,263.44),(21.885,263.61),(22.055,263.61),(22.055,263.44),(21.885,263.44)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,263.8),(21.885,263.97),(22.055,263.97),(22.055,263.8),(21.885,263.8)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,58.845),(21.885,59.015),(22.055,59.015),(22.055,58.845),(21.885,58.845)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,59.205),(21.885,59.375),(22.055,59.375),(22.055,59.205),(21.885,59.205)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,244.845),(21.885,245.015),(22.055,245.015),(22.055,244.845),(21.885,244.845)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,245.205),(21.885,245.375),(22.055,245.375),(22.055,245.205),(21.885,245.205)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,226.245),(21.885,226.415),(22.055,226.415),(22.055,226.245),(21.885,226.245)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,226.605),(21.885,226.775),(22.055,226.775),(22.055,226.605),(21.885,226.605)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,133.24),(21.885,133.41),(22.055,133.41),(22.055,133.24),(21.885,133.24)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,133.6),(21.885,133.77),(22.055,133.77),(22.055,133.6),(21.885,133.6)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,170.44),(21.885,170.61),(22.055,170.61),(22.055,170.44),(21.885,170.44)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,170.8),(21.885,170.97),(22.055,170.97),(22.055,170.8),(21.885,170.8)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,40.245),(21.885,40.415),(22.055,40.415),(22.055,40.245),(21.885,40.245)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,40.605),(21.885,40.775),(22.055,40.775),(22.055,40.605),(21.885,40.605)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,96.045),(21.885,96.215),(22.055,96.215),(22.055,96.045),(21.885,96.045)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,96.405),(21.885,96.575),(22.055,96.575),(22.055,96.405),(21.885,96.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,114.645),(21.885,114.815),(22.055,114.815),(22.055,114.645),(21.885,114.645)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,115.005),(21.885,115.175),(22.055,115.175),(22.055,115.005),(21.885,115.005)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,77.44),(21.885,77.61),(22.055,77.61),(22.055,77.44),(21.885,77.44)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,77.8),(21.885,77.97),(22.055,77.97),(22.055,77.8),(21.885,77.8)),
        )
        createRL(
            tech, net, 'mcon',
            ((14.775,52.415),(14.775,52.585),(14.945,52.585),(14.945,52.415),(14.775,52.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,3.045),(21.885,3.215),(22.055,3.215),(22.055,3.045),(21.885,3.045)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,3.405),(21.885,3.575),(22.055,3.575),(22.055,3.405),(21.885,3.405)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,21.64),(21.885,21.81),(22.055,21.81),(22.055,21.64),(21.885,21.64)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,22.0),(21.885,22.17),(22.055,22.17),(22.055,22.0),(21.885,22.0)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,282.045),(21.885,282.215),(22.055,282.215),(22.055,282.045),(21.885,282.045)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,282.405),(21.885,282.575),(22.055,282.575),(22.055,282.405),(21.885,282.405)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,114.585),(21.855,114.59),(21.84,114.59),(21.84,115.23),(21.855,115.23),(21.855,115.235),(22.085,115.235),(22.085,115.23),(22.1,115.23),(22.1,114.59),(22.085,114.59),(22.085,114.585),(21.855,114.585)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,207.585),(21.855,207.59),(21.84,207.59),(21.84,208.23),(21.855,208.23),(21.855,208.235),(22.085,208.235),(22.085,208.23),(22.1,208.23),(22.1,207.59),(22.085,207.59),(22.085,207.585),(21.855,207.585)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,40.185),(21.855,40.19),(21.84,40.19),(21.84,40.83),(21.855,40.83),(21.855,40.835),(22.085,40.835),(22.085,40.83),(22.1,40.83),(22.1,40.19),(22.085,40.19),(22.085,40.185),(21.855,40.185)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,281.985),(21.855,281.99),(21.84,281.99),(21.84,282.63),(21.855,282.63),(21.855,282.635),(22.085,282.635),(22.085,282.63),(22.1,282.63),(22.1,281.99),(22.085,281.99),(22.085,281.985),(21.855,281.985)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,58.785),(21.855,58.79),(21.84,58.79),(21.84,59.43),(21.855,59.43),(21.855,59.435),(22.085,59.435),(22.085,59.43),(22.1,59.43),(22.1,58.79),(22.085,58.79),(22.085,58.785),(21.855,58.785)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,188.985),(21.855,188.99),(21.84,188.99),(21.84,189.63),(21.855,189.63),(21.855,189.635),(22.085,189.635),(22.085,189.63),(22.1,189.63),(22.1,188.99),(22.085,188.99),(22.085,188.985),(21.855,188.985)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,151.785),(21.855,151.79),(21.84,151.79),(21.84,152.43),(21.855,152.43),(21.855,152.435),(22.085,152.435),(22.085,152.43),(22.1,152.43),(22.1,151.79),(22.085,151.79),(22.085,151.785),(21.855,151.785)),
        )
        createRL(
            tech, net, 'm1',
            ((14.73,2.99),(14.73,282.63),(14.99,282.63),(14.99,2.99),(14.73,2.99)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,133.18),(21.855,133.185),(21.84,133.185),(21.84,133.825),(21.855,133.825),(21.855,133.83),(22.085,133.83),(22.085,133.825),(22.1,133.825),(22.1,133.185),(22.085,133.185),(22.085,133.18),(21.855,133.18)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,2.985),(21.855,2.99),(21.84,2.99),(21.84,3.63),(21.855,3.63),(21.855,3.635),(22.085,3.635),(22.085,3.63),(22.1,3.63),(22.1,2.99),(22.085,2.99),(22.085,2.985),(21.855,2.985)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,77.38),(21.855,77.385),(21.84,77.385),(21.84,78.025),(21.855,78.025),(21.855,78.03),(22.085,78.03),(22.085,78.025),(22.1,78.025),(22.1,77.385),(22.085,77.385),(22.085,77.38),(21.855,77.38)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,226.185),(21.855,226.19),(21.84,226.19),(21.84,226.83),(21.855,226.83),(21.855,226.835),(22.085,226.835),(22.085,226.83),(22.1,226.83),(22.1,226.19),(22.085,226.19),(22.085,226.185),(21.855,226.185)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,95.985),(21.855,95.99),(21.84,95.99),(21.84,96.63),(21.855,96.63),(21.855,96.635),(22.085,96.635),(22.085,96.63),(22.1,96.63),(22.1,95.99),(22.085,95.99),(22.085,95.985),(21.855,95.985)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,244.785),(21.855,244.79),(21.84,244.79),(21.84,245.43),(21.855,245.43),(21.855,245.435),(22.085,245.435),(22.085,245.43),(22.1,245.43),(22.1,244.79),(22.085,244.79),(22.085,244.785),(21.855,244.785)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,170.38),(21.855,170.385),(21.84,170.385),(21.84,171.025),(21.855,171.025),(21.855,171.03),(22.085,171.03),(22.085,171.025),(22.1,171.025),(22.1,170.385),(22.085,170.385),(22.085,170.38),(21.855,170.38)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,21.58),(21.855,21.585),(21.84,21.585),(21.84,22.225),(21.855,22.225),(21.855,22.23),(22.085,22.23),(22.085,22.225),(22.1,22.225),(22.1,21.585),(22.085,21.585),(22.085,21.58),(21.855,21.58)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,263.38),(21.855,263.385),(21.84,263.385),(21.84,264.025),(21.855,264.025),(21.855,264.03),(22.085,264.03),(22.085,264.025),(22.1,264.025),(22.1,263.385),(22.085,263.385),(22.085,263.38),(21.855,263.38)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,3.075),(14.785,3.225),(14.935,3.225),(14.935,3.075),(14.785,3.075)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,3.395),(14.785,3.545),(14.935,3.545),(14.935,3.395),(14.785,3.395)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,170.47),(14.785,170.62),(14.935,170.62),(14.935,170.47),(14.785,170.47)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,170.79),(14.785,170.94),(14.935,170.94),(14.935,170.79),(14.785,170.79)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,282.075),(14.785,282.225),(14.935,282.225),(14.935,282.075),(14.785,282.075)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,282.395),(14.785,282.545),(14.935,282.545),(14.935,282.395),(14.785,282.395)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,189.075),(14.785,189.225),(14.935,189.225),(14.935,189.075),(14.785,189.075)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,189.395),(14.785,189.545),(14.935,189.545),(14.935,189.395),(14.785,189.395)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,96.075),(21.895,96.225),(22.045,96.225),(22.045,96.075),(21.895,96.075)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,96.395),(21.895,96.545),(22.045,96.545),(22.045,96.395),(21.895,96.395)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,77.47),(14.785,77.62),(14.935,77.62),(14.935,77.47),(14.785,77.47)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,77.79),(14.785,77.94),(14.935,77.94),(14.935,77.79),(14.785,77.79)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,207.675),(21.895,207.825),(22.045,207.825),(22.045,207.675),(21.895,207.675)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,207.995),(21.895,208.145),(22.045,208.145),(22.045,207.995),(21.895,207.995)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,170.47),(21.895,170.62),(22.045,170.62),(22.045,170.47),(21.895,170.47)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,170.79),(21.895,170.94),(22.045,170.94),(22.045,170.79),(21.895,170.79)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,58.875),(21.895,59.025),(22.045,59.025),(22.045,58.875),(21.895,58.875)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,59.195),(21.895,59.345),(22.045,59.345),(22.045,59.195),(21.895,59.195)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,40.275),(21.895,40.425),(22.045,40.425),(22.045,40.275),(21.895,40.275)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,40.595),(21.895,40.745),(22.045,40.745),(22.045,40.595),(21.895,40.595)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,151.875),(14.785,152.025),(14.935,152.025),(14.935,151.875),(14.785,151.875)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,152.195),(14.785,152.345),(14.935,152.345),(14.935,152.195),(14.785,152.195)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,244.875),(14.785,245.025),(14.935,245.025),(14.935,244.875),(14.785,244.875)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,245.195),(14.785,245.345),(14.935,245.345),(14.935,245.195),(14.785,245.195)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,114.675),(14.785,114.825),(14.935,114.825),(14.935,114.675),(14.785,114.675)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,114.995),(14.785,115.145),(14.935,115.145),(14.935,114.995),(14.785,114.995)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,21.67),(14.785,21.82),(14.935,21.82),(14.935,21.67),(14.785,21.67)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,21.99),(14.785,22.14),(14.935,22.14),(14.935,21.99),(14.785,21.99)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,133.27),(21.895,133.42),(22.045,133.42),(22.045,133.27),(21.895,133.27)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,133.59),(21.895,133.74),(22.045,133.74),(22.045,133.59),(21.895,133.59)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,244.875),(21.895,245.025),(22.045,245.025),(22.045,244.875),(21.895,244.875)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,245.195),(21.895,245.345),(22.045,245.345),(22.045,245.195),(21.895,245.195)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,114.675),(21.895,114.825),(22.045,114.825),(22.045,114.675),(21.895,114.675)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,114.995),(21.895,115.145),(22.045,115.145),(22.045,114.995),(21.895,114.995)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,21.67),(21.895,21.82),(22.045,21.82),(22.045,21.67),(21.895,21.67)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,21.99),(21.895,22.14),(22.045,22.14),(22.045,21.99),(21.895,21.99)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,263.47),(14.785,263.62),(14.935,263.62),(14.935,263.47),(14.785,263.47)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,263.79),(14.785,263.94),(14.935,263.94),(14.935,263.79),(14.785,263.79)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,207.675),(14.785,207.825),(14.935,207.825),(14.935,207.675),(14.785,207.675)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,207.995),(14.785,208.145),(14.935,208.145),(14.935,207.995),(14.785,207.995)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,263.47),(21.895,263.62),(22.045,263.62),(22.045,263.47),(21.895,263.47)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,263.79),(21.895,263.94),(22.045,263.94),(22.045,263.79),(21.895,263.79)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,96.075),(14.785,96.225),(14.935,96.225),(14.935,96.075),(14.785,96.075)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,96.395),(14.785,96.545),(14.935,96.545),(14.935,96.395),(14.785,96.395)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,189.075),(21.895,189.225),(22.045,189.225),(22.045,189.075),(21.895,189.075)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,189.395),(21.895,189.545),(22.045,189.545),(22.045,189.395),(21.895,189.395)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,133.27),(14.785,133.42),(14.935,133.42),(14.935,133.27),(14.785,133.27)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,133.59),(14.785,133.74),(14.935,133.74),(14.935,133.59),(14.785,133.59)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,3.075),(21.895,3.225),(22.045,3.225),(22.045,3.075),(21.895,3.075)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,3.395),(21.895,3.545),(22.045,3.545),(22.045,3.395),(21.895,3.395)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,282.075),(21.895,282.225),(22.045,282.225),(22.045,282.075),(21.895,282.075)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,282.395),(21.895,282.545),(22.045,282.545),(22.045,282.395),(21.895,282.395)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,77.47),(21.895,77.62),(22.045,77.62),(22.045,77.47),(21.895,77.47)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,77.79),(21.895,77.94),(22.045,77.94),(22.045,77.79),(21.895,77.79)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,40.275),(14.785,40.425),(14.935,40.425),(14.935,40.275),(14.785,40.275)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,40.595),(14.785,40.745),(14.935,40.745),(14.935,40.595),(14.785,40.595)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,226.275),(21.895,226.425),(22.045,226.425),(22.045,226.275),(21.895,226.275)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,226.595),(21.895,226.745),(22.045,226.745),(22.045,226.595),(21.895,226.595)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,151.875),(21.895,152.025),(22.045,152.025),(22.045,151.875),(21.895,151.875)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,152.195),(21.895,152.345),(22.045,152.345),(22.045,152.195),(21.895,152.195)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,226.275),(14.785,226.425),(14.935,226.425),(14.935,226.275),(14.785,226.275)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,226.595),(14.785,226.745),(14.935,226.745),(14.935,226.595),(14.785,226.595)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,58.875),(14.785,59.025),(14.935,59.025),(14.935,58.875),(14.785,58.875)),
        )
        createRL(
            tech, net, 'via',
            ((14.785,59.195),(14.785,59.345),(14.935,59.345),(14.935,59.195),(14.785,59.195)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,281.99),(14.73,282.63),(22.1,282.63),(22.1,281.99),(14.73,281.99)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,95.99),(14.73,96.63),(22.1,96.63),(22.1,95.99),(14.73,95.99)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,207.59),(14.73,208.23),(22.1,208.23),(22.1,207.59),(14.73,207.59)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,58.79),(14.73,59.43),(22.1,59.43),(22.1,58.79),(14.73,58.79)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,170.385),(14.73,171.025),(22.1,171.025),(22.1,170.385),(14.73,170.385)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,77.385),(14.73,78.025),(22.1,78.025),(22.1,77.385),(14.73,77.385)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,244.79),(14.73,245.43),(22.1,245.43),(22.1,244.79),(14.73,244.79)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,133.185),(14.73,133.825),(22.1,133.825),(22.1,133.185),(14.73,133.185)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,151.79),(14.73,152.43),(22.1,152.43),(22.1,151.79),(14.73,151.79)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,263.385),(14.73,264.025),(22.1,264.025),(22.1,263.385),(14.73,263.385)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,2.99),(14.73,3.63),(22.1,3.63),(22.1,2.99),(14.73,2.99)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,40.19),(14.73,40.83),(22.1,40.83),(22.1,40.19),(14.73,40.19)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,21.585),(14.73,22.225),(22.1,22.225),(22.1,21.585),(14.73,21.585)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,114.59),(14.73,115.23),(22.1,115.23),(22.1,114.59),(14.73,114.59)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,188.99),(14.73,189.63),(22.1,189.63),(22.1,188.99),(14.73,188.99)),
        )
        createRL(
            tech, net, 'm2',
            ((14.73,226.19),(14.73,226.83),(22.1,226.83),(22.1,226.19),(14.73,226.19)),
        )
        net = nets['pd[0][7]']
        createRL(
            tech, net, 'li',
            ((21.885,1.08),(21.885,1.61),(22.055,1.61),(22.055,1.08),(21.885,1.08)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,94.08),(21.885,94.61),(22.055,94.61),(22.055,94.08),(21.885,94.08)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,224.275),(21.885,224.805),(22.055,224.805),(22.055,224.275),(21.885,224.275)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,149.88),(21.885,150.41),(22.055,150.41),(22.055,149.88),(21.885,149.88)),
        )
        createRL(
            tech, net, 'li',
            ((16.935,57.415),(16.935,57.585),(17.105,57.585),(17.105,57.415),(16.935,57.415)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,131.28),(21.885,131.81),(22.055,131.81),(22.055,131.28),(21.885,131.28)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,205.68),(21.885,206.21),(22.055,206.21),(22.055,205.68),(21.885,205.68)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,75.48),(21.885,76.01),(22.055,76.01),(22.055,75.48),(21.885,75.48)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,261.475),(21.885,262.005),(22.055,262.005),(22.055,261.475),(21.885,261.475)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,112.68),(21.885,113.21),(22.055,113.21),(22.055,112.68),(21.885,112.68)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,38.28),(21.885,38.81),(22.055,38.81),(22.055,38.28),(21.885,38.28)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,242.88),(21.885,243.41),(22.055,243.41),(22.055,242.88),(21.885,242.88)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,280.08),(21.885,280.61),(22.055,280.61),(22.055,280.08),(21.885,280.08)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,187.08),(21.885,187.61),(22.055,187.61),(22.055,187.08),(21.885,187.08)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,168.475),(21.885,169.005),(22.055,169.005),(22.055,168.475),(21.885,168.475)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,19.675),(21.885,20.205),(22.055,20.205),(22.055,19.675),(21.885,19.675)),
        )
        createRL(
            tech, net, 'li',
            ((21.885,56.875),(21.885,57.405),(22.055,57.405),(22.055,56.875),(21.885,56.875)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,131.28),(21.885,131.45),(22.055,131.45),(22.055,131.28),(21.885,131.28)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,131.64),(21.885,131.81),(22.055,131.81),(22.055,131.64),(21.885,131.64)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,94.08),(21.885,94.25),(22.055,94.25),(22.055,94.08),(21.885,94.08)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,94.44),(21.885,94.61),(22.055,94.61),(22.055,94.44),(21.885,94.44)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.935,57.415),(16.935,57.585),(17.105,57.585),(17.105,57.415),(16.935,57.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,168.475),(21.885,168.645),(22.055,168.645),(22.055,168.475),(21.885,168.475)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,168.835),(21.885,169.005),(22.055,169.005),(22.055,168.835),(21.885,168.835)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,75.48),(21.885,75.65),(22.055,75.65),(22.055,75.48),(21.885,75.48)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,75.84),(21.885,76.01),(22.055,76.01),(22.055,75.84),(21.885,75.84)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,224.275),(21.885,224.445),(22.055,224.445),(22.055,224.275),(21.885,224.275)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,224.635),(21.885,224.805),(22.055,224.805),(22.055,224.635),(21.885,224.635)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,205.68),(21.885,205.85),(22.055,205.85),(22.055,205.68),(21.885,205.68)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,206.04),(21.885,206.21),(22.055,206.21),(22.055,206.04),(21.885,206.04)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,1.08),(21.885,1.25),(22.055,1.25),(22.055,1.08),(21.885,1.08)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,1.44),(21.885,1.61),(22.055,1.61),(22.055,1.44),(21.885,1.44)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,261.475),(21.885,261.645),(22.055,261.645),(22.055,261.475),(21.885,261.475)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,261.835),(21.885,262.005),(22.055,262.005),(22.055,261.835),(21.885,261.835)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,280.08),(21.885,280.25),(22.055,280.25),(22.055,280.08),(21.885,280.08)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,280.44),(21.885,280.61),(22.055,280.61),(22.055,280.44),(21.885,280.44)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,187.08),(21.885,187.25),(22.055,187.25),(22.055,187.08),(21.885,187.08)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,187.44),(21.885,187.61),(22.055,187.61),(22.055,187.44),(21.885,187.44)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,56.875),(21.885,57.045),(22.055,57.045),(22.055,56.875),(21.885,56.875)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,57.235),(21.885,57.405),(22.055,57.405),(22.055,57.235),(21.885,57.235)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,38.28),(21.885,38.45),(22.055,38.45),(22.055,38.28),(21.885,38.28)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,38.64),(21.885,38.81),(22.055,38.81),(22.055,38.64),(21.885,38.64)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,112.68),(21.885,112.85),(22.055,112.85),(22.055,112.68),(21.885,112.68)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,113.04),(21.885,113.21),(22.055,113.21),(22.055,113.04),(21.885,113.04)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,149.88),(21.885,150.05),(22.055,150.05),(22.055,149.88),(21.885,149.88)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,150.24),(21.885,150.41),(22.055,150.41),(22.055,150.24),(21.885,150.24)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,19.675),(21.885,19.845),(22.055,19.845),(22.055,19.675),(21.885,19.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,20.035),(21.885,20.205),(22.055,20.205),(22.055,20.035),(21.885,20.035)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,242.88),(21.885,243.05),(22.055,243.05),(22.055,242.88),(21.885,242.88)),
        )
        createRL(
            tech, net, 'mcon',
            ((21.885,243.24),(21.885,243.41),(22.055,243.41),(22.055,243.24),(21.885,243.24)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,94.02),(21.855,94.025),(21.84,94.025),(21.84,94.665),(21.855,94.665),(21.855,94.67),(22.085,94.67),(22.085,94.665),(22.1,94.665),(22.1,94.025),(22.085,94.025),(22.085,94.02),(21.855,94.02)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,19.615),(21.855,19.62),(21.84,19.62),(21.84,20.26),(21.855,20.26),(21.855,20.265),(22.085,20.265),(22.085,20.26),(22.1,20.26),(22.1,19.62),(22.085,19.62),(22.085,19.615),(21.855,19.615)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,168.415),(21.855,168.42),(21.84,168.42),(21.84,169.06),(21.855,169.06),(21.855,169.065),(22.085,169.065),(22.085,169.06),(22.1,169.06),(22.1,168.42),(22.085,168.42),(22.085,168.415),(21.855,168.415)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,187.02),(21.855,187.025),(21.84,187.025),(21.84,187.665),(21.855,187.665),(21.855,187.67),(22.085,187.67),(22.085,187.665),(22.1,187.665),(22.1,187.025),(22.085,187.025),(22.085,187.02),(21.855,187.02)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,242.82),(21.855,242.825),(21.84,242.825),(21.84,243.465),(21.855,243.465),(21.855,243.47),(22.085,243.47),(22.085,243.465),(22.1,243.465),(22.1,242.825),(22.085,242.825),(22.085,242.82),(21.855,242.82)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,38.22),(21.855,38.225),(21.84,38.225),(21.84,38.865),(21.855,38.865),(21.855,38.87),(22.085,38.87),(22.085,38.865),(22.1,38.865),(22.1,38.225),(22.085,38.225),(22.085,38.22),(21.855,38.22)),
        )
        createRL(
            tech, net, 'm1',
            ((16.89,1.025),(16.89,280.665),(17.15,280.665),(17.15,1.025),(16.89,1.025)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,131.22),(21.855,131.225),(21.84,131.225),(21.84,131.865),(21.855,131.865),(21.855,131.87),(22.085,131.87),(22.085,131.865),(22.1,131.865),(22.1,131.225),(22.085,131.225),(22.085,131.22),(21.855,131.22)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,261.415),(21.855,261.42),(21.84,261.42),(21.84,262.06),(21.855,262.06),(21.855,262.065),(22.085,262.065),(22.085,262.06),(22.1,262.06),(22.1,261.42),(22.085,261.42),(22.085,261.415),(21.855,261.415)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,1.02),(21.855,1.025),(21.84,1.025),(21.84,1.665),(21.855,1.665),(21.855,1.67),(22.085,1.67),(22.085,1.665),(22.1,1.665),(22.1,1.025),(22.085,1.025),(22.085,1.02),(21.855,1.02)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,224.215),(21.855,224.22),(21.84,224.22),(21.84,224.86),(21.855,224.86),(21.855,224.865),(22.085,224.865),(22.085,224.86),(22.1,224.86),(22.1,224.22),(22.085,224.22),(22.085,224.215),(21.855,224.215)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,56.815),(21.855,56.82),(21.84,56.82),(21.84,57.46),(21.855,57.46),(21.855,57.465),(22.085,57.465),(22.085,57.46),(22.1,57.46),(22.1,56.82),(22.085,56.82),(22.085,56.815),(21.855,56.815)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,205.62),(21.855,205.625),(21.84,205.625),(21.84,206.265),(21.855,206.265),(21.855,206.27),(22.085,206.27),(22.085,206.265),(22.1,206.265),(22.1,205.625),(22.085,205.625),(22.085,205.62),(21.855,205.62)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,280.02),(21.855,280.025),(21.84,280.025),(21.84,280.665),(21.855,280.665),(21.855,280.67),(22.085,280.67),(22.085,280.665),(22.1,280.665),(22.1,280.025),(22.085,280.025),(22.085,280.02),(21.855,280.02)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,112.62),(21.855,112.625),(21.84,112.625),(21.84,113.265),(21.855,113.265),(21.855,113.27),(22.085,113.27),(22.085,113.265),(22.1,113.265),(22.1,112.625),(22.085,112.625),(22.085,112.62),(21.855,112.62)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,75.42),(21.855,75.425),(21.84,75.425),(21.84,76.065),(21.855,76.065),(21.855,76.07),(22.085,76.07),(22.085,76.065),(22.1,76.065),(22.1,75.425),(22.085,75.425),(22.085,75.42),(21.855,75.42)),
        )
        createRL(
            tech, net, 'm1',
            ((21.855,149.82),(21.855,149.825),(21.84,149.825),(21.84,150.465),(21.855,150.465),(21.855,150.47),(22.085,150.47),(22.085,150.465),(22.1,150.465),(22.1,149.825),(22.085,149.825),(22.085,149.82),(21.855,149.82)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,242.91),(21.895,243.06),(22.045,243.06),(22.045,242.91),(21.895,242.91)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,243.23),(21.895,243.38),(22.045,243.38),(22.045,243.23),(21.895,243.23)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,131.31),(16.945,131.46),(17.095,131.46),(17.095,131.31),(16.945,131.31)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,131.63),(16.945,131.78),(17.095,131.78),(17.095,131.63),(16.945,131.63)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,261.505),(16.945,261.655),(17.095,261.655),(17.095,261.505),(16.945,261.505)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,261.825),(16.945,261.975),(17.095,261.975),(17.095,261.825),(16.945,261.825)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,168.505),(16.945,168.655),(17.095,168.655),(17.095,168.505),(16.945,168.505)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,168.825),(16.945,168.975),(17.095,168.975),(17.095,168.825),(16.945,168.825)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,205.71),(16.945,205.86),(17.095,205.86),(17.095,205.71),(16.945,205.71)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,206.03),(16.945,206.18),(17.095,206.18),(17.095,206.03),(16.945,206.03)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,149.91),(21.895,150.06),(22.045,150.06),(22.045,149.91),(21.895,149.91)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,150.23),(21.895,150.38),(22.045,150.38),(22.045,150.23),(21.895,150.23)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,94.11),(21.895,94.26),(22.045,94.26),(22.045,94.11),(21.895,94.11)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,94.43),(21.895,94.58),(22.045,94.58),(22.045,94.43),(21.895,94.43)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,187.11),(21.895,187.26),(22.045,187.26),(22.045,187.11),(21.895,187.11)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,187.43),(21.895,187.58),(22.045,187.58),(22.045,187.43),(21.895,187.43)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,94.11),(16.945,94.26),(17.095,94.26),(17.095,94.11),(16.945,94.11)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,94.43),(16.945,94.58),(17.095,94.58),(17.095,94.43),(16.945,94.43)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,56.905),(21.895,57.055),(22.045,57.055),(22.045,56.905),(21.895,56.905)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,57.225),(21.895,57.375),(22.045,57.375),(22.045,57.225),(21.895,57.225)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,149.91),(16.945,150.06),(17.095,150.06),(17.095,149.91),(16.945,149.91)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,150.23),(16.945,150.38),(17.095,150.38),(17.095,150.23),(16.945,150.23)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,131.31),(21.895,131.46),(22.045,131.46),(22.045,131.31),(21.895,131.31)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,131.63),(21.895,131.78),(22.045,131.78),(22.045,131.63),(21.895,131.63)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,280.11),(21.895,280.26),(22.045,280.26),(22.045,280.11),(21.895,280.11)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,280.43),(21.895,280.58),(22.045,280.58),(22.045,280.43),(21.895,280.43)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,280.11),(16.945,280.26),(17.095,280.26),(17.095,280.11),(16.945,280.11)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,280.43),(16.945,280.58),(17.095,280.58),(17.095,280.43),(16.945,280.43)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,112.71),(16.945,112.86),(17.095,112.86),(17.095,112.71),(16.945,112.71)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,113.03),(16.945,113.18),(17.095,113.18),(17.095,113.03),(16.945,113.03)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,75.51),(21.895,75.66),(22.045,75.66),(22.045,75.51),(21.895,75.51)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,75.83),(21.895,75.98),(22.045,75.98),(22.045,75.83),(21.895,75.83)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,19.705),(16.945,19.855),(17.095,19.855),(17.095,19.705),(16.945,19.705)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,20.025),(16.945,20.175),(17.095,20.175),(17.095,20.025),(16.945,20.025)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,168.505),(21.895,168.655),(22.045,168.655),(22.045,168.505),(21.895,168.505)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,168.825),(21.895,168.975),(22.045,168.975),(22.045,168.825),(21.895,168.825)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,261.505),(21.895,261.655),(22.045,261.655),(22.045,261.505),(21.895,261.505)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,261.825),(21.895,261.975),(22.045,261.975),(22.045,261.825),(21.895,261.825)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,205.71),(21.895,205.86),(22.045,205.86),(22.045,205.71),(21.895,205.71)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,206.03),(21.895,206.18),(22.045,206.18),(22.045,206.03),(21.895,206.03)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,1.11),(16.945,1.26),(17.095,1.26),(17.095,1.11),(16.945,1.11)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,1.43),(16.945,1.58),(17.095,1.58),(17.095,1.43),(16.945,1.43)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,56.905),(16.945,57.055),(17.095,57.055),(17.095,56.905),(16.945,56.905)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,57.225),(16.945,57.375),(17.095,57.375),(17.095,57.225),(16.945,57.225)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,224.305),(16.945,224.455),(17.095,224.455),(17.095,224.305),(16.945,224.305)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,224.625),(16.945,224.775),(17.095,224.775),(17.095,224.625),(16.945,224.625)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,224.305),(21.895,224.455),(22.045,224.455),(22.045,224.305),(21.895,224.305)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,224.625),(21.895,224.775),(22.045,224.775),(22.045,224.625),(21.895,224.625)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,112.71),(21.895,112.86),(22.045,112.86),(22.045,112.71),(21.895,112.71)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,113.03),(21.895,113.18),(22.045,113.18),(22.045,113.03),(21.895,113.03)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,242.91),(16.945,243.06),(17.095,243.06),(17.095,242.91),(16.945,242.91)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,243.23),(16.945,243.38),(17.095,243.38),(17.095,243.23),(16.945,243.23)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,75.51),(16.945,75.66),(17.095,75.66),(17.095,75.51),(16.945,75.51)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,75.83),(16.945,75.98),(17.095,75.98),(17.095,75.83),(16.945,75.83)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,19.705),(21.895,19.855),(22.045,19.855),(22.045,19.705),(21.895,19.705)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,20.025),(21.895,20.175),(22.045,20.175),(22.045,20.025),(21.895,20.025)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,187.11),(16.945,187.26),(17.095,187.26),(17.095,187.11),(16.945,187.11)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,187.43),(16.945,187.58),(17.095,187.58),(17.095,187.43),(16.945,187.43)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,1.11),(21.895,1.26),(22.045,1.26),(22.045,1.11),(21.895,1.11)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,1.43),(21.895,1.58),(22.045,1.58),(22.045,1.43),(21.895,1.43)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,38.31),(21.895,38.46),(22.045,38.46),(22.045,38.31),(21.895,38.31)),
        )
        createRL(
            tech, net, 'via',
            ((21.895,38.63),(21.895,38.78),(22.045,38.78),(22.045,38.63),(21.895,38.63)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,38.31),(16.945,38.46),(17.095,38.46),(17.095,38.31),(16.945,38.31)),
        )
        createRL(
            tech, net, 'via',
            ((16.945,38.63),(16.945,38.78),(17.095,38.78),(17.095,38.63),(16.945,38.63)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,242.825),(16.89,243.465),(22.1,243.465),(22.1,242.825),(16.89,242.825)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,280.025),(16.89,280.665),(22.1,280.665),(22.1,280.025),(16.89,280.025)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,94.025),(16.89,94.665),(22.1,94.665),(22.1,94.025),(16.89,94.025)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,112.625),(16.89,113.265),(22.1,113.265),(22.1,112.625),(16.89,112.625)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,131.225),(16.89,131.865),(22.1,131.865),(22.1,131.225),(16.89,131.225)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,168.42),(16.89,169.06),(22.1,169.06),(22.1,168.42),(16.89,168.42)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,187.025),(16.89,187.665),(22.1,187.665),(22.1,187.025),(16.89,187.025)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,205.625),(16.89,206.265),(22.1,206.265),(22.1,205.625),(16.89,205.625)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,75.425),(16.89,76.065),(22.1,76.065),(22.1,75.425),(16.89,75.425)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,19.62),(16.89,20.26),(22.1,20.26),(22.1,19.62),(16.89,19.62)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,224.22),(16.89,224.86),(22.1,224.86),(22.1,224.22),(16.89,224.22)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,1.025),(16.89,1.665),(22.1,1.665),(22.1,1.025),(16.89,1.025)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,149.825),(16.89,150.465),(22.1,150.465),(22.1,149.825),(16.89,149.825)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,56.82),(16.89,57.46),(22.1,57.46),(22.1,56.82),(16.89,56.82)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,38.225),(16.89,38.865),(22.1,38.865),(22.1,38.225),(16.89,38.225)),
        )
        createRL(
            tech, net, 'm2',
            ((16.89,261.42),(16.89,262.06),(22.1,262.06),(22.1,261.42),(16.89,261.42)),
        )
        net = nets['pd[1][0]']
        createRL(
            tech, net, 'li',
            ((18.46,10.415),(18.46,10.585),(18.63,10.585),(18.63,10.415),(18.46,10.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,10.415),(18.46,10.585),(18.63,10.585),(18.63,10.415),(18.46,10.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,10.355),(18.43,289.37),(22.635,289.37),(22.635,289.11),(18.66,289.11),(18.66,10.355),(18.43,10.355)),
        )
        net = nets['pd[1][1]']
        createRL(
            tech, net, 'li',
            ((18.46,31.415),(18.46,31.585),(18.63,31.585),(18.63,31.415),(18.46,31.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,31.415),(18.46,31.585),(18.63,31.585),(18.63,31.415),(18.46,31.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,31.355),(18.43,270.77),(22.635,270.77),(22.635,270.51),(18.66,270.51),(18.66,31.355),(18.43,31.355)),
        )
        net = nets['pd[1][2]']
        createRL(
            tech, net, 'li',
            ((18.46,47.415),(18.46,47.585),(18.63,47.585),(18.63,47.415),(18.46,47.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,47.415),(18.46,47.585),(18.63,47.585),(18.63,47.415),(18.46,47.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,47.355),(18.43,252.17),(22.635,252.17),(22.635,251.91),(18.66,251.91),(18.66,47.355),(18.43,47.355)),
        )
        net = nets['pd[1][3]']
        createRL(
            tech, net, 'li',
            ((18.46,67.415),(18.46,67.585),(18.63,67.585),(18.63,67.415),(18.46,67.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,67.415),(18.46,67.585),(18.63,67.585),(18.63,67.415),(18.46,67.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,67.355),(18.43,233.57),(22.635,233.57),(22.635,233.31),(18.66,233.31),(18.66,67.355),(18.43,67.355)),
        )
        net = nets['pd[1][4]']
        createRL(
            tech, net, 'li',
            ((18.46,85.415),(18.46,85.585),(18.63,85.585),(18.63,85.415),(18.46,85.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,85.415),(18.46,85.585),(18.63,85.585),(18.63,85.415),(18.46,85.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,85.355),(18.43,214.97),(22.635,214.97),(22.635,214.71),(18.66,214.71),(18.66,85.355),(18.43,85.355)),
        )
        net = nets['pd[1][5]']
        createRL(
            tech, net, 'li',
            ((18.46,103.415),(18.46,103.585),(18.63,103.585),(18.63,103.415),(18.46,103.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,103.415),(18.46,103.585),(18.63,103.585),(18.63,103.415),(18.46,103.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,103.355),(18.43,196.37),(22.635,196.37),(22.635,196.11),(18.66,196.11),(18.66,103.355),(18.43,103.355)),
        )
        net = nets['pd[1][6]']
        createRL(
            tech, net, 'li',
            ((18.46,121.415),(18.46,121.585),(18.63,121.585),(18.63,121.415),(18.46,121.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,121.415),(18.46,121.585),(18.63,121.585),(18.63,121.415),(18.46,121.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,121.355),(18.43,177.77),(22.635,177.77),(22.635,177.51),(18.66,177.51),(18.66,121.355),(18.43,121.355)),
        )
        net = nets['pd[1][7]']
        createRL(
            tech, net, 'li',
            ((18.46,143.415),(18.46,143.585),(18.63,143.585),(18.63,143.415),(18.46,143.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,143.415),(18.46,143.585),(18.63,143.585),(18.63,143.415),(18.46,143.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,143.355),(18.43,159.17),(22.635,159.17),(22.635,158.91),(18.66,158.91),(18.66,143.355),(18.43,143.355)),
        )
        net = nets['pd[1][8]']
        createRL(
            tech, net, 'li',
            ((18.46,161.415),(18.46,161.585),(18.63,161.585),(18.63,161.415),(18.46,161.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,161.415),(18.46,161.585),(18.63,161.585),(18.63,161.415),(18.46,161.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,140.31),(18.43,161.645),(18.66,161.645),(18.66,140.57),(22.635,140.57),(22.635,140.31),(18.43,140.31)),
        )
        net = nets['pd[1][9]']
        createRL(
            tech, net, 'li',
            ((18.46,179.415),(18.46,179.585),(18.63,179.585),(18.63,179.415),(18.46,179.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,179.415),(18.46,179.585),(18.63,179.585),(18.63,179.415),(18.46,179.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,121.71),(18.43,179.645),(18.66,179.645),(18.66,121.97),(22.635,121.97),(22.635,121.71),(18.43,121.71)),
        )
        net = nets['pd[1][10]']
        createRL(
            tech, net, 'li',
            ((18.46,197.415),(18.46,197.585),(18.63,197.585),(18.63,197.415),(18.46,197.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,197.415),(18.46,197.585),(18.63,197.585),(18.63,197.415),(18.46,197.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,103.11),(18.43,197.645),(18.66,197.645),(18.66,103.37),(22.635,103.37),(22.635,103.11),(18.43,103.11)),
        )
        net = nets['pd[1][11]']
        createRL(
            tech, net, 'li',
            ((18.46,215.415),(18.46,215.585),(18.63,215.585),(18.63,215.415),(18.46,215.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,215.415),(18.46,215.585),(18.63,215.585),(18.63,215.415),(18.46,215.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,84.51),(18.43,215.645),(18.66,215.645),(18.66,84.77),(22.635,84.77),(22.635,84.51),(18.43,84.51)),
        )
        net = nets['pd[1][12]']
        createRL(
            tech, net, 'li',
            ((18.46,233.415),(18.46,233.585),(18.63,233.585),(18.63,233.415),(18.46,233.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,233.415),(18.46,233.585),(18.63,233.585),(18.63,233.415),(18.46,233.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,65.91),(18.43,233.645),(18.66,233.645),(18.66,66.17),(22.635,66.17),(22.635,65.91),(18.43,65.91)),
        )
        net = nets['pd[1][13]']
        createRL(
            tech, net, 'li',
            ((18.46,251.415),(18.46,251.585),(18.63,251.585),(18.63,251.415),(18.46,251.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,251.415),(18.46,251.585),(18.63,251.585),(18.63,251.415),(18.46,251.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,47.31),(18.43,251.645),(18.66,251.645),(18.66,47.57),(22.635,47.57),(22.635,47.31),(18.43,47.31)),
        )
        net = nets['pd[1][14]']
        createRL(
            tech, net, 'li',
            ((18.46,273.415),(18.46,273.585),(18.63,273.585),(18.63,273.415),(18.46,273.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,273.415),(18.46,273.585),(18.63,273.585),(18.63,273.415),(18.46,273.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,28.71),(18.43,273.645),(18.66,273.645),(18.66,28.97),(22.635,28.97),(22.635,28.71),(18.43,28.71)),
        )
        net = nets['pd[1][15]']
        createRL(
            tech, net, 'li',
            ((18.46,291.415),(18.46,291.585),(18.63,291.585),(18.63,291.415),(18.46,291.415)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.46,291.415),(18.46,291.585),(18.63,291.585),(18.63,291.415),(18.46,291.415)),
        )
        createRL(
            tech, net, 'm1',
            ((18.43,10.11),(18.43,291.645),(18.66,291.645),(18.66,10.37),(22.635,10.37),(22.635,10.11),(18.43,10.11)),
        )
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,297.6),(27.46,297.6),(27.46,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['a[0]'].setDirection(Net.Direction.IN)
        nets['a[1]'].setDirection(Net.Direction.IN)
        nets['a[2]'].setDirection(Net.Direction.IN)
        nets['a[3]'].setDirection(Net.Direction.IN)
        nets['a[4]'].setDirection(Net.Direction.IN)
        nets['a[5]'].setDirection(Net.Direction.IN)
        nets['a[6]'].setDirection(Net.Direction.IN)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['wl_en'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['wl[4]'].setDirection(Net.Direction.IN)
        nets['wl[5]'].setDirection(Net.Direction.IN)
        nets['wl[6]'].setDirection(Net.Direction.IN)
        nets['wl[7]'].setDirection(Net.Direction.IN)
        nets['wl[8]'].setDirection(Net.Direction.IN)
        nets['wl[9]'].setDirection(Net.Direction.IN)
        nets['wl[10]'].setDirection(Net.Direction.IN)
        nets['wl[11]'].setDirection(Net.Direction.IN)
        nets['wl[12]'].setDirection(Net.Direction.IN)
        nets['wl[13]'].setDirection(Net.Direction.IN)
        nets['wl[14]'].setDirection(Net.Direction.IN)
        nets['wl[15]'].setDirection(Net.Direction.IN)
        nets['wl[16]'].setDirection(Net.Direction.IN)
        nets['wl[17]'].setDirection(Net.Direction.IN)
        nets['wl[18]'].setDirection(Net.Direction.IN)
        nets['wl[19]'].setDirection(Net.Direction.IN)
        nets['wl[20]'].setDirection(Net.Direction.IN)
        nets['wl[21]'].setDirection(Net.Direction.IN)
        nets['wl[22]'].setDirection(Net.Direction.IN)
        nets['wl[23]'].setDirection(Net.Direction.IN)
        nets['wl[24]'].setDirection(Net.Direction.IN)
        nets['wl[25]'].setDirection(Net.Direction.IN)
        nets['wl[26]'].setDirection(Net.Direction.IN)
        nets['wl[27]'].setDirection(Net.Direction.IN)
        nets['wl[28]'].setDirection(Net.Direction.IN)
        nets['wl[29]'].setDirection(Net.Direction.IN)
        nets['wl[30]'].setDirection(Net.Direction.IN)
        nets['wl[31]'].setDirection(Net.Direction.IN)
        nets['wl[32]'].setDirection(Net.Direction.IN)
        nets['wl[33]'].setDirection(Net.Direction.IN)
        nets['wl[34]'].setDirection(Net.Direction.IN)
        nets['wl[35]'].setDirection(Net.Direction.IN)
        nets['wl[36]'].setDirection(Net.Direction.IN)
        nets['wl[37]'].setDirection(Net.Direction.IN)
        nets['wl[38]'].setDirection(Net.Direction.IN)
        nets['wl[39]'].setDirection(Net.Direction.IN)
        nets['wl[40]'].setDirection(Net.Direction.IN)
        nets['wl[41]'].setDirection(Net.Direction.IN)
        nets['wl[42]'].setDirection(Net.Direction.IN)
        nets['wl[43]'].setDirection(Net.Direction.IN)
        nets['wl[44]'].setDirection(Net.Direction.IN)
        nets['wl[45]'].setDirection(Net.Direction.IN)
        nets['wl[46]'].setDirection(Net.Direction.IN)
        nets['wl[47]'].setDirection(Net.Direction.IN)
        nets['wl[48]'].setDirection(Net.Direction.IN)
        nets['wl[49]'].setDirection(Net.Direction.IN)
        nets['wl[50]'].setDirection(Net.Direction.IN)
        nets['wl[51]'].setDirection(Net.Direction.IN)
        nets['wl[52]'].setDirection(Net.Direction.IN)
        nets['wl[53]'].setDirection(Net.Direction.IN)
        nets['wl[54]'].setDirection(Net.Direction.IN)
        nets['wl[55]'].setDirection(Net.Direction.IN)
        nets['wl[56]'].setDirection(Net.Direction.IN)
        nets['wl[57]'].setDirection(Net.Direction.IN)
        nets['wl[58]'].setDirection(Net.Direction.IN)
        nets['wl[59]'].setDirection(Net.Direction.IN)
        nets['wl[60]'].setDirection(Net.Direction.IN)
        nets['wl[61]'].setDirection(Net.Direction.IN)
        nets['wl[62]'].setDirection(Net.Direction.IN)
        nets['wl[63]'].setDirection(Net.Direction.IN)
        nets['wl[64]'].setDirection(Net.Direction.IN)
        nets['wl[65]'].setDirection(Net.Direction.IN)
        nets['wl[66]'].setDirection(Net.Direction.IN)
        nets['wl[67]'].setDirection(Net.Direction.IN)
        nets['wl[68]'].setDirection(Net.Direction.IN)
        nets['wl[69]'].setDirection(Net.Direction.IN)
        nets['wl[70]'].setDirection(Net.Direction.IN)
        nets['wl[71]'].setDirection(Net.Direction.IN)
        nets['wl[72]'].setDirection(Net.Direction.IN)
        nets['wl[73]'].setDirection(Net.Direction.IN)
        nets['wl[74]'].setDirection(Net.Direction.IN)
        nets['wl[75]'].setDirection(Net.Direction.IN)
        nets['wl[76]'].setDirection(Net.Direction.IN)
        nets['wl[77]'].setDirection(Net.Direction.IN)
        nets['wl[78]'].setDirection(Net.Direction.IN)
        nets['wl[79]'].setDirection(Net.Direction.IN)
        nets['wl[80]'].setDirection(Net.Direction.IN)
        nets['wl[81]'].setDirection(Net.Direction.IN)
        nets['wl[82]'].setDirection(Net.Direction.IN)
        nets['wl[83]'].setDirection(Net.Direction.IN)
        nets['wl[84]'].setDirection(Net.Direction.IN)
        nets['wl[85]'].setDirection(Net.Direction.IN)
        nets['wl[86]'].setDirection(Net.Direction.IN)
        nets['wl[87]'].setDirection(Net.Direction.IN)
        nets['wl[88]'].setDirection(Net.Direction.IN)
        nets['wl[89]'].setDirection(Net.Direction.IN)
        nets['wl[90]'].setDirection(Net.Direction.IN)
        nets['wl[91]'].setDirection(Net.Direction.IN)
        nets['wl[92]'].setDirection(Net.Direction.IN)
        nets['wl[93]'].setDirection(Net.Direction.IN)
        nets['wl[94]'].setDirection(Net.Direction.IN)
        nets['wl[95]'].setDirection(Net.Direction.IN)
        nets['wl[96]'].setDirection(Net.Direction.IN)
        nets['wl[97]'].setDirection(Net.Direction.IN)
        nets['wl[98]'].setDirection(Net.Direction.IN)
        nets['wl[99]'].setDirection(Net.Direction.IN)
        nets['wl[100]'].setDirection(Net.Direction.IN)
        nets['wl[101]'].setDirection(Net.Direction.IN)
        nets['wl[102]'].setDirection(Net.Direction.IN)
        nets['wl[103]'].setDirection(Net.Direction.IN)
        nets['wl[104]'].setDirection(Net.Direction.IN)
        nets['wl[105]'].setDirection(Net.Direction.IN)
        nets['wl[106]'].setDirection(Net.Direction.IN)
        nets['wl[107]'].setDirection(Net.Direction.IN)
        nets['wl[108]'].setDirection(Net.Direction.IN)
        nets['wl[109]'].setDirection(Net.Direction.IN)
        nets['wl[110]'].setDirection(Net.Direction.IN)
        nets['wl[111]'].setDirection(Net.Direction.IN)
        nets['wl[112]'].setDirection(Net.Direction.IN)
        nets['wl[113]'].setDirection(Net.Direction.IN)
        nets['wl[114]'].setDirection(Net.Direction.IN)
        nets['wl[115]'].setDirection(Net.Direction.IN)
        nets['wl[116]'].setDirection(Net.Direction.IN)
        nets['wl[117]'].setDirection(Net.Direction.IN)
        nets['wl[118]'].setDirection(Net.Direction.IN)
        nets['wl[119]'].setDirection(Net.Direction.IN)
        nets['wl[120]'].setDirection(Net.Direction.IN)
        nets['wl[121]'].setDirection(Net.Direction.IN)
        nets['wl[122]'].setDirection(Net.Direction.IN)
        nets['wl[123]'].setDirection(Net.Direction.IN)
        nets['wl[124]'].setDirection(Net.Direction.IN)
        nets['wl[125]'].setDirection(Net.Direction.IN)
        nets['wl[126]'].setDirection(Net.Direction.IN)
        nets['wl[127]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TRowPredecoders_3_4B']
        except:
            subcell = af.getCell('DP8TRowPredecoders_3_4B', 0)
        trans = Transformation(
            u(10.0), u(0.0), Transformation.Orientation.R1,
        )
        Instance.create(
            cell, 'predec', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl2']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl2', 0)
        trans = Transformation(
            u(20.824999999999996), u(297.6), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'page[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl2']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl2', 0)
        trans = Transformation(
            u(20.824999999999996), u(279.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'page[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl2']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl2', 0)
        trans = Transformation(
            u(20.824999999999996), u(260.40000000000003), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'page[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl2']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl2', 0)
        trans = Transformation(
            u(20.824999999999996), u(241.8), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'page[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl2']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl2', 0)
        trans = Transformation(
            u(20.824999999999996), u(223.20000000000002), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'page[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl2']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl2', 0)
        trans = Transformation(
            u(20.824999999999996), u(204.60000000000002), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'page[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl2']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl2', 0)
        trans = Transformation(
            u(20.824999999999996), u(186.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'page[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl2']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl2', 0)
        trans = Transformation(
            u(20.824999999999996), u(167.4), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'page[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl2']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl2', 0)
        trans = Transformation(
            u(20.824999999999996), u(148.8), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'page[8]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl2']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl2', 0)
        trans = Transformation(
            u(20.824999999999996), u(130.20000000000002), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'page[9]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl2']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl2', 0)
        trans = Transformation(
            u(20.824999999999996), u(111.60000000000002), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'page[10]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl2']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl2', 0)
        trans = Transformation(
            u(20.824999999999996), u(93.0), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'page[11]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl2']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl2', 0)
        trans = Transformation(
            u(20.824999999999996), u(74.4), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'page[12]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl2']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl2', 0)
        trans = Transformation(
            u(20.824999999999996), u(55.80000000000001), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'page[13]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl2']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl2', 0)
        trans = Transformation(
            u(20.824999999999996), u(37.19999999999999), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'page[14]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl2']
        except:
            subcell = af.getCell('DP8TRowDecoderDriverPage_2PD8R_wl2', 0)
        trans = Transformation(
            u(20.824999999999996), u(18.600000000000023), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'page[15]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TRowDecoderDriverPage_2PD8R_wl2']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(6.635), u(18.6),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'pd[0][0]': Net.create(cell, 'pd[0][0]'),
            'pd[0][1]': Net.create(cell, 'pd[0][1]'),
            'pd[0][2]': Net.create(cell, 'pd[0][2]'),
            'pd[0][3]': Net.create(cell, 'pd[0][3]'),
            'pd[0][4]': Net.create(cell, 'pd[0][4]'),
            'pd[0][5]': Net.create(cell, 'pd[0][5]'),
            'pd[0][6]': Net.create(cell, 'pd[0][6]'),
            'pd[0][7]': Net.create(cell, 'pd[0][7]'),
            'pd[1]': Net.create(cell, 'pd[1]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl[0]': Net.create(cell, 'wl[0]'),
            'wl[1]': Net.create(cell, 'wl[1]'),
            'wl[2]': Net.create(cell, 'wl[2]'),
            'wl[3]': Net.create(cell, 'wl[3]'),
            'wl[4]': Net.create(cell, 'wl[4]'),
            'wl[5]': Net.create(cell, 'wl[5]'),
            'wl[6]': Net.create(cell, 'wl[6]'),
            'wl[7]': Net.create(cell, 'wl[7]'),
            'wl_en': Net.create(cell, 'wl_en'),
            'wl_n[0]': Net.create(cell, 'wl_n[0]'),
            'wl_n[1]': Net.create(cell, 'wl_n[1]'),
            'wl_n[2]': Net.create(cell, 'wl_n[2]'),
            'wl_n[3]': Net.create(cell, 'wl_n[3]'),
            'wl_n[4]': Net.create(cell, 'wl_n[4]'),
            'wl_n[5]': Net.create(cell, 'wl_n[5]'),
            'wl_n[6]': Net.create(cell, 'wl_n[6]'),
            'wl_n[7]': Net.create(cell, 'wl_n[7]'),
        }
        net = nets['pd[0][0]']
        createRL(
            tech, net, 'li',
            ((1.06,0.615),(1.06,2.07),(1.23,2.07),(1.23,0.615),(1.06,0.615)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(0.615), u(2.07),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(0.615), u(2.07),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[1]']
        createRL(
            tech, net, 'li',
            ((1.61,10.555),(1.61,10.725),(1.78,10.725),(1.78,10.555),(1.61,10.555)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,7.875),(1.61,8.045),(1.78,8.045),(1.78,7.875),(1.61,7.875)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,3.225),(1.61,3.395),(1.78,3.395),(1.78,3.225),(1.61,3.225)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,12.525),(1.61,12.695),(1.78,12.695),(1.78,12.525),(1.61,12.525)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,1.255),(1.61,1.425),(1.78,1.425),(1.78,1.255),(1.61,1.255)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,15.21),(1.61,15.38),(1.78,15.38),(1.78,15.21),(1.61,15.21)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,17.175),(1.61,17.345),(1.78,17.345),(1.78,17.175),(1.61,17.175)),
        )
        createRL(
            tech, net, 'li',
            ((1.61,5.905),(1.61,6.075),(1.78,6.075),(1.78,5.905),(1.61,5.905)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,10.555),(1.61,10.725),(1.78,10.725),(1.78,10.555),(1.61,10.555)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,7.875),(1.61,8.045),(1.78,8.045),(1.78,7.875),(1.61,7.875)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,3.225),(1.61,3.395),(1.78,3.395),(1.78,3.225),(1.61,3.225)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,12.525),(1.61,12.695),(1.78,12.695),(1.78,12.525),(1.61,12.525)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,1.255),(1.61,1.425),(1.78,1.425),(1.78,1.255),(1.61,1.255)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,15.21),(1.61,15.38),(1.78,15.38),(1.78,15.21),(1.61,15.21)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,17.175),(1.61,17.345),(1.78,17.345),(1.78,17.175),(1.61,17.175)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.61,5.905),(1.61,6.075),(1.78,6.075),(1.78,5.905),(1.61,5.905)),
        )
        createRL(
            tech, net, 'm1',
            ((1.58,1.195),(1.58,17.405),(1.81,17.405),(1.81,1.195),(1.58,1.195)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.695), u(0.23), u(1.195), u(17.405),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.695), u(0.23), u(1.195), u(17.405),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_en']
        createRL(
            tech, net, 'li',
            ((2.12,5.905),(2.12,6.075),(2.29,6.075),(2.29,5.905),(2.12,5.905)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,1.255),(2.12,1.425),(2.29,1.425),(2.29,1.255),(2.12,1.255)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,15.21),(2.12,15.38),(2.29,15.38),(2.29,15.21),(2.12,15.21)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,17.175),(2.12,17.345),(2.29,17.345),(2.29,17.175),(2.12,17.175)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,3.225),(2.12,3.395),(2.29,3.395),(2.29,3.225),(2.12,3.225)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,7.875),(2.12,8.045),(2.29,8.045),(2.29,7.875),(2.12,7.875)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,12.525),(2.12,12.695),(2.29,12.695),(2.29,12.525),(2.12,12.525)),
        )
        createRL(
            tech, net, 'li',
            ((2.12,10.555),(2.12,10.725),(2.29,10.725),(2.29,10.555),(2.12,10.555)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,5.905),(2.12,6.075),(2.29,6.075),(2.29,5.905),(2.12,5.905)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,1.255),(2.12,1.425),(2.29,1.425),(2.29,1.255),(2.12,1.255)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,15.21),(2.12,15.38),(2.29,15.38),(2.29,15.21),(2.12,15.21)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,17.175),(2.12,17.345),(2.29,17.345),(2.29,17.175),(2.12,17.175)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,3.225),(2.12,3.395),(2.29,3.395),(2.29,3.225),(2.12,3.225)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,7.875),(2.12,8.045),(2.29,8.045),(2.29,7.875),(2.12,7.875)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,12.525),(2.12,12.695),(2.29,12.695),(2.29,12.525),(2.12,12.525)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.12,10.555),(2.12,10.725),(2.29,10.725),(2.29,10.555),(2.12,10.555)),
        )
        createRL(
            tech, net, 'm1',
            ((2.09,1.195),(2.09,17.405),(2.32,17.405),(2.32,1.195),(2.09,1.195)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.205), u(0.23), u(1.195), u(17.405),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.205), u(0.23), u(1.195), u(17.405),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[0]']
        createRL(
            tech, net, 'li',
            ((2.465,0.66),(2.465,1.67),(3.61,1.67),(3.61,0.66),(2.465,0.66)),
        )
        net = nets['wl[0]']
        createRL(
            tech, net, 'm2',
            ((6.075,1.38),(6.075,1.64),(6.635,1.64),(6.635,1.38),(6.075,1.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.51), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.51), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,4.52),(0.0,4.78),(6.635,4.78),(6.635,4.52),(0.0,4.52)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,9.17),(0.0,9.43),(6.635,9.43),(6.635,9.17),(0.0,9.17)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,18.47),(0.0,18.73),(6.635,18.73),(6.635,18.47),(0.0,18.47)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(6.635,0.13),(6.635,-0.13),(0.0,-0.13)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,13.82),(0.0,14.08),(6.635,14.08),(6.635,13.82),(0.0,13.82)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(4.65), u(0.26), u(0.0), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(4.65), u(0.26), u(0.0), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.3), u(0.26), u(0.0), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.3), u(0.26), u(0.0), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.6), u(0.26), u(0.0), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.6), u(0.26), u(0.0), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.95), u(0.26), u(0.0), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.95), u(0.26), u(0.0), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][1]']
        createRL(
            tech, net, 'li',
            ((1.06,2.58),(1.06,4.035),(1.23,4.035),(1.23,2.58),(1.06,2.58)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(2.58), u(4.035),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(2.58), u(4.035),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[1]']
        createRL(
            tech, net, 'li',
            ((2.465,2.98),(2.465,3.99),(3.61,3.99),(3.61,2.98),(2.465,2.98)),
        )
        net = nets['wl[1]']
        createRL(
            tech, net, 'm2',
            ((6.075,3.01),(6.075,3.27),(6.635,3.27),(6.635,3.01),(6.075,3.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.14), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.14), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((3.18,9.73),(3.18,11.495),(0.0,11.495),(0.0,11.755),(3.18,11.755),(3.18,13.52),(6.635,13.52),(6.635,12.94),(3.44,12.94),(3.44,10.31),(6.635,10.31),(6.635,9.73),(3.18,9.73)),
        )
        createRL(
            tech, net, 'm2',
            ((3.18,14.38),(3.18,16.145),(0.0,16.145),(0.0,16.405),(3.18,16.405),(3.18,18.17),(6.635,18.17),(6.635,17.59),(3.44,17.59),(3.44,14.96),(6.635,14.96),(6.635,14.38),(3.18,14.38)),
        )
        createRL(
            tech, net, 'm2',
            ((3.18,5.08),(3.18,6.845),(0.0,6.845),(0.0,7.105),(3.18,7.105),(3.18,8.87),(6.635,8.87),(6.635,8.29),(3.44,8.29),(3.44,5.66),(6.635,5.66),(6.635,5.08),(3.18,5.08)),
        )
        createRL(
            tech, net, 'm2',
            ((3.18,0.43),(3.18,2.195),(0.0,2.195),(0.0,2.455),(3.18,2.455),(3.18,4.22),(6.635,4.22),(6.635,3.64),(3.44,3.64),(3.44,1.01),(6.635,1.01),(6.635,0.43),(3.18,0.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.625), u(0.26), u(0.0), u(3.1799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.625), u(0.26), u(0.0), u(3.1799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.325), u(0.26), u(0.0), u(3.1799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.325), u(0.26), u(0.0), u(3.1799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.975), u(0.26), u(0.0), u(3.1799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.975), u(0.26), u(0.0), u(3.1799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.275), u(0.26), u(0.0), u(3.1799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.275), u(0.26), u(0.0), u(3.1799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][2]']
        createRL(
            tech, net, 'li',
            ((1.06,5.265),(1.06,6.72),(1.23,6.72),(1.23,5.265),(1.06,5.265)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(5.265), u(6.72),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(5.265), u(6.72),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[2]']
        createRL(
            tech, net, 'li',
            ((2.465,5.31),(2.465,6.32),(3.61,6.32),(3.61,5.31),(2.465,5.31)),
        )
        net = nets['wl[2]']
        createRL(
            tech, net, 'm2',
            ((6.075,6.03),(6.075,6.29),(6.635,6.29),(6.635,6.03),(6.075,6.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.16), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.16), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][3]']
        createRL(
            tech, net, 'li',
            ((1.06,7.23),(1.06,8.685),(1.23,8.685),(1.23,7.23),(1.06,7.23)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(7.23), u(8.685),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(7.23), u(8.685),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[3]']
        createRL(
            tech, net, 'li',
            ((2.465,7.63),(2.465,8.64),(3.61,8.64),(3.61,7.63),(2.465,7.63)),
        )
        net = nets['wl[3]']
        createRL(
            tech, net, 'm2',
            ((6.075,7.66),(6.075,7.92),(6.635,7.92),(6.635,7.66),(6.075,7.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.79), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.79), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][4]']
        createRL(
            tech, net, 'li',
            ((1.06,9.915),(1.06,11.37),(1.23,11.37),(1.23,9.915),(1.06,9.915)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(9.915), u(11.37),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(9.915), u(11.37),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[4]']
        createRL(
            tech, net, 'li',
            ((2.465,9.96),(2.465,10.97),(3.61,10.97),(3.61,9.96),(2.465,9.96)),
        )
        net = nets['wl[4]']
        createRL(
            tech, net, 'm2',
            ((6.075,10.68),(6.075,10.94),(6.635,10.94),(6.635,10.68),(6.075,10.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.81), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.81), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][5]']
        createRL(
            tech, net, 'li',
            ((1.06,11.88),(1.06,13.335),(1.23,13.335),(1.23,11.88),(1.06,11.88)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(11.88), u(13.335),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(11.88), u(13.335),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[5]']
        createRL(
            tech, net, 'li',
            ((2.465,12.28),(2.465,13.29),(3.61,13.29),(3.61,12.28),(2.465,12.28)),
        )
        net = nets['wl[5]']
        createRL(
            tech, net, 'm2',
            ((6.075,12.31),(6.075,12.57),(6.635,12.57),(6.635,12.31),(6.075,12.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.44), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.44), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][6]']
        createRL(
            tech, net, 'li',
            ((1.06,14.565),(1.06,16.02),(1.23,16.02),(1.23,14.565),(1.06,14.565)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(14.565), u(16.02),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(14.565), u(16.02),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[6]']
        createRL(
            tech, net, 'li',
            ((2.465,14.61),(2.465,15.62),(3.61,15.62),(3.61,14.61),(2.465,14.61)),
        )
        net = nets['wl[6]']
        createRL(
            tech, net, 'm2',
            ((6.075,15.33),(6.075,15.59),(6.635,15.59),(6.635,15.33),(6.075,15.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.46), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.46), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['pd[0][7]']
        createRL(
            tech, net, 'li',
            ((1.06,16.53),(1.06,17.985),(1.23,17.985),(1.23,16.53),(1.06,16.53)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.145), u(0.17), u(16.53), u(17.985),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.145), u(0.17), u(16.53), u(17.985),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_n[7]']
        createRL(
            tech, net, 'li',
            ((2.465,16.93),(2.465,17.94),(3.61,17.94),(3.61,16.93),(2.465,16.93)),
        )
        net = nets['wl[7]']
        createRL(
            tech, net, 'm2',
            ((6.075,16.96),(6.075,17.22),(6.635,17.22),(6.635,16.96),(6.075,16.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(17.09), u(0.26), u(6.074999999999999), u(6.635),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(17.09), u(0.26), u(6.074999999999999), u(6.635),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,18.6),(6.635,18.6),(6.635,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['pd[0][0]'].setDirection(Net.Direction.IN)
        nets['wl[0]'].setDirection(Net.Direction.IN)
        nets['pd[0][1]'].setDirection(Net.Direction.IN)
        nets['wl[1]'].setDirection(Net.Direction.IN)
        nets['pd[0][2]'].setDirection(Net.Direction.IN)
        nets['wl[2]'].setDirection(Net.Direction.IN)
        nets['pd[0][3]'].setDirection(Net.Direction.IN)
        nets['wl[3]'].setDirection(Net.Direction.IN)
        nets['pd[0][4]'].setDirection(Net.Direction.IN)
        nets['wl[4]'].setDirection(Net.Direction.IN)
        nets['pd[0][5]'].setDirection(Net.Direction.IN)
        nets['wl[5]'].setDirection(Net.Direction.IN)
        nets['pd[0][6]'].setDirection(Net.Direction.IN)
        nets['wl[6]'].setDirection(Net.Direction.IN)
        nets['pd[0][7]'].setDirection(Net.Direction.IN)
        nets['wl[7]'].setDirection(Net.Direction.IN)
        nets['pd[1]'].setDirection(Net.Direction.IN)
        nets['wl_en'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TRowDecoderNand3']
        except:
            subcell = af.getCell('DP8TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(2.325), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'nand3[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWLDrive_30LN100WN30LP200WP_wl2']
        except:
            subcell = af.getCell('DP8TWLDrive_30LN100WN30LP200WP_wl2', 0)
        trans = Transformation(
            u(6.635), u(2.325), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'drive[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderNand3']
        except:
            subcell = af.getCell('DP8TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(2.325), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'nand3[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWLDrive_30LN100WN30LP200WP_wl2']
        except:
            subcell = af.getCell('DP8TWLDrive_30LN100WN30LP200WP_wl2', 0)
        trans = Transformation(
            u(6.635), u(2.325), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'drive[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderNand3']
        except:
            subcell = af.getCell('DP8TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(6.9750000000000005), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'nand3[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWLDrive_30LN100WN30LP200WP_wl2']
        except:
            subcell = af.getCell('DP8TWLDrive_30LN100WN30LP200WP_wl2', 0)
        trans = Transformation(
            u(6.635), u(6.9750000000000005), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'drive[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderNand3']
        except:
            subcell = af.getCell('DP8TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(6.9750000000000005), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'nand3[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWLDrive_30LN100WN30LP200WP_wl2']
        except:
            subcell = af.getCell('DP8TWLDrive_30LN100WN30LP200WP_wl2', 0)
        trans = Transformation(
            u(6.635), u(6.9750000000000005), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'drive[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderNand3']
        except:
            subcell = af.getCell('DP8TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(11.625), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'nand3[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWLDrive_30LN100WN30LP200WP_wl2']
        except:
            subcell = af.getCell('DP8TWLDrive_30LN100WN30LP200WP_wl2', 0)
        trans = Transformation(
            u(6.635), u(11.625), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'drive[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderNand3']
        except:
            subcell = af.getCell('DP8TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(11.625), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'nand3[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWLDrive_30LN100WN30LP200WP_wl2']
        except:
            subcell = af.getCell('DP8TWLDrive_30LN100WN30LP200WP_wl2', 0)
        trans = Transformation(
            u(6.635), u(11.625), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'drive[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderNand3']
        except:
            subcell = af.getCell('DP8TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(16.275000000000002), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'nand3[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWLDrive_30LN100WN30LP200WP_wl2']
        except:
            subcell = af.getCell('DP8TWLDrive_30LN100WN30LP200WP_wl2', 0)
        trans = Transformation(
            u(6.635), u(16.275000000000002), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'drive[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TRowDecoderNand3']
        except:
            subcell = af.getCell('DP8TRowDecoderNand3', 0)
        trans = Transformation(
            u(0.0), u(16.275000000000002), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'nand3[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWLDrive_30LN100WN30LP200WP_wl2']
        except:
            subcell = af.getCell('DP8TWLDrive_30LN100WN30LP200WP_wl2', 0)
        trans = Transformation(
            u(6.635), u(16.275000000000002), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'drive[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TWLDrive_30LN100WN30LP200WP_wl2']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(-3.455), u(0.0), u(0.0), u(2.325),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl_drive': Net.create(cell, 'wl_drive'),
            'wl_n': Net.create(cell, 'wl_n'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'difftap',
            ((-1.225,-0.455),(-1.225,0.66),(-0.725,0.66),(-0.725,-0.455),(-1.225,-0.455)),
        )
        createRL(
            tech, net, 'difftap',
            ((-0.125,-0.38),(-0.125,0.38),(0.125,0.38),(0.125,-0.38),(-0.125,-0.38)),
        )
        createRL(
            tech, net, 'difftap',
            ((-1.225,1.665),(-1.225,2.78),(-0.725,2.78),(-0.725,1.665),(-1.225,1.665)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,-0.255),(-1.06,-0.085),(-0.89,-0.085),(-0.89,-0.255),(-1.06,-0.255)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,0.085),(-1.06,0.255),(-0.89,0.255),(-0.89,0.085),(-1.06,0.085)),
        )
        createRL(
            tech, net, 'licon',
            ((-0.085,-0.255),(-0.085,-0.085),(0.085,-0.085),(0.085,-0.255),(-0.085,-0.255)),
        )
        createRL(
            tech, net, 'licon',
            ((-0.085,0.085),(-0.085,0.255),(0.085,0.255),(0.085,0.085),(-0.085,0.085)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,2.07),(-1.06,2.24),(-0.89,2.24),(-0.89,2.07),(-1.06,2.07)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,2.41),(-1.06,2.58),(-0.89,2.58),(-0.89,2.41),(-1.06,2.41)),
        )
        createRL(
            tech, net, 'li',
            ((-1.225,2.07),(-1.225,2.58),(-0.725,2.58),(-0.725,2.07),(-1.225,2.07)),
        )
        createRL(
            tech, net, 'li',
            ((-1.225,-0.255),(-1.225,0.255),(0.165,0.255),(0.165,-0.255),(-1.225,-0.255)),
        )
        createRL(
            tech, net, 'mcon',
            ((-1.06,2.24),(-1.06,2.41),(-0.89,2.41),(-0.89,2.24),(-1.06,2.24)),
        )
        createRL(
            tech, net, 'mcon',
            ((-1.06,-0.085),(-1.06,0.085),(-0.89,0.085),(-0.89,-0.085),(-1.06,-0.085)),
        )
        createRL(
            tech, net, 'm1',
            ((-1.695,-0.115),(-1.695,2.44),(-0.67,2.44),(-0.67,-0.115),(-1.695,-0.115)),
        )
        createRL(
            tech, net, 'via',
            ((-1.05,1.37),(-1.05,1.52),(-0.9,1.52),(-0.9,1.37),(-1.05,1.37)),
        )
        createRL(
            tech, net, 'via',
            ((-1.05,1.69),(-1.05,1.84),(-0.9,1.84),(-0.9,1.69),(-1.05,1.69)),
        )
        createRL(
            tech, net, 'm2',
            ((-3.455,1.315),(-3.455,1.895),(0.0,1.895),(0.0,1.315),(-3.455,1.315)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.605), u(0.58), u(-3.455), u(0.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.605), u(0.58), u(-3.455), u(0.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl_drive']
        createRL(
            tech, net, 'difftap',
            ((-1.225,0.66),(-1.225,1.665),(-0.725,1.665),(-0.725,0.66),(-1.225,0.66)),
        )
        createRL(
            tech, net, 'difftap',
            ((-2.835,0.66),(-2.835,1.665),(-1.835,1.665),(-1.835,0.66),(-2.835,0.66)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,0.91),(-1.06,1.08),(-0.89,1.08),(-0.89,0.91),(-1.06,0.91)),
        )
        createRL(
            tech, net, 'licon',
            ((-1.06,1.25),(-1.06,1.42),(-0.89,1.42),(-0.89,1.25),(-1.06,1.25)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.76,0.91),(-2.76,1.08),(-2.59,1.08),(-2.59,0.91),(-2.76,0.91)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.42,0.91),(-2.42,1.08),(-2.25,1.08),(-2.25,0.91),(-2.42,0.91)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.08,0.91),(-2.08,1.08),(-1.91,1.08),(-1.91,0.91),(-2.08,0.91)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.76,1.25),(-2.76,1.42),(-2.59,1.42),(-2.59,1.25),(-2.76,1.25)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.42,1.25),(-2.42,1.42),(-2.25,1.42),(-2.25,1.25),(-2.42,1.25)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.08,1.25),(-2.08,1.42),(-1.91,1.42),(-1.91,1.25),(-2.08,1.25)),
        )
        createRL(
            tech, net, 'li',
            ((-2.84,0.91),(-2.84,1.42),(-0.315,1.42),(-0.315,0.91),(-2.84,0.91)),
        )
        createRL(
            tech, net, 'm1',
            ((-0.53,0.655),(-0.53,1.31),(-0.27,1.31),(-0.27,0.655),(-0.53,0.655)),
        )
        createRL(
            tech, net, 'via',
            ((-0.475,0.74),(-0.475,0.89),(-0.325,0.89),(-0.325,0.74),(-0.475,0.74)),
        )
        createRL(
            tech, net, 'm2',
            ((-0.56,0.685),(-0.56,0.945),(0.0,0.945),(0.0,0.685),(-0.56,0.685)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.815), u(0.26), u(-0.56), u(0.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.815), u(0.26), u(-0.56), u(0.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        createRL(
            tech, net, 'mcon',
            ((-0.485,1.08),(-0.485,1.25),(-0.315,1.25),(-0.315,1.08),(-0.485,1.08)),
        )
        net = nets['*']
        createRL(
            tech, net, 'nsdm',
            ((-3.785,2.075),(-3.785,2.575),(-3.125,2.575),(-3.125,2.075),(-3.785,2.075)),
        )
        createRL(
            tech, net, 'nsdm',
            ((-1.35,-0.58),(-1.35,2.905),(-0.6,2.905),(-0.6,1.135),(0.0,1.135),(0.0,0.525),(-0.6,0.525),(-0.6,-0.58),(-1.35,-0.58)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((-1.23,0.505),(-1.23,0.665),(-0.72,0.665),(-0.72,0.505),(-1.23,0.505)),
        )
        createRL(
            tech, net, 'areaid_sc',
            ((-1.23,1.66),(-1.23,1.82),(-0.72,1.82),(-0.72,1.66),(-1.23,1.66)),
        )
        createRL(
            tech, net, 'psdm',
            ((-0.25,-0.505),(-0.25,0.505),(0.25,0.505),(0.25,-0.505),(-0.25,-0.505)),
        )
        createRL(
            tech, net, 'psdm',
            ((-2.96,-0.58),(-2.96,0.51),(-3.245,0.51),(-3.245,1.81),(-2.96,1.81),(-2.96,2.905),(-1.71,2.905),(-1.71,-0.58),(-2.96,-0.58)),
        )
        createRL(
            tech, net, 'prBoundary',
            ((-3.455,0.0),(-3.455,2.325),(0.0,2.325),(0.0,0.0),(-3.455,0.0)),
        )
        net = nets['wl_n']
        createRL(
            tech, net, 'poly',
            ((-3.245,0.51),(-3.245,1.815),(-0.595,1.815),(-0.595,1.665),(-2.975,1.665),(-2.975,0.66),(-0.595,0.66),(-0.595,0.51),(-3.245,0.51)),
        )
        createRL(
            tech, net, 'licon',
            ((-3.195,0.735),(-3.195,0.905),(-3.025,0.905),(-3.025,0.735),(-3.195,0.735)),
        )
        createRL(
            tech, net, 'licon',
            ((-3.195,1.075),(-3.195,1.245),(-3.025,1.245),(-3.025,1.075),(-3.195,1.075)),
        )
        createRL(
            tech, net, 'licon',
            ((-3.195,1.415),(-3.195,1.585),(-3.025,1.585),(-3.025,1.415),(-3.195,1.415)),
        )
        createRL(
            tech, net, 'li',
            ((-3.455,0.655),(-3.455,1.665),(-3.025,1.665),(-3.025,0.655),(-3.455,0.655)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(-3.24), u(0.43), u(0.655), u(1.665),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(-3.24), u(0.43), u(0.655), u(1.665),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'difftap',
            ((-3.66,2.2),(-3.66,2.45),(-3.25,2.45),(-3.25,2.2),(-3.66,2.2)),
        )
        createRL(
            tech, net, 'difftap',
            ((-2.835,-0.455),(-2.835,0.66),(-1.835,0.66),(-1.835,-0.455),(-2.835,-0.455)),
        )
        createRL(
            tech, net, 'difftap',
            ((-2.835,1.665),(-2.835,2.78),(-1.835,2.78),(-1.835,1.665),(-2.835,1.665)),
        )
        createRL(
            tech, net, 'nwm',
            ((-3.015,-0.635),(-3.015,1.905),(-3.84,1.905),(-3.84,2.745),(-3.015,2.745),(-3.015,2.96),(-1.655,2.96),(-1.655,-0.635),(-3.015,-0.635)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.59,2.07),(-2.59,2.24),(-2.42,2.24),(-2.42,2.07),(-2.59,2.07)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.25,2.07),(-2.25,2.24),(-2.08,2.24),(-2.08,2.07),(-2.25,2.07)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.59,2.41),(-2.59,2.58),(-2.42,2.58),(-2.42,2.41),(-2.59,2.41)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.25,2.41),(-2.25,2.58),(-2.08,2.58),(-2.08,2.41),(-2.25,2.41)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.59,-0.255),(-2.59,-0.085),(-2.42,-0.085),(-2.42,-0.255),(-2.59,-0.255)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.25,-0.255),(-2.25,-0.085),(-2.08,-0.085),(-2.08,-0.255),(-2.25,-0.255)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.59,0.085),(-2.59,0.255),(-2.42,0.255),(-2.42,0.085),(-2.59,0.085)),
        )
        createRL(
            tech, net, 'licon',
            ((-2.25,0.085),(-2.25,0.255),(-2.08,0.255),(-2.08,0.085),(-2.25,0.085)),
        )
        createRL(
            tech, net, 'licon',
            ((-3.54,2.24),(-3.54,2.41),(-3.37,2.41),(-3.37,2.24),(-3.54,2.24)),
        )
        createRL(
            tech, net, 'li',
            ((-2.835,-0.255),(-2.835,0.255),(-1.835,0.255),(-1.835,-0.255),(-2.835,-0.255)),
        )
        createRL(
            tech, net, 'li',
            ((-2.835,2.07),(-2.835,2.24),(-3.62,2.24),(-3.62,2.41),(-2.835,2.41),(-2.835,2.58),(-1.835,2.58),(-1.835,2.07),(-2.835,2.07)),
        )
        createRL(
            tech, net, 'mcon',
            ((-2.6,2.24),(-2.6,2.41),(-2.43,2.41),(-2.43,2.24),(-2.6,2.24)),
        )
        createRL(
            tech, net, 'mcon',
            ((-2.24,2.24),(-2.24,2.41),(-2.07,2.41),(-2.07,2.24),(-2.24,2.24)),
        )
        createRL(
            tech, net, 'mcon',
            ((-2.6,-0.085),(-2.6,0.085),(-2.43,0.085),(-2.43,-0.085),(-2.6,-0.085)),
        )
        createRL(
            tech, net, 'mcon',
            ((-2.24,-0.085),(-2.24,0.085),(-2.07,0.085),(-2.07,-0.085),(-2.24,-0.085)),
        )
        createRL(
            tech, net, 'm1',
            ((-2.835,-0.115),(-2.835,2.615),(-1.835,2.615),(-1.835,-0.115),(-2.835,-0.115)),
        )
        createRL(
            tech, net, 'via',
            ((-2.73,2.09),(-2.73,2.24),(-2.58,2.24),(-2.58,2.09),(-2.73,2.09)),
        )
        createRL(
            tech, net, 'via',
            ((-2.41,2.09),(-2.41,2.24),(-2.26,2.24),(-2.26,2.09),(-2.41,2.09)),
        )
        createRL(
            tech, net, 'via',
            ((-2.09,2.09),(-2.09,2.24),(-1.94,2.24),(-1.94,2.09),(-2.09,2.09)),
        )
        createRL(
            tech, net, 'via',
            ((-2.73,2.41),(-2.73,2.56),(-2.58,2.56),(-2.58,2.41),(-2.73,2.41)),
        )
        createRL(
            tech, net, 'via',
            ((-2.41,2.41),(-2.41,2.56),(-2.26,2.56),(-2.26,2.41),(-2.41,2.41)),
        )
        createRL(
            tech, net, 'via',
            ((-2.09,2.41),(-2.09,2.56),(-1.94,2.56),(-1.94,2.41),(-2.09,2.41)),
        )
        createRL(
            tech, net, 'm2',
            ((-3.455,2.035),(-3.455,2.615),(0.0,2.615),(0.0,2.035),(-3.455,2.035)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.325), u(0.58), u(-3.455), u(0.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.325), u(0.58), u(-3.455), u(0.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl_n'].setDirection(Net.Direction.IN)
        nets['wl_drive'].setDirection(Net.Direction.IN)

    cell = new_cells['DP8TArray_128X32']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(107.20000000000002), u(297.6),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl1[0]': Net.create(cell, 'bl1[0]'),
            'bl1[10]': Net.create(cell, 'bl1[10]'),
            'bl1[11]': Net.create(cell, 'bl1[11]'),
            'bl1[12]': Net.create(cell, 'bl1[12]'),
            'bl1[13]': Net.create(cell, 'bl1[13]'),
            'bl1[14]': Net.create(cell, 'bl1[14]'),
            'bl1[15]': Net.create(cell, 'bl1[15]'),
            'bl1[16]': Net.create(cell, 'bl1[16]'),
            'bl1[17]': Net.create(cell, 'bl1[17]'),
            'bl1[18]': Net.create(cell, 'bl1[18]'),
            'bl1[19]': Net.create(cell, 'bl1[19]'),
            'bl1[1]': Net.create(cell, 'bl1[1]'),
            'bl1[20]': Net.create(cell, 'bl1[20]'),
            'bl1[21]': Net.create(cell, 'bl1[21]'),
            'bl1[22]': Net.create(cell, 'bl1[22]'),
            'bl1[23]': Net.create(cell, 'bl1[23]'),
            'bl1[24]': Net.create(cell, 'bl1[24]'),
            'bl1[25]': Net.create(cell, 'bl1[25]'),
            'bl1[26]': Net.create(cell, 'bl1[26]'),
            'bl1[27]': Net.create(cell, 'bl1[27]'),
            'bl1[28]': Net.create(cell, 'bl1[28]'),
            'bl1[29]': Net.create(cell, 'bl1[29]'),
            'bl1[2]': Net.create(cell, 'bl1[2]'),
            'bl1[30]': Net.create(cell, 'bl1[30]'),
            'bl1[31]': Net.create(cell, 'bl1[31]'),
            'bl1[3]': Net.create(cell, 'bl1[3]'),
            'bl1[4]': Net.create(cell, 'bl1[4]'),
            'bl1[5]': Net.create(cell, 'bl1[5]'),
            'bl1[6]': Net.create(cell, 'bl1[6]'),
            'bl1[7]': Net.create(cell, 'bl1[7]'),
            'bl1[8]': Net.create(cell, 'bl1[8]'),
            'bl1[9]': Net.create(cell, 'bl1[9]'),
            'bl1_n[0]': Net.create(cell, 'bl1_n[0]'),
            'bl1_n[10]': Net.create(cell, 'bl1_n[10]'),
            'bl1_n[11]': Net.create(cell, 'bl1_n[11]'),
            'bl1_n[12]': Net.create(cell, 'bl1_n[12]'),
            'bl1_n[13]': Net.create(cell, 'bl1_n[13]'),
            'bl1_n[14]': Net.create(cell, 'bl1_n[14]'),
            'bl1_n[15]': Net.create(cell, 'bl1_n[15]'),
            'bl1_n[16]': Net.create(cell, 'bl1_n[16]'),
            'bl1_n[17]': Net.create(cell, 'bl1_n[17]'),
            'bl1_n[18]': Net.create(cell, 'bl1_n[18]'),
            'bl1_n[19]': Net.create(cell, 'bl1_n[19]'),
            'bl1_n[1]': Net.create(cell, 'bl1_n[1]'),
            'bl1_n[20]': Net.create(cell, 'bl1_n[20]'),
            'bl1_n[21]': Net.create(cell, 'bl1_n[21]'),
            'bl1_n[22]': Net.create(cell, 'bl1_n[22]'),
            'bl1_n[23]': Net.create(cell, 'bl1_n[23]'),
            'bl1_n[24]': Net.create(cell, 'bl1_n[24]'),
            'bl1_n[25]': Net.create(cell, 'bl1_n[25]'),
            'bl1_n[26]': Net.create(cell, 'bl1_n[26]'),
            'bl1_n[27]': Net.create(cell, 'bl1_n[27]'),
            'bl1_n[28]': Net.create(cell, 'bl1_n[28]'),
            'bl1_n[29]': Net.create(cell, 'bl1_n[29]'),
            'bl1_n[2]': Net.create(cell, 'bl1_n[2]'),
            'bl1_n[30]': Net.create(cell, 'bl1_n[30]'),
            'bl1_n[31]': Net.create(cell, 'bl1_n[31]'),
            'bl1_n[3]': Net.create(cell, 'bl1_n[3]'),
            'bl1_n[4]': Net.create(cell, 'bl1_n[4]'),
            'bl1_n[5]': Net.create(cell, 'bl1_n[5]'),
            'bl1_n[6]': Net.create(cell, 'bl1_n[6]'),
            'bl1_n[7]': Net.create(cell, 'bl1_n[7]'),
            'bl1_n[8]': Net.create(cell, 'bl1_n[8]'),
            'bl1_n[9]': Net.create(cell, 'bl1_n[9]'),
            'bl2[0]': Net.create(cell, 'bl2[0]'),
            'bl2[10]': Net.create(cell, 'bl2[10]'),
            'bl2[11]': Net.create(cell, 'bl2[11]'),
            'bl2[12]': Net.create(cell, 'bl2[12]'),
            'bl2[13]': Net.create(cell, 'bl2[13]'),
            'bl2[14]': Net.create(cell, 'bl2[14]'),
            'bl2[15]': Net.create(cell, 'bl2[15]'),
            'bl2[16]': Net.create(cell, 'bl2[16]'),
            'bl2[17]': Net.create(cell, 'bl2[17]'),
            'bl2[18]': Net.create(cell, 'bl2[18]'),
            'bl2[19]': Net.create(cell, 'bl2[19]'),
            'bl2[1]': Net.create(cell, 'bl2[1]'),
            'bl2[20]': Net.create(cell, 'bl2[20]'),
            'bl2[21]': Net.create(cell, 'bl2[21]'),
            'bl2[22]': Net.create(cell, 'bl2[22]'),
            'bl2[23]': Net.create(cell, 'bl2[23]'),
            'bl2[24]': Net.create(cell, 'bl2[24]'),
            'bl2[25]': Net.create(cell, 'bl2[25]'),
            'bl2[26]': Net.create(cell, 'bl2[26]'),
            'bl2[27]': Net.create(cell, 'bl2[27]'),
            'bl2[28]': Net.create(cell, 'bl2[28]'),
            'bl2[29]': Net.create(cell, 'bl2[29]'),
            'bl2[2]': Net.create(cell, 'bl2[2]'),
            'bl2[30]': Net.create(cell, 'bl2[30]'),
            'bl2[31]': Net.create(cell, 'bl2[31]'),
            'bl2[3]': Net.create(cell, 'bl2[3]'),
            'bl2[4]': Net.create(cell, 'bl2[4]'),
            'bl2[5]': Net.create(cell, 'bl2[5]'),
            'bl2[6]': Net.create(cell, 'bl2[6]'),
            'bl2[7]': Net.create(cell, 'bl2[7]'),
            'bl2[8]': Net.create(cell, 'bl2[8]'),
            'bl2[9]': Net.create(cell, 'bl2[9]'),
            'bl2_n[0]': Net.create(cell, 'bl2_n[0]'),
            'bl2_n[10]': Net.create(cell, 'bl2_n[10]'),
            'bl2_n[11]': Net.create(cell, 'bl2_n[11]'),
            'bl2_n[12]': Net.create(cell, 'bl2_n[12]'),
            'bl2_n[13]': Net.create(cell, 'bl2_n[13]'),
            'bl2_n[14]': Net.create(cell, 'bl2_n[14]'),
            'bl2_n[15]': Net.create(cell, 'bl2_n[15]'),
            'bl2_n[16]': Net.create(cell, 'bl2_n[16]'),
            'bl2_n[17]': Net.create(cell, 'bl2_n[17]'),
            'bl2_n[18]': Net.create(cell, 'bl2_n[18]'),
            'bl2_n[19]': Net.create(cell, 'bl2_n[19]'),
            'bl2_n[1]': Net.create(cell, 'bl2_n[1]'),
            'bl2_n[20]': Net.create(cell, 'bl2_n[20]'),
            'bl2_n[21]': Net.create(cell, 'bl2_n[21]'),
            'bl2_n[22]': Net.create(cell, 'bl2_n[22]'),
            'bl2_n[23]': Net.create(cell, 'bl2_n[23]'),
            'bl2_n[24]': Net.create(cell, 'bl2_n[24]'),
            'bl2_n[25]': Net.create(cell, 'bl2_n[25]'),
            'bl2_n[26]': Net.create(cell, 'bl2_n[26]'),
            'bl2_n[27]': Net.create(cell, 'bl2_n[27]'),
            'bl2_n[28]': Net.create(cell, 'bl2_n[28]'),
            'bl2_n[29]': Net.create(cell, 'bl2_n[29]'),
            'bl2_n[2]': Net.create(cell, 'bl2_n[2]'),
            'bl2_n[30]': Net.create(cell, 'bl2_n[30]'),
            'bl2_n[31]': Net.create(cell, 'bl2_n[31]'),
            'bl2_n[3]': Net.create(cell, 'bl2_n[3]'),
            'bl2_n[4]': Net.create(cell, 'bl2_n[4]'),
            'bl2_n[5]': Net.create(cell, 'bl2_n[5]'),
            'bl2_n[6]': Net.create(cell, 'bl2_n[6]'),
            'bl2_n[7]': Net.create(cell, 'bl2_n[7]'),
            'bl2_n[8]': Net.create(cell, 'bl2_n[8]'),
            'bl2_n[9]': Net.create(cell, 'bl2_n[9]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl1[0]': Net.create(cell, 'wl1[0]'),
            'wl1[100]': Net.create(cell, 'wl1[100]'),
            'wl1[101]': Net.create(cell, 'wl1[101]'),
            'wl1[102]': Net.create(cell, 'wl1[102]'),
            'wl1[103]': Net.create(cell, 'wl1[103]'),
            'wl1[104]': Net.create(cell, 'wl1[104]'),
            'wl1[105]': Net.create(cell, 'wl1[105]'),
            'wl1[106]': Net.create(cell, 'wl1[106]'),
            'wl1[107]': Net.create(cell, 'wl1[107]'),
            'wl1[108]': Net.create(cell, 'wl1[108]'),
            'wl1[109]': Net.create(cell, 'wl1[109]'),
            'wl1[10]': Net.create(cell, 'wl1[10]'),
            'wl1[110]': Net.create(cell, 'wl1[110]'),
            'wl1[111]': Net.create(cell, 'wl1[111]'),
            'wl1[112]': Net.create(cell, 'wl1[112]'),
            'wl1[113]': Net.create(cell, 'wl1[113]'),
            'wl1[114]': Net.create(cell, 'wl1[114]'),
            'wl1[115]': Net.create(cell, 'wl1[115]'),
            'wl1[116]': Net.create(cell, 'wl1[116]'),
            'wl1[117]': Net.create(cell, 'wl1[117]'),
            'wl1[118]': Net.create(cell, 'wl1[118]'),
            'wl1[119]': Net.create(cell, 'wl1[119]'),
            'wl1[11]': Net.create(cell, 'wl1[11]'),
            'wl1[120]': Net.create(cell, 'wl1[120]'),
            'wl1[121]': Net.create(cell, 'wl1[121]'),
            'wl1[122]': Net.create(cell, 'wl1[122]'),
            'wl1[123]': Net.create(cell, 'wl1[123]'),
            'wl1[124]': Net.create(cell, 'wl1[124]'),
            'wl1[125]': Net.create(cell, 'wl1[125]'),
            'wl1[126]': Net.create(cell, 'wl1[126]'),
            'wl1[127]': Net.create(cell, 'wl1[127]'),
            'wl1[12]': Net.create(cell, 'wl1[12]'),
            'wl1[13]': Net.create(cell, 'wl1[13]'),
            'wl1[14]': Net.create(cell, 'wl1[14]'),
            'wl1[15]': Net.create(cell, 'wl1[15]'),
            'wl1[16]': Net.create(cell, 'wl1[16]'),
            'wl1[17]': Net.create(cell, 'wl1[17]'),
            'wl1[18]': Net.create(cell, 'wl1[18]'),
            'wl1[19]': Net.create(cell, 'wl1[19]'),
            'wl1[1]': Net.create(cell, 'wl1[1]'),
            'wl1[20]': Net.create(cell, 'wl1[20]'),
            'wl1[21]': Net.create(cell, 'wl1[21]'),
            'wl1[22]': Net.create(cell, 'wl1[22]'),
            'wl1[23]': Net.create(cell, 'wl1[23]'),
            'wl1[24]': Net.create(cell, 'wl1[24]'),
            'wl1[25]': Net.create(cell, 'wl1[25]'),
            'wl1[26]': Net.create(cell, 'wl1[26]'),
            'wl1[27]': Net.create(cell, 'wl1[27]'),
            'wl1[28]': Net.create(cell, 'wl1[28]'),
            'wl1[29]': Net.create(cell, 'wl1[29]'),
            'wl1[2]': Net.create(cell, 'wl1[2]'),
            'wl1[30]': Net.create(cell, 'wl1[30]'),
            'wl1[31]': Net.create(cell, 'wl1[31]'),
            'wl1[32]': Net.create(cell, 'wl1[32]'),
            'wl1[33]': Net.create(cell, 'wl1[33]'),
            'wl1[34]': Net.create(cell, 'wl1[34]'),
            'wl1[35]': Net.create(cell, 'wl1[35]'),
            'wl1[36]': Net.create(cell, 'wl1[36]'),
            'wl1[37]': Net.create(cell, 'wl1[37]'),
            'wl1[38]': Net.create(cell, 'wl1[38]'),
            'wl1[39]': Net.create(cell, 'wl1[39]'),
            'wl1[3]': Net.create(cell, 'wl1[3]'),
            'wl1[40]': Net.create(cell, 'wl1[40]'),
            'wl1[41]': Net.create(cell, 'wl1[41]'),
            'wl1[42]': Net.create(cell, 'wl1[42]'),
            'wl1[43]': Net.create(cell, 'wl1[43]'),
            'wl1[44]': Net.create(cell, 'wl1[44]'),
            'wl1[45]': Net.create(cell, 'wl1[45]'),
            'wl1[46]': Net.create(cell, 'wl1[46]'),
            'wl1[47]': Net.create(cell, 'wl1[47]'),
            'wl1[48]': Net.create(cell, 'wl1[48]'),
            'wl1[49]': Net.create(cell, 'wl1[49]'),
            'wl1[4]': Net.create(cell, 'wl1[4]'),
            'wl1[50]': Net.create(cell, 'wl1[50]'),
            'wl1[51]': Net.create(cell, 'wl1[51]'),
            'wl1[52]': Net.create(cell, 'wl1[52]'),
            'wl1[53]': Net.create(cell, 'wl1[53]'),
            'wl1[54]': Net.create(cell, 'wl1[54]'),
            'wl1[55]': Net.create(cell, 'wl1[55]'),
            'wl1[56]': Net.create(cell, 'wl1[56]'),
            'wl1[57]': Net.create(cell, 'wl1[57]'),
            'wl1[58]': Net.create(cell, 'wl1[58]'),
            'wl1[59]': Net.create(cell, 'wl1[59]'),
            'wl1[5]': Net.create(cell, 'wl1[5]'),
            'wl1[60]': Net.create(cell, 'wl1[60]'),
            'wl1[61]': Net.create(cell, 'wl1[61]'),
            'wl1[62]': Net.create(cell, 'wl1[62]'),
            'wl1[63]': Net.create(cell, 'wl1[63]'),
            'wl1[64]': Net.create(cell, 'wl1[64]'),
            'wl1[65]': Net.create(cell, 'wl1[65]'),
            'wl1[66]': Net.create(cell, 'wl1[66]'),
            'wl1[67]': Net.create(cell, 'wl1[67]'),
            'wl1[68]': Net.create(cell, 'wl1[68]'),
            'wl1[69]': Net.create(cell, 'wl1[69]'),
            'wl1[6]': Net.create(cell, 'wl1[6]'),
            'wl1[70]': Net.create(cell, 'wl1[70]'),
            'wl1[71]': Net.create(cell, 'wl1[71]'),
            'wl1[72]': Net.create(cell, 'wl1[72]'),
            'wl1[73]': Net.create(cell, 'wl1[73]'),
            'wl1[74]': Net.create(cell, 'wl1[74]'),
            'wl1[75]': Net.create(cell, 'wl1[75]'),
            'wl1[76]': Net.create(cell, 'wl1[76]'),
            'wl1[77]': Net.create(cell, 'wl1[77]'),
            'wl1[78]': Net.create(cell, 'wl1[78]'),
            'wl1[79]': Net.create(cell, 'wl1[79]'),
            'wl1[7]': Net.create(cell, 'wl1[7]'),
            'wl1[80]': Net.create(cell, 'wl1[80]'),
            'wl1[81]': Net.create(cell, 'wl1[81]'),
            'wl1[82]': Net.create(cell, 'wl1[82]'),
            'wl1[83]': Net.create(cell, 'wl1[83]'),
            'wl1[84]': Net.create(cell, 'wl1[84]'),
            'wl1[85]': Net.create(cell, 'wl1[85]'),
            'wl1[86]': Net.create(cell, 'wl1[86]'),
            'wl1[87]': Net.create(cell, 'wl1[87]'),
            'wl1[88]': Net.create(cell, 'wl1[88]'),
            'wl1[89]': Net.create(cell, 'wl1[89]'),
            'wl1[8]': Net.create(cell, 'wl1[8]'),
            'wl1[90]': Net.create(cell, 'wl1[90]'),
            'wl1[91]': Net.create(cell, 'wl1[91]'),
            'wl1[92]': Net.create(cell, 'wl1[92]'),
            'wl1[93]': Net.create(cell, 'wl1[93]'),
            'wl1[94]': Net.create(cell, 'wl1[94]'),
            'wl1[95]': Net.create(cell, 'wl1[95]'),
            'wl1[96]': Net.create(cell, 'wl1[96]'),
            'wl1[97]': Net.create(cell, 'wl1[97]'),
            'wl1[98]': Net.create(cell, 'wl1[98]'),
            'wl1[99]': Net.create(cell, 'wl1[99]'),
            'wl1[9]': Net.create(cell, 'wl1[9]'),
            'wl2[0]': Net.create(cell, 'wl2[0]'),
            'wl2[100]': Net.create(cell, 'wl2[100]'),
            'wl2[101]': Net.create(cell, 'wl2[101]'),
            'wl2[102]': Net.create(cell, 'wl2[102]'),
            'wl2[103]': Net.create(cell, 'wl2[103]'),
            'wl2[104]': Net.create(cell, 'wl2[104]'),
            'wl2[105]': Net.create(cell, 'wl2[105]'),
            'wl2[106]': Net.create(cell, 'wl2[106]'),
            'wl2[107]': Net.create(cell, 'wl2[107]'),
            'wl2[108]': Net.create(cell, 'wl2[108]'),
            'wl2[109]': Net.create(cell, 'wl2[109]'),
            'wl2[10]': Net.create(cell, 'wl2[10]'),
            'wl2[110]': Net.create(cell, 'wl2[110]'),
            'wl2[111]': Net.create(cell, 'wl2[111]'),
            'wl2[112]': Net.create(cell, 'wl2[112]'),
            'wl2[113]': Net.create(cell, 'wl2[113]'),
            'wl2[114]': Net.create(cell, 'wl2[114]'),
            'wl2[115]': Net.create(cell, 'wl2[115]'),
            'wl2[116]': Net.create(cell, 'wl2[116]'),
            'wl2[117]': Net.create(cell, 'wl2[117]'),
            'wl2[118]': Net.create(cell, 'wl2[118]'),
            'wl2[119]': Net.create(cell, 'wl2[119]'),
            'wl2[11]': Net.create(cell, 'wl2[11]'),
            'wl2[120]': Net.create(cell, 'wl2[120]'),
            'wl2[121]': Net.create(cell, 'wl2[121]'),
            'wl2[122]': Net.create(cell, 'wl2[122]'),
            'wl2[123]': Net.create(cell, 'wl2[123]'),
            'wl2[124]': Net.create(cell, 'wl2[124]'),
            'wl2[125]': Net.create(cell, 'wl2[125]'),
            'wl2[126]': Net.create(cell, 'wl2[126]'),
            'wl2[127]': Net.create(cell, 'wl2[127]'),
            'wl2[12]': Net.create(cell, 'wl2[12]'),
            'wl2[13]': Net.create(cell, 'wl2[13]'),
            'wl2[14]': Net.create(cell, 'wl2[14]'),
            'wl2[15]': Net.create(cell, 'wl2[15]'),
            'wl2[16]': Net.create(cell, 'wl2[16]'),
            'wl2[17]': Net.create(cell, 'wl2[17]'),
            'wl2[18]': Net.create(cell, 'wl2[18]'),
            'wl2[19]': Net.create(cell, 'wl2[19]'),
            'wl2[1]': Net.create(cell, 'wl2[1]'),
            'wl2[20]': Net.create(cell, 'wl2[20]'),
            'wl2[21]': Net.create(cell, 'wl2[21]'),
            'wl2[22]': Net.create(cell, 'wl2[22]'),
            'wl2[23]': Net.create(cell, 'wl2[23]'),
            'wl2[24]': Net.create(cell, 'wl2[24]'),
            'wl2[25]': Net.create(cell, 'wl2[25]'),
            'wl2[26]': Net.create(cell, 'wl2[26]'),
            'wl2[27]': Net.create(cell, 'wl2[27]'),
            'wl2[28]': Net.create(cell, 'wl2[28]'),
            'wl2[29]': Net.create(cell, 'wl2[29]'),
            'wl2[2]': Net.create(cell, 'wl2[2]'),
            'wl2[30]': Net.create(cell, 'wl2[30]'),
            'wl2[31]': Net.create(cell, 'wl2[31]'),
            'wl2[32]': Net.create(cell, 'wl2[32]'),
            'wl2[33]': Net.create(cell, 'wl2[33]'),
            'wl2[34]': Net.create(cell, 'wl2[34]'),
            'wl2[35]': Net.create(cell, 'wl2[35]'),
            'wl2[36]': Net.create(cell, 'wl2[36]'),
            'wl2[37]': Net.create(cell, 'wl2[37]'),
            'wl2[38]': Net.create(cell, 'wl2[38]'),
            'wl2[39]': Net.create(cell, 'wl2[39]'),
            'wl2[3]': Net.create(cell, 'wl2[3]'),
            'wl2[40]': Net.create(cell, 'wl2[40]'),
            'wl2[41]': Net.create(cell, 'wl2[41]'),
            'wl2[42]': Net.create(cell, 'wl2[42]'),
            'wl2[43]': Net.create(cell, 'wl2[43]'),
            'wl2[44]': Net.create(cell, 'wl2[44]'),
            'wl2[45]': Net.create(cell, 'wl2[45]'),
            'wl2[46]': Net.create(cell, 'wl2[46]'),
            'wl2[47]': Net.create(cell, 'wl2[47]'),
            'wl2[48]': Net.create(cell, 'wl2[48]'),
            'wl2[49]': Net.create(cell, 'wl2[49]'),
            'wl2[4]': Net.create(cell, 'wl2[4]'),
            'wl2[50]': Net.create(cell, 'wl2[50]'),
            'wl2[51]': Net.create(cell, 'wl2[51]'),
            'wl2[52]': Net.create(cell, 'wl2[52]'),
            'wl2[53]': Net.create(cell, 'wl2[53]'),
            'wl2[54]': Net.create(cell, 'wl2[54]'),
            'wl2[55]': Net.create(cell, 'wl2[55]'),
            'wl2[56]': Net.create(cell, 'wl2[56]'),
            'wl2[57]': Net.create(cell, 'wl2[57]'),
            'wl2[58]': Net.create(cell, 'wl2[58]'),
            'wl2[59]': Net.create(cell, 'wl2[59]'),
            'wl2[5]': Net.create(cell, 'wl2[5]'),
            'wl2[60]': Net.create(cell, 'wl2[60]'),
            'wl2[61]': Net.create(cell, 'wl2[61]'),
            'wl2[62]': Net.create(cell, 'wl2[62]'),
            'wl2[63]': Net.create(cell, 'wl2[63]'),
            'wl2[64]': Net.create(cell, 'wl2[64]'),
            'wl2[65]': Net.create(cell, 'wl2[65]'),
            'wl2[66]': Net.create(cell, 'wl2[66]'),
            'wl2[67]': Net.create(cell, 'wl2[67]'),
            'wl2[68]': Net.create(cell, 'wl2[68]'),
            'wl2[69]': Net.create(cell, 'wl2[69]'),
            'wl2[6]': Net.create(cell, 'wl2[6]'),
            'wl2[70]': Net.create(cell, 'wl2[70]'),
            'wl2[71]': Net.create(cell, 'wl2[71]'),
            'wl2[72]': Net.create(cell, 'wl2[72]'),
            'wl2[73]': Net.create(cell, 'wl2[73]'),
            'wl2[74]': Net.create(cell, 'wl2[74]'),
            'wl2[75]': Net.create(cell, 'wl2[75]'),
            'wl2[76]': Net.create(cell, 'wl2[76]'),
            'wl2[77]': Net.create(cell, 'wl2[77]'),
            'wl2[78]': Net.create(cell, 'wl2[78]'),
            'wl2[79]': Net.create(cell, 'wl2[79]'),
            'wl2[7]': Net.create(cell, 'wl2[7]'),
            'wl2[80]': Net.create(cell, 'wl2[80]'),
            'wl2[81]': Net.create(cell, 'wl2[81]'),
            'wl2[82]': Net.create(cell, 'wl2[82]'),
            'wl2[83]': Net.create(cell, 'wl2[83]'),
            'wl2[84]': Net.create(cell, 'wl2[84]'),
            'wl2[85]': Net.create(cell, 'wl2[85]'),
            'wl2[86]': Net.create(cell, 'wl2[86]'),
            'wl2[87]': Net.create(cell, 'wl2[87]'),
            'wl2[88]': Net.create(cell, 'wl2[88]'),
            'wl2[89]': Net.create(cell, 'wl2[89]'),
            'wl2[8]': Net.create(cell, 'wl2[8]'),
            'wl2[90]': Net.create(cell, 'wl2[90]'),
            'wl2[91]': Net.create(cell, 'wl2[91]'),
            'wl2[92]': Net.create(cell, 'wl2[92]'),
            'wl2[93]': Net.create(cell, 'wl2[93]'),
            'wl2[94]': Net.create(cell, 'wl2[94]'),
            'wl2[95]': Net.create(cell, 'wl2[95]'),
            'wl2[96]': Net.create(cell, 'wl2[96]'),
            'wl2[97]': Net.create(cell, 'wl2[97]'),
            'wl2[98]': Net.create(cell, 'wl2[98]'),
            'wl2[99]': Net.create(cell, 'wl2[99]'),
            'wl2[9]': Net.create(cell, 'wl2[9]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,171.04),(0.0,171.62),(107.2,171.62),(107.2,171.04),(0.0,171.04)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,17.59),(0.0,18.17),(107.2,18.17),(107.2,17.59),(0.0,17.59)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,50.14),(0.0,50.72),(107.2,50.72),(107.2,50.14),(0.0,50.14)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,273.34),(0.0,273.92),(107.2,273.92),(107.2,273.34),(0.0,273.34)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,8.29),(0.0,8.87),(107.2,8.87),(107.2,8.29),(0.0,8.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,208.24),(0.0,208.82),(107.2,208.82),(107.2,208.24),(0.0,208.24)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,264.04),(0.0,264.62),(107.2,264.62),(107.2,264.04),(0.0,264.04)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,87.34),(0.0,87.92),(107.2,87.92),(107.2,87.34),(0.0,87.34)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,143.14),(0.0,143.72),(107.2,143.72),(107.2,143.14),(0.0,143.14)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,101.29),(0.0,101.87),(107.2,101.87),(107.2,101.29),(0.0,101.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,184.99),(0.0,185.57),(107.2,185.57),(107.2,184.99),(0.0,184.99)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,59.44),(0.0,60.02),(107.2,60.02),(107.2,59.44),(0.0,59.44)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,91.99),(0.0,92.57),(107.2,92.57),(107.2,91.99),(0.0,91.99)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,138.49),(0.0,139.07),(107.2,139.07),(107.2,138.49),(0.0,138.49)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,212.89),(0.0,213.47),(107.2,213.47),(107.2,212.89),(0.0,212.89)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,189.64),(0.0,190.22),(107.2,190.22),(107.2,189.64),(0.0,189.64)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,157.09),(0.0,157.67),(107.2,157.67),(107.2,157.09),(0.0,157.09)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,82.69),(0.0,83.27),(107.2,83.27),(107.2,82.69),(0.0,82.69)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,31.54),(0.0,32.12),(107.2,32.12),(107.2,31.54),(0.0,31.54)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,287.29),(0.0,287.87),(107.2,287.87),(107.2,287.29),(0.0,287.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,147.79),(0.0,148.37),(107.2,148.37),(107.2,147.79),(0.0,147.79)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,180.34),(0.0,180.92),(107.2,180.92),(107.2,180.34),(0.0,180.34)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,40.84),(0.0,41.42),(107.2,41.42),(107.2,40.84),(0.0,40.84)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,217.54),(0.0,218.12),(107.2,218.12),(107.2,217.54),(0.0,217.54)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,3.64),(0.0,4.22),(107.2,4.22),(107.2,3.64),(0.0,3.64)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,240.79),(0.0,241.37),(107.2,241.37),(107.2,240.79),(0.0,240.79)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,245.44),(0.0,246.02),(107.2,246.02),(107.2,245.44),(0.0,245.44)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,277.99),(0.0,278.57),(107.2,278.57),(107.2,277.99),(0.0,277.99)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,291.94),(0.0,292.52),(107.2,292.52),(107.2,291.94),(0.0,291.94)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,296.59),(0.0,297.17),(107.2,297.17),(107.2,296.59),(0.0,296.59)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,45.49),(0.0,46.07),(107.2,46.07),(107.2,45.49),(0.0,45.49)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,236.14),(0.0,236.72),(107.2,236.72),(107.2,236.14),(0.0,236.14)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,22.24),(0.0,22.82),(107.2,22.82),(107.2,22.24),(0.0,22.24)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,78.04),(0.0,78.62),(107.2,78.62),(107.2,78.04),(0.0,78.04)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,124.54),(0.0,125.12),(107.2,125.12),(107.2,124.54),(0.0,124.54)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,226.84),(0.0,227.42),(107.2,227.42),(107.2,226.84),(0.0,226.84)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,96.64),(0.0,97.22),(107.2,97.22),(107.2,96.64),(0.0,96.64)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,152.44),(0.0,153.02),(107.2,153.02),(107.2,152.44),(0.0,152.44)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,198.94),(0.0,199.52),(107.2,199.52),(107.2,198.94),(0.0,198.94)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,203.59),(0.0,204.17),(107.2,204.17),(107.2,203.59),(0.0,203.59)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,254.74),(0.0,255.32),(107.2,255.32),(107.2,254.74),(0.0,254.74)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,68.74),(0.0,69.32),(107.2,69.32),(107.2,68.74),(0.0,68.74)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,26.89),(0.0,27.47),(107.2,27.47),(107.2,26.89),(0.0,26.89)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,119.89),(0.0,120.47),(107.2,120.47),(107.2,119.89),(0.0,119.89)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,115.24),(0.0,115.82),(107.2,115.82),(107.2,115.24),(0.0,115.24)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,259.39),(0.0,259.97),(107.2,259.97),(107.2,259.39),(0.0,259.39)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,282.64),(0.0,283.22),(107.2,283.22),(107.2,282.64),(0.0,282.64)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,161.74),(0.0,162.32),(107.2,162.32),(107.2,161.74),(0.0,161.74)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,194.29),(0.0,194.87),(107.2,194.87),(107.2,194.29),(0.0,194.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,129.19),(0.0,129.77),(107.2,129.77),(107.2,129.19),(0.0,129.19)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,64.09),(0.0,64.67),(107.2,64.67),(107.2,64.09),(0.0,64.09)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,12.94),(0.0,13.52),(107.2,13.52),(107.2,12.94),(0.0,12.94)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,166.39),(0.0,166.97),(107.2,166.97),(107.2,166.39),(0.0,166.39)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,175.69),(0.0,176.27),(107.2,176.27),(107.2,175.69),(0.0,175.69)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,222.19),(0.0,222.77),(107.2,222.77),(107.2,222.19),(0.0,222.19)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,268.69),(0.0,269.27),(107.2,269.27),(107.2,268.69),(0.0,268.69)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,105.94),(0.0,106.52),(107.2,106.52),(107.2,105.94),(0.0,105.94)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,36.19),(0.0,36.77),(107.2,36.77),(107.2,36.19),(0.0,36.19)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,54.79),(0.0,55.37),(107.2,55.37),(107.2,54.79),(0.0,54.79)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,110.59),(0.0,111.17),(107.2,111.17),(107.2,110.59),(0.0,110.59)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,133.84),(0.0,134.42),(107.2,134.42),(107.2,133.84),(0.0,133.84)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,73.39),(0.0,73.97),(107.2,73.97),(107.2,73.39),(0.0,73.39)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,250.09),(0.0,250.67),(107.2,250.67),(107.2,250.09),(0.0,250.09)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,231.49),(0.0,232.07),(107.2,232.07),(107.2,231.49),(0.0,231.49)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(171.33), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(171.33), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(17.88), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(17.88), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.43), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.43), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(273.63), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(273.63), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.58), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.58), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(208.53), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(208.53), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(264.33), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(264.33), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(87.63), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(87.63), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(143.43), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(143.43), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(101.58), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(101.58), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(185.28), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(185.28), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(59.73), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(59.73), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(92.28), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(92.28), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(138.78), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(138.78), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(213.18), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(213.18), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(189.93), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(189.93), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(157.38), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(157.38), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(82.98), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(82.98), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(31.83), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(31.83), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(287.58), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(287.58), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(148.08), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(148.08), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(180.63), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(180.63), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(41.13), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(41.13), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(217.83), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(217.83), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.93), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.93), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(241.08), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(241.08), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(245.73), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(245.73), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(278.28), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(278.28), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(292.23), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(292.23), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(296.88), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(296.88), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(45.78), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(45.78), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(236.43), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(236.43), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(22.53), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(22.53), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(78.33), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(78.33), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(124.83), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(124.83), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(227.13), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(227.13), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(96.93), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(96.93), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(152.73), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(152.73), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(199.23), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(199.23), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(203.88), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(203.88), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(255.03), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(255.03), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(69.03), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(69.03), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(27.18), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(27.18), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(120.18), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(120.18), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(115.53), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(115.53), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(259.68), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(259.68), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(282.93), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(282.93), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(162.03), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(162.03), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(194.58), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(194.58), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(129.48), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(129.48), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(64.38), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(64.38), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.23), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.23), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(166.68), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(166.68), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(175.98), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(175.98), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(222.48), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(222.48), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(268.98), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(268.98), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(106.23), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(106.23), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(36.48), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(36.48), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(55.08), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(55.08), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(110.88), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(110.88), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(134.13), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(134.13), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(73.68), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(73.68), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(250.38), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(250.38), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(231.78), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(231.78), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,139.21),(0.0,139.79),(107.2,139.79),(107.2,139.21),(0.0,139.21)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,13.66),(0.0,14.24),(107.2,14.24),(107.2,13.66),(0.0,13.66)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,18.31),(0.0,18.89),(107.2,18.89),(107.2,18.31),(0.0,18.31)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,274.06),(0.0,274.64),(107.2,274.64),(107.2,274.06),(0.0,274.06)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,269.41),(0.0,269.99),(107.2,269.99),(107.2,269.41),(0.0,269.41)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,176.41),(0.0,176.99),(107.2,176.99),(107.2,176.41),(0.0,176.41)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,92.71),(0.0,93.29),(107.2,93.29),(107.2,92.71),(0.0,92.71)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,232.21),(0.0,232.79),(107.2,232.79),(107.2,232.21),(0.0,232.21)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,64.81),(0.0,65.39),(107.2,65.39),(107.2,64.81),(0.0,64.81)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,120.61),(0.0,121.19),(107.2,121.19),(107.2,120.61),(0.0,120.61)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,27.61),(0.0,28.19),(107.2,28.19),(107.2,27.61),(0.0,27.61)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,222.91),(0.0,223.49),(107.2,223.49),(107.2,222.91),(0.0,222.91)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,36.91),(0.0,37.49),(107.2,37.49),(107.2,36.91),(0.0,36.91)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,148.51),(0.0,149.09),(107.2,149.09),(107.2,148.51),(0.0,148.51)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,250.81),(0.0,251.39),(107.2,251.39),(107.2,250.81),(0.0,250.81)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,83.41),(0.0,83.99),(107.2,83.99),(107.2,83.41),(0.0,83.41)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,292.66),(0.0,293.24),(107.2,293.24),(107.2,292.66),(0.0,292.66)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,157.81),(0.0,158.39),(107.2,158.39),(107.2,157.81),(0.0,157.81)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,60.16),(0.0,60.74),(107.2,60.74),(107.2,60.16),(0.0,60.16)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,227.56),(0.0,228.14),(107.2,228.14),(107.2,227.56),(0.0,227.56)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,125.26),(0.0,125.84),(107.2,125.84),(107.2,125.26),(0.0,125.26)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,32.26),(0.0,32.84),(107.2,32.84),(107.2,32.26),(0.0,32.26)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,50.86),(0.0,51.44),(107.2,51.44),(107.2,50.86),(0.0,50.86)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,88.06),(0.0,88.64),(107.2,88.64),(107.2,88.06),(0.0,88.06)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,143.86),(0.0,144.44),(107.2,144.44),(107.2,143.86),(0.0,143.86)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,190.36),(0.0,190.94),(107.2,190.94),(107.2,190.36),(0.0,190.36)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,288.01),(0.0,288.59),(107.2,288.59),(107.2,288.01),(0.0,288.01)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,185.71),(0.0,186.29),(107.2,186.29),(107.2,185.71),(0.0,185.71)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,4.36),(0.0,4.94),(107.2,4.94),(107.2,4.36),(0.0,4.36)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,208.96),(0.0,209.54),(107.2,209.54),(107.2,208.96),(0.0,208.96)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,213.61),(0.0,214.19),(107.2,214.19),(107.2,213.61),(0.0,213.61)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,115.96),(0.0,116.54),(107.2,116.54),(107.2,115.96),(0.0,115.96)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,153.16),(0.0,153.74),(107.2,153.74),(107.2,153.16),(0.0,153.16)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,181.06),(0.0,181.64),(107.2,181.64),(107.2,181.06),(0.0,181.06)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,218.26),(0.0,218.84),(107.2,218.84),(107.2,218.26),(0.0,218.26)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,260.11),(0.0,260.69),(107.2,260.69),(107.2,260.11),(0.0,260.11)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,264.76),(0.0,265.34),(107.2,265.34),(107.2,264.76),(0.0,264.76)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,283.36),(0.0,283.94),(107.2,283.94),(107.2,283.36),(0.0,283.36)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,241.51),(0.0,242.09),(107.2,242.09),(107.2,241.51),(0.0,241.51)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,204.31),(0.0,204.89),(107.2,204.89),(107.2,204.31),(0.0,204.31)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,46.21),(0.0,46.79),(107.2,46.79),(107.2,46.21),(0.0,46.21)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,162.46),(0.0,163.04),(107.2,163.04),(107.2,162.46),(0.0,162.46)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,246.16),(0.0,246.74),(107.2,246.74),(107.2,246.16),(0.0,246.16)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,111.31),(0.0,111.89),(107.2,111.89),(107.2,111.31),(0.0,111.31)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,134.56),(0.0,135.14),(107.2,135.14),(107.2,134.56),(0.0,134.56)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,171.76),(0.0,172.34),(107.2,172.34),(107.2,171.76),(0.0,171.76)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,297.31),(0.0,297.89),(107.2,297.89),(107.2,297.31),(0.0,297.31)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,106.66),(0.0,107.24),(107.2,107.24),(107.2,106.66),(0.0,106.66)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,55.51),(0.0,56.09),(107.2,56.09),(107.2,55.51),(0.0,55.51)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,195.01),(0.0,195.59),(107.2,195.59),(107.2,195.01),(0.0,195.01)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,129.91),(0.0,130.49),(107.2,130.49),(107.2,129.91),(0.0,129.91)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,97.36),(0.0,97.94),(107.2,97.94),(107.2,97.36),(0.0,97.36)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.29),(0.0,0.29),(107.2,0.29),(107.2,-0.29),(0.0,-0.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,102.01),(0.0,102.59),(107.2,102.59),(107.2,102.01),(0.0,102.01)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,236.86),(0.0,237.44),(107.2,237.44),(107.2,236.86),(0.0,236.86)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,255.46),(0.0,256.04),(107.2,256.04),(107.2,255.46),(0.0,255.46)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,167.11),(0.0,167.69),(107.2,167.69),(107.2,167.11),(0.0,167.11)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,41.56),(0.0,42.14),(107.2,42.14),(107.2,41.56),(0.0,41.56)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,69.46),(0.0,70.04),(107.2,70.04),(107.2,69.46),(0.0,69.46)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,22.96),(0.0,23.54),(107.2,23.54),(107.2,22.96),(0.0,22.96)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,74.11),(0.0,74.69),(107.2,74.69),(107.2,74.11),(0.0,74.11)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,78.76),(0.0,79.34),(107.2,79.34),(107.2,78.76),(0.0,78.76)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,9.01),(0.0,9.59),(107.2,9.59),(107.2,9.01),(0.0,9.01)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,278.71),(0.0,279.29),(107.2,279.29),(107.2,278.71),(0.0,278.71)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,199.66),(0.0,200.24),(107.2,200.24),(107.2,199.66),(0.0,199.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(139.5), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(139.5), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.95), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.95), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.6), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.6), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(274.35), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(274.35), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(269.7), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(269.7), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(176.7), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(176.7), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(93.0), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(93.0), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(232.5), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(232.5), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(65.1), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(65.1), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(120.9), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(120.9), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(27.9), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(27.9), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(223.2), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(223.2), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(37.2), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(37.2), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(148.8), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(148.8), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(251.1), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(251.1), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(83.7), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(83.7), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(292.95), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(292.95), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(158.1), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(158.1), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(60.45), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(60.45), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(227.85), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(227.85), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(125.55), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(125.55), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(32.55), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(32.55), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.15), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.15), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(88.35), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(88.35), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(144.15), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(144.15), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(190.65), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(190.65), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(288.3), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(288.3), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(186.0), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(186.0), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(4.65), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(4.65), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(209.25), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(209.25), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(213.9), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(213.9), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(116.25), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(116.25), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(153.45), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(153.45), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(181.35), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(181.35), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(218.55), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(218.55), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(260.4), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(260.4), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(265.05), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(265.05), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(283.65), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(283.65), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(241.8), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(241.8), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(204.6), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(204.6), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(46.5), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(46.5), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(162.75), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(162.75), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(246.45), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(246.45), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(111.6), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(111.6), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(134.85), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(134.85), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(172.05), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(172.05), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(297.6), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(297.6), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(106.95), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(106.95), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(55.8), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(55.8), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(195.3), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(195.3), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(130.2), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(130.2), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(97.65), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(97.65), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(102.3), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(102.3), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(237.15), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(237.15), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(255.75), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(255.75), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(167.4), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(167.4), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(41.85), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(41.85), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(69.75), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(69.75), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(23.25), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(23.25), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(74.4), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(74.4), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(79.05), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(79.05), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.3), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.3), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(279.0), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(279.0), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(199.95), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(199.95), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.88),(0.0,2.14),(107.2,2.14),(107.2,1.88),(0.0,1.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.38),(0.0,1.64),(107.2,1.64),(107.2,1.38),(0.0,1.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,2.51),(0.0,2.77),(107.2,2.77),(107.2,2.51),(0.0,2.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.01),(0.0,3.27),(107.2,3.27),(107.2,3.01),(0.0,3.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.53),(0.0,6.79),(107.2,6.79),(107.2,6.53),(0.0,6.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.03),(0.0,6.29),(107.2,6.29),(107.2,6.03),(0.0,6.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.16),(0.0,7.42),(107.2,7.42),(107.2,7.16),(0.0,7.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.66),(0.0,7.92),(107.2,7.92),(107.2,7.66),(0.0,7.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,11.18),(0.0,11.44),(107.2,11.44),(107.2,11.18),(0.0,11.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,10.68),(0.0,10.94),(107.2,10.94),(107.2,10.68),(0.0,10.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,11.81),(0.0,12.07),(107.2,12.07),(107.2,11.81),(0.0,11.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,12.31),(0.0,12.57),(107.2,12.57),(107.2,12.31),(0.0,12.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,15.83),(0.0,16.09),(107.2,16.09),(107.2,15.83),(0.0,15.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,15.33),(0.0,15.59),(107.2,15.59),(107.2,15.33),(0.0,15.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,16.46),(0.0,16.72),(107.2,16.72),(107.2,16.46),(0.0,16.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,16.96),(0.0,17.22),(107.2,17.22),(107.2,16.96),(0.0,16.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(17.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(17.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,20.48),(0.0,20.74),(107.2,20.74),(107.2,20.48),(0.0,20.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(20.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(20.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,19.98),(0.0,20.24),(107.2,20.24),(107.2,19.98),(0.0,19.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(20.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(20.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,21.11),(0.0,21.37),(107.2,21.37),(107.2,21.11),(0.0,21.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,21.61),(0.0,21.87),(107.2,21.87),(107.2,21.61),(0.0,21.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,25.13),(0.0,25.39),(107.2,25.39),(107.2,25.13),(0.0,25.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,24.63),(0.0,24.89),(107.2,24.89),(107.2,24.63),(0.0,24.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(24.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(24.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,25.76),(0.0,26.02),(107.2,26.02),(107.2,25.76),(0.0,25.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,26.26),(0.0,26.52),(107.2,26.52),(107.2,26.26),(0.0,26.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(26.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(26.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,29.78),(0.0,30.04),(107.2,30.04),(107.2,29.78),(0.0,29.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,29.28),(0.0,29.54),(107.2,29.54),(107.2,29.28),(0.0,29.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,30.41),(0.0,30.67),(107.2,30.67),(107.2,30.41),(0.0,30.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(30.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(30.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,30.91),(0.0,31.17),(107.2,31.17),(107.2,30.91),(0.0,30.91)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(31.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(31.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,34.43),(0.0,34.69),(107.2,34.69),(107.2,34.43),(0.0,34.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,33.93),(0.0,34.19),(107.2,34.19),(107.2,33.93),(0.0,33.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,35.06),(0.0,35.32),(107.2,35.32),(107.2,35.06),(0.0,35.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,35.56),(0.0,35.82),(107.2,35.82),(107.2,35.56),(0.0,35.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[16]']
        createRL(
            tech, net, 'm2',
            ((0.0,39.08),(0.0,39.34),(107.2,39.34),(107.2,39.08),(0.0,39.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(39.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(39.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[16]']
        createRL(
            tech, net, 'm2',
            ((0.0,38.58),(0.0,38.84),(107.2,38.84),(107.2,38.58),(0.0,38.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(38.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(38.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[17]']
        createRL(
            tech, net, 'm2',
            ((0.0,39.71),(0.0,39.97),(107.2,39.97),(107.2,39.71),(0.0,39.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(39.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(39.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[17]']
        createRL(
            tech, net, 'm2',
            ((0.0,40.21),(0.0,40.47),(107.2,40.47),(107.2,40.21),(0.0,40.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(40.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(40.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[18]']
        createRL(
            tech, net, 'm2',
            ((0.0,43.73),(0.0,43.99),(107.2,43.99),(107.2,43.73),(0.0,43.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(43.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(43.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[18]']
        createRL(
            tech, net, 'm2',
            ((0.0,43.23),(0.0,43.49),(107.2,43.49),(107.2,43.23),(0.0,43.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(43.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(43.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[19]']
        createRL(
            tech, net, 'm2',
            ((0.0,44.36),(0.0,44.62),(107.2,44.62),(107.2,44.36),(0.0,44.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(44.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(44.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[19]']
        createRL(
            tech, net, 'm2',
            ((0.0,44.86),(0.0,45.12),(107.2,45.12),(107.2,44.86),(0.0,44.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(44.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(44.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[20]']
        createRL(
            tech, net, 'm2',
            ((0.0,48.38),(0.0,48.64),(107.2,48.64),(107.2,48.38),(0.0,48.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[20]']
        createRL(
            tech, net, 'm2',
            ((0.0,47.88),(0.0,48.14),(107.2,48.14),(107.2,47.88),(0.0,47.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[21]']
        createRL(
            tech, net, 'm2',
            ((0.0,49.01),(0.0,49.27),(107.2,49.27),(107.2,49.01),(0.0,49.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(49.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(49.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[21]']
        createRL(
            tech, net, 'm2',
            ((0.0,49.51),(0.0,49.77),(107.2,49.77),(107.2,49.51),(0.0,49.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(49.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(49.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[22]']
        createRL(
            tech, net, 'm2',
            ((0.0,53.03),(0.0,53.29),(107.2,53.29),(107.2,53.03),(0.0,53.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(53.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(53.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[22]']
        createRL(
            tech, net, 'm2',
            ((0.0,52.53),(0.0,52.79),(107.2,52.79),(107.2,52.53),(0.0,52.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(52.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(52.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[23]']
        createRL(
            tech, net, 'm2',
            ((0.0,53.66),(0.0,53.92),(107.2,53.92),(107.2,53.66),(0.0,53.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(53.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(53.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[23]']
        createRL(
            tech, net, 'm2',
            ((0.0,54.16),(0.0,54.42),(107.2,54.42),(107.2,54.16),(0.0,54.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(54.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(54.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[24]']
        createRL(
            tech, net, 'm2',
            ((0.0,57.68),(0.0,57.94),(107.2,57.94),(107.2,57.68),(0.0,57.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(57.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(57.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[24]']
        createRL(
            tech, net, 'm2',
            ((0.0,57.18),(0.0,57.44),(107.2,57.44),(107.2,57.18),(0.0,57.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(57.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(57.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[25]']
        createRL(
            tech, net, 'm2',
            ((0.0,58.31),(0.0,58.57),(107.2,58.57),(107.2,58.31),(0.0,58.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(58.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(58.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[25]']
        createRL(
            tech, net, 'm2',
            ((0.0,58.81),(0.0,59.07),(107.2,59.07),(107.2,58.81),(0.0,58.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(58.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(58.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[26]']
        createRL(
            tech, net, 'm2',
            ((0.0,62.33),(0.0,62.59),(107.2,62.59),(107.2,62.33),(0.0,62.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(62.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(62.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[26]']
        createRL(
            tech, net, 'm2',
            ((0.0,61.83),(0.0,62.09),(107.2,62.09),(107.2,61.83),(0.0,61.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(61.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(61.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[27]']
        createRL(
            tech, net, 'm2',
            ((0.0,62.96),(0.0,63.22),(107.2,63.22),(107.2,62.96),(0.0,62.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[27]']
        createRL(
            tech, net, 'm2',
            ((0.0,63.46),(0.0,63.72),(107.2,63.72),(107.2,63.46),(0.0,63.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[28]']
        createRL(
            tech, net, 'm2',
            ((0.0,66.98),(0.0,67.24),(107.2,67.24),(107.2,66.98),(0.0,66.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[28]']
        createRL(
            tech, net, 'm2',
            ((0.0,66.48),(0.0,66.74),(107.2,66.74),(107.2,66.48),(0.0,66.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(66.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(66.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[29]']
        createRL(
            tech, net, 'm2',
            ((0.0,67.61),(0.0,67.87),(107.2,67.87),(107.2,67.61),(0.0,67.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[29]']
        createRL(
            tech, net, 'm2',
            ((0.0,68.11),(0.0,68.37),(107.2,68.37),(107.2,68.11),(0.0,68.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(68.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(68.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[30]']
        createRL(
            tech, net, 'm2',
            ((0.0,71.63),(0.0,71.89),(107.2,71.89),(107.2,71.63),(0.0,71.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(71.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(71.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[30]']
        createRL(
            tech, net, 'm2',
            ((0.0,71.13),(0.0,71.39),(107.2,71.39),(107.2,71.13),(0.0,71.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(71.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(71.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[31]']
        createRL(
            tech, net, 'm2',
            ((0.0,72.26),(0.0,72.52),(107.2,72.52),(107.2,72.26),(0.0,72.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[31]']
        createRL(
            tech, net, 'm2',
            ((0.0,72.76),(0.0,73.02),(107.2,73.02),(107.2,72.76),(0.0,72.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[32]']
        createRL(
            tech, net, 'm2',
            ((0.0,76.28),(0.0,76.54),(107.2,76.54),(107.2,76.28),(0.0,76.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(76.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(76.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[32]']
        createRL(
            tech, net, 'm2',
            ((0.0,75.78),(0.0,76.04),(107.2,76.04),(107.2,75.78),(0.0,75.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(75.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(75.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[33]']
        createRL(
            tech, net, 'm2',
            ((0.0,76.91),(0.0,77.17),(107.2,77.17),(107.2,76.91),(0.0,76.91)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(77.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(77.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[33]']
        createRL(
            tech, net, 'm2',
            ((0.0,77.41),(0.0,77.67),(107.2,77.67),(107.2,77.41),(0.0,77.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(77.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(77.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[34]']
        createRL(
            tech, net, 'm2',
            ((0.0,80.93),(0.0,81.19),(107.2,81.19),(107.2,80.93),(0.0,80.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(81.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(81.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[34]']
        createRL(
            tech, net, 'm2',
            ((0.0,80.43),(0.0,80.69),(107.2,80.69),(107.2,80.43),(0.0,80.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(80.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(80.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[35]']
        createRL(
            tech, net, 'm2',
            ((0.0,81.56),(0.0,81.82),(107.2,81.82),(107.2,81.56),(0.0,81.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(81.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(81.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[35]']
        createRL(
            tech, net, 'm2',
            ((0.0,82.06),(0.0,82.32),(107.2,82.32),(107.2,82.06),(0.0,82.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(82.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(82.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[36]']
        createRL(
            tech, net, 'm2',
            ((0.0,85.58),(0.0,85.84),(107.2,85.84),(107.2,85.58),(0.0,85.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(85.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(85.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[36]']
        createRL(
            tech, net, 'm2',
            ((0.0,85.08),(0.0,85.34),(107.2,85.34),(107.2,85.08),(0.0,85.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(85.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(85.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[37]']
        createRL(
            tech, net, 'm2',
            ((0.0,86.21),(0.0,86.47),(107.2,86.47),(107.2,86.21),(0.0,86.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(86.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(86.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[37]']
        createRL(
            tech, net, 'm2',
            ((0.0,86.71),(0.0,86.97),(107.2,86.97),(107.2,86.71),(0.0,86.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(86.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(86.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[38]']
        createRL(
            tech, net, 'm2',
            ((0.0,90.23),(0.0,90.49),(107.2,90.49),(107.2,90.23),(0.0,90.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[38]']
        createRL(
            tech, net, 'm2',
            ((0.0,89.73),(0.0,89.99),(107.2,89.99),(107.2,89.73),(0.0,89.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(89.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(89.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[39]']
        createRL(
            tech, net, 'm2',
            ((0.0,90.86),(0.0,91.12),(107.2,91.12),(107.2,90.86),(0.0,90.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[39]']
        createRL(
            tech, net, 'm2',
            ((0.0,91.36),(0.0,91.62),(107.2,91.62),(107.2,91.36),(0.0,91.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(91.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(91.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[40]']
        createRL(
            tech, net, 'm2',
            ((0.0,94.88),(0.0,95.14),(107.2,95.14),(107.2,94.88),(0.0,94.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(95.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(95.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[40]']
        createRL(
            tech, net, 'm2',
            ((0.0,94.38),(0.0,94.64),(107.2,94.64),(107.2,94.38),(0.0,94.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(94.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(94.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[41]']
        createRL(
            tech, net, 'm2',
            ((0.0,95.51),(0.0,95.77),(107.2,95.77),(107.2,95.51),(0.0,95.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(95.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(95.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[41]']
        createRL(
            tech, net, 'm2',
            ((0.0,96.01),(0.0,96.27),(107.2,96.27),(107.2,96.01),(0.0,96.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(96.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(96.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[42]']
        createRL(
            tech, net, 'm2',
            ((0.0,99.53),(0.0,99.79),(107.2,99.79),(107.2,99.53),(0.0,99.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(99.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(99.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[42]']
        createRL(
            tech, net, 'm2',
            ((0.0,99.03),(0.0,99.29),(107.2,99.29),(107.2,99.03),(0.0,99.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(99.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(99.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[43]']
        createRL(
            tech, net, 'm2',
            ((0.0,100.16),(0.0,100.42),(107.2,100.42),(107.2,100.16),(0.0,100.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(100.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(100.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[43]']
        createRL(
            tech, net, 'm2',
            ((0.0,100.66),(0.0,100.92),(107.2,100.92),(107.2,100.66),(0.0,100.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(100.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(100.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[44]']
        createRL(
            tech, net, 'm2',
            ((0.0,104.18),(0.0,104.44),(107.2,104.44),(107.2,104.18),(0.0,104.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(104.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(104.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[44]']
        createRL(
            tech, net, 'm2',
            ((0.0,103.68),(0.0,103.94),(107.2,103.94),(107.2,103.68),(0.0,103.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(103.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(103.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[45]']
        createRL(
            tech, net, 'm2',
            ((0.0,104.81),(0.0,105.07),(107.2,105.07),(107.2,104.81),(0.0,104.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(104.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(104.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[45]']
        createRL(
            tech, net, 'm2',
            ((0.0,105.31),(0.0,105.57),(107.2,105.57),(107.2,105.31),(0.0,105.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(105.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(105.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[46]']
        createRL(
            tech, net, 'm2',
            ((0.0,108.83),(0.0,109.09),(107.2,109.09),(107.2,108.83),(0.0,108.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(108.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(108.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[46]']
        createRL(
            tech, net, 'm2',
            ((0.0,108.33),(0.0,108.59),(107.2,108.59),(107.2,108.33),(0.0,108.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(108.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(108.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[47]']
        createRL(
            tech, net, 'm2',
            ((0.0,109.46),(0.0,109.72),(107.2,109.72),(107.2,109.46),(0.0,109.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(109.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(109.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[47]']
        createRL(
            tech, net, 'm2',
            ((0.0,109.96),(0.0,110.22),(107.2,110.22),(107.2,109.96),(0.0,109.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(110.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(110.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[48]']
        createRL(
            tech, net, 'm2',
            ((0.0,113.48),(0.0,113.74),(107.2,113.74),(107.2,113.48),(0.0,113.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(113.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(113.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[48]']
        createRL(
            tech, net, 'm2',
            ((0.0,112.98),(0.0,113.24),(107.2,113.24),(107.2,112.98),(0.0,112.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(113.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(113.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[49]']
        createRL(
            tech, net, 'm2',
            ((0.0,114.11),(0.0,114.37),(107.2,114.37),(107.2,114.11),(0.0,114.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(114.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(114.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[49]']
        createRL(
            tech, net, 'm2',
            ((0.0,114.61),(0.0,114.87),(107.2,114.87),(107.2,114.61),(0.0,114.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(114.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(114.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[50]']
        createRL(
            tech, net, 'm2',
            ((0.0,118.13),(0.0,118.39),(107.2,118.39),(107.2,118.13),(0.0,118.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(118.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(118.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[50]']
        createRL(
            tech, net, 'm2',
            ((0.0,117.63),(0.0,117.89),(107.2,117.89),(107.2,117.63),(0.0,117.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(117.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(117.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[51]']
        createRL(
            tech, net, 'm2',
            ((0.0,118.76),(0.0,119.02),(107.2,119.02),(107.2,118.76),(0.0,118.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(118.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(118.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[51]']
        createRL(
            tech, net, 'm2',
            ((0.0,119.26),(0.0,119.52),(107.2,119.52),(107.2,119.26),(0.0,119.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(119.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(119.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[52]']
        createRL(
            tech, net, 'm2',
            ((0.0,122.78),(0.0,123.04),(107.2,123.04),(107.2,122.78),(0.0,122.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(122.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(122.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[52]']
        createRL(
            tech, net, 'm2',
            ((0.0,122.28),(0.0,122.54),(107.2,122.54),(107.2,122.28),(0.0,122.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(122.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(122.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[53]']
        createRL(
            tech, net, 'm2',
            ((0.0,123.41),(0.0,123.67),(107.2,123.67),(107.2,123.41),(0.0,123.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(123.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(123.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[53]']
        createRL(
            tech, net, 'm2',
            ((0.0,123.91),(0.0,124.17),(107.2,124.17),(107.2,123.91),(0.0,123.91)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(124.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(124.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[54]']
        createRL(
            tech, net, 'm2',
            ((0.0,127.43),(0.0,127.69),(107.2,127.69),(107.2,127.43),(0.0,127.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(127.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(127.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[54]']
        createRL(
            tech, net, 'm2',
            ((0.0,126.93),(0.0,127.19),(107.2,127.19),(107.2,126.93),(0.0,126.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(127.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(127.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[55]']
        createRL(
            tech, net, 'm2',
            ((0.0,128.06),(0.0,128.32),(107.2,128.32),(107.2,128.06),(0.0,128.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(128.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(128.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[55]']
        createRL(
            tech, net, 'm2',
            ((0.0,128.56),(0.0,128.82),(107.2,128.82),(107.2,128.56),(0.0,128.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(128.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(128.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[56]']
        createRL(
            tech, net, 'm2',
            ((0.0,132.08),(0.0,132.34),(107.2,132.34),(107.2,132.08),(0.0,132.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(132.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(132.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[56]']
        createRL(
            tech, net, 'm2',
            ((0.0,131.58),(0.0,131.84),(107.2,131.84),(107.2,131.58),(0.0,131.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(131.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(131.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[57]']
        createRL(
            tech, net, 'm2',
            ((0.0,132.71),(0.0,132.97),(107.2,132.97),(107.2,132.71),(0.0,132.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(132.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(132.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[57]']
        createRL(
            tech, net, 'm2',
            ((0.0,133.21),(0.0,133.47),(107.2,133.47),(107.2,133.21),(0.0,133.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(133.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(133.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[58]']
        createRL(
            tech, net, 'm2',
            ((0.0,136.73),(0.0,136.99),(107.2,136.99),(107.2,136.73),(0.0,136.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(136.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(136.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[58]']
        createRL(
            tech, net, 'm2',
            ((0.0,136.23),(0.0,136.49),(107.2,136.49),(107.2,136.23),(0.0,136.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(136.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(136.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[59]']
        createRL(
            tech, net, 'm2',
            ((0.0,137.36),(0.0,137.62),(107.2,137.62),(107.2,137.36),(0.0,137.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(137.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(137.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[59]']
        createRL(
            tech, net, 'm2',
            ((0.0,137.86),(0.0,138.12),(107.2,138.12),(107.2,137.86),(0.0,137.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(137.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(137.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[60]']
        createRL(
            tech, net, 'm2',
            ((0.0,141.38),(0.0,141.64),(107.2,141.64),(107.2,141.38),(0.0,141.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(141.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(141.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[60]']
        createRL(
            tech, net, 'm2',
            ((0.0,140.88),(0.0,141.14),(107.2,141.14),(107.2,140.88),(0.0,140.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(141.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(141.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[61]']
        createRL(
            tech, net, 'm2',
            ((0.0,142.01),(0.0,142.27),(107.2,142.27),(107.2,142.01),(0.0,142.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(142.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(142.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[61]']
        createRL(
            tech, net, 'm2',
            ((0.0,142.51),(0.0,142.77),(107.2,142.77),(107.2,142.51),(0.0,142.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(142.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(142.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[62]']
        createRL(
            tech, net, 'm2',
            ((0.0,146.03),(0.0,146.29),(107.2,146.29),(107.2,146.03),(0.0,146.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(146.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(146.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[62]']
        createRL(
            tech, net, 'm2',
            ((0.0,145.53),(0.0,145.79),(107.2,145.79),(107.2,145.53),(0.0,145.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(145.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(145.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[63]']
        createRL(
            tech, net, 'm2',
            ((0.0,146.66),(0.0,146.92),(107.2,146.92),(107.2,146.66),(0.0,146.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(146.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(146.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[63]']
        createRL(
            tech, net, 'm2',
            ((0.0,147.16),(0.0,147.42),(107.2,147.42),(107.2,147.16),(0.0,147.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(147.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(147.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[64]']
        createRL(
            tech, net, 'm2',
            ((0.0,150.68),(0.0,150.94),(107.2,150.94),(107.2,150.68),(0.0,150.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(150.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(150.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[64]']
        createRL(
            tech, net, 'm2',
            ((0.0,150.18),(0.0,150.44),(107.2,150.44),(107.2,150.18),(0.0,150.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(150.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(150.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[65]']
        createRL(
            tech, net, 'm2',
            ((0.0,151.31),(0.0,151.57),(107.2,151.57),(107.2,151.31),(0.0,151.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(151.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(151.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[65]']
        createRL(
            tech, net, 'm2',
            ((0.0,151.81),(0.0,152.07),(107.2,152.07),(107.2,151.81),(0.0,151.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(151.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(151.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[66]']
        createRL(
            tech, net, 'm2',
            ((0.0,155.33),(0.0,155.59),(107.2,155.59),(107.2,155.33),(0.0,155.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(155.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(155.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[66]']
        createRL(
            tech, net, 'm2',
            ((0.0,154.83),(0.0,155.09),(107.2,155.09),(107.2,154.83),(0.0,154.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(154.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(154.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[67]']
        createRL(
            tech, net, 'm2',
            ((0.0,155.96),(0.0,156.22),(107.2,156.22),(107.2,155.96),(0.0,155.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(156.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(156.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[67]']
        createRL(
            tech, net, 'm2',
            ((0.0,156.46),(0.0,156.72),(107.2,156.72),(107.2,156.46),(0.0,156.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(156.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(156.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[68]']
        createRL(
            tech, net, 'm2',
            ((0.0,159.98),(0.0,160.24),(107.2,160.24),(107.2,159.98),(0.0,159.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(160.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(160.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[68]']
        createRL(
            tech, net, 'm2',
            ((0.0,159.48),(0.0,159.74),(107.2,159.74),(107.2,159.48),(0.0,159.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(159.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(159.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[69]']
        createRL(
            tech, net, 'm2',
            ((0.0,160.61),(0.0,160.87),(107.2,160.87),(107.2,160.61),(0.0,160.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(160.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(160.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[69]']
        createRL(
            tech, net, 'm2',
            ((0.0,161.11),(0.0,161.37),(107.2,161.37),(107.2,161.11),(0.0,161.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(161.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(161.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[70]']
        createRL(
            tech, net, 'm2',
            ((0.0,164.63),(0.0,164.89),(107.2,164.89),(107.2,164.63),(0.0,164.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(164.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(164.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[70]']
        createRL(
            tech, net, 'm2',
            ((0.0,164.13),(0.0,164.39),(107.2,164.39),(107.2,164.13),(0.0,164.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(164.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(164.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[71]']
        createRL(
            tech, net, 'm2',
            ((0.0,165.26),(0.0,165.52),(107.2,165.52),(107.2,165.26),(0.0,165.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(165.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(165.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[71]']
        createRL(
            tech, net, 'm2',
            ((0.0,165.76),(0.0,166.02),(107.2,166.02),(107.2,165.76),(0.0,165.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(165.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(165.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[72]']
        createRL(
            tech, net, 'm2',
            ((0.0,169.28),(0.0,169.54),(107.2,169.54),(107.2,169.28),(0.0,169.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(169.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(169.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[72]']
        createRL(
            tech, net, 'm2',
            ((0.0,168.78),(0.0,169.04),(107.2,169.04),(107.2,168.78),(0.0,168.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(168.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(168.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[73]']
        createRL(
            tech, net, 'm2',
            ((0.0,169.91),(0.0,170.17),(107.2,170.17),(107.2,169.91),(0.0,169.91)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(170.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(170.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[73]']
        createRL(
            tech, net, 'm2',
            ((0.0,170.41),(0.0,170.67),(107.2,170.67),(107.2,170.41),(0.0,170.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(170.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(170.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[74]']
        createRL(
            tech, net, 'm2',
            ((0.0,173.93),(0.0,174.19),(107.2,174.19),(107.2,173.93),(0.0,173.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(174.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(174.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[74]']
        createRL(
            tech, net, 'm2',
            ((0.0,173.43),(0.0,173.69),(107.2,173.69),(107.2,173.43),(0.0,173.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(173.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(173.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[75]']
        createRL(
            tech, net, 'm2',
            ((0.0,174.56),(0.0,174.82),(107.2,174.82),(107.2,174.56),(0.0,174.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(174.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(174.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[75]']
        createRL(
            tech, net, 'm2',
            ((0.0,175.06),(0.0,175.32),(107.2,175.32),(107.2,175.06),(0.0,175.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(175.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(175.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[76]']
        createRL(
            tech, net, 'm2',
            ((0.0,178.58),(0.0,178.84),(107.2,178.84),(107.2,178.58),(0.0,178.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(178.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(178.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[76]']
        createRL(
            tech, net, 'm2',
            ((0.0,178.08),(0.0,178.34),(107.2,178.34),(107.2,178.08),(0.0,178.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(178.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(178.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[77]']
        createRL(
            tech, net, 'm2',
            ((0.0,179.21),(0.0,179.47),(107.2,179.47),(107.2,179.21),(0.0,179.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(179.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(179.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[77]']
        createRL(
            tech, net, 'm2',
            ((0.0,179.71),(0.0,179.97),(107.2,179.97),(107.2,179.71),(0.0,179.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(179.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(179.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[78]']
        createRL(
            tech, net, 'm2',
            ((0.0,183.23),(0.0,183.49),(107.2,183.49),(107.2,183.23),(0.0,183.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(183.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(183.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[78]']
        createRL(
            tech, net, 'm2',
            ((0.0,182.73),(0.0,182.99),(107.2,182.99),(107.2,182.73),(0.0,182.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(182.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(182.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[79]']
        createRL(
            tech, net, 'm2',
            ((0.0,183.86),(0.0,184.12),(107.2,184.12),(107.2,183.86),(0.0,183.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(183.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(183.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[79]']
        createRL(
            tech, net, 'm2',
            ((0.0,184.36),(0.0,184.62),(107.2,184.62),(107.2,184.36),(0.0,184.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(184.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(184.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[80]']
        createRL(
            tech, net, 'm2',
            ((0.0,187.88),(0.0,188.14),(107.2,188.14),(107.2,187.88),(0.0,187.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(188.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(188.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[80]']
        createRL(
            tech, net, 'm2',
            ((0.0,187.38),(0.0,187.64),(107.2,187.64),(107.2,187.38),(0.0,187.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(187.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(187.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[81]']
        createRL(
            tech, net, 'm2',
            ((0.0,188.51),(0.0,188.77),(107.2,188.77),(107.2,188.51),(0.0,188.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(188.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(188.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[81]']
        createRL(
            tech, net, 'm2',
            ((0.0,189.01),(0.0,189.27),(107.2,189.27),(107.2,189.01),(0.0,189.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(189.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(189.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[82]']
        createRL(
            tech, net, 'm2',
            ((0.0,192.53),(0.0,192.79),(107.2,192.79),(107.2,192.53),(0.0,192.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(192.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(192.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[82]']
        createRL(
            tech, net, 'm2',
            ((0.0,192.03),(0.0,192.29),(107.2,192.29),(107.2,192.03),(0.0,192.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(192.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(192.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[83]']
        createRL(
            tech, net, 'm2',
            ((0.0,193.16),(0.0,193.42),(107.2,193.42),(107.2,193.16),(0.0,193.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(193.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(193.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[83]']
        createRL(
            tech, net, 'm2',
            ((0.0,193.66),(0.0,193.92),(107.2,193.92),(107.2,193.66),(0.0,193.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(193.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(193.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[84]']
        createRL(
            tech, net, 'm2',
            ((0.0,197.18),(0.0,197.44),(107.2,197.44),(107.2,197.18),(0.0,197.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(197.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(197.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[84]']
        createRL(
            tech, net, 'm2',
            ((0.0,196.68),(0.0,196.94),(107.2,196.94),(107.2,196.68),(0.0,196.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(196.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(196.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[85]']
        createRL(
            tech, net, 'm2',
            ((0.0,197.81),(0.0,198.07),(107.2,198.07),(107.2,197.81),(0.0,197.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(197.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(197.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[85]']
        createRL(
            tech, net, 'm2',
            ((0.0,198.31),(0.0,198.57),(107.2,198.57),(107.2,198.31),(0.0,198.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(198.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(198.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[86]']
        createRL(
            tech, net, 'm2',
            ((0.0,201.83),(0.0,202.09),(107.2,202.09),(107.2,201.83),(0.0,201.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(201.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(201.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[86]']
        createRL(
            tech, net, 'm2',
            ((0.0,201.33),(0.0,201.59),(107.2,201.59),(107.2,201.33),(0.0,201.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(201.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(201.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[87]']
        createRL(
            tech, net, 'm2',
            ((0.0,202.46),(0.0,202.72),(107.2,202.72),(107.2,202.46),(0.0,202.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(202.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(202.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[87]']
        createRL(
            tech, net, 'm2',
            ((0.0,202.96),(0.0,203.22),(107.2,203.22),(107.2,202.96),(0.0,202.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(203.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(203.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[88]']
        createRL(
            tech, net, 'm2',
            ((0.0,206.48),(0.0,206.74),(107.2,206.74),(107.2,206.48),(0.0,206.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(206.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(206.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[88]']
        createRL(
            tech, net, 'm2',
            ((0.0,205.98),(0.0,206.24),(107.2,206.24),(107.2,205.98),(0.0,205.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(206.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(206.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[89]']
        createRL(
            tech, net, 'm2',
            ((0.0,207.11),(0.0,207.37),(107.2,207.37),(107.2,207.11),(0.0,207.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(207.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(207.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[89]']
        createRL(
            tech, net, 'm2',
            ((0.0,207.61),(0.0,207.87),(107.2,207.87),(107.2,207.61),(0.0,207.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(207.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(207.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[90]']
        createRL(
            tech, net, 'm2',
            ((0.0,211.13),(0.0,211.39),(107.2,211.39),(107.2,211.13),(0.0,211.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(211.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(211.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[90]']
        createRL(
            tech, net, 'm2',
            ((0.0,210.63),(0.0,210.89),(107.2,210.89),(107.2,210.63),(0.0,210.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(210.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(210.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[91]']
        createRL(
            tech, net, 'm2',
            ((0.0,211.76),(0.0,212.02),(107.2,212.02),(107.2,211.76),(0.0,211.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(211.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(211.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[91]']
        createRL(
            tech, net, 'm2',
            ((0.0,212.26),(0.0,212.52),(107.2,212.52),(107.2,212.26),(0.0,212.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(212.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(212.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[92]']
        createRL(
            tech, net, 'm2',
            ((0.0,215.78),(0.0,216.04),(107.2,216.04),(107.2,215.78),(0.0,215.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(215.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(215.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[92]']
        createRL(
            tech, net, 'm2',
            ((0.0,215.28),(0.0,215.54),(107.2,215.54),(107.2,215.28),(0.0,215.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(215.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(215.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[93]']
        createRL(
            tech, net, 'm2',
            ((0.0,216.41),(0.0,216.67),(107.2,216.67),(107.2,216.41),(0.0,216.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(216.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(216.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[93]']
        createRL(
            tech, net, 'm2',
            ((0.0,216.91),(0.0,217.17),(107.2,217.17),(107.2,216.91),(0.0,216.91)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(217.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(217.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[94]']
        createRL(
            tech, net, 'm2',
            ((0.0,220.43),(0.0,220.69),(107.2,220.69),(107.2,220.43),(0.0,220.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(220.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(220.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[94]']
        createRL(
            tech, net, 'm2',
            ((0.0,219.93),(0.0,220.19),(107.2,220.19),(107.2,219.93),(0.0,219.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(220.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(220.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[95]']
        createRL(
            tech, net, 'm2',
            ((0.0,221.06),(0.0,221.32),(107.2,221.32),(107.2,221.06),(0.0,221.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(221.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(221.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[95]']
        createRL(
            tech, net, 'm2',
            ((0.0,221.56),(0.0,221.82),(107.2,221.82),(107.2,221.56),(0.0,221.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(221.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(221.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[96]']
        createRL(
            tech, net, 'm2',
            ((0.0,225.08),(0.0,225.34),(107.2,225.34),(107.2,225.08),(0.0,225.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(225.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(225.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[96]']
        createRL(
            tech, net, 'm2',
            ((0.0,224.58),(0.0,224.84),(107.2,224.84),(107.2,224.58),(0.0,224.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(224.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(224.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[97]']
        createRL(
            tech, net, 'm2',
            ((0.0,225.71),(0.0,225.97),(107.2,225.97),(107.2,225.71),(0.0,225.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(225.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(225.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[97]']
        createRL(
            tech, net, 'm2',
            ((0.0,226.21),(0.0,226.47),(107.2,226.47),(107.2,226.21),(0.0,226.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(226.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(226.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[98]']
        createRL(
            tech, net, 'm2',
            ((0.0,229.73),(0.0,229.99),(107.2,229.99),(107.2,229.73),(0.0,229.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(229.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(229.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[98]']
        createRL(
            tech, net, 'm2',
            ((0.0,229.23),(0.0,229.49),(107.2,229.49),(107.2,229.23),(0.0,229.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(229.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(229.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[99]']
        createRL(
            tech, net, 'm2',
            ((0.0,230.36),(0.0,230.62),(107.2,230.62),(107.2,230.36),(0.0,230.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(230.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(230.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[99]']
        createRL(
            tech, net, 'm2',
            ((0.0,230.86),(0.0,231.12),(107.2,231.12),(107.2,230.86),(0.0,230.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(230.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(230.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[100]']
        createRL(
            tech, net, 'm2',
            ((0.0,234.38),(0.0,234.64),(107.2,234.64),(107.2,234.38),(0.0,234.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(234.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(234.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[100]']
        createRL(
            tech, net, 'm2',
            ((0.0,233.88),(0.0,234.14),(107.2,234.14),(107.2,233.88),(0.0,233.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(234.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(234.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[101]']
        createRL(
            tech, net, 'm2',
            ((0.0,235.01),(0.0,235.27),(107.2,235.27),(107.2,235.01),(0.0,235.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(235.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(235.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[101]']
        createRL(
            tech, net, 'm2',
            ((0.0,235.51),(0.0,235.77),(107.2,235.77),(107.2,235.51),(0.0,235.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(235.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(235.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[102]']
        createRL(
            tech, net, 'm2',
            ((0.0,239.03),(0.0,239.29),(107.2,239.29),(107.2,239.03),(0.0,239.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(239.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(239.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[102]']
        createRL(
            tech, net, 'm2',
            ((0.0,238.53),(0.0,238.79),(107.2,238.79),(107.2,238.53),(0.0,238.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(238.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(238.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[103]']
        createRL(
            tech, net, 'm2',
            ((0.0,239.66),(0.0,239.92),(107.2,239.92),(107.2,239.66),(0.0,239.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(239.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(239.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[103]']
        createRL(
            tech, net, 'm2',
            ((0.0,240.16),(0.0,240.42),(107.2,240.42),(107.2,240.16),(0.0,240.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(240.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(240.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[104]']
        createRL(
            tech, net, 'm2',
            ((0.0,243.68),(0.0,243.94),(107.2,243.94),(107.2,243.68),(0.0,243.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(243.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(243.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[104]']
        createRL(
            tech, net, 'm2',
            ((0.0,243.18),(0.0,243.44),(107.2,243.44),(107.2,243.18),(0.0,243.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(243.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(243.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[105]']
        createRL(
            tech, net, 'm2',
            ((0.0,244.31),(0.0,244.57),(107.2,244.57),(107.2,244.31),(0.0,244.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(244.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(244.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[105]']
        createRL(
            tech, net, 'm2',
            ((0.0,244.81),(0.0,245.07),(107.2,245.07),(107.2,244.81),(0.0,244.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(244.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(244.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[106]']
        createRL(
            tech, net, 'm2',
            ((0.0,248.33),(0.0,248.59),(107.2,248.59),(107.2,248.33),(0.0,248.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(248.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(248.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[106]']
        createRL(
            tech, net, 'm2',
            ((0.0,247.83),(0.0,248.09),(107.2,248.09),(107.2,247.83),(0.0,247.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(247.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(247.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[107]']
        createRL(
            tech, net, 'm2',
            ((0.0,248.96),(0.0,249.22),(107.2,249.22),(107.2,248.96),(0.0,248.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(249.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(249.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[107]']
        createRL(
            tech, net, 'm2',
            ((0.0,249.46),(0.0,249.72),(107.2,249.72),(107.2,249.46),(0.0,249.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(249.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(249.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[108]']
        createRL(
            tech, net, 'm2',
            ((0.0,252.98),(0.0,253.24),(107.2,253.24),(107.2,252.98),(0.0,252.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(253.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(253.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[108]']
        createRL(
            tech, net, 'm2',
            ((0.0,252.48),(0.0,252.74),(107.2,252.74),(107.2,252.48),(0.0,252.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(252.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(252.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[109]']
        createRL(
            tech, net, 'm2',
            ((0.0,253.61),(0.0,253.87),(107.2,253.87),(107.2,253.61),(0.0,253.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(253.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(253.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[109]']
        createRL(
            tech, net, 'm2',
            ((0.0,254.11),(0.0,254.37),(107.2,254.37),(107.2,254.11),(0.0,254.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(254.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(254.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[110]']
        createRL(
            tech, net, 'm2',
            ((0.0,257.63),(0.0,257.89),(107.2,257.89),(107.2,257.63),(0.0,257.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(257.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(257.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[110]']
        createRL(
            tech, net, 'm2',
            ((0.0,257.13),(0.0,257.39),(107.2,257.39),(107.2,257.13),(0.0,257.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(257.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(257.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[111]']
        createRL(
            tech, net, 'm2',
            ((0.0,258.26),(0.0,258.52),(107.2,258.52),(107.2,258.26),(0.0,258.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(258.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(258.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[111]']
        createRL(
            tech, net, 'm2',
            ((0.0,258.76),(0.0,259.02),(107.2,259.02),(107.2,258.76),(0.0,258.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(258.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(258.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[112]']
        createRL(
            tech, net, 'm2',
            ((0.0,262.28),(0.0,262.54),(107.2,262.54),(107.2,262.28),(0.0,262.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(262.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(262.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[112]']
        createRL(
            tech, net, 'm2',
            ((0.0,261.78),(0.0,262.04),(107.2,262.04),(107.2,261.78),(0.0,261.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(261.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(261.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[113]']
        createRL(
            tech, net, 'm2',
            ((0.0,262.91),(0.0,263.17),(107.2,263.17),(107.2,262.91),(0.0,262.91)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(263.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(263.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[113]']
        createRL(
            tech, net, 'm2',
            ((0.0,263.41),(0.0,263.67),(107.2,263.67),(107.2,263.41),(0.0,263.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(263.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(263.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[114]']
        createRL(
            tech, net, 'm2',
            ((0.0,266.93),(0.0,267.19),(107.2,267.19),(107.2,266.93),(0.0,266.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(267.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(267.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[114]']
        createRL(
            tech, net, 'm2',
            ((0.0,266.43),(0.0,266.69),(107.2,266.69),(107.2,266.43),(0.0,266.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(266.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(266.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[115]']
        createRL(
            tech, net, 'm2',
            ((0.0,267.56),(0.0,267.82),(107.2,267.82),(107.2,267.56),(0.0,267.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(267.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(267.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[115]']
        createRL(
            tech, net, 'm2',
            ((0.0,268.06),(0.0,268.32),(107.2,268.32),(107.2,268.06),(0.0,268.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(268.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(268.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[116]']
        createRL(
            tech, net, 'm2',
            ((0.0,271.58),(0.0,271.84),(107.2,271.84),(107.2,271.58),(0.0,271.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(271.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(271.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[116]']
        createRL(
            tech, net, 'm2',
            ((0.0,271.08),(0.0,271.34),(107.2,271.34),(107.2,271.08),(0.0,271.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(271.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(271.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[117]']
        createRL(
            tech, net, 'm2',
            ((0.0,272.21),(0.0,272.47),(107.2,272.47),(107.2,272.21),(0.0,272.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(272.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(272.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[117]']
        createRL(
            tech, net, 'm2',
            ((0.0,272.71),(0.0,272.97),(107.2,272.97),(107.2,272.71),(0.0,272.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(272.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(272.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[118]']
        createRL(
            tech, net, 'm2',
            ((0.0,276.23),(0.0,276.49),(107.2,276.49),(107.2,276.23),(0.0,276.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(276.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(276.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[118]']
        createRL(
            tech, net, 'm2',
            ((0.0,275.73),(0.0,275.99),(107.2,275.99),(107.2,275.73),(0.0,275.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(275.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(275.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[119]']
        createRL(
            tech, net, 'm2',
            ((0.0,276.86),(0.0,277.12),(107.2,277.12),(107.2,276.86),(0.0,276.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(276.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(276.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[119]']
        createRL(
            tech, net, 'm2',
            ((0.0,277.36),(0.0,277.62),(107.2,277.62),(107.2,277.36),(0.0,277.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(277.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(277.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[120]']
        createRL(
            tech, net, 'm2',
            ((0.0,280.88),(0.0,281.14),(107.2,281.14),(107.2,280.88),(0.0,280.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(281.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(281.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[120]']
        createRL(
            tech, net, 'm2',
            ((0.0,280.38),(0.0,280.64),(107.2,280.64),(107.2,280.38),(0.0,280.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(280.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(280.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[121]']
        createRL(
            tech, net, 'm2',
            ((0.0,281.51),(0.0,281.77),(107.2,281.77),(107.2,281.51),(0.0,281.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(281.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(281.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[121]']
        createRL(
            tech, net, 'm2',
            ((0.0,282.01),(0.0,282.27),(107.2,282.27),(107.2,282.01),(0.0,282.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(282.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(282.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[122]']
        createRL(
            tech, net, 'm2',
            ((0.0,285.53),(0.0,285.79),(107.2,285.79),(107.2,285.53),(0.0,285.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(285.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(285.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[122]']
        createRL(
            tech, net, 'm2',
            ((0.0,285.03),(0.0,285.29),(107.2,285.29),(107.2,285.03),(0.0,285.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(285.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(285.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[123]']
        createRL(
            tech, net, 'm2',
            ((0.0,286.16),(0.0,286.42),(107.2,286.42),(107.2,286.16),(0.0,286.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(286.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(286.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[123]']
        createRL(
            tech, net, 'm2',
            ((0.0,286.66),(0.0,286.92),(107.2,286.92),(107.2,286.66),(0.0,286.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(286.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(286.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[124]']
        createRL(
            tech, net, 'm2',
            ((0.0,290.18),(0.0,290.44),(107.2,290.44),(107.2,290.18),(0.0,290.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(290.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(290.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[124]']
        createRL(
            tech, net, 'm2',
            ((0.0,289.68),(0.0,289.94),(107.2,289.94),(107.2,289.68),(0.0,289.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(289.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(289.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[125]']
        createRL(
            tech, net, 'm2',
            ((0.0,290.81),(0.0,291.07),(107.2,291.07),(107.2,290.81),(0.0,290.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(290.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(290.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[125]']
        createRL(
            tech, net, 'm2',
            ((0.0,291.31),(0.0,291.57),(107.2,291.57),(107.2,291.31),(0.0,291.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(291.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(291.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[126]']
        createRL(
            tech, net, 'm2',
            ((0.0,294.83),(0.0,295.09),(107.2,295.09),(107.2,294.83),(0.0,294.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(294.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(294.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[126]']
        createRL(
            tech, net, 'm2',
            ((0.0,294.33),(0.0,294.59),(107.2,294.59),(107.2,294.33),(0.0,294.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(294.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(294.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[127]']
        createRL(
            tech, net, 'm2',
            ((0.0,295.46),(0.0,295.72),(107.2,295.72),(107.2,295.46),(0.0,295.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(295.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(295.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[127]']
        createRL(
            tech, net, 'm2',
            ((0.0,295.96),(0.0,296.22),(107.2,296.22),(107.2,295.96),(0.0,295.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(296.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(296.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[0]']
        createRL(
            tech, net, 'm1',
            ((0.46,0.0),(0.46,297.6),(0.69,297.6),(0.69,0.0),(0.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.575), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.575), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.09,0.0),(1.09,297.6),(1.32,297.6),(1.32,0.0),(1.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.205), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.205), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[0]']
        createRL(
            tech, net, 'm1',
            ((2.0,0.0),(2.0,297.6),(2.23,297.6),(2.23,0.0),(2.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.115), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.115), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[0]']
        createRL(
            tech, net, 'm1',
            ((2.66,0.0),(2.66,297.6),(2.89,297.6),(2.89,0.0),(2.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.775), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.775), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[1]']
        createRL(
            tech, net, 'm1',
            ((3.81,0.0),(3.81,297.6),(4.04,297.6),(4.04,0.0),(3.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.925), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.925), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[1]']
        createRL(
            tech, net, 'm1',
            ((4.44,0.0),(4.44,297.6),(4.67,297.6),(4.67,0.0),(4.44,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.555), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.555), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[1]']
        createRL(
            tech, net, 'm1',
            ((5.35,0.0),(5.35,297.6),(5.58,297.6),(5.58,0.0),(5.35,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.465), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.465), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[1]']
        createRL(
            tech, net, 'm1',
            ((6.01,0.0),(6.01,297.6),(6.24,297.6),(6.24,0.0),(6.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.125), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.125), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[2]']
        createRL(
            tech, net, 'm1',
            ((7.16,0.0),(7.16,297.6),(7.39,297.6),(7.39,0.0),(7.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.275), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.275), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[2]']
        createRL(
            tech, net, 'm1',
            ((7.79,0.0),(7.79,297.6),(8.02,297.6),(8.02,0.0),(7.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.905), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.905), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[2]']
        createRL(
            tech, net, 'm1',
            ((8.7,0.0),(8.7,297.6),(8.93,297.6),(8.93,0.0),(8.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(8.815), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(8.815), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[2]']
        createRL(
            tech, net, 'm1',
            ((9.36,0.0),(9.36,297.6),(9.59,297.6),(9.59,0.0),(9.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(9.475), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(9.475), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[3]']
        createRL(
            tech, net, 'm1',
            ((10.51,0.0),(10.51,297.6),(10.74,297.6),(10.74,0.0),(10.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(10.625), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(10.625), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[3]']
        createRL(
            tech, net, 'm1',
            ((11.14,0.0),(11.14,297.6),(11.37,297.6),(11.37,0.0),(11.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(11.255), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(11.255), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[3]']
        createRL(
            tech, net, 'm1',
            ((12.05,0.0),(12.05,297.6),(12.28,297.6),(12.28,0.0),(12.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.165), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.165), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[3]']
        createRL(
            tech, net, 'm1',
            ((12.71,0.0),(12.71,297.6),(12.94,297.6),(12.94,0.0),(12.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.825), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.825), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[4]']
        createRL(
            tech, net, 'm1',
            ((13.86,0.0),(13.86,297.6),(14.09,297.6),(14.09,0.0),(13.86,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(13.975), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(13.975), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[4]']
        createRL(
            tech, net, 'm1',
            ((14.49,0.0),(14.49,297.6),(14.72,297.6),(14.72,0.0),(14.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(14.605), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(14.605), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[4]']
        createRL(
            tech, net, 'm1',
            ((15.4,0.0),(15.4,297.6),(15.63,297.6),(15.63,0.0),(15.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(15.515), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(15.515), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[4]']
        createRL(
            tech, net, 'm1',
            ((16.06,0.0),(16.06,297.6),(16.29,297.6),(16.29,0.0),(16.06,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(16.175), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(16.175), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[5]']
        createRL(
            tech, net, 'm1',
            ((17.21,0.0),(17.21,297.6),(17.44,297.6),(17.44,0.0),(17.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(17.325), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(17.325), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[5]']
        createRL(
            tech, net, 'm1',
            ((17.84,0.0),(17.84,297.6),(18.07,297.6),(18.07,0.0),(17.84,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(17.955), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(17.955), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[5]']
        createRL(
            tech, net, 'm1',
            ((18.75,0.0),(18.75,297.6),(18.98,297.6),(18.98,0.0),(18.75,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(18.865), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(18.865), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[5]']
        createRL(
            tech, net, 'm1',
            ((19.41,0.0),(19.41,297.6),(19.64,297.6),(19.64,0.0),(19.41,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(19.525), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(19.525), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[6]']
        createRL(
            tech, net, 'm1',
            ((20.56,0.0),(20.56,297.6),(20.79,297.6),(20.79,0.0),(20.56,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(20.675), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(20.675), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[6]']
        createRL(
            tech, net, 'm1',
            ((21.19,0.0),(21.19,297.6),(21.42,297.6),(21.42,0.0),(21.19,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(21.305), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(21.305), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[6]']
        createRL(
            tech, net, 'm1',
            ((22.1,0.0),(22.1,297.6),(22.33,297.6),(22.33,0.0),(22.1,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(22.215), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(22.215), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[6]']
        createRL(
            tech, net, 'm1',
            ((22.76,0.0),(22.76,297.6),(22.99,297.6),(22.99,0.0),(22.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(22.875), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(22.875), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[7]']
        createRL(
            tech, net, 'm1',
            ((23.91,0.0),(23.91,297.6),(24.14,297.6),(24.14,0.0),(23.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(24.025), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(24.025), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[7]']
        createRL(
            tech, net, 'm1',
            ((24.54,0.0),(24.54,297.6),(24.77,297.6),(24.77,0.0),(24.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(24.655), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(24.655), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[7]']
        createRL(
            tech, net, 'm1',
            ((25.45,0.0),(25.45,297.6),(25.68,297.6),(25.68,0.0),(25.45,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(25.565), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(25.565), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[7]']
        createRL(
            tech, net, 'm1',
            ((26.11,0.0),(26.11,297.6),(26.34,297.6),(26.34,0.0),(26.11,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(26.225), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(26.225), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[8]']
        createRL(
            tech, net, 'm1',
            ((27.26,0.0),(27.26,297.6),(27.49,297.6),(27.49,0.0),(27.26,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(27.375), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(27.375), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[8]']
        createRL(
            tech, net, 'm1',
            ((27.89,0.0),(27.89,297.6),(28.12,297.6),(28.12,0.0),(27.89,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(28.005), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(28.005), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[8]']
        createRL(
            tech, net, 'm1',
            ((28.8,0.0),(28.8,297.6),(29.03,297.6),(29.03,0.0),(28.8,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(28.915), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(28.915), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[8]']
        createRL(
            tech, net, 'm1',
            ((29.46,0.0),(29.46,297.6),(29.69,297.6),(29.69,0.0),(29.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(29.575), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(29.575), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[9]']
        createRL(
            tech, net, 'm1',
            ((30.61,0.0),(30.61,297.6),(30.84,297.6),(30.84,0.0),(30.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(30.725), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(30.725), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[9]']
        createRL(
            tech, net, 'm1',
            ((31.24,0.0),(31.24,297.6),(31.47,297.6),(31.47,0.0),(31.24,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(31.355), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(31.355), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[9]']
        createRL(
            tech, net, 'm1',
            ((32.15,0.0),(32.15,297.6),(32.38,297.6),(32.38,0.0),(32.15,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(32.265), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(32.265), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[9]']
        createRL(
            tech, net, 'm1',
            ((32.81,0.0),(32.81,297.6),(33.04,297.6),(33.04,0.0),(32.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(32.925), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(32.925), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[10]']
        createRL(
            tech, net, 'm1',
            ((33.96,0.0),(33.96,297.6),(34.19,297.6),(34.19,0.0),(33.96,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(34.075), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(34.075), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[10]']
        createRL(
            tech, net, 'm1',
            ((34.59,0.0),(34.59,297.6),(34.82,297.6),(34.82,0.0),(34.59,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(34.705), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(34.705), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[10]']
        createRL(
            tech, net, 'm1',
            ((35.5,0.0),(35.5,297.6),(35.73,297.6),(35.73,0.0),(35.5,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(35.615), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(35.615), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[10]']
        createRL(
            tech, net, 'm1',
            ((36.16,0.0),(36.16,297.6),(36.39,297.6),(36.39,0.0),(36.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(36.275), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(36.275), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[11]']
        createRL(
            tech, net, 'm1',
            ((37.31,0.0),(37.31,297.6),(37.54,297.6),(37.54,0.0),(37.31,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(37.425), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(37.425), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[11]']
        createRL(
            tech, net, 'm1',
            ((37.94,0.0),(37.94,297.6),(38.17,297.6),(38.17,0.0),(37.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(38.055), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(38.055), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[11]']
        createRL(
            tech, net, 'm1',
            ((38.85,0.0),(38.85,297.6),(39.08,297.6),(39.08,0.0),(38.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(38.965), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(38.965), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[11]']
        createRL(
            tech, net, 'm1',
            ((39.51,0.0),(39.51,297.6),(39.74,297.6),(39.74,0.0),(39.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(39.625), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(39.625), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[12]']
        createRL(
            tech, net, 'm1',
            ((40.66,0.0),(40.66,297.6),(40.89,297.6),(40.89,0.0),(40.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(40.775), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(40.775), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[12]']
        createRL(
            tech, net, 'm1',
            ((41.29,0.0),(41.29,297.6),(41.52,297.6),(41.52,0.0),(41.29,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(41.405), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(41.405), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[12]']
        createRL(
            tech, net, 'm1',
            ((42.2,0.0),(42.2,297.6),(42.43,297.6),(42.43,0.0),(42.2,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(42.315), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(42.315), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[12]']
        createRL(
            tech, net, 'm1',
            ((42.86,0.0),(42.86,297.6),(43.09,297.6),(43.09,0.0),(42.86,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(42.975), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(42.975), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[13]']
        createRL(
            tech, net, 'm1',
            ((44.01,0.0),(44.01,297.6),(44.24,297.6),(44.24,0.0),(44.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(44.125), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(44.125), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[13]']
        createRL(
            tech, net, 'm1',
            ((44.64,0.0),(44.64,297.6),(44.87,297.6),(44.87,0.0),(44.64,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(44.755), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(44.755), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[13]']
        createRL(
            tech, net, 'm1',
            ((45.55,0.0),(45.55,297.6),(45.78,297.6),(45.78,0.0),(45.55,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(45.665), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(45.665), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[13]']
        createRL(
            tech, net, 'm1',
            ((46.21,0.0),(46.21,297.6),(46.44,297.6),(46.44,0.0),(46.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(46.325), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(46.325), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[14]']
        createRL(
            tech, net, 'm1',
            ((47.36,0.0),(47.36,297.6),(47.59,297.6),(47.59,0.0),(47.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(47.475), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(47.475), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[14]']
        createRL(
            tech, net, 'm1',
            ((47.99,0.0),(47.99,297.6),(48.22,297.6),(48.22,0.0),(47.99,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(48.105), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(48.105), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[14]']
        createRL(
            tech, net, 'm1',
            ((48.9,0.0),(48.9,297.6),(49.13,297.6),(49.13,0.0),(48.9,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(49.015), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(49.015), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[14]']
        createRL(
            tech, net, 'm1',
            ((49.56,0.0),(49.56,297.6),(49.79,297.6),(49.79,0.0),(49.56,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(49.675), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(49.675), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[15]']
        createRL(
            tech, net, 'm1',
            ((50.71,0.0),(50.71,297.6),(50.94,297.6),(50.94,0.0),(50.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(50.825), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(50.825), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[15]']
        createRL(
            tech, net, 'm1',
            ((51.34,0.0),(51.34,297.6),(51.57,297.6),(51.57,0.0),(51.34,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(51.455), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(51.455), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[15]']
        createRL(
            tech, net, 'm1',
            ((52.25,0.0),(52.25,297.6),(52.48,297.6),(52.48,0.0),(52.25,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(52.365), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(52.365), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[15]']
        createRL(
            tech, net, 'm1',
            ((52.91,0.0),(52.91,297.6),(53.14,297.6),(53.14,0.0),(52.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(53.025), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(53.025), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[16]']
        createRL(
            tech, net, 'm1',
            ((54.06,0.0),(54.06,297.6),(54.29,297.6),(54.29,0.0),(54.06,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(54.175), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(54.175), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[16]']
        createRL(
            tech, net, 'm1',
            ((54.69,0.0),(54.69,297.6),(54.92,297.6),(54.92,0.0),(54.69,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(54.805), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(54.805), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[16]']
        createRL(
            tech, net, 'm1',
            ((55.6,0.0),(55.6,297.6),(55.83,297.6),(55.83,0.0),(55.6,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(55.715), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(55.715), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[16]']
        createRL(
            tech, net, 'm1',
            ((56.26,0.0),(56.26,297.6),(56.49,297.6),(56.49,0.0),(56.26,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(56.375), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(56.375), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[17]']
        createRL(
            tech, net, 'm1',
            ((57.41,0.0),(57.41,297.6),(57.64,297.6),(57.64,0.0),(57.41,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(57.525), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(57.525), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[17]']
        createRL(
            tech, net, 'm1',
            ((58.04,0.0),(58.04,297.6),(58.27,297.6),(58.27,0.0),(58.04,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(58.155), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(58.155), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[17]']
        createRL(
            tech, net, 'm1',
            ((58.95,0.0),(58.95,297.6),(59.18,297.6),(59.18,0.0),(58.95,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(59.065), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(59.065), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[17]']
        createRL(
            tech, net, 'm1',
            ((59.61,0.0),(59.61,297.6),(59.84,297.6),(59.84,0.0),(59.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(59.725), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(59.725), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[18]']
        createRL(
            tech, net, 'm1',
            ((60.76,0.0),(60.76,297.6),(60.99,297.6),(60.99,0.0),(60.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(60.875), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(60.875), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[18]']
        createRL(
            tech, net, 'm1',
            ((61.39,0.0),(61.39,297.6),(61.62,297.6),(61.62,0.0),(61.39,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(61.505), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(61.505), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[18]']
        createRL(
            tech, net, 'm1',
            ((62.3,0.0),(62.3,297.6),(62.53,297.6),(62.53,0.0),(62.3,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(62.415), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(62.415), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[18]']
        createRL(
            tech, net, 'm1',
            ((62.96,0.0),(62.96,297.6),(63.19,297.6),(63.19,0.0),(62.96,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(63.075), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(63.075), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[19]']
        createRL(
            tech, net, 'm1',
            ((64.11,0.0),(64.11,297.6),(64.34,297.6),(64.34,0.0),(64.11,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(64.225), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(64.225), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[19]']
        createRL(
            tech, net, 'm1',
            ((64.74,0.0),(64.74,297.6),(64.97,297.6),(64.97,0.0),(64.74,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(64.855), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(64.855), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[19]']
        createRL(
            tech, net, 'm1',
            ((65.65,0.0),(65.65,297.6),(65.88,297.6),(65.88,0.0),(65.65,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(65.765), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(65.765), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[19]']
        createRL(
            tech, net, 'm1',
            ((66.31,0.0),(66.31,297.6),(66.54,297.6),(66.54,0.0),(66.31,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(66.425), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(66.425), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[20]']
        createRL(
            tech, net, 'm1',
            ((67.46,0.0),(67.46,297.6),(67.69,297.6),(67.69,0.0),(67.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(67.575), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(67.575), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[20]']
        createRL(
            tech, net, 'm1',
            ((68.09,0.0),(68.09,297.6),(68.32,297.6),(68.32,0.0),(68.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(68.205), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(68.205), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[20]']
        createRL(
            tech, net, 'm1',
            ((69.0,0.0),(69.0,297.6),(69.23,297.6),(69.23,0.0),(69.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(69.115), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(69.115), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[20]']
        createRL(
            tech, net, 'm1',
            ((69.66,0.0),(69.66,297.6),(69.89,297.6),(69.89,0.0),(69.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(69.775), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(69.775), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[21]']
        createRL(
            tech, net, 'm1',
            ((70.81,0.0),(70.81,297.6),(71.04,297.6),(71.04,0.0),(70.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(70.925), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(70.925), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[21]']
        createRL(
            tech, net, 'm1',
            ((71.44,0.0),(71.44,297.6),(71.67,297.6),(71.67,0.0),(71.44,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(71.555), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(71.555), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[21]']
        createRL(
            tech, net, 'm1',
            ((72.35,0.0),(72.35,297.6),(72.58,297.6),(72.58,0.0),(72.35,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(72.465), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(72.465), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[21]']
        createRL(
            tech, net, 'm1',
            ((73.01,0.0),(73.01,297.6),(73.24,297.6),(73.24,0.0),(73.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(73.125), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(73.125), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[22]']
        createRL(
            tech, net, 'm1',
            ((74.16,0.0),(74.16,297.6),(74.39,297.6),(74.39,0.0),(74.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(74.275), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(74.275), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[22]']
        createRL(
            tech, net, 'm1',
            ((74.79,0.0),(74.79,297.6),(75.02,297.6),(75.02,0.0),(74.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(74.905), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(74.905), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[22]']
        createRL(
            tech, net, 'm1',
            ((75.7,0.0),(75.7,297.6),(75.93,297.6),(75.93,0.0),(75.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(75.815), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(75.815), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[22]']
        createRL(
            tech, net, 'm1',
            ((76.36,0.0),(76.36,297.6),(76.59,297.6),(76.59,0.0),(76.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(76.475), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(76.475), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[23]']
        createRL(
            tech, net, 'm1',
            ((77.51,0.0),(77.51,297.6),(77.74,297.6),(77.74,0.0),(77.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(77.625), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(77.625), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[23]']
        createRL(
            tech, net, 'm1',
            ((78.14,0.0),(78.14,297.6),(78.37,297.6),(78.37,0.0),(78.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(78.255), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(78.255), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[23]']
        createRL(
            tech, net, 'm1',
            ((79.05,0.0),(79.05,297.6),(79.28,297.6),(79.28,0.0),(79.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(79.165), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(79.165), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[23]']
        createRL(
            tech, net, 'm1',
            ((79.71,0.0),(79.71,297.6),(79.94,297.6),(79.94,0.0),(79.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(79.825), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(79.825), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[24]']
        createRL(
            tech, net, 'm1',
            ((80.86,0.0),(80.86,297.6),(81.09,297.6),(81.09,0.0),(80.86,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(80.975), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(80.975), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[24]']
        createRL(
            tech, net, 'm1',
            ((81.49,0.0),(81.49,297.6),(81.72,297.6),(81.72,0.0),(81.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(81.605), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(81.605), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[24]']
        createRL(
            tech, net, 'm1',
            ((82.4,0.0),(82.4,297.6),(82.63,297.6),(82.63,0.0),(82.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(82.515), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(82.515), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[24]']
        createRL(
            tech, net, 'm1',
            ((83.06,0.0),(83.06,297.6),(83.29,297.6),(83.29,0.0),(83.06,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(83.175), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(83.175), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[25]']
        createRL(
            tech, net, 'm1',
            ((84.21,0.0),(84.21,297.6),(84.44,297.6),(84.44,0.0),(84.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(84.325), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(84.325), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[25]']
        createRL(
            tech, net, 'm1',
            ((84.84,0.0),(84.84,297.6),(85.07,297.6),(85.07,0.0),(84.84,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(84.955), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(84.955), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[25]']
        createRL(
            tech, net, 'm1',
            ((85.75,0.0),(85.75,297.6),(85.98,297.6),(85.98,0.0),(85.75,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(85.865), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(85.865), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[25]']
        createRL(
            tech, net, 'm1',
            ((86.41,0.0),(86.41,297.6),(86.64,297.6),(86.64,0.0),(86.41,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(86.525), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(86.525), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[26]']
        createRL(
            tech, net, 'm1',
            ((87.56,0.0),(87.56,297.6),(87.79,297.6),(87.79,0.0),(87.56,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(87.675), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(87.675), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[26]']
        createRL(
            tech, net, 'm1',
            ((88.19,0.0),(88.19,297.6),(88.42,297.6),(88.42,0.0),(88.19,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(88.305), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(88.305), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[26]']
        createRL(
            tech, net, 'm1',
            ((89.1,0.0),(89.1,297.6),(89.33,297.6),(89.33,0.0),(89.1,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(89.215), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(89.215), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[26]']
        createRL(
            tech, net, 'm1',
            ((89.76,0.0),(89.76,297.6),(89.99,297.6),(89.99,0.0),(89.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(89.875), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(89.875), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[27]']
        createRL(
            tech, net, 'm1',
            ((90.91,0.0),(90.91,297.6),(91.14,297.6),(91.14,0.0),(90.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(91.025), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(91.025), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[27]']
        createRL(
            tech, net, 'm1',
            ((91.54,0.0),(91.54,297.6),(91.77,297.6),(91.77,0.0),(91.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(91.655), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(91.655), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[27]']
        createRL(
            tech, net, 'm1',
            ((92.45,0.0),(92.45,297.6),(92.68,297.6),(92.68,0.0),(92.45,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(92.565), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(92.565), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[27]']
        createRL(
            tech, net, 'm1',
            ((93.11,0.0),(93.11,297.6),(93.34,297.6),(93.34,0.0),(93.11,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(93.225), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(93.225), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[28]']
        createRL(
            tech, net, 'm1',
            ((94.26,0.0),(94.26,297.6),(94.49,297.6),(94.49,0.0),(94.26,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(94.375), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(94.375), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[28]']
        createRL(
            tech, net, 'm1',
            ((94.89,0.0),(94.89,297.6),(95.12,297.6),(95.12,0.0),(94.89,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(95.005), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(95.005), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[28]']
        createRL(
            tech, net, 'm1',
            ((95.8,0.0),(95.8,297.6),(96.03,297.6),(96.03,0.0),(95.8,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(95.915), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(95.915), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[28]']
        createRL(
            tech, net, 'm1',
            ((96.46,0.0),(96.46,297.6),(96.69,297.6),(96.69,0.0),(96.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(96.575), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(96.575), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[29]']
        createRL(
            tech, net, 'm1',
            ((97.61,0.0),(97.61,297.6),(97.84,297.6),(97.84,0.0),(97.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(97.725), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(97.725), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[29]']
        createRL(
            tech, net, 'm1',
            ((98.24,0.0),(98.24,297.6),(98.47,297.6),(98.47,0.0),(98.24,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(98.355), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(98.355), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[29]']
        createRL(
            tech, net, 'm1',
            ((99.15,0.0),(99.15,297.6),(99.38,297.6),(99.38,0.0),(99.15,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(99.265), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(99.265), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[29]']
        createRL(
            tech, net, 'm1',
            ((99.81,0.0),(99.81,297.6),(100.04,297.6),(100.04,0.0),(99.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(99.925), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(99.925), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[30]']
        createRL(
            tech, net, 'm1',
            ((100.96,0.0),(100.96,297.6),(101.19,297.6),(101.19,0.0),(100.96,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(101.075), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(101.075), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[30]']
        createRL(
            tech, net, 'm1',
            ((101.59,0.0),(101.59,297.6),(101.82,297.6),(101.82,0.0),(101.59,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(101.705), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(101.705), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[30]']
        createRL(
            tech, net, 'm1',
            ((102.5,0.0),(102.5,297.6),(102.73,297.6),(102.73,0.0),(102.5,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(102.615), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(102.615), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[30]']
        createRL(
            tech, net, 'm1',
            ((103.16,0.0),(103.16,297.6),(103.39,297.6),(103.39,0.0),(103.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(103.275), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(103.275), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[31]']
        createRL(
            tech, net, 'm1',
            ((104.31,0.0),(104.31,297.6),(104.54,297.6),(104.54,0.0),(104.31,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(104.425), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(104.425), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[31]']
        createRL(
            tech, net, 'm1',
            ((104.94,0.0),(104.94,297.6),(105.17,297.6),(105.17,0.0),(104.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(105.055), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(105.055), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[31]']
        createRL(
            tech, net, 'm1',
            ((105.85,0.0),(105.85,297.6),(106.08,297.6),(106.08,0.0),(105.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(105.965), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(105.965), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[31]']
        createRL(
            tech, net, 'm1',
            ((106.51,0.0),(106.51,297.6),(106.74,297.6),(106.74,0.0),(106.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(106.625), u(0.23), u(0.0), u(297.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(106.625), u(0.23), u(0.0), u(297.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,297.6),(107.2,297.6),(107.2,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl1[0]'].setDirection(Net.Direction.IN)
        nets['wl2[0]'].setDirection(Net.Direction.IN)
        nets['wl1[1]'].setDirection(Net.Direction.IN)
        nets['wl2[1]'].setDirection(Net.Direction.IN)
        nets['wl1[2]'].setDirection(Net.Direction.IN)
        nets['wl2[2]'].setDirection(Net.Direction.IN)
        nets['wl1[3]'].setDirection(Net.Direction.IN)
        nets['wl2[3]'].setDirection(Net.Direction.IN)
        nets['wl1[4]'].setDirection(Net.Direction.IN)
        nets['wl2[4]'].setDirection(Net.Direction.IN)
        nets['wl1[5]'].setDirection(Net.Direction.IN)
        nets['wl2[5]'].setDirection(Net.Direction.IN)
        nets['wl1[6]'].setDirection(Net.Direction.IN)
        nets['wl2[6]'].setDirection(Net.Direction.IN)
        nets['wl1[7]'].setDirection(Net.Direction.IN)
        nets['wl2[7]'].setDirection(Net.Direction.IN)
        nets['wl1[8]'].setDirection(Net.Direction.IN)
        nets['wl2[8]'].setDirection(Net.Direction.IN)
        nets['wl1[9]'].setDirection(Net.Direction.IN)
        nets['wl2[9]'].setDirection(Net.Direction.IN)
        nets['wl1[10]'].setDirection(Net.Direction.IN)
        nets['wl2[10]'].setDirection(Net.Direction.IN)
        nets['wl1[11]'].setDirection(Net.Direction.IN)
        nets['wl2[11]'].setDirection(Net.Direction.IN)
        nets['wl1[12]'].setDirection(Net.Direction.IN)
        nets['wl2[12]'].setDirection(Net.Direction.IN)
        nets['wl1[13]'].setDirection(Net.Direction.IN)
        nets['wl2[13]'].setDirection(Net.Direction.IN)
        nets['wl1[14]'].setDirection(Net.Direction.IN)
        nets['wl2[14]'].setDirection(Net.Direction.IN)
        nets['wl1[15]'].setDirection(Net.Direction.IN)
        nets['wl2[15]'].setDirection(Net.Direction.IN)
        nets['wl1[16]'].setDirection(Net.Direction.IN)
        nets['wl2[16]'].setDirection(Net.Direction.IN)
        nets['wl1[17]'].setDirection(Net.Direction.IN)
        nets['wl2[17]'].setDirection(Net.Direction.IN)
        nets['wl1[18]'].setDirection(Net.Direction.IN)
        nets['wl2[18]'].setDirection(Net.Direction.IN)
        nets['wl1[19]'].setDirection(Net.Direction.IN)
        nets['wl2[19]'].setDirection(Net.Direction.IN)
        nets['wl1[20]'].setDirection(Net.Direction.IN)
        nets['wl2[20]'].setDirection(Net.Direction.IN)
        nets['wl1[21]'].setDirection(Net.Direction.IN)
        nets['wl2[21]'].setDirection(Net.Direction.IN)
        nets['wl1[22]'].setDirection(Net.Direction.IN)
        nets['wl2[22]'].setDirection(Net.Direction.IN)
        nets['wl1[23]'].setDirection(Net.Direction.IN)
        nets['wl2[23]'].setDirection(Net.Direction.IN)
        nets['wl1[24]'].setDirection(Net.Direction.IN)
        nets['wl2[24]'].setDirection(Net.Direction.IN)
        nets['wl1[25]'].setDirection(Net.Direction.IN)
        nets['wl2[25]'].setDirection(Net.Direction.IN)
        nets['wl1[26]'].setDirection(Net.Direction.IN)
        nets['wl2[26]'].setDirection(Net.Direction.IN)
        nets['wl1[27]'].setDirection(Net.Direction.IN)
        nets['wl2[27]'].setDirection(Net.Direction.IN)
        nets['wl1[28]'].setDirection(Net.Direction.IN)
        nets['wl2[28]'].setDirection(Net.Direction.IN)
        nets['wl1[29]'].setDirection(Net.Direction.IN)
        nets['wl2[29]'].setDirection(Net.Direction.IN)
        nets['wl1[30]'].setDirection(Net.Direction.IN)
        nets['wl2[30]'].setDirection(Net.Direction.IN)
        nets['wl1[31]'].setDirection(Net.Direction.IN)
        nets['wl2[31]'].setDirection(Net.Direction.IN)
        nets['wl1[32]'].setDirection(Net.Direction.IN)
        nets['wl2[32]'].setDirection(Net.Direction.IN)
        nets['wl1[33]'].setDirection(Net.Direction.IN)
        nets['wl2[33]'].setDirection(Net.Direction.IN)
        nets['wl1[34]'].setDirection(Net.Direction.IN)
        nets['wl2[34]'].setDirection(Net.Direction.IN)
        nets['wl1[35]'].setDirection(Net.Direction.IN)
        nets['wl2[35]'].setDirection(Net.Direction.IN)
        nets['wl1[36]'].setDirection(Net.Direction.IN)
        nets['wl2[36]'].setDirection(Net.Direction.IN)
        nets['wl1[37]'].setDirection(Net.Direction.IN)
        nets['wl2[37]'].setDirection(Net.Direction.IN)
        nets['wl1[38]'].setDirection(Net.Direction.IN)
        nets['wl2[38]'].setDirection(Net.Direction.IN)
        nets['wl1[39]'].setDirection(Net.Direction.IN)
        nets['wl2[39]'].setDirection(Net.Direction.IN)
        nets['wl1[40]'].setDirection(Net.Direction.IN)
        nets['wl2[40]'].setDirection(Net.Direction.IN)
        nets['wl1[41]'].setDirection(Net.Direction.IN)
        nets['wl2[41]'].setDirection(Net.Direction.IN)
        nets['wl1[42]'].setDirection(Net.Direction.IN)
        nets['wl2[42]'].setDirection(Net.Direction.IN)
        nets['wl1[43]'].setDirection(Net.Direction.IN)
        nets['wl2[43]'].setDirection(Net.Direction.IN)
        nets['wl1[44]'].setDirection(Net.Direction.IN)
        nets['wl2[44]'].setDirection(Net.Direction.IN)
        nets['wl1[45]'].setDirection(Net.Direction.IN)
        nets['wl2[45]'].setDirection(Net.Direction.IN)
        nets['wl1[46]'].setDirection(Net.Direction.IN)
        nets['wl2[46]'].setDirection(Net.Direction.IN)
        nets['wl1[47]'].setDirection(Net.Direction.IN)
        nets['wl2[47]'].setDirection(Net.Direction.IN)
        nets['wl1[48]'].setDirection(Net.Direction.IN)
        nets['wl2[48]'].setDirection(Net.Direction.IN)
        nets['wl1[49]'].setDirection(Net.Direction.IN)
        nets['wl2[49]'].setDirection(Net.Direction.IN)
        nets['wl1[50]'].setDirection(Net.Direction.IN)
        nets['wl2[50]'].setDirection(Net.Direction.IN)
        nets['wl1[51]'].setDirection(Net.Direction.IN)
        nets['wl2[51]'].setDirection(Net.Direction.IN)
        nets['wl1[52]'].setDirection(Net.Direction.IN)
        nets['wl2[52]'].setDirection(Net.Direction.IN)
        nets['wl1[53]'].setDirection(Net.Direction.IN)
        nets['wl2[53]'].setDirection(Net.Direction.IN)
        nets['wl1[54]'].setDirection(Net.Direction.IN)
        nets['wl2[54]'].setDirection(Net.Direction.IN)
        nets['wl1[55]'].setDirection(Net.Direction.IN)
        nets['wl2[55]'].setDirection(Net.Direction.IN)
        nets['wl1[56]'].setDirection(Net.Direction.IN)
        nets['wl2[56]'].setDirection(Net.Direction.IN)
        nets['wl1[57]'].setDirection(Net.Direction.IN)
        nets['wl2[57]'].setDirection(Net.Direction.IN)
        nets['wl1[58]'].setDirection(Net.Direction.IN)
        nets['wl2[58]'].setDirection(Net.Direction.IN)
        nets['wl1[59]'].setDirection(Net.Direction.IN)
        nets['wl2[59]'].setDirection(Net.Direction.IN)
        nets['wl1[60]'].setDirection(Net.Direction.IN)
        nets['wl2[60]'].setDirection(Net.Direction.IN)
        nets['wl1[61]'].setDirection(Net.Direction.IN)
        nets['wl2[61]'].setDirection(Net.Direction.IN)
        nets['wl1[62]'].setDirection(Net.Direction.IN)
        nets['wl2[62]'].setDirection(Net.Direction.IN)
        nets['wl1[63]'].setDirection(Net.Direction.IN)
        nets['wl2[63]'].setDirection(Net.Direction.IN)
        nets['wl1[64]'].setDirection(Net.Direction.IN)
        nets['wl2[64]'].setDirection(Net.Direction.IN)
        nets['wl1[65]'].setDirection(Net.Direction.IN)
        nets['wl2[65]'].setDirection(Net.Direction.IN)
        nets['wl1[66]'].setDirection(Net.Direction.IN)
        nets['wl2[66]'].setDirection(Net.Direction.IN)
        nets['wl1[67]'].setDirection(Net.Direction.IN)
        nets['wl2[67]'].setDirection(Net.Direction.IN)
        nets['wl1[68]'].setDirection(Net.Direction.IN)
        nets['wl2[68]'].setDirection(Net.Direction.IN)
        nets['wl1[69]'].setDirection(Net.Direction.IN)
        nets['wl2[69]'].setDirection(Net.Direction.IN)
        nets['wl1[70]'].setDirection(Net.Direction.IN)
        nets['wl2[70]'].setDirection(Net.Direction.IN)
        nets['wl1[71]'].setDirection(Net.Direction.IN)
        nets['wl2[71]'].setDirection(Net.Direction.IN)
        nets['wl1[72]'].setDirection(Net.Direction.IN)
        nets['wl2[72]'].setDirection(Net.Direction.IN)
        nets['wl1[73]'].setDirection(Net.Direction.IN)
        nets['wl2[73]'].setDirection(Net.Direction.IN)
        nets['wl1[74]'].setDirection(Net.Direction.IN)
        nets['wl2[74]'].setDirection(Net.Direction.IN)
        nets['wl1[75]'].setDirection(Net.Direction.IN)
        nets['wl2[75]'].setDirection(Net.Direction.IN)
        nets['wl1[76]'].setDirection(Net.Direction.IN)
        nets['wl2[76]'].setDirection(Net.Direction.IN)
        nets['wl1[77]'].setDirection(Net.Direction.IN)
        nets['wl2[77]'].setDirection(Net.Direction.IN)
        nets['wl1[78]'].setDirection(Net.Direction.IN)
        nets['wl2[78]'].setDirection(Net.Direction.IN)
        nets['wl1[79]'].setDirection(Net.Direction.IN)
        nets['wl2[79]'].setDirection(Net.Direction.IN)
        nets['wl1[80]'].setDirection(Net.Direction.IN)
        nets['wl2[80]'].setDirection(Net.Direction.IN)
        nets['wl1[81]'].setDirection(Net.Direction.IN)
        nets['wl2[81]'].setDirection(Net.Direction.IN)
        nets['wl1[82]'].setDirection(Net.Direction.IN)
        nets['wl2[82]'].setDirection(Net.Direction.IN)
        nets['wl1[83]'].setDirection(Net.Direction.IN)
        nets['wl2[83]'].setDirection(Net.Direction.IN)
        nets['wl1[84]'].setDirection(Net.Direction.IN)
        nets['wl2[84]'].setDirection(Net.Direction.IN)
        nets['wl1[85]'].setDirection(Net.Direction.IN)
        nets['wl2[85]'].setDirection(Net.Direction.IN)
        nets['wl1[86]'].setDirection(Net.Direction.IN)
        nets['wl2[86]'].setDirection(Net.Direction.IN)
        nets['wl1[87]'].setDirection(Net.Direction.IN)
        nets['wl2[87]'].setDirection(Net.Direction.IN)
        nets['wl1[88]'].setDirection(Net.Direction.IN)
        nets['wl2[88]'].setDirection(Net.Direction.IN)
        nets['wl1[89]'].setDirection(Net.Direction.IN)
        nets['wl2[89]'].setDirection(Net.Direction.IN)
        nets['wl1[90]'].setDirection(Net.Direction.IN)
        nets['wl2[90]'].setDirection(Net.Direction.IN)
        nets['wl1[91]'].setDirection(Net.Direction.IN)
        nets['wl2[91]'].setDirection(Net.Direction.IN)
        nets['wl1[92]'].setDirection(Net.Direction.IN)
        nets['wl2[92]'].setDirection(Net.Direction.IN)
        nets['wl1[93]'].setDirection(Net.Direction.IN)
        nets['wl2[93]'].setDirection(Net.Direction.IN)
        nets['wl1[94]'].setDirection(Net.Direction.IN)
        nets['wl2[94]'].setDirection(Net.Direction.IN)
        nets['wl1[95]'].setDirection(Net.Direction.IN)
        nets['wl2[95]'].setDirection(Net.Direction.IN)
        nets['wl1[96]'].setDirection(Net.Direction.IN)
        nets['wl2[96]'].setDirection(Net.Direction.IN)
        nets['wl1[97]'].setDirection(Net.Direction.IN)
        nets['wl2[97]'].setDirection(Net.Direction.IN)
        nets['wl1[98]'].setDirection(Net.Direction.IN)
        nets['wl2[98]'].setDirection(Net.Direction.IN)
        nets['wl1[99]'].setDirection(Net.Direction.IN)
        nets['wl2[99]'].setDirection(Net.Direction.IN)
        nets['wl1[100]'].setDirection(Net.Direction.IN)
        nets['wl2[100]'].setDirection(Net.Direction.IN)
        nets['wl1[101]'].setDirection(Net.Direction.IN)
        nets['wl2[101]'].setDirection(Net.Direction.IN)
        nets['wl1[102]'].setDirection(Net.Direction.IN)
        nets['wl2[102]'].setDirection(Net.Direction.IN)
        nets['wl1[103]'].setDirection(Net.Direction.IN)
        nets['wl2[103]'].setDirection(Net.Direction.IN)
        nets['wl1[104]'].setDirection(Net.Direction.IN)
        nets['wl2[104]'].setDirection(Net.Direction.IN)
        nets['wl1[105]'].setDirection(Net.Direction.IN)
        nets['wl2[105]'].setDirection(Net.Direction.IN)
        nets['wl1[106]'].setDirection(Net.Direction.IN)
        nets['wl2[106]'].setDirection(Net.Direction.IN)
        nets['wl1[107]'].setDirection(Net.Direction.IN)
        nets['wl2[107]'].setDirection(Net.Direction.IN)
        nets['wl1[108]'].setDirection(Net.Direction.IN)
        nets['wl2[108]'].setDirection(Net.Direction.IN)
        nets['wl1[109]'].setDirection(Net.Direction.IN)
        nets['wl2[109]'].setDirection(Net.Direction.IN)
        nets['wl1[110]'].setDirection(Net.Direction.IN)
        nets['wl2[110]'].setDirection(Net.Direction.IN)
        nets['wl1[111]'].setDirection(Net.Direction.IN)
        nets['wl2[111]'].setDirection(Net.Direction.IN)
        nets['wl1[112]'].setDirection(Net.Direction.IN)
        nets['wl2[112]'].setDirection(Net.Direction.IN)
        nets['wl1[113]'].setDirection(Net.Direction.IN)
        nets['wl2[113]'].setDirection(Net.Direction.IN)
        nets['wl1[114]'].setDirection(Net.Direction.IN)
        nets['wl2[114]'].setDirection(Net.Direction.IN)
        nets['wl1[115]'].setDirection(Net.Direction.IN)
        nets['wl2[115]'].setDirection(Net.Direction.IN)
        nets['wl1[116]'].setDirection(Net.Direction.IN)
        nets['wl2[116]'].setDirection(Net.Direction.IN)
        nets['wl1[117]'].setDirection(Net.Direction.IN)
        nets['wl2[117]'].setDirection(Net.Direction.IN)
        nets['wl1[118]'].setDirection(Net.Direction.IN)
        nets['wl2[118]'].setDirection(Net.Direction.IN)
        nets['wl1[119]'].setDirection(Net.Direction.IN)
        nets['wl2[119]'].setDirection(Net.Direction.IN)
        nets['wl1[120]'].setDirection(Net.Direction.IN)
        nets['wl2[120]'].setDirection(Net.Direction.IN)
        nets['wl1[121]'].setDirection(Net.Direction.IN)
        nets['wl2[121]'].setDirection(Net.Direction.IN)
        nets['wl1[122]'].setDirection(Net.Direction.IN)
        nets['wl2[122]'].setDirection(Net.Direction.IN)
        nets['wl1[123]'].setDirection(Net.Direction.IN)
        nets['wl2[123]'].setDirection(Net.Direction.IN)
        nets['wl1[124]'].setDirection(Net.Direction.IN)
        nets['wl2[124]'].setDirection(Net.Direction.IN)
        nets['wl1[125]'].setDirection(Net.Direction.IN)
        nets['wl2[125]'].setDirection(Net.Direction.IN)
        nets['wl1[126]'].setDirection(Net.Direction.IN)
        nets['wl2[126]'].setDirection(Net.Direction.IN)
        nets['wl1[127]'].setDirection(Net.Direction.IN)
        nets['wl2[127]'].setDirection(Net.Direction.IN)
        nets['bl1[0]'].setDirection(Net.Direction.IN)
        nets['bl1_n[0]'].setDirection(Net.Direction.IN)
        nets['bl2[0]'].setDirection(Net.Direction.IN)
        nets['bl2_n[0]'].setDirection(Net.Direction.IN)
        nets['bl1[1]'].setDirection(Net.Direction.IN)
        nets['bl1_n[1]'].setDirection(Net.Direction.IN)
        nets['bl2[1]'].setDirection(Net.Direction.IN)
        nets['bl2_n[1]'].setDirection(Net.Direction.IN)
        nets['bl1[2]'].setDirection(Net.Direction.IN)
        nets['bl1_n[2]'].setDirection(Net.Direction.IN)
        nets['bl2[2]'].setDirection(Net.Direction.IN)
        nets['bl2_n[2]'].setDirection(Net.Direction.IN)
        nets['bl1[3]'].setDirection(Net.Direction.IN)
        nets['bl1_n[3]'].setDirection(Net.Direction.IN)
        nets['bl2[3]'].setDirection(Net.Direction.IN)
        nets['bl2_n[3]'].setDirection(Net.Direction.IN)
        nets['bl1[4]'].setDirection(Net.Direction.IN)
        nets['bl1_n[4]'].setDirection(Net.Direction.IN)
        nets['bl2[4]'].setDirection(Net.Direction.IN)
        nets['bl2_n[4]'].setDirection(Net.Direction.IN)
        nets['bl1[5]'].setDirection(Net.Direction.IN)
        nets['bl1_n[5]'].setDirection(Net.Direction.IN)
        nets['bl2[5]'].setDirection(Net.Direction.IN)
        nets['bl2_n[5]'].setDirection(Net.Direction.IN)
        nets['bl1[6]'].setDirection(Net.Direction.IN)
        nets['bl1_n[6]'].setDirection(Net.Direction.IN)
        nets['bl2[6]'].setDirection(Net.Direction.IN)
        nets['bl2_n[6]'].setDirection(Net.Direction.IN)
        nets['bl1[7]'].setDirection(Net.Direction.IN)
        nets['bl1_n[7]'].setDirection(Net.Direction.IN)
        nets['bl2[7]'].setDirection(Net.Direction.IN)
        nets['bl2_n[7]'].setDirection(Net.Direction.IN)
        nets['bl1[8]'].setDirection(Net.Direction.IN)
        nets['bl1_n[8]'].setDirection(Net.Direction.IN)
        nets['bl2[8]'].setDirection(Net.Direction.IN)
        nets['bl2_n[8]'].setDirection(Net.Direction.IN)
        nets['bl1[9]'].setDirection(Net.Direction.IN)
        nets['bl1_n[9]'].setDirection(Net.Direction.IN)
        nets['bl2[9]'].setDirection(Net.Direction.IN)
        nets['bl2_n[9]'].setDirection(Net.Direction.IN)
        nets['bl1[10]'].setDirection(Net.Direction.IN)
        nets['bl1_n[10]'].setDirection(Net.Direction.IN)
        nets['bl2[10]'].setDirection(Net.Direction.IN)
        nets['bl2_n[10]'].setDirection(Net.Direction.IN)
        nets['bl1[11]'].setDirection(Net.Direction.IN)
        nets['bl1_n[11]'].setDirection(Net.Direction.IN)
        nets['bl2[11]'].setDirection(Net.Direction.IN)
        nets['bl2_n[11]'].setDirection(Net.Direction.IN)
        nets['bl1[12]'].setDirection(Net.Direction.IN)
        nets['bl1_n[12]'].setDirection(Net.Direction.IN)
        nets['bl2[12]'].setDirection(Net.Direction.IN)
        nets['bl2_n[12]'].setDirection(Net.Direction.IN)
        nets['bl1[13]'].setDirection(Net.Direction.IN)
        nets['bl1_n[13]'].setDirection(Net.Direction.IN)
        nets['bl2[13]'].setDirection(Net.Direction.IN)
        nets['bl2_n[13]'].setDirection(Net.Direction.IN)
        nets['bl1[14]'].setDirection(Net.Direction.IN)
        nets['bl1_n[14]'].setDirection(Net.Direction.IN)
        nets['bl2[14]'].setDirection(Net.Direction.IN)
        nets['bl2_n[14]'].setDirection(Net.Direction.IN)
        nets['bl1[15]'].setDirection(Net.Direction.IN)
        nets['bl1_n[15]'].setDirection(Net.Direction.IN)
        nets['bl2[15]'].setDirection(Net.Direction.IN)
        nets['bl2_n[15]'].setDirection(Net.Direction.IN)
        nets['bl1[16]'].setDirection(Net.Direction.IN)
        nets['bl1_n[16]'].setDirection(Net.Direction.IN)
        nets['bl2[16]'].setDirection(Net.Direction.IN)
        nets['bl2_n[16]'].setDirection(Net.Direction.IN)
        nets['bl1[17]'].setDirection(Net.Direction.IN)
        nets['bl1_n[17]'].setDirection(Net.Direction.IN)
        nets['bl2[17]'].setDirection(Net.Direction.IN)
        nets['bl2_n[17]'].setDirection(Net.Direction.IN)
        nets['bl1[18]'].setDirection(Net.Direction.IN)
        nets['bl1_n[18]'].setDirection(Net.Direction.IN)
        nets['bl2[18]'].setDirection(Net.Direction.IN)
        nets['bl2_n[18]'].setDirection(Net.Direction.IN)
        nets['bl1[19]'].setDirection(Net.Direction.IN)
        nets['bl1_n[19]'].setDirection(Net.Direction.IN)
        nets['bl2[19]'].setDirection(Net.Direction.IN)
        nets['bl2_n[19]'].setDirection(Net.Direction.IN)
        nets['bl1[20]'].setDirection(Net.Direction.IN)
        nets['bl1_n[20]'].setDirection(Net.Direction.IN)
        nets['bl2[20]'].setDirection(Net.Direction.IN)
        nets['bl2_n[20]'].setDirection(Net.Direction.IN)
        nets['bl1[21]'].setDirection(Net.Direction.IN)
        nets['bl1_n[21]'].setDirection(Net.Direction.IN)
        nets['bl2[21]'].setDirection(Net.Direction.IN)
        nets['bl2_n[21]'].setDirection(Net.Direction.IN)
        nets['bl1[22]'].setDirection(Net.Direction.IN)
        nets['bl1_n[22]'].setDirection(Net.Direction.IN)
        nets['bl2[22]'].setDirection(Net.Direction.IN)
        nets['bl2_n[22]'].setDirection(Net.Direction.IN)
        nets['bl1[23]'].setDirection(Net.Direction.IN)
        nets['bl1_n[23]'].setDirection(Net.Direction.IN)
        nets['bl2[23]'].setDirection(Net.Direction.IN)
        nets['bl2_n[23]'].setDirection(Net.Direction.IN)
        nets['bl1[24]'].setDirection(Net.Direction.IN)
        nets['bl1_n[24]'].setDirection(Net.Direction.IN)
        nets['bl2[24]'].setDirection(Net.Direction.IN)
        nets['bl2_n[24]'].setDirection(Net.Direction.IN)
        nets['bl1[25]'].setDirection(Net.Direction.IN)
        nets['bl1_n[25]'].setDirection(Net.Direction.IN)
        nets['bl2[25]'].setDirection(Net.Direction.IN)
        nets['bl2_n[25]'].setDirection(Net.Direction.IN)
        nets['bl1[26]'].setDirection(Net.Direction.IN)
        nets['bl1_n[26]'].setDirection(Net.Direction.IN)
        nets['bl2[26]'].setDirection(Net.Direction.IN)
        nets['bl2_n[26]'].setDirection(Net.Direction.IN)
        nets['bl1[27]'].setDirection(Net.Direction.IN)
        nets['bl1_n[27]'].setDirection(Net.Direction.IN)
        nets['bl2[27]'].setDirection(Net.Direction.IN)
        nets['bl2_n[27]'].setDirection(Net.Direction.IN)
        nets['bl1[28]'].setDirection(Net.Direction.IN)
        nets['bl1_n[28]'].setDirection(Net.Direction.IN)
        nets['bl2[28]'].setDirection(Net.Direction.IN)
        nets['bl2_n[28]'].setDirection(Net.Direction.IN)
        nets['bl1[29]'].setDirection(Net.Direction.IN)
        nets['bl1_n[29]'].setDirection(Net.Direction.IN)
        nets['bl2[29]'].setDirection(Net.Direction.IN)
        nets['bl2_n[29]'].setDirection(Net.Direction.IN)
        nets['bl1[30]'].setDirection(Net.Direction.IN)
        nets['bl1_n[30]'].setDirection(Net.Direction.IN)
        nets['bl2[30]'].setDirection(Net.Direction.IN)
        nets['bl2_n[30]'].setDirection(Net.Direction.IN)
        nets['bl1[31]'].setDirection(Net.Direction.IN)
        nets['bl1_n[31]'].setDirection(Net.Direction.IN)
        nets['bl2[31]'].setDirection(Net.Direction.IN)
        nets['bl2_n[31]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TArray_64X32']
        except:
            subcell = af.getCell('DP8TArray_64X32', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TArray_64X32']
        except:
            subcell = af.getCell('DP8TArray_64X32', 0)
        trans = Transformation(
            u(0.0), u(148.8), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst1x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TArray_64X32']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(107.20000000000002), u(148.8),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl1[0]': Net.create(cell, 'bl1[0]'),
            'bl1[10]': Net.create(cell, 'bl1[10]'),
            'bl1[11]': Net.create(cell, 'bl1[11]'),
            'bl1[12]': Net.create(cell, 'bl1[12]'),
            'bl1[13]': Net.create(cell, 'bl1[13]'),
            'bl1[14]': Net.create(cell, 'bl1[14]'),
            'bl1[15]': Net.create(cell, 'bl1[15]'),
            'bl1[16]': Net.create(cell, 'bl1[16]'),
            'bl1[17]': Net.create(cell, 'bl1[17]'),
            'bl1[18]': Net.create(cell, 'bl1[18]'),
            'bl1[19]': Net.create(cell, 'bl1[19]'),
            'bl1[1]': Net.create(cell, 'bl1[1]'),
            'bl1[20]': Net.create(cell, 'bl1[20]'),
            'bl1[21]': Net.create(cell, 'bl1[21]'),
            'bl1[22]': Net.create(cell, 'bl1[22]'),
            'bl1[23]': Net.create(cell, 'bl1[23]'),
            'bl1[24]': Net.create(cell, 'bl1[24]'),
            'bl1[25]': Net.create(cell, 'bl1[25]'),
            'bl1[26]': Net.create(cell, 'bl1[26]'),
            'bl1[27]': Net.create(cell, 'bl1[27]'),
            'bl1[28]': Net.create(cell, 'bl1[28]'),
            'bl1[29]': Net.create(cell, 'bl1[29]'),
            'bl1[2]': Net.create(cell, 'bl1[2]'),
            'bl1[30]': Net.create(cell, 'bl1[30]'),
            'bl1[31]': Net.create(cell, 'bl1[31]'),
            'bl1[3]': Net.create(cell, 'bl1[3]'),
            'bl1[4]': Net.create(cell, 'bl1[4]'),
            'bl1[5]': Net.create(cell, 'bl1[5]'),
            'bl1[6]': Net.create(cell, 'bl1[6]'),
            'bl1[7]': Net.create(cell, 'bl1[7]'),
            'bl1[8]': Net.create(cell, 'bl1[8]'),
            'bl1[9]': Net.create(cell, 'bl1[9]'),
            'bl1_n[0]': Net.create(cell, 'bl1_n[0]'),
            'bl1_n[10]': Net.create(cell, 'bl1_n[10]'),
            'bl1_n[11]': Net.create(cell, 'bl1_n[11]'),
            'bl1_n[12]': Net.create(cell, 'bl1_n[12]'),
            'bl1_n[13]': Net.create(cell, 'bl1_n[13]'),
            'bl1_n[14]': Net.create(cell, 'bl1_n[14]'),
            'bl1_n[15]': Net.create(cell, 'bl1_n[15]'),
            'bl1_n[16]': Net.create(cell, 'bl1_n[16]'),
            'bl1_n[17]': Net.create(cell, 'bl1_n[17]'),
            'bl1_n[18]': Net.create(cell, 'bl1_n[18]'),
            'bl1_n[19]': Net.create(cell, 'bl1_n[19]'),
            'bl1_n[1]': Net.create(cell, 'bl1_n[1]'),
            'bl1_n[20]': Net.create(cell, 'bl1_n[20]'),
            'bl1_n[21]': Net.create(cell, 'bl1_n[21]'),
            'bl1_n[22]': Net.create(cell, 'bl1_n[22]'),
            'bl1_n[23]': Net.create(cell, 'bl1_n[23]'),
            'bl1_n[24]': Net.create(cell, 'bl1_n[24]'),
            'bl1_n[25]': Net.create(cell, 'bl1_n[25]'),
            'bl1_n[26]': Net.create(cell, 'bl1_n[26]'),
            'bl1_n[27]': Net.create(cell, 'bl1_n[27]'),
            'bl1_n[28]': Net.create(cell, 'bl1_n[28]'),
            'bl1_n[29]': Net.create(cell, 'bl1_n[29]'),
            'bl1_n[2]': Net.create(cell, 'bl1_n[2]'),
            'bl1_n[30]': Net.create(cell, 'bl1_n[30]'),
            'bl1_n[31]': Net.create(cell, 'bl1_n[31]'),
            'bl1_n[3]': Net.create(cell, 'bl1_n[3]'),
            'bl1_n[4]': Net.create(cell, 'bl1_n[4]'),
            'bl1_n[5]': Net.create(cell, 'bl1_n[5]'),
            'bl1_n[6]': Net.create(cell, 'bl1_n[6]'),
            'bl1_n[7]': Net.create(cell, 'bl1_n[7]'),
            'bl1_n[8]': Net.create(cell, 'bl1_n[8]'),
            'bl1_n[9]': Net.create(cell, 'bl1_n[9]'),
            'bl2[0]': Net.create(cell, 'bl2[0]'),
            'bl2[10]': Net.create(cell, 'bl2[10]'),
            'bl2[11]': Net.create(cell, 'bl2[11]'),
            'bl2[12]': Net.create(cell, 'bl2[12]'),
            'bl2[13]': Net.create(cell, 'bl2[13]'),
            'bl2[14]': Net.create(cell, 'bl2[14]'),
            'bl2[15]': Net.create(cell, 'bl2[15]'),
            'bl2[16]': Net.create(cell, 'bl2[16]'),
            'bl2[17]': Net.create(cell, 'bl2[17]'),
            'bl2[18]': Net.create(cell, 'bl2[18]'),
            'bl2[19]': Net.create(cell, 'bl2[19]'),
            'bl2[1]': Net.create(cell, 'bl2[1]'),
            'bl2[20]': Net.create(cell, 'bl2[20]'),
            'bl2[21]': Net.create(cell, 'bl2[21]'),
            'bl2[22]': Net.create(cell, 'bl2[22]'),
            'bl2[23]': Net.create(cell, 'bl2[23]'),
            'bl2[24]': Net.create(cell, 'bl2[24]'),
            'bl2[25]': Net.create(cell, 'bl2[25]'),
            'bl2[26]': Net.create(cell, 'bl2[26]'),
            'bl2[27]': Net.create(cell, 'bl2[27]'),
            'bl2[28]': Net.create(cell, 'bl2[28]'),
            'bl2[29]': Net.create(cell, 'bl2[29]'),
            'bl2[2]': Net.create(cell, 'bl2[2]'),
            'bl2[30]': Net.create(cell, 'bl2[30]'),
            'bl2[31]': Net.create(cell, 'bl2[31]'),
            'bl2[3]': Net.create(cell, 'bl2[3]'),
            'bl2[4]': Net.create(cell, 'bl2[4]'),
            'bl2[5]': Net.create(cell, 'bl2[5]'),
            'bl2[6]': Net.create(cell, 'bl2[6]'),
            'bl2[7]': Net.create(cell, 'bl2[7]'),
            'bl2[8]': Net.create(cell, 'bl2[8]'),
            'bl2[9]': Net.create(cell, 'bl2[9]'),
            'bl2_n[0]': Net.create(cell, 'bl2_n[0]'),
            'bl2_n[10]': Net.create(cell, 'bl2_n[10]'),
            'bl2_n[11]': Net.create(cell, 'bl2_n[11]'),
            'bl2_n[12]': Net.create(cell, 'bl2_n[12]'),
            'bl2_n[13]': Net.create(cell, 'bl2_n[13]'),
            'bl2_n[14]': Net.create(cell, 'bl2_n[14]'),
            'bl2_n[15]': Net.create(cell, 'bl2_n[15]'),
            'bl2_n[16]': Net.create(cell, 'bl2_n[16]'),
            'bl2_n[17]': Net.create(cell, 'bl2_n[17]'),
            'bl2_n[18]': Net.create(cell, 'bl2_n[18]'),
            'bl2_n[19]': Net.create(cell, 'bl2_n[19]'),
            'bl2_n[1]': Net.create(cell, 'bl2_n[1]'),
            'bl2_n[20]': Net.create(cell, 'bl2_n[20]'),
            'bl2_n[21]': Net.create(cell, 'bl2_n[21]'),
            'bl2_n[22]': Net.create(cell, 'bl2_n[22]'),
            'bl2_n[23]': Net.create(cell, 'bl2_n[23]'),
            'bl2_n[24]': Net.create(cell, 'bl2_n[24]'),
            'bl2_n[25]': Net.create(cell, 'bl2_n[25]'),
            'bl2_n[26]': Net.create(cell, 'bl2_n[26]'),
            'bl2_n[27]': Net.create(cell, 'bl2_n[27]'),
            'bl2_n[28]': Net.create(cell, 'bl2_n[28]'),
            'bl2_n[29]': Net.create(cell, 'bl2_n[29]'),
            'bl2_n[2]': Net.create(cell, 'bl2_n[2]'),
            'bl2_n[30]': Net.create(cell, 'bl2_n[30]'),
            'bl2_n[31]': Net.create(cell, 'bl2_n[31]'),
            'bl2_n[3]': Net.create(cell, 'bl2_n[3]'),
            'bl2_n[4]': Net.create(cell, 'bl2_n[4]'),
            'bl2_n[5]': Net.create(cell, 'bl2_n[5]'),
            'bl2_n[6]': Net.create(cell, 'bl2_n[6]'),
            'bl2_n[7]': Net.create(cell, 'bl2_n[7]'),
            'bl2_n[8]': Net.create(cell, 'bl2_n[8]'),
            'bl2_n[9]': Net.create(cell, 'bl2_n[9]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl1[0]': Net.create(cell, 'wl1[0]'),
            'wl1[10]': Net.create(cell, 'wl1[10]'),
            'wl1[11]': Net.create(cell, 'wl1[11]'),
            'wl1[12]': Net.create(cell, 'wl1[12]'),
            'wl1[13]': Net.create(cell, 'wl1[13]'),
            'wl1[14]': Net.create(cell, 'wl1[14]'),
            'wl1[15]': Net.create(cell, 'wl1[15]'),
            'wl1[16]': Net.create(cell, 'wl1[16]'),
            'wl1[17]': Net.create(cell, 'wl1[17]'),
            'wl1[18]': Net.create(cell, 'wl1[18]'),
            'wl1[19]': Net.create(cell, 'wl1[19]'),
            'wl1[1]': Net.create(cell, 'wl1[1]'),
            'wl1[20]': Net.create(cell, 'wl1[20]'),
            'wl1[21]': Net.create(cell, 'wl1[21]'),
            'wl1[22]': Net.create(cell, 'wl1[22]'),
            'wl1[23]': Net.create(cell, 'wl1[23]'),
            'wl1[24]': Net.create(cell, 'wl1[24]'),
            'wl1[25]': Net.create(cell, 'wl1[25]'),
            'wl1[26]': Net.create(cell, 'wl1[26]'),
            'wl1[27]': Net.create(cell, 'wl1[27]'),
            'wl1[28]': Net.create(cell, 'wl1[28]'),
            'wl1[29]': Net.create(cell, 'wl1[29]'),
            'wl1[2]': Net.create(cell, 'wl1[2]'),
            'wl1[30]': Net.create(cell, 'wl1[30]'),
            'wl1[31]': Net.create(cell, 'wl1[31]'),
            'wl1[32]': Net.create(cell, 'wl1[32]'),
            'wl1[33]': Net.create(cell, 'wl1[33]'),
            'wl1[34]': Net.create(cell, 'wl1[34]'),
            'wl1[35]': Net.create(cell, 'wl1[35]'),
            'wl1[36]': Net.create(cell, 'wl1[36]'),
            'wl1[37]': Net.create(cell, 'wl1[37]'),
            'wl1[38]': Net.create(cell, 'wl1[38]'),
            'wl1[39]': Net.create(cell, 'wl1[39]'),
            'wl1[3]': Net.create(cell, 'wl1[3]'),
            'wl1[40]': Net.create(cell, 'wl1[40]'),
            'wl1[41]': Net.create(cell, 'wl1[41]'),
            'wl1[42]': Net.create(cell, 'wl1[42]'),
            'wl1[43]': Net.create(cell, 'wl1[43]'),
            'wl1[44]': Net.create(cell, 'wl1[44]'),
            'wl1[45]': Net.create(cell, 'wl1[45]'),
            'wl1[46]': Net.create(cell, 'wl1[46]'),
            'wl1[47]': Net.create(cell, 'wl1[47]'),
            'wl1[48]': Net.create(cell, 'wl1[48]'),
            'wl1[49]': Net.create(cell, 'wl1[49]'),
            'wl1[4]': Net.create(cell, 'wl1[4]'),
            'wl1[50]': Net.create(cell, 'wl1[50]'),
            'wl1[51]': Net.create(cell, 'wl1[51]'),
            'wl1[52]': Net.create(cell, 'wl1[52]'),
            'wl1[53]': Net.create(cell, 'wl1[53]'),
            'wl1[54]': Net.create(cell, 'wl1[54]'),
            'wl1[55]': Net.create(cell, 'wl1[55]'),
            'wl1[56]': Net.create(cell, 'wl1[56]'),
            'wl1[57]': Net.create(cell, 'wl1[57]'),
            'wl1[58]': Net.create(cell, 'wl1[58]'),
            'wl1[59]': Net.create(cell, 'wl1[59]'),
            'wl1[5]': Net.create(cell, 'wl1[5]'),
            'wl1[60]': Net.create(cell, 'wl1[60]'),
            'wl1[61]': Net.create(cell, 'wl1[61]'),
            'wl1[62]': Net.create(cell, 'wl1[62]'),
            'wl1[63]': Net.create(cell, 'wl1[63]'),
            'wl1[6]': Net.create(cell, 'wl1[6]'),
            'wl1[7]': Net.create(cell, 'wl1[7]'),
            'wl1[8]': Net.create(cell, 'wl1[8]'),
            'wl1[9]': Net.create(cell, 'wl1[9]'),
            'wl2[0]': Net.create(cell, 'wl2[0]'),
            'wl2[10]': Net.create(cell, 'wl2[10]'),
            'wl2[11]': Net.create(cell, 'wl2[11]'),
            'wl2[12]': Net.create(cell, 'wl2[12]'),
            'wl2[13]': Net.create(cell, 'wl2[13]'),
            'wl2[14]': Net.create(cell, 'wl2[14]'),
            'wl2[15]': Net.create(cell, 'wl2[15]'),
            'wl2[16]': Net.create(cell, 'wl2[16]'),
            'wl2[17]': Net.create(cell, 'wl2[17]'),
            'wl2[18]': Net.create(cell, 'wl2[18]'),
            'wl2[19]': Net.create(cell, 'wl2[19]'),
            'wl2[1]': Net.create(cell, 'wl2[1]'),
            'wl2[20]': Net.create(cell, 'wl2[20]'),
            'wl2[21]': Net.create(cell, 'wl2[21]'),
            'wl2[22]': Net.create(cell, 'wl2[22]'),
            'wl2[23]': Net.create(cell, 'wl2[23]'),
            'wl2[24]': Net.create(cell, 'wl2[24]'),
            'wl2[25]': Net.create(cell, 'wl2[25]'),
            'wl2[26]': Net.create(cell, 'wl2[26]'),
            'wl2[27]': Net.create(cell, 'wl2[27]'),
            'wl2[28]': Net.create(cell, 'wl2[28]'),
            'wl2[29]': Net.create(cell, 'wl2[29]'),
            'wl2[2]': Net.create(cell, 'wl2[2]'),
            'wl2[30]': Net.create(cell, 'wl2[30]'),
            'wl2[31]': Net.create(cell, 'wl2[31]'),
            'wl2[32]': Net.create(cell, 'wl2[32]'),
            'wl2[33]': Net.create(cell, 'wl2[33]'),
            'wl2[34]': Net.create(cell, 'wl2[34]'),
            'wl2[35]': Net.create(cell, 'wl2[35]'),
            'wl2[36]': Net.create(cell, 'wl2[36]'),
            'wl2[37]': Net.create(cell, 'wl2[37]'),
            'wl2[38]': Net.create(cell, 'wl2[38]'),
            'wl2[39]': Net.create(cell, 'wl2[39]'),
            'wl2[3]': Net.create(cell, 'wl2[3]'),
            'wl2[40]': Net.create(cell, 'wl2[40]'),
            'wl2[41]': Net.create(cell, 'wl2[41]'),
            'wl2[42]': Net.create(cell, 'wl2[42]'),
            'wl2[43]': Net.create(cell, 'wl2[43]'),
            'wl2[44]': Net.create(cell, 'wl2[44]'),
            'wl2[45]': Net.create(cell, 'wl2[45]'),
            'wl2[46]': Net.create(cell, 'wl2[46]'),
            'wl2[47]': Net.create(cell, 'wl2[47]'),
            'wl2[48]': Net.create(cell, 'wl2[48]'),
            'wl2[49]': Net.create(cell, 'wl2[49]'),
            'wl2[4]': Net.create(cell, 'wl2[4]'),
            'wl2[50]': Net.create(cell, 'wl2[50]'),
            'wl2[51]': Net.create(cell, 'wl2[51]'),
            'wl2[52]': Net.create(cell, 'wl2[52]'),
            'wl2[53]': Net.create(cell, 'wl2[53]'),
            'wl2[54]': Net.create(cell, 'wl2[54]'),
            'wl2[55]': Net.create(cell, 'wl2[55]'),
            'wl2[56]': Net.create(cell, 'wl2[56]'),
            'wl2[57]': Net.create(cell, 'wl2[57]'),
            'wl2[58]': Net.create(cell, 'wl2[58]'),
            'wl2[59]': Net.create(cell, 'wl2[59]'),
            'wl2[5]': Net.create(cell, 'wl2[5]'),
            'wl2[60]': Net.create(cell, 'wl2[60]'),
            'wl2[61]': Net.create(cell, 'wl2[61]'),
            'wl2[62]': Net.create(cell, 'wl2[62]'),
            'wl2[63]': Net.create(cell, 'wl2[63]'),
            'wl2[6]': Net.create(cell, 'wl2[6]'),
            'wl2[7]': Net.create(cell, 'wl2[7]'),
            'wl2[8]': Net.create(cell, 'wl2[8]'),
            'wl2[9]': Net.create(cell, 'wl2[9]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,17.59),(0.0,18.17),(107.2,18.17),(107.2,17.59),(0.0,17.59)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,50.14),(0.0,50.72),(107.2,50.72),(107.2,50.14),(0.0,50.14)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,8.29),(0.0,8.87),(107.2,8.87),(107.2,8.29),(0.0,8.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,87.34),(0.0,87.92),(107.2,87.92),(107.2,87.34),(0.0,87.34)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,143.14),(0.0,143.72),(107.2,143.72),(107.2,143.14),(0.0,143.14)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,101.29),(0.0,101.87),(107.2,101.87),(107.2,101.29),(0.0,101.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,59.44),(0.0,60.02),(107.2,60.02),(107.2,59.44),(0.0,59.44)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,91.99),(0.0,92.57),(107.2,92.57),(107.2,91.99),(0.0,91.99)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,138.49),(0.0,139.07),(107.2,139.07),(107.2,138.49),(0.0,138.49)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,82.69),(0.0,83.27),(107.2,83.27),(107.2,82.69),(0.0,82.69)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,31.54),(0.0,32.12),(107.2,32.12),(107.2,31.54),(0.0,31.54)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,147.79),(0.0,148.37),(107.2,148.37),(107.2,147.79),(0.0,147.79)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,40.84),(0.0,41.42),(107.2,41.42),(107.2,40.84),(0.0,40.84)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,3.64),(0.0,4.22),(107.2,4.22),(107.2,3.64),(0.0,3.64)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,45.49),(0.0,46.07),(107.2,46.07),(107.2,45.49),(0.0,45.49)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,22.24),(0.0,22.82),(107.2,22.82),(107.2,22.24),(0.0,22.24)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,78.04),(0.0,78.62),(107.2,78.62),(107.2,78.04),(0.0,78.04)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,124.54),(0.0,125.12),(107.2,125.12),(107.2,124.54),(0.0,124.54)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,96.64),(0.0,97.22),(107.2,97.22),(107.2,96.64),(0.0,96.64)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,68.74),(0.0,69.32),(107.2,69.32),(107.2,68.74),(0.0,68.74)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,26.89),(0.0,27.47),(107.2,27.47),(107.2,26.89),(0.0,26.89)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,119.89),(0.0,120.47),(107.2,120.47),(107.2,119.89),(0.0,119.89)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,115.24),(0.0,115.82),(107.2,115.82),(107.2,115.24),(0.0,115.24)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,129.19),(0.0,129.77),(107.2,129.77),(107.2,129.19),(0.0,129.19)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,64.09),(0.0,64.67),(107.2,64.67),(107.2,64.09),(0.0,64.09)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,12.94),(0.0,13.52),(107.2,13.52),(107.2,12.94),(0.0,12.94)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,105.94),(0.0,106.52),(107.2,106.52),(107.2,105.94),(0.0,105.94)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,36.19),(0.0,36.77),(107.2,36.77),(107.2,36.19),(0.0,36.19)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,54.79),(0.0,55.37),(107.2,55.37),(107.2,54.79),(0.0,54.79)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,110.59),(0.0,111.17),(107.2,111.17),(107.2,110.59),(0.0,110.59)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,133.84),(0.0,134.42),(107.2,134.42),(107.2,133.84),(0.0,133.84)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,73.39),(0.0,73.97),(107.2,73.97),(107.2,73.39),(0.0,73.39)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(17.88), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(17.88), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.43), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.43), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.58), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.58), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(87.63), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(87.63), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(143.43), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(143.43), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(101.58), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(101.58), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(59.73), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(59.73), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(92.28), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(92.28), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(138.78), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(138.78), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(82.98), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(82.98), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(31.83), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(31.83), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(148.08), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(148.08), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(41.13), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(41.13), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.93), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.93), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(45.78), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(45.78), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(22.53), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(22.53), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(78.33), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(78.33), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(124.83), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(124.83), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(96.93), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(96.93), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(69.03), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(69.03), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(27.18), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(27.18), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(120.18), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(120.18), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(115.53), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(115.53), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(129.48), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(129.48), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(64.38), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(64.38), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.23), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.23), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(106.23), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(106.23), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(36.48), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(36.48), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(55.08), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(55.08), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(110.88), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(110.88), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(134.13), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(134.13), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(73.68), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(73.68), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,139.21),(0.0,139.79),(107.2,139.79),(107.2,139.21),(0.0,139.21)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,13.66),(0.0,14.24),(107.2,14.24),(107.2,13.66),(0.0,13.66)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,18.31),(0.0,18.89),(107.2,18.89),(107.2,18.31),(0.0,18.31)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,92.71),(0.0,93.29),(107.2,93.29),(107.2,92.71),(0.0,92.71)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,64.81),(0.0,65.39),(107.2,65.39),(107.2,64.81),(0.0,64.81)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,120.61),(0.0,121.19),(107.2,121.19),(107.2,120.61),(0.0,120.61)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,27.61),(0.0,28.19),(107.2,28.19),(107.2,27.61),(0.0,27.61)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,36.91),(0.0,37.49),(107.2,37.49),(107.2,36.91),(0.0,36.91)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,148.51),(0.0,149.09),(107.2,149.09),(107.2,148.51),(0.0,148.51)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,83.41),(0.0,83.99),(107.2,83.99),(107.2,83.41),(0.0,83.41)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,60.16),(0.0,60.74),(107.2,60.74),(107.2,60.16),(0.0,60.16)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,125.26),(0.0,125.84),(107.2,125.84),(107.2,125.26),(0.0,125.26)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,32.26),(0.0,32.84),(107.2,32.84),(107.2,32.26),(0.0,32.26)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,50.86),(0.0,51.44),(107.2,51.44),(107.2,50.86),(0.0,50.86)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,88.06),(0.0,88.64),(107.2,88.64),(107.2,88.06),(0.0,88.06)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,143.86),(0.0,144.44),(107.2,144.44),(107.2,143.86),(0.0,143.86)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,4.36),(0.0,4.94),(107.2,4.94),(107.2,4.36),(0.0,4.36)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,115.96),(0.0,116.54),(107.2,116.54),(107.2,115.96),(0.0,115.96)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,46.21),(0.0,46.79),(107.2,46.79),(107.2,46.21),(0.0,46.21)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,111.31),(0.0,111.89),(107.2,111.89),(107.2,111.31),(0.0,111.31)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,134.56),(0.0,135.14),(107.2,135.14),(107.2,134.56),(0.0,134.56)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,106.66),(0.0,107.24),(107.2,107.24),(107.2,106.66),(0.0,106.66)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,55.51),(0.0,56.09),(107.2,56.09),(107.2,55.51),(0.0,55.51)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,129.91),(0.0,130.49),(107.2,130.49),(107.2,129.91),(0.0,129.91)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,97.36),(0.0,97.94),(107.2,97.94),(107.2,97.36),(0.0,97.36)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.29),(0.0,0.29),(107.2,0.29),(107.2,-0.29),(0.0,-0.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,102.01),(0.0,102.59),(107.2,102.59),(107.2,102.01),(0.0,102.01)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,41.56),(0.0,42.14),(107.2,42.14),(107.2,41.56),(0.0,41.56)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,69.46),(0.0,70.04),(107.2,70.04),(107.2,69.46),(0.0,69.46)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,22.96),(0.0,23.54),(107.2,23.54),(107.2,22.96),(0.0,22.96)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,74.11),(0.0,74.69),(107.2,74.69),(107.2,74.11),(0.0,74.11)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,78.76),(0.0,79.34),(107.2,79.34),(107.2,78.76),(0.0,78.76)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,9.01),(0.0,9.59),(107.2,9.59),(107.2,9.01),(0.0,9.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(139.5), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(139.5), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.95), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.95), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.6), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.6), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(93.0), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(93.0), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(65.1), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(65.1), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(120.9), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(120.9), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(27.9), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(27.9), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(37.2), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(37.2), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(148.8), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(148.8), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(83.7), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(83.7), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(60.45), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(60.45), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(125.55), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(125.55), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(32.55), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(32.55), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.15), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.15), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(88.35), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(88.35), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(144.15), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(144.15), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(4.65), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(4.65), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(116.25), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(116.25), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(46.5), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(46.5), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(111.6), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(111.6), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(134.85), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(134.85), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(106.95), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(106.95), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(55.8), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(55.8), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(130.2), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(130.2), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(97.65), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(97.65), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(102.3), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(102.3), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(41.85), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(41.85), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(69.75), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(69.75), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(23.25), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(23.25), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(74.4), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(74.4), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(79.05), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(79.05), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.3), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.3), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.88),(0.0,2.14),(107.2,2.14),(107.2,1.88),(0.0,1.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.38),(0.0,1.64),(107.2,1.64),(107.2,1.38),(0.0,1.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,2.51),(0.0,2.77),(107.2,2.77),(107.2,2.51),(0.0,2.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.01),(0.0,3.27),(107.2,3.27),(107.2,3.01),(0.0,3.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.53),(0.0,6.79),(107.2,6.79),(107.2,6.53),(0.0,6.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.03),(0.0,6.29),(107.2,6.29),(107.2,6.03),(0.0,6.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.16),(0.0,7.42),(107.2,7.42),(107.2,7.16),(0.0,7.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.66),(0.0,7.92),(107.2,7.92),(107.2,7.66),(0.0,7.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,11.18),(0.0,11.44),(107.2,11.44),(107.2,11.18),(0.0,11.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,10.68),(0.0,10.94),(107.2,10.94),(107.2,10.68),(0.0,10.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,11.81),(0.0,12.07),(107.2,12.07),(107.2,11.81),(0.0,11.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,12.31),(0.0,12.57),(107.2,12.57),(107.2,12.31),(0.0,12.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,15.83),(0.0,16.09),(107.2,16.09),(107.2,15.83),(0.0,15.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,15.33),(0.0,15.59),(107.2,15.59),(107.2,15.33),(0.0,15.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,16.46),(0.0,16.72),(107.2,16.72),(107.2,16.46),(0.0,16.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,16.96),(0.0,17.22),(107.2,17.22),(107.2,16.96),(0.0,16.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(17.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(17.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,20.48),(0.0,20.74),(107.2,20.74),(107.2,20.48),(0.0,20.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(20.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(20.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,19.98),(0.0,20.24),(107.2,20.24),(107.2,19.98),(0.0,19.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(20.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(20.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,21.11),(0.0,21.37),(107.2,21.37),(107.2,21.11),(0.0,21.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,21.61),(0.0,21.87),(107.2,21.87),(107.2,21.61),(0.0,21.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,25.13),(0.0,25.39),(107.2,25.39),(107.2,25.13),(0.0,25.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,24.63),(0.0,24.89),(107.2,24.89),(107.2,24.63),(0.0,24.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(24.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(24.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,25.76),(0.0,26.02),(107.2,26.02),(107.2,25.76),(0.0,25.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,26.26),(0.0,26.52),(107.2,26.52),(107.2,26.26),(0.0,26.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(26.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(26.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,29.78),(0.0,30.04),(107.2,30.04),(107.2,29.78),(0.0,29.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,29.28),(0.0,29.54),(107.2,29.54),(107.2,29.28),(0.0,29.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,30.41),(0.0,30.67),(107.2,30.67),(107.2,30.41),(0.0,30.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(30.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(30.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,30.91),(0.0,31.17),(107.2,31.17),(107.2,30.91),(0.0,30.91)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(31.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(31.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,34.43),(0.0,34.69),(107.2,34.69),(107.2,34.43),(0.0,34.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,33.93),(0.0,34.19),(107.2,34.19),(107.2,33.93),(0.0,33.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,35.06),(0.0,35.32),(107.2,35.32),(107.2,35.06),(0.0,35.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,35.56),(0.0,35.82),(107.2,35.82),(107.2,35.56),(0.0,35.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[16]']
        createRL(
            tech, net, 'm2',
            ((0.0,39.08),(0.0,39.34),(107.2,39.34),(107.2,39.08),(0.0,39.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(39.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(39.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[16]']
        createRL(
            tech, net, 'm2',
            ((0.0,38.58),(0.0,38.84),(107.2,38.84),(107.2,38.58),(0.0,38.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(38.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(38.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[17]']
        createRL(
            tech, net, 'm2',
            ((0.0,39.71),(0.0,39.97),(107.2,39.97),(107.2,39.71),(0.0,39.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(39.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(39.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[17]']
        createRL(
            tech, net, 'm2',
            ((0.0,40.21),(0.0,40.47),(107.2,40.47),(107.2,40.21),(0.0,40.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(40.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(40.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[18]']
        createRL(
            tech, net, 'm2',
            ((0.0,43.73),(0.0,43.99),(107.2,43.99),(107.2,43.73),(0.0,43.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(43.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(43.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[18]']
        createRL(
            tech, net, 'm2',
            ((0.0,43.23),(0.0,43.49),(107.2,43.49),(107.2,43.23),(0.0,43.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(43.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(43.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[19]']
        createRL(
            tech, net, 'm2',
            ((0.0,44.36),(0.0,44.62),(107.2,44.62),(107.2,44.36),(0.0,44.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(44.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(44.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[19]']
        createRL(
            tech, net, 'm2',
            ((0.0,44.86),(0.0,45.12),(107.2,45.12),(107.2,44.86),(0.0,44.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(44.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(44.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[20]']
        createRL(
            tech, net, 'm2',
            ((0.0,48.38),(0.0,48.64),(107.2,48.64),(107.2,48.38),(0.0,48.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[20]']
        createRL(
            tech, net, 'm2',
            ((0.0,47.88),(0.0,48.14),(107.2,48.14),(107.2,47.88),(0.0,47.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[21]']
        createRL(
            tech, net, 'm2',
            ((0.0,49.01),(0.0,49.27),(107.2,49.27),(107.2,49.01),(0.0,49.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(49.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(49.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[21]']
        createRL(
            tech, net, 'm2',
            ((0.0,49.51),(0.0,49.77),(107.2,49.77),(107.2,49.51),(0.0,49.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(49.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(49.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[22]']
        createRL(
            tech, net, 'm2',
            ((0.0,53.03),(0.0,53.29),(107.2,53.29),(107.2,53.03),(0.0,53.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(53.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(53.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[22]']
        createRL(
            tech, net, 'm2',
            ((0.0,52.53),(0.0,52.79),(107.2,52.79),(107.2,52.53),(0.0,52.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(52.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(52.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[23]']
        createRL(
            tech, net, 'm2',
            ((0.0,53.66),(0.0,53.92),(107.2,53.92),(107.2,53.66),(0.0,53.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(53.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(53.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[23]']
        createRL(
            tech, net, 'm2',
            ((0.0,54.16),(0.0,54.42),(107.2,54.42),(107.2,54.16),(0.0,54.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(54.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(54.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[24]']
        createRL(
            tech, net, 'm2',
            ((0.0,57.68),(0.0,57.94),(107.2,57.94),(107.2,57.68),(0.0,57.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(57.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(57.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[24]']
        createRL(
            tech, net, 'm2',
            ((0.0,57.18),(0.0,57.44),(107.2,57.44),(107.2,57.18),(0.0,57.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(57.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(57.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[25]']
        createRL(
            tech, net, 'm2',
            ((0.0,58.31),(0.0,58.57),(107.2,58.57),(107.2,58.31),(0.0,58.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(58.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(58.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[25]']
        createRL(
            tech, net, 'm2',
            ((0.0,58.81),(0.0,59.07),(107.2,59.07),(107.2,58.81),(0.0,58.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(58.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(58.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[26]']
        createRL(
            tech, net, 'm2',
            ((0.0,62.33),(0.0,62.59),(107.2,62.59),(107.2,62.33),(0.0,62.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(62.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(62.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[26]']
        createRL(
            tech, net, 'm2',
            ((0.0,61.83),(0.0,62.09),(107.2,62.09),(107.2,61.83),(0.0,61.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(61.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(61.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[27]']
        createRL(
            tech, net, 'm2',
            ((0.0,62.96),(0.0,63.22),(107.2,63.22),(107.2,62.96),(0.0,62.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[27]']
        createRL(
            tech, net, 'm2',
            ((0.0,63.46),(0.0,63.72),(107.2,63.72),(107.2,63.46),(0.0,63.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[28]']
        createRL(
            tech, net, 'm2',
            ((0.0,66.98),(0.0,67.24),(107.2,67.24),(107.2,66.98),(0.0,66.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[28]']
        createRL(
            tech, net, 'm2',
            ((0.0,66.48),(0.0,66.74),(107.2,66.74),(107.2,66.48),(0.0,66.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(66.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(66.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[29]']
        createRL(
            tech, net, 'm2',
            ((0.0,67.61),(0.0,67.87),(107.2,67.87),(107.2,67.61),(0.0,67.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[29]']
        createRL(
            tech, net, 'm2',
            ((0.0,68.11),(0.0,68.37),(107.2,68.37),(107.2,68.11),(0.0,68.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(68.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(68.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[30]']
        createRL(
            tech, net, 'm2',
            ((0.0,71.63),(0.0,71.89),(107.2,71.89),(107.2,71.63),(0.0,71.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(71.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(71.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[30]']
        createRL(
            tech, net, 'm2',
            ((0.0,71.13),(0.0,71.39),(107.2,71.39),(107.2,71.13),(0.0,71.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(71.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(71.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[31]']
        createRL(
            tech, net, 'm2',
            ((0.0,72.26),(0.0,72.52),(107.2,72.52),(107.2,72.26),(0.0,72.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[31]']
        createRL(
            tech, net, 'm2',
            ((0.0,72.76),(0.0,73.02),(107.2,73.02),(107.2,72.76),(0.0,72.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[32]']
        createRL(
            tech, net, 'm2',
            ((0.0,76.28),(0.0,76.54),(107.2,76.54),(107.2,76.28),(0.0,76.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(76.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(76.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[32]']
        createRL(
            tech, net, 'm2',
            ((0.0,75.78),(0.0,76.04),(107.2,76.04),(107.2,75.78),(0.0,75.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(75.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(75.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[33]']
        createRL(
            tech, net, 'm2',
            ((0.0,76.91),(0.0,77.17),(107.2,77.17),(107.2,76.91),(0.0,76.91)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(77.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(77.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[33]']
        createRL(
            tech, net, 'm2',
            ((0.0,77.41),(0.0,77.67),(107.2,77.67),(107.2,77.41),(0.0,77.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(77.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(77.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[34]']
        createRL(
            tech, net, 'm2',
            ((0.0,80.93),(0.0,81.19),(107.2,81.19),(107.2,80.93),(0.0,80.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(81.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(81.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[34]']
        createRL(
            tech, net, 'm2',
            ((0.0,80.43),(0.0,80.69),(107.2,80.69),(107.2,80.43),(0.0,80.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(80.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(80.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[35]']
        createRL(
            tech, net, 'm2',
            ((0.0,81.56),(0.0,81.82),(107.2,81.82),(107.2,81.56),(0.0,81.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(81.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(81.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[35]']
        createRL(
            tech, net, 'm2',
            ((0.0,82.06),(0.0,82.32),(107.2,82.32),(107.2,82.06),(0.0,82.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(82.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(82.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[36]']
        createRL(
            tech, net, 'm2',
            ((0.0,85.58),(0.0,85.84),(107.2,85.84),(107.2,85.58),(0.0,85.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(85.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(85.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[36]']
        createRL(
            tech, net, 'm2',
            ((0.0,85.08),(0.0,85.34),(107.2,85.34),(107.2,85.08),(0.0,85.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(85.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(85.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[37]']
        createRL(
            tech, net, 'm2',
            ((0.0,86.21),(0.0,86.47),(107.2,86.47),(107.2,86.21),(0.0,86.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(86.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(86.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[37]']
        createRL(
            tech, net, 'm2',
            ((0.0,86.71),(0.0,86.97),(107.2,86.97),(107.2,86.71),(0.0,86.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(86.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(86.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[38]']
        createRL(
            tech, net, 'm2',
            ((0.0,90.23),(0.0,90.49),(107.2,90.49),(107.2,90.23),(0.0,90.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[38]']
        createRL(
            tech, net, 'm2',
            ((0.0,89.73),(0.0,89.99),(107.2,89.99),(107.2,89.73),(0.0,89.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(89.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(89.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[39]']
        createRL(
            tech, net, 'm2',
            ((0.0,90.86),(0.0,91.12),(107.2,91.12),(107.2,90.86),(0.0,90.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(90.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(90.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[39]']
        createRL(
            tech, net, 'm2',
            ((0.0,91.36),(0.0,91.62),(107.2,91.62),(107.2,91.36),(0.0,91.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(91.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(91.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[40]']
        createRL(
            tech, net, 'm2',
            ((0.0,94.88),(0.0,95.14),(107.2,95.14),(107.2,94.88),(0.0,94.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(95.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(95.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[40]']
        createRL(
            tech, net, 'm2',
            ((0.0,94.38),(0.0,94.64),(107.2,94.64),(107.2,94.38),(0.0,94.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(94.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(94.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[41]']
        createRL(
            tech, net, 'm2',
            ((0.0,95.51),(0.0,95.77),(107.2,95.77),(107.2,95.51),(0.0,95.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(95.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(95.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[41]']
        createRL(
            tech, net, 'm2',
            ((0.0,96.01),(0.0,96.27),(107.2,96.27),(107.2,96.01),(0.0,96.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(96.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(96.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[42]']
        createRL(
            tech, net, 'm2',
            ((0.0,99.53),(0.0,99.79),(107.2,99.79),(107.2,99.53),(0.0,99.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(99.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(99.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[42]']
        createRL(
            tech, net, 'm2',
            ((0.0,99.03),(0.0,99.29),(107.2,99.29),(107.2,99.03),(0.0,99.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(99.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(99.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[43]']
        createRL(
            tech, net, 'm2',
            ((0.0,100.16),(0.0,100.42),(107.2,100.42),(107.2,100.16),(0.0,100.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(100.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(100.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[43]']
        createRL(
            tech, net, 'm2',
            ((0.0,100.66),(0.0,100.92),(107.2,100.92),(107.2,100.66),(0.0,100.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(100.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(100.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[44]']
        createRL(
            tech, net, 'm2',
            ((0.0,104.18),(0.0,104.44),(107.2,104.44),(107.2,104.18),(0.0,104.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(104.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(104.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[44]']
        createRL(
            tech, net, 'm2',
            ((0.0,103.68),(0.0,103.94),(107.2,103.94),(107.2,103.68),(0.0,103.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(103.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(103.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[45]']
        createRL(
            tech, net, 'm2',
            ((0.0,104.81),(0.0,105.07),(107.2,105.07),(107.2,104.81),(0.0,104.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(104.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(104.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[45]']
        createRL(
            tech, net, 'm2',
            ((0.0,105.31),(0.0,105.57),(107.2,105.57),(107.2,105.31),(0.0,105.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(105.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(105.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[46]']
        createRL(
            tech, net, 'm2',
            ((0.0,108.83),(0.0,109.09),(107.2,109.09),(107.2,108.83),(0.0,108.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(108.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(108.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[46]']
        createRL(
            tech, net, 'm2',
            ((0.0,108.33),(0.0,108.59),(107.2,108.59),(107.2,108.33),(0.0,108.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(108.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(108.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[47]']
        createRL(
            tech, net, 'm2',
            ((0.0,109.46),(0.0,109.72),(107.2,109.72),(107.2,109.46),(0.0,109.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(109.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(109.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[47]']
        createRL(
            tech, net, 'm2',
            ((0.0,109.96),(0.0,110.22),(107.2,110.22),(107.2,109.96),(0.0,109.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(110.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(110.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[48]']
        createRL(
            tech, net, 'm2',
            ((0.0,113.48),(0.0,113.74),(107.2,113.74),(107.2,113.48),(0.0,113.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(113.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(113.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[48]']
        createRL(
            tech, net, 'm2',
            ((0.0,112.98),(0.0,113.24),(107.2,113.24),(107.2,112.98),(0.0,112.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(113.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(113.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[49]']
        createRL(
            tech, net, 'm2',
            ((0.0,114.11),(0.0,114.37),(107.2,114.37),(107.2,114.11),(0.0,114.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(114.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(114.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[49]']
        createRL(
            tech, net, 'm2',
            ((0.0,114.61),(0.0,114.87),(107.2,114.87),(107.2,114.61),(0.0,114.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(114.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(114.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[50]']
        createRL(
            tech, net, 'm2',
            ((0.0,118.13),(0.0,118.39),(107.2,118.39),(107.2,118.13),(0.0,118.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(118.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(118.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[50]']
        createRL(
            tech, net, 'm2',
            ((0.0,117.63),(0.0,117.89),(107.2,117.89),(107.2,117.63),(0.0,117.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(117.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(117.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[51]']
        createRL(
            tech, net, 'm2',
            ((0.0,118.76),(0.0,119.02),(107.2,119.02),(107.2,118.76),(0.0,118.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(118.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(118.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[51]']
        createRL(
            tech, net, 'm2',
            ((0.0,119.26),(0.0,119.52),(107.2,119.52),(107.2,119.26),(0.0,119.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(119.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(119.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[52]']
        createRL(
            tech, net, 'm2',
            ((0.0,122.78),(0.0,123.04),(107.2,123.04),(107.2,122.78),(0.0,122.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(122.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(122.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[52]']
        createRL(
            tech, net, 'm2',
            ((0.0,122.28),(0.0,122.54),(107.2,122.54),(107.2,122.28),(0.0,122.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(122.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(122.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[53]']
        createRL(
            tech, net, 'm2',
            ((0.0,123.41),(0.0,123.67),(107.2,123.67),(107.2,123.41),(0.0,123.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(123.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(123.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[53]']
        createRL(
            tech, net, 'm2',
            ((0.0,123.91),(0.0,124.17),(107.2,124.17),(107.2,123.91),(0.0,123.91)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(124.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(124.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[54]']
        createRL(
            tech, net, 'm2',
            ((0.0,127.43),(0.0,127.69),(107.2,127.69),(107.2,127.43),(0.0,127.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(127.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(127.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[54]']
        createRL(
            tech, net, 'm2',
            ((0.0,126.93),(0.0,127.19),(107.2,127.19),(107.2,126.93),(0.0,126.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(127.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(127.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[55]']
        createRL(
            tech, net, 'm2',
            ((0.0,128.06),(0.0,128.32),(107.2,128.32),(107.2,128.06),(0.0,128.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(128.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(128.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[55]']
        createRL(
            tech, net, 'm2',
            ((0.0,128.56),(0.0,128.82),(107.2,128.82),(107.2,128.56),(0.0,128.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(128.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(128.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[56]']
        createRL(
            tech, net, 'm2',
            ((0.0,132.08),(0.0,132.34),(107.2,132.34),(107.2,132.08),(0.0,132.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(132.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(132.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[56]']
        createRL(
            tech, net, 'm2',
            ((0.0,131.58),(0.0,131.84),(107.2,131.84),(107.2,131.58),(0.0,131.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(131.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(131.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[57]']
        createRL(
            tech, net, 'm2',
            ((0.0,132.71),(0.0,132.97),(107.2,132.97),(107.2,132.71),(0.0,132.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(132.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(132.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[57]']
        createRL(
            tech, net, 'm2',
            ((0.0,133.21),(0.0,133.47),(107.2,133.47),(107.2,133.21),(0.0,133.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(133.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(133.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[58]']
        createRL(
            tech, net, 'm2',
            ((0.0,136.73),(0.0,136.99),(107.2,136.99),(107.2,136.73),(0.0,136.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(136.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(136.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[58]']
        createRL(
            tech, net, 'm2',
            ((0.0,136.23),(0.0,136.49),(107.2,136.49),(107.2,136.23),(0.0,136.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(136.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(136.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[59]']
        createRL(
            tech, net, 'm2',
            ((0.0,137.36),(0.0,137.62),(107.2,137.62),(107.2,137.36),(0.0,137.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(137.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(137.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[59]']
        createRL(
            tech, net, 'm2',
            ((0.0,137.86),(0.0,138.12),(107.2,138.12),(107.2,137.86),(0.0,137.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(137.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(137.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[60]']
        createRL(
            tech, net, 'm2',
            ((0.0,141.38),(0.0,141.64),(107.2,141.64),(107.2,141.38),(0.0,141.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(141.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(141.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[60]']
        createRL(
            tech, net, 'm2',
            ((0.0,140.88),(0.0,141.14),(107.2,141.14),(107.2,140.88),(0.0,140.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(141.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(141.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[61]']
        createRL(
            tech, net, 'm2',
            ((0.0,142.01),(0.0,142.27),(107.2,142.27),(107.2,142.01),(0.0,142.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(142.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(142.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[61]']
        createRL(
            tech, net, 'm2',
            ((0.0,142.51),(0.0,142.77),(107.2,142.77),(107.2,142.51),(0.0,142.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(142.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(142.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[62]']
        createRL(
            tech, net, 'm2',
            ((0.0,146.03),(0.0,146.29),(107.2,146.29),(107.2,146.03),(0.0,146.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(146.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(146.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[62]']
        createRL(
            tech, net, 'm2',
            ((0.0,145.53),(0.0,145.79),(107.2,145.79),(107.2,145.53),(0.0,145.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(145.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(145.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[63]']
        createRL(
            tech, net, 'm2',
            ((0.0,146.66),(0.0,146.92),(107.2,146.92),(107.2,146.66),(0.0,146.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(146.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(146.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[63]']
        createRL(
            tech, net, 'm2',
            ((0.0,147.16),(0.0,147.42),(107.2,147.42),(107.2,147.16),(0.0,147.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(147.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(147.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[0]']
        createRL(
            tech, net, 'm1',
            ((0.46,0.0),(0.46,148.8),(0.69,148.8),(0.69,0.0),(0.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.575), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.575), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.09,0.0),(1.09,148.8),(1.32,148.8),(1.32,0.0),(1.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.205), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.205), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[0]']
        createRL(
            tech, net, 'm1',
            ((2.0,0.0),(2.0,148.8),(2.23,148.8),(2.23,0.0),(2.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.115), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.115), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[0]']
        createRL(
            tech, net, 'm1',
            ((2.66,0.0),(2.66,148.8),(2.89,148.8),(2.89,0.0),(2.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.775), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.775), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[1]']
        createRL(
            tech, net, 'm1',
            ((3.81,0.0),(3.81,148.8),(4.04,148.8),(4.04,0.0),(3.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.925), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.925), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[1]']
        createRL(
            tech, net, 'm1',
            ((4.44,0.0),(4.44,148.8),(4.67,148.8),(4.67,0.0),(4.44,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.555), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.555), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[1]']
        createRL(
            tech, net, 'm1',
            ((5.35,0.0),(5.35,148.8),(5.58,148.8),(5.58,0.0),(5.35,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.465), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.465), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[1]']
        createRL(
            tech, net, 'm1',
            ((6.01,0.0),(6.01,148.8),(6.24,148.8),(6.24,0.0),(6.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.125), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.125), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[2]']
        createRL(
            tech, net, 'm1',
            ((7.16,0.0),(7.16,148.8),(7.39,148.8),(7.39,0.0),(7.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.275), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.275), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[2]']
        createRL(
            tech, net, 'm1',
            ((7.79,0.0),(7.79,148.8),(8.02,148.8),(8.02,0.0),(7.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.905), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.905), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[2]']
        createRL(
            tech, net, 'm1',
            ((8.7,0.0),(8.7,148.8),(8.93,148.8),(8.93,0.0),(8.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(8.815), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(8.815), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[2]']
        createRL(
            tech, net, 'm1',
            ((9.36,0.0),(9.36,148.8),(9.59,148.8),(9.59,0.0),(9.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(9.475), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(9.475), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[3]']
        createRL(
            tech, net, 'm1',
            ((10.51,0.0),(10.51,148.8),(10.74,148.8),(10.74,0.0),(10.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(10.625), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(10.625), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[3]']
        createRL(
            tech, net, 'm1',
            ((11.14,0.0),(11.14,148.8),(11.37,148.8),(11.37,0.0),(11.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(11.255), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(11.255), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[3]']
        createRL(
            tech, net, 'm1',
            ((12.05,0.0),(12.05,148.8),(12.28,148.8),(12.28,0.0),(12.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.165), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.165), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[3]']
        createRL(
            tech, net, 'm1',
            ((12.71,0.0),(12.71,148.8),(12.94,148.8),(12.94,0.0),(12.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.825), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.825), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[4]']
        createRL(
            tech, net, 'm1',
            ((13.86,0.0),(13.86,148.8),(14.09,148.8),(14.09,0.0),(13.86,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(13.975), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(13.975), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[4]']
        createRL(
            tech, net, 'm1',
            ((14.49,0.0),(14.49,148.8),(14.72,148.8),(14.72,0.0),(14.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(14.605), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(14.605), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[4]']
        createRL(
            tech, net, 'm1',
            ((15.4,0.0),(15.4,148.8),(15.63,148.8),(15.63,0.0),(15.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(15.515), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(15.515), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[4]']
        createRL(
            tech, net, 'm1',
            ((16.06,0.0),(16.06,148.8),(16.29,148.8),(16.29,0.0),(16.06,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(16.175), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(16.175), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[5]']
        createRL(
            tech, net, 'm1',
            ((17.21,0.0),(17.21,148.8),(17.44,148.8),(17.44,0.0),(17.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(17.325), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(17.325), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[5]']
        createRL(
            tech, net, 'm1',
            ((17.84,0.0),(17.84,148.8),(18.07,148.8),(18.07,0.0),(17.84,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(17.955), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(17.955), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[5]']
        createRL(
            tech, net, 'm1',
            ((18.75,0.0),(18.75,148.8),(18.98,148.8),(18.98,0.0),(18.75,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(18.865), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(18.865), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[5]']
        createRL(
            tech, net, 'm1',
            ((19.41,0.0),(19.41,148.8),(19.64,148.8),(19.64,0.0),(19.41,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(19.525), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(19.525), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[6]']
        createRL(
            tech, net, 'm1',
            ((20.56,0.0),(20.56,148.8),(20.79,148.8),(20.79,0.0),(20.56,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(20.675), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(20.675), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[6]']
        createRL(
            tech, net, 'm1',
            ((21.19,0.0),(21.19,148.8),(21.42,148.8),(21.42,0.0),(21.19,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(21.305), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(21.305), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[6]']
        createRL(
            tech, net, 'm1',
            ((22.1,0.0),(22.1,148.8),(22.33,148.8),(22.33,0.0),(22.1,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(22.215), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(22.215), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[6]']
        createRL(
            tech, net, 'm1',
            ((22.76,0.0),(22.76,148.8),(22.99,148.8),(22.99,0.0),(22.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(22.875), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(22.875), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[7]']
        createRL(
            tech, net, 'm1',
            ((23.91,0.0),(23.91,148.8),(24.14,148.8),(24.14,0.0),(23.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(24.025), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(24.025), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[7]']
        createRL(
            tech, net, 'm1',
            ((24.54,0.0),(24.54,148.8),(24.77,148.8),(24.77,0.0),(24.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(24.655), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(24.655), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[7]']
        createRL(
            tech, net, 'm1',
            ((25.45,0.0),(25.45,148.8),(25.68,148.8),(25.68,0.0),(25.45,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(25.565), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(25.565), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[7]']
        createRL(
            tech, net, 'm1',
            ((26.11,0.0),(26.11,148.8),(26.34,148.8),(26.34,0.0),(26.11,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(26.225), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(26.225), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[8]']
        createRL(
            tech, net, 'm1',
            ((27.26,0.0),(27.26,148.8),(27.49,148.8),(27.49,0.0),(27.26,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(27.375), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(27.375), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[8]']
        createRL(
            tech, net, 'm1',
            ((27.89,0.0),(27.89,148.8),(28.12,148.8),(28.12,0.0),(27.89,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(28.005), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(28.005), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[8]']
        createRL(
            tech, net, 'm1',
            ((28.8,0.0),(28.8,148.8),(29.03,148.8),(29.03,0.0),(28.8,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(28.915), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(28.915), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[8]']
        createRL(
            tech, net, 'm1',
            ((29.46,0.0),(29.46,148.8),(29.69,148.8),(29.69,0.0),(29.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(29.575), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(29.575), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[9]']
        createRL(
            tech, net, 'm1',
            ((30.61,0.0),(30.61,148.8),(30.84,148.8),(30.84,0.0),(30.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(30.725), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(30.725), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[9]']
        createRL(
            tech, net, 'm1',
            ((31.24,0.0),(31.24,148.8),(31.47,148.8),(31.47,0.0),(31.24,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(31.355), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(31.355), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[9]']
        createRL(
            tech, net, 'm1',
            ((32.15,0.0),(32.15,148.8),(32.38,148.8),(32.38,0.0),(32.15,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(32.265), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(32.265), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[9]']
        createRL(
            tech, net, 'm1',
            ((32.81,0.0),(32.81,148.8),(33.04,148.8),(33.04,0.0),(32.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(32.925), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(32.925), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[10]']
        createRL(
            tech, net, 'm1',
            ((33.96,0.0),(33.96,148.8),(34.19,148.8),(34.19,0.0),(33.96,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(34.075), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(34.075), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[10]']
        createRL(
            tech, net, 'm1',
            ((34.59,0.0),(34.59,148.8),(34.82,148.8),(34.82,0.0),(34.59,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(34.705), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(34.705), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[10]']
        createRL(
            tech, net, 'm1',
            ((35.5,0.0),(35.5,148.8),(35.73,148.8),(35.73,0.0),(35.5,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(35.615), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(35.615), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[10]']
        createRL(
            tech, net, 'm1',
            ((36.16,0.0),(36.16,148.8),(36.39,148.8),(36.39,0.0),(36.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(36.275), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(36.275), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[11]']
        createRL(
            tech, net, 'm1',
            ((37.31,0.0),(37.31,148.8),(37.54,148.8),(37.54,0.0),(37.31,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(37.425), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(37.425), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[11]']
        createRL(
            tech, net, 'm1',
            ((37.94,0.0),(37.94,148.8),(38.17,148.8),(38.17,0.0),(37.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(38.055), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(38.055), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[11]']
        createRL(
            tech, net, 'm1',
            ((38.85,0.0),(38.85,148.8),(39.08,148.8),(39.08,0.0),(38.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(38.965), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(38.965), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[11]']
        createRL(
            tech, net, 'm1',
            ((39.51,0.0),(39.51,148.8),(39.74,148.8),(39.74,0.0),(39.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(39.625), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(39.625), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[12]']
        createRL(
            tech, net, 'm1',
            ((40.66,0.0),(40.66,148.8),(40.89,148.8),(40.89,0.0),(40.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(40.775), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(40.775), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[12]']
        createRL(
            tech, net, 'm1',
            ((41.29,0.0),(41.29,148.8),(41.52,148.8),(41.52,0.0),(41.29,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(41.405), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(41.405), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[12]']
        createRL(
            tech, net, 'm1',
            ((42.2,0.0),(42.2,148.8),(42.43,148.8),(42.43,0.0),(42.2,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(42.315), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(42.315), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[12]']
        createRL(
            tech, net, 'm1',
            ((42.86,0.0),(42.86,148.8),(43.09,148.8),(43.09,0.0),(42.86,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(42.975), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(42.975), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[13]']
        createRL(
            tech, net, 'm1',
            ((44.01,0.0),(44.01,148.8),(44.24,148.8),(44.24,0.0),(44.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(44.125), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(44.125), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[13]']
        createRL(
            tech, net, 'm1',
            ((44.64,0.0),(44.64,148.8),(44.87,148.8),(44.87,0.0),(44.64,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(44.755), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(44.755), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[13]']
        createRL(
            tech, net, 'm1',
            ((45.55,0.0),(45.55,148.8),(45.78,148.8),(45.78,0.0),(45.55,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(45.665), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(45.665), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[13]']
        createRL(
            tech, net, 'm1',
            ((46.21,0.0),(46.21,148.8),(46.44,148.8),(46.44,0.0),(46.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(46.325), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(46.325), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[14]']
        createRL(
            tech, net, 'm1',
            ((47.36,0.0),(47.36,148.8),(47.59,148.8),(47.59,0.0),(47.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(47.475), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(47.475), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[14]']
        createRL(
            tech, net, 'm1',
            ((47.99,0.0),(47.99,148.8),(48.22,148.8),(48.22,0.0),(47.99,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(48.105), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(48.105), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[14]']
        createRL(
            tech, net, 'm1',
            ((48.9,0.0),(48.9,148.8),(49.13,148.8),(49.13,0.0),(48.9,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(49.015), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(49.015), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[14]']
        createRL(
            tech, net, 'm1',
            ((49.56,0.0),(49.56,148.8),(49.79,148.8),(49.79,0.0),(49.56,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(49.675), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(49.675), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[15]']
        createRL(
            tech, net, 'm1',
            ((50.71,0.0),(50.71,148.8),(50.94,148.8),(50.94,0.0),(50.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(50.825), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(50.825), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[15]']
        createRL(
            tech, net, 'm1',
            ((51.34,0.0),(51.34,148.8),(51.57,148.8),(51.57,0.0),(51.34,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(51.455), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(51.455), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[15]']
        createRL(
            tech, net, 'm1',
            ((52.25,0.0),(52.25,148.8),(52.48,148.8),(52.48,0.0),(52.25,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(52.365), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(52.365), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[15]']
        createRL(
            tech, net, 'm1',
            ((52.91,0.0),(52.91,148.8),(53.14,148.8),(53.14,0.0),(52.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(53.025), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(53.025), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[16]']
        createRL(
            tech, net, 'm1',
            ((54.06,0.0),(54.06,148.8),(54.29,148.8),(54.29,0.0),(54.06,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(54.175), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(54.175), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[16]']
        createRL(
            tech, net, 'm1',
            ((54.69,0.0),(54.69,148.8),(54.92,148.8),(54.92,0.0),(54.69,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(54.805), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(54.805), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[16]']
        createRL(
            tech, net, 'm1',
            ((55.6,0.0),(55.6,148.8),(55.83,148.8),(55.83,0.0),(55.6,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(55.715), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(55.715), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[16]']
        createRL(
            tech, net, 'm1',
            ((56.26,0.0),(56.26,148.8),(56.49,148.8),(56.49,0.0),(56.26,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(56.375), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(56.375), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[17]']
        createRL(
            tech, net, 'm1',
            ((57.41,0.0),(57.41,148.8),(57.64,148.8),(57.64,0.0),(57.41,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(57.525), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(57.525), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[17]']
        createRL(
            tech, net, 'm1',
            ((58.04,0.0),(58.04,148.8),(58.27,148.8),(58.27,0.0),(58.04,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(58.155), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(58.155), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[17]']
        createRL(
            tech, net, 'm1',
            ((58.95,0.0),(58.95,148.8),(59.18,148.8),(59.18,0.0),(58.95,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(59.065), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(59.065), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[17]']
        createRL(
            tech, net, 'm1',
            ((59.61,0.0),(59.61,148.8),(59.84,148.8),(59.84,0.0),(59.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(59.725), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(59.725), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[18]']
        createRL(
            tech, net, 'm1',
            ((60.76,0.0),(60.76,148.8),(60.99,148.8),(60.99,0.0),(60.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(60.875), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(60.875), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[18]']
        createRL(
            tech, net, 'm1',
            ((61.39,0.0),(61.39,148.8),(61.62,148.8),(61.62,0.0),(61.39,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(61.505), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(61.505), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[18]']
        createRL(
            tech, net, 'm1',
            ((62.3,0.0),(62.3,148.8),(62.53,148.8),(62.53,0.0),(62.3,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(62.415), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(62.415), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[18]']
        createRL(
            tech, net, 'm1',
            ((62.96,0.0),(62.96,148.8),(63.19,148.8),(63.19,0.0),(62.96,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(63.075), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(63.075), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[19]']
        createRL(
            tech, net, 'm1',
            ((64.11,0.0),(64.11,148.8),(64.34,148.8),(64.34,0.0),(64.11,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(64.225), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(64.225), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[19]']
        createRL(
            tech, net, 'm1',
            ((64.74,0.0),(64.74,148.8),(64.97,148.8),(64.97,0.0),(64.74,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(64.855), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(64.855), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[19]']
        createRL(
            tech, net, 'm1',
            ((65.65,0.0),(65.65,148.8),(65.88,148.8),(65.88,0.0),(65.65,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(65.765), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(65.765), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[19]']
        createRL(
            tech, net, 'm1',
            ((66.31,0.0),(66.31,148.8),(66.54,148.8),(66.54,0.0),(66.31,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(66.425), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(66.425), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[20]']
        createRL(
            tech, net, 'm1',
            ((67.46,0.0),(67.46,148.8),(67.69,148.8),(67.69,0.0),(67.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(67.575), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(67.575), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[20]']
        createRL(
            tech, net, 'm1',
            ((68.09,0.0),(68.09,148.8),(68.32,148.8),(68.32,0.0),(68.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(68.205), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(68.205), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[20]']
        createRL(
            tech, net, 'm1',
            ((69.0,0.0),(69.0,148.8),(69.23,148.8),(69.23,0.0),(69.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(69.115), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(69.115), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[20]']
        createRL(
            tech, net, 'm1',
            ((69.66,0.0),(69.66,148.8),(69.89,148.8),(69.89,0.0),(69.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(69.775), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(69.775), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[21]']
        createRL(
            tech, net, 'm1',
            ((70.81,0.0),(70.81,148.8),(71.04,148.8),(71.04,0.0),(70.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(70.925), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(70.925), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[21]']
        createRL(
            tech, net, 'm1',
            ((71.44,0.0),(71.44,148.8),(71.67,148.8),(71.67,0.0),(71.44,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(71.555), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(71.555), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[21]']
        createRL(
            tech, net, 'm1',
            ((72.35,0.0),(72.35,148.8),(72.58,148.8),(72.58,0.0),(72.35,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(72.465), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(72.465), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[21]']
        createRL(
            tech, net, 'm1',
            ((73.01,0.0),(73.01,148.8),(73.24,148.8),(73.24,0.0),(73.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(73.125), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(73.125), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[22]']
        createRL(
            tech, net, 'm1',
            ((74.16,0.0),(74.16,148.8),(74.39,148.8),(74.39,0.0),(74.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(74.275), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(74.275), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[22]']
        createRL(
            tech, net, 'm1',
            ((74.79,0.0),(74.79,148.8),(75.02,148.8),(75.02,0.0),(74.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(74.905), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(74.905), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[22]']
        createRL(
            tech, net, 'm1',
            ((75.7,0.0),(75.7,148.8),(75.93,148.8),(75.93,0.0),(75.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(75.815), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(75.815), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[22]']
        createRL(
            tech, net, 'm1',
            ((76.36,0.0),(76.36,148.8),(76.59,148.8),(76.59,0.0),(76.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(76.475), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(76.475), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[23]']
        createRL(
            tech, net, 'm1',
            ((77.51,0.0),(77.51,148.8),(77.74,148.8),(77.74,0.0),(77.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(77.625), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(77.625), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[23]']
        createRL(
            tech, net, 'm1',
            ((78.14,0.0),(78.14,148.8),(78.37,148.8),(78.37,0.0),(78.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(78.255), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(78.255), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[23]']
        createRL(
            tech, net, 'm1',
            ((79.05,0.0),(79.05,148.8),(79.28,148.8),(79.28,0.0),(79.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(79.165), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(79.165), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[23]']
        createRL(
            tech, net, 'm1',
            ((79.71,0.0),(79.71,148.8),(79.94,148.8),(79.94,0.0),(79.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(79.825), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(79.825), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[24]']
        createRL(
            tech, net, 'm1',
            ((80.86,0.0),(80.86,148.8),(81.09,148.8),(81.09,0.0),(80.86,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(80.975), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(80.975), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[24]']
        createRL(
            tech, net, 'm1',
            ((81.49,0.0),(81.49,148.8),(81.72,148.8),(81.72,0.0),(81.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(81.605), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(81.605), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[24]']
        createRL(
            tech, net, 'm1',
            ((82.4,0.0),(82.4,148.8),(82.63,148.8),(82.63,0.0),(82.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(82.515), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(82.515), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[24]']
        createRL(
            tech, net, 'm1',
            ((83.06,0.0),(83.06,148.8),(83.29,148.8),(83.29,0.0),(83.06,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(83.175), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(83.175), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[25]']
        createRL(
            tech, net, 'm1',
            ((84.21,0.0),(84.21,148.8),(84.44,148.8),(84.44,0.0),(84.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(84.325), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(84.325), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[25]']
        createRL(
            tech, net, 'm1',
            ((84.84,0.0),(84.84,148.8),(85.07,148.8),(85.07,0.0),(84.84,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(84.955), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(84.955), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[25]']
        createRL(
            tech, net, 'm1',
            ((85.75,0.0),(85.75,148.8),(85.98,148.8),(85.98,0.0),(85.75,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(85.865), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(85.865), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[25]']
        createRL(
            tech, net, 'm1',
            ((86.41,0.0),(86.41,148.8),(86.64,148.8),(86.64,0.0),(86.41,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(86.525), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(86.525), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[26]']
        createRL(
            tech, net, 'm1',
            ((87.56,0.0),(87.56,148.8),(87.79,148.8),(87.79,0.0),(87.56,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(87.675), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(87.675), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[26]']
        createRL(
            tech, net, 'm1',
            ((88.19,0.0),(88.19,148.8),(88.42,148.8),(88.42,0.0),(88.19,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(88.305), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(88.305), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[26]']
        createRL(
            tech, net, 'm1',
            ((89.1,0.0),(89.1,148.8),(89.33,148.8),(89.33,0.0),(89.1,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(89.215), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(89.215), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[26]']
        createRL(
            tech, net, 'm1',
            ((89.76,0.0),(89.76,148.8),(89.99,148.8),(89.99,0.0),(89.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(89.875), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(89.875), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[27]']
        createRL(
            tech, net, 'm1',
            ((90.91,0.0),(90.91,148.8),(91.14,148.8),(91.14,0.0),(90.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(91.025), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(91.025), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[27]']
        createRL(
            tech, net, 'm1',
            ((91.54,0.0),(91.54,148.8),(91.77,148.8),(91.77,0.0),(91.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(91.655), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(91.655), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[27]']
        createRL(
            tech, net, 'm1',
            ((92.45,0.0),(92.45,148.8),(92.68,148.8),(92.68,0.0),(92.45,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(92.565), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(92.565), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[27]']
        createRL(
            tech, net, 'm1',
            ((93.11,0.0),(93.11,148.8),(93.34,148.8),(93.34,0.0),(93.11,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(93.225), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(93.225), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[28]']
        createRL(
            tech, net, 'm1',
            ((94.26,0.0),(94.26,148.8),(94.49,148.8),(94.49,0.0),(94.26,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(94.375), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(94.375), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[28]']
        createRL(
            tech, net, 'm1',
            ((94.89,0.0),(94.89,148.8),(95.12,148.8),(95.12,0.0),(94.89,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(95.005), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(95.005), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[28]']
        createRL(
            tech, net, 'm1',
            ((95.8,0.0),(95.8,148.8),(96.03,148.8),(96.03,0.0),(95.8,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(95.915), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(95.915), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[28]']
        createRL(
            tech, net, 'm1',
            ((96.46,0.0),(96.46,148.8),(96.69,148.8),(96.69,0.0),(96.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(96.575), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(96.575), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[29]']
        createRL(
            tech, net, 'm1',
            ((97.61,0.0),(97.61,148.8),(97.84,148.8),(97.84,0.0),(97.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(97.725), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(97.725), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[29]']
        createRL(
            tech, net, 'm1',
            ((98.24,0.0),(98.24,148.8),(98.47,148.8),(98.47,0.0),(98.24,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(98.355), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(98.355), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[29]']
        createRL(
            tech, net, 'm1',
            ((99.15,0.0),(99.15,148.8),(99.38,148.8),(99.38,0.0),(99.15,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(99.265), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(99.265), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[29]']
        createRL(
            tech, net, 'm1',
            ((99.81,0.0),(99.81,148.8),(100.04,148.8),(100.04,0.0),(99.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(99.925), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(99.925), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[30]']
        createRL(
            tech, net, 'm1',
            ((100.96,0.0),(100.96,148.8),(101.19,148.8),(101.19,0.0),(100.96,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(101.075), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(101.075), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[30]']
        createRL(
            tech, net, 'm1',
            ((101.59,0.0),(101.59,148.8),(101.82,148.8),(101.82,0.0),(101.59,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(101.705), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(101.705), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[30]']
        createRL(
            tech, net, 'm1',
            ((102.5,0.0),(102.5,148.8),(102.73,148.8),(102.73,0.0),(102.5,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(102.615), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(102.615), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[30]']
        createRL(
            tech, net, 'm1',
            ((103.16,0.0),(103.16,148.8),(103.39,148.8),(103.39,0.0),(103.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(103.275), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(103.275), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[31]']
        createRL(
            tech, net, 'm1',
            ((104.31,0.0),(104.31,148.8),(104.54,148.8),(104.54,0.0),(104.31,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(104.425), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(104.425), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[31]']
        createRL(
            tech, net, 'm1',
            ((104.94,0.0),(104.94,148.8),(105.17,148.8),(105.17,0.0),(104.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(105.055), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(105.055), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[31]']
        createRL(
            tech, net, 'm1',
            ((105.85,0.0),(105.85,148.8),(106.08,148.8),(106.08,0.0),(105.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(105.965), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(105.965), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[31]']
        createRL(
            tech, net, 'm1',
            ((106.51,0.0),(106.51,148.8),(106.74,148.8),(106.74,0.0),(106.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(106.625), u(0.23), u(0.0), u(148.8),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(106.625), u(0.23), u(0.0), u(148.8),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,148.8),(107.2,148.8),(107.2,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl1[0]'].setDirection(Net.Direction.IN)
        nets['wl2[0]'].setDirection(Net.Direction.IN)
        nets['wl1[1]'].setDirection(Net.Direction.IN)
        nets['wl2[1]'].setDirection(Net.Direction.IN)
        nets['wl1[2]'].setDirection(Net.Direction.IN)
        nets['wl2[2]'].setDirection(Net.Direction.IN)
        nets['wl1[3]'].setDirection(Net.Direction.IN)
        nets['wl2[3]'].setDirection(Net.Direction.IN)
        nets['wl1[4]'].setDirection(Net.Direction.IN)
        nets['wl2[4]'].setDirection(Net.Direction.IN)
        nets['wl1[5]'].setDirection(Net.Direction.IN)
        nets['wl2[5]'].setDirection(Net.Direction.IN)
        nets['wl1[6]'].setDirection(Net.Direction.IN)
        nets['wl2[6]'].setDirection(Net.Direction.IN)
        nets['wl1[7]'].setDirection(Net.Direction.IN)
        nets['wl2[7]'].setDirection(Net.Direction.IN)
        nets['wl1[8]'].setDirection(Net.Direction.IN)
        nets['wl2[8]'].setDirection(Net.Direction.IN)
        nets['wl1[9]'].setDirection(Net.Direction.IN)
        nets['wl2[9]'].setDirection(Net.Direction.IN)
        nets['wl1[10]'].setDirection(Net.Direction.IN)
        nets['wl2[10]'].setDirection(Net.Direction.IN)
        nets['wl1[11]'].setDirection(Net.Direction.IN)
        nets['wl2[11]'].setDirection(Net.Direction.IN)
        nets['wl1[12]'].setDirection(Net.Direction.IN)
        nets['wl2[12]'].setDirection(Net.Direction.IN)
        nets['wl1[13]'].setDirection(Net.Direction.IN)
        nets['wl2[13]'].setDirection(Net.Direction.IN)
        nets['wl1[14]'].setDirection(Net.Direction.IN)
        nets['wl2[14]'].setDirection(Net.Direction.IN)
        nets['wl1[15]'].setDirection(Net.Direction.IN)
        nets['wl2[15]'].setDirection(Net.Direction.IN)
        nets['wl1[16]'].setDirection(Net.Direction.IN)
        nets['wl2[16]'].setDirection(Net.Direction.IN)
        nets['wl1[17]'].setDirection(Net.Direction.IN)
        nets['wl2[17]'].setDirection(Net.Direction.IN)
        nets['wl1[18]'].setDirection(Net.Direction.IN)
        nets['wl2[18]'].setDirection(Net.Direction.IN)
        nets['wl1[19]'].setDirection(Net.Direction.IN)
        nets['wl2[19]'].setDirection(Net.Direction.IN)
        nets['wl1[20]'].setDirection(Net.Direction.IN)
        nets['wl2[20]'].setDirection(Net.Direction.IN)
        nets['wl1[21]'].setDirection(Net.Direction.IN)
        nets['wl2[21]'].setDirection(Net.Direction.IN)
        nets['wl1[22]'].setDirection(Net.Direction.IN)
        nets['wl2[22]'].setDirection(Net.Direction.IN)
        nets['wl1[23]'].setDirection(Net.Direction.IN)
        nets['wl2[23]'].setDirection(Net.Direction.IN)
        nets['wl1[24]'].setDirection(Net.Direction.IN)
        nets['wl2[24]'].setDirection(Net.Direction.IN)
        nets['wl1[25]'].setDirection(Net.Direction.IN)
        nets['wl2[25]'].setDirection(Net.Direction.IN)
        nets['wl1[26]'].setDirection(Net.Direction.IN)
        nets['wl2[26]'].setDirection(Net.Direction.IN)
        nets['wl1[27]'].setDirection(Net.Direction.IN)
        nets['wl2[27]'].setDirection(Net.Direction.IN)
        nets['wl1[28]'].setDirection(Net.Direction.IN)
        nets['wl2[28]'].setDirection(Net.Direction.IN)
        nets['wl1[29]'].setDirection(Net.Direction.IN)
        nets['wl2[29]'].setDirection(Net.Direction.IN)
        nets['wl1[30]'].setDirection(Net.Direction.IN)
        nets['wl2[30]'].setDirection(Net.Direction.IN)
        nets['wl1[31]'].setDirection(Net.Direction.IN)
        nets['wl2[31]'].setDirection(Net.Direction.IN)
        nets['wl1[32]'].setDirection(Net.Direction.IN)
        nets['wl2[32]'].setDirection(Net.Direction.IN)
        nets['wl1[33]'].setDirection(Net.Direction.IN)
        nets['wl2[33]'].setDirection(Net.Direction.IN)
        nets['wl1[34]'].setDirection(Net.Direction.IN)
        nets['wl2[34]'].setDirection(Net.Direction.IN)
        nets['wl1[35]'].setDirection(Net.Direction.IN)
        nets['wl2[35]'].setDirection(Net.Direction.IN)
        nets['wl1[36]'].setDirection(Net.Direction.IN)
        nets['wl2[36]'].setDirection(Net.Direction.IN)
        nets['wl1[37]'].setDirection(Net.Direction.IN)
        nets['wl2[37]'].setDirection(Net.Direction.IN)
        nets['wl1[38]'].setDirection(Net.Direction.IN)
        nets['wl2[38]'].setDirection(Net.Direction.IN)
        nets['wl1[39]'].setDirection(Net.Direction.IN)
        nets['wl2[39]'].setDirection(Net.Direction.IN)
        nets['wl1[40]'].setDirection(Net.Direction.IN)
        nets['wl2[40]'].setDirection(Net.Direction.IN)
        nets['wl1[41]'].setDirection(Net.Direction.IN)
        nets['wl2[41]'].setDirection(Net.Direction.IN)
        nets['wl1[42]'].setDirection(Net.Direction.IN)
        nets['wl2[42]'].setDirection(Net.Direction.IN)
        nets['wl1[43]'].setDirection(Net.Direction.IN)
        nets['wl2[43]'].setDirection(Net.Direction.IN)
        nets['wl1[44]'].setDirection(Net.Direction.IN)
        nets['wl2[44]'].setDirection(Net.Direction.IN)
        nets['wl1[45]'].setDirection(Net.Direction.IN)
        nets['wl2[45]'].setDirection(Net.Direction.IN)
        nets['wl1[46]'].setDirection(Net.Direction.IN)
        nets['wl2[46]'].setDirection(Net.Direction.IN)
        nets['wl1[47]'].setDirection(Net.Direction.IN)
        nets['wl2[47]'].setDirection(Net.Direction.IN)
        nets['wl1[48]'].setDirection(Net.Direction.IN)
        nets['wl2[48]'].setDirection(Net.Direction.IN)
        nets['wl1[49]'].setDirection(Net.Direction.IN)
        nets['wl2[49]'].setDirection(Net.Direction.IN)
        nets['wl1[50]'].setDirection(Net.Direction.IN)
        nets['wl2[50]'].setDirection(Net.Direction.IN)
        nets['wl1[51]'].setDirection(Net.Direction.IN)
        nets['wl2[51]'].setDirection(Net.Direction.IN)
        nets['wl1[52]'].setDirection(Net.Direction.IN)
        nets['wl2[52]'].setDirection(Net.Direction.IN)
        nets['wl1[53]'].setDirection(Net.Direction.IN)
        nets['wl2[53]'].setDirection(Net.Direction.IN)
        nets['wl1[54]'].setDirection(Net.Direction.IN)
        nets['wl2[54]'].setDirection(Net.Direction.IN)
        nets['wl1[55]'].setDirection(Net.Direction.IN)
        nets['wl2[55]'].setDirection(Net.Direction.IN)
        nets['wl1[56]'].setDirection(Net.Direction.IN)
        nets['wl2[56]'].setDirection(Net.Direction.IN)
        nets['wl1[57]'].setDirection(Net.Direction.IN)
        nets['wl2[57]'].setDirection(Net.Direction.IN)
        nets['wl1[58]'].setDirection(Net.Direction.IN)
        nets['wl2[58]'].setDirection(Net.Direction.IN)
        nets['wl1[59]'].setDirection(Net.Direction.IN)
        nets['wl2[59]'].setDirection(Net.Direction.IN)
        nets['wl1[60]'].setDirection(Net.Direction.IN)
        nets['wl2[60]'].setDirection(Net.Direction.IN)
        nets['wl1[61]'].setDirection(Net.Direction.IN)
        nets['wl2[61]'].setDirection(Net.Direction.IN)
        nets['wl1[62]'].setDirection(Net.Direction.IN)
        nets['wl2[62]'].setDirection(Net.Direction.IN)
        nets['wl1[63]'].setDirection(Net.Direction.IN)
        nets['wl2[63]'].setDirection(Net.Direction.IN)
        nets['bl1[0]'].setDirection(Net.Direction.IN)
        nets['bl1_n[0]'].setDirection(Net.Direction.IN)
        nets['bl2[0]'].setDirection(Net.Direction.IN)
        nets['bl2_n[0]'].setDirection(Net.Direction.IN)
        nets['bl1[1]'].setDirection(Net.Direction.IN)
        nets['bl1_n[1]'].setDirection(Net.Direction.IN)
        nets['bl2[1]'].setDirection(Net.Direction.IN)
        nets['bl2_n[1]'].setDirection(Net.Direction.IN)
        nets['bl1[2]'].setDirection(Net.Direction.IN)
        nets['bl1_n[2]'].setDirection(Net.Direction.IN)
        nets['bl2[2]'].setDirection(Net.Direction.IN)
        nets['bl2_n[2]'].setDirection(Net.Direction.IN)
        nets['bl1[3]'].setDirection(Net.Direction.IN)
        nets['bl1_n[3]'].setDirection(Net.Direction.IN)
        nets['bl2[3]'].setDirection(Net.Direction.IN)
        nets['bl2_n[3]'].setDirection(Net.Direction.IN)
        nets['bl1[4]'].setDirection(Net.Direction.IN)
        nets['bl1_n[4]'].setDirection(Net.Direction.IN)
        nets['bl2[4]'].setDirection(Net.Direction.IN)
        nets['bl2_n[4]'].setDirection(Net.Direction.IN)
        nets['bl1[5]'].setDirection(Net.Direction.IN)
        nets['bl1_n[5]'].setDirection(Net.Direction.IN)
        nets['bl2[5]'].setDirection(Net.Direction.IN)
        nets['bl2_n[5]'].setDirection(Net.Direction.IN)
        nets['bl1[6]'].setDirection(Net.Direction.IN)
        nets['bl1_n[6]'].setDirection(Net.Direction.IN)
        nets['bl2[6]'].setDirection(Net.Direction.IN)
        nets['bl2_n[6]'].setDirection(Net.Direction.IN)
        nets['bl1[7]'].setDirection(Net.Direction.IN)
        nets['bl1_n[7]'].setDirection(Net.Direction.IN)
        nets['bl2[7]'].setDirection(Net.Direction.IN)
        nets['bl2_n[7]'].setDirection(Net.Direction.IN)
        nets['bl1[8]'].setDirection(Net.Direction.IN)
        nets['bl1_n[8]'].setDirection(Net.Direction.IN)
        nets['bl2[8]'].setDirection(Net.Direction.IN)
        nets['bl2_n[8]'].setDirection(Net.Direction.IN)
        nets['bl1[9]'].setDirection(Net.Direction.IN)
        nets['bl1_n[9]'].setDirection(Net.Direction.IN)
        nets['bl2[9]'].setDirection(Net.Direction.IN)
        nets['bl2_n[9]'].setDirection(Net.Direction.IN)
        nets['bl1[10]'].setDirection(Net.Direction.IN)
        nets['bl1_n[10]'].setDirection(Net.Direction.IN)
        nets['bl2[10]'].setDirection(Net.Direction.IN)
        nets['bl2_n[10]'].setDirection(Net.Direction.IN)
        nets['bl1[11]'].setDirection(Net.Direction.IN)
        nets['bl1_n[11]'].setDirection(Net.Direction.IN)
        nets['bl2[11]'].setDirection(Net.Direction.IN)
        nets['bl2_n[11]'].setDirection(Net.Direction.IN)
        nets['bl1[12]'].setDirection(Net.Direction.IN)
        nets['bl1_n[12]'].setDirection(Net.Direction.IN)
        nets['bl2[12]'].setDirection(Net.Direction.IN)
        nets['bl2_n[12]'].setDirection(Net.Direction.IN)
        nets['bl1[13]'].setDirection(Net.Direction.IN)
        nets['bl1_n[13]'].setDirection(Net.Direction.IN)
        nets['bl2[13]'].setDirection(Net.Direction.IN)
        nets['bl2_n[13]'].setDirection(Net.Direction.IN)
        nets['bl1[14]'].setDirection(Net.Direction.IN)
        nets['bl1_n[14]'].setDirection(Net.Direction.IN)
        nets['bl2[14]'].setDirection(Net.Direction.IN)
        nets['bl2_n[14]'].setDirection(Net.Direction.IN)
        nets['bl1[15]'].setDirection(Net.Direction.IN)
        nets['bl1_n[15]'].setDirection(Net.Direction.IN)
        nets['bl2[15]'].setDirection(Net.Direction.IN)
        nets['bl2_n[15]'].setDirection(Net.Direction.IN)
        nets['bl1[16]'].setDirection(Net.Direction.IN)
        nets['bl1_n[16]'].setDirection(Net.Direction.IN)
        nets['bl2[16]'].setDirection(Net.Direction.IN)
        nets['bl2_n[16]'].setDirection(Net.Direction.IN)
        nets['bl1[17]'].setDirection(Net.Direction.IN)
        nets['bl1_n[17]'].setDirection(Net.Direction.IN)
        nets['bl2[17]'].setDirection(Net.Direction.IN)
        nets['bl2_n[17]'].setDirection(Net.Direction.IN)
        nets['bl1[18]'].setDirection(Net.Direction.IN)
        nets['bl1_n[18]'].setDirection(Net.Direction.IN)
        nets['bl2[18]'].setDirection(Net.Direction.IN)
        nets['bl2_n[18]'].setDirection(Net.Direction.IN)
        nets['bl1[19]'].setDirection(Net.Direction.IN)
        nets['bl1_n[19]'].setDirection(Net.Direction.IN)
        nets['bl2[19]'].setDirection(Net.Direction.IN)
        nets['bl2_n[19]'].setDirection(Net.Direction.IN)
        nets['bl1[20]'].setDirection(Net.Direction.IN)
        nets['bl1_n[20]'].setDirection(Net.Direction.IN)
        nets['bl2[20]'].setDirection(Net.Direction.IN)
        nets['bl2_n[20]'].setDirection(Net.Direction.IN)
        nets['bl1[21]'].setDirection(Net.Direction.IN)
        nets['bl1_n[21]'].setDirection(Net.Direction.IN)
        nets['bl2[21]'].setDirection(Net.Direction.IN)
        nets['bl2_n[21]'].setDirection(Net.Direction.IN)
        nets['bl1[22]'].setDirection(Net.Direction.IN)
        nets['bl1_n[22]'].setDirection(Net.Direction.IN)
        nets['bl2[22]'].setDirection(Net.Direction.IN)
        nets['bl2_n[22]'].setDirection(Net.Direction.IN)
        nets['bl1[23]'].setDirection(Net.Direction.IN)
        nets['bl1_n[23]'].setDirection(Net.Direction.IN)
        nets['bl2[23]'].setDirection(Net.Direction.IN)
        nets['bl2_n[23]'].setDirection(Net.Direction.IN)
        nets['bl1[24]'].setDirection(Net.Direction.IN)
        nets['bl1_n[24]'].setDirection(Net.Direction.IN)
        nets['bl2[24]'].setDirection(Net.Direction.IN)
        nets['bl2_n[24]'].setDirection(Net.Direction.IN)
        nets['bl1[25]'].setDirection(Net.Direction.IN)
        nets['bl1_n[25]'].setDirection(Net.Direction.IN)
        nets['bl2[25]'].setDirection(Net.Direction.IN)
        nets['bl2_n[25]'].setDirection(Net.Direction.IN)
        nets['bl1[26]'].setDirection(Net.Direction.IN)
        nets['bl1_n[26]'].setDirection(Net.Direction.IN)
        nets['bl2[26]'].setDirection(Net.Direction.IN)
        nets['bl2_n[26]'].setDirection(Net.Direction.IN)
        nets['bl1[27]'].setDirection(Net.Direction.IN)
        nets['bl1_n[27]'].setDirection(Net.Direction.IN)
        nets['bl2[27]'].setDirection(Net.Direction.IN)
        nets['bl2_n[27]'].setDirection(Net.Direction.IN)
        nets['bl1[28]'].setDirection(Net.Direction.IN)
        nets['bl1_n[28]'].setDirection(Net.Direction.IN)
        nets['bl2[28]'].setDirection(Net.Direction.IN)
        nets['bl2_n[28]'].setDirection(Net.Direction.IN)
        nets['bl1[29]'].setDirection(Net.Direction.IN)
        nets['bl1_n[29]'].setDirection(Net.Direction.IN)
        nets['bl2[29]'].setDirection(Net.Direction.IN)
        nets['bl2_n[29]'].setDirection(Net.Direction.IN)
        nets['bl1[30]'].setDirection(Net.Direction.IN)
        nets['bl1_n[30]'].setDirection(Net.Direction.IN)
        nets['bl2[30]'].setDirection(Net.Direction.IN)
        nets['bl2_n[30]'].setDirection(Net.Direction.IN)
        nets['bl1[31]'].setDirection(Net.Direction.IN)
        nets['bl1_n[31]'].setDirection(Net.Direction.IN)
        nets['bl2[31]'].setDirection(Net.Direction.IN)
        nets['bl2_n[31]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TArray_32X32']
        except:
            subcell = af.getCell('DP8TArray_32X32', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TArray_32X32']
        except:
            subcell = af.getCell('DP8TArray_32X32', 0)
        trans = Transformation(
            u(0.0), u(74.4), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst1x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TArray_32X32']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(107.20000000000002), u(74.4),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl1[0]': Net.create(cell, 'bl1[0]'),
            'bl1[10]': Net.create(cell, 'bl1[10]'),
            'bl1[11]': Net.create(cell, 'bl1[11]'),
            'bl1[12]': Net.create(cell, 'bl1[12]'),
            'bl1[13]': Net.create(cell, 'bl1[13]'),
            'bl1[14]': Net.create(cell, 'bl1[14]'),
            'bl1[15]': Net.create(cell, 'bl1[15]'),
            'bl1[16]': Net.create(cell, 'bl1[16]'),
            'bl1[17]': Net.create(cell, 'bl1[17]'),
            'bl1[18]': Net.create(cell, 'bl1[18]'),
            'bl1[19]': Net.create(cell, 'bl1[19]'),
            'bl1[1]': Net.create(cell, 'bl1[1]'),
            'bl1[20]': Net.create(cell, 'bl1[20]'),
            'bl1[21]': Net.create(cell, 'bl1[21]'),
            'bl1[22]': Net.create(cell, 'bl1[22]'),
            'bl1[23]': Net.create(cell, 'bl1[23]'),
            'bl1[24]': Net.create(cell, 'bl1[24]'),
            'bl1[25]': Net.create(cell, 'bl1[25]'),
            'bl1[26]': Net.create(cell, 'bl1[26]'),
            'bl1[27]': Net.create(cell, 'bl1[27]'),
            'bl1[28]': Net.create(cell, 'bl1[28]'),
            'bl1[29]': Net.create(cell, 'bl1[29]'),
            'bl1[2]': Net.create(cell, 'bl1[2]'),
            'bl1[30]': Net.create(cell, 'bl1[30]'),
            'bl1[31]': Net.create(cell, 'bl1[31]'),
            'bl1[3]': Net.create(cell, 'bl1[3]'),
            'bl1[4]': Net.create(cell, 'bl1[4]'),
            'bl1[5]': Net.create(cell, 'bl1[5]'),
            'bl1[6]': Net.create(cell, 'bl1[6]'),
            'bl1[7]': Net.create(cell, 'bl1[7]'),
            'bl1[8]': Net.create(cell, 'bl1[8]'),
            'bl1[9]': Net.create(cell, 'bl1[9]'),
            'bl1_n[0]': Net.create(cell, 'bl1_n[0]'),
            'bl1_n[10]': Net.create(cell, 'bl1_n[10]'),
            'bl1_n[11]': Net.create(cell, 'bl1_n[11]'),
            'bl1_n[12]': Net.create(cell, 'bl1_n[12]'),
            'bl1_n[13]': Net.create(cell, 'bl1_n[13]'),
            'bl1_n[14]': Net.create(cell, 'bl1_n[14]'),
            'bl1_n[15]': Net.create(cell, 'bl1_n[15]'),
            'bl1_n[16]': Net.create(cell, 'bl1_n[16]'),
            'bl1_n[17]': Net.create(cell, 'bl1_n[17]'),
            'bl1_n[18]': Net.create(cell, 'bl1_n[18]'),
            'bl1_n[19]': Net.create(cell, 'bl1_n[19]'),
            'bl1_n[1]': Net.create(cell, 'bl1_n[1]'),
            'bl1_n[20]': Net.create(cell, 'bl1_n[20]'),
            'bl1_n[21]': Net.create(cell, 'bl1_n[21]'),
            'bl1_n[22]': Net.create(cell, 'bl1_n[22]'),
            'bl1_n[23]': Net.create(cell, 'bl1_n[23]'),
            'bl1_n[24]': Net.create(cell, 'bl1_n[24]'),
            'bl1_n[25]': Net.create(cell, 'bl1_n[25]'),
            'bl1_n[26]': Net.create(cell, 'bl1_n[26]'),
            'bl1_n[27]': Net.create(cell, 'bl1_n[27]'),
            'bl1_n[28]': Net.create(cell, 'bl1_n[28]'),
            'bl1_n[29]': Net.create(cell, 'bl1_n[29]'),
            'bl1_n[2]': Net.create(cell, 'bl1_n[2]'),
            'bl1_n[30]': Net.create(cell, 'bl1_n[30]'),
            'bl1_n[31]': Net.create(cell, 'bl1_n[31]'),
            'bl1_n[3]': Net.create(cell, 'bl1_n[3]'),
            'bl1_n[4]': Net.create(cell, 'bl1_n[4]'),
            'bl1_n[5]': Net.create(cell, 'bl1_n[5]'),
            'bl1_n[6]': Net.create(cell, 'bl1_n[6]'),
            'bl1_n[7]': Net.create(cell, 'bl1_n[7]'),
            'bl1_n[8]': Net.create(cell, 'bl1_n[8]'),
            'bl1_n[9]': Net.create(cell, 'bl1_n[9]'),
            'bl2[0]': Net.create(cell, 'bl2[0]'),
            'bl2[10]': Net.create(cell, 'bl2[10]'),
            'bl2[11]': Net.create(cell, 'bl2[11]'),
            'bl2[12]': Net.create(cell, 'bl2[12]'),
            'bl2[13]': Net.create(cell, 'bl2[13]'),
            'bl2[14]': Net.create(cell, 'bl2[14]'),
            'bl2[15]': Net.create(cell, 'bl2[15]'),
            'bl2[16]': Net.create(cell, 'bl2[16]'),
            'bl2[17]': Net.create(cell, 'bl2[17]'),
            'bl2[18]': Net.create(cell, 'bl2[18]'),
            'bl2[19]': Net.create(cell, 'bl2[19]'),
            'bl2[1]': Net.create(cell, 'bl2[1]'),
            'bl2[20]': Net.create(cell, 'bl2[20]'),
            'bl2[21]': Net.create(cell, 'bl2[21]'),
            'bl2[22]': Net.create(cell, 'bl2[22]'),
            'bl2[23]': Net.create(cell, 'bl2[23]'),
            'bl2[24]': Net.create(cell, 'bl2[24]'),
            'bl2[25]': Net.create(cell, 'bl2[25]'),
            'bl2[26]': Net.create(cell, 'bl2[26]'),
            'bl2[27]': Net.create(cell, 'bl2[27]'),
            'bl2[28]': Net.create(cell, 'bl2[28]'),
            'bl2[29]': Net.create(cell, 'bl2[29]'),
            'bl2[2]': Net.create(cell, 'bl2[2]'),
            'bl2[30]': Net.create(cell, 'bl2[30]'),
            'bl2[31]': Net.create(cell, 'bl2[31]'),
            'bl2[3]': Net.create(cell, 'bl2[3]'),
            'bl2[4]': Net.create(cell, 'bl2[4]'),
            'bl2[5]': Net.create(cell, 'bl2[5]'),
            'bl2[6]': Net.create(cell, 'bl2[6]'),
            'bl2[7]': Net.create(cell, 'bl2[7]'),
            'bl2[8]': Net.create(cell, 'bl2[8]'),
            'bl2[9]': Net.create(cell, 'bl2[9]'),
            'bl2_n[0]': Net.create(cell, 'bl2_n[0]'),
            'bl2_n[10]': Net.create(cell, 'bl2_n[10]'),
            'bl2_n[11]': Net.create(cell, 'bl2_n[11]'),
            'bl2_n[12]': Net.create(cell, 'bl2_n[12]'),
            'bl2_n[13]': Net.create(cell, 'bl2_n[13]'),
            'bl2_n[14]': Net.create(cell, 'bl2_n[14]'),
            'bl2_n[15]': Net.create(cell, 'bl2_n[15]'),
            'bl2_n[16]': Net.create(cell, 'bl2_n[16]'),
            'bl2_n[17]': Net.create(cell, 'bl2_n[17]'),
            'bl2_n[18]': Net.create(cell, 'bl2_n[18]'),
            'bl2_n[19]': Net.create(cell, 'bl2_n[19]'),
            'bl2_n[1]': Net.create(cell, 'bl2_n[1]'),
            'bl2_n[20]': Net.create(cell, 'bl2_n[20]'),
            'bl2_n[21]': Net.create(cell, 'bl2_n[21]'),
            'bl2_n[22]': Net.create(cell, 'bl2_n[22]'),
            'bl2_n[23]': Net.create(cell, 'bl2_n[23]'),
            'bl2_n[24]': Net.create(cell, 'bl2_n[24]'),
            'bl2_n[25]': Net.create(cell, 'bl2_n[25]'),
            'bl2_n[26]': Net.create(cell, 'bl2_n[26]'),
            'bl2_n[27]': Net.create(cell, 'bl2_n[27]'),
            'bl2_n[28]': Net.create(cell, 'bl2_n[28]'),
            'bl2_n[29]': Net.create(cell, 'bl2_n[29]'),
            'bl2_n[2]': Net.create(cell, 'bl2_n[2]'),
            'bl2_n[30]': Net.create(cell, 'bl2_n[30]'),
            'bl2_n[31]': Net.create(cell, 'bl2_n[31]'),
            'bl2_n[3]': Net.create(cell, 'bl2_n[3]'),
            'bl2_n[4]': Net.create(cell, 'bl2_n[4]'),
            'bl2_n[5]': Net.create(cell, 'bl2_n[5]'),
            'bl2_n[6]': Net.create(cell, 'bl2_n[6]'),
            'bl2_n[7]': Net.create(cell, 'bl2_n[7]'),
            'bl2_n[8]': Net.create(cell, 'bl2_n[8]'),
            'bl2_n[9]': Net.create(cell, 'bl2_n[9]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl1[0]': Net.create(cell, 'wl1[0]'),
            'wl1[10]': Net.create(cell, 'wl1[10]'),
            'wl1[11]': Net.create(cell, 'wl1[11]'),
            'wl1[12]': Net.create(cell, 'wl1[12]'),
            'wl1[13]': Net.create(cell, 'wl1[13]'),
            'wl1[14]': Net.create(cell, 'wl1[14]'),
            'wl1[15]': Net.create(cell, 'wl1[15]'),
            'wl1[16]': Net.create(cell, 'wl1[16]'),
            'wl1[17]': Net.create(cell, 'wl1[17]'),
            'wl1[18]': Net.create(cell, 'wl1[18]'),
            'wl1[19]': Net.create(cell, 'wl1[19]'),
            'wl1[1]': Net.create(cell, 'wl1[1]'),
            'wl1[20]': Net.create(cell, 'wl1[20]'),
            'wl1[21]': Net.create(cell, 'wl1[21]'),
            'wl1[22]': Net.create(cell, 'wl1[22]'),
            'wl1[23]': Net.create(cell, 'wl1[23]'),
            'wl1[24]': Net.create(cell, 'wl1[24]'),
            'wl1[25]': Net.create(cell, 'wl1[25]'),
            'wl1[26]': Net.create(cell, 'wl1[26]'),
            'wl1[27]': Net.create(cell, 'wl1[27]'),
            'wl1[28]': Net.create(cell, 'wl1[28]'),
            'wl1[29]': Net.create(cell, 'wl1[29]'),
            'wl1[2]': Net.create(cell, 'wl1[2]'),
            'wl1[30]': Net.create(cell, 'wl1[30]'),
            'wl1[31]': Net.create(cell, 'wl1[31]'),
            'wl1[3]': Net.create(cell, 'wl1[3]'),
            'wl1[4]': Net.create(cell, 'wl1[4]'),
            'wl1[5]': Net.create(cell, 'wl1[5]'),
            'wl1[6]': Net.create(cell, 'wl1[6]'),
            'wl1[7]': Net.create(cell, 'wl1[7]'),
            'wl1[8]': Net.create(cell, 'wl1[8]'),
            'wl1[9]': Net.create(cell, 'wl1[9]'),
            'wl2[0]': Net.create(cell, 'wl2[0]'),
            'wl2[10]': Net.create(cell, 'wl2[10]'),
            'wl2[11]': Net.create(cell, 'wl2[11]'),
            'wl2[12]': Net.create(cell, 'wl2[12]'),
            'wl2[13]': Net.create(cell, 'wl2[13]'),
            'wl2[14]': Net.create(cell, 'wl2[14]'),
            'wl2[15]': Net.create(cell, 'wl2[15]'),
            'wl2[16]': Net.create(cell, 'wl2[16]'),
            'wl2[17]': Net.create(cell, 'wl2[17]'),
            'wl2[18]': Net.create(cell, 'wl2[18]'),
            'wl2[19]': Net.create(cell, 'wl2[19]'),
            'wl2[1]': Net.create(cell, 'wl2[1]'),
            'wl2[20]': Net.create(cell, 'wl2[20]'),
            'wl2[21]': Net.create(cell, 'wl2[21]'),
            'wl2[22]': Net.create(cell, 'wl2[22]'),
            'wl2[23]': Net.create(cell, 'wl2[23]'),
            'wl2[24]': Net.create(cell, 'wl2[24]'),
            'wl2[25]': Net.create(cell, 'wl2[25]'),
            'wl2[26]': Net.create(cell, 'wl2[26]'),
            'wl2[27]': Net.create(cell, 'wl2[27]'),
            'wl2[28]': Net.create(cell, 'wl2[28]'),
            'wl2[29]': Net.create(cell, 'wl2[29]'),
            'wl2[2]': Net.create(cell, 'wl2[2]'),
            'wl2[30]': Net.create(cell, 'wl2[30]'),
            'wl2[31]': Net.create(cell, 'wl2[31]'),
            'wl2[3]': Net.create(cell, 'wl2[3]'),
            'wl2[4]': Net.create(cell, 'wl2[4]'),
            'wl2[5]': Net.create(cell, 'wl2[5]'),
            'wl2[6]': Net.create(cell, 'wl2[6]'),
            'wl2[7]': Net.create(cell, 'wl2[7]'),
            'wl2[8]': Net.create(cell, 'wl2[8]'),
            'wl2[9]': Net.create(cell, 'wl2[9]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,68.74),(0.0,69.32),(107.2,69.32),(107.2,68.74),(0.0,68.74)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,17.59),(0.0,18.17),(107.2,18.17),(107.2,17.59),(0.0,17.59)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,45.49),(0.0,46.07),(107.2,46.07),(107.2,45.49),(0.0,45.49)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,50.14),(0.0,50.72),(107.2,50.72),(107.2,50.14),(0.0,50.14)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,8.29),(0.0,8.87),(107.2,8.87),(107.2,8.29),(0.0,8.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,12.94),(0.0,13.52),(107.2,13.52),(107.2,12.94),(0.0,12.94)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,22.24),(0.0,22.82),(107.2,22.82),(107.2,22.24),(0.0,22.24)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,31.54),(0.0,32.12),(107.2,32.12),(107.2,31.54),(0.0,31.54)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,64.09),(0.0,64.67),(107.2,64.67),(107.2,64.09),(0.0,64.09)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,36.19),(0.0,36.77),(107.2,36.77),(107.2,36.19),(0.0,36.19)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,40.84),(0.0,41.42),(107.2,41.42),(107.2,40.84),(0.0,40.84)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,54.79),(0.0,55.37),(107.2,55.37),(107.2,54.79),(0.0,54.79)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,3.64),(0.0,4.22),(107.2,4.22),(107.2,3.64),(0.0,3.64)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,59.44),(0.0,60.02),(107.2,60.02),(107.2,59.44),(0.0,59.44)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,73.39),(0.0,73.97),(107.2,73.97),(107.2,73.39),(0.0,73.39)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,26.89),(0.0,27.47),(107.2,27.47),(107.2,26.89),(0.0,26.89)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(69.03), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(69.03), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(17.88), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(17.88), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(45.78), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(45.78), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.43), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.43), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.58), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.58), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.23), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.23), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(22.53), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(22.53), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(31.83), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(31.83), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(64.38), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(64.38), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(36.48), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(36.48), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(41.13), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(41.13), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(55.08), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(55.08), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.93), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.93), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(59.73), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(59.73), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(73.68), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(73.68), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(27.18), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(27.18), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,13.66),(0.0,14.24),(107.2,14.24),(107.2,13.66),(0.0,13.66)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,18.31),(0.0,18.89),(107.2,18.89),(107.2,18.31),(0.0,18.31)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,60.16),(0.0,60.74),(107.2,60.74),(107.2,60.16),(0.0,60.16)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.29),(0.0,0.29),(107.2,0.29),(107.2,-0.29),(0.0,-0.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,32.26),(0.0,32.84),(107.2,32.84),(107.2,32.26),(0.0,32.26)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,46.21),(0.0,46.79),(107.2,46.79),(107.2,46.21),(0.0,46.21)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,50.86),(0.0,51.44),(107.2,51.44),(107.2,50.86),(0.0,50.86)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,41.56),(0.0,42.14),(107.2,42.14),(107.2,41.56),(0.0,41.56)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,4.36),(0.0,4.94),(107.2,4.94),(107.2,4.36),(0.0,4.36)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,22.96),(0.0,23.54),(107.2,23.54),(107.2,22.96),(0.0,22.96)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,64.81),(0.0,65.39),(107.2,65.39),(107.2,64.81),(0.0,64.81)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,27.61),(0.0,28.19),(107.2,28.19),(107.2,27.61),(0.0,27.61)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,9.01),(0.0,9.59),(107.2,9.59),(107.2,9.01),(0.0,9.01)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,69.46),(0.0,70.04),(107.2,70.04),(107.2,69.46),(0.0,69.46)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,74.11),(0.0,74.69),(107.2,74.69),(107.2,74.11),(0.0,74.11)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,36.91),(0.0,37.49),(107.2,37.49),(107.2,36.91),(0.0,36.91)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,55.51),(0.0,56.09),(107.2,56.09),(107.2,55.51),(0.0,55.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.95), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.95), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.6), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.6), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(60.45), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(60.45), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(32.55), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(32.55), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(46.5), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(46.5), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.15), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.15), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(41.85), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(41.85), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(4.65), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(4.65), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(23.25), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(23.25), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(65.1), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(65.1), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(27.9), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(27.9), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.3), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.3), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(69.75), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(69.75), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(74.4), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(74.4), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(37.2), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(37.2), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(55.8), u(0.58), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(55.8), u(0.58), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.88),(0.0,2.14),(107.2,2.14),(107.2,1.88),(0.0,1.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.38),(0.0,1.64),(107.2,1.64),(107.2,1.38),(0.0,1.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,2.51),(0.0,2.77),(107.2,2.77),(107.2,2.51),(0.0,2.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.01),(0.0,3.27),(107.2,3.27),(107.2,3.01),(0.0,3.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.53),(0.0,6.79),(107.2,6.79),(107.2,6.53),(0.0,6.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.03),(0.0,6.29),(107.2,6.29),(107.2,6.03),(0.0,6.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.16),(0.0,7.42),(107.2,7.42),(107.2,7.16),(0.0,7.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.66),(0.0,7.92),(107.2,7.92),(107.2,7.66),(0.0,7.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,11.18),(0.0,11.44),(107.2,11.44),(107.2,11.18),(0.0,11.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,10.68),(0.0,10.94),(107.2,10.94),(107.2,10.68),(0.0,10.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,11.81),(0.0,12.07),(107.2,12.07),(107.2,11.81),(0.0,11.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,12.31),(0.0,12.57),(107.2,12.57),(107.2,12.31),(0.0,12.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,15.83),(0.0,16.09),(107.2,16.09),(107.2,15.83),(0.0,15.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,15.33),(0.0,15.59),(107.2,15.59),(107.2,15.33),(0.0,15.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,16.46),(0.0,16.72),(107.2,16.72),(107.2,16.46),(0.0,16.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,16.96),(0.0,17.22),(107.2,17.22),(107.2,16.96),(0.0,16.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(17.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(17.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,20.48),(0.0,20.74),(107.2,20.74),(107.2,20.48),(0.0,20.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(20.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(20.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,19.98),(0.0,20.24),(107.2,20.24),(107.2,19.98),(0.0,19.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(20.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(20.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,21.11),(0.0,21.37),(107.2,21.37),(107.2,21.11),(0.0,21.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,21.61),(0.0,21.87),(107.2,21.87),(107.2,21.61),(0.0,21.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,25.13),(0.0,25.39),(107.2,25.39),(107.2,25.13),(0.0,25.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,24.63),(0.0,24.89),(107.2,24.89),(107.2,24.63),(0.0,24.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(24.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(24.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,25.76),(0.0,26.02),(107.2,26.02),(107.2,25.76),(0.0,25.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,26.26),(0.0,26.52),(107.2,26.52),(107.2,26.26),(0.0,26.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(26.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(26.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,29.78),(0.0,30.04),(107.2,30.04),(107.2,29.78),(0.0,29.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.91), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,29.28),(0.0,29.54),(107.2,29.54),(107.2,29.28),(0.0,29.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.41), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,30.41),(0.0,30.67),(107.2,30.67),(107.2,30.41),(0.0,30.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(30.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(30.54), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,30.91),(0.0,31.17),(107.2,31.17),(107.2,30.91),(0.0,30.91)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(31.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(31.04), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,34.43),(0.0,34.69),(107.2,34.69),(107.2,34.43),(0.0,34.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.56), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,33.93),(0.0,34.19),(107.2,34.19),(107.2,33.93),(0.0,33.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.06), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,35.06),(0.0,35.32),(107.2,35.32),(107.2,35.06),(0.0,35.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.19), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,35.56),(0.0,35.82),(107.2,35.82),(107.2,35.56),(0.0,35.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.69), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[16]']
        createRL(
            tech, net, 'm2',
            ((0.0,39.08),(0.0,39.34),(107.2,39.34),(107.2,39.08),(0.0,39.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(39.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(39.21), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[16]']
        createRL(
            tech, net, 'm2',
            ((0.0,38.58),(0.0,38.84),(107.2,38.84),(107.2,38.58),(0.0,38.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(38.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(38.71), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[17]']
        createRL(
            tech, net, 'm2',
            ((0.0,39.71),(0.0,39.97),(107.2,39.97),(107.2,39.71),(0.0,39.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(39.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(39.84), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[17]']
        createRL(
            tech, net, 'm2',
            ((0.0,40.21),(0.0,40.47),(107.2,40.47),(107.2,40.21),(0.0,40.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(40.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(40.34), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[18]']
        createRL(
            tech, net, 'm2',
            ((0.0,43.73),(0.0,43.99),(107.2,43.99),(107.2,43.73),(0.0,43.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(43.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(43.86), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[18]']
        createRL(
            tech, net, 'm2',
            ((0.0,43.23),(0.0,43.49),(107.2,43.49),(107.2,43.23),(0.0,43.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(43.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(43.36), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[19]']
        createRL(
            tech, net, 'm2',
            ((0.0,44.36),(0.0,44.62),(107.2,44.62),(107.2,44.36),(0.0,44.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(44.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(44.49), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[19]']
        createRL(
            tech, net, 'm2',
            ((0.0,44.86),(0.0,45.12),(107.2,45.12),(107.2,44.86),(0.0,44.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(44.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(44.99), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[20]']
        createRL(
            tech, net, 'm2',
            ((0.0,48.38),(0.0,48.64),(107.2,48.64),(107.2,48.38),(0.0,48.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.51), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[20]']
        createRL(
            tech, net, 'm2',
            ((0.0,47.88),(0.0,48.14),(107.2,48.14),(107.2,47.88),(0.0,47.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.01), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[21]']
        createRL(
            tech, net, 'm2',
            ((0.0,49.01),(0.0,49.27),(107.2,49.27),(107.2,49.01),(0.0,49.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(49.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(49.14), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[21]']
        createRL(
            tech, net, 'm2',
            ((0.0,49.51),(0.0,49.77),(107.2,49.77),(107.2,49.51),(0.0,49.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(49.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(49.64), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[22]']
        createRL(
            tech, net, 'm2',
            ((0.0,53.03),(0.0,53.29),(107.2,53.29),(107.2,53.03),(0.0,53.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(53.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(53.16), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[22]']
        createRL(
            tech, net, 'm2',
            ((0.0,52.53),(0.0,52.79),(107.2,52.79),(107.2,52.53),(0.0,52.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(52.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(52.66), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[23]']
        createRL(
            tech, net, 'm2',
            ((0.0,53.66),(0.0,53.92),(107.2,53.92),(107.2,53.66),(0.0,53.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(53.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(53.79), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[23]']
        createRL(
            tech, net, 'm2',
            ((0.0,54.16),(0.0,54.42),(107.2,54.42),(107.2,54.16),(0.0,54.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(54.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(54.29), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[24]']
        createRL(
            tech, net, 'm2',
            ((0.0,57.68),(0.0,57.94),(107.2,57.94),(107.2,57.68),(0.0,57.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(57.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(57.81), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[24]']
        createRL(
            tech, net, 'm2',
            ((0.0,57.18),(0.0,57.44),(107.2,57.44),(107.2,57.18),(0.0,57.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(57.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(57.31), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[25]']
        createRL(
            tech, net, 'm2',
            ((0.0,58.31),(0.0,58.57),(107.2,58.57),(107.2,58.31),(0.0,58.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(58.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(58.44), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[25]']
        createRL(
            tech, net, 'm2',
            ((0.0,58.81),(0.0,59.07),(107.2,59.07),(107.2,58.81),(0.0,58.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(58.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(58.94), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[26]']
        createRL(
            tech, net, 'm2',
            ((0.0,62.33),(0.0,62.59),(107.2,62.59),(107.2,62.33),(0.0,62.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(62.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(62.46), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[26]']
        createRL(
            tech, net, 'm2',
            ((0.0,61.83),(0.0,62.09),(107.2,62.09),(107.2,61.83),(0.0,61.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(61.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(61.96), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[27]']
        createRL(
            tech, net, 'm2',
            ((0.0,62.96),(0.0,63.22),(107.2,63.22),(107.2,62.96),(0.0,62.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.09), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[27]']
        createRL(
            tech, net, 'm2',
            ((0.0,63.46),(0.0,63.72),(107.2,63.72),(107.2,63.46),(0.0,63.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.59), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[28]']
        createRL(
            tech, net, 'm2',
            ((0.0,66.98),(0.0,67.24),(107.2,67.24),(107.2,66.98),(0.0,66.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.11), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[28]']
        createRL(
            tech, net, 'm2',
            ((0.0,66.48),(0.0,66.74),(107.2,66.74),(107.2,66.48),(0.0,66.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(66.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(66.61), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[29]']
        createRL(
            tech, net, 'm2',
            ((0.0,67.61),(0.0,67.87),(107.2,67.87),(107.2,67.61),(0.0,67.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.74), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[29]']
        createRL(
            tech, net, 'm2',
            ((0.0,68.11),(0.0,68.37),(107.2,68.37),(107.2,68.11),(0.0,68.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(68.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(68.24), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[30]']
        createRL(
            tech, net, 'm2',
            ((0.0,71.63),(0.0,71.89),(107.2,71.89),(107.2,71.63),(0.0,71.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(71.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(71.76), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[30]']
        createRL(
            tech, net, 'm2',
            ((0.0,71.13),(0.0,71.39),(107.2,71.39),(107.2,71.13),(0.0,71.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(71.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(71.26), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[31]']
        createRL(
            tech, net, 'm2',
            ((0.0,72.26),(0.0,72.52),(107.2,72.52),(107.2,72.26),(0.0,72.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.39), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[31]']
        createRL(
            tech, net, 'm2',
            ((0.0,72.76),(0.0,73.02),(107.2,73.02),(107.2,72.76),(0.0,72.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.89), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[0]']
        createRL(
            tech, net, 'm1',
            ((0.46,0.0),(0.46,74.4),(0.69,74.4),(0.69,0.0),(0.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.575), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.575), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.09,0.0),(1.09,74.4),(1.32,74.4),(1.32,0.0),(1.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.205), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.205), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[0]']
        createRL(
            tech, net, 'm1',
            ((2.0,0.0),(2.0,74.4),(2.23,74.4),(2.23,0.0),(2.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.115), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.115), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[0]']
        createRL(
            tech, net, 'm1',
            ((2.66,0.0),(2.66,74.4),(2.89,74.4),(2.89,0.0),(2.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.775), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.775), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[1]']
        createRL(
            tech, net, 'm1',
            ((3.81,0.0),(3.81,74.4),(4.04,74.4),(4.04,0.0),(3.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.925), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.925), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[1]']
        createRL(
            tech, net, 'm1',
            ((4.44,0.0),(4.44,74.4),(4.67,74.4),(4.67,0.0),(4.44,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.555), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.555), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[1]']
        createRL(
            tech, net, 'm1',
            ((5.35,0.0),(5.35,74.4),(5.58,74.4),(5.58,0.0),(5.35,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.465), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.465), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[1]']
        createRL(
            tech, net, 'm1',
            ((6.01,0.0),(6.01,74.4),(6.24,74.4),(6.24,0.0),(6.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.125), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.125), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[2]']
        createRL(
            tech, net, 'm1',
            ((7.16,0.0),(7.16,74.4),(7.39,74.4),(7.39,0.0),(7.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.275), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.275), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[2]']
        createRL(
            tech, net, 'm1',
            ((7.79,0.0),(7.79,74.4),(8.02,74.4),(8.02,0.0),(7.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.905), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.905), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[2]']
        createRL(
            tech, net, 'm1',
            ((8.7,0.0),(8.7,74.4),(8.93,74.4),(8.93,0.0),(8.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(8.815), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(8.815), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[2]']
        createRL(
            tech, net, 'm1',
            ((9.36,0.0),(9.36,74.4),(9.59,74.4),(9.59,0.0),(9.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(9.475), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(9.475), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[3]']
        createRL(
            tech, net, 'm1',
            ((10.51,0.0),(10.51,74.4),(10.74,74.4),(10.74,0.0),(10.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(10.625), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(10.625), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[3]']
        createRL(
            tech, net, 'm1',
            ((11.14,0.0),(11.14,74.4),(11.37,74.4),(11.37,0.0),(11.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(11.255), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(11.255), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[3]']
        createRL(
            tech, net, 'm1',
            ((12.05,0.0),(12.05,74.4),(12.28,74.4),(12.28,0.0),(12.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.165), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.165), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[3]']
        createRL(
            tech, net, 'm1',
            ((12.71,0.0),(12.71,74.4),(12.94,74.4),(12.94,0.0),(12.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.825), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.825), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[4]']
        createRL(
            tech, net, 'm1',
            ((13.86,0.0),(13.86,74.4),(14.09,74.4),(14.09,0.0),(13.86,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(13.975), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(13.975), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[4]']
        createRL(
            tech, net, 'm1',
            ((14.49,0.0),(14.49,74.4),(14.72,74.4),(14.72,0.0),(14.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(14.605), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(14.605), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[4]']
        createRL(
            tech, net, 'm1',
            ((15.4,0.0),(15.4,74.4),(15.63,74.4),(15.63,0.0),(15.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(15.515), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(15.515), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[4]']
        createRL(
            tech, net, 'm1',
            ((16.06,0.0),(16.06,74.4),(16.29,74.4),(16.29,0.0),(16.06,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(16.175), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(16.175), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[5]']
        createRL(
            tech, net, 'm1',
            ((17.21,0.0),(17.21,74.4),(17.44,74.4),(17.44,0.0),(17.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(17.325), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(17.325), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[5]']
        createRL(
            tech, net, 'm1',
            ((17.84,0.0),(17.84,74.4),(18.07,74.4),(18.07,0.0),(17.84,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(17.955), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(17.955), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[5]']
        createRL(
            tech, net, 'm1',
            ((18.75,0.0),(18.75,74.4),(18.98,74.4),(18.98,0.0),(18.75,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(18.865), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(18.865), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[5]']
        createRL(
            tech, net, 'm1',
            ((19.41,0.0),(19.41,74.4),(19.64,74.4),(19.64,0.0),(19.41,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(19.525), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(19.525), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[6]']
        createRL(
            tech, net, 'm1',
            ((20.56,0.0),(20.56,74.4),(20.79,74.4),(20.79,0.0),(20.56,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(20.675), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(20.675), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[6]']
        createRL(
            tech, net, 'm1',
            ((21.19,0.0),(21.19,74.4),(21.42,74.4),(21.42,0.0),(21.19,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(21.305), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(21.305), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[6]']
        createRL(
            tech, net, 'm1',
            ((22.1,0.0),(22.1,74.4),(22.33,74.4),(22.33,0.0),(22.1,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(22.215), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(22.215), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[6]']
        createRL(
            tech, net, 'm1',
            ((22.76,0.0),(22.76,74.4),(22.99,74.4),(22.99,0.0),(22.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(22.875), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(22.875), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[7]']
        createRL(
            tech, net, 'm1',
            ((23.91,0.0),(23.91,74.4),(24.14,74.4),(24.14,0.0),(23.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(24.025), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(24.025), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[7]']
        createRL(
            tech, net, 'm1',
            ((24.54,0.0),(24.54,74.4),(24.77,74.4),(24.77,0.0),(24.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(24.655), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(24.655), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[7]']
        createRL(
            tech, net, 'm1',
            ((25.45,0.0),(25.45,74.4),(25.68,74.4),(25.68,0.0),(25.45,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(25.565), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(25.565), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[7]']
        createRL(
            tech, net, 'm1',
            ((26.11,0.0),(26.11,74.4),(26.34,74.4),(26.34,0.0),(26.11,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(26.225), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(26.225), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[8]']
        createRL(
            tech, net, 'm1',
            ((27.26,0.0),(27.26,74.4),(27.49,74.4),(27.49,0.0),(27.26,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(27.375), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(27.375), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[8]']
        createRL(
            tech, net, 'm1',
            ((27.89,0.0),(27.89,74.4),(28.12,74.4),(28.12,0.0),(27.89,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(28.005), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(28.005), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[8]']
        createRL(
            tech, net, 'm1',
            ((28.8,0.0),(28.8,74.4),(29.03,74.4),(29.03,0.0),(28.8,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(28.915), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(28.915), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[8]']
        createRL(
            tech, net, 'm1',
            ((29.46,0.0),(29.46,74.4),(29.69,74.4),(29.69,0.0),(29.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(29.575), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(29.575), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[9]']
        createRL(
            tech, net, 'm1',
            ((30.61,0.0),(30.61,74.4),(30.84,74.4),(30.84,0.0),(30.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(30.725), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(30.725), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[9]']
        createRL(
            tech, net, 'm1',
            ((31.24,0.0),(31.24,74.4),(31.47,74.4),(31.47,0.0),(31.24,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(31.355), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(31.355), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[9]']
        createRL(
            tech, net, 'm1',
            ((32.15,0.0),(32.15,74.4),(32.38,74.4),(32.38,0.0),(32.15,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(32.265), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(32.265), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[9]']
        createRL(
            tech, net, 'm1',
            ((32.81,0.0),(32.81,74.4),(33.04,74.4),(33.04,0.0),(32.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(32.925), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(32.925), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[10]']
        createRL(
            tech, net, 'm1',
            ((33.96,0.0),(33.96,74.4),(34.19,74.4),(34.19,0.0),(33.96,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(34.075), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(34.075), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[10]']
        createRL(
            tech, net, 'm1',
            ((34.59,0.0),(34.59,74.4),(34.82,74.4),(34.82,0.0),(34.59,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(34.705), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(34.705), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[10]']
        createRL(
            tech, net, 'm1',
            ((35.5,0.0),(35.5,74.4),(35.73,74.4),(35.73,0.0),(35.5,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(35.615), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(35.615), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[10]']
        createRL(
            tech, net, 'm1',
            ((36.16,0.0),(36.16,74.4),(36.39,74.4),(36.39,0.0),(36.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(36.275), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(36.275), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[11]']
        createRL(
            tech, net, 'm1',
            ((37.31,0.0),(37.31,74.4),(37.54,74.4),(37.54,0.0),(37.31,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(37.425), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(37.425), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[11]']
        createRL(
            tech, net, 'm1',
            ((37.94,0.0),(37.94,74.4),(38.17,74.4),(38.17,0.0),(37.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(38.055), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(38.055), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[11]']
        createRL(
            tech, net, 'm1',
            ((38.85,0.0),(38.85,74.4),(39.08,74.4),(39.08,0.0),(38.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(38.965), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(38.965), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[11]']
        createRL(
            tech, net, 'm1',
            ((39.51,0.0),(39.51,74.4),(39.74,74.4),(39.74,0.0),(39.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(39.625), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(39.625), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[12]']
        createRL(
            tech, net, 'm1',
            ((40.66,0.0),(40.66,74.4),(40.89,74.4),(40.89,0.0),(40.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(40.775), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(40.775), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[12]']
        createRL(
            tech, net, 'm1',
            ((41.29,0.0),(41.29,74.4),(41.52,74.4),(41.52,0.0),(41.29,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(41.405), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(41.405), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[12]']
        createRL(
            tech, net, 'm1',
            ((42.2,0.0),(42.2,74.4),(42.43,74.4),(42.43,0.0),(42.2,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(42.315), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(42.315), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[12]']
        createRL(
            tech, net, 'm1',
            ((42.86,0.0),(42.86,74.4),(43.09,74.4),(43.09,0.0),(42.86,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(42.975), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(42.975), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[13]']
        createRL(
            tech, net, 'm1',
            ((44.01,0.0),(44.01,74.4),(44.24,74.4),(44.24,0.0),(44.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(44.125), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(44.125), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[13]']
        createRL(
            tech, net, 'm1',
            ((44.64,0.0),(44.64,74.4),(44.87,74.4),(44.87,0.0),(44.64,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(44.755), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(44.755), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[13]']
        createRL(
            tech, net, 'm1',
            ((45.55,0.0),(45.55,74.4),(45.78,74.4),(45.78,0.0),(45.55,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(45.665), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(45.665), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[13]']
        createRL(
            tech, net, 'm1',
            ((46.21,0.0),(46.21,74.4),(46.44,74.4),(46.44,0.0),(46.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(46.325), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(46.325), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[14]']
        createRL(
            tech, net, 'm1',
            ((47.36,0.0),(47.36,74.4),(47.59,74.4),(47.59,0.0),(47.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(47.475), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(47.475), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[14]']
        createRL(
            tech, net, 'm1',
            ((47.99,0.0),(47.99,74.4),(48.22,74.4),(48.22,0.0),(47.99,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(48.105), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(48.105), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[14]']
        createRL(
            tech, net, 'm1',
            ((48.9,0.0),(48.9,74.4),(49.13,74.4),(49.13,0.0),(48.9,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(49.015), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(49.015), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[14]']
        createRL(
            tech, net, 'm1',
            ((49.56,0.0),(49.56,74.4),(49.79,74.4),(49.79,0.0),(49.56,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(49.675), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(49.675), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[15]']
        createRL(
            tech, net, 'm1',
            ((50.71,0.0),(50.71,74.4),(50.94,74.4),(50.94,0.0),(50.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(50.825), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(50.825), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[15]']
        createRL(
            tech, net, 'm1',
            ((51.34,0.0),(51.34,74.4),(51.57,74.4),(51.57,0.0),(51.34,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(51.455), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(51.455), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[15]']
        createRL(
            tech, net, 'm1',
            ((52.25,0.0),(52.25,74.4),(52.48,74.4),(52.48,0.0),(52.25,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(52.365), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(52.365), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[15]']
        createRL(
            tech, net, 'm1',
            ((52.91,0.0),(52.91,74.4),(53.14,74.4),(53.14,0.0),(52.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(53.025), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(53.025), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[16]']
        createRL(
            tech, net, 'm1',
            ((54.06,0.0),(54.06,74.4),(54.29,74.4),(54.29,0.0),(54.06,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(54.175), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(54.175), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[16]']
        createRL(
            tech, net, 'm1',
            ((54.69,0.0),(54.69,74.4),(54.92,74.4),(54.92,0.0),(54.69,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(54.805), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(54.805), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[16]']
        createRL(
            tech, net, 'm1',
            ((55.6,0.0),(55.6,74.4),(55.83,74.4),(55.83,0.0),(55.6,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(55.715), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(55.715), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[16]']
        createRL(
            tech, net, 'm1',
            ((56.26,0.0),(56.26,74.4),(56.49,74.4),(56.49,0.0),(56.26,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(56.375), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(56.375), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[17]']
        createRL(
            tech, net, 'm1',
            ((57.41,0.0),(57.41,74.4),(57.64,74.4),(57.64,0.0),(57.41,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(57.525), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(57.525), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[17]']
        createRL(
            tech, net, 'm1',
            ((58.04,0.0),(58.04,74.4),(58.27,74.4),(58.27,0.0),(58.04,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(58.155), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(58.155), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[17]']
        createRL(
            tech, net, 'm1',
            ((58.95,0.0),(58.95,74.4),(59.18,74.4),(59.18,0.0),(58.95,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(59.065), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(59.065), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[17]']
        createRL(
            tech, net, 'm1',
            ((59.61,0.0),(59.61,74.4),(59.84,74.4),(59.84,0.0),(59.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(59.725), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(59.725), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[18]']
        createRL(
            tech, net, 'm1',
            ((60.76,0.0),(60.76,74.4),(60.99,74.4),(60.99,0.0),(60.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(60.875), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(60.875), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[18]']
        createRL(
            tech, net, 'm1',
            ((61.39,0.0),(61.39,74.4),(61.62,74.4),(61.62,0.0),(61.39,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(61.505), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(61.505), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[18]']
        createRL(
            tech, net, 'm1',
            ((62.3,0.0),(62.3,74.4),(62.53,74.4),(62.53,0.0),(62.3,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(62.415), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(62.415), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[18]']
        createRL(
            tech, net, 'm1',
            ((62.96,0.0),(62.96,74.4),(63.19,74.4),(63.19,0.0),(62.96,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(63.075), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(63.075), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[19]']
        createRL(
            tech, net, 'm1',
            ((64.11,0.0),(64.11,74.4),(64.34,74.4),(64.34,0.0),(64.11,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(64.225), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(64.225), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[19]']
        createRL(
            tech, net, 'm1',
            ((64.74,0.0),(64.74,74.4),(64.97,74.4),(64.97,0.0),(64.74,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(64.855), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(64.855), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[19]']
        createRL(
            tech, net, 'm1',
            ((65.65,0.0),(65.65,74.4),(65.88,74.4),(65.88,0.0),(65.65,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(65.765), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(65.765), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[19]']
        createRL(
            tech, net, 'm1',
            ((66.31,0.0),(66.31,74.4),(66.54,74.4),(66.54,0.0),(66.31,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(66.425), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(66.425), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[20]']
        createRL(
            tech, net, 'm1',
            ((67.46,0.0),(67.46,74.4),(67.69,74.4),(67.69,0.0),(67.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(67.575), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(67.575), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[20]']
        createRL(
            tech, net, 'm1',
            ((68.09,0.0),(68.09,74.4),(68.32,74.4),(68.32,0.0),(68.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(68.205), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(68.205), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[20]']
        createRL(
            tech, net, 'm1',
            ((69.0,0.0),(69.0,74.4),(69.23,74.4),(69.23,0.0),(69.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(69.115), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(69.115), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[20]']
        createRL(
            tech, net, 'm1',
            ((69.66,0.0),(69.66,74.4),(69.89,74.4),(69.89,0.0),(69.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(69.775), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(69.775), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[21]']
        createRL(
            tech, net, 'm1',
            ((70.81,0.0),(70.81,74.4),(71.04,74.4),(71.04,0.0),(70.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(70.925), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(70.925), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[21]']
        createRL(
            tech, net, 'm1',
            ((71.44,0.0),(71.44,74.4),(71.67,74.4),(71.67,0.0),(71.44,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(71.555), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(71.555), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[21]']
        createRL(
            tech, net, 'm1',
            ((72.35,0.0),(72.35,74.4),(72.58,74.4),(72.58,0.0),(72.35,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(72.465), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(72.465), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[21]']
        createRL(
            tech, net, 'm1',
            ((73.01,0.0),(73.01,74.4),(73.24,74.4),(73.24,0.0),(73.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(73.125), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(73.125), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[22]']
        createRL(
            tech, net, 'm1',
            ((74.16,0.0),(74.16,74.4),(74.39,74.4),(74.39,0.0),(74.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(74.275), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(74.275), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[22]']
        createRL(
            tech, net, 'm1',
            ((74.79,0.0),(74.79,74.4),(75.02,74.4),(75.02,0.0),(74.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(74.905), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(74.905), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[22]']
        createRL(
            tech, net, 'm1',
            ((75.7,0.0),(75.7,74.4),(75.93,74.4),(75.93,0.0),(75.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(75.815), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(75.815), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[22]']
        createRL(
            tech, net, 'm1',
            ((76.36,0.0),(76.36,74.4),(76.59,74.4),(76.59,0.0),(76.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(76.475), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(76.475), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[23]']
        createRL(
            tech, net, 'm1',
            ((77.51,0.0),(77.51,74.4),(77.74,74.4),(77.74,0.0),(77.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(77.625), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(77.625), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[23]']
        createRL(
            tech, net, 'm1',
            ((78.14,0.0),(78.14,74.4),(78.37,74.4),(78.37,0.0),(78.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(78.255), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(78.255), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[23]']
        createRL(
            tech, net, 'm1',
            ((79.05,0.0),(79.05,74.4),(79.28,74.4),(79.28,0.0),(79.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(79.165), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(79.165), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[23]']
        createRL(
            tech, net, 'm1',
            ((79.71,0.0),(79.71,74.4),(79.94,74.4),(79.94,0.0),(79.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(79.825), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(79.825), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[24]']
        createRL(
            tech, net, 'm1',
            ((80.86,0.0),(80.86,74.4),(81.09,74.4),(81.09,0.0),(80.86,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(80.975), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(80.975), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[24]']
        createRL(
            tech, net, 'm1',
            ((81.49,0.0),(81.49,74.4),(81.72,74.4),(81.72,0.0),(81.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(81.605), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(81.605), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[24]']
        createRL(
            tech, net, 'm1',
            ((82.4,0.0),(82.4,74.4),(82.63,74.4),(82.63,0.0),(82.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(82.515), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(82.515), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[24]']
        createRL(
            tech, net, 'm1',
            ((83.06,0.0),(83.06,74.4),(83.29,74.4),(83.29,0.0),(83.06,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(83.175), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(83.175), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[25]']
        createRL(
            tech, net, 'm1',
            ((84.21,0.0),(84.21,74.4),(84.44,74.4),(84.44,0.0),(84.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(84.325), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(84.325), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[25]']
        createRL(
            tech, net, 'm1',
            ((84.84,0.0),(84.84,74.4),(85.07,74.4),(85.07,0.0),(84.84,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(84.955), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(84.955), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[25]']
        createRL(
            tech, net, 'm1',
            ((85.75,0.0),(85.75,74.4),(85.98,74.4),(85.98,0.0),(85.75,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(85.865), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(85.865), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[25]']
        createRL(
            tech, net, 'm1',
            ((86.41,0.0),(86.41,74.4),(86.64,74.4),(86.64,0.0),(86.41,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(86.525), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(86.525), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[26]']
        createRL(
            tech, net, 'm1',
            ((87.56,0.0),(87.56,74.4),(87.79,74.4),(87.79,0.0),(87.56,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(87.675), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(87.675), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[26]']
        createRL(
            tech, net, 'm1',
            ((88.19,0.0),(88.19,74.4),(88.42,74.4),(88.42,0.0),(88.19,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(88.305), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(88.305), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[26]']
        createRL(
            tech, net, 'm1',
            ((89.1,0.0),(89.1,74.4),(89.33,74.4),(89.33,0.0),(89.1,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(89.215), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(89.215), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[26]']
        createRL(
            tech, net, 'm1',
            ((89.76,0.0),(89.76,74.4),(89.99,74.4),(89.99,0.0),(89.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(89.875), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(89.875), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[27]']
        createRL(
            tech, net, 'm1',
            ((90.91,0.0),(90.91,74.4),(91.14,74.4),(91.14,0.0),(90.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(91.025), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(91.025), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[27]']
        createRL(
            tech, net, 'm1',
            ((91.54,0.0),(91.54,74.4),(91.77,74.4),(91.77,0.0),(91.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(91.655), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(91.655), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[27]']
        createRL(
            tech, net, 'm1',
            ((92.45,0.0),(92.45,74.4),(92.68,74.4),(92.68,0.0),(92.45,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(92.565), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(92.565), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[27]']
        createRL(
            tech, net, 'm1',
            ((93.11,0.0),(93.11,74.4),(93.34,74.4),(93.34,0.0),(93.11,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(93.225), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(93.225), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[28]']
        createRL(
            tech, net, 'm1',
            ((94.26,0.0),(94.26,74.4),(94.49,74.4),(94.49,0.0),(94.26,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(94.375), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(94.375), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[28]']
        createRL(
            tech, net, 'm1',
            ((94.89,0.0),(94.89,74.4),(95.12,74.4),(95.12,0.0),(94.89,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(95.005), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(95.005), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[28]']
        createRL(
            tech, net, 'm1',
            ((95.8,0.0),(95.8,74.4),(96.03,74.4),(96.03,0.0),(95.8,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(95.915), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(95.915), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[28]']
        createRL(
            tech, net, 'm1',
            ((96.46,0.0),(96.46,74.4),(96.69,74.4),(96.69,0.0),(96.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(96.575), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(96.575), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[29]']
        createRL(
            tech, net, 'm1',
            ((97.61,0.0),(97.61,74.4),(97.84,74.4),(97.84,0.0),(97.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(97.725), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(97.725), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[29]']
        createRL(
            tech, net, 'm1',
            ((98.24,0.0),(98.24,74.4),(98.47,74.4),(98.47,0.0),(98.24,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(98.355), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(98.355), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[29]']
        createRL(
            tech, net, 'm1',
            ((99.15,0.0),(99.15,74.4),(99.38,74.4),(99.38,0.0),(99.15,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(99.265), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(99.265), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[29]']
        createRL(
            tech, net, 'm1',
            ((99.81,0.0),(99.81,74.4),(100.04,74.4),(100.04,0.0),(99.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(99.925), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(99.925), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[30]']
        createRL(
            tech, net, 'm1',
            ((100.96,0.0),(100.96,74.4),(101.19,74.4),(101.19,0.0),(100.96,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(101.075), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(101.075), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[30]']
        createRL(
            tech, net, 'm1',
            ((101.59,0.0),(101.59,74.4),(101.82,74.4),(101.82,0.0),(101.59,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(101.705), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(101.705), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[30]']
        createRL(
            tech, net, 'm1',
            ((102.5,0.0),(102.5,74.4),(102.73,74.4),(102.73,0.0),(102.5,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(102.615), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(102.615), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[30]']
        createRL(
            tech, net, 'm1',
            ((103.16,0.0),(103.16,74.4),(103.39,74.4),(103.39,0.0),(103.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(103.275), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(103.275), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[31]']
        createRL(
            tech, net, 'm1',
            ((104.31,0.0),(104.31,74.4),(104.54,74.4),(104.54,0.0),(104.31,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(104.425), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(104.425), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[31]']
        createRL(
            tech, net, 'm1',
            ((104.94,0.0),(104.94,74.4),(105.17,74.4),(105.17,0.0),(104.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(105.055), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(105.055), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[31]']
        createRL(
            tech, net, 'm1',
            ((105.85,0.0),(105.85,74.4),(106.08,74.4),(106.08,0.0),(105.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(105.965), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(105.965), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[31]']
        createRL(
            tech, net, 'm1',
            ((106.51,0.0),(106.51,74.4),(106.74,74.4),(106.74,0.0),(106.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(106.625), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(106.625), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,74.4),(107.2,74.4),(107.2,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl1[0]'].setDirection(Net.Direction.IN)
        nets['wl2[0]'].setDirection(Net.Direction.IN)
        nets['wl1[1]'].setDirection(Net.Direction.IN)
        nets['wl2[1]'].setDirection(Net.Direction.IN)
        nets['wl1[2]'].setDirection(Net.Direction.IN)
        nets['wl2[2]'].setDirection(Net.Direction.IN)
        nets['wl1[3]'].setDirection(Net.Direction.IN)
        nets['wl2[3]'].setDirection(Net.Direction.IN)
        nets['wl1[4]'].setDirection(Net.Direction.IN)
        nets['wl2[4]'].setDirection(Net.Direction.IN)
        nets['wl1[5]'].setDirection(Net.Direction.IN)
        nets['wl2[5]'].setDirection(Net.Direction.IN)
        nets['wl1[6]'].setDirection(Net.Direction.IN)
        nets['wl2[6]'].setDirection(Net.Direction.IN)
        nets['wl1[7]'].setDirection(Net.Direction.IN)
        nets['wl2[7]'].setDirection(Net.Direction.IN)
        nets['wl1[8]'].setDirection(Net.Direction.IN)
        nets['wl2[8]'].setDirection(Net.Direction.IN)
        nets['wl1[9]'].setDirection(Net.Direction.IN)
        nets['wl2[9]'].setDirection(Net.Direction.IN)
        nets['wl1[10]'].setDirection(Net.Direction.IN)
        nets['wl2[10]'].setDirection(Net.Direction.IN)
        nets['wl1[11]'].setDirection(Net.Direction.IN)
        nets['wl2[11]'].setDirection(Net.Direction.IN)
        nets['wl1[12]'].setDirection(Net.Direction.IN)
        nets['wl2[12]'].setDirection(Net.Direction.IN)
        nets['wl1[13]'].setDirection(Net.Direction.IN)
        nets['wl2[13]'].setDirection(Net.Direction.IN)
        nets['wl1[14]'].setDirection(Net.Direction.IN)
        nets['wl2[14]'].setDirection(Net.Direction.IN)
        nets['wl1[15]'].setDirection(Net.Direction.IN)
        nets['wl2[15]'].setDirection(Net.Direction.IN)
        nets['wl1[16]'].setDirection(Net.Direction.IN)
        nets['wl2[16]'].setDirection(Net.Direction.IN)
        nets['wl1[17]'].setDirection(Net.Direction.IN)
        nets['wl2[17]'].setDirection(Net.Direction.IN)
        nets['wl1[18]'].setDirection(Net.Direction.IN)
        nets['wl2[18]'].setDirection(Net.Direction.IN)
        nets['wl1[19]'].setDirection(Net.Direction.IN)
        nets['wl2[19]'].setDirection(Net.Direction.IN)
        nets['wl1[20]'].setDirection(Net.Direction.IN)
        nets['wl2[20]'].setDirection(Net.Direction.IN)
        nets['wl1[21]'].setDirection(Net.Direction.IN)
        nets['wl2[21]'].setDirection(Net.Direction.IN)
        nets['wl1[22]'].setDirection(Net.Direction.IN)
        nets['wl2[22]'].setDirection(Net.Direction.IN)
        nets['wl1[23]'].setDirection(Net.Direction.IN)
        nets['wl2[23]'].setDirection(Net.Direction.IN)
        nets['wl1[24]'].setDirection(Net.Direction.IN)
        nets['wl2[24]'].setDirection(Net.Direction.IN)
        nets['wl1[25]'].setDirection(Net.Direction.IN)
        nets['wl2[25]'].setDirection(Net.Direction.IN)
        nets['wl1[26]'].setDirection(Net.Direction.IN)
        nets['wl2[26]'].setDirection(Net.Direction.IN)
        nets['wl1[27]'].setDirection(Net.Direction.IN)
        nets['wl2[27]'].setDirection(Net.Direction.IN)
        nets['wl1[28]'].setDirection(Net.Direction.IN)
        nets['wl2[28]'].setDirection(Net.Direction.IN)
        nets['wl1[29]'].setDirection(Net.Direction.IN)
        nets['wl2[29]'].setDirection(Net.Direction.IN)
        nets['wl1[30]'].setDirection(Net.Direction.IN)
        nets['wl2[30]'].setDirection(Net.Direction.IN)
        nets['wl1[31]'].setDirection(Net.Direction.IN)
        nets['wl2[31]'].setDirection(Net.Direction.IN)
        nets['bl1[0]'].setDirection(Net.Direction.IN)
        nets['bl1_n[0]'].setDirection(Net.Direction.IN)
        nets['bl2[0]'].setDirection(Net.Direction.IN)
        nets['bl2_n[0]'].setDirection(Net.Direction.IN)
        nets['bl1[1]'].setDirection(Net.Direction.IN)
        nets['bl1_n[1]'].setDirection(Net.Direction.IN)
        nets['bl2[1]'].setDirection(Net.Direction.IN)
        nets['bl2_n[1]'].setDirection(Net.Direction.IN)
        nets['bl1[2]'].setDirection(Net.Direction.IN)
        nets['bl1_n[2]'].setDirection(Net.Direction.IN)
        nets['bl2[2]'].setDirection(Net.Direction.IN)
        nets['bl2_n[2]'].setDirection(Net.Direction.IN)
        nets['bl1[3]'].setDirection(Net.Direction.IN)
        nets['bl1_n[3]'].setDirection(Net.Direction.IN)
        nets['bl2[3]'].setDirection(Net.Direction.IN)
        nets['bl2_n[3]'].setDirection(Net.Direction.IN)
        nets['bl1[4]'].setDirection(Net.Direction.IN)
        nets['bl1_n[4]'].setDirection(Net.Direction.IN)
        nets['bl2[4]'].setDirection(Net.Direction.IN)
        nets['bl2_n[4]'].setDirection(Net.Direction.IN)
        nets['bl1[5]'].setDirection(Net.Direction.IN)
        nets['bl1_n[5]'].setDirection(Net.Direction.IN)
        nets['bl2[5]'].setDirection(Net.Direction.IN)
        nets['bl2_n[5]'].setDirection(Net.Direction.IN)
        nets['bl1[6]'].setDirection(Net.Direction.IN)
        nets['bl1_n[6]'].setDirection(Net.Direction.IN)
        nets['bl2[6]'].setDirection(Net.Direction.IN)
        nets['bl2_n[6]'].setDirection(Net.Direction.IN)
        nets['bl1[7]'].setDirection(Net.Direction.IN)
        nets['bl1_n[7]'].setDirection(Net.Direction.IN)
        nets['bl2[7]'].setDirection(Net.Direction.IN)
        nets['bl2_n[7]'].setDirection(Net.Direction.IN)
        nets['bl1[8]'].setDirection(Net.Direction.IN)
        nets['bl1_n[8]'].setDirection(Net.Direction.IN)
        nets['bl2[8]'].setDirection(Net.Direction.IN)
        nets['bl2_n[8]'].setDirection(Net.Direction.IN)
        nets['bl1[9]'].setDirection(Net.Direction.IN)
        nets['bl1_n[9]'].setDirection(Net.Direction.IN)
        nets['bl2[9]'].setDirection(Net.Direction.IN)
        nets['bl2_n[9]'].setDirection(Net.Direction.IN)
        nets['bl1[10]'].setDirection(Net.Direction.IN)
        nets['bl1_n[10]'].setDirection(Net.Direction.IN)
        nets['bl2[10]'].setDirection(Net.Direction.IN)
        nets['bl2_n[10]'].setDirection(Net.Direction.IN)
        nets['bl1[11]'].setDirection(Net.Direction.IN)
        nets['bl1_n[11]'].setDirection(Net.Direction.IN)
        nets['bl2[11]'].setDirection(Net.Direction.IN)
        nets['bl2_n[11]'].setDirection(Net.Direction.IN)
        nets['bl1[12]'].setDirection(Net.Direction.IN)
        nets['bl1_n[12]'].setDirection(Net.Direction.IN)
        nets['bl2[12]'].setDirection(Net.Direction.IN)
        nets['bl2_n[12]'].setDirection(Net.Direction.IN)
        nets['bl1[13]'].setDirection(Net.Direction.IN)
        nets['bl1_n[13]'].setDirection(Net.Direction.IN)
        nets['bl2[13]'].setDirection(Net.Direction.IN)
        nets['bl2_n[13]'].setDirection(Net.Direction.IN)
        nets['bl1[14]'].setDirection(Net.Direction.IN)
        nets['bl1_n[14]'].setDirection(Net.Direction.IN)
        nets['bl2[14]'].setDirection(Net.Direction.IN)
        nets['bl2_n[14]'].setDirection(Net.Direction.IN)
        nets['bl1[15]'].setDirection(Net.Direction.IN)
        nets['bl1_n[15]'].setDirection(Net.Direction.IN)
        nets['bl2[15]'].setDirection(Net.Direction.IN)
        nets['bl2_n[15]'].setDirection(Net.Direction.IN)
        nets['bl1[16]'].setDirection(Net.Direction.IN)
        nets['bl1_n[16]'].setDirection(Net.Direction.IN)
        nets['bl2[16]'].setDirection(Net.Direction.IN)
        nets['bl2_n[16]'].setDirection(Net.Direction.IN)
        nets['bl1[17]'].setDirection(Net.Direction.IN)
        nets['bl1_n[17]'].setDirection(Net.Direction.IN)
        nets['bl2[17]'].setDirection(Net.Direction.IN)
        nets['bl2_n[17]'].setDirection(Net.Direction.IN)
        nets['bl1[18]'].setDirection(Net.Direction.IN)
        nets['bl1_n[18]'].setDirection(Net.Direction.IN)
        nets['bl2[18]'].setDirection(Net.Direction.IN)
        nets['bl2_n[18]'].setDirection(Net.Direction.IN)
        nets['bl1[19]'].setDirection(Net.Direction.IN)
        nets['bl1_n[19]'].setDirection(Net.Direction.IN)
        nets['bl2[19]'].setDirection(Net.Direction.IN)
        nets['bl2_n[19]'].setDirection(Net.Direction.IN)
        nets['bl1[20]'].setDirection(Net.Direction.IN)
        nets['bl1_n[20]'].setDirection(Net.Direction.IN)
        nets['bl2[20]'].setDirection(Net.Direction.IN)
        nets['bl2_n[20]'].setDirection(Net.Direction.IN)
        nets['bl1[21]'].setDirection(Net.Direction.IN)
        nets['bl1_n[21]'].setDirection(Net.Direction.IN)
        nets['bl2[21]'].setDirection(Net.Direction.IN)
        nets['bl2_n[21]'].setDirection(Net.Direction.IN)
        nets['bl1[22]'].setDirection(Net.Direction.IN)
        nets['bl1_n[22]'].setDirection(Net.Direction.IN)
        nets['bl2[22]'].setDirection(Net.Direction.IN)
        nets['bl2_n[22]'].setDirection(Net.Direction.IN)
        nets['bl1[23]'].setDirection(Net.Direction.IN)
        nets['bl1_n[23]'].setDirection(Net.Direction.IN)
        nets['bl2[23]'].setDirection(Net.Direction.IN)
        nets['bl2_n[23]'].setDirection(Net.Direction.IN)
        nets['bl1[24]'].setDirection(Net.Direction.IN)
        nets['bl1_n[24]'].setDirection(Net.Direction.IN)
        nets['bl2[24]'].setDirection(Net.Direction.IN)
        nets['bl2_n[24]'].setDirection(Net.Direction.IN)
        nets['bl1[25]'].setDirection(Net.Direction.IN)
        nets['bl1_n[25]'].setDirection(Net.Direction.IN)
        nets['bl2[25]'].setDirection(Net.Direction.IN)
        nets['bl2_n[25]'].setDirection(Net.Direction.IN)
        nets['bl1[26]'].setDirection(Net.Direction.IN)
        nets['bl1_n[26]'].setDirection(Net.Direction.IN)
        nets['bl2[26]'].setDirection(Net.Direction.IN)
        nets['bl2_n[26]'].setDirection(Net.Direction.IN)
        nets['bl1[27]'].setDirection(Net.Direction.IN)
        nets['bl1_n[27]'].setDirection(Net.Direction.IN)
        nets['bl2[27]'].setDirection(Net.Direction.IN)
        nets['bl2_n[27]'].setDirection(Net.Direction.IN)
        nets['bl1[28]'].setDirection(Net.Direction.IN)
        nets['bl1_n[28]'].setDirection(Net.Direction.IN)
        nets['bl2[28]'].setDirection(Net.Direction.IN)
        nets['bl2_n[28]'].setDirection(Net.Direction.IN)
        nets['bl1[29]'].setDirection(Net.Direction.IN)
        nets['bl1_n[29]'].setDirection(Net.Direction.IN)
        nets['bl2[29]'].setDirection(Net.Direction.IN)
        nets['bl2_n[29]'].setDirection(Net.Direction.IN)
        nets['bl1[30]'].setDirection(Net.Direction.IN)
        nets['bl1_n[30]'].setDirection(Net.Direction.IN)
        nets['bl2[30]'].setDirection(Net.Direction.IN)
        nets['bl2_n[30]'].setDirection(Net.Direction.IN)
        nets['bl1[31]'].setDirection(Net.Direction.IN)
        nets['bl1_n[31]'].setDirection(Net.Direction.IN)
        nets['bl2[31]'].setDirection(Net.Direction.IN)
        nets['bl2_n[31]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TArray_32X16']
        except:
            subcell = af.getCell('DP8TArray_32X16', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TArray_32X16']
        except:
            subcell = af.getCell('DP8TArray_32X16', 0)
        trans = Transformation(
            u(53.60000000000001), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x1', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TArray_32X16']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(53.60000000000001), u(74.4),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl1[0]': Net.create(cell, 'bl1[0]'),
            'bl1[10]': Net.create(cell, 'bl1[10]'),
            'bl1[11]': Net.create(cell, 'bl1[11]'),
            'bl1[12]': Net.create(cell, 'bl1[12]'),
            'bl1[13]': Net.create(cell, 'bl1[13]'),
            'bl1[14]': Net.create(cell, 'bl1[14]'),
            'bl1[15]': Net.create(cell, 'bl1[15]'),
            'bl1[1]': Net.create(cell, 'bl1[1]'),
            'bl1[2]': Net.create(cell, 'bl1[2]'),
            'bl1[3]': Net.create(cell, 'bl1[3]'),
            'bl1[4]': Net.create(cell, 'bl1[4]'),
            'bl1[5]': Net.create(cell, 'bl1[5]'),
            'bl1[6]': Net.create(cell, 'bl1[6]'),
            'bl1[7]': Net.create(cell, 'bl1[7]'),
            'bl1[8]': Net.create(cell, 'bl1[8]'),
            'bl1[9]': Net.create(cell, 'bl1[9]'),
            'bl1_n[0]': Net.create(cell, 'bl1_n[0]'),
            'bl1_n[10]': Net.create(cell, 'bl1_n[10]'),
            'bl1_n[11]': Net.create(cell, 'bl1_n[11]'),
            'bl1_n[12]': Net.create(cell, 'bl1_n[12]'),
            'bl1_n[13]': Net.create(cell, 'bl1_n[13]'),
            'bl1_n[14]': Net.create(cell, 'bl1_n[14]'),
            'bl1_n[15]': Net.create(cell, 'bl1_n[15]'),
            'bl1_n[1]': Net.create(cell, 'bl1_n[1]'),
            'bl1_n[2]': Net.create(cell, 'bl1_n[2]'),
            'bl1_n[3]': Net.create(cell, 'bl1_n[3]'),
            'bl1_n[4]': Net.create(cell, 'bl1_n[4]'),
            'bl1_n[5]': Net.create(cell, 'bl1_n[5]'),
            'bl1_n[6]': Net.create(cell, 'bl1_n[6]'),
            'bl1_n[7]': Net.create(cell, 'bl1_n[7]'),
            'bl1_n[8]': Net.create(cell, 'bl1_n[8]'),
            'bl1_n[9]': Net.create(cell, 'bl1_n[9]'),
            'bl2[0]': Net.create(cell, 'bl2[0]'),
            'bl2[10]': Net.create(cell, 'bl2[10]'),
            'bl2[11]': Net.create(cell, 'bl2[11]'),
            'bl2[12]': Net.create(cell, 'bl2[12]'),
            'bl2[13]': Net.create(cell, 'bl2[13]'),
            'bl2[14]': Net.create(cell, 'bl2[14]'),
            'bl2[15]': Net.create(cell, 'bl2[15]'),
            'bl2[1]': Net.create(cell, 'bl2[1]'),
            'bl2[2]': Net.create(cell, 'bl2[2]'),
            'bl2[3]': Net.create(cell, 'bl2[3]'),
            'bl2[4]': Net.create(cell, 'bl2[4]'),
            'bl2[5]': Net.create(cell, 'bl2[5]'),
            'bl2[6]': Net.create(cell, 'bl2[6]'),
            'bl2[7]': Net.create(cell, 'bl2[7]'),
            'bl2[8]': Net.create(cell, 'bl2[8]'),
            'bl2[9]': Net.create(cell, 'bl2[9]'),
            'bl2_n[0]': Net.create(cell, 'bl2_n[0]'),
            'bl2_n[10]': Net.create(cell, 'bl2_n[10]'),
            'bl2_n[11]': Net.create(cell, 'bl2_n[11]'),
            'bl2_n[12]': Net.create(cell, 'bl2_n[12]'),
            'bl2_n[13]': Net.create(cell, 'bl2_n[13]'),
            'bl2_n[14]': Net.create(cell, 'bl2_n[14]'),
            'bl2_n[15]': Net.create(cell, 'bl2_n[15]'),
            'bl2_n[1]': Net.create(cell, 'bl2_n[1]'),
            'bl2_n[2]': Net.create(cell, 'bl2_n[2]'),
            'bl2_n[3]': Net.create(cell, 'bl2_n[3]'),
            'bl2_n[4]': Net.create(cell, 'bl2_n[4]'),
            'bl2_n[5]': Net.create(cell, 'bl2_n[5]'),
            'bl2_n[6]': Net.create(cell, 'bl2_n[6]'),
            'bl2_n[7]': Net.create(cell, 'bl2_n[7]'),
            'bl2_n[8]': Net.create(cell, 'bl2_n[8]'),
            'bl2_n[9]': Net.create(cell, 'bl2_n[9]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl1[0]': Net.create(cell, 'wl1[0]'),
            'wl1[10]': Net.create(cell, 'wl1[10]'),
            'wl1[11]': Net.create(cell, 'wl1[11]'),
            'wl1[12]': Net.create(cell, 'wl1[12]'),
            'wl1[13]': Net.create(cell, 'wl1[13]'),
            'wl1[14]': Net.create(cell, 'wl1[14]'),
            'wl1[15]': Net.create(cell, 'wl1[15]'),
            'wl1[16]': Net.create(cell, 'wl1[16]'),
            'wl1[17]': Net.create(cell, 'wl1[17]'),
            'wl1[18]': Net.create(cell, 'wl1[18]'),
            'wl1[19]': Net.create(cell, 'wl1[19]'),
            'wl1[1]': Net.create(cell, 'wl1[1]'),
            'wl1[20]': Net.create(cell, 'wl1[20]'),
            'wl1[21]': Net.create(cell, 'wl1[21]'),
            'wl1[22]': Net.create(cell, 'wl1[22]'),
            'wl1[23]': Net.create(cell, 'wl1[23]'),
            'wl1[24]': Net.create(cell, 'wl1[24]'),
            'wl1[25]': Net.create(cell, 'wl1[25]'),
            'wl1[26]': Net.create(cell, 'wl1[26]'),
            'wl1[27]': Net.create(cell, 'wl1[27]'),
            'wl1[28]': Net.create(cell, 'wl1[28]'),
            'wl1[29]': Net.create(cell, 'wl1[29]'),
            'wl1[2]': Net.create(cell, 'wl1[2]'),
            'wl1[30]': Net.create(cell, 'wl1[30]'),
            'wl1[31]': Net.create(cell, 'wl1[31]'),
            'wl1[3]': Net.create(cell, 'wl1[3]'),
            'wl1[4]': Net.create(cell, 'wl1[4]'),
            'wl1[5]': Net.create(cell, 'wl1[5]'),
            'wl1[6]': Net.create(cell, 'wl1[6]'),
            'wl1[7]': Net.create(cell, 'wl1[7]'),
            'wl1[8]': Net.create(cell, 'wl1[8]'),
            'wl1[9]': Net.create(cell, 'wl1[9]'),
            'wl2[0]': Net.create(cell, 'wl2[0]'),
            'wl2[10]': Net.create(cell, 'wl2[10]'),
            'wl2[11]': Net.create(cell, 'wl2[11]'),
            'wl2[12]': Net.create(cell, 'wl2[12]'),
            'wl2[13]': Net.create(cell, 'wl2[13]'),
            'wl2[14]': Net.create(cell, 'wl2[14]'),
            'wl2[15]': Net.create(cell, 'wl2[15]'),
            'wl2[16]': Net.create(cell, 'wl2[16]'),
            'wl2[17]': Net.create(cell, 'wl2[17]'),
            'wl2[18]': Net.create(cell, 'wl2[18]'),
            'wl2[19]': Net.create(cell, 'wl2[19]'),
            'wl2[1]': Net.create(cell, 'wl2[1]'),
            'wl2[20]': Net.create(cell, 'wl2[20]'),
            'wl2[21]': Net.create(cell, 'wl2[21]'),
            'wl2[22]': Net.create(cell, 'wl2[22]'),
            'wl2[23]': Net.create(cell, 'wl2[23]'),
            'wl2[24]': Net.create(cell, 'wl2[24]'),
            'wl2[25]': Net.create(cell, 'wl2[25]'),
            'wl2[26]': Net.create(cell, 'wl2[26]'),
            'wl2[27]': Net.create(cell, 'wl2[27]'),
            'wl2[28]': Net.create(cell, 'wl2[28]'),
            'wl2[29]': Net.create(cell, 'wl2[29]'),
            'wl2[2]': Net.create(cell, 'wl2[2]'),
            'wl2[30]': Net.create(cell, 'wl2[30]'),
            'wl2[31]': Net.create(cell, 'wl2[31]'),
            'wl2[3]': Net.create(cell, 'wl2[3]'),
            'wl2[4]': Net.create(cell, 'wl2[4]'),
            'wl2[5]': Net.create(cell, 'wl2[5]'),
            'wl2[6]': Net.create(cell, 'wl2[6]'),
            'wl2[7]': Net.create(cell, 'wl2[7]'),
            'wl2[8]': Net.create(cell, 'wl2[8]'),
            'wl2[9]': Net.create(cell, 'wl2[9]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,36.19),(0.0,36.77),(53.6,36.77),(53.6,36.19),(0.0,36.19)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,73.39),(0.0,73.97),(53.6,73.97),(53.6,73.39),(0.0,73.39)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,3.64),(0.0,4.22),(53.6,4.22),(53.6,3.64),(0.0,3.64)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,22.24),(0.0,22.82),(53.6,22.82),(53.6,22.24),(0.0,22.24)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,8.29),(0.0,8.87),(53.6,8.87),(53.6,8.29),(0.0,8.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,26.89),(0.0,27.47),(53.6,27.47),(53.6,26.89),(0.0,26.89)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,45.49),(0.0,46.07),(53.6,46.07),(53.6,45.49),(0.0,45.49)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,64.09),(0.0,64.67),(53.6,64.67),(53.6,64.09),(0.0,64.09)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,68.74),(0.0,69.32),(53.6,69.32),(53.6,68.74),(0.0,68.74)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,31.54),(0.0,32.12),(53.6,32.12),(53.6,31.54),(0.0,31.54)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,50.14),(0.0,50.72),(53.6,50.72),(53.6,50.14),(0.0,50.14)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,40.84),(0.0,41.42),(53.6,41.42),(53.6,40.84),(0.0,40.84)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,54.79),(0.0,55.37),(53.6,55.37),(53.6,54.79),(0.0,54.79)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,59.44),(0.0,60.02),(53.6,60.02),(53.6,59.44),(0.0,59.44)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,12.94),(0.0,13.52),(53.6,13.52),(53.6,12.94),(0.0,12.94)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,17.59),(0.0,18.17),(53.6,18.17),(53.6,17.59),(0.0,17.59)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(36.48), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(36.48), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(73.68), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(73.68), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.93), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.93), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(22.53), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(22.53), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.58), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.58), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(27.18), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(27.18), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(45.78), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(45.78), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(64.38), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(64.38), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(69.03), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(69.03), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(31.83), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(31.83), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(50.43), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(50.43), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(41.13), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(41.13), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(55.08), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(55.08), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(59.73), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(59.73), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.23), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.23), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(17.88), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(17.88), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,4.36),(0.0,4.94),(53.6,4.94),(53.6,4.36),(0.0,4.36)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,74.11),(0.0,74.69),(53.6,74.69),(53.6,74.11),(0.0,74.11)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,9.01),(0.0,9.59),(53.6,9.59),(53.6,9.01),(0.0,9.01)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.29),(0.0,0.29),(53.6,0.29),(53.6,-0.29),(0.0,-0.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,32.26),(0.0,32.84),(53.6,32.84),(53.6,32.26),(0.0,32.26)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,36.91),(0.0,37.49),(53.6,37.49),(53.6,36.91),(0.0,36.91)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,13.66),(0.0,14.24),(53.6,14.24),(53.6,13.66),(0.0,13.66)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,46.21),(0.0,46.79),(53.6,46.79),(53.6,46.21),(0.0,46.21)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,69.46),(0.0,70.04),(53.6,70.04),(53.6,69.46),(0.0,69.46)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,55.51),(0.0,56.09),(53.6,56.09),(53.6,55.51),(0.0,55.51)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,18.31),(0.0,18.89),(53.6,18.89),(53.6,18.31),(0.0,18.31)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,22.96),(0.0,23.54),(53.6,23.54),(53.6,22.96),(0.0,22.96)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,60.16),(0.0,60.74),(53.6,60.74),(53.6,60.16),(0.0,60.16)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,64.81),(0.0,65.39),(53.6,65.39),(53.6,64.81),(0.0,64.81)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,27.61),(0.0,28.19),(53.6,28.19),(53.6,27.61),(0.0,27.61)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,50.86),(0.0,51.44),(53.6,51.44),(53.6,50.86),(0.0,50.86)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,41.56),(0.0,42.14),(53.6,42.14),(53.6,41.56),(0.0,41.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(4.65), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(4.65), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(74.4), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(74.4), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.3), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.3), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(32.55), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(32.55), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(37.2), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(37.2), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.95), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.95), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(46.5), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(46.5), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(69.75), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(69.75), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(55.8), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(55.8), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.6), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.6), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(23.25), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(23.25), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(60.45), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(60.45), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(65.1), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(65.1), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(27.9), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(27.9), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(51.15), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(51.15), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(41.85), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(41.85), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.88),(0.0,2.14),(53.6,2.14),(53.6,1.88),(0.0,1.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.01), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.01), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.38),(0.0,1.64),(53.6,1.64),(53.6,1.38),(0.0,1.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.51), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.51), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,2.51),(0.0,2.77),(53.6,2.77),(53.6,2.51),(0.0,2.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.64), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.64), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.01),(0.0,3.27),(53.6,3.27),(53.6,3.01),(0.0,3.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.14), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.14), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.53),(0.0,6.79),(53.6,6.79),(53.6,6.53),(0.0,6.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.66), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.66), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.03),(0.0,6.29),(53.6,6.29),(53.6,6.03),(0.0,6.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.16), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.16), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.16),(0.0,7.42),(53.6,7.42),(53.6,7.16),(0.0,7.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.29), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.29), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.66),(0.0,7.92),(53.6,7.92),(53.6,7.66),(0.0,7.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.79), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.79), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,11.18),(0.0,11.44),(53.6,11.44),(53.6,11.18),(0.0,11.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.31), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.31), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,10.68),(0.0,10.94),(53.6,10.94),(53.6,10.68),(0.0,10.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.81), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.81), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,11.81),(0.0,12.07),(53.6,12.07),(53.6,11.81),(0.0,11.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.94), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.94), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,12.31),(0.0,12.57),(53.6,12.57),(53.6,12.31),(0.0,12.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.44), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.44), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,15.83),(0.0,16.09),(53.6,16.09),(53.6,15.83),(0.0,15.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.96), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.96), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,15.33),(0.0,15.59),(53.6,15.59),(53.6,15.33),(0.0,15.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.46), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.46), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,16.46),(0.0,16.72),(53.6,16.72),(53.6,16.46),(0.0,16.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.59), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.59), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,16.96),(0.0,17.22),(53.6,17.22),(53.6,16.96),(0.0,16.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(17.09), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(17.09), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,20.48),(0.0,20.74),(53.6,20.74),(53.6,20.48),(0.0,20.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(20.61), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(20.61), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,19.98),(0.0,20.24),(53.6,20.24),(53.6,19.98),(0.0,19.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(20.11), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(20.11), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,21.11),(0.0,21.37),(53.6,21.37),(53.6,21.11),(0.0,21.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.24), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.24), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,21.61),(0.0,21.87),(53.6,21.87),(53.6,21.61),(0.0,21.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.74), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.74), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,25.13),(0.0,25.39),(53.6,25.39),(53.6,25.13),(0.0,25.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.26), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.26), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,24.63),(0.0,24.89),(53.6,24.89),(53.6,24.63),(0.0,24.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(24.76), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(24.76), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,25.76),(0.0,26.02),(53.6,26.02),(53.6,25.76),(0.0,25.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.89), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.89), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,26.26),(0.0,26.52),(53.6,26.52),(53.6,26.26),(0.0,26.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(26.39), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(26.39), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,29.78),(0.0,30.04),(53.6,30.04),(53.6,29.78),(0.0,29.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.91), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.91), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,29.28),(0.0,29.54),(53.6,29.54),(53.6,29.28),(0.0,29.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.41), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.41), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,30.41),(0.0,30.67),(53.6,30.67),(53.6,30.41),(0.0,30.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(30.54), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(30.54), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,30.91),(0.0,31.17),(53.6,31.17),(53.6,30.91),(0.0,30.91)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(31.04), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(31.04), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,34.43),(0.0,34.69),(53.6,34.69),(53.6,34.43),(0.0,34.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.56), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.56), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,33.93),(0.0,34.19),(53.6,34.19),(53.6,33.93),(0.0,33.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.06), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.06), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,35.06),(0.0,35.32),(53.6,35.32),(53.6,35.06),(0.0,35.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.19), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.19), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,35.56),(0.0,35.82),(53.6,35.82),(53.6,35.56),(0.0,35.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.69), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.69), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[16]']
        createRL(
            tech, net, 'm2',
            ((0.0,39.08),(0.0,39.34),(53.6,39.34),(53.6,39.08),(0.0,39.08)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(39.21), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(39.21), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[16]']
        createRL(
            tech, net, 'm2',
            ((0.0,38.58),(0.0,38.84),(53.6,38.84),(53.6,38.58),(0.0,38.58)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(38.71), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(38.71), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[17]']
        createRL(
            tech, net, 'm2',
            ((0.0,39.71),(0.0,39.97),(53.6,39.97),(53.6,39.71),(0.0,39.71)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(39.84), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(39.84), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[17]']
        createRL(
            tech, net, 'm2',
            ((0.0,40.21),(0.0,40.47),(53.6,40.47),(53.6,40.21),(0.0,40.21)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(40.34), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(40.34), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[18]']
        createRL(
            tech, net, 'm2',
            ((0.0,43.73),(0.0,43.99),(53.6,43.99),(53.6,43.73),(0.0,43.73)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(43.86), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(43.86), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[18]']
        createRL(
            tech, net, 'm2',
            ((0.0,43.23),(0.0,43.49),(53.6,43.49),(53.6,43.23),(0.0,43.23)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(43.36), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(43.36), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[19]']
        createRL(
            tech, net, 'm2',
            ((0.0,44.36),(0.0,44.62),(53.6,44.62),(53.6,44.36),(0.0,44.36)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(44.49), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(44.49), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[19]']
        createRL(
            tech, net, 'm2',
            ((0.0,44.86),(0.0,45.12),(53.6,45.12),(53.6,44.86),(0.0,44.86)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(44.99), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(44.99), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[20]']
        createRL(
            tech, net, 'm2',
            ((0.0,48.38),(0.0,48.64),(53.6,48.64),(53.6,48.38),(0.0,48.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.51), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.51), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[20]']
        createRL(
            tech, net, 'm2',
            ((0.0,47.88),(0.0,48.14),(53.6,48.14),(53.6,47.88),(0.0,47.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(48.01), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(48.01), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[21]']
        createRL(
            tech, net, 'm2',
            ((0.0,49.01),(0.0,49.27),(53.6,49.27),(53.6,49.01),(0.0,49.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(49.14), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(49.14), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[21]']
        createRL(
            tech, net, 'm2',
            ((0.0,49.51),(0.0,49.77),(53.6,49.77),(53.6,49.51),(0.0,49.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(49.64), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(49.64), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[22]']
        createRL(
            tech, net, 'm2',
            ((0.0,53.03),(0.0,53.29),(53.6,53.29),(53.6,53.03),(0.0,53.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(53.16), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(53.16), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[22]']
        createRL(
            tech, net, 'm2',
            ((0.0,52.53),(0.0,52.79),(53.6,52.79),(53.6,52.53),(0.0,52.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(52.66), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(52.66), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[23]']
        createRL(
            tech, net, 'm2',
            ((0.0,53.66),(0.0,53.92),(53.6,53.92),(53.6,53.66),(0.0,53.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(53.79), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(53.79), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[23]']
        createRL(
            tech, net, 'm2',
            ((0.0,54.16),(0.0,54.42),(53.6,54.42),(53.6,54.16),(0.0,54.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(54.29), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(54.29), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[24]']
        createRL(
            tech, net, 'm2',
            ((0.0,57.68),(0.0,57.94),(53.6,57.94),(53.6,57.68),(0.0,57.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(57.81), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(57.81), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[24]']
        createRL(
            tech, net, 'm2',
            ((0.0,57.18),(0.0,57.44),(53.6,57.44),(53.6,57.18),(0.0,57.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(57.31), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(57.31), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[25]']
        createRL(
            tech, net, 'm2',
            ((0.0,58.31),(0.0,58.57),(53.6,58.57),(53.6,58.31),(0.0,58.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(58.44), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(58.44), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[25]']
        createRL(
            tech, net, 'm2',
            ((0.0,58.81),(0.0,59.07),(53.6,59.07),(53.6,58.81),(0.0,58.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(58.94), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(58.94), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[26]']
        createRL(
            tech, net, 'm2',
            ((0.0,62.33),(0.0,62.59),(53.6,62.59),(53.6,62.33),(0.0,62.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(62.46), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(62.46), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[26]']
        createRL(
            tech, net, 'm2',
            ((0.0,61.83),(0.0,62.09),(53.6,62.09),(53.6,61.83),(0.0,61.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(61.96), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(61.96), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[27]']
        createRL(
            tech, net, 'm2',
            ((0.0,62.96),(0.0,63.22),(53.6,63.22),(53.6,62.96),(0.0,62.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.09), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.09), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[27]']
        createRL(
            tech, net, 'm2',
            ((0.0,63.46),(0.0,63.72),(53.6,63.72),(53.6,63.46),(0.0,63.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(63.59), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(63.59), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[28]']
        createRL(
            tech, net, 'm2',
            ((0.0,66.98),(0.0,67.24),(53.6,67.24),(53.6,66.98),(0.0,66.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.11), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.11), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[28]']
        createRL(
            tech, net, 'm2',
            ((0.0,66.48),(0.0,66.74),(53.6,66.74),(53.6,66.48),(0.0,66.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(66.61), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(66.61), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[29]']
        createRL(
            tech, net, 'm2',
            ((0.0,67.61),(0.0,67.87),(53.6,67.87),(53.6,67.61),(0.0,67.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(67.74), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(67.74), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[29]']
        createRL(
            tech, net, 'm2',
            ((0.0,68.11),(0.0,68.37),(53.6,68.37),(53.6,68.11),(0.0,68.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(68.24), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(68.24), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[30]']
        createRL(
            tech, net, 'm2',
            ((0.0,71.63),(0.0,71.89),(53.6,71.89),(53.6,71.63),(0.0,71.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(71.76), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(71.76), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[30]']
        createRL(
            tech, net, 'm2',
            ((0.0,71.13),(0.0,71.39),(53.6,71.39),(53.6,71.13),(0.0,71.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(71.26), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(71.26), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[31]']
        createRL(
            tech, net, 'm2',
            ((0.0,72.26),(0.0,72.52),(53.6,72.52),(53.6,72.26),(0.0,72.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.39), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.39), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[31]']
        createRL(
            tech, net, 'm2',
            ((0.0,72.76),(0.0,73.02),(53.6,73.02),(53.6,72.76),(0.0,72.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(72.89), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(72.89), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[0]']
        createRL(
            tech, net, 'm1',
            ((0.46,0.0),(0.46,74.4),(0.69,74.4),(0.69,0.0),(0.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.575), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.575), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.09,0.0),(1.09,74.4),(1.32,74.4),(1.32,0.0),(1.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.205), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.205), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[0]']
        createRL(
            tech, net, 'm1',
            ((2.0,0.0),(2.0,74.4),(2.23,74.4),(2.23,0.0),(2.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.115), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.115), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[0]']
        createRL(
            tech, net, 'm1',
            ((2.66,0.0),(2.66,74.4),(2.89,74.4),(2.89,0.0),(2.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.775), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.775), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[1]']
        createRL(
            tech, net, 'm1',
            ((3.81,0.0),(3.81,74.4),(4.04,74.4),(4.04,0.0),(3.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.925), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.925), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[1]']
        createRL(
            tech, net, 'm1',
            ((4.44,0.0),(4.44,74.4),(4.67,74.4),(4.67,0.0),(4.44,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.555), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.555), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[1]']
        createRL(
            tech, net, 'm1',
            ((5.35,0.0),(5.35,74.4),(5.58,74.4),(5.58,0.0),(5.35,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.465), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.465), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[1]']
        createRL(
            tech, net, 'm1',
            ((6.01,0.0),(6.01,74.4),(6.24,74.4),(6.24,0.0),(6.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.125), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.125), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[2]']
        createRL(
            tech, net, 'm1',
            ((7.16,0.0),(7.16,74.4),(7.39,74.4),(7.39,0.0),(7.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.275), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.275), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[2]']
        createRL(
            tech, net, 'm1',
            ((7.79,0.0),(7.79,74.4),(8.02,74.4),(8.02,0.0),(7.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.905), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.905), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[2]']
        createRL(
            tech, net, 'm1',
            ((8.7,0.0),(8.7,74.4),(8.93,74.4),(8.93,0.0),(8.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(8.815), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(8.815), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[2]']
        createRL(
            tech, net, 'm1',
            ((9.36,0.0),(9.36,74.4),(9.59,74.4),(9.59,0.0),(9.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(9.475), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(9.475), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[3]']
        createRL(
            tech, net, 'm1',
            ((10.51,0.0),(10.51,74.4),(10.74,74.4),(10.74,0.0),(10.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(10.625), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(10.625), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[3]']
        createRL(
            tech, net, 'm1',
            ((11.14,0.0),(11.14,74.4),(11.37,74.4),(11.37,0.0),(11.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(11.255), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(11.255), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[3]']
        createRL(
            tech, net, 'm1',
            ((12.05,0.0),(12.05,74.4),(12.28,74.4),(12.28,0.0),(12.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.165), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.165), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[3]']
        createRL(
            tech, net, 'm1',
            ((12.71,0.0),(12.71,74.4),(12.94,74.4),(12.94,0.0),(12.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.825), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.825), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[4]']
        createRL(
            tech, net, 'm1',
            ((13.86,0.0),(13.86,74.4),(14.09,74.4),(14.09,0.0),(13.86,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(13.975), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(13.975), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[4]']
        createRL(
            tech, net, 'm1',
            ((14.49,0.0),(14.49,74.4),(14.72,74.4),(14.72,0.0),(14.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(14.605), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(14.605), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[4]']
        createRL(
            tech, net, 'm1',
            ((15.4,0.0),(15.4,74.4),(15.63,74.4),(15.63,0.0),(15.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(15.515), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(15.515), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[4]']
        createRL(
            tech, net, 'm1',
            ((16.06,0.0),(16.06,74.4),(16.29,74.4),(16.29,0.0),(16.06,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(16.175), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(16.175), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[5]']
        createRL(
            tech, net, 'm1',
            ((17.21,0.0),(17.21,74.4),(17.44,74.4),(17.44,0.0),(17.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(17.325), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(17.325), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[5]']
        createRL(
            tech, net, 'm1',
            ((17.84,0.0),(17.84,74.4),(18.07,74.4),(18.07,0.0),(17.84,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(17.955), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(17.955), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[5]']
        createRL(
            tech, net, 'm1',
            ((18.75,0.0),(18.75,74.4),(18.98,74.4),(18.98,0.0),(18.75,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(18.865), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(18.865), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[5]']
        createRL(
            tech, net, 'm1',
            ((19.41,0.0),(19.41,74.4),(19.64,74.4),(19.64,0.0),(19.41,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(19.525), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(19.525), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[6]']
        createRL(
            tech, net, 'm1',
            ((20.56,0.0),(20.56,74.4),(20.79,74.4),(20.79,0.0),(20.56,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(20.675), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(20.675), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[6]']
        createRL(
            tech, net, 'm1',
            ((21.19,0.0),(21.19,74.4),(21.42,74.4),(21.42,0.0),(21.19,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(21.305), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(21.305), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[6]']
        createRL(
            tech, net, 'm1',
            ((22.1,0.0),(22.1,74.4),(22.33,74.4),(22.33,0.0),(22.1,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(22.215), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(22.215), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[6]']
        createRL(
            tech, net, 'm1',
            ((22.76,0.0),(22.76,74.4),(22.99,74.4),(22.99,0.0),(22.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(22.875), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(22.875), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[7]']
        createRL(
            tech, net, 'm1',
            ((23.91,0.0),(23.91,74.4),(24.14,74.4),(24.14,0.0),(23.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(24.025), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(24.025), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[7]']
        createRL(
            tech, net, 'm1',
            ((24.54,0.0),(24.54,74.4),(24.77,74.4),(24.77,0.0),(24.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(24.655), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(24.655), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[7]']
        createRL(
            tech, net, 'm1',
            ((25.45,0.0),(25.45,74.4),(25.68,74.4),(25.68,0.0),(25.45,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(25.565), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(25.565), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[7]']
        createRL(
            tech, net, 'm1',
            ((26.11,0.0),(26.11,74.4),(26.34,74.4),(26.34,0.0),(26.11,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(26.225), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(26.225), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[8]']
        createRL(
            tech, net, 'm1',
            ((27.26,0.0),(27.26,74.4),(27.49,74.4),(27.49,0.0),(27.26,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(27.375), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(27.375), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[8]']
        createRL(
            tech, net, 'm1',
            ((27.89,0.0),(27.89,74.4),(28.12,74.4),(28.12,0.0),(27.89,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(28.005), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(28.005), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[8]']
        createRL(
            tech, net, 'm1',
            ((28.8,0.0),(28.8,74.4),(29.03,74.4),(29.03,0.0),(28.8,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(28.915), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(28.915), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[8]']
        createRL(
            tech, net, 'm1',
            ((29.46,0.0),(29.46,74.4),(29.69,74.4),(29.69,0.0),(29.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(29.575), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(29.575), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[9]']
        createRL(
            tech, net, 'm1',
            ((30.61,0.0),(30.61,74.4),(30.84,74.4),(30.84,0.0),(30.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(30.725), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(30.725), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[9]']
        createRL(
            tech, net, 'm1',
            ((31.24,0.0),(31.24,74.4),(31.47,74.4),(31.47,0.0),(31.24,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(31.355), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(31.355), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[9]']
        createRL(
            tech, net, 'm1',
            ((32.15,0.0),(32.15,74.4),(32.38,74.4),(32.38,0.0),(32.15,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(32.265), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(32.265), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[9]']
        createRL(
            tech, net, 'm1',
            ((32.81,0.0),(32.81,74.4),(33.04,74.4),(33.04,0.0),(32.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(32.925), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(32.925), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[10]']
        createRL(
            tech, net, 'm1',
            ((33.96,0.0),(33.96,74.4),(34.19,74.4),(34.19,0.0),(33.96,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(34.075), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(34.075), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[10]']
        createRL(
            tech, net, 'm1',
            ((34.59,0.0),(34.59,74.4),(34.82,74.4),(34.82,0.0),(34.59,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(34.705), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(34.705), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[10]']
        createRL(
            tech, net, 'm1',
            ((35.5,0.0),(35.5,74.4),(35.73,74.4),(35.73,0.0),(35.5,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(35.615), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(35.615), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[10]']
        createRL(
            tech, net, 'm1',
            ((36.16,0.0),(36.16,74.4),(36.39,74.4),(36.39,0.0),(36.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(36.275), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(36.275), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[11]']
        createRL(
            tech, net, 'm1',
            ((37.31,0.0),(37.31,74.4),(37.54,74.4),(37.54,0.0),(37.31,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(37.425), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(37.425), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[11]']
        createRL(
            tech, net, 'm1',
            ((37.94,0.0),(37.94,74.4),(38.17,74.4),(38.17,0.0),(37.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(38.055), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(38.055), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[11]']
        createRL(
            tech, net, 'm1',
            ((38.85,0.0),(38.85,74.4),(39.08,74.4),(39.08,0.0),(38.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(38.965), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(38.965), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[11]']
        createRL(
            tech, net, 'm1',
            ((39.51,0.0),(39.51,74.4),(39.74,74.4),(39.74,0.0),(39.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(39.625), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(39.625), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[12]']
        createRL(
            tech, net, 'm1',
            ((40.66,0.0),(40.66,74.4),(40.89,74.4),(40.89,0.0),(40.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(40.775), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(40.775), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[12]']
        createRL(
            tech, net, 'm1',
            ((41.29,0.0),(41.29,74.4),(41.52,74.4),(41.52,0.0),(41.29,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(41.405), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(41.405), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[12]']
        createRL(
            tech, net, 'm1',
            ((42.2,0.0),(42.2,74.4),(42.43,74.4),(42.43,0.0),(42.2,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(42.315), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(42.315), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[12]']
        createRL(
            tech, net, 'm1',
            ((42.86,0.0),(42.86,74.4),(43.09,74.4),(43.09,0.0),(42.86,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(42.975), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(42.975), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[13]']
        createRL(
            tech, net, 'm1',
            ((44.01,0.0),(44.01,74.4),(44.24,74.4),(44.24,0.0),(44.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(44.125), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(44.125), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[13]']
        createRL(
            tech, net, 'm1',
            ((44.64,0.0),(44.64,74.4),(44.87,74.4),(44.87,0.0),(44.64,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(44.755), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(44.755), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[13]']
        createRL(
            tech, net, 'm1',
            ((45.55,0.0),(45.55,74.4),(45.78,74.4),(45.78,0.0),(45.55,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(45.665), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(45.665), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[13]']
        createRL(
            tech, net, 'm1',
            ((46.21,0.0),(46.21,74.4),(46.44,74.4),(46.44,0.0),(46.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(46.325), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(46.325), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[14]']
        createRL(
            tech, net, 'm1',
            ((47.36,0.0),(47.36,74.4),(47.59,74.4),(47.59,0.0),(47.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(47.475), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(47.475), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[14]']
        createRL(
            tech, net, 'm1',
            ((47.99,0.0),(47.99,74.4),(48.22,74.4),(48.22,0.0),(47.99,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(48.105), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(48.105), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[14]']
        createRL(
            tech, net, 'm1',
            ((48.9,0.0),(48.9,74.4),(49.13,74.4),(49.13,0.0),(48.9,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(49.015), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(49.015), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[14]']
        createRL(
            tech, net, 'm1',
            ((49.56,0.0),(49.56,74.4),(49.79,74.4),(49.79,0.0),(49.56,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(49.675), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(49.675), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[15]']
        createRL(
            tech, net, 'm1',
            ((50.71,0.0),(50.71,74.4),(50.94,74.4),(50.94,0.0),(50.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(50.825), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(50.825), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[15]']
        createRL(
            tech, net, 'm1',
            ((51.34,0.0),(51.34,74.4),(51.57,74.4),(51.57,0.0),(51.34,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(51.455), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(51.455), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[15]']
        createRL(
            tech, net, 'm1',
            ((52.25,0.0),(52.25,74.4),(52.48,74.4),(52.48,0.0),(52.25,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(52.365), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(52.365), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[15]']
        createRL(
            tech, net, 'm1',
            ((52.91,0.0),(52.91,74.4),(53.14,74.4),(53.14,0.0),(52.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(53.025), u(0.23), u(0.0), u(74.4),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(53.025), u(0.23), u(0.0), u(74.4),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,74.4),(53.6,74.4),(53.6,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl1[0]'].setDirection(Net.Direction.IN)
        nets['wl2[0]'].setDirection(Net.Direction.IN)
        nets['wl1[1]'].setDirection(Net.Direction.IN)
        nets['wl2[1]'].setDirection(Net.Direction.IN)
        nets['wl1[2]'].setDirection(Net.Direction.IN)
        nets['wl2[2]'].setDirection(Net.Direction.IN)
        nets['wl1[3]'].setDirection(Net.Direction.IN)
        nets['wl2[3]'].setDirection(Net.Direction.IN)
        nets['wl1[4]'].setDirection(Net.Direction.IN)
        nets['wl2[4]'].setDirection(Net.Direction.IN)
        nets['wl1[5]'].setDirection(Net.Direction.IN)
        nets['wl2[5]'].setDirection(Net.Direction.IN)
        nets['wl1[6]'].setDirection(Net.Direction.IN)
        nets['wl2[6]'].setDirection(Net.Direction.IN)
        nets['wl1[7]'].setDirection(Net.Direction.IN)
        nets['wl2[7]'].setDirection(Net.Direction.IN)
        nets['wl1[8]'].setDirection(Net.Direction.IN)
        nets['wl2[8]'].setDirection(Net.Direction.IN)
        nets['wl1[9]'].setDirection(Net.Direction.IN)
        nets['wl2[9]'].setDirection(Net.Direction.IN)
        nets['wl1[10]'].setDirection(Net.Direction.IN)
        nets['wl2[10]'].setDirection(Net.Direction.IN)
        nets['wl1[11]'].setDirection(Net.Direction.IN)
        nets['wl2[11]'].setDirection(Net.Direction.IN)
        nets['wl1[12]'].setDirection(Net.Direction.IN)
        nets['wl2[12]'].setDirection(Net.Direction.IN)
        nets['wl1[13]'].setDirection(Net.Direction.IN)
        nets['wl2[13]'].setDirection(Net.Direction.IN)
        nets['wl1[14]'].setDirection(Net.Direction.IN)
        nets['wl2[14]'].setDirection(Net.Direction.IN)
        nets['wl1[15]'].setDirection(Net.Direction.IN)
        nets['wl2[15]'].setDirection(Net.Direction.IN)
        nets['wl1[16]'].setDirection(Net.Direction.IN)
        nets['wl2[16]'].setDirection(Net.Direction.IN)
        nets['wl1[17]'].setDirection(Net.Direction.IN)
        nets['wl2[17]'].setDirection(Net.Direction.IN)
        nets['wl1[18]'].setDirection(Net.Direction.IN)
        nets['wl2[18]'].setDirection(Net.Direction.IN)
        nets['wl1[19]'].setDirection(Net.Direction.IN)
        nets['wl2[19]'].setDirection(Net.Direction.IN)
        nets['wl1[20]'].setDirection(Net.Direction.IN)
        nets['wl2[20]'].setDirection(Net.Direction.IN)
        nets['wl1[21]'].setDirection(Net.Direction.IN)
        nets['wl2[21]'].setDirection(Net.Direction.IN)
        nets['wl1[22]'].setDirection(Net.Direction.IN)
        nets['wl2[22]'].setDirection(Net.Direction.IN)
        nets['wl1[23]'].setDirection(Net.Direction.IN)
        nets['wl2[23]'].setDirection(Net.Direction.IN)
        nets['wl1[24]'].setDirection(Net.Direction.IN)
        nets['wl2[24]'].setDirection(Net.Direction.IN)
        nets['wl1[25]'].setDirection(Net.Direction.IN)
        nets['wl2[25]'].setDirection(Net.Direction.IN)
        nets['wl1[26]'].setDirection(Net.Direction.IN)
        nets['wl2[26]'].setDirection(Net.Direction.IN)
        nets['wl1[27]'].setDirection(Net.Direction.IN)
        nets['wl2[27]'].setDirection(Net.Direction.IN)
        nets['wl1[28]'].setDirection(Net.Direction.IN)
        nets['wl2[28]'].setDirection(Net.Direction.IN)
        nets['wl1[29]'].setDirection(Net.Direction.IN)
        nets['wl2[29]'].setDirection(Net.Direction.IN)
        nets['wl1[30]'].setDirection(Net.Direction.IN)
        nets['wl2[30]'].setDirection(Net.Direction.IN)
        nets['wl1[31]'].setDirection(Net.Direction.IN)
        nets['wl2[31]'].setDirection(Net.Direction.IN)
        nets['bl1[0]'].setDirection(Net.Direction.IN)
        nets['bl1_n[0]'].setDirection(Net.Direction.IN)
        nets['bl2[0]'].setDirection(Net.Direction.IN)
        nets['bl2_n[0]'].setDirection(Net.Direction.IN)
        nets['bl1[1]'].setDirection(Net.Direction.IN)
        nets['bl1_n[1]'].setDirection(Net.Direction.IN)
        nets['bl2[1]'].setDirection(Net.Direction.IN)
        nets['bl2_n[1]'].setDirection(Net.Direction.IN)
        nets['bl1[2]'].setDirection(Net.Direction.IN)
        nets['bl1_n[2]'].setDirection(Net.Direction.IN)
        nets['bl2[2]'].setDirection(Net.Direction.IN)
        nets['bl2_n[2]'].setDirection(Net.Direction.IN)
        nets['bl1[3]'].setDirection(Net.Direction.IN)
        nets['bl1_n[3]'].setDirection(Net.Direction.IN)
        nets['bl2[3]'].setDirection(Net.Direction.IN)
        nets['bl2_n[3]'].setDirection(Net.Direction.IN)
        nets['bl1[4]'].setDirection(Net.Direction.IN)
        nets['bl1_n[4]'].setDirection(Net.Direction.IN)
        nets['bl2[4]'].setDirection(Net.Direction.IN)
        nets['bl2_n[4]'].setDirection(Net.Direction.IN)
        nets['bl1[5]'].setDirection(Net.Direction.IN)
        nets['bl1_n[5]'].setDirection(Net.Direction.IN)
        nets['bl2[5]'].setDirection(Net.Direction.IN)
        nets['bl2_n[5]'].setDirection(Net.Direction.IN)
        nets['bl1[6]'].setDirection(Net.Direction.IN)
        nets['bl1_n[6]'].setDirection(Net.Direction.IN)
        nets['bl2[6]'].setDirection(Net.Direction.IN)
        nets['bl2_n[6]'].setDirection(Net.Direction.IN)
        nets['bl1[7]'].setDirection(Net.Direction.IN)
        nets['bl1_n[7]'].setDirection(Net.Direction.IN)
        nets['bl2[7]'].setDirection(Net.Direction.IN)
        nets['bl2_n[7]'].setDirection(Net.Direction.IN)
        nets['bl1[8]'].setDirection(Net.Direction.IN)
        nets['bl1_n[8]'].setDirection(Net.Direction.IN)
        nets['bl2[8]'].setDirection(Net.Direction.IN)
        nets['bl2_n[8]'].setDirection(Net.Direction.IN)
        nets['bl1[9]'].setDirection(Net.Direction.IN)
        nets['bl1_n[9]'].setDirection(Net.Direction.IN)
        nets['bl2[9]'].setDirection(Net.Direction.IN)
        nets['bl2_n[9]'].setDirection(Net.Direction.IN)
        nets['bl1[10]'].setDirection(Net.Direction.IN)
        nets['bl1_n[10]'].setDirection(Net.Direction.IN)
        nets['bl2[10]'].setDirection(Net.Direction.IN)
        nets['bl2_n[10]'].setDirection(Net.Direction.IN)
        nets['bl1[11]'].setDirection(Net.Direction.IN)
        nets['bl1_n[11]'].setDirection(Net.Direction.IN)
        nets['bl2[11]'].setDirection(Net.Direction.IN)
        nets['bl2_n[11]'].setDirection(Net.Direction.IN)
        nets['bl1[12]'].setDirection(Net.Direction.IN)
        nets['bl1_n[12]'].setDirection(Net.Direction.IN)
        nets['bl2[12]'].setDirection(Net.Direction.IN)
        nets['bl2_n[12]'].setDirection(Net.Direction.IN)
        nets['bl1[13]'].setDirection(Net.Direction.IN)
        nets['bl1_n[13]'].setDirection(Net.Direction.IN)
        nets['bl2[13]'].setDirection(Net.Direction.IN)
        nets['bl2_n[13]'].setDirection(Net.Direction.IN)
        nets['bl1[14]'].setDirection(Net.Direction.IN)
        nets['bl1_n[14]'].setDirection(Net.Direction.IN)
        nets['bl2[14]'].setDirection(Net.Direction.IN)
        nets['bl2_n[14]'].setDirection(Net.Direction.IN)
        nets['bl1[15]'].setDirection(Net.Direction.IN)
        nets['bl1_n[15]'].setDirection(Net.Direction.IN)
        nets['bl2[15]'].setDirection(Net.Direction.IN)
        nets['bl2_n[15]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TArray_16X16']
        except:
            subcell = af.getCell('DP8TArray_16X16', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TArray_16X16']
        except:
            subcell = af.getCell('DP8TArray_16X16', 0)
        trans = Transformation(
            u(0.0), u(37.2), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst1x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TArray_16X16']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(53.60000000000001), u(37.2),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl1[0]': Net.create(cell, 'bl1[0]'),
            'bl1[10]': Net.create(cell, 'bl1[10]'),
            'bl1[11]': Net.create(cell, 'bl1[11]'),
            'bl1[12]': Net.create(cell, 'bl1[12]'),
            'bl1[13]': Net.create(cell, 'bl1[13]'),
            'bl1[14]': Net.create(cell, 'bl1[14]'),
            'bl1[15]': Net.create(cell, 'bl1[15]'),
            'bl1[1]': Net.create(cell, 'bl1[1]'),
            'bl1[2]': Net.create(cell, 'bl1[2]'),
            'bl1[3]': Net.create(cell, 'bl1[3]'),
            'bl1[4]': Net.create(cell, 'bl1[4]'),
            'bl1[5]': Net.create(cell, 'bl1[5]'),
            'bl1[6]': Net.create(cell, 'bl1[6]'),
            'bl1[7]': Net.create(cell, 'bl1[7]'),
            'bl1[8]': Net.create(cell, 'bl1[8]'),
            'bl1[9]': Net.create(cell, 'bl1[9]'),
            'bl1_n[0]': Net.create(cell, 'bl1_n[0]'),
            'bl1_n[10]': Net.create(cell, 'bl1_n[10]'),
            'bl1_n[11]': Net.create(cell, 'bl1_n[11]'),
            'bl1_n[12]': Net.create(cell, 'bl1_n[12]'),
            'bl1_n[13]': Net.create(cell, 'bl1_n[13]'),
            'bl1_n[14]': Net.create(cell, 'bl1_n[14]'),
            'bl1_n[15]': Net.create(cell, 'bl1_n[15]'),
            'bl1_n[1]': Net.create(cell, 'bl1_n[1]'),
            'bl1_n[2]': Net.create(cell, 'bl1_n[2]'),
            'bl1_n[3]': Net.create(cell, 'bl1_n[3]'),
            'bl1_n[4]': Net.create(cell, 'bl1_n[4]'),
            'bl1_n[5]': Net.create(cell, 'bl1_n[5]'),
            'bl1_n[6]': Net.create(cell, 'bl1_n[6]'),
            'bl1_n[7]': Net.create(cell, 'bl1_n[7]'),
            'bl1_n[8]': Net.create(cell, 'bl1_n[8]'),
            'bl1_n[9]': Net.create(cell, 'bl1_n[9]'),
            'bl2[0]': Net.create(cell, 'bl2[0]'),
            'bl2[10]': Net.create(cell, 'bl2[10]'),
            'bl2[11]': Net.create(cell, 'bl2[11]'),
            'bl2[12]': Net.create(cell, 'bl2[12]'),
            'bl2[13]': Net.create(cell, 'bl2[13]'),
            'bl2[14]': Net.create(cell, 'bl2[14]'),
            'bl2[15]': Net.create(cell, 'bl2[15]'),
            'bl2[1]': Net.create(cell, 'bl2[1]'),
            'bl2[2]': Net.create(cell, 'bl2[2]'),
            'bl2[3]': Net.create(cell, 'bl2[3]'),
            'bl2[4]': Net.create(cell, 'bl2[4]'),
            'bl2[5]': Net.create(cell, 'bl2[5]'),
            'bl2[6]': Net.create(cell, 'bl2[6]'),
            'bl2[7]': Net.create(cell, 'bl2[7]'),
            'bl2[8]': Net.create(cell, 'bl2[8]'),
            'bl2[9]': Net.create(cell, 'bl2[9]'),
            'bl2_n[0]': Net.create(cell, 'bl2_n[0]'),
            'bl2_n[10]': Net.create(cell, 'bl2_n[10]'),
            'bl2_n[11]': Net.create(cell, 'bl2_n[11]'),
            'bl2_n[12]': Net.create(cell, 'bl2_n[12]'),
            'bl2_n[13]': Net.create(cell, 'bl2_n[13]'),
            'bl2_n[14]': Net.create(cell, 'bl2_n[14]'),
            'bl2_n[15]': Net.create(cell, 'bl2_n[15]'),
            'bl2_n[1]': Net.create(cell, 'bl2_n[1]'),
            'bl2_n[2]': Net.create(cell, 'bl2_n[2]'),
            'bl2_n[3]': Net.create(cell, 'bl2_n[3]'),
            'bl2_n[4]': Net.create(cell, 'bl2_n[4]'),
            'bl2_n[5]': Net.create(cell, 'bl2_n[5]'),
            'bl2_n[6]': Net.create(cell, 'bl2_n[6]'),
            'bl2_n[7]': Net.create(cell, 'bl2_n[7]'),
            'bl2_n[8]': Net.create(cell, 'bl2_n[8]'),
            'bl2_n[9]': Net.create(cell, 'bl2_n[9]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl1[0]': Net.create(cell, 'wl1[0]'),
            'wl1[10]': Net.create(cell, 'wl1[10]'),
            'wl1[11]': Net.create(cell, 'wl1[11]'),
            'wl1[12]': Net.create(cell, 'wl1[12]'),
            'wl1[13]': Net.create(cell, 'wl1[13]'),
            'wl1[14]': Net.create(cell, 'wl1[14]'),
            'wl1[15]': Net.create(cell, 'wl1[15]'),
            'wl1[1]': Net.create(cell, 'wl1[1]'),
            'wl1[2]': Net.create(cell, 'wl1[2]'),
            'wl1[3]': Net.create(cell, 'wl1[3]'),
            'wl1[4]': Net.create(cell, 'wl1[4]'),
            'wl1[5]': Net.create(cell, 'wl1[5]'),
            'wl1[6]': Net.create(cell, 'wl1[6]'),
            'wl1[7]': Net.create(cell, 'wl1[7]'),
            'wl1[8]': Net.create(cell, 'wl1[8]'),
            'wl1[9]': Net.create(cell, 'wl1[9]'),
            'wl2[0]': Net.create(cell, 'wl2[0]'),
            'wl2[10]': Net.create(cell, 'wl2[10]'),
            'wl2[11]': Net.create(cell, 'wl2[11]'),
            'wl2[12]': Net.create(cell, 'wl2[12]'),
            'wl2[13]': Net.create(cell, 'wl2[13]'),
            'wl2[14]': Net.create(cell, 'wl2[14]'),
            'wl2[15]': Net.create(cell, 'wl2[15]'),
            'wl2[1]': Net.create(cell, 'wl2[1]'),
            'wl2[2]': Net.create(cell, 'wl2[2]'),
            'wl2[3]': Net.create(cell, 'wl2[3]'),
            'wl2[4]': Net.create(cell, 'wl2[4]'),
            'wl2[5]': Net.create(cell, 'wl2[5]'),
            'wl2[6]': Net.create(cell, 'wl2[6]'),
            'wl2[7]': Net.create(cell, 'wl2[7]'),
            'wl2[8]': Net.create(cell, 'wl2[8]'),
            'wl2[9]': Net.create(cell, 'wl2[9]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,36.19),(0.0,36.77),(53.6,36.77),(53.6,36.19),(0.0,36.19)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,3.64),(0.0,4.22),(53.6,4.22),(53.6,3.64),(0.0,3.64)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,22.24),(0.0,22.82),(53.6,22.82),(53.6,22.24),(0.0,22.24)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,8.29),(0.0,8.87),(53.6,8.87),(53.6,8.29),(0.0,8.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,26.89),(0.0,27.47),(53.6,27.47),(53.6,26.89),(0.0,26.89)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,31.54),(0.0,32.12),(53.6,32.12),(53.6,31.54),(0.0,31.54)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,12.94),(0.0,13.52),(53.6,13.52),(53.6,12.94),(0.0,12.94)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,17.59),(0.0,18.17),(53.6,18.17),(53.6,17.59),(0.0,17.59)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(36.48), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(36.48), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.93), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.93), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(22.53), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(22.53), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.58), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.58), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(27.18), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(27.18), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(31.83), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(31.83), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.23), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.23), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(17.88), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(17.88), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,4.36),(0.0,4.94),(53.6,4.94),(53.6,4.36),(0.0,4.36)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,9.01),(0.0,9.59),(53.6,9.59),(53.6,9.01),(0.0,9.01)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.29),(0.0,0.29),(53.6,0.29),(53.6,-0.29),(0.0,-0.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,32.26),(0.0,32.84),(53.6,32.84),(53.6,32.26),(0.0,32.26)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,36.91),(0.0,37.49),(53.6,37.49),(53.6,36.91),(0.0,36.91)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,13.66),(0.0,14.24),(53.6,14.24),(53.6,13.66),(0.0,13.66)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,18.31),(0.0,18.89),(53.6,18.89),(53.6,18.31),(0.0,18.31)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,22.96),(0.0,23.54),(53.6,23.54),(53.6,22.96),(0.0,22.96)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,27.61),(0.0,28.19),(53.6,28.19),(53.6,27.61),(0.0,27.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(4.65), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(4.65), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.3), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.3), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(32.55), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(32.55), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(37.2), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(37.2), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.95), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.95), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.6), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.6), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(23.25), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(23.25), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(27.9), u(0.58), u(0.0), u(53.599999999999994),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(27.9), u(0.58), u(0.0), u(53.599999999999994),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.88),(0.0,2.14),(53.6,2.14),(53.6,1.88),(0.0,1.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.01), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.01), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.38),(0.0,1.64),(53.6,1.64),(53.6,1.38),(0.0,1.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.51), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.51), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,2.51),(0.0,2.77),(53.6,2.77),(53.6,2.51),(0.0,2.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.64), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.64), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.01),(0.0,3.27),(53.6,3.27),(53.6,3.01),(0.0,3.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.14), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.14), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.53),(0.0,6.79),(53.6,6.79),(53.6,6.53),(0.0,6.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.66), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.66), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.03),(0.0,6.29),(53.6,6.29),(53.6,6.03),(0.0,6.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.16), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.16), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.16),(0.0,7.42),(53.6,7.42),(53.6,7.16),(0.0,7.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.29), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.29), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.66),(0.0,7.92),(53.6,7.92),(53.6,7.66),(0.0,7.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.79), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.79), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,11.18),(0.0,11.44),(53.6,11.44),(53.6,11.18),(0.0,11.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.31), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.31), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,10.68),(0.0,10.94),(53.6,10.94),(53.6,10.68),(0.0,10.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.81), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.81), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,11.81),(0.0,12.07),(53.6,12.07),(53.6,11.81),(0.0,11.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.94), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.94), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,12.31),(0.0,12.57),(53.6,12.57),(53.6,12.31),(0.0,12.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.44), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.44), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,15.83),(0.0,16.09),(53.6,16.09),(53.6,15.83),(0.0,15.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.96), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.96), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,15.33),(0.0,15.59),(53.6,15.59),(53.6,15.33),(0.0,15.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.46), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.46), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,16.46),(0.0,16.72),(53.6,16.72),(53.6,16.46),(0.0,16.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.59), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.59), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,16.96),(0.0,17.22),(53.6,17.22),(53.6,16.96),(0.0,16.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(17.09), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(17.09), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,20.48),(0.0,20.74),(53.6,20.74),(53.6,20.48),(0.0,20.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(20.61), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(20.61), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,19.98),(0.0,20.24),(53.6,20.24),(53.6,19.98),(0.0,19.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(20.11), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(20.11), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,21.11),(0.0,21.37),(53.6,21.37),(53.6,21.11),(0.0,21.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.24), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.24), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,21.61),(0.0,21.87),(53.6,21.87),(53.6,21.61),(0.0,21.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.74), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.74), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,25.13),(0.0,25.39),(53.6,25.39),(53.6,25.13),(0.0,25.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.26), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.26), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,24.63),(0.0,24.89),(53.6,24.89),(53.6,24.63),(0.0,24.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(24.76), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(24.76), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,25.76),(0.0,26.02),(53.6,26.02),(53.6,25.76),(0.0,25.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.89), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.89), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,26.26),(0.0,26.52),(53.6,26.52),(53.6,26.26),(0.0,26.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(26.39), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(26.39), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,29.78),(0.0,30.04),(53.6,30.04),(53.6,29.78),(0.0,29.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.91), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.91), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,29.28),(0.0,29.54),(53.6,29.54),(53.6,29.28),(0.0,29.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.41), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.41), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,30.41),(0.0,30.67),(53.6,30.67),(53.6,30.41),(0.0,30.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(30.54), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(30.54), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,30.91),(0.0,31.17),(53.6,31.17),(53.6,30.91),(0.0,30.91)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(31.04), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(31.04), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,34.43),(0.0,34.69),(53.6,34.69),(53.6,34.43),(0.0,34.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.56), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.56), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,33.93),(0.0,34.19),(53.6,34.19),(53.6,33.93),(0.0,33.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.06), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.06), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,35.06),(0.0,35.32),(53.6,35.32),(53.6,35.06),(0.0,35.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.19), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.19), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,35.56),(0.0,35.82),(53.6,35.82),(53.6,35.56),(0.0,35.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.69), u(0.26), u(0.0), u(53.60000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.69), u(0.26), u(0.0), u(53.60000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[0]']
        createRL(
            tech, net, 'm1',
            ((0.46,0.0),(0.46,37.2),(0.69,37.2),(0.69,0.0),(0.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.575), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.575), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.09,0.0),(1.09,37.2),(1.32,37.2),(1.32,0.0),(1.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.205), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.205), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[0]']
        createRL(
            tech, net, 'm1',
            ((2.0,0.0),(2.0,37.2),(2.23,37.2),(2.23,0.0),(2.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.115), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.115), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[0]']
        createRL(
            tech, net, 'm1',
            ((2.66,0.0),(2.66,37.2),(2.89,37.2),(2.89,0.0),(2.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.775), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.775), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[1]']
        createRL(
            tech, net, 'm1',
            ((3.81,0.0),(3.81,37.2),(4.04,37.2),(4.04,0.0),(3.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.925), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.925), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[1]']
        createRL(
            tech, net, 'm1',
            ((4.44,0.0),(4.44,37.2),(4.67,37.2),(4.67,0.0),(4.44,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.555), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.555), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[1]']
        createRL(
            tech, net, 'm1',
            ((5.35,0.0),(5.35,37.2),(5.58,37.2),(5.58,0.0),(5.35,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.465), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.465), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[1]']
        createRL(
            tech, net, 'm1',
            ((6.01,0.0),(6.01,37.2),(6.24,37.2),(6.24,0.0),(6.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.125), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.125), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[2]']
        createRL(
            tech, net, 'm1',
            ((7.16,0.0),(7.16,37.2),(7.39,37.2),(7.39,0.0),(7.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.275), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.275), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[2]']
        createRL(
            tech, net, 'm1',
            ((7.79,0.0),(7.79,37.2),(8.02,37.2),(8.02,0.0),(7.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.905), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.905), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[2]']
        createRL(
            tech, net, 'm1',
            ((8.7,0.0),(8.7,37.2),(8.93,37.2),(8.93,0.0),(8.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(8.815), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(8.815), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[2]']
        createRL(
            tech, net, 'm1',
            ((9.36,0.0),(9.36,37.2),(9.59,37.2),(9.59,0.0),(9.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(9.475), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(9.475), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[3]']
        createRL(
            tech, net, 'm1',
            ((10.51,0.0),(10.51,37.2),(10.74,37.2),(10.74,0.0),(10.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(10.625), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(10.625), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[3]']
        createRL(
            tech, net, 'm1',
            ((11.14,0.0),(11.14,37.2),(11.37,37.2),(11.37,0.0),(11.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(11.255), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(11.255), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[3]']
        createRL(
            tech, net, 'm1',
            ((12.05,0.0),(12.05,37.2),(12.28,37.2),(12.28,0.0),(12.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.165), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.165), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[3]']
        createRL(
            tech, net, 'm1',
            ((12.71,0.0),(12.71,37.2),(12.94,37.2),(12.94,0.0),(12.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.825), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.825), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[4]']
        createRL(
            tech, net, 'm1',
            ((13.86,0.0),(13.86,37.2),(14.09,37.2),(14.09,0.0),(13.86,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(13.975), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(13.975), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[4]']
        createRL(
            tech, net, 'm1',
            ((14.49,0.0),(14.49,37.2),(14.72,37.2),(14.72,0.0),(14.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(14.605), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(14.605), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[4]']
        createRL(
            tech, net, 'm1',
            ((15.4,0.0),(15.4,37.2),(15.63,37.2),(15.63,0.0),(15.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(15.515), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(15.515), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[4]']
        createRL(
            tech, net, 'm1',
            ((16.06,0.0),(16.06,37.2),(16.29,37.2),(16.29,0.0),(16.06,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(16.175), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(16.175), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[5]']
        createRL(
            tech, net, 'm1',
            ((17.21,0.0),(17.21,37.2),(17.44,37.2),(17.44,0.0),(17.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(17.325), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(17.325), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[5]']
        createRL(
            tech, net, 'm1',
            ((17.84,0.0),(17.84,37.2),(18.07,37.2),(18.07,0.0),(17.84,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(17.955), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(17.955), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[5]']
        createRL(
            tech, net, 'm1',
            ((18.75,0.0),(18.75,37.2),(18.98,37.2),(18.98,0.0),(18.75,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(18.865), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(18.865), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[5]']
        createRL(
            tech, net, 'm1',
            ((19.41,0.0),(19.41,37.2),(19.64,37.2),(19.64,0.0),(19.41,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(19.525), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(19.525), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[6]']
        createRL(
            tech, net, 'm1',
            ((20.56,0.0),(20.56,37.2),(20.79,37.2),(20.79,0.0),(20.56,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(20.675), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(20.675), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[6]']
        createRL(
            tech, net, 'm1',
            ((21.19,0.0),(21.19,37.2),(21.42,37.2),(21.42,0.0),(21.19,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(21.305), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(21.305), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[6]']
        createRL(
            tech, net, 'm1',
            ((22.1,0.0),(22.1,37.2),(22.33,37.2),(22.33,0.0),(22.1,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(22.215), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(22.215), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[6]']
        createRL(
            tech, net, 'm1',
            ((22.76,0.0),(22.76,37.2),(22.99,37.2),(22.99,0.0),(22.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(22.875), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(22.875), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[7]']
        createRL(
            tech, net, 'm1',
            ((23.91,0.0),(23.91,37.2),(24.14,37.2),(24.14,0.0),(23.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(24.025), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(24.025), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[7]']
        createRL(
            tech, net, 'm1',
            ((24.54,0.0),(24.54,37.2),(24.77,37.2),(24.77,0.0),(24.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(24.655), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(24.655), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[7]']
        createRL(
            tech, net, 'm1',
            ((25.45,0.0),(25.45,37.2),(25.68,37.2),(25.68,0.0),(25.45,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(25.565), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(25.565), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[7]']
        createRL(
            tech, net, 'm1',
            ((26.11,0.0),(26.11,37.2),(26.34,37.2),(26.34,0.0),(26.11,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(26.225), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(26.225), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[8]']
        createRL(
            tech, net, 'm1',
            ((27.26,0.0),(27.26,37.2),(27.49,37.2),(27.49,0.0),(27.26,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(27.375), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(27.375), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[8]']
        createRL(
            tech, net, 'm1',
            ((27.89,0.0),(27.89,37.2),(28.12,37.2),(28.12,0.0),(27.89,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(28.005), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(28.005), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[8]']
        createRL(
            tech, net, 'm1',
            ((28.8,0.0),(28.8,37.2),(29.03,37.2),(29.03,0.0),(28.8,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(28.915), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(28.915), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[8]']
        createRL(
            tech, net, 'm1',
            ((29.46,0.0),(29.46,37.2),(29.69,37.2),(29.69,0.0),(29.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(29.575), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(29.575), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[9]']
        createRL(
            tech, net, 'm1',
            ((30.61,0.0),(30.61,37.2),(30.84,37.2),(30.84,0.0),(30.61,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(30.725), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(30.725), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[9]']
        createRL(
            tech, net, 'm1',
            ((31.24,0.0),(31.24,37.2),(31.47,37.2),(31.47,0.0),(31.24,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(31.355), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(31.355), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[9]']
        createRL(
            tech, net, 'm1',
            ((32.15,0.0),(32.15,37.2),(32.38,37.2),(32.38,0.0),(32.15,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(32.265), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(32.265), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[9]']
        createRL(
            tech, net, 'm1',
            ((32.81,0.0),(32.81,37.2),(33.04,37.2),(33.04,0.0),(32.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(32.925), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(32.925), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[10]']
        createRL(
            tech, net, 'm1',
            ((33.96,0.0),(33.96,37.2),(34.19,37.2),(34.19,0.0),(33.96,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(34.075), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(34.075), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[10]']
        createRL(
            tech, net, 'm1',
            ((34.59,0.0),(34.59,37.2),(34.82,37.2),(34.82,0.0),(34.59,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(34.705), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(34.705), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[10]']
        createRL(
            tech, net, 'm1',
            ((35.5,0.0),(35.5,37.2),(35.73,37.2),(35.73,0.0),(35.5,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(35.615), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(35.615), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[10]']
        createRL(
            tech, net, 'm1',
            ((36.16,0.0),(36.16,37.2),(36.39,37.2),(36.39,0.0),(36.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(36.275), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(36.275), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[11]']
        createRL(
            tech, net, 'm1',
            ((37.31,0.0),(37.31,37.2),(37.54,37.2),(37.54,0.0),(37.31,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(37.425), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(37.425), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[11]']
        createRL(
            tech, net, 'm1',
            ((37.94,0.0),(37.94,37.2),(38.17,37.2),(38.17,0.0),(37.94,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(38.055), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(38.055), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[11]']
        createRL(
            tech, net, 'm1',
            ((38.85,0.0),(38.85,37.2),(39.08,37.2),(39.08,0.0),(38.85,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(38.965), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(38.965), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[11]']
        createRL(
            tech, net, 'm1',
            ((39.51,0.0),(39.51,37.2),(39.74,37.2),(39.74,0.0),(39.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(39.625), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(39.625), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[12]']
        createRL(
            tech, net, 'm1',
            ((40.66,0.0),(40.66,37.2),(40.89,37.2),(40.89,0.0),(40.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(40.775), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(40.775), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[12]']
        createRL(
            tech, net, 'm1',
            ((41.29,0.0),(41.29,37.2),(41.52,37.2),(41.52,0.0),(41.29,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(41.405), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(41.405), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[12]']
        createRL(
            tech, net, 'm1',
            ((42.2,0.0),(42.2,37.2),(42.43,37.2),(42.43,0.0),(42.2,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(42.315), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(42.315), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[12]']
        createRL(
            tech, net, 'm1',
            ((42.86,0.0),(42.86,37.2),(43.09,37.2),(43.09,0.0),(42.86,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(42.975), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(42.975), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[13]']
        createRL(
            tech, net, 'm1',
            ((44.01,0.0),(44.01,37.2),(44.24,37.2),(44.24,0.0),(44.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(44.125), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(44.125), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[13]']
        createRL(
            tech, net, 'm1',
            ((44.64,0.0),(44.64,37.2),(44.87,37.2),(44.87,0.0),(44.64,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(44.755), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(44.755), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[13]']
        createRL(
            tech, net, 'm1',
            ((45.55,0.0),(45.55,37.2),(45.78,37.2),(45.78,0.0),(45.55,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(45.665), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(45.665), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[13]']
        createRL(
            tech, net, 'm1',
            ((46.21,0.0),(46.21,37.2),(46.44,37.2),(46.44,0.0),(46.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(46.325), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(46.325), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[14]']
        createRL(
            tech, net, 'm1',
            ((47.36,0.0),(47.36,37.2),(47.59,37.2),(47.59,0.0),(47.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(47.475), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(47.475), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[14]']
        createRL(
            tech, net, 'm1',
            ((47.99,0.0),(47.99,37.2),(48.22,37.2),(48.22,0.0),(47.99,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(48.105), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(48.105), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[14]']
        createRL(
            tech, net, 'm1',
            ((48.9,0.0),(48.9,37.2),(49.13,37.2),(49.13,0.0),(48.9,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(49.015), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(49.015), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[14]']
        createRL(
            tech, net, 'm1',
            ((49.56,0.0),(49.56,37.2),(49.79,37.2),(49.79,0.0),(49.56,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(49.675), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(49.675), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[15]']
        createRL(
            tech, net, 'm1',
            ((50.71,0.0),(50.71,37.2),(50.94,37.2),(50.94,0.0),(50.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(50.825), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(50.825), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[15]']
        createRL(
            tech, net, 'm1',
            ((51.34,0.0),(51.34,37.2),(51.57,37.2),(51.57,0.0),(51.34,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(51.455), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(51.455), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[15]']
        createRL(
            tech, net, 'm1',
            ((52.25,0.0),(52.25,37.2),(52.48,37.2),(52.48,0.0),(52.25,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(52.365), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(52.365), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[15]']
        createRL(
            tech, net, 'm1',
            ((52.91,0.0),(52.91,37.2),(53.14,37.2),(53.14,0.0),(52.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(53.025), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(53.025), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,37.2),(53.6,37.2),(53.6,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl1[0]'].setDirection(Net.Direction.IN)
        nets['wl2[0]'].setDirection(Net.Direction.IN)
        nets['wl1[1]'].setDirection(Net.Direction.IN)
        nets['wl2[1]'].setDirection(Net.Direction.IN)
        nets['wl1[2]'].setDirection(Net.Direction.IN)
        nets['wl2[2]'].setDirection(Net.Direction.IN)
        nets['wl1[3]'].setDirection(Net.Direction.IN)
        nets['wl2[3]'].setDirection(Net.Direction.IN)
        nets['wl1[4]'].setDirection(Net.Direction.IN)
        nets['wl2[4]'].setDirection(Net.Direction.IN)
        nets['wl1[5]'].setDirection(Net.Direction.IN)
        nets['wl2[5]'].setDirection(Net.Direction.IN)
        nets['wl1[6]'].setDirection(Net.Direction.IN)
        nets['wl2[6]'].setDirection(Net.Direction.IN)
        nets['wl1[7]'].setDirection(Net.Direction.IN)
        nets['wl2[7]'].setDirection(Net.Direction.IN)
        nets['wl1[8]'].setDirection(Net.Direction.IN)
        nets['wl2[8]'].setDirection(Net.Direction.IN)
        nets['wl1[9]'].setDirection(Net.Direction.IN)
        nets['wl2[9]'].setDirection(Net.Direction.IN)
        nets['wl1[10]'].setDirection(Net.Direction.IN)
        nets['wl2[10]'].setDirection(Net.Direction.IN)
        nets['wl1[11]'].setDirection(Net.Direction.IN)
        nets['wl2[11]'].setDirection(Net.Direction.IN)
        nets['wl1[12]'].setDirection(Net.Direction.IN)
        nets['wl2[12]'].setDirection(Net.Direction.IN)
        nets['wl1[13]'].setDirection(Net.Direction.IN)
        nets['wl2[13]'].setDirection(Net.Direction.IN)
        nets['wl1[14]'].setDirection(Net.Direction.IN)
        nets['wl2[14]'].setDirection(Net.Direction.IN)
        nets['wl1[15]'].setDirection(Net.Direction.IN)
        nets['wl2[15]'].setDirection(Net.Direction.IN)
        nets['bl1[0]'].setDirection(Net.Direction.IN)
        nets['bl1_n[0]'].setDirection(Net.Direction.IN)
        nets['bl2[0]'].setDirection(Net.Direction.IN)
        nets['bl2_n[0]'].setDirection(Net.Direction.IN)
        nets['bl1[1]'].setDirection(Net.Direction.IN)
        nets['bl1_n[1]'].setDirection(Net.Direction.IN)
        nets['bl2[1]'].setDirection(Net.Direction.IN)
        nets['bl2_n[1]'].setDirection(Net.Direction.IN)
        nets['bl1[2]'].setDirection(Net.Direction.IN)
        nets['bl1_n[2]'].setDirection(Net.Direction.IN)
        nets['bl2[2]'].setDirection(Net.Direction.IN)
        nets['bl2_n[2]'].setDirection(Net.Direction.IN)
        nets['bl1[3]'].setDirection(Net.Direction.IN)
        nets['bl1_n[3]'].setDirection(Net.Direction.IN)
        nets['bl2[3]'].setDirection(Net.Direction.IN)
        nets['bl2_n[3]'].setDirection(Net.Direction.IN)
        nets['bl1[4]'].setDirection(Net.Direction.IN)
        nets['bl1_n[4]'].setDirection(Net.Direction.IN)
        nets['bl2[4]'].setDirection(Net.Direction.IN)
        nets['bl2_n[4]'].setDirection(Net.Direction.IN)
        nets['bl1[5]'].setDirection(Net.Direction.IN)
        nets['bl1_n[5]'].setDirection(Net.Direction.IN)
        nets['bl2[5]'].setDirection(Net.Direction.IN)
        nets['bl2_n[5]'].setDirection(Net.Direction.IN)
        nets['bl1[6]'].setDirection(Net.Direction.IN)
        nets['bl1_n[6]'].setDirection(Net.Direction.IN)
        nets['bl2[6]'].setDirection(Net.Direction.IN)
        nets['bl2_n[6]'].setDirection(Net.Direction.IN)
        nets['bl1[7]'].setDirection(Net.Direction.IN)
        nets['bl1_n[7]'].setDirection(Net.Direction.IN)
        nets['bl2[7]'].setDirection(Net.Direction.IN)
        nets['bl2_n[7]'].setDirection(Net.Direction.IN)
        nets['bl1[8]'].setDirection(Net.Direction.IN)
        nets['bl1_n[8]'].setDirection(Net.Direction.IN)
        nets['bl2[8]'].setDirection(Net.Direction.IN)
        nets['bl2_n[8]'].setDirection(Net.Direction.IN)
        nets['bl1[9]'].setDirection(Net.Direction.IN)
        nets['bl1_n[9]'].setDirection(Net.Direction.IN)
        nets['bl2[9]'].setDirection(Net.Direction.IN)
        nets['bl2_n[9]'].setDirection(Net.Direction.IN)
        nets['bl1[10]'].setDirection(Net.Direction.IN)
        nets['bl1_n[10]'].setDirection(Net.Direction.IN)
        nets['bl2[10]'].setDirection(Net.Direction.IN)
        nets['bl2_n[10]'].setDirection(Net.Direction.IN)
        nets['bl1[11]'].setDirection(Net.Direction.IN)
        nets['bl1_n[11]'].setDirection(Net.Direction.IN)
        nets['bl2[11]'].setDirection(Net.Direction.IN)
        nets['bl2_n[11]'].setDirection(Net.Direction.IN)
        nets['bl1[12]'].setDirection(Net.Direction.IN)
        nets['bl1_n[12]'].setDirection(Net.Direction.IN)
        nets['bl2[12]'].setDirection(Net.Direction.IN)
        nets['bl2_n[12]'].setDirection(Net.Direction.IN)
        nets['bl1[13]'].setDirection(Net.Direction.IN)
        nets['bl1_n[13]'].setDirection(Net.Direction.IN)
        nets['bl2[13]'].setDirection(Net.Direction.IN)
        nets['bl2_n[13]'].setDirection(Net.Direction.IN)
        nets['bl1[14]'].setDirection(Net.Direction.IN)
        nets['bl1_n[14]'].setDirection(Net.Direction.IN)
        nets['bl2[14]'].setDirection(Net.Direction.IN)
        nets['bl2_n[14]'].setDirection(Net.Direction.IN)
        nets['bl1[15]'].setDirection(Net.Direction.IN)
        nets['bl1_n[15]'].setDirection(Net.Direction.IN)
        nets['bl2[15]'].setDirection(Net.Direction.IN)
        nets['bl2_n[15]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TArray_16X8']
        except:
            subcell = af.getCell('DP8TArray_16X8', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TArray_16X8']
        except:
            subcell = af.getCell('DP8TArray_16X8', 0)
        trans = Transformation(
            u(26.800000000000004), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x1', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TArray_16X8']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(26.800000000000004), u(37.2),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl1[0]': Net.create(cell, 'bl1[0]'),
            'bl1[1]': Net.create(cell, 'bl1[1]'),
            'bl1[2]': Net.create(cell, 'bl1[2]'),
            'bl1[3]': Net.create(cell, 'bl1[3]'),
            'bl1[4]': Net.create(cell, 'bl1[4]'),
            'bl1[5]': Net.create(cell, 'bl1[5]'),
            'bl1[6]': Net.create(cell, 'bl1[6]'),
            'bl1[7]': Net.create(cell, 'bl1[7]'),
            'bl1_n[0]': Net.create(cell, 'bl1_n[0]'),
            'bl1_n[1]': Net.create(cell, 'bl1_n[1]'),
            'bl1_n[2]': Net.create(cell, 'bl1_n[2]'),
            'bl1_n[3]': Net.create(cell, 'bl1_n[3]'),
            'bl1_n[4]': Net.create(cell, 'bl1_n[4]'),
            'bl1_n[5]': Net.create(cell, 'bl1_n[5]'),
            'bl1_n[6]': Net.create(cell, 'bl1_n[6]'),
            'bl1_n[7]': Net.create(cell, 'bl1_n[7]'),
            'bl2[0]': Net.create(cell, 'bl2[0]'),
            'bl2[1]': Net.create(cell, 'bl2[1]'),
            'bl2[2]': Net.create(cell, 'bl2[2]'),
            'bl2[3]': Net.create(cell, 'bl2[3]'),
            'bl2[4]': Net.create(cell, 'bl2[4]'),
            'bl2[5]': Net.create(cell, 'bl2[5]'),
            'bl2[6]': Net.create(cell, 'bl2[6]'),
            'bl2[7]': Net.create(cell, 'bl2[7]'),
            'bl2_n[0]': Net.create(cell, 'bl2_n[0]'),
            'bl2_n[1]': Net.create(cell, 'bl2_n[1]'),
            'bl2_n[2]': Net.create(cell, 'bl2_n[2]'),
            'bl2_n[3]': Net.create(cell, 'bl2_n[3]'),
            'bl2_n[4]': Net.create(cell, 'bl2_n[4]'),
            'bl2_n[5]': Net.create(cell, 'bl2_n[5]'),
            'bl2_n[6]': Net.create(cell, 'bl2_n[6]'),
            'bl2_n[7]': Net.create(cell, 'bl2_n[7]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl1[0]': Net.create(cell, 'wl1[0]'),
            'wl1[10]': Net.create(cell, 'wl1[10]'),
            'wl1[11]': Net.create(cell, 'wl1[11]'),
            'wl1[12]': Net.create(cell, 'wl1[12]'),
            'wl1[13]': Net.create(cell, 'wl1[13]'),
            'wl1[14]': Net.create(cell, 'wl1[14]'),
            'wl1[15]': Net.create(cell, 'wl1[15]'),
            'wl1[1]': Net.create(cell, 'wl1[1]'),
            'wl1[2]': Net.create(cell, 'wl1[2]'),
            'wl1[3]': Net.create(cell, 'wl1[3]'),
            'wl1[4]': Net.create(cell, 'wl1[4]'),
            'wl1[5]': Net.create(cell, 'wl1[5]'),
            'wl1[6]': Net.create(cell, 'wl1[6]'),
            'wl1[7]': Net.create(cell, 'wl1[7]'),
            'wl1[8]': Net.create(cell, 'wl1[8]'),
            'wl1[9]': Net.create(cell, 'wl1[9]'),
            'wl2[0]': Net.create(cell, 'wl2[0]'),
            'wl2[10]': Net.create(cell, 'wl2[10]'),
            'wl2[11]': Net.create(cell, 'wl2[11]'),
            'wl2[12]': Net.create(cell, 'wl2[12]'),
            'wl2[13]': Net.create(cell, 'wl2[13]'),
            'wl2[14]': Net.create(cell, 'wl2[14]'),
            'wl2[15]': Net.create(cell, 'wl2[15]'),
            'wl2[1]': Net.create(cell, 'wl2[1]'),
            'wl2[2]': Net.create(cell, 'wl2[2]'),
            'wl2[3]': Net.create(cell, 'wl2[3]'),
            'wl2[4]': Net.create(cell, 'wl2[4]'),
            'wl2[5]': Net.create(cell, 'wl2[5]'),
            'wl2[6]': Net.create(cell, 'wl2[6]'),
            'wl2[7]': Net.create(cell, 'wl2[7]'),
            'wl2[8]': Net.create(cell, 'wl2[8]'),
            'wl2[9]': Net.create(cell, 'wl2[9]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,22.24),(0.0,22.82),(26.8,22.82),(26.8,22.24),(0.0,22.24)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,3.64),(0.0,4.22),(26.8,4.22),(26.8,3.64),(0.0,3.64)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,17.59),(0.0,18.17),(26.8,18.17),(26.8,17.59),(0.0,17.59)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,26.89),(0.0,27.47),(26.8,27.47),(26.8,26.89),(0.0,26.89)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,8.29),(0.0,8.87),(26.8,8.87),(26.8,8.29),(0.0,8.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,36.19),(0.0,36.77),(26.8,36.77),(26.8,36.19),(0.0,36.19)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,12.94),(0.0,13.52),(26.8,13.52),(26.8,12.94),(0.0,12.94)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,31.54),(0.0,32.12),(26.8,32.12),(26.8,31.54),(0.0,31.54)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(22.53), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(22.53), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.93), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.93), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(17.88), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(17.88), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(27.18), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(27.18), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.58), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.58), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(36.48), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(36.48), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.23), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.23), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(31.83), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(31.83), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,22.96),(0.0,23.54),(26.8,23.54),(26.8,22.96),(0.0,22.96)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.29),(0.0,0.29),(26.8,0.29),(26.8,-0.29),(0.0,-0.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,32.26),(0.0,32.84),(26.8,32.84),(26.8,32.26),(0.0,32.26)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,9.01),(0.0,9.59),(26.8,9.59),(26.8,9.01),(0.0,9.01)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,13.66),(0.0,14.24),(26.8,14.24),(26.8,13.66),(0.0,13.66)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,36.91),(0.0,37.49),(26.8,37.49),(26.8,36.91),(0.0,36.91)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,4.36),(0.0,4.94),(26.8,4.94),(26.8,4.36),(0.0,4.36)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,18.31),(0.0,18.89),(26.8,18.89),(26.8,18.31),(0.0,18.31)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,27.61),(0.0,28.19),(26.8,28.19),(26.8,27.61),(0.0,27.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(23.25), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(23.25), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(32.55), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(32.55), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.3), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.3), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.95), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.95), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(37.2), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(37.2), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(4.65), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(4.65), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.6), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.6), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(27.9), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(27.9), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.88),(0.0,2.14),(26.8,2.14),(26.8,1.88),(0.0,1.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.01), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.01), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.38),(0.0,1.64),(26.8,1.64),(26.8,1.38),(0.0,1.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.51), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.51), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,2.51),(0.0,2.77),(26.8,2.77),(26.8,2.51),(0.0,2.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.64), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.64), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.01),(0.0,3.27),(26.8,3.27),(26.8,3.01),(0.0,3.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.14), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.14), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.53),(0.0,6.79),(26.8,6.79),(26.8,6.53),(0.0,6.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.66), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.66), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.03),(0.0,6.29),(26.8,6.29),(26.8,6.03),(0.0,6.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.16), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.16), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.16),(0.0,7.42),(26.8,7.42),(26.8,7.16),(0.0,7.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.29), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.29), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.66),(0.0,7.92),(26.8,7.92),(26.8,7.66),(0.0,7.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.79), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.79), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,11.18),(0.0,11.44),(26.8,11.44),(26.8,11.18),(0.0,11.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.31), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.31), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,10.68),(0.0,10.94),(26.8,10.94),(26.8,10.68),(0.0,10.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.81), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.81), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,11.81),(0.0,12.07),(26.8,12.07),(26.8,11.81),(0.0,11.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.94), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.94), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,12.31),(0.0,12.57),(26.8,12.57),(26.8,12.31),(0.0,12.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.44), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.44), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,15.83),(0.0,16.09),(26.8,16.09),(26.8,15.83),(0.0,15.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.96), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.96), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,15.33),(0.0,15.59),(26.8,15.59),(26.8,15.33),(0.0,15.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.46), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.46), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,16.46),(0.0,16.72),(26.8,16.72),(26.8,16.46),(0.0,16.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.59), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.59), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,16.96),(0.0,17.22),(26.8,17.22),(26.8,16.96),(0.0,16.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(17.09), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(17.09), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,20.48),(0.0,20.74),(26.8,20.74),(26.8,20.48),(0.0,20.48)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(20.61), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(20.61), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[8]']
        createRL(
            tech, net, 'm2',
            ((0.0,19.98),(0.0,20.24),(26.8,20.24),(26.8,19.98),(0.0,19.98)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(20.11), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(20.11), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,21.11),(0.0,21.37),(26.8,21.37),(26.8,21.11),(0.0,21.11)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.24), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.24), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[9]']
        createRL(
            tech, net, 'm2',
            ((0.0,21.61),(0.0,21.87),(26.8,21.87),(26.8,21.61),(0.0,21.61)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(21.74), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(21.74), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,25.13),(0.0,25.39),(26.8,25.39),(26.8,25.13),(0.0,25.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.26), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.26), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[10]']
        createRL(
            tech, net, 'm2',
            ((0.0,24.63),(0.0,24.89),(26.8,24.89),(26.8,24.63),(0.0,24.63)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(24.76), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(24.76), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,25.76),(0.0,26.02),(26.8,26.02),(26.8,25.76),(0.0,25.76)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(25.89), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(25.89), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[11]']
        createRL(
            tech, net, 'm2',
            ((0.0,26.26),(0.0,26.52),(26.8,26.52),(26.8,26.26),(0.0,26.26)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(26.39), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(26.39), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,29.78),(0.0,30.04),(26.8,30.04),(26.8,29.78),(0.0,29.78)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.91), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.91), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[12]']
        createRL(
            tech, net, 'm2',
            ((0.0,29.28),(0.0,29.54),(26.8,29.54),(26.8,29.28),(0.0,29.28)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(29.41), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(29.41), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,30.41),(0.0,30.67),(26.8,30.67),(26.8,30.41),(0.0,30.41)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(30.54), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(30.54), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[13]']
        createRL(
            tech, net, 'm2',
            ((0.0,30.91),(0.0,31.17),(26.8,31.17),(26.8,30.91),(0.0,30.91)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(31.04), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(31.04), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,34.43),(0.0,34.69),(26.8,34.69),(26.8,34.43),(0.0,34.43)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.56), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.56), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[14]']
        createRL(
            tech, net, 'm2',
            ((0.0,33.93),(0.0,34.19),(26.8,34.19),(26.8,33.93),(0.0,33.93)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(34.06), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(34.06), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,35.06),(0.0,35.32),(26.8,35.32),(26.8,35.06),(0.0,35.06)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.19), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.19), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[15]']
        createRL(
            tech, net, 'm2',
            ((0.0,35.56),(0.0,35.82),(26.8,35.82),(26.8,35.56),(0.0,35.56)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(35.69), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(35.69), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[0]']
        createRL(
            tech, net, 'm1',
            ((0.46,0.0),(0.46,37.2),(0.69,37.2),(0.69,0.0),(0.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.575), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.575), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.09,0.0),(1.09,37.2),(1.32,37.2),(1.32,0.0),(1.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.205), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.205), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[0]']
        createRL(
            tech, net, 'm1',
            ((2.0,0.0),(2.0,37.2),(2.23,37.2),(2.23,0.0),(2.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.115), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.115), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[0]']
        createRL(
            tech, net, 'm1',
            ((2.66,0.0),(2.66,37.2),(2.89,37.2),(2.89,0.0),(2.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.775), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.775), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[1]']
        createRL(
            tech, net, 'm1',
            ((3.81,0.0),(3.81,37.2),(4.04,37.2),(4.04,0.0),(3.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.925), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.925), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[1]']
        createRL(
            tech, net, 'm1',
            ((4.44,0.0),(4.44,37.2),(4.67,37.2),(4.67,0.0),(4.44,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.555), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.555), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[1]']
        createRL(
            tech, net, 'm1',
            ((5.35,0.0),(5.35,37.2),(5.58,37.2),(5.58,0.0),(5.35,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.465), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.465), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[1]']
        createRL(
            tech, net, 'm1',
            ((6.01,0.0),(6.01,37.2),(6.24,37.2),(6.24,0.0),(6.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.125), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.125), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[2]']
        createRL(
            tech, net, 'm1',
            ((7.16,0.0),(7.16,37.2),(7.39,37.2),(7.39,0.0),(7.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.275), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.275), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[2]']
        createRL(
            tech, net, 'm1',
            ((7.79,0.0),(7.79,37.2),(8.02,37.2),(8.02,0.0),(7.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.905), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.905), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[2]']
        createRL(
            tech, net, 'm1',
            ((8.7,0.0),(8.7,37.2),(8.93,37.2),(8.93,0.0),(8.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(8.815), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(8.815), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[2]']
        createRL(
            tech, net, 'm1',
            ((9.36,0.0),(9.36,37.2),(9.59,37.2),(9.59,0.0),(9.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(9.475), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(9.475), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[3]']
        createRL(
            tech, net, 'm1',
            ((10.51,0.0),(10.51,37.2),(10.74,37.2),(10.74,0.0),(10.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(10.625), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(10.625), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[3]']
        createRL(
            tech, net, 'm1',
            ((11.14,0.0),(11.14,37.2),(11.37,37.2),(11.37,0.0),(11.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(11.255), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(11.255), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[3]']
        createRL(
            tech, net, 'm1',
            ((12.05,0.0),(12.05,37.2),(12.28,37.2),(12.28,0.0),(12.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.165), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.165), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[3]']
        createRL(
            tech, net, 'm1',
            ((12.71,0.0),(12.71,37.2),(12.94,37.2),(12.94,0.0),(12.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.825), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.825), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[4]']
        createRL(
            tech, net, 'm1',
            ((13.86,0.0),(13.86,37.2),(14.09,37.2),(14.09,0.0),(13.86,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(13.975), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(13.975), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[4]']
        createRL(
            tech, net, 'm1',
            ((14.49,0.0),(14.49,37.2),(14.72,37.2),(14.72,0.0),(14.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(14.605), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(14.605), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[4]']
        createRL(
            tech, net, 'm1',
            ((15.4,0.0),(15.4,37.2),(15.63,37.2),(15.63,0.0),(15.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(15.515), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(15.515), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[4]']
        createRL(
            tech, net, 'm1',
            ((16.06,0.0),(16.06,37.2),(16.29,37.2),(16.29,0.0),(16.06,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(16.175), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(16.175), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[5]']
        createRL(
            tech, net, 'm1',
            ((17.21,0.0),(17.21,37.2),(17.44,37.2),(17.44,0.0),(17.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(17.325), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(17.325), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[5]']
        createRL(
            tech, net, 'm1',
            ((17.84,0.0),(17.84,37.2),(18.07,37.2),(18.07,0.0),(17.84,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(17.955), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(17.955), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[5]']
        createRL(
            tech, net, 'm1',
            ((18.75,0.0),(18.75,37.2),(18.98,37.2),(18.98,0.0),(18.75,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(18.865), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(18.865), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[5]']
        createRL(
            tech, net, 'm1',
            ((19.41,0.0),(19.41,37.2),(19.64,37.2),(19.64,0.0),(19.41,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(19.525), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(19.525), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[6]']
        createRL(
            tech, net, 'm1',
            ((20.56,0.0),(20.56,37.2),(20.79,37.2),(20.79,0.0),(20.56,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(20.675), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(20.675), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[6]']
        createRL(
            tech, net, 'm1',
            ((21.19,0.0),(21.19,37.2),(21.42,37.2),(21.42,0.0),(21.19,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(21.305), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(21.305), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[6]']
        createRL(
            tech, net, 'm1',
            ((22.1,0.0),(22.1,37.2),(22.33,37.2),(22.33,0.0),(22.1,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(22.215), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(22.215), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[6]']
        createRL(
            tech, net, 'm1',
            ((22.76,0.0),(22.76,37.2),(22.99,37.2),(22.99,0.0),(22.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(22.875), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(22.875), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[7]']
        createRL(
            tech, net, 'm1',
            ((23.91,0.0),(23.91,37.2),(24.14,37.2),(24.14,0.0),(23.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(24.025), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(24.025), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[7]']
        createRL(
            tech, net, 'm1',
            ((24.54,0.0),(24.54,37.2),(24.77,37.2),(24.77,0.0),(24.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(24.655), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(24.655), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[7]']
        createRL(
            tech, net, 'm1',
            ((25.45,0.0),(25.45,37.2),(25.68,37.2),(25.68,0.0),(25.45,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(25.565), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(25.565), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[7]']
        createRL(
            tech, net, 'm1',
            ((26.11,0.0),(26.11,37.2),(26.34,37.2),(26.34,0.0),(26.11,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(26.225), u(0.23), u(0.0), u(37.2),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(26.225), u(0.23), u(0.0), u(37.2),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,37.2),(26.8,37.2),(26.8,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl1[0]'].setDirection(Net.Direction.IN)
        nets['wl2[0]'].setDirection(Net.Direction.IN)
        nets['wl1[1]'].setDirection(Net.Direction.IN)
        nets['wl2[1]'].setDirection(Net.Direction.IN)
        nets['wl1[2]'].setDirection(Net.Direction.IN)
        nets['wl2[2]'].setDirection(Net.Direction.IN)
        nets['wl1[3]'].setDirection(Net.Direction.IN)
        nets['wl2[3]'].setDirection(Net.Direction.IN)
        nets['wl1[4]'].setDirection(Net.Direction.IN)
        nets['wl2[4]'].setDirection(Net.Direction.IN)
        nets['wl1[5]'].setDirection(Net.Direction.IN)
        nets['wl2[5]'].setDirection(Net.Direction.IN)
        nets['wl1[6]'].setDirection(Net.Direction.IN)
        nets['wl2[6]'].setDirection(Net.Direction.IN)
        nets['wl1[7]'].setDirection(Net.Direction.IN)
        nets['wl2[7]'].setDirection(Net.Direction.IN)
        nets['wl1[8]'].setDirection(Net.Direction.IN)
        nets['wl2[8]'].setDirection(Net.Direction.IN)
        nets['wl1[9]'].setDirection(Net.Direction.IN)
        nets['wl2[9]'].setDirection(Net.Direction.IN)
        nets['wl1[10]'].setDirection(Net.Direction.IN)
        nets['wl2[10]'].setDirection(Net.Direction.IN)
        nets['wl1[11]'].setDirection(Net.Direction.IN)
        nets['wl2[11]'].setDirection(Net.Direction.IN)
        nets['wl1[12]'].setDirection(Net.Direction.IN)
        nets['wl2[12]'].setDirection(Net.Direction.IN)
        nets['wl1[13]'].setDirection(Net.Direction.IN)
        nets['wl2[13]'].setDirection(Net.Direction.IN)
        nets['wl1[14]'].setDirection(Net.Direction.IN)
        nets['wl2[14]'].setDirection(Net.Direction.IN)
        nets['wl1[15]'].setDirection(Net.Direction.IN)
        nets['wl2[15]'].setDirection(Net.Direction.IN)
        nets['bl1[0]'].setDirection(Net.Direction.IN)
        nets['bl1_n[0]'].setDirection(Net.Direction.IN)
        nets['bl2[0]'].setDirection(Net.Direction.IN)
        nets['bl2_n[0]'].setDirection(Net.Direction.IN)
        nets['bl1[1]'].setDirection(Net.Direction.IN)
        nets['bl1_n[1]'].setDirection(Net.Direction.IN)
        nets['bl2[1]'].setDirection(Net.Direction.IN)
        nets['bl2_n[1]'].setDirection(Net.Direction.IN)
        nets['bl1[2]'].setDirection(Net.Direction.IN)
        nets['bl1_n[2]'].setDirection(Net.Direction.IN)
        nets['bl2[2]'].setDirection(Net.Direction.IN)
        nets['bl2_n[2]'].setDirection(Net.Direction.IN)
        nets['bl1[3]'].setDirection(Net.Direction.IN)
        nets['bl1_n[3]'].setDirection(Net.Direction.IN)
        nets['bl2[3]'].setDirection(Net.Direction.IN)
        nets['bl2_n[3]'].setDirection(Net.Direction.IN)
        nets['bl1[4]'].setDirection(Net.Direction.IN)
        nets['bl1_n[4]'].setDirection(Net.Direction.IN)
        nets['bl2[4]'].setDirection(Net.Direction.IN)
        nets['bl2_n[4]'].setDirection(Net.Direction.IN)
        nets['bl1[5]'].setDirection(Net.Direction.IN)
        nets['bl1_n[5]'].setDirection(Net.Direction.IN)
        nets['bl2[5]'].setDirection(Net.Direction.IN)
        nets['bl2_n[5]'].setDirection(Net.Direction.IN)
        nets['bl1[6]'].setDirection(Net.Direction.IN)
        nets['bl1_n[6]'].setDirection(Net.Direction.IN)
        nets['bl2[6]'].setDirection(Net.Direction.IN)
        nets['bl2_n[6]'].setDirection(Net.Direction.IN)
        nets['bl1[7]'].setDirection(Net.Direction.IN)
        nets['bl1_n[7]'].setDirection(Net.Direction.IN)
        nets['bl2[7]'].setDirection(Net.Direction.IN)
        nets['bl2_n[7]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TArray_8X8']
        except:
            subcell = af.getCell('DP8TArray_8X8', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TArray_8X8']
        except:
            subcell = af.getCell('DP8TArray_8X8', 0)
        trans = Transformation(
            u(0.0), u(18.6), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst1x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TArray_8X8']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(26.800000000000004), u(18.6),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl1[0]': Net.create(cell, 'bl1[0]'),
            'bl1[1]': Net.create(cell, 'bl1[1]'),
            'bl1[2]': Net.create(cell, 'bl1[2]'),
            'bl1[3]': Net.create(cell, 'bl1[3]'),
            'bl1[4]': Net.create(cell, 'bl1[4]'),
            'bl1[5]': Net.create(cell, 'bl1[5]'),
            'bl1[6]': Net.create(cell, 'bl1[6]'),
            'bl1[7]': Net.create(cell, 'bl1[7]'),
            'bl1_n[0]': Net.create(cell, 'bl1_n[0]'),
            'bl1_n[1]': Net.create(cell, 'bl1_n[1]'),
            'bl1_n[2]': Net.create(cell, 'bl1_n[2]'),
            'bl1_n[3]': Net.create(cell, 'bl1_n[3]'),
            'bl1_n[4]': Net.create(cell, 'bl1_n[4]'),
            'bl1_n[5]': Net.create(cell, 'bl1_n[5]'),
            'bl1_n[6]': Net.create(cell, 'bl1_n[6]'),
            'bl1_n[7]': Net.create(cell, 'bl1_n[7]'),
            'bl2[0]': Net.create(cell, 'bl2[0]'),
            'bl2[1]': Net.create(cell, 'bl2[1]'),
            'bl2[2]': Net.create(cell, 'bl2[2]'),
            'bl2[3]': Net.create(cell, 'bl2[3]'),
            'bl2[4]': Net.create(cell, 'bl2[4]'),
            'bl2[5]': Net.create(cell, 'bl2[5]'),
            'bl2[6]': Net.create(cell, 'bl2[6]'),
            'bl2[7]': Net.create(cell, 'bl2[7]'),
            'bl2_n[0]': Net.create(cell, 'bl2_n[0]'),
            'bl2_n[1]': Net.create(cell, 'bl2_n[1]'),
            'bl2_n[2]': Net.create(cell, 'bl2_n[2]'),
            'bl2_n[3]': Net.create(cell, 'bl2_n[3]'),
            'bl2_n[4]': Net.create(cell, 'bl2_n[4]'),
            'bl2_n[5]': Net.create(cell, 'bl2_n[5]'),
            'bl2_n[6]': Net.create(cell, 'bl2_n[6]'),
            'bl2_n[7]': Net.create(cell, 'bl2_n[7]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl1[0]': Net.create(cell, 'wl1[0]'),
            'wl1[1]': Net.create(cell, 'wl1[1]'),
            'wl1[2]': Net.create(cell, 'wl1[2]'),
            'wl1[3]': Net.create(cell, 'wl1[3]'),
            'wl1[4]': Net.create(cell, 'wl1[4]'),
            'wl1[5]': Net.create(cell, 'wl1[5]'),
            'wl1[6]': Net.create(cell, 'wl1[6]'),
            'wl1[7]': Net.create(cell, 'wl1[7]'),
            'wl2[0]': Net.create(cell, 'wl2[0]'),
            'wl2[1]': Net.create(cell, 'wl2[1]'),
            'wl2[2]': Net.create(cell, 'wl2[2]'),
            'wl2[3]': Net.create(cell, 'wl2[3]'),
            'wl2[4]': Net.create(cell, 'wl2[4]'),
            'wl2[5]': Net.create(cell, 'wl2[5]'),
            'wl2[6]': Net.create(cell, 'wl2[6]'),
            'wl2[7]': Net.create(cell, 'wl2[7]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,12.94),(0.0,13.52),(26.8,13.52),(26.8,12.94),(0.0,12.94)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,8.29),(0.0,8.87),(26.8,8.87),(26.8,8.29),(0.0,8.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,3.64),(0.0,4.22),(26.8,4.22),(26.8,3.64),(0.0,3.64)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,17.59),(0.0,18.17),(26.8,18.17),(26.8,17.59),(0.0,17.59)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.23), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.23), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.58), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.58), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.93), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.93), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(17.88), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(17.88), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,-0.29),(0.0,0.29),(26.8,0.29),(26.8,-0.29),(0.0,-0.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,9.01),(0.0,9.59),(26.8,9.59),(26.8,9.01),(0.0,9.01)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,13.66),(0.0,14.24),(26.8,14.24),(26.8,13.66),(0.0,13.66)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,4.36),(0.0,4.94),(26.8,4.94),(26.8,4.36),(0.0,4.36)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,18.31),(0.0,18.89),(26.8,18.89),(26.8,18.31),(0.0,18.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.3), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.3), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.95), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.95), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(4.65), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(4.65), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.6), u(0.58), u(0.0), u(26.799999999999997),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.6), u(0.58), u(0.0), u(26.799999999999997),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.88),(0.0,2.14),(26.8,2.14),(26.8,1.88),(0.0,1.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.01), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.01), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.38),(0.0,1.64),(26.8,1.64),(26.8,1.38),(0.0,1.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.51), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.51), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,2.51),(0.0,2.77),(26.8,2.77),(26.8,2.51),(0.0,2.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.64), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.64), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.01),(0.0,3.27),(26.8,3.27),(26.8,3.01),(0.0,3.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.14), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.14), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.53),(0.0,6.79),(26.8,6.79),(26.8,6.53),(0.0,6.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.66), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.66), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.03),(0.0,6.29),(26.8,6.29),(26.8,6.03),(0.0,6.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.16), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.16), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.16),(0.0,7.42),(26.8,7.42),(26.8,7.16),(0.0,7.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.29), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.29), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.66),(0.0,7.92),(26.8,7.92),(26.8,7.66),(0.0,7.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.79), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.79), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,11.18),(0.0,11.44),(26.8,11.44),(26.8,11.18),(0.0,11.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.31), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.31), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,10.68),(0.0,10.94),(26.8,10.94),(26.8,10.68),(0.0,10.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.81), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.81), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,11.81),(0.0,12.07),(26.8,12.07),(26.8,11.81),(0.0,11.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.94), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.94), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,12.31),(0.0,12.57),(26.8,12.57),(26.8,12.31),(0.0,12.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.44), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.44), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,15.83),(0.0,16.09),(26.8,16.09),(26.8,15.83),(0.0,15.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.96), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.96), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,15.33),(0.0,15.59),(26.8,15.59),(26.8,15.33),(0.0,15.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.46), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.46), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,16.46),(0.0,16.72),(26.8,16.72),(26.8,16.46),(0.0,16.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.59), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.59), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,16.96),(0.0,17.22),(26.8,17.22),(26.8,16.96),(0.0,16.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(17.09), u(0.26), u(0.0), u(26.800000000000004),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(17.09), u(0.26), u(0.0), u(26.800000000000004),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[0]']
        createRL(
            tech, net, 'm1',
            ((0.46,0.0),(0.46,18.6),(0.69,18.6),(0.69,0.0),(0.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.575), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.575), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.09,0.0),(1.09,18.6),(1.32,18.6),(1.32,0.0),(1.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.205), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.205), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[0]']
        createRL(
            tech, net, 'm1',
            ((2.0,0.0),(2.0,18.6),(2.23,18.6),(2.23,0.0),(2.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.115), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.115), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[0]']
        createRL(
            tech, net, 'm1',
            ((2.66,0.0),(2.66,18.6),(2.89,18.6),(2.89,0.0),(2.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.775), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.775), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[1]']
        createRL(
            tech, net, 'm1',
            ((3.81,0.0),(3.81,18.6),(4.04,18.6),(4.04,0.0),(3.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.925), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.925), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[1]']
        createRL(
            tech, net, 'm1',
            ((4.44,0.0),(4.44,18.6),(4.67,18.6),(4.67,0.0),(4.44,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.555), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.555), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[1]']
        createRL(
            tech, net, 'm1',
            ((5.35,0.0),(5.35,18.6),(5.58,18.6),(5.58,0.0),(5.35,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.465), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.465), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[1]']
        createRL(
            tech, net, 'm1',
            ((6.01,0.0),(6.01,18.6),(6.24,18.6),(6.24,0.0),(6.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.125), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.125), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[2]']
        createRL(
            tech, net, 'm1',
            ((7.16,0.0),(7.16,18.6),(7.39,18.6),(7.39,0.0),(7.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.275), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.275), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[2]']
        createRL(
            tech, net, 'm1',
            ((7.79,0.0),(7.79,18.6),(8.02,18.6),(8.02,0.0),(7.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.905), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.905), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[2]']
        createRL(
            tech, net, 'm1',
            ((8.7,0.0),(8.7,18.6),(8.93,18.6),(8.93,0.0),(8.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(8.815), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(8.815), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[2]']
        createRL(
            tech, net, 'm1',
            ((9.36,0.0),(9.36,18.6),(9.59,18.6),(9.59,0.0),(9.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(9.475), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(9.475), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[3]']
        createRL(
            tech, net, 'm1',
            ((10.51,0.0),(10.51,18.6),(10.74,18.6),(10.74,0.0),(10.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(10.625), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(10.625), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[3]']
        createRL(
            tech, net, 'm1',
            ((11.14,0.0),(11.14,18.6),(11.37,18.6),(11.37,0.0),(11.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(11.255), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(11.255), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[3]']
        createRL(
            tech, net, 'm1',
            ((12.05,0.0),(12.05,18.6),(12.28,18.6),(12.28,0.0),(12.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.165), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.165), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[3]']
        createRL(
            tech, net, 'm1',
            ((12.71,0.0),(12.71,18.6),(12.94,18.6),(12.94,0.0),(12.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.825), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.825), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[4]']
        createRL(
            tech, net, 'm1',
            ((13.86,0.0),(13.86,18.6),(14.09,18.6),(14.09,0.0),(13.86,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(13.975), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(13.975), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[4]']
        createRL(
            tech, net, 'm1',
            ((14.49,0.0),(14.49,18.6),(14.72,18.6),(14.72,0.0),(14.49,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(14.605), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(14.605), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[4]']
        createRL(
            tech, net, 'm1',
            ((15.4,0.0),(15.4,18.6),(15.63,18.6),(15.63,0.0),(15.4,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(15.515), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(15.515), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[4]']
        createRL(
            tech, net, 'm1',
            ((16.06,0.0),(16.06,18.6),(16.29,18.6),(16.29,0.0),(16.06,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(16.175), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(16.175), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[5]']
        createRL(
            tech, net, 'm1',
            ((17.21,0.0),(17.21,18.6),(17.44,18.6),(17.44,0.0),(17.21,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(17.325), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(17.325), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[5]']
        createRL(
            tech, net, 'm1',
            ((17.84,0.0),(17.84,18.6),(18.07,18.6),(18.07,0.0),(17.84,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(17.955), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(17.955), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[5]']
        createRL(
            tech, net, 'm1',
            ((18.75,0.0),(18.75,18.6),(18.98,18.6),(18.98,0.0),(18.75,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(18.865), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(18.865), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[5]']
        createRL(
            tech, net, 'm1',
            ((19.41,0.0),(19.41,18.6),(19.64,18.6),(19.64,0.0),(19.41,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(19.525), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(19.525), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[6]']
        createRL(
            tech, net, 'm1',
            ((20.56,0.0),(20.56,18.6),(20.79,18.6),(20.79,0.0),(20.56,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(20.675), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(20.675), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[6]']
        createRL(
            tech, net, 'm1',
            ((21.19,0.0),(21.19,18.6),(21.42,18.6),(21.42,0.0),(21.19,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(21.305), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(21.305), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[6]']
        createRL(
            tech, net, 'm1',
            ((22.1,0.0),(22.1,18.6),(22.33,18.6),(22.33,0.0),(22.1,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(22.215), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(22.215), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[6]']
        createRL(
            tech, net, 'm1',
            ((22.76,0.0),(22.76,18.6),(22.99,18.6),(22.99,0.0),(22.76,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(22.875), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(22.875), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[7]']
        createRL(
            tech, net, 'm1',
            ((23.91,0.0),(23.91,18.6),(24.14,18.6),(24.14,0.0),(23.91,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(24.025), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(24.025), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[7]']
        createRL(
            tech, net, 'm1',
            ((24.54,0.0),(24.54,18.6),(24.77,18.6),(24.77,0.0),(24.54,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(24.655), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(24.655), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[7]']
        createRL(
            tech, net, 'm1',
            ((25.45,0.0),(25.45,18.6),(25.68,18.6),(25.68,0.0),(25.45,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(25.565), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(25.565), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[7]']
        createRL(
            tech, net, 'm1',
            ((26.11,0.0),(26.11,18.6),(26.34,18.6),(26.34,0.0),(26.11,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(26.225), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(26.225), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,18.6),(26.8,18.6),(26.8,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl1[0]'].setDirection(Net.Direction.IN)
        nets['wl2[0]'].setDirection(Net.Direction.IN)
        nets['wl1[1]'].setDirection(Net.Direction.IN)
        nets['wl2[1]'].setDirection(Net.Direction.IN)
        nets['wl1[2]'].setDirection(Net.Direction.IN)
        nets['wl2[2]'].setDirection(Net.Direction.IN)
        nets['wl1[3]'].setDirection(Net.Direction.IN)
        nets['wl2[3]'].setDirection(Net.Direction.IN)
        nets['wl1[4]'].setDirection(Net.Direction.IN)
        nets['wl2[4]'].setDirection(Net.Direction.IN)
        nets['wl1[5]'].setDirection(Net.Direction.IN)
        nets['wl2[5]'].setDirection(Net.Direction.IN)
        nets['wl1[6]'].setDirection(Net.Direction.IN)
        nets['wl2[6]'].setDirection(Net.Direction.IN)
        nets['wl1[7]'].setDirection(Net.Direction.IN)
        nets['wl2[7]'].setDirection(Net.Direction.IN)
        nets['bl1[0]'].setDirection(Net.Direction.IN)
        nets['bl1_n[0]'].setDirection(Net.Direction.IN)
        nets['bl2[0]'].setDirection(Net.Direction.IN)
        nets['bl2_n[0]'].setDirection(Net.Direction.IN)
        nets['bl1[1]'].setDirection(Net.Direction.IN)
        nets['bl1_n[1]'].setDirection(Net.Direction.IN)
        nets['bl2[1]'].setDirection(Net.Direction.IN)
        nets['bl2_n[1]'].setDirection(Net.Direction.IN)
        nets['bl1[2]'].setDirection(Net.Direction.IN)
        nets['bl1_n[2]'].setDirection(Net.Direction.IN)
        nets['bl2[2]'].setDirection(Net.Direction.IN)
        nets['bl2_n[2]'].setDirection(Net.Direction.IN)
        nets['bl1[3]'].setDirection(Net.Direction.IN)
        nets['bl1_n[3]'].setDirection(Net.Direction.IN)
        nets['bl2[3]'].setDirection(Net.Direction.IN)
        nets['bl2_n[3]'].setDirection(Net.Direction.IN)
        nets['bl1[4]'].setDirection(Net.Direction.IN)
        nets['bl1_n[4]'].setDirection(Net.Direction.IN)
        nets['bl2[4]'].setDirection(Net.Direction.IN)
        nets['bl2_n[4]'].setDirection(Net.Direction.IN)
        nets['bl1[5]'].setDirection(Net.Direction.IN)
        nets['bl1_n[5]'].setDirection(Net.Direction.IN)
        nets['bl2[5]'].setDirection(Net.Direction.IN)
        nets['bl2_n[5]'].setDirection(Net.Direction.IN)
        nets['bl1[6]'].setDirection(Net.Direction.IN)
        nets['bl1_n[6]'].setDirection(Net.Direction.IN)
        nets['bl2[6]'].setDirection(Net.Direction.IN)
        nets['bl2_n[6]'].setDirection(Net.Direction.IN)
        nets['bl1[7]'].setDirection(Net.Direction.IN)
        nets['bl1_n[7]'].setDirection(Net.Direction.IN)
        nets['bl2[7]'].setDirection(Net.Direction.IN)
        nets['bl2_n[7]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TArray_8X4']
        except:
            subcell = af.getCell('DP8TArray_8X4', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TArray_8X4']
        except:
            subcell = af.getCell('DP8TArray_8X4', 0)
        trans = Transformation(
            u(13.400000000000002), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x1', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TArray_8X4']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(13.400000000000002), u(18.6),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl1[0]': Net.create(cell, 'bl1[0]'),
            'bl1[1]': Net.create(cell, 'bl1[1]'),
            'bl1[2]': Net.create(cell, 'bl1[2]'),
            'bl1[3]': Net.create(cell, 'bl1[3]'),
            'bl1_n[0]': Net.create(cell, 'bl1_n[0]'),
            'bl1_n[1]': Net.create(cell, 'bl1_n[1]'),
            'bl1_n[2]': Net.create(cell, 'bl1_n[2]'),
            'bl1_n[3]': Net.create(cell, 'bl1_n[3]'),
            'bl2[0]': Net.create(cell, 'bl2[0]'),
            'bl2[1]': Net.create(cell, 'bl2[1]'),
            'bl2[2]': Net.create(cell, 'bl2[2]'),
            'bl2[3]': Net.create(cell, 'bl2[3]'),
            'bl2_n[0]': Net.create(cell, 'bl2_n[0]'),
            'bl2_n[1]': Net.create(cell, 'bl2_n[1]'),
            'bl2_n[2]': Net.create(cell, 'bl2_n[2]'),
            'bl2_n[3]': Net.create(cell, 'bl2_n[3]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl1[0]': Net.create(cell, 'wl1[0]'),
            'wl1[1]': Net.create(cell, 'wl1[1]'),
            'wl1[2]': Net.create(cell, 'wl1[2]'),
            'wl1[3]': Net.create(cell, 'wl1[3]'),
            'wl1[4]': Net.create(cell, 'wl1[4]'),
            'wl1[5]': Net.create(cell, 'wl1[5]'),
            'wl1[6]': Net.create(cell, 'wl1[6]'),
            'wl1[7]': Net.create(cell, 'wl1[7]'),
            'wl2[0]': Net.create(cell, 'wl2[0]'),
            'wl2[1]': Net.create(cell, 'wl2[1]'),
            'wl2[2]': Net.create(cell, 'wl2[2]'),
            'wl2[3]': Net.create(cell, 'wl2[3]'),
            'wl2[4]': Net.create(cell, 'wl2[4]'),
            'wl2[5]': Net.create(cell, 'wl2[5]'),
            'wl2[6]': Net.create(cell, 'wl2[6]'),
            'wl2[7]': Net.create(cell, 'wl2[7]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,3.64),(0.0,4.22),(13.4,4.22),(13.4,3.64),(0.0,3.64)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,8.29),(0.0,8.87),(13.4,8.87),(13.4,8.29),(0.0,8.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,12.94),(0.0,13.52),(13.4,13.52),(13.4,12.94),(0.0,12.94)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,17.59),(0.0,18.17),(13.4,18.17),(13.4,17.59),(0.0,17.59)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.93), u(0.58), u(0.0), u(13.399999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.93), u(0.58), u(0.0), u(13.399999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.58), u(0.58), u(0.0), u(13.399999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.58), u(0.58), u(0.0), u(13.399999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.23), u(0.58), u(0.0), u(13.399999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.23), u(0.58), u(0.0), u(13.399999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(17.88), u(0.58), u(0.0), u(13.399999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(17.88), u(0.58), u(0.0), u(13.399999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,-0.29),(0.0,0.29),(13.4,0.29),(13.4,-0.29),(0.0,-0.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,13.66),(0.0,14.24),(13.4,14.24),(13.4,13.66),(0.0,13.66)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,18.31),(0.0,18.89),(13.4,18.89),(13.4,18.31),(0.0,18.31)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,4.36),(0.0,4.94),(13.4,4.94),(13.4,4.36),(0.0,4.36)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,9.01),(0.0,9.59),(13.4,9.59),(13.4,9.01),(0.0,9.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.58), u(0.0), u(13.399999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.58), u(0.0), u(13.399999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(13.95), u(0.58), u(0.0), u(13.399999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(13.95), u(0.58), u(0.0), u(13.399999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(18.6), u(0.58), u(0.0), u(13.399999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(18.6), u(0.58), u(0.0), u(13.399999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(4.65), u(0.58), u(0.0), u(13.399999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(4.65), u(0.58), u(0.0), u(13.399999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.3), u(0.58), u(0.0), u(13.399999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.3), u(0.58), u(0.0), u(13.399999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.88),(0.0,2.14),(13.4,2.14),(13.4,1.88),(0.0,1.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.01), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.01), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.38),(0.0,1.64),(13.4,1.64),(13.4,1.38),(0.0,1.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.51), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.51), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,2.51),(0.0,2.77),(13.4,2.77),(13.4,2.51),(0.0,2.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.64), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.64), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.01),(0.0,3.27),(13.4,3.27),(13.4,3.01),(0.0,3.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.14), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.14), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.53),(0.0,6.79),(13.4,6.79),(13.4,6.53),(0.0,6.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.66), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.66), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.03),(0.0,6.29),(13.4,6.29),(13.4,6.03),(0.0,6.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.16), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.16), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.16),(0.0,7.42),(13.4,7.42),(13.4,7.16),(0.0,7.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.29), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.29), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.66),(0.0,7.92),(13.4,7.92),(13.4,7.66),(0.0,7.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.79), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.79), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,11.18),(0.0,11.44),(13.4,11.44),(13.4,11.18),(0.0,11.18)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.31), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.31), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[4]']
        createRL(
            tech, net, 'm2',
            ((0.0,10.68),(0.0,10.94),(13.4,10.94),(13.4,10.68),(0.0,10.68)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(10.81), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(10.81), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,11.81),(0.0,12.07),(13.4,12.07),(13.4,11.81),(0.0,11.81)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(11.94), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(11.94), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[5]']
        createRL(
            tech, net, 'm2',
            ((0.0,12.31),(0.0,12.57),(13.4,12.57),(13.4,12.31),(0.0,12.31)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(12.44), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(12.44), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,15.83),(0.0,16.09),(13.4,16.09),(13.4,15.83),(0.0,15.83)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.96), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.96), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[6]']
        createRL(
            tech, net, 'm2',
            ((0.0,15.33),(0.0,15.59),(13.4,15.59),(13.4,15.33),(0.0,15.33)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(15.46), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(15.46), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,16.46),(0.0,16.72),(13.4,16.72),(13.4,16.46),(0.0,16.46)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(16.59), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(16.59), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[7]']
        createRL(
            tech, net, 'm2',
            ((0.0,16.96),(0.0,17.22),(13.4,17.22),(13.4,16.96),(0.0,16.96)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(17.09), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(17.09), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[0]']
        createRL(
            tech, net, 'm1',
            ((0.46,0.0),(0.46,18.6),(0.69,18.6),(0.69,0.0),(0.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.575), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.575), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.09,0.0),(1.09,18.6),(1.32,18.6),(1.32,0.0),(1.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.205), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.205), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[0]']
        createRL(
            tech, net, 'm1',
            ((2.0,0.0),(2.0,18.6),(2.23,18.6),(2.23,0.0),(2.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.115), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.115), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[0]']
        createRL(
            tech, net, 'm1',
            ((2.66,0.0),(2.66,18.6),(2.89,18.6),(2.89,0.0),(2.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.775), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.775), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[1]']
        createRL(
            tech, net, 'm1',
            ((3.81,0.0),(3.81,18.6),(4.04,18.6),(4.04,0.0),(3.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.925), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.925), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[1]']
        createRL(
            tech, net, 'm1',
            ((4.44,0.0),(4.44,18.6),(4.67,18.6),(4.67,0.0),(4.44,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.555), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.555), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[1]']
        createRL(
            tech, net, 'm1',
            ((5.35,0.0),(5.35,18.6),(5.58,18.6),(5.58,0.0),(5.35,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.465), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.465), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[1]']
        createRL(
            tech, net, 'm1',
            ((6.01,0.0),(6.01,18.6),(6.24,18.6),(6.24,0.0),(6.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.125), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.125), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[2]']
        createRL(
            tech, net, 'm1',
            ((7.16,0.0),(7.16,18.6),(7.39,18.6),(7.39,0.0),(7.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.275), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.275), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[2]']
        createRL(
            tech, net, 'm1',
            ((7.79,0.0),(7.79,18.6),(8.02,18.6),(8.02,0.0),(7.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.905), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.905), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[2]']
        createRL(
            tech, net, 'm1',
            ((8.7,0.0),(8.7,18.6),(8.93,18.6),(8.93,0.0),(8.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(8.815), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(8.815), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[2]']
        createRL(
            tech, net, 'm1',
            ((9.36,0.0),(9.36,18.6),(9.59,18.6),(9.59,0.0),(9.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(9.475), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(9.475), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[3]']
        createRL(
            tech, net, 'm1',
            ((10.51,0.0),(10.51,18.6),(10.74,18.6),(10.74,0.0),(10.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(10.625), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(10.625), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[3]']
        createRL(
            tech, net, 'm1',
            ((11.14,0.0),(11.14,18.6),(11.37,18.6),(11.37,0.0),(11.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(11.255), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(11.255), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[3]']
        createRL(
            tech, net, 'm1',
            ((12.05,0.0),(12.05,18.6),(12.28,18.6),(12.28,0.0),(12.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.165), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.165), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[3]']
        createRL(
            tech, net, 'm1',
            ((12.71,0.0),(12.71,18.6),(12.94,18.6),(12.94,0.0),(12.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.825), u(0.23), u(0.0), u(18.6),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.825), u(0.23), u(0.0), u(18.6),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,18.6),(13.4,18.6),(13.4,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl1[0]'].setDirection(Net.Direction.IN)
        nets['wl2[0]'].setDirection(Net.Direction.IN)
        nets['wl1[1]'].setDirection(Net.Direction.IN)
        nets['wl2[1]'].setDirection(Net.Direction.IN)
        nets['wl1[2]'].setDirection(Net.Direction.IN)
        nets['wl2[2]'].setDirection(Net.Direction.IN)
        nets['wl1[3]'].setDirection(Net.Direction.IN)
        nets['wl2[3]'].setDirection(Net.Direction.IN)
        nets['wl1[4]'].setDirection(Net.Direction.IN)
        nets['wl2[4]'].setDirection(Net.Direction.IN)
        nets['wl1[5]'].setDirection(Net.Direction.IN)
        nets['wl2[5]'].setDirection(Net.Direction.IN)
        nets['wl1[6]'].setDirection(Net.Direction.IN)
        nets['wl2[6]'].setDirection(Net.Direction.IN)
        nets['wl1[7]'].setDirection(Net.Direction.IN)
        nets['wl2[7]'].setDirection(Net.Direction.IN)
        nets['bl1[0]'].setDirection(Net.Direction.IN)
        nets['bl1_n[0]'].setDirection(Net.Direction.IN)
        nets['bl2[0]'].setDirection(Net.Direction.IN)
        nets['bl2_n[0]'].setDirection(Net.Direction.IN)
        nets['bl1[1]'].setDirection(Net.Direction.IN)
        nets['bl1_n[1]'].setDirection(Net.Direction.IN)
        nets['bl2[1]'].setDirection(Net.Direction.IN)
        nets['bl2_n[1]'].setDirection(Net.Direction.IN)
        nets['bl1[2]'].setDirection(Net.Direction.IN)
        nets['bl1_n[2]'].setDirection(Net.Direction.IN)
        nets['bl2[2]'].setDirection(Net.Direction.IN)
        nets['bl2_n[2]'].setDirection(Net.Direction.IN)
        nets['bl1[3]'].setDirection(Net.Direction.IN)
        nets['bl1_n[3]'].setDirection(Net.Direction.IN)
        nets['bl2[3]'].setDirection(Net.Direction.IN)
        nets['bl2_n[3]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TArray_4X4']
        except:
            subcell = af.getCell('DP8TArray_4X4', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TArray_4X4']
        except:
            subcell = af.getCell('DP8TArray_4X4', 0)
        trans = Transformation(
            u(0.0), u(9.3), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst1x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TArray_4X4']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(13.400000000000002), u(9.3),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl1[0]': Net.create(cell, 'bl1[0]'),
            'bl1[1]': Net.create(cell, 'bl1[1]'),
            'bl1[2]': Net.create(cell, 'bl1[2]'),
            'bl1[3]': Net.create(cell, 'bl1[3]'),
            'bl1_n[0]': Net.create(cell, 'bl1_n[0]'),
            'bl1_n[1]': Net.create(cell, 'bl1_n[1]'),
            'bl1_n[2]': Net.create(cell, 'bl1_n[2]'),
            'bl1_n[3]': Net.create(cell, 'bl1_n[3]'),
            'bl2[0]': Net.create(cell, 'bl2[0]'),
            'bl2[1]': Net.create(cell, 'bl2[1]'),
            'bl2[2]': Net.create(cell, 'bl2[2]'),
            'bl2[3]': Net.create(cell, 'bl2[3]'),
            'bl2_n[0]': Net.create(cell, 'bl2_n[0]'),
            'bl2_n[1]': Net.create(cell, 'bl2_n[1]'),
            'bl2_n[2]': Net.create(cell, 'bl2_n[2]'),
            'bl2_n[3]': Net.create(cell, 'bl2_n[3]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl1[0]': Net.create(cell, 'wl1[0]'),
            'wl1[1]': Net.create(cell, 'wl1[1]'),
            'wl1[2]': Net.create(cell, 'wl1[2]'),
            'wl1[3]': Net.create(cell, 'wl1[3]'),
            'wl2[0]': Net.create(cell, 'wl2[0]'),
            'wl2[1]': Net.create(cell, 'wl2[1]'),
            'wl2[2]': Net.create(cell, 'wl2[2]'),
            'wl2[3]': Net.create(cell, 'wl2[3]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,3.64),(0.0,4.22),(13.4,4.22),(13.4,3.64),(0.0,3.64)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,8.29),(0.0,8.87),(13.4,8.87),(13.4,8.29),(0.0,8.29)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.93), u(0.58), u(0.0), u(13.399999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.93), u(0.58), u(0.0), u(13.399999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.58), u(0.58), u(0.0), u(13.399999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.58), u(0.58), u(0.0), u(13.399999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,-0.29),(0.0,0.29),(13.4,0.29),(13.4,-0.29),(0.0,-0.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,4.36),(0.0,4.94),(13.4,4.94),(13.4,4.36),(0.0,4.36)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,9.01),(0.0,9.59),(13.4,9.59),(13.4,9.01),(0.0,9.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.58), u(0.0), u(13.399999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.58), u(0.0), u(13.399999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(4.65), u(0.58), u(0.0), u(13.399999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(4.65), u(0.58), u(0.0), u(13.399999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.3), u(0.58), u(0.0), u(13.399999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.3), u(0.58), u(0.0), u(13.399999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.88),(0.0,2.14),(13.4,2.14),(13.4,1.88),(0.0,1.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.01), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.01), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.38),(0.0,1.64),(13.4,1.64),(13.4,1.38),(0.0,1.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.51), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.51), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,2.51),(0.0,2.77),(13.4,2.77),(13.4,2.51),(0.0,2.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.64), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.64), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.01),(0.0,3.27),(13.4,3.27),(13.4,3.01),(0.0,3.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.14), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.14), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.53),(0.0,6.79),(13.4,6.79),(13.4,6.53),(0.0,6.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.66), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.66), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.03),(0.0,6.29),(13.4,6.29),(13.4,6.03),(0.0,6.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.16), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.16), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.16),(0.0,7.42),(13.4,7.42),(13.4,7.16),(0.0,7.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.29), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.29), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.66),(0.0,7.92),(13.4,7.92),(13.4,7.66),(0.0,7.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.79), u(0.26), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.79), u(0.26), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[0]']
        createRL(
            tech, net, 'm1',
            ((0.46,0.0),(0.46,9.3),(0.69,9.3),(0.69,0.0),(0.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.575), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.575), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.09,0.0),(1.09,9.3),(1.32,9.3),(1.32,0.0),(1.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.205), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.205), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[0]']
        createRL(
            tech, net, 'm1',
            ((2.0,0.0),(2.0,9.3),(2.23,9.3),(2.23,0.0),(2.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.115), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.115), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[0]']
        createRL(
            tech, net, 'm1',
            ((2.66,0.0),(2.66,9.3),(2.89,9.3),(2.89,0.0),(2.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.775), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.775), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[1]']
        createRL(
            tech, net, 'm1',
            ((3.81,0.0),(3.81,9.3),(4.04,9.3),(4.04,0.0),(3.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.925), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.925), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[1]']
        createRL(
            tech, net, 'm1',
            ((4.44,0.0),(4.44,9.3),(4.67,9.3),(4.67,0.0),(4.44,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.555), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.555), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[1]']
        createRL(
            tech, net, 'm1',
            ((5.35,0.0),(5.35,9.3),(5.58,9.3),(5.58,0.0),(5.35,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.465), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.465), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[1]']
        createRL(
            tech, net, 'm1',
            ((6.01,0.0),(6.01,9.3),(6.24,9.3),(6.24,0.0),(6.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.125), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.125), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[2]']
        createRL(
            tech, net, 'm1',
            ((7.16,0.0),(7.16,9.3),(7.39,9.3),(7.39,0.0),(7.16,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.275), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.275), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[2]']
        createRL(
            tech, net, 'm1',
            ((7.79,0.0),(7.79,9.3),(8.02,9.3),(8.02,0.0),(7.79,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(7.905), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(7.905), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[2]']
        createRL(
            tech, net, 'm1',
            ((8.7,0.0),(8.7,9.3),(8.93,9.3),(8.93,0.0),(8.7,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(8.815), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(8.815), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[2]']
        createRL(
            tech, net, 'm1',
            ((9.36,0.0),(9.36,9.3),(9.59,9.3),(9.59,0.0),(9.36,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(9.475), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(9.475), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[3]']
        createRL(
            tech, net, 'm1',
            ((10.51,0.0),(10.51,9.3),(10.74,9.3),(10.74,0.0),(10.51,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(10.625), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(10.625), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[3]']
        createRL(
            tech, net, 'm1',
            ((11.14,0.0),(11.14,9.3),(11.37,9.3),(11.37,0.0),(11.14,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(11.255), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(11.255), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[3]']
        createRL(
            tech, net, 'm1',
            ((12.05,0.0),(12.05,9.3),(12.28,9.3),(12.28,0.0),(12.05,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.165), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.165), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[3]']
        createRL(
            tech, net, 'm1',
            ((12.71,0.0),(12.71,9.3),(12.94,9.3),(12.94,0.0),(12.71,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(12.825), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(12.825), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,9.3),(13.4,9.3),(13.4,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl1[0]'].setDirection(Net.Direction.IN)
        nets['wl2[0]'].setDirection(Net.Direction.IN)
        nets['wl1[1]'].setDirection(Net.Direction.IN)
        nets['wl2[1]'].setDirection(Net.Direction.IN)
        nets['wl1[2]'].setDirection(Net.Direction.IN)
        nets['wl2[2]'].setDirection(Net.Direction.IN)
        nets['wl1[3]'].setDirection(Net.Direction.IN)
        nets['wl2[3]'].setDirection(Net.Direction.IN)
        nets['bl1[0]'].setDirection(Net.Direction.IN)
        nets['bl1_n[0]'].setDirection(Net.Direction.IN)
        nets['bl2[0]'].setDirection(Net.Direction.IN)
        nets['bl2_n[0]'].setDirection(Net.Direction.IN)
        nets['bl1[1]'].setDirection(Net.Direction.IN)
        nets['bl1_n[1]'].setDirection(Net.Direction.IN)
        nets['bl2[1]'].setDirection(Net.Direction.IN)
        nets['bl2_n[1]'].setDirection(Net.Direction.IN)
        nets['bl1[2]'].setDirection(Net.Direction.IN)
        nets['bl1_n[2]'].setDirection(Net.Direction.IN)
        nets['bl2[2]'].setDirection(Net.Direction.IN)
        nets['bl2_n[2]'].setDirection(Net.Direction.IN)
        nets['bl1[3]'].setDirection(Net.Direction.IN)
        nets['bl1_n[3]'].setDirection(Net.Direction.IN)
        nets['bl2[3]'].setDirection(Net.Direction.IN)
        nets['bl2_n[3]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TArray_4X2']
        except:
            subcell = af.getCell('DP8TArray_4X2', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TArray_4X2']
        except:
            subcell = af.getCell('DP8TArray_4X2', 0)
        trans = Transformation(
            u(6.700000000000001), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x1', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TArray_4X2']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(6.700000000000001), u(9.3),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl1[0]': Net.create(cell, 'bl1[0]'),
            'bl1[1]': Net.create(cell, 'bl1[1]'),
            'bl1_n[0]': Net.create(cell, 'bl1_n[0]'),
            'bl1_n[1]': Net.create(cell, 'bl1_n[1]'),
            'bl2[0]': Net.create(cell, 'bl2[0]'),
            'bl2[1]': Net.create(cell, 'bl2[1]'),
            'bl2_n[0]': Net.create(cell, 'bl2_n[0]'),
            'bl2_n[1]': Net.create(cell, 'bl2_n[1]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl1[0]': Net.create(cell, 'wl1[0]'),
            'wl1[1]': Net.create(cell, 'wl1[1]'),
            'wl1[2]': Net.create(cell, 'wl1[2]'),
            'wl1[3]': Net.create(cell, 'wl1[3]'),
            'wl2[0]': Net.create(cell, 'wl2[0]'),
            'wl2[1]': Net.create(cell, 'wl2[1]'),
            'wl2[2]': Net.create(cell, 'wl2[2]'),
            'wl2[3]': Net.create(cell, 'wl2[3]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,8.29),(0.0,8.87),(6.7,8.87),(6.7,8.29),(0.0,8.29)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,3.64),(0.0,4.22),(6.7,4.22),(6.7,3.64),(0.0,3.64)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(8.58), u(0.58), u(0.0), u(6.699999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(8.58), u(0.58), u(0.0), u(6.699999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.93), u(0.58), u(0.0), u(6.699999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.93), u(0.58), u(0.0), u(6.699999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,4.36),(0.0,4.94),(6.7,4.94),(6.7,4.36),(0.0,4.36)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,9.01),(0.0,9.59),(6.7,9.59),(6.7,9.01),(0.0,9.01)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.29),(0.0,0.29),(6.7,0.29),(6.7,-0.29),(0.0,-0.29)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(4.65), u(0.58), u(0.0), u(6.699999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(4.65), u(0.58), u(0.0), u(6.699999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(9.3), u(0.58), u(0.0), u(6.699999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(9.3), u(0.58), u(0.0), u(6.699999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.58), u(0.0), u(6.699999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.58), u(0.0), u(6.699999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.88),(0.0,2.14),(6.7,2.14),(6.7,1.88),(0.0,1.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.01), u(0.26), u(0.0), u(6.700000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.01), u(0.26), u(0.0), u(6.700000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.38),(0.0,1.64),(6.7,1.64),(6.7,1.38),(0.0,1.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.51), u(0.26), u(0.0), u(6.700000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.51), u(0.26), u(0.0), u(6.700000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,2.51),(0.0,2.77),(6.7,2.77),(6.7,2.51),(0.0,2.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.64), u(0.26), u(0.0), u(6.700000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.64), u(0.26), u(0.0), u(6.700000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.01),(0.0,3.27),(6.7,3.27),(6.7,3.01),(0.0,3.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.14), u(0.26), u(0.0), u(6.700000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.14), u(0.26), u(0.0), u(6.700000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.53),(0.0,6.79),(6.7,6.79),(6.7,6.53),(0.0,6.53)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.66), u(0.26), u(0.0), u(6.700000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.66), u(0.26), u(0.0), u(6.700000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,6.03),(0.0,6.29),(6.7,6.29),(6.7,6.03),(0.0,6.03)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(6.16), u(0.26), u(0.0), u(6.700000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(6.16), u(0.26), u(0.0), u(6.700000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.16),(0.0,7.42),(6.7,7.42),(6.7,7.16),(0.0,7.16)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.29), u(0.26), u(0.0), u(6.700000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.29), u(0.26), u(0.0), u(6.700000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,7.66),(0.0,7.92),(6.7,7.92),(6.7,7.66),(0.0,7.66)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(7.79), u(0.26), u(0.0), u(6.700000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(7.79), u(0.26), u(0.0), u(6.700000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[0]']
        createRL(
            tech, net, 'm1',
            ((0.46,0.0),(0.46,9.3),(0.69,9.3),(0.69,0.0),(0.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.575), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.575), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.09,0.0),(1.09,9.3),(1.32,9.3),(1.32,0.0),(1.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.205), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.205), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[0]']
        createRL(
            tech, net, 'm1',
            ((2.0,0.0),(2.0,9.3),(2.23,9.3),(2.23,0.0),(2.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.115), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.115), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[0]']
        createRL(
            tech, net, 'm1',
            ((2.66,0.0),(2.66,9.3),(2.89,9.3),(2.89,0.0),(2.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.775), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.775), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[1]']
        createRL(
            tech, net, 'm1',
            ((3.81,0.0),(3.81,9.3),(4.04,9.3),(4.04,0.0),(3.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.925), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.925), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[1]']
        createRL(
            tech, net, 'm1',
            ((4.44,0.0),(4.44,9.3),(4.67,9.3),(4.67,0.0),(4.44,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.555), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.555), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[1]']
        createRL(
            tech, net, 'm1',
            ((5.35,0.0),(5.35,9.3),(5.58,9.3),(5.58,0.0),(5.35,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.465), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.465), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[1]']
        createRL(
            tech, net, 'm1',
            ((6.01,0.0),(6.01,9.3),(6.24,9.3),(6.24,0.0),(6.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.125), u(0.23), u(0.0), u(9.3),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.125), u(0.23), u(0.0), u(9.3),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,9.3),(6.7,9.3),(6.7,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl1[0]'].setDirection(Net.Direction.IN)
        nets['wl2[0]'].setDirection(Net.Direction.IN)
        nets['wl1[1]'].setDirection(Net.Direction.IN)
        nets['wl2[1]'].setDirection(Net.Direction.IN)
        nets['wl1[2]'].setDirection(Net.Direction.IN)
        nets['wl2[2]'].setDirection(Net.Direction.IN)
        nets['wl1[3]'].setDirection(Net.Direction.IN)
        nets['wl2[3]'].setDirection(Net.Direction.IN)
        nets['bl1[0]'].setDirection(Net.Direction.IN)
        nets['bl1_n[0]'].setDirection(Net.Direction.IN)
        nets['bl2[0]'].setDirection(Net.Direction.IN)
        nets['bl2_n[0]'].setDirection(Net.Direction.IN)
        nets['bl1[1]'].setDirection(Net.Direction.IN)
        nets['bl1_n[1]'].setDirection(Net.Direction.IN)
        nets['bl2[1]'].setDirection(Net.Direction.IN)
        nets['bl2_n[1]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TArray_2X2']
        except:
            subcell = af.getCell('DP8TArray_2X2', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TArray_2X2']
        except:
            subcell = af.getCell('DP8TArray_2X2', 0)
        trans = Transformation(
            u(0.0), u(4.65), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst1x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TArray_2X2']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(6.700000000000001), u(4.65),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl1[0]': Net.create(cell, 'bl1[0]'),
            'bl1[1]': Net.create(cell, 'bl1[1]'),
            'bl1_n[0]': Net.create(cell, 'bl1_n[0]'),
            'bl1_n[1]': Net.create(cell, 'bl1_n[1]'),
            'bl2[0]': Net.create(cell, 'bl2[0]'),
            'bl2[1]': Net.create(cell, 'bl2[1]'),
            'bl2_n[0]': Net.create(cell, 'bl2_n[0]'),
            'bl2_n[1]': Net.create(cell, 'bl2_n[1]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl1[0]': Net.create(cell, 'wl1[0]'),
            'wl1[1]': Net.create(cell, 'wl1[1]'),
            'wl2[0]': Net.create(cell, 'wl2[0]'),
            'wl2[1]': Net.create(cell, 'wl2[1]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,3.64),(0.0,4.22),(6.7,4.22),(6.7,3.64),(0.0,3.64)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.93), u(0.58), u(0.0), u(6.700000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.93), u(0.58), u(0.0), u(6.700000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,4.36),(0.0,4.94),(6.7,4.94),(6.7,4.36),(0.0,4.36)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.29),(0.0,0.29),(6.7,0.29),(6.7,-0.29),(0.0,-0.29)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(4.65), u(0.58), u(0.0), u(6.699999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(4.65), u(0.58), u(0.0), u(6.699999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.58), u(0.0), u(6.699999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.58), u(0.0), u(6.699999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.88),(0.0,2.14),(6.7,2.14),(6.7,1.88),(0.0,1.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.01), u(0.26), u(0.0), u(6.700000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.01), u(0.26), u(0.0), u(6.700000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.38),(0.0,1.64),(6.7,1.64),(6.7,1.38),(0.0,1.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.51), u(0.26), u(0.0), u(6.700000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.51), u(0.26), u(0.0), u(6.700000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,2.51),(0.0,2.77),(6.7,2.77),(6.7,2.51),(0.0,2.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.64), u(0.26), u(0.0), u(6.700000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.64), u(0.26), u(0.0), u(6.700000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.01),(0.0,3.27),(6.7,3.27),(6.7,3.01),(0.0,3.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.14), u(0.26), u(0.0), u(6.700000000000001),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.14), u(0.26), u(0.0), u(6.700000000000001),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[0]']
        createRL(
            tech, net, 'm1',
            ((0.46,0.0),(0.46,4.65),(0.69,4.65),(0.69,0.0),(0.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.575), u(0.23), u(0.0), u(4.65),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.575), u(0.23), u(0.0), u(4.65),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.09,0.0),(1.09,4.65),(1.32,4.65),(1.32,0.0),(1.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.205), u(0.23), u(0.0), u(4.65),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.205), u(0.23), u(0.0), u(4.65),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[0]']
        createRL(
            tech, net, 'm1',
            ((2.0,0.0),(2.0,4.65),(2.23,4.65),(2.23,0.0),(2.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.115), u(0.23), u(0.0), u(4.65),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.115), u(0.23), u(0.0), u(4.65),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[0]']
        createRL(
            tech, net, 'm1',
            ((2.66,0.0),(2.66,4.65),(2.89,4.65),(2.89,0.0),(2.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.775), u(0.23), u(0.0), u(4.65),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.775), u(0.23), u(0.0), u(4.65),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[1]']
        createRL(
            tech, net, 'm1',
            ((3.81,0.0),(3.81,4.65),(4.04,4.65),(4.04,0.0),(3.81,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.925), u(0.23), u(0.0), u(4.65),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.925), u(0.23), u(0.0), u(4.65),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[1]']
        createRL(
            tech, net, 'm1',
            ((4.44,0.0),(4.44,4.65),(4.67,4.65),(4.67,0.0),(4.44,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(4.555), u(0.23), u(0.0), u(4.65),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(4.555), u(0.23), u(0.0), u(4.65),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[1]']
        createRL(
            tech, net, 'm1',
            ((5.35,0.0),(5.35,4.65),(5.58,4.65),(5.58,0.0),(5.35,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(5.465), u(0.23), u(0.0), u(4.65),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(5.465), u(0.23), u(0.0), u(4.65),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[1]']
        createRL(
            tech, net, 'm1',
            ((6.01,0.0),(6.01,4.65),(6.24,4.65),(6.24,0.0),(6.01,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.125), u(0.23), u(0.0), u(4.65),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.125), u(0.23), u(0.0), u(4.65),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,4.65),(6.7,4.65),(6.7,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl1[0]'].setDirection(Net.Direction.IN)
        nets['wl2[0]'].setDirection(Net.Direction.IN)
        nets['wl1[1]'].setDirection(Net.Direction.IN)
        nets['wl2[1]'].setDirection(Net.Direction.IN)
        nets['bl1[0]'].setDirection(Net.Direction.IN)
        nets['bl1_n[0]'].setDirection(Net.Direction.IN)
        nets['bl2[0]'].setDirection(Net.Direction.IN)
        nets['bl2_n[0]'].setDirection(Net.Direction.IN)
        nets['bl1[1]'].setDirection(Net.Direction.IN)
        nets['bl1_n[1]'].setDirection(Net.Direction.IN)
        nets['bl2[1]'].setDirection(Net.Direction.IN)
        nets['bl2_n[1]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TArray_2X1']
        except:
            subcell = af.getCell('DP8TArray_2X1', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TArray_2X1']
        except:
            subcell = af.getCell('DP8TArray_2X1', 0)
        trans = Transformation(
            u(3.3500000000000005), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst0x1', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TArray_2X1']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(3.3500000000000005), u(4.65),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl1[0]': Net.create(cell, 'bl1[0]'),
            'bl1_n[0]': Net.create(cell, 'bl1_n[0]'),
            'bl2[0]': Net.create(cell, 'bl2[0]'),
            'bl2_n[0]': Net.create(cell, 'bl2_n[0]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'wl1[0]': Net.create(cell, 'wl1[0]'),
            'wl1[1]': Net.create(cell, 'wl1[1]'),
            'wl2[0]': Net.create(cell, 'wl2[0]'),
            'wl2[1]': Net.create(cell, 'wl2[1]'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,3.64),(0.0,4.22),(3.35,4.22),(3.35,3.64),(0.0,3.64)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.93), u(0.58), u(0.0), u(3.3500000000000005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.93), u(0.58), u(0.0), u(3.3500000000000005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((0.0,4.36),(0.0,4.94),(3.35,4.94),(3.35,4.36),(0.0,4.36)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.29),(0.0,0.29),(3.35,0.29),(3.35,-0.29),(0.0,-0.29)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(4.65), u(0.58), u(0.0), u(3.3499999999999996),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(4.65), u(0.58), u(0.0), u(3.3499999999999996),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.58), u(0.0), u(3.3499999999999996),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.58), u(0.0), u(3.3499999999999996),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.88),(0.0,2.14),(3.35,2.14),(3.35,1.88),(0.0,1.88)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.01), u(0.26), u(0.0), u(3.3500000000000005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.01), u(0.26), u(0.0), u(3.3500000000000005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,1.38),(0.0,1.64),(3.35,1.64),(3.35,1.38),(0.0,1.38)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.51), u(0.26), u(0.0), u(3.3500000000000005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.51), u(0.26), u(0.0), u(3.3500000000000005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl1[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,2.51),(0.0,2.77),(3.35,2.77),(3.35,2.51),(0.0,2.51)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(2.64), u(0.26), u(0.0), u(3.3500000000000005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(2.64), u(0.26), u(0.0), u(3.3500000000000005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['wl2[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,3.01),(0.0,3.27),(3.35,3.27),(3.35,3.01),(0.0,3.01)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(3.14), u(0.26), u(0.0), u(3.3500000000000005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(3.14), u(0.26), u(0.0), u(3.3500000000000005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1[0]']
        createRL(
            tech, net, 'm1',
            ((0.46,0.0),(0.46,4.65),(0.69,4.65),(0.69,0.0),(0.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.575), u(0.23), u(0.0), u(4.65),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.575), u(0.23), u(0.0), u(4.65),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl1_n[0]']
        createRL(
            tech, net, 'm1',
            ((1.09,0.0),(1.09,4.65),(1.32,4.65),(1.32,0.0),(1.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.205), u(0.23), u(0.0), u(4.65),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.205), u(0.23), u(0.0), u(4.65),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2[0]']
        createRL(
            tech, net, 'm1',
            ((2.0,0.0),(2.0,4.65),(2.23,4.65),(2.23,0.0),(2.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.115), u(0.23), u(0.0), u(4.65),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.115), u(0.23), u(0.0), u(4.65),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl2_n[0]']
        createRL(
            tech, net, 'm1',
            ((2.66,0.0),(2.66,4.65),(2.89,4.65),(2.89,0.0),(2.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.775), u(0.23), u(0.0), u(4.65),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.775), u(0.23), u(0.0), u(4.65),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,4.65),(3.35,4.65),(3.35,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['wl1[0]'].setDirection(Net.Direction.IN)
        nets['wl1[1]'].setDirection(Net.Direction.IN)
        nets['wl2[0]'].setDirection(Net.Direction.IN)
        nets['wl2[1]'].setDirection(Net.Direction.IN)
        nets['bl1[0]'].setDirection(Net.Direction.IN)
        nets['bl1_n[0]'].setDirection(Net.Direction.IN)
        nets['bl2[0]'].setDirection(Net.Direction.IN)
        nets['bl2_n[0]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TCell']
        except:
            subcell = af.getCell('DP8TCell', 0)
        trans = Transformation(
            u(0.0), u(2.325), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'inst0x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TCell']
        except:
            subcell = af.getCell('DP8TCell', 0)
        trans = Transformation(
            u(0.0), u(2.325), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'inst1x0', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TColumnPeriphery_8B4M_bl1']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(-63.045), u(107.20000000000002), u(0.0),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'clk': Net.create(cell, 'clk'),
            'd[0]': Net.create(cell, 'd[0]'),
            'd[1]': Net.create(cell, 'd[1]'),
            'd[2]': Net.create(cell, 'd[2]'),
            'd[3]': Net.create(cell, 'd[3]'),
            'd[4]': Net.create(cell, 'd[4]'),
            'd[5]': Net.create(cell, 'd[5]'),
            'd[6]': Net.create(cell, 'd[6]'),
            'd[7]': Net.create(cell, 'd[7]'),
            'intclk': Net.create(cell, 'intclk'),
            'mux[0]': Net.create(cell, 'mux[0]'),
            'mux[1]': Net.create(cell, 'mux[1]'),
            'mux[2]': Net.create(cell, 'mux[2]'),
            'mux[3]': Net.create(cell, 'mux[3]'),
            'precharge_n': Net.create(cell, 'precharge_n'),
            'q[0]': Net.create(cell, 'q[0]'),
            'q[1]': Net.create(cell, 'q[1]'),
            'q[2]': Net.create(cell, 'q[2]'),
            'q[3]': Net.create(cell, 'q[3]'),
            'q[4]': Net.create(cell, 'q[4]'),
            'q[5]': Net.create(cell, 'q[5]'),
            'q[6]': Net.create(cell, 'q[6]'),
            'q[7]': Net.create(cell, 'q[7]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'we': Net.create(cell, 'we'),
            'we_en': Net.create(cell, 'we_en'),
            'we_n': Net.create(cell, 'we_n'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,-13.965),(0.0,-13.325),(107.2,-13.325),(107.2,-13.965),(0.0,-13.965)),
        )
        createRL(
            tech, net, 'm2',
            ((-0.13,-4.335),(-0.13,-3.695),(107.33,-3.695),(107.33,-4.335),(-0.13,-4.335)),
        )
        createRL(
            tech, net, 'm2',
            ((26.51,-53.365),(26.51,-14.885),(27.09,-14.885),(27.09,-53.365),(26.51,-53.365)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-13.645), u(0.64), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-13.645), u(0.64), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-4.015), u(0.64), u(-0.13), u(107.33),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-4.015), u(0.64), u(-0.13), u(107.33),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        createRL(
            tech, net, 'li',
            ((0.0,-54.245),(0.0,-53.045),(26.535,-53.045),(26.535,-52.78),(27.065,-52.78),(27.065,-53.045),(107.2,-53.045),(107.2,-54.245),(0.0,-54.245)),
        )
        createRL(
            tech, net, 'li',
            ((26.535,-33.31),(26.535,-32.78),(27.065,-32.78),(27.065,-33.31),(26.535,-33.31)),
        )
        createRL(
            tech, net, 'li',
            ((26.535,-13.91),(26.535,-13.38),(27.065,-13.38),(27.065,-13.91),(26.535,-13.91)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.535,-53.31),(26.535,-53.14),(26.705,-53.14),(26.705,-53.31),(26.535,-53.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.895,-53.31),(26.895,-53.14),(27.065,-53.14),(27.065,-53.31),(26.895,-53.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.535,-52.95),(26.535,-52.78),(26.705,-52.78),(26.705,-52.95),(26.535,-52.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.895,-52.95),(26.895,-52.78),(27.065,-52.78),(27.065,-52.95),(26.895,-52.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.535,-33.31),(26.535,-33.14),(26.705,-33.14),(26.705,-33.31),(26.535,-33.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.895,-33.31),(26.895,-33.14),(27.065,-33.14),(27.065,-33.31),(26.895,-33.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.535,-32.95),(26.535,-32.78),(26.705,-32.78),(26.705,-32.95),(26.535,-32.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.895,-32.95),(26.895,-32.78),(27.065,-32.78),(27.065,-32.95),(26.895,-32.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.535,-13.91),(26.535,-13.74),(26.705,-13.74),(26.705,-13.91),(26.535,-13.91)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.895,-13.91),(26.895,-13.74),(27.065,-13.74),(27.065,-13.91),(26.895,-13.91)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.535,-13.55),(26.535,-13.38),(26.705,-13.38),(26.705,-13.55),(26.535,-13.55)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.895,-13.55),(26.895,-13.38),(27.065,-13.38),(27.065,-13.55),(26.895,-13.55)),
        )
        createRL(
            tech, net, 'm1',
            ((26.505,-53.37),(26.505,-52.72),(27.095,-52.72),(27.095,-53.37),(26.505,-53.37)),
        )
        createRL(
            tech, net, 'm1',
            ((26.51,-15.525),(26.51,-13.97),(26.505,-13.97),(26.505,-13.32),(27.095,-13.32),(27.095,-13.97),(27.09,-13.97),(27.09,-15.525),(26.51,-15.525)),
        )
        createRL(
            tech, net, 'm1',
            ((26.505,-33.37),(26.505,-32.72),(27.095,-32.72),(27.095,-33.37),(26.505,-33.37)),
        )
        createRL(
            tech, net, 'via',
            ((26.565,-53.28),(26.565,-53.13),(26.715,-53.13),(26.715,-53.28),(26.565,-53.28)),
        )
        createRL(
            tech, net, 'via',
            ((26.885,-53.28),(26.885,-53.13),(27.035,-53.13),(27.035,-53.28),(26.885,-53.28)),
        )
        createRL(
            tech, net, 'via',
            ((26.565,-52.96),(26.565,-52.81),(26.715,-52.81),(26.715,-52.96),(26.565,-52.96)),
        )
        createRL(
            tech, net, 'via',
            ((26.885,-52.96),(26.885,-52.81),(27.035,-52.81),(27.035,-52.96),(26.885,-52.96)),
        )
        createRL(
            tech, net, 'via',
            ((26.565,-13.88),(26.565,-13.73),(26.715,-13.73),(26.715,-13.88),(26.565,-13.88)),
        )
        createRL(
            tech, net, 'via',
            ((26.885,-13.88),(26.885,-13.73),(27.035,-13.73),(27.035,-13.88),(26.885,-13.88)),
        )
        createRL(
            tech, net, 'via',
            ((26.565,-13.56),(26.565,-13.41),(26.715,-13.41),(26.715,-13.56),(26.565,-13.56)),
        )
        createRL(
            tech, net, 'via',
            ((26.885,-13.56),(26.885,-13.41),(27.035,-13.41),(27.035,-13.56),(26.885,-13.56)),
        )
        createRL(
            tech, net, 'via',
            ((26.565,-33.28),(26.565,-33.13),(26.715,-33.13),(26.715,-33.28),(26.565,-33.28)),
        )
        createRL(
            tech, net, 'via',
            ((26.885,-33.28),(26.885,-33.13),(27.035,-33.13),(27.035,-33.28),(26.885,-33.28)),
        )
        createRL(
            tech, net, 'via',
            ((26.565,-32.96),(26.565,-32.81),(26.715,-32.81),(26.715,-32.96),(26.565,-32.96)),
        )
        createRL(
            tech, net, 'via',
            ((26.885,-32.96),(26.885,-32.81),(27.035,-32.81),(27.035,-32.96),(26.885,-32.96)),
        )
        createRL(
            tech, net, 'via',
            ((26.565,-15.44),(26.565,-15.29),(26.715,-15.29),(26.715,-15.44),(26.565,-15.44)),
        )
        createRL(
            tech, net, 'via',
            ((26.885,-15.44),(26.885,-15.29),(27.035,-15.29),(27.035,-15.44),(26.885,-15.44)),
        )
        createRL(
            tech, net, 'via',
            ((26.565,-15.12),(26.565,-14.97),(26.715,-14.97),(26.715,-15.12),(26.565,-15.12)),
        )
        createRL(
            tech, net, 'via',
            ((26.885,-15.12),(26.885,-14.97),(27.035,-14.97),(27.035,-15.12),(26.885,-15.12)),
        )
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((53.31,-62.765),(53.31,-14.745),(0.0,-14.745),(0.0,-14.105),(107.2,-14.105),(107.2,-14.745),(53.89,-14.745),(53.89,-62.765),(53.31,-62.765)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(107.2,0.13),(107.2,-0.13),(0.0,-0.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-14.425), u(0.64), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-14.425), u(0.64), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        createRL(
            tech, net, 'li',
            ((0.0,-63.045),(0.0,-61.845),(107.2,-61.845),(107.2,-63.045),(0.0,-63.045)),
        )
        createRL(
            tech, net, 'li',
            ((53.335,-23.31),(53.335,-22.78),(53.865,-22.78),(53.865,-23.31),(53.335,-23.31)),
        )
        createRL(
            tech, net, 'li',
            ((53.335,-43.31),(53.335,-42.78),(53.865,-42.78),(53.865,-43.31),(53.335,-43.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.335,-62.71),(53.335,-62.54),(53.505,-62.54),(53.505,-62.71),(53.335,-62.71)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.695,-62.71),(53.695,-62.54),(53.865,-62.54),(53.865,-62.71),(53.695,-62.71)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.335,-62.35),(53.335,-62.18),(53.505,-62.18),(53.505,-62.35),(53.335,-62.35)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.695,-62.35),(53.695,-62.18),(53.865,-62.18),(53.865,-62.35),(53.695,-62.35)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.335,-23.31),(53.335,-23.14),(53.505,-23.14),(53.505,-23.31),(53.335,-23.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.695,-23.31),(53.695,-23.14),(53.865,-23.14),(53.865,-23.31),(53.695,-23.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.335,-22.95),(53.335,-22.78),(53.505,-22.78),(53.505,-22.95),(53.335,-22.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.695,-22.95),(53.695,-22.78),(53.865,-22.78),(53.865,-22.95),(53.695,-22.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.335,-43.31),(53.335,-43.14),(53.505,-43.14),(53.505,-43.31),(53.335,-43.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.695,-43.31),(53.695,-43.14),(53.865,-43.14),(53.865,-43.31),(53.695,-43.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.335,-42.95),(53.335,-42.78),(53.505,-42.78),(53.505,-42.95),(53.335,-42.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.695,-42.95),(53.695,-42.78),(53.865,-42.78),(53.865,-42.95),(53.695,-42.95)),
        )
        createRL(
            tech, net, 'm1',
            ((53.305,-62.77),(53.305,-62.12),(53.895,-62.12),(53.895,-62.77),(53.305,-62.77)),
        )
        createRL(
            tech, net, 'm1',
            ((53.305,-23.37),(53.305,-22.72),(53.895,-22.72),(53.895,-23.37),(53.305,-23.37)),
        )
        createRL(
            tech, net, 'm1',
            ((53.305,-43.37),(53.305,-42.72),(53.895,-42.72),(53.895,-43.37),(53.305,-43.37)),
        )
        createRL(
            tech, net, 'via',
            ((53.365,-62.68),(53.365,-62.53),(53.515,-62.53),(53.515,-62.68),(53.365,-62.68)),
        )
        createRL(
            tech, net, 'via',
            ((53.685,-62.68),(53.685,-62.53),(53.835,-62.53),(53.835,-62.68),(53.685,-62.68)),
        )
        createRL(
            tech, net, 'via',
            ((53.365,-62.36),(53.365,-62.21),(53.515,-62.21),(53.515,-62.36),(53.365,-62.36)),
        )
        createRL(
            tech, net, 'via',
            ((53.685,-62.36),(53.685,-62.21),(53.835,-62.21),(53.835,-62.36),(53.685,-62.36)),
        )
        createRL(
            tech, net, 'via',
            ((53.365,-23.28),(53.365,-23.13),(53.515,-23.13),(53.515,-23.28),(53.365,-23.28)),
        )
        createRL(
            tech, net, 'via',
            ((53.685,-23.28),(53.685,-23.13),(53.835,-23.13),(53.835,-23.28),(53.685,-23.28)),
        )
        createRL(
            tech, net, 'via',
            ((53.365,-22.96),(53.365,-22.81),(53.515,-22.81),(53.515,-22.96),(53.365,-22.96)),
        )
        createRL(
            tech, net, 'via',
            ((53.685,-22.96),(53.685,-22.81),(53.835,-22.81),(53.835,-22.96),(53.685,-22.96)),
        )
        createRL(
            tech, net, 'via',
            ((53.365,-43.28),(53.365,-43.13),(53.515,-43.13),(53.515,-43.28),(53.365,-43.28)),
        )
        createRL(
            tech, net, 'via',
            ((53.685,-43.28),(53.685,-43.13),(53.835,-43.13),(53.835,-43.28),(53.685,-43.28)),
        )
        createRL(
            tech, net, 'via',
            ((53.365,-42.96),(53.365,-42.81),(53.515,-42.81),(53.515,-42.96),(53.365,-42.96)),
        )
        createRL(
            tech, net, 'via',
            ((53.685,-42.96),(53.685,-42.81),(53.835,-42.81),(53.835,-42.96),(53.685,-42.96)),
        )
        net = nets['precharge_n']
        createRL(
            tech, net, 'm2',
            ((0.0,-1.265),(0.0,-1.005),(107.2,-1.005),(107.2,-1.265),(0.0,-1.265)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-1.135), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-1.135), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,-12.715),(0.0,-12.455),(107.2,-12.455),(107.2,-12.715),(0.0,-12.715)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-12.585), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-12.585), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,-12.255),(0.0,-11.995),(107.2,-11.995),(107.2,-12.255),(0.0,-12.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-12.125), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-12.125), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,-11.795),(0.0,-11.535),(107.2,-11.535),(107.2,-11.795),(0.0,-11.795)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-11.665), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-11.665), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,-11.335),(0.0,-11.075),(107.2,-11.075),(107.2,-11.335),(0.0,-11.335)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-11.205), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-11.205), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we']
        createRL(
            tech, net, 'li',
            ((7.415,-61.675),(7.415,-61.145),(7.585,-61.145),(7.585,-61.675),(7.415,-61.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((7.415,-61.675),(7.415,-61.505),(7.585,-61.505),(7.585,-61.675),(7.415,-61.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((7.415,-61.315),(7.415,-61.145),(7.585,-61.145),(7.585,-61.315),(7.415,-61.315)),
        )
        createRL(
            tech, net, 'm1',
            ((7.385,-61.735),(7.385,-61.73),(7.37,-61.73),(7.37,-61.09),(7.385,-61.09),(7.385,-61.085),(7.615,-61.085),(7.615,-61.09),(7.63,-61.09),(7.63,-61.73),(7.615,-61.73),(7.615,-61.735),(7.385,-61.735)),
        )
        createRL(
            tech, net, 'via',
            ((7.425,-61.645),(7.425,-61.495),(7.575,-61.495),(7.575,-61.645),(7.425,-61.645)),
        )
        createRL(
            tech, net, 'via',
            ((7.425,-61.325),(7.425,-61.175),(7.575,-61.175),(7.575,-61.325),(7.425,-61.325)),
        )
        createRL(
            tech, net, 'm2',
            ((7.37,-63.045),(7.37,-61.09),(7.63,-61.09),(7.63,-63.045),(7.37,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(7.5), u(0.26), u(-63.045), u(-61.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(7.5), u(0.26), u(-63.045), u(-61.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk']
        createRL(
            tech, net, 'li',
            ((0.695,-60.885),(0.695,-60.355),(0.865,-60.355),(0.865,-60.885),(0.695,-60.885)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.695,-60.885),(0.695,-60.715),(0.865,-60.715),(0.865,-60.885),(0.695,-60.885)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.695,-60.525),(0.695,-60.355),(0.865,-60.355),(0.865,-60.525),(0.695,-60.525)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,-60.945),(0.0,-60.295),(107.2,-60.295),(107.2,-60.945),(0.0,-60.945)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(-60.62), u(0.65), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(-60.62), u(0.65), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_en']
        createRL(
            tech, net, 'li',
            ((18.495,-59.955),(18.495,-59.425),(18.665,-59.425),(18.665,-59.955),(18.495,-59.955)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.495,-59.955),(18.495,-59.785),(18.665,-59.785),(18.665,-59.955),(18.495,-59.955)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.495,-59.595),(18.495,-59.425),(18.665,-59.425),(18.665,-59.595),(18.495,-59.595)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,-60.015),(0.0,-59.365),(107.2,-59.365),(107.2,-60.015),(0.0,-60.015)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(-59.69), u(0.65), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(-59.69), u(0.65), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_n']
        createRL(
            tech, net, 'm1',
            ((1.02,-30.565),(1.02,-29.915),(99.05,-29.915),(99.05,-30.565),(1.02,-30.565)),
        )
        createRL(
            tech, net, 'm1',
            ((19.37,-55.005),(19.37,-55.0),(19.355,-55.0),(19.355,-54.36),(19.37,-54.36),(19.37,-54.355),(19.6,-54.355),(19.6,-54.36),(19.615,-54.36),(19.615,-55.0),(19.6,-55.0),(19.6,-55.005),(19.37,-55.005)),
        )
        createRL(
            tech, net, 'li',
            ((19.4,-54.945),(19.4,-54.415),(19.57,-54.415),(19.57,-54.945),(19.4,-54.945)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.4,-54.945),(19.4,-54.775),(19.57,-54.775),(19.57,-54.945),(19.4,-54.945)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.4,-54.585),(19.4,-54.415),(19.57,-54.415),(19.57,-54.585),(19.4,-54.585)),
        )
        createRL(
            tech, net, 'via',
            ((19.41,-30.475),(19.41,-30.325),(19.56,-30.325),(19.56,-30.475),(19.41,-30.475)),
        )
        createRL(
            tech, net, 'via',
            ((19.41,-30.155),(19.41,-30.005),(19.56,-30.005),(19.56,-30.155),(19.41,-30.155)),
        )
        createRL(
            tech, net, 'via',
            ((19.41,-54.915),(19.41,-54.765),(19.56,-54.765),(19.56,-54.915),(19.41,-54.915)),
        )
        createRL(
            tech, net, 'via',
            ((19.41,-54.595),(19.41,-54.445),(19.56,-54.445),(19.56,-54.595),(19.41,-54.595)),
        )
        createRL(
            tech, net, 'm2',
            ((19.355,-55.0),(19.355,-29.92),(19.615,-29.92),(19.615,-55.0),(19.355,-55.0)),
        )
        net = nets['intclk']
        createRL(
            tech, net, 'm1',
            ((1.33,-58.045),(1.33,-55.145),(1.385,-55.145),(1.385,-37.72),(1.615,-37.72),(1.615,-55.145),(28.185,-55.145),(28.185,-37.72),(28.415,-37.72),(28.415,-55.145),(54.985,-55.145),(54.985,-37.72),(55.215,-37.72),(55.215,-55.145),(81.785,-55.145),(81.785,-37.72),(82.015,-37.72),(82.015,-55.795),(1.98,-55.795),(1.98,-58.045),(1.33,-58.045)),
        )
        net = nets['q[0]']
        createRL(
            tech, net, 'li',
            ((1.415,-21.675),(1.415,-21.145),(1.585,-21.145),(1.585,-21.675),(1.415,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.415,-21.675),(1.415,-21.505),(1.585,-21.505),(1.585,-21.675),(1.415,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.415,-21.315),(1.415,-21.145),(1.585,-21.145),(1.585,-21.315),(1.415,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((1.385,-21.735),(1.385,-21.73),(1.37,-21.73),(1.37,-21.09),(1.385,-21.09),(1.385,-21.085),(1.615,-21.085),(1.615,-21.09),(1.63,-21.09),(1.63,-21.73),(1.615,-21.73),(1.615,-21.735),(1.385,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((1.425,-21.645),(1.425,-21.495),(1.575,-21.495),(1.575,-21.645),(1.425,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((1.425,-21.325),(1.425,-21.175),(1.575,-21.175),(1.575,-21.325),(1.425,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((1.37,-63.045),(1.37,-21.09),(1.63,-21.09),(1.63,-63.045),(1.37,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(1.5), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(1.5), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[1]']
        createRL(
            tech, net, 'li',
            ((14.815,-21.675),(14.815,-21.145),(14.985,-21.145),(14.985,-21.675),(14.815,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((14.815,-21.675),(14.815,-21.505),(14.985,-21.505),(14.985,-21.675),(14.815,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((14.815,-21.315),(14.815,-21.145),(14.985,-21.145),(14.985,-21.315),(14.815,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((14.785,-21.735),(14.785,-21.73),(14.77,-21.73),(14.77,-21.09),(14.785,-21.09),(14.785,-21.085),(15.015,-21.085),(15.015,-21.09),(15.03,-21.09),(15.03,-21.73),(15.015,-21.73),(15.015,-21.735),(14.785,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((14.825,-21.645),(14.825,-21.495),(14.975,-21.495),(14.975,-21.645),(14.825,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((14.825,-21.325),(14.825,-21.175),(14.975,-21.175),(14.975,-21.325),(14.825,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((14.77,-63.045),(14.77,-21.09),(15.03,-21.09),(15.03,-63.045),(14.77,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(14.9), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(14.9), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[2]']
        createRL(
            tech, net, 'li',
            ((28.215,-21.675),(28.215,-21.145),(28.385,-21.145),(28.385,-21.675),(28.215,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((28.215,-21.675),(28.215,-21.505),(28.385,-21.505),(28.385,-21.675),(28.215,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((28.215,-21.315),(28.215,-21.145),(28.385,-21.145),(28.385,-21.315),(28.215,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((28.185,-21.735),(28.185,-21.73),(28.17,-21.73),(28.17,-21.09),(28.185,-21.09),(28.185,-21.085),(28.415,-21.085),(28.415,-21.09),(28.43,-21.09),(28.43,-21.73),(28.415,-21.73),(28.415,-21.735),(28.185,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((28.225,-21.645),(28.225,-21.495),(28.375,-21.495),(28.375,-21.645),(28.225,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((28.225,-21.325),(28.225,-21.175),(28.375,-21.175),(28.375,-21.325),(28.225,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((28.17,-63.045),(28.17,-21.09),(28.43,-21.09),(28.43,-63.045),(28.17,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(28.3), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(28.3), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[3]']
        createRL(
            tech, net, 'li',
            ((41.615,-21.675),(41.615,-21.145),(41.785,-21.145),(41.785,-21.675),(41.615,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((41.615,-21.675),(41.615,-21.505),(41.785,-21.505),(41.785,-21.675),(41.615,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((41.615,-21.315),(41.615,-21.145),(41.785,-21.145),(41.785,-21.315),(41.615,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((41.585,-21.735),(41.585,-21.73),(41.57,-21.73),(41.57,-21.09),(41.585,-21.09),(41.585,-21.085),(41.815,-21.085),(41.815,-21.09),(41.83,-21.09),(41.83,-21.73),(41.815,-21.73),(41.815,-21.735),(41.585,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((41.625,-21.645),(41.625,-21.495),(41.775,-21.495),(41.775,-21.645),(41.625,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((41.625,-21.325),(41.625,-21.175),(41.775,-21.175),(41.775,-21.325),(41.625,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((41.57,-63.045),(41.57,-21.09),(41.83,-21.09),(41.83,-63.045),(41.57,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(41.7), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(41.7), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[4]']
        createRL(
            tech, net, 'li',
            ((55.015,-21.675),(55.015,-21.145),(55.185,-21.145),(55.185,-21.675),(55.015,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((55.015,-21.675),(55.015,-21.505),(55.185,-21.505),(55.185,-21.675),(55.015,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((55.015,-21.315),(55.015,-21.145),(55.185,-21.145),(55.185,-21.315),(55.015,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((54.985,-21.735),(54.985,-21.73),(54.97,-21.73),(54.97,-21.09),(54.985,-21.09),(54.985,-21.085),(55.215,-21.085),(55.215,-21.09),(55.23,-21.09),(55.23,-21.73),(55.215,-21.73),(55.215,-21.735),(54.985,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((55.025,-21.645),(55.025,-21.495),(55.175,-21.495),(55.175,-21.645),(55.025,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((55.025,-21.325),(55.025,-21.175),(55.175,-21.175),(55.175,-21.325),(55.025,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((54.97,-63.045),(54.97,-21.09),(55.23,-21.09),(55.23,-63.045),(54.97,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(55.1), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(55.1), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[5]']
        createRL(
            tech, net, 'li',
            ((68.415,-21.675),(68.415,-21.145),(68.585,-21.145),(68.585,-21.675),(68.415,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((68.415,-21.675),(68.415,-21.505),(68.585,-21.505),(68.585,-21.675),(68.415,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((68.415,-21.315),(68.415,-21.145),(68.585,-21.145),(68.585,-21.315),(68.415,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((68.385,-21.735),(68.385,-21.73),(68.37,-21.73),(68.37,-21.09),(68.385,-21.09),(68.385,-21.085),(68.615,-21.085),(68.615,-21.09),(68.63,-21.09),(68.63,-21.73),(68.615,-21.73),(68.615,-21.735),(68.385,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((68.425,-21.645),(68.425,-21.495),(68.575,-21.495),(68.575,-21.645),(68.425,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((68.425,-21.325),(68.425,-21.175),(68.575,-21.175),(68.575,-21.325),(68.425,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((68.37,-63.045),(68.37,-21.09),(68.63,-21.09),(68.63,-63.045),(68.37,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(68.5), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(68.5), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[6]']
        createRL(
            tech, net, 'li',
            ((81.815,-21.675),(81.815,-21.145),(81.985,-21.145),(81.985,-21.675),(81.815,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((81.815,-21.675),(81.815,-21.505),(81.985,-21.505),(81.985,-21.675),(81.815,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((81.815,-21.315),(81.815,-21.145),(81.985,-21.145),(81.985,-21.315),(81.815,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((81.785,-21.735),(81.785,-21.73),(81.77,-21.73),(81.77,-21.09),(81.785,-21.09),(81.785,-21.085),(82.015,-21.085),(82.015,-21.09),(82.03,-21.09),(82.03,-21.73),(82.015,-21.73),(82.015,-21.735),(81.785,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((81.825,-21.645),(81.825,-21.495),(81.975,-21.495),(81.975,-21.645),(81.825,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((81.825,-21.325),(81.825,-21.175),(81.975,-21.175),(81.975,-21.325),(81.825,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((81.77,-63.045),(81.77,-21.09),(82.03,-21.09),(82.03,-63.045),(81.77,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(81.9), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(81.9), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[7]']
        createRL(
            tech, net, 'li',
            ((95.215,-21.675),(95.215,-21.145),(95.385,-21.145),(95.385,-21.675),(95.215,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((95.215,-21.675),(95.215,-21.505),(95.385,-21.505),(95.385,-21.675),(95.215,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((95.215,-21.315),(95.215,-21.145),(95.385,-21.145),(95.385,-21.315),(95.215,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((95.185,-21.735),(95.185,-21.73),(95.17,-21.73),(95.17,-21.09),(95.185,-21.09),(95.185,-21.085),(95.415,-21.085),(95.415,-21.09),(95.43,-21.09),(95.43,-21.73),(95.415,-21.73),(95.415,-21.735),(95.185,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((95.225,-21.645),(95.225,-21.495),(95.375,-21.495),(95.375,-21.645),(95.225,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((95.225,-21.325),(95.225,-21.175),(95.375,-21.175),(95.375,-21.325),(95.225,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((95.17,-63.045),(95.17,-21.09),(95.43,-21.09),(95.43,-63.045),(95.17,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(95.3), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(95.3), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[0]']
        createRL(
            tech, net, 'li',
            ((4.415,-51.675),(4.415,-51.145),(4.585,-51.145),(4.585,-51.675),(4.415,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,-51.675),(4.415,-51.505),(4.585,-51.505),(4.585,-51.675),(4.415,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,-51.315),(4.415,-51.145),(4.585,-51.145),(4.585,-51.315),(4.415,-51.315)),
        )
        createRL(
            tech, net, 'm1',
            ((4.385,-51.735),(4.385,-51.73),(4.37,-51.73),(4.37,-51.09),(4.385,-51.09),(4.385,-51.085),(4.615,-51.085),(4.615,-51.09),(4.63,-51.09),(4.63,-51.73),(4.615,-51.73),(4.615,-51.735),(4.385,-51.735)),
        )
        createRL(
            tech, net, 'via',
            ((4.425,-51.645),(4.425,-51.495),(4.575,-51.495),(4.575,-51.645),(4.425,-51.645)),
        )
        createRL(
            tech, net, 'via',
            ((4.425,-51.325),(4.425,-51.175),(4.575,-51.175),(4.575,-51.325),(4.425,-51.325)),
        )
        createRL(
            tech, net, 'm2',
            ((4.37,-63.045),(4.37,-51.09),(4.63,-51.09),(4.63,-63.045),(4.37,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(4.5), u(0.26), u(-63.045), u(-51.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(4.5), u(0.26), u(-63.045), u(-51.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[1]']
        createRL(
            tech, net, 'li',
            ((4.415,-41.675),(4.415,-41.145),(4.585,-41.145),(4.585,-41.675),(4.415,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,-41.675),(4.415,-41.505),(4.585,-41.505),(4.585,-41.675),(4.415,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,-41.315),(4.415,-41.145),(4.585,-41.145),(4.585,-41.315),(4.415,-41.315)),
        )
        createRL(
            tech, net, 'm1',
            ((4.385,-41.735),(4.385,-41.085),(5.14,-41.085),(5.14,-41.735),(4.385,-41.735)),
        )
        createRL(
            tech, net, 'via',
            ((4.935,-41.645),(4.935,-41.495),(5.085,-41.495),(5.085,-41.645),(4.935,-41.645)),
        )
        createRL(
            tech, net, 'via',
            ((4.935,-41.325),(4.935,-41.175),(5.085,-41.175),(5.085,-41.325),(4.935,-41.325)),
        )
        createRL(
            tech, net, 'm2',
            ((4.88,-63.045),(4.88,-41.09),(5.14,-41.09),(5.14,-63.045),(4.88,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(5.01), u(0.26), u(-63.045), u(-41.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(5.01), u(0.26), u(-63.045), u(-41.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[2]']
        createRL(
            tech, net, 'li',
            ((31.215,-51.675),(31.215,-51.145),(31.385,-51.145),(31.385,-51.675),(31.215,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((31.215,-51.675),(31.215,-51.505),(31.385,-51.505),(31.385,-51.675),(31.215,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((31.215,-51.315),(31.215,-51.145),(31.385,-51.145),(31.385,-51.315),(31.215,-51.315)),
        )
        createRL(
            tech, net, 'm1',
            ((31.185,-51.735),(31.185,-51.73),(31.17,-51.73),(31.17,-51.09),(31.185,-51.09),(31.185,-51.085),(31.415,-51.085),(31.415,-51.09),(31.43,-51.09),(31.43,-51.73),(31.415,-51.73),(31.415,-51.735),(31.185,-51.735)),
        )
        createRL(
            tech, net, 'via',
            ((31.225,-51.645),(31.225,-51.495),(31.375,-51.495),(31.375,-51.645),(31.225,-51.645)),
        )
        createRL(
            tech, net, 'via',
            ((31.225,-51.325),(31.225,-51.175),(31.375,-51.175),(31.375,-51.325),(31.225,-51.325)),
        )
        createRL(
            tech, net, 'm2',
            ((31.17,-63.045),(31.17,-51.09),(31.43,-51.09),(31.43,-63.045),(31.17,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(31.3), u(0.26), u(-63.045), u(-51.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(31.3), u(0.26), u(-63.045), u(-51.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[3]']
        createRL(
            tech, net, 'li',
            ((31.215,-41.675),(31.215,-41.145),(31.385,-41.145),(31.385,-41.675),(31.215,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((31.215,-41.675),(31.215,-41.505),(31.385,-41.505),(31.385,-41.675),(31.215,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((31.215,-41.315),(31.215,-41.145),(31.385,-41.145),(31.385,-41.315),(31.215,-41.315)),
        )
        createRL(
            tech, net, 'm1',
            ((31.185,-41.735),(31.185,-41.085),(31.94,-41.085),(31.94,-41.735),(31.185,-41.735)),
        )
        createRL(
            tech, net, 'via',
            ((31.735,-41.645),(31.735,-41.495),(31.885,-41.495),(31.885,-41.645),(31.735,-41.645)),
        )
        createRL(
            tech, net, 'via',
            ((31.735,-41.325),(31.735,-41.175),(31.885,-41.175),(31.885,-41.325),(31.735,-41.325)),
        )
        createRL(
            tech, net, 'm2',
            ((31.68,-63.045),(31.68,-41.09),(31.94,-41.09),(31.94,-63.045),(31.68,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(31.81), u(0.26), u(-63.045), u(-41.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(31.81), u(0.26), u(-63.045), u(-41.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[4]']
        createRL(
            tech, net, 'li',
            ((58.015,-51.675),(58.015,-51.145),(58.185,-51.145),(58.185,-51.675),(58.015,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((58.015,-51.675),(58.015,-51.505),(58.185,-51.505),(58.185,-51.675),(58.015,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((58.015,-51.315),(58.015,-51.145),(58.185,-51.145),(58.185,-51.315),(58.015,-51.315)),
        )
        createRL(
            tech, net, 'm1',
            ((57.985,-51.735),(57.985,-51.73),(57.97,-51.73),(57.97,-51.09),(57.985,-51.09),(57.985,-51.085),(58.215,-51.085),(58.215,-51.09),(58.23,-51.09),(58.23,-51.73),(58.215,-51.73),(58.215,-51.735),(57.985,-51.735)),
        )
        createRL(
            tech, net, 'via',
            ((58.025,-51.645),(58.025,-51.495),(58.175,-51.495),(58.175,-51.645),(58.025,-51.645)),
        )
        createRL(
            tech, net, 'via',
            ((58.025,-51.325),(58.025,-51.175),(58.175,-51.175),(58.175,-51.325),(58.025,-51.325)),
        )
        createRL(
            tech, net, 'm2',
            ((57.97,-63.045),(57.97,-51.09),(58.23,-51.09),(58.23,-63.045),(57.97,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(58.1), u(0.26), u(-63.045), u(-51.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(58.1), u(0.26), u(-63.045), u(-51.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[5]']
        createRL(
            tech, net, 'li',
            ((58.015,-41.675),(58.015,-41.145),(58.185,-41.145),(58.185,-41.675),(58.015,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((58.015,-41.675),(58.015,-41.505),(58.185,-41.505),(58.185,-41.675),(58.015,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((58.015,-41.315),(58.015,-41.145),(58.185,-41.145),(58.185,-41.315),(58.015,-41.315)),
        )
        createRL(
            tech, net, 'm1',
            ((57.985,-41.735),(57.985,-41.085),(58.74,-41.085),(58.74,-41.735),(57.985,-41.735)),
        )
        createRL(
            tech, net, 'via',
            ((58.535,-41.645),(58.535,-41.495),(58.685,-41.495),(58.685,-41.645),(58.535,-41.645)),
        )
        createRL(
            tech, net, 'via',
            ((58.535,-41.325),(58.535,-41.175),(58.685,-41.175),(58.685,-41.325),(58.535,-41.325)),
        )
        createRL(
            tech, net, 'm2',
            ((58.48,-63.045),(58.48,-41.09),(58.74,-41.09),(58.74,-63.045),(58.48,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(58.61), u(0.26), u(-63.045), u(-41.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(58.61), u(0.26), u(-63.045), u(-41.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[6]']
        createRL(
            tech, net, 'li',
            ((84.815,-51.675),(84.815,-51.145),(84.985,-51.145),(84.985,-51.675),(84.815,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((84.815,-51.675),(84.815,-51.505),(84.985,-51.505),(84.985,-51.675),(84.815,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((84.815,-51.315),(84.815,-51.145),(84.985,-51.145),(84.985,-51.315),(84.815,-51.315)),
        )
        createRL(
            tech, net, 'm1',
            ((84.785,-51.735),(84.785,-51.73),(84.77,-51.73),(84.77,-51.09),(84.785,-51.09),(84.785,-51.085),(85.015,-51.085),(85.015,-51.09),(85.03,-51.09),(85.03,-51.73),(85.015,-51.73),(85.015,-51.735),(84.785,-51.735)),
        )
        createRL(
            tech, net, 'via',
            ((84.825,-51.645),(84.825,-51.495),(84.975,-51.495),(84.975,-51.645),(84.825,-51.645)),
        )
        createRL(
            tech, net, 'via',
            ((84.825,-51.325),(84.825,-51.175),(84.975,-51.175),(84.975,-51.325),(84.825,-51.325)),
        )
        createRL(
            tech, net, 'm2',
            ((84.77,-63.045),(84.77,-51.09),(85.03,-51.09),(85.03,-63.045),(84.77,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(84.9), u(0.26), u(-63.045), u(-51.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(84.9), u(0.26), u(-63.045), u(-51.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[7]']
        createRL(
            tech, net, 'li',
            ((84.815,-41.675),(84.815,-41.145),(84.985,-41.145),(84.985,-41.675),(84.815,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((84.815,-41.675),(84.815,-41.505),(84.985,-41.505),(84.985,-41.675),(84.815,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((84.815,-41.315),(84.815,-41.145),(84.985,-41.145),(84.985,-41.315),(84.815,-41.315)),
        )
        createRL(
            tech, net, 'm1',
            ((84.785,-41.735),(84.785,-41.085),(85.54,-41.085),(85.54,-41.735),(84.785,-41.735)),
        )
        createRL(
            tech, net, 'via',
            ((85.335,-41.645),(85.335,-41.495),(85.485,-41.495),(85.485,-41.645),(85.335,-41.645)),
        )
        createRL(
            tech, net, 'via',
            ((85.335,-41.325),(85.335,-41.175),(85.485,-41.175),(85.485,-41.325),(85.335,-41.325)),
        )
        createRL(
            tech, net, 'm2',
            ((85.28,-63.045),(85.28,-41.09),(85.54,-41.09),(85.54,-63.045),(85.28,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(85.41), u(0.26), u(-63.045), u(-41.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(85.41), u(0.26), u(-63.045), u(-41.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,-63.045),(0.0,0.0),(107.2,0.0),(107.2,-63.045),(0.0,-63.045)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['precharge_n'].setDirection(Net.Direction.IN)
        nets['we'].setDirection(Net.Direction.IN)
        nets['we_en'].setDirection(Net.Direction.IN)
        nets['q[0]'].setDirection(Net.Direction.IN)
        nets['d[0]'].setDirection(Net.Direction.IN)
        nets['bl[0]'].setDirection(Net.Direction.IN)
        nets['bl_n[0]'].setDirection(Net.Direction.IN)
        nets['bl[1]'].setDirection(Net.Direction.IN)
        nets['bl_n[1]'].setDirection(Net.Direction.IN)
        nets['bl[2]'].setDirection(Net.Direction.IN)
        nets['bl_n[2]'].setDirection(Net.Direction.IN)
        nets['bl[3]'].setDirection(Net.Direction.IN)
        nets['bl_n[3]'].setDirection(Net.Direction.IN)
        nets['q[1]'].setDirection(Net.Direction.IN)
        nets['d[1]'].setDirection(Net.Direction.IN)
        nets['bl[4]'].setDirection(Net.Direction.IN)
        nets['bl_n[4]'].setDirection(Net.Direction.IN)
        nets['bl[5]'].setDirection(Net.Direction.IN)
        nets['bl_n[5]'].setDirection(Net.Direction.IN)
        nets['bl[6]'].setDirection(Net.Direction.IN)
        nets['bl_n[6]'].setDirection(Net.Direction.IN)
        nets['bl[7]'].setDirection(Net.Direction.IN)
        nets['bl_n[7]'].setDirection(Net.Direction.IN)
        nets['q[2]'].setDirection(Net.Direction.IN)
        nets['d[2]'].setDirection(Net.Direction.IN)
        nets['bl[8]'].setDirection(Net.Direction.IN)
        nets['bl_n[8]'].setDirection(Net.Direction.IN)
        nets['bl[9]'].setDirection(Net.Direction.IN)
        nets['bl_n[9]'].setDirection(Net.Direction.IN)
        nets['bl[10]'].setDirection(Net.Direction.IN)
        nets['bl_n[10]'].setDirection(Net.Direction.IN)
        nets['bl[11]'].setDirection(Net.Direction.IN)
        nets['bl_n[11]'].setDirection(Net.Direction.IN)
        nets['q[3]'].setDirection(Net.Direction.IN)
        nets['d[3]'].setDirection(Net.Direction.IN)
        nets['bl[12]'].setDirection(Net.Direction.IN)
        nets['bl_n[12]'].setDirection(Net.Direction.IN)
        nets['bl[13]'].setDirection(Net.Direction.IN)
        nets['bl_n[13]'].setDirection(Net.Direction.IN)
        nets['bl[14]'].setDirection(Net.Direction.IN)
        nets['bl_n[14]'].setDirection(Net.Direction.IN)
        nets['bl[15]'].setDirection(Net.Direction.IN)
        nets['bl_n[15]'].setDirection(Net.Direction.IN)
        nets['q[4]'].setDirection(Net.Direction.IN)
        nets['d[4]'].setDirection(Net.Direction.IN)
        nets['bl[16]'].setDirection(Net.Direction.IN)
        nets['bl_n[16]'].setDirection(Net.Direction.IN)
        nets['bl[17]'].setDirection(Net.Direction.IN)
        nets['bl_n[17]'].setDirection(Net.Direction.IN)
        nets['bl[18]'].setDirection(Net.Direction.IN)
        nets['bl_n[18]'].setDirection(Net.Direction.IN)
        nets['bl[19]'].setDirection(Net.Direction.IN)
        nets['bl_n[19]'].setDirection(Net.Direction.IN)
        nets['q[5]'].setDirection(Net.Direction.IN)
        nets['d[5]'].setDirection(Net.Direction.IN)
        nets['bl[20]'].setDirection(Net.Direction.IN)
        nets['bl_n[20]'].setDirection(Net.Direction.IN)
        nets['bl[21]'].setDirection(Net.Direction.IN)
        nets['bl_n[21]'].setDirection(Net.Direction.IN)
        nets['bl[22]'].setDirection(Net.Direction.IN)
        nets['bl_n[22]'].setDirection(Net.Direction.IN)
        nets['bl[23]'].setDirection(Net.Direction.IN)
        nets['bl_n[23]'].setDirection(Net.Direction.IN)
        nets['q[6]'].setDirection(Net.Direction.IN)
        nets['d[6]'].setDirection(Net.Direction.IN)
        nets['bl[24]'].setDirection(Net.Direction.IN)
        nets['bl_n[24]'].setDirection(Net.Direction.IN)
        nets['bl[25]'].setDirection(Net.Direction.IN)
        nets['bl_n[25]'].setDirection(Net.Direction.IN)
        nets['bl[26]'].setDirection(Net.Direction.IN)
        nets['bl_n[26]'].setDirection(Net.Direction.IN)
        nets['bl[27]'].setDirection(Net.Direction.IN)
        nets['bl_n[27]'].setDirection(Net.Direction.IN)
        nets['q[7]'].setDirection(Net.Direction.IN)
        nets['d[7]'].setDirection(Net.Direction.IN)
        nets['bl[28]'].setDirection(Net.Direction.IN)
        nets['bl_n[28]'].setDirection(Net.Direction.IN)
        nets['bl[29]'].setDirection(Net.Direction.IN)
        nets['bl_n[29]'].setDirection(Net.Direction.IN)
        nets['bl[30]'].setDirection(Net.Direction.IN)
        nets['bl_n[30]'].setDirection(Net.Direction.IN)
        nets['bl[31]'].setDirection(Net.Direction.IN)
        nets['bl_n[31]'].setDirection(Net.Direction.IN)
        nets['mux[0]'].setDirection(Net.Direction.IN)
        nets['mux[1]'].setDirection(Net.Direction.IN)
        nets['mux[2]'].setDirection(Net.Direction.IN)
        nets['mux[3]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(0.0), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(3.3500000000000005), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(6.700000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(10.05), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(13.400000000000002), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(16.750000000000004), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(20.1), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(23.450000000000003), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(26.800000000000004), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[8]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(30.150000000000006), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[9]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(33.50000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[10]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(36.85000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[11]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(40.2), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[12]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(43.550000000000004), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[13]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(46.900000000000006), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[14]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(50.25000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[15]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(53.60000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[16]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(56.95000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[17]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(60.30000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[18]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(63.65000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[19]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(67.00000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[20]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(70.35000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[21]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(73.70000000000002), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[22]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(77.05000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[23]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(80.4), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[24]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(83.75000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[25]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(87.10000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[26]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(90.45000000000002), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[27]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(93.80000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[28]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(97.15000000000002), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[29]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(100.50000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[30]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl1']
        except:
            subcell = af.getCell('DP8TPrecharge_bl1', 0)
        trans = Transformation(
            u(103.85000000000002), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[31]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColMux_4C_bl1']
        except:
            subcell = af.getCell('DP8TColMux_4C_bl1', 0)
        trans = Transformation(
            u(0.0), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColMux_4C_bl1']
        except:
            subcell = af.getCell('DP8TColMux_4C_bl1', 0)
        trans = Transformation(
            u(13.400000000000002), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColMux_4C_bl1']
        except:
            subcell = af.getCell('DP8TColMux_4C_bl1', 0)
        trans = Transformation(
            u(26.800000000000004), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColMux_4C_bl1']
        except:
            subcell = af.getCell('DP8TColMux_4C_bl1', 0)
        trans = Transformation(
            u(40.2), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColMux_4C_bl1']
        except:
            subcell = af.getCell('DP8TColMux_4C_bl1', 0)
        trans = Transformation(
            u(53.60000000000001), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColMux_4C_bl1']
        except:
            subcell = af.getCell('DP8TColMux_4C_bl1', 0)
        trans = Transformation(
            u(67.00000000000001), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColMux_4C_bl1']
        except:
            subcell = af.getCell('DP8TColMux_4C_bl1', 0)
        trans = Transformation(
            u(80.4), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColMux_4C_bl1']
        except:
            subcell = af.getCell('DP8TColMux_4C_bl1', 0)
        trans = Transformation(
            u(93.80000000000001), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TSenseAmp_4M']
        except:
            subcell = af.getCell('DP8TSenseAmp_4M', 0)
        trans = Transformation(
            u(0.0), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TSenseAmp_4M']
        except:
            subcell = af.getCell('DP8TSenseAmp_4M', 0)
        trans = Transformation(
            u(13.400000000000002), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TSenseAmp_4M']
        except:
            subcell = af.getCell('DP8TSenseAmp_4M', 0)
        trans = Transformation(
            u(26.800000000000004), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TSenseAmp_4M']
        except:
            subcell = af.getCell('DP8TSenseAmp_4M', 0)
        trans = Transformation(
            u(40.2), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TSenseAmp_4M']
        except:
            subcell = af.getCell('DP8TSenseAmp_4M', 0)
        trans = Transformation(
            u(53.60000000000001), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TSenseAmp_4M']
        except:
            subcell = af.getCell('DP8TSenseAmp_4M', 0)
        trans = Transformation(
            u(67.00000000000001), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TSenseAmp_4M']
        except:
            subcell = af.getCell('DP8TSenseAmp_4M', 0)
        trans = Transformation(
            u(80.4), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TSenseAmp_4M']
        except:
            subcell = af.getCell('DP8TSenseAmp_4M', 0)
        trans = Transformation(
            u(93.80000000000001), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWriteDriver_4M2B']
        except:
            subcell = af.getCell('DP8TWriteDriver_4M2B', 0)
        trans = Transformation(
            u(0.0), u(-53.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'writedrive[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWriteDriver_4M2B']
        except:
            subcell = af.getCell('DP8TWriteDriver_4M2B', 0)
        trans = Transformation(
            u(26.800000000000004), u(-53.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'writedrive[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWriteDriver_4M2B']
        except:
            subcell = af.getCell('DP8TWriteDriver_4M2B', 0)
        trans = Transformation(
            u(53.60000000000001), u(-53.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'writedrive[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWriteDriver_4M2B']
        except:
            subcell = af.getCell('DP8TWriteDriver_4M2B', 0)
        trans = Transformation(
            u(80.4), u(-53.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'writedrive[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TClockWE']
        except:
            subcell = af.getCell('DP8TClockWE', 0)
        trans = Transformation(
            u(0.0), u(-53.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'clkwe', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TPrecharge_bl1']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(3.3500000000000005), u(1.51),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl': Net.create(cell, 'bl'),
            'bl_n': Net.create(cell, 'bl_n'),
            'precharge_n': Net.create(cell, 'precharge_n'),
            'vdd': Net.create(cell, 'vdd'),
        }
        net = nets['precharge_n']
        createRL(
            tech, net, 'poly',
            ((0.0,0.21),(0.0,0.54),(0.485,0.54),(0.485,1.245),(0.635,1.245),(0.635,0.54),(1.6,0.54),(1.6,1.245),(1.75,1.245),(1.75,0.54),(2.715,0.54),(2.715,1.245),(2.865,1.245),(2.865,0.54),(3.35,0.54),(3.35,0.21),(0.0,0.21)),
        )
        createRL(
            tech, net, 'licon',
            ((1.59,0.29),(1.59,0.46),(1.76,0.46),(1.76,0.29),(1.59,0.29)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,0.29),(0.0,0.46),(3.35,0.46),(3.35,0.29),(0.0,0.29)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.59,0.29),(1.59,0.46),(1.76,0.46),(1.76,0.29),(1.59,0.29)),
        )
        createRL(
            tech, net, 'm1',
            ((1.545,0.215),(1.545,0.535),(1.805,0.535),(1.805,0.215),(1.545,0.215)),
        )
        createRL(
            tech, net, 'via',
            ((1.6,0.3),(1.6,0.45),(1.75,0.45),(1.75,0.3),(1.6,0.3)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,0.245),(0.0,0.505),(3.35,0.505),(3.35,0.245),(0.0,0.245)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(0.375), u(0.17), u(0.0), u(3.3500000000000005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(0.375), u(0.17), u(0.0), u(3.3500000000000005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.375), u(0.26), u(0.0), u(3.3500000000000005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.375), u(0.26), u(0.0), u(3.3500000000000005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'difftap',
            ((-0.205,0.695),(-0.205,1.115),(0.635,1.115),(0.635,0.695),(-0.205,0.695)),
        )
        createRL(
            tech, net, 'difftap',
            ((1.6,0.695),(1.6,1.115),(1.75,1.115),(1.75,0.695),(1.6,0.695)),
        )
        createRL(
            tech, net, 'difftap',
            ((2.715,0.695),(2.715,1.115),(3.555,1.115),(3.555,0.695),(2.715,0.695)),
        )
        createRL(
            tech, net, 'licon',
            ((3.265,0.82),(3.265,0.99),(3.435,0.99),(3.435,0.82),(3.265,0.82)),
        )
        createRL(
            tech, net, 'licon',
            ((-0.085,0.82),(-0.085,0.99),(0.085,0.99),(0.085,0.82),(-0.085,0.82)),
        )
        createRL(
            tech, net, 'li',
            ((3.265,0.74),(3.265,1.07),(3.435,1.07),(3.435,0.74),(3.265,0.74)),
        )
        createRL(
            tech, net, 'li',
            ((-0.085,0.74),(-0.085,1.07),(0.085,1.07),(0.085,0.74),(-0.085,0.74)),
        )
        createRL(
            tech, net, 'nwm',
            ((-0.385,0.515),(-0.385,1.51),(3.735,1.51),(3.735,0.515),(-0.385,0.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((3.265,0.82),(3.265,0.99),(3.435,0.99),(3.435,0.82),(3.265,0.82)),
        )
        createRL(
            tech, net, 'mcon',
            ((-0.085,0.82),(-0.085,0.99),(0.085,0.99),(0.085,0.82),(-0.085,0.82)),
        )
        createRL(
            tech, net, 'm1',
            ((3.22,0.745),(3.22,1.065),(3.48,1.065),(3.48,0.745),(3.22,0.745)),
        )
        createRL(
            tech, net, 'm1',
            ((-0.13,0.745),(-0.13,1.065),(0.13,1.065),(0.13,0.745),(-0.13,0.745)),
        )
        createRL(
            tech, net, 'via',
            ((3.275,0.83),(3.275,0.98),(3.425,0.98),(3.425,0.83),(3.275,0.83)),
        )
        createRL(
            tech, net, 'via',
            ((-0.075,0.83),(-0.075,0.98),(0.075,0.98),(0.075,0.83),(-0.075,0.83)),
        )
        createRL(
            tech, net, 'm2',
            ((-0.16,0.775),(-0.16,1.64),(3.51,1.64),(3.51,0.775),(3.19,0.775),(3.19,1.38),(0.16,1.38),(0.16,0.775),(-0.16,0.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.51), u(0.26), u(0.0), u(3.3500000000000005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.51), u(0.26), u(0.0), u(3.3500000000000005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'psdm',
            ((-0.33,0.57),(-0.33,1.24),(0.24,1.24),(0.24,1.51),(0.91,1.51),(0.91,1.24),(2.44,1.24),(2.44,1.51),(3.11,1.51),(3.11,1.24),(3.68,1.24),(3.68,0.57),(-0.33,0.57)),
        )
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,1.51),(3.35,1.51),(3.35,0.0),(0.0,0.0)),
        )
        net = nets['bl']
        createRL(
            tech, net, 'difftap',
            ((0.635,0.695),(0.635,1.115),(1.6,1.115),(1.6,0.695),(0.635,0.695)),
        )
        createRL(
            tech, net, 'licon',
            ((1.035,0.82),(1.035,0.99),(1.205,0.99),(1.205,0.82),(1.035,0.82)),
        )
        createRL(
            tech, net, 'li',
            ((0.49,0.74),(0.49,1.07),(1.205,1.07),(1.205,0.74),(0.49,0.74)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.49,0.82),(0.49,0.99),(0.66,0.99),(0.66,0.82),(0.49,0.82)),
        )
        createRL(
            tech, net, 'm1',
            ((0.46,0.0),(0.46,1.51),(0.69,1.51),(0.69,0.0),(0.46,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(0.575), u(0.23), u(0.0), u(1.51),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(0.575), u(0.23), u(0.0), u(1.51),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n']
        createRL(
            tech, net, 'difftap',
            ((1.75,0.695),(1.75,1.115),(2.715,1.115),(2.715,0.695),(1.75,0.695)),
        )
        createRL(
            tech, net, 'licon',
            ((2.145,0.82),(2.145,0.99),(2.315,0.99),(2.315,0.82),(2.145,0.82)),
        )
        createRL(
            tech, net, 'li',
            ((2.145,0.74),(2.145,1.07),(2.315,1.07),(2.315,0.74),(2.145,0.74)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.145,0.82),(2.145,0.99),(2.315,0.99),(2.315,0.82),(2.145,0.82)),
        )
        createRL(
            tech, net, 'm1',
            ((1.09,0.0),(1.09,1.51),(1.32,1.51),(1.32,1.05),(2.345,1.05),(2.345,0.76),(1.32,0.76),(1.32,0.0),(1.09,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(1.205), u(0.23), u(0.0), u(1.51),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(1.205), u(0.23), u(0.0), u(1.51),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        nets['vdd'].setGlobal(True)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['bl'].setDirection(Net.Direction.IN)
        nets['bl_n'].setDirection(Net.Direction.IN)
        nets['precharge_n'].setDirection(Net.Direction.IN)
    # Export failed for cell 'DP8TColMux_4C_bl1'
    cell = new_cells['DP8TSenseAmp_4M']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(13.400000000000002), u(10.0),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl': Net.create(cell, 'bl'),
            'bl_n': Net.create(cell, 'bl_n'),
            'q': Net.create(cell, 'q'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'li',
            ((0.0,0.0),(0.0,1.2),(13.4,1.2),(13.4,0.0),(0.0,0.0)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(0.6), u(1.2), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(0.6), u(1.2), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'li',
            ((0.0,8.8),(0.0,10.0),(13.4,10.0),(13.4,8.8),(0.0,8.8)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(9.4), u(1.2), u(0.0), u(13.400000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(9.4), u(1.2), u(0.0), u(13.400000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl']
        createRL(
            tech, net, 'li',
            ((4.415,6.05),(4.415,6.58),(4.585,6.58),(4.585,6.05),(4.415,6.05)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,6.05),(4.415,6.22),(4.585,6.22),(4.585,6.05),(4.415,6.05)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,6.41),(4.415,6.58),(4.585,6.58),(4.585,6.41),(4.415,6.41)),
        )
        createRL(
            tech, net, 'm1',
            ((6.585,0.0),(6.585,5.99),(4.385,5.99),(4.385,6.64),(6.585,6.64),(6.585,10.0),(6.815,10.0),(6.815,0.0),(6.585,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(6.7), u(0.23), u(0.0), u(10.0),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(6.7), u(0.23), u(0.0), u(10.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n']
        createRL(
            tech, net, 'li',
            ((0.415,6.05),(0.415,6.58),(0.585,6.58),(0.585,6.05),(0.415,6.05)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.415,6.05),(0.415,6.22),(0.585,6.22),(0.585,6.05),(0.415,6.05)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.415,6.41),(0.415,6.58),(0.585,6.58),(0.585,6.41),(0.415,6.41)),
        )
        createRL(
            tech, net, 'm1',
            ((3.235,0.0),(3.235,5.99),(0.385,5.99),(0.385,6.64),(3.235,6.64),(3.235,10.0),(3.465,10.0),(3.465,0.0),(3.235,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(3.35), u(0.23), u(0.0), u(10.0),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(3.35), u(0.23), u(0.0), u(10.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q']
        createRL(
            tech, net, 'li',
            ((1.415,1.37),(1.415,8.63),(1.585,8.63),(1.585,1.37),(1.415,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(1.5), u(0.17), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(1.5), u(0.17), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,10.0),(13.4,10.0),(13.4,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['bl'].setDirection(Net.Direction.IN)
        nets['bl_n'].setDirection(Net.Direction.IN)
        nets['q'].setDirection(Net.Direction.OUT)
        try:
            subcell = new_cells['nsnrlatch_x1']
        except:
            subcell = af.getCell('nsnrlatch_x1', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'latch', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['tie']
        except:
            subcell = af.getCell('tie', 0)
        trans = Transformation(
            u(5.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'tie', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
    # Export failed for cell 'DP8TWriteDriver_4M2B'
    cell = new_cells['DP8TClockWE']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(20.0), u(10.0),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'clklow': Net.create(cell, 'clklow'),
            'clkup': Net.create(cell, 'clkup'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'we': Net.create(cell, 'we'),
            'we_en': Net.create(cell, 'we_en'),
            'we_latched': Net.create(cell, 'we_latched'),
            'we_n': Net.create(cell, 'we_n'),
        }
        net = nets['clkup']
        createRL(
            tech, net, 'li',
            ((0.695,1.37),(0.695,8.63),(0.865,8.63),(0.865,1.37),(0.695,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(0.78), u(0.17), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(0.78), u(0.17), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we']
        createRL(
            tech, net, 'li',
            ((7.415,1.37),(7.415,8.63),(7.585,8.63),(7.585,1.37),(7.415,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(7.5), u(0.17), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(7.5), u(0.17), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_en']
        createRL(
            tech, net, 'li',
            ((18.495,1.37),(18.495,8.63),(18.665,8.63),(18.665,1.37),(18.495,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(18.58), u(0.17), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(18.58), u(0.17), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_n']
        createRL(
            tech, net, 'li',
            ((19.4,1.37),(19.4,8.63),(19.57,8.63),(19.57,1.37),(19.4,1.37)),
        )
        Vertical.create(
            net, tech.getLayer('li.pin'),
            u(19.485), u(0.17), u(1.37), u(8.63),
        )
        pin = Vertical.create(
            net, tech.getLayer('li'),
            u(19.485), u(0.17), u(1.37), u(8.63),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clklow']
        createRL(
            tech, net, 'li',
            ((1.36,4.735),(1.36,5.265),(1.53,5.265),(1.53,4.735),(1.36,4.735)),
        )
        createRL(
            tech, net, 'li',
            ((4.415,4.735),(4.415,5.265),(4.585,5.265),(4.585,4.735),(4.415,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.36,4.735),(1.36,4.905),(1.53,4.905),(1.53,4.735),(1.36,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.36,5.095),(1.36,5.265),(1.53,5.265),(1.53,5.095),(1.36,5.095)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,4.735),(4.415,4.905),(4.585,4.905),(4.585,4.735),(4.415,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,5.095),(4.415,5.265),(4.585,5.265),(4.585,5.095),(4.415,5.095)),
        )
        createRL(
            tech, net, 'm1',
            ((1.33,4.675),(1.33,5.325),(4.615,5.325),(4.615,4.675),(1.33,4.675)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(5.0), u(0.65), u(1.33), u(4.615),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(5.0), u(0.65), u(1.33), u(4.615),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_latched']
        createRL(
            tech, net, 'li',
            ((19.05,4.735),(19.05,5.265),(19.22,5.265),(19.22,4.735),(19.05,4.735)),
        )
        createRL(
            tech, net, 'li',
            ((16.415,4.735),(16.415,5.265),(16.585,5.265),(16.585,4.735),(16.415,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.415,4.735),(16.415,4.905),(16.585,4.905),(16.585,4.735),(16.415,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((16.415,5.095),(16.415,5.265),(16.585,5.265),(16.585,5.095),(16.415,5.095)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.05,4.735),(19.05,4.905),(19.22,4.905),(19.22,4.735),(19.05,4.735)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.05,5.095),(19.05,5.265),(19.22,5.265),(19.22,5.095),(19.05,5.095)),
        )
        createRL(
            tech, net, 'm1',
            ((16.385,4.675),(16.385,5.325),(19.25,5.325),(19.25,4.675),(16.385,4.675)),
        )
        net = nets['vss']
        createRL(
            tech, net, 'li',
            ((0.0,0.0),(0.0,1.2),(20.0,1.2),(20.0,0.0),(0.0,0.0)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(0.6), u(1.2), u(0.0), u(20.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(0.6), u(1.2), u(0.0), u(20.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'li',
            ((0.0,8.8),(0.0,10.0),(20.0,10.0),(20.0,8.8),(0.0,8.8)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(9.4), u(1.2), u(0.0), u(20.0),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(9.4), u(1.2), u(0.0), u(20.0),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,10.0),(20.0,10.0),(20.0,0.0),(0.0,0.0)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['clkup'].setDirection(Net.Direction.IN)
        nets['clklow'].setDirection(Net.Direction.IN)
        nets['we'].setDirection(Net.Direction.IN)
        nets['we_en'].setDirection(Net.Direction.IN)
        nets['we_n'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['buf_x2']
        except:
            subcell = af.getCell('buf_x2', 0)
        trans = Transformation(
            u(0.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'clkbuf', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['sff1_x4']
        except:
            subcell = af.getCell('sff1_x4', 0)
        trans = Transformation(
            u(3.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'weff', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['nand2_x0']
        except:
            subcell = af.getCell('nand2_x0', 0)
        trans = Transformation(
            u(18.0), u(0.0), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'wenand', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TColumnPeriphery_8B4M_bl2']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(-63.045), u(107.20000000000002), u(0.0),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'clk': Net.create(cell, 'clk'),
            'd[0]': Net.create(cell, 'd[0]'),
            'd[1]': Net.create(cell, 'd[1]'),
            'd[2]': Net.create(cell, 'd[2]'),
            'd[3]': Net.create(cell, 'd[3]'),
            'd[4]': Net.create(cell, 'd[4]'),
            'd[5]': Net.create(cell, 'd[5]'),
            'd[6]': Net.create(cell, 'd[6]'),
            'd[7]': Net.create(cell, 'd[7]'),
            'intclk': Net.create(cell, 'intclk'),
            'mux[0]': Net.create(cell, 'mux[0]'),
            'mux[1]': Net.create(cell, 'mux[1]'),
            'mux[2]': Net.create(cell, 'mux[2]'),
            'mux[3]': Net.create(cell, 'mux[3]'),
            'precharge_n': Net.create(cell, 'precharge_n'),
            'q[0]': Net.create(cell, 'q[0]'),
            'q[1]': Net.create(cell, 'q[1]'),
            'q[2]': Net.create(cell, 'q[2]'),
            'q[3]': Net.create(cell, 'q[3]'),
            'q[4]': Net.create(cell, 'q[4]'),
            'q[5]': Net.create(cell, 'q[5]'),
            'q[6]': Net.create(cell, 'q[6]'),
            'q[7]': Net.create(cell, 'q[7]'),
            'vdd': Net.create(cell, 'vdd'),
            'vss': Net.create(cell, 'vss'),
            'we': Net.create(cell, 'we'),
            'we_en': Net.create(cell, 'we_en'),
            'we_n': Net.create(cell, 'we_n'),
        }
        net = nets['vss']
        createRL(
            tech, net, 'm2',
            ((0.0,-13.965),(0.0,-13.325),(107.2,-13.325),(107.2,-13.965),(0.0,-13.965)),
        )
        createRL(
            tech, net, 'm2',
            ((-0.13,-4.335),(-0.13,-3.695),(107.33,-3.695),(107.33,-4.335),(-0.13,-4.335)),
        )
        createRL(
            tech, net, 'm2',
            ((26.51,-53.365),(26.51,-14.885),(27.09,-14.885),(27.09,-53.365),(26.51,-53.365)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-13.645), u(0.64), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-13.645), u(0.64), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-4.015), u(0.64), u(-0.13), u(107.33),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-4.015), u(0.64), u(-0.13), u(107.33),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        createRL(
            tech, net, 'li',
            ((0.0,-54.245),(0.0,-53.045),(26.535,-53.045),(26.535,-52.78),(27.065,-52.78),(27.065,-53.045),(107.2,-53.045),(107.2,-54.245),(0.0,-54.245)),
        )
        createRL(
            tech, net, 'li',
            ((26.535,-33.31),(26.535,-32.78),(27.065,-32.78),(27.065,-33.31),(26.535,-33.31)),
        )
        createRL(
            tech, net, 'li',
            ((26.535,-13.91),(26.535,-13.38),(27.065,-13.38),(27.065,-13.91),(26.535,-13.91)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.535,-53.31),(26.535,-53.14),(26.705,-53.14),(26.705,-53.31),(26.535,-53.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.895,-53.31),(26.895,-53.14),(27.065,-53.14),(27.065,-53.31),(26.895,-53.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.535,-52.95),(26.535,-52.78),(26.705,-52.78),(26.705,-52.95),(26.535,-52.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.895,-52.95),(26.895,-52.78),(27.065,-52.78),(27.065,-52.95),(26.895,-52.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.535,-33.31),(26.535,-33.14),(26.705,-33.14),(26.705,-33.31),(26.535,-33.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.895,-33.31),(26.895,-33.14),(27.065,-33.14),(27.065,-33.31),(26.895,-33.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.535,-32.95),(26.535,-32.78),(26.705,-32.78),(26.705,-32.95),(26.535,-32.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.895,-32.95),(26.895,-32.78),(27.065,-32.78),(27.065,-32.95),(26.895,-32.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.535,-13.91),(26.535,-13.74),(26.705,-13.74),(26.705,-13.91),(26.535,-13.91)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.895,-13.91),(26.895,-13.74),(27.065,-13.74),(27.065,-13.91),(26.895,-13.91)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.535,-13.55),(26.535,-13.38),(26.705,-13.38),(26.705,-13.55),(26.535,-13.55)),
        )
        createRL(
            tech, net, 'mcon',
            ((26.895,-13.55),(26.895,-13.38),(27.065,-13.38),(27.065,-13.55),(26.895,-13.55)),
        )
        createRL(
            tech, net, 'm1',
            ((26.505,-53.37),(26.505,-52.72),(27.095,-52.72),(27.095,-53.37),(26.505,-53.37)),
        )
        createRL(
            tech, net, 'm1',
            ((26.51,-15.525),(26.51,-13.97),(26.505,-13.97),(26.505,-13.32),(27.095,-13.32),(27.095,-13.97),(27.09,-13.97),(27.09,-15.525),(26.51,-15.525)),
        )
        createRL(
            tech, net, 'm1',
            ((26.505,-33.37),(26.505,-32.72),(27.095,-32.72),(27.095,-33.37),(26.505,-33.37)),
        )
        createRL(
            tech, net, 'via',
            ((26.565,-53.28),(26.565,-53.13),(26.715,-53.13),(26.715,-53.28),(26.565,-53.28)),
        )
        createRL(
            tech, net, 'via',
            ((26.885,-53.28),(26.885,-53.13),(27.035,-53.13),(27.035,-53.28),(26.885,-53.28)),
        )
        createRL(
            tech, net, 'via',
            ((26.565,-52.96),(26.565,-52.81),(26.715,-52.81),(26.715,-52.96),(26.565,-52.96)),
        )
        createRL(
            tech, net, 'via',
            ((26.885,-52.96),(26.885,-52.81),(27.035,-52.81),(27.035,-52.96),(26.885,-52.96)),
        )
        createRL(
            tech, net, 'via',
            ((26.565,-13.88),(26.565,-13.73),(26.715,-13.73),(26.715,-13.88),(26.565,-13.88)),
        )
        createRL(
            tech, net, 'via',
            ((26.885,-13.88),(26.885,-13.73),(27.035,-13.73),(27.035,-13.88),(26.885,-13.88)),
        )
        createRL(
            tech, net, 'via',
            ((26.565,-13.56),(26.565,-13.41),(26.715,-13.41),(26.715,-13.56),(26.565,-13.56)),
        )
        createRL(
            tech, net, 'via',
            ((26.885,-13.56),(26.885,-13.41),(27.035,-13.41),(27.035,-13.56),(26.885,-13.56)),
        )
        createRL(
            tech, net, 'via',
            ((26.565,-33.28),(26.565,-33.13),(26.715,-33.13),(26.715,-33.28),(26.565,-33.28)),
        )
        createRL(
            tech, net, 'via',
            ((26.885,-33.28),(26.885,-33.13),(27.035,-33.13),(27.035,-33.28),(26.885,-33.28)),
        )
        createRL(
            tech, net, 'via',
            ((26.565,-32.96),(26.565,-32.81),(26.715,-32.81),(26.715,-32.96),(26.565,-32.96)),
        )
        createRL(
            tech, net, 'via',
            ((26.885,-32.96),(26.885,-32.81),(27.035,-32.81),(27.035,-32.96),(26.885,-32.96)),
        )
        createRL(
            tech, net, 'via',
            ((26.565,-15.44),(26.565,-15.29),(26.715,-15.29),(26.715,-15.44),(26.565,-15.44)),
        )
        createRL(
            tech, net, 'via',
            ((26.885,-15.44),(26.885,-15.29),(27.035,-15.29),(27.035,-15.44),(26.885,-15.44)),
        )
        createRL(
            tech, net, 'via',
            ((26.565,-15.12),(26.565,-14.97),(26.715,-14.97),(26.715,-15.12),(26.565,-15.12)),
        )
        createRL(
            tech, net, 'via',
            ((26.885,-15.12),(26.885,-14.97),(27.035,-14.97),(27.035,-15.12),(26.885,-15.12)),
        )
        net = nets['vdd']
        createRL(
            tech, net, 'm2',
            ((53.31,-62.765),(53.31,-14.745),(0.0,-14.745),(0.0,-14.105),(107.2,-14.105),(107.2,-14.745),(53.89,-14.745),(53.89,-62.765),(53.31,-62.765)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,-0.13),(0.0,0.13),(107.2,0.13),(107.2,-0.13),(0.0,-0.13)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.0), u(0.26), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.0), u(0.26), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-14.425), u(0.64), u(0.0), u(107.19999999999999),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-14.425), u(0.64), u(0.0), u(107.19999999999999),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        createRL(
            tech, net, 'li',
            ((0.0,-63.045),(0.0,-61.845),(107.2,-61.845),(107.2,-63.045),(0.0,-63.045)),
        )
        createRL(
            tech, net, 'li',
            ((53.335,-23.31),(53.335,-22.78),(53.865,-22.78),(53.865,-23.31),(53.335,-23.31)),
        )
        createRL(
            tech, net, 'li',
            ((53.335,-43.31),(53.335,-42.78),(53.865,-42.78),(53.865,-43.31),(53.335,-43.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.335,-62.71),(53.335,-62.54),(53.505,-62.54),(53.505,-62.71),(53.335,-62.71)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.695,-62.71),(53.695,-62.54),(53.865,-62.54),(53.865,-62.71),(53.695,-62.71)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.335,-62.35),(53.335,-62.18),(53.505,-62.18),(53.505,-62.35),(53.335,-62.35)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.695,-62.35),(53.695,-62.18),(53.865,-62.18),(53.865,-62.35),(53.695,-62.35)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.335,-23.31),(53.335,-23.14),(53.505,-23.14),(53.505,-23.31),(53.335,-23.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.695,-23.31),(53.695,-23.14),(53.865,-23.14),(53.865,-23.31),(53.695,-23.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.335,-22.95),(53.335,-22.78),(53.505,-22.78),(53.505,-22.95),(53.335,-22.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.695,-22.95),(53.695,-22.78),(53.865,-22.78),(53.865,-22.95),(53.695,-22.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.335,-43.31),(53.335,-43.14),(53.505,-43.14),(53.505,-43.31),(53.335,-43.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.695,-43.31),(53.695,-43.14),(53.865,-43.14),(53.865,-43.31),(53.695,-43.31)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.335,-42.95),(53.335,-42.78),(53.505,-42.78),(53.505,-42.95),(53.335,-42.95)),
        )
        createRL(
            tech, net, 'mcon',
            ((53.695,-42.95),(53.695,-42.78),(53.865,-42.78),(53.865,-42.95),(53.695,-42.95)),
        )
        createRL(
            tech, net, 'm1',
            ((53.305,-62.77),(53.305,-62.12),(53.895,-62.12),(53.895,-62.77),(53.305,-62.77)),
        )
        createRL(
            tech, net, 'm1',
            ((53.305,-23.37),(53.305,-22.72),(53.895,-22.72),(53.895,-23.37),(53.305,-23.37)),
        )
        createRL(
            tech, net, 'm1',
            ((53.305,-43.37),(53.305,-42.72),(53.895,-42.72),(53.895,-43.37),(53.305,-43.37)),
        )
        createRL(
            tech, net, 'via',
            ((53.365,-62.68),(53.365,-62.53),(53.515,-62.53),(53.515,-62.68),(53.365,-62.68)),
        )
        createRL(
            tech, net, 'via',
            ((53.685,-62.68),(53.685,-62.53),(53.835,-62.53),(53.835,-62.68),(53.685,-62.68)),
        )
        createRL(
            tech, net, 'via',
            ((53.365,-62.36),(53.365,-62.21),(53.515,-62.21),(53.515,-62.36),(53.365,-62.36)),
        )
        createRL(
            tech, net, 'via',
            ((53.685,-62.36),(53.685,-62.21),(53.835,-62.21),(53.835,-62.36),(53.685,-62.36)),
        )
        createRL(
            tech, net, 'via',
            ((53.365,-23.28),(53.365,-23.13),(53.515,-23.13),(53.515,-23.28),(53.365,-23.28)),
        )
        createRL(
            tech, net, 'via',
            ((53.685,-23.28),(53.685,-23.13),(53.835,-23.13),(53.835,-23.28),(53.685,-23.28)),
        )
        createRL(
            tech, net, 'via',
            ((53.365,-22.96),(53.365,-22.81),(53.515,-22.81),(53.515,-22.96),(53.365,-22.96)),
        )
        createRL(
            tech, net, 'via',
            ((53.685,-22.96),(53.685,-22.81),(53.835,-22.81),(53.835,-22.96),(53.685,-22.96)),
        )
        createRL(
            tech, net, 'via',
            ((53.365,-43.28),(53.365,-43.13),(53.515,-43.13),(53.515,-43.28),(53.365,-43.28)),
        )
        createRL(
            tech, net, 'via',
            ((53.685,-43.28),(53.685,-43.13),(53.835,-43.13),(53.835,-43.28),(53.685,-43.28)),
        )
        createRL(
            tech, net, 'via',
            ((53.365,-42.96),(53.365,-42.81),(53.515,-42.81),(53.515,-42.96),(53.365,-42.96)),
        )
        createRL(
            tech, net, 'via',
            ((53.685,-42.96),(53.685,-42.81),(53.835,-42.81),(53.835,-42.96),(53.685,-42.96)),
        )
        net = nets['precharge_n']
        createRL(
            tech, net, 'm2',
            ((0.0,-1.265),(0.0,-1.005),(107.2,-1.005),(107.2,-1.265),(0.0,-1.265)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-1.135), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-1.135), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[0]']
        createRL(
            tech, net, 'm2',
            ((0.0,-12.715),(0.0,-12.455),(107.2,-12.455),(107.2,-12.715),(0.0,-12.715)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-12.585), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-12.585), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[1]']
        createRL(
            tech, net, 'm2',
            ((0.0,-12.255),(0.0,-11.995),(107.2,-11.995),(107.2,-12.255),(0.0,-12.255)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-12.125), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-12.125), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[2]']
        createRL(
            tech, net, 'm2',
            ((0.0,-11.795),(0.0,-11.535),(107.2,-11.535),(107.2,-11.795),(0.0,-11.795)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-11.665), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-11.665), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['mux[3]']
        createRL(
            tech, net, 'm2',
            ((0.0,-11.335),(0.0,-11.075),(107.2,-11.075),(107.2,-11.335),(0.0,-11.335)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(-11.205), u(0.26), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(-11.205), u(0.26), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we']
        createRL(
            tech, net, 'li',
            ((7.415,-61.675),(7.415,-61.145),(7.585,-61.145),(7.585,-61.675),(7.415,-61.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((7.415,-61.675),(7.415,-61.505),(7.585,-61.505),(7.585,-61.675),(7.415,-61.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((7.415,-61.315),(7.415,-61.145),(7.585,-61.145),(7.585,-61.315),(7.415,-61.315)),
        )
        createRL(
            tech, net, 'm1',
            ((7.385,-61.735),(7.385,-61.73),(7.37,-61.73),(7.37,-61.09),(7.385,-61.09),(7.385,-61.085),(7.615,-61.085),(7.615,-61.09),(7.63,-61.09),(7.63,-61.73),(7.615,-61.73),(7.615,-61.735),(7.385,-61.735)),
        )
        createRL(
            tech, net, 'via',
            ((7.425,-61.645),(7.425,-61.495),(7.575,-61.495),(7.575,-61.645),(7.425,-61.645)),
        )
        createRL(
            tech, net, 'via',
            ((7.425,-61.325),(7.425,-61.175),(7.575,-61.175),(7.575,-61.325),(7.425,-61.325)),
        )
        createRL(
            tech, net, 'm2',
            ((7.37,-63.045),(7.37,-61.09),(7.63,-61.09),(7.63,-63.045),(7.37,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(7.5), u(0.26), u(-63.045), u(-61.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(7.5), u(0.26), u(-63.045), u(-61.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['clk']
        createRL(
            tech, net, 'li',
            ((0.695,-60.885),(0.695,-60.355),(0.865,-60.355),(0.865,-60.885),(0.695,-60.885)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.695,-60.885),(0.695,-60.715),(0.865,-60.715),(0.865,-60.885),(0.695,-60.885)),
        )
        createRL(
            tech, net, 'mcon',
            ((0.695,-60.525),(0.695,-60.355),(0.865,-60.355),(0.865,-60.525),(0.695,-60.525)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,-60.945),(0.0,-60.295),(107.2,-60.295),(107.2,-60.945),(0.0,-60.945)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(-60.62), u(0.65), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(-60.62), u(0.65), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_en']
        createRL(
            tech, net, 'li',
            ((18.495,-59.955),(18.495,-59.425),(18.665,-59.425),(18.665,-59.955),(18.495,-59.955)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.495,-59.955),(18.495,-59.785),(18.665,-59.785),(18.665,-59.955),(18.495,-59.955)),
        )
        createRL(
            tech, net, 'mcon',
            ((18.495,-59.595),(18.495,-59.425),(18.665,-59.425),(18.665,-59.595),(18.495,-59.595)),
        )
        createRL(
            tech, net, 'm1',
            ((0.0,-60.015),(0.0,-59.365),(107.2,-59.365),(107.2,-60.015),(0.0,-60.015)),
        )
        Horizontal.create(
            net, tech.getLayer('m1.pin'),
            u(-59.69), u(0.65), u(0.0), u(107.20000000000002),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m1'),
            u(-59.69), u(0.65), u(0.0), u(107.20000000000002),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['we_n']
        createRL(
            tech, net, 'm1',
            ((1.02,-30.565),(1.02,-29.915),(99.05,-29.915),(99.05,-30.565),(1.02,-30.565)),
        )
        createRL(
            tech, net, 'm1',
            ((19.37,-55.005),(19.37,-55.0),(19.355,-55.0),(19.355,-54.36),(19.37,-54.36),(19.37,-54.355),(19.6,-54.355),(19.6,-54.36),(19.615,-54.36),(19.615,-55.0),(19.6,-55.0),(19.6,-55.005),(19.37,-55.005)),
        )
        createRL(
            tech, net, 'li',
            ((19.4,-54.945),(19.4,-54.415),(19.57,-54.415),(19.57,-54.945),(19.4,-54.945)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.4,-54.945),(19.4,-54.775),(19.57,-54.775),(19.57,-54.945),(19.4,-54.945)),
        )
        createRL(
            tech, net, 'mcon',
            ((19.4,-54.585),(19.4,-54.415),(19.57,-54.415),(19.57,-54.585),(19.4,-54.585)),
        )
        createRL(
            tech, net, 'via',
            ((19.41,-30.475),(19.41,-30.325),(19.56,-30.325),(19.56,-30.475),(19.41,-30.475)),
        )
        createRL(
            tech, net, 'via',
            ((19.41,-30.155),(19.41,-30.005),(19.56,-30.005),(19.56,-30.155),(19.41,-30.155)),
        )
        createRL(
            tech, net, 'via',
            ((19.41,-54.915),(19.41,-54.765),(19.56,-54.765),(19.56,-54.915),(19.41,-54.915)),
        )
        createRL(
            tech, net, 'via',
            ((19.41,-54.595),(19.41,-54.445),(19.56,-54.445),(19.56,-54.595),(19.41,-54.595)),
        )
        createRL(
            tech, net, 'm2',
            ((19.355,-55.0),(19.355,-29.92),(19.615,-29.92),(19.615,-55.0),(19.355,-55.0)),
        )
        net = nets['intclk']
        createRL(
            tech, net, 'm1',
            ((1.33,-58.045),(1.33,-55.145),(1.385,-55.145),(1.385,-37.72),(1.615,-37.72),(1.615,-55.145),(28.185,-55.145),(28.185,-37.72),(28.415,-37.72),(28.415,-55.145),(54.985,-55.145),(54.985,-37.72),(55.215,-37.72),(55.215,-55.145),(81.785,-55.145),(81.785,-37.72),(82.015,-37.72),(82.015,-55.795),(1.98,-55.795),(1.98,-58.045),(1.33,-58.045)),
        )
        net = nets['q[0]']
        createRL(
            tech, net, 'li',
            ((1.415,-21.675),(1.415,-21.145),(1.585,-21.145),(1.585,-21.675),(1.415,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.415,-21.675),(1.415,-21.505),(1.585,-21.505),(1.585,-21.675),(1.415,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.415,-21.315),(1.415,-21.145),(1.585,-21.145),(1.585,-21.315),(1.415,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((1.385,-21.735),(1.385,-21.73),(1.37,-21.73),(1.37,-21.09),(1.385,-21.09),(1.385,-21.085),(1.615,-21.085),(1.615,-21.09),(1.63,-21.09),(1.63,-21.73),(1.615,-21.73),(1.615,-21.735),(1.385,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((1.425,-21.645),(1.425,-21.495),(1.575,-21.495),(1.575,-21.645),(1.425,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((1.425,-21.325),(1.425,-21.175),(1.575,-21.175),(1.575,-21.325),(1.425,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((1.37,-63.045),(1.37,-21.09),(1.63,-21.09),(1.63,-63.045),(1.37,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(1.5), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(1.5), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[1]']
        createRL(
            tech, net, 'li',
            ((14.815,-21.675),(14.815,-21.145),(14.985,-21.145),(14.985,-21.675),(14.815,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((14.815,-21.675),(14.815,-21.505),(14.985,-21.505),(14.985,-21.675),(14.815,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((14.815,-21.315),(14.815,-21.145),(14.985,-21.145),(14.985,-21.315),(14.815,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((14.785,-21.735),(14.785,-21.73),(14.77,-21.73),(14.77,-21.09),(14.785,-21.09),(14.785,-21.085),(15.015,-21.085),(15.015,-21.09),(15.03,-21.09),(15.03,-21.73),(15.015,-21.73),(15.015,-21.735),(14.785,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((14.825,-21.645),(14.825,-21.495),(14.975,-21.495),(14.975,-21.645),(14.825,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((14.825,-21.325),(14.825,-21.175),(14.975,-21.175),(14.975,-21.325),(14.825,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((14.77,-63.045),(14.77,-21.09),(15.03,-21.09),(15.03,-63.045),(14.77,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(14.9), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(14.9), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[2]']
        createRL(
            tech, net, 'li',
            ((28.215,-21.675),(28.215,-21.145),(28.385,-21.145),(28.385,-21.675),(28.215,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((28.215,-21.675),(28.215,-21.505),(28.385,-21.505),(28.385,-21.675),(28.215,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((28.215,-21.315),(28.215,-21.145),(28.385,-21.145),(28.385,-21.315),(28.215,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((28.185,-21.735),(28.185,-21.73),(28.17,-21.73),(28.17,-21.09),(28.185,-21.09),(28.185,-21.085),(28.415,-21.085),(28.415,-21.09),(28.43,-21.09),(28.43,-21.73),(28.415,-21.73),(28.415,-21.735),(28.185,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((28.225,-21.645),(28.225,-21.495),(28.375,-21.495),(28.375,-21.645),(28.225,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((28.225,-21.325),(28.225,-21.175),(28.375,-21.175),(28.375,-21.325),(28.225,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((28.17,-63.045),(28.17,-21.09),(28.43,-21.09),(28.43,-63.045),(28.17,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(28.3), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(28.3), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[3]']
        createRL(
            tech, net, 'li',
            ((41.615,-21.675),(41.615,-21.145),(41.785,-21.145),(41.785,-21.675),(41.615,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((41.615,-21.675),(41.615,-21.505),(41.785,-21.505),(41.785,-21.675),(41.615,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((41.615,-21.315),(41.615,-21.145),(41.785,-21.145),(41.785,-21.315),(41.615,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((41.585,-21.735),(41.585,-21.73),(41.57,-21.73),(41.57,-21.09),(41.585,-21.09),(41.585,-21.085),(41.815,-21.085),(41.815,-21.09),(41.83,-21.09),(41.83,-21.73),(41.815,-21.73),(41.815,-21.735),(41.585,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((41.625,-21.645),(41.625,-21.495),(41.775,-21.495),(41.775,-21.645),(41.625,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((41.625,-21.325),(41.625,-21.175),(41.775,-21.175),(41.775,-21.325),(41.625,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((41.57,-63.045),(41.57,-21.09),(41.83,-21.09),(41.83,-63.045),(41.57,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(41.7), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(41.7), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[4]']
        createRL(
            tech, net, 'li',
            ((55.015,-21.675),(55.015,-21.145),(55.185,-21.145),(55.185,-21.675),(55.015,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((55.015,-21.675),(55.015,-21.505),(55.185,-21.505),(55.185,-21.675),(55.015,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((55.015,-21.315),(55.015,-21.145),(55.185,-21.145),(55.185,-21.315),(55.015,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((54.985,-21.735),(54.985,-21.73),(54.97,-21.73),(54.97,-21.09),(54.985,-21.09),(54.985,-21.085),(55.215,-21.085),(55.215,-21.09),(55.23,-21.09),(55.23,-21.73),(55.215,-21.73),(55.215,-21.735),(54.985,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((55.025,-21.645),(55.025,-21.495),(55.175,-21.495),(55.175,-21.645),(55.025,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((55.025,-21.325),(55.025,-21.175),(55.175,-21.175),(55.175,-21.325),(55.025,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((54.97,-63.045),(54.97,-21.09),(55.23,-21.09),(55.23,-63.045),(54.97,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(55.1), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(55.1), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[5]']
        createRL(
            tech, net, 'li',
            ((68.415,-21.675),(68.415,-21.145),(68.585,-21.145),(68.585,-21.675),(68.415,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((68.415,-21.675),(68.415,-21.505),(68.585,-21.505),(68.585,-21.675),(68.415,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((68.415,-21.315),(68.415,-21.145),(68.585,-21.145),(68.585,-21.315),(68.415,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((68.385,-21.735),(68.385,-21.73),(68.37,-21.73),(68.37,-21.09),(68.385,-21.09),(68.385,-21.085),(68.615,-21.085),(68.615,-21.09),(68.63,-21.09),(68.63,-21.73),(68.615,-21.73),(68.615,-21.735),(68.385,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((68.425,-21.645),(68.425,-21.495),(68.575,-21.495),(68.575,-21.645),(68.425,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((68.425,-21.325),(68.425,-21.175),(68.575,-21.175),(68.575,-21.325),(68.425,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((68.37,-63.045),(68.37,-21.09),(68.63,-21.09),(68.63,-63.045),(68.37,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(68.5), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(68.5), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[6]']
        createRL(
            tech, net, 'li',
            ((81.815,-21.675),(81.815,-21.145),(81.985,-21.145),(81.985,-21.675),(81.815,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((81.815,-21.675),(81.815,-21.505),(81.985,-21.505),(81.985,-21.675),(81.815,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((81.815,-21.315),(81.815,-21.145),(81.985,-21.145),(81.985,-21.315),(81.815,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((81.785,-21.735),(81.785,-21.73),(81.77,-21.73),(81.77,-21.09),(81.785,-21.09),(81.785,-21.085),(82.015,-21.085),(82.015,-21.09),(82.03,-21.09),(82.03,-21.73),(82.015,-21.73),(82.015,-21.735),(81.785,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((81.825,-21.645),(81.825,-21.495),(81.975,-21.495),(81.975,-21.645),(81.825,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((81.825,-21.325),(81.825,-21.175),(81.975,-21.175),(81.975,-21.325),(81.825,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((81.77,-63.045),(81.77,-21.09),(82.03,-21.09),(82.03,-63.045),(81.77,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(81.9), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(81.9), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['q[7]']
        createRL(
            tech, net, 'li',
            ((95.215,-21.675),(95.215,-21.145),(95.385,-21.145),(95.385,-21.675),(95.215,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((95.215,-21.675),(95.215,-21.505),(95.385,-21.505),(95.385,-21.675),(95.215,-21.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((95.215,-21.315),(95.215,-21.145),(95.385,-21.145),(95.385,-21.315),(95.215,-21.315)),
        )
        createRL(
            tech, net, 'm1',
            ((95.185,-21.735),(95.185,-21.73),(95.17,-21.73),(95.17,-21.09),(95.185,-21.09),(95.185,-21.085),(95.415,-21.085),(95.415,-21.09),(95.43,-21.09),(95.43,-21.73),(95.415,-21.73),(95.415,-21.735),(95.185,-21.735)),
        )
        createRL(
            tech, net, 'via',
            ((95.225,-21.645),(95.225,-21.495),(95.375,-21.495),(95.375,-21.645),(95.225,-21.645)),
        )
        createRL(
            tech, net, 'via',
            ((95.225,-21.325),(95.225,-21.175),(95.375,-21.175),(95.375,-21.325),(95.225,-21.325)),
        )
        createRL(
            tech, net, 'm2',
            ((95.17,-63.045),(95.17,-21.09),(95.43,-21.09),(95.43,-63.045),(95.17,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(95.3), u(0.26), u(-63.045), u(-21.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(95.3), u(0.26), u(-63.045), u(-21.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[0]']
        createRL(
            tech, net, 'li',
            ((4.415,-51.675),(4.415,-51.145),(4.585,-51.145),(4.585,-51.675),(4.415,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,-51.675),(4.415,-51.505),(4.585,-51.505),(4.585,-51.675),(4.415,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,-51.315),(4.415,-51.145),(4.585,-51.145),(4.585,-51.315),(4.415,-51.315)),
        )
        createRL(
            tech, net, 'm1',
            ((4.385,-51.735),(4.385,-51.73),(4.37,-51.73),(4.37,-51.09),(4.385,-51.09),(4.385,-51.085),(4.615,-51.085),(4.615,-51.09),(4.63,-51.09),(4.63,-51.73),(4.615,-51.73),(4.615,-51.735),(4.385,-51.735)),
        )
        createRL(
            tech, net, 'via',
            ((4.425,-51.645),(4.425,-51.495),(4.575,-51.495),(4.575,-51.645),(4.425,-51.645)),
        )
        createRL(
            tech, net, 'via',
            ((4.425,-51.325),(4.425,-51.175),(4.575,-51.175),(4.575,-51.325),(4.425,-51.325)),
        )
        createRL(
            tech, net, 'm2',
            ((4.37,-63.045),(4.37,-51.09),(4.63,-51.09),(4.63,-63.045),(4.37,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(4.5), u(0.26), u(-63.045), u(-51.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(4.5), u(0.26), u(-63.045), u(-51.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[1]']
        createRL(
            tech, net, 'li',
            ((4.415,-41.675),(4.415,-41.145),(4.585,-41.145),(4.585,-41.675),(4.415,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,-41.675),(4.415,-41.505),(4.585,-41.505),(4.585,-41.675),(4.415,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((4.415,-41.315),(4.415,-41.145),(4.585,-41.145),(4.585,-41.315),(4.415,-41.315)),
        )
        createRL(
            tech, net, 'm1',
            ((4.385,-41.735),(4.385,-41.085),(5.14,-41.085),(5.14,-41.735),(4.385,-41.735)),
        )
        createRL(
            tech, net, 'via',
            ((4.935,-41.645),(4.935,-41.495),(5.085,-41.495),(5.085,-41.645),(4.935,-41.645)),
        )
        createRL(
            tech, net, 'via',
            ((4.935,-41.325),(4.935,-41.175),(5.085,-41.175),(5.085,-41.325),(4.935,-41.325)),
        )
        createRL(
            tech, net, 'm2',
            ((4.88,-63.045),(4.88,-41.09),(5.14,-41.09),(5.14,-63.045),(4.88,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(5.01), u(0.26), u(-63.045), u(-41.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(5.01), u(0.26), u(-63.045), u(-41.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[2]']
        createRL(
            tech, net, 'li',
            ((31.215,-51.675),(31.215,-51.145),(31.385,-51.145),(31.385,-51.675),(31.215,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((31.215,-51.675),(31.215,-51.505),(31.385,-51.505),(31.385,-51.675),(31.215,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((31.215,-51.315),(31.215,-51.145),(31.385,-51.145),(31.385,-51.315),(31.215,-51.315)),
        )
        createRL(
            tech, net, 'm1',
            ((31.185,-51.735),(31.185,-51.73),(31.17,-51.73),(31.17,-51.09),(31.185,-51.09),(31.185,-51.085),(31.415,-51.085),(31.415,-51.09),(31.43,-51.09),(31.43,-51.73),(31.415,-51.73),(31.415,-51.735),(31.185,-51.735)),
        )
        createRL(
            tech, net, 'via',
            ((31.225,-51.645),(31.225,-51.495),(31.375,-51.495),(31.375,-51.645),(31.225,-51.645)),
        )
        createRL(
            tech, net, 'via',
            ((31.225,-51.325),(31.225,-51.175),(31.375,-51.175),(31.375,-51.325),(31.225,-51.325)),
        )
        createRL(
            tech, net, 'm2',
            ((31.17,-63.045),(31.17,-51.09),(31.43,-51.09),(31.43,-63.045),(31.17,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(31.3), u(0.26), u(-63.045), u(-51.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(31.3), u(0.26), u(-63.045), u(-51.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[3]']
        createRL(
            tech, net, 'li',
            ((31.215,-41.675),(31.215,-41.145),(31.385,-41.145),(31.385,-41.675),(31.215,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((31.215,-41.675),(31.215,-41.505),(31.385,-41.505),(31.385,-41.675),(31.215,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((31.215,-41.315),(31.215,-41.145),(31.385,-41.145),(31.385,-41.315),(31.215,-41.315)),
        )
        createRL(
            tech, net, 'm1',
            ((31.185,-41.735),(31.185,-41.085),(31.94,-41.085),(31.94,-41.735),(31.185,-41.735)),
        )
        createRL(
            tech, net, 'via',
            ((31.735,-41.645),(31.735,-41.495),(31.885,-41.495),(31.885,-41.645),(31.735,-41.645)),
        )
        createRL(
            tech, net, 'via',
            ((31.735,-41.325),(31.735,-41.175),(31.885,-41.175),(31.885,-41.325),(31.735,-41.325)),
        )
        createRL(
            tech, net, 'm2',
            ((31.68,-63.045),(31.68,-41.09),(31.94,-41.09),(31.94,-63.045),(31.68,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(31.81), u(0.26), u(-63.045), u(-41.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(31.81), u(0.26), u(-63.045), u(-41.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[4]']
        createRL(
            tech, net, 'li',
            ((58.015,-51.675),(58.015,-51.145),(58.185,-51.145),(58.185,-51.675),(58.015,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((58.015,-51.675),(58.015,-51.505),(58.185,-51.505),(58.185,-51.675),(58.015,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((58.015,-51.315),(58.015,-51.145),(58.185,-51.145),(58.185,-51.315),(58.015,-51.315)),
        )
        createRL(
            tech, net, 'm1',
            ((57.985,-51.735),(57.985,-51.73),(57.97,-51.73),(57.97,-51.09),(57.985,-51.09),(57.985,-51.085),(58.215,-51.085),(58.215,-51.09),(58.23,-51.09),(58.23,-51.73),(58.215,-51.73),(58.215,-51.735),(57.985,-51.735)),
        )
        createRL(
            tech, net, 'via',
            ((58.025,-51.645),(58.025,-51.495),(58.175,-51.495),(58.175,-51.645),(58.025,-51.645)),
        )
        createRL(
            tech, net, 'via',
            ((58.025,-51.325),(58.025,-51.175),(58.175,-51.175),(58.175,-51.325),(58.025,-51.325)),
        )
        createRL(
            tech, net, 'm2',
            ((57.97,-63.045),(57.97,-51.09),(58.23,-51.09),(58.23,-63.045),(57.97,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(58.1), u(0.26), u(-63.045), u(-51.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(58.1), u(0.26), u(-63.045), u(-51.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[5]']
        createRL(
            tech, net, 'li',
            ((58.015,-41.675),(58.015,-41.145),(58.185,-41.145),(58.185,-41.675),(58.015,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((58.015,-41.675),(58.015,-41.505),(58.185,-41.505),(58.185,-41.675),(58.015,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((58.015,-41.315),(58.015,-41.145),(58.185,-41.145),(58.185,-41.315),(58.015,-41.315)),
        )
        createRL(
            tech, net, 'm1',
            ((57.985,-41.735),(57.985,-41.085),(58.74,-41.085),(58.74,-41.735),(57.985,-41.735)),
        )
        createRL(
            tech, net, 'via',
            ((58.535,-41.645),(58.535,-41.495),(58.685,-41.495),(58.685,-41.645),(58.535,-41.645)),
        )
        createRL(
            tech, net, 'via',
            ((58.535,-41.325),(58.535,-41.175),(58.685,-41.175),(58.685,-41.325),(58.535,-41.325)),
        )
        createRL(
            tech, net, 'm2',
            ((58.48,-63.045),(58.48,-41.09),(58.74,-41.09),(58.74,-63.045),(58.48,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(58.61), u(0.26), u(-63.045), u(-41.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(58.61), u(0.26), u(-63.045), u(-41.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[6]']
        createRL(
            tech, net, 'li',
            ((84.815,-51.675),(84.815,-51.145),(84.985,-51.145),(84.985,-51.675),(84.815,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((84.815,-51.675),(84.815,-51.505),(84.985,-51.505),(84.985,-51.675),(84.815,-51.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((84.815,-51.315),(84.815,-51.145),(84.985,-51.145),(84.985,-51.315),(84.815,-51.315)),
        )
        createRL(
            tech, net, 'm1',
            ((84.785,-51.735),(84.785,-51.73),(84.77,-51.73),(84.77,-51.09),(84.785,-51.09),(84.785,-51.085),(85.015,-51.085),(85.015,-51.09),(85.03,-51.09),(85.03,-51.73),(85.015,-51.73),(85.015,-51.735),(84.785,-51.735)),
        )
        createRL(
            tech, net, 'via',
            ((84.825,-51.645),(84.825,-51.495),(84.975,-51.495),(84.975,-51.645),(84.825,-51.645)),
        )
        createRL(
            tech, net, 'via',
            ((84.825,-51.325),(84.825,-51.175),(84.975,-51.175),(84.975,-51.325),(84.825,-51.325)),
        )
        createRL(
            tech, net, 'm2',
            ((84.77,-63.045),(84.77,-51.09),(85.03,-51.09),(85.03,-63.045),(84.77,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(84.9), u(0.26), u(-63.045), u(-51.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(84.9), u(0.26), u(-63.045), u(-51.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['d[7]']
        createRL(
            tech, net, 'li',
            ((84.815,-41.675),(84.815,-41.145),(84.985,-41.145),(84.985,-41.675),(84.815,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((84.815,-41.675),(84.815,-41.505),(84.985,-41.505),(84.985,-41.675),(84.815,-41.675)),
        )
        createRL(
            tech, net, 'mcon',
            ((84.815,-41.315),(84.815,-41.145),(84.985,-41.145),(84.985,-41.315),(84.815,-41.315)),
        )
        createRL(
            tech, net, 'm1',
            ((84.785,-41.735),(84.785,-41.085),(85.54,-41.085),(85.54,-41.735),(84.785,-41.735)),
        )
        createRL(
            tech, net, 'via',
            ((85.335,-41.645),(85.335,-41.495),(85.485,-41.495),(85.485,-41.645),(85.335,-41.645)),
        )
        createRL(
            tech, net, 'via',
            ((85.335,-41.325),(85.335,-41.175),(85.485,-41.175),(85.485,-41.325),(85.335,-41.325)),
        )
        createRL(
            tech, net, 'm2',
            ((85.28,-63.045),(85.28,-41.09),(85.54,-41.09),(85.54,-63.045),(85.28,-63.045)),
        )
        Vertical.create(
            net, tech.getLayer('m2.pin'),
            u(85.41), u(0.26), u(-63.045), u(-41.09),
        )
        pin = Vertical.create(
            net, tech.getLayer('m2'),
            u(85.41), u(0.26), u(-63.045), u(-41.09),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'prBoundary',
            ((0.0,-63.045),(0.0,0.0),(107.2,0.0),(107.2,-63.045),(0.0,-63.045)),
        )
        nets['vss'].setGlobal(True)
        nets['vdd'].setGlobal(True)
        nets['vss'].setType(Net.Type.GROUND)
        nets['vss'].setDirection(Net.Direction.IN)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['clk'].setDirection(Net.Direction.IN)
        nets['precharge_n'].setDirection(Net.Direction.IN)
        nets['we'].setDirection(Net.Direction.IN)
        nets['we_en'].setDirection(Net.Direction.IN)
        nets['q[0]'].setDirection(Net.Direction.IN)
        nets['d[0]'].setDirection(Net.Direction.IN)
        nets['bl[0]'].setDirection(Net.Direction.IN)
        nets['bl_n[0]'].setDirection(Net.Direction.IN)
        nets['bl[1]'].setDirection(Net.Direction.IN)
        nets['bl_n[1]'].setDirection(Net.Direction.IN)
        nets['bl[2]'].setDirection(Net.Direction.IN)
        nets['bl_n[2]'].setDirection(Net.Direction.IN)
        nets['bl[3]'].setDirection(Net.Direction.IN)
        nets['bl_n[3]'].setDirection(Net.Direction.IN)
        nets['q[1]'].setDirection(Net.Direction.IN)
        nets['d[1]'].setDirection(Net.Direction.IN)
        nets['bl[4]'].setDirection(Net.Direction.IN)
        nets['bl_n[4]'].setDirection(Net.Direction.IN)
        nets['bl[5]'].setDirection(Net.Direction.IN)
        nets['bl_n[5]'].setDirection(Net.Direction.IN)
        nets['bl[6]'].setDirection(Net.Direction.IN)
        nets['bl_n[6]'].setDirection(Net.Direction.IN)
        nets['bl[7]'].setDirection(Net.Direction.IN)
        nets['bl_n[7]'].setDirection(Net.Direction.IN)
        nets['q[2]'].setDirection(Net.Direction.IN)
        nets['d[2]'].setDirection(Net.Direction.IN)
        nets['bl[8]'].setDirection(Net.Direction.IN)
        nets['bl_n[8]'].setDirection(Net.Direction.IN)
        nets['bl[9]'].setDirection(Net.Direction.IN)
        nets['bl_n[9]'].setDirection(Net.Direction.IN)
        nets['bl[10]'].setDirection(Net.Direction.IN)
        nets['bl_n[10]'].setDirection(Net.Direction.IN)
        nets['bl[11]'].setDirection(Net.Direction.IN)
        nets['bl_n[11]'].setDirection(Net.Direction.IN)
        nets['q[3]'].setDirection(Net.Direction.IN)
        nets['d[3]'].setDirection(Net.Direction.IN)
        nets['bl[12]'].setDirection(Net.Direction.IN)
        nets['bl_n[12]'].setDirection(Net.Direction.IN)
        nets['bl[13]'].setDirection(Net.Direction.IN)
        nets['bl_n[13]'].setDirection(Net.Direction.IN)
        nets['bl[14]'].setDirection(Net.Direction.IN)
        nets['bl_n[14]'].setDirection(Net.Direction.IN)
        nets['bl[15]'].setDirection(Net.Direction.IN)
        nets['bl_n[15]'].setDirection(Net.Direction.IN)
        nets['q[4]'].setDirection(Net.Direction.IN)
        nets['d[4]'].setDirection(Net.Direction.IN)
        nets['bl[16]'].setDirection(Net.Direction.IN)
        nets['bl_n[16]'].setDirection(Net.Direction.IN)
        nets['bl[17]'].setDirection(Net.Direction.IN)
        nets['bl_n[17]'].setDirection(Net.Direction.IN)
        nets['bl[18]'].setDirection(Net.Direction.IN)
        nets['bl_n[18]'].setDirection(Net.Direction.IN)
        nets['bl[19]'].setDirection(Net.Direction.IN)
        nets['bl_n[19]'].setDirection(Net.Direction.IN)
        nets['q[5]'].setDirection(Net.Direction.IN)
        nets['d[5]'].setDirection(Net.Direction.IN)
        nets['bl[20]'].setDirection(Net.Direction.IN)
        nets['bl_n[20]'].setDirection(Net.Direction.IN)
        nets['bl[21]'].setDirection(Net.Direction.IN)
        nets['bl_n[21]'].setDirection(Net.Direction.IN)
        nets['bl[22]'].setDirection(Net.Direction.IN)
        nets['bl_n[22]'].setDirection(Net.Direction.IN)
        nets['bl[23]'].setDirection(Net.Direction.IN)
        nets['bl_n[23]'].setDirection(Net.Direction.IN)
        nets['q[6]'].setDirection(Net.Direction.IN)
        nets['d[6]'].setDirection(Net.Direction.IN)
        nets['bl[24]'].setDirection(Net.Direction.IN)
        nets['bl_n[24]'].setDirection(Net.Direction.IN)
        nets['bl[25]'].setDirection(Net.Direction.IN)
        nets['bl_n[25]'].setDirection(Net.Direction.IN)
        nets['bl[26]'].setDirection(Net.Direction.IN)
        nets['bl_n[26]'].setDirection(Net.Direction.IN)
        nets['bl[27]'].setDirection(Net.Direction.IN)
        nets['bl_n[27]'].setDirection(Net.Direction.IN)
        nets['q[7]'].setDirection(Net.Direction.IN)
        nets['d[7]'].setDirection(Net.Direction.IN)
        nets['bl[28]'].setDirection(Net.Direction.IN)
        nets['bl_n[28]'].setDirection(Net.Direction.IN)
        nets['bl[29]'].setDirection(Net.Direction.IN)
        nets['bl_n[29]'].setDirection(Net.Direction.IN)
        nets['bl[30]'].setDirection(Net.Direction.IN)
        nets['bl_n[30]'].setDirection(Net.Direction.IN)
        nets['bl[31]'].setDirection(Net.Direction.IN)
        nets['bl_n[31]'].setDirection(Net.Direction.IN)
        nets['mux[0]'].setDirection(Net.Direction.IN)
        nets['mux[1]'].setDirection(Net.Direction.IN)
        nets['mux[2]'].setDirection(Net.Direction.IN)
        nets['mux[3]'].setDirection(Net.Direction.IN)
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(0.0), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(3.3500000000000005), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(6.700000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(10.05), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(13.400000000000002), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(16.750000000000004), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(20.1), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(23.450000000000003), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(26.800000000000004), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[8]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(30.150000000000006), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[9]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(33.50000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[10]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(36.85000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[11]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(40.2), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[12]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(43.550000000000004), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[13]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(46.900000000000006), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[14]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(50.25000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[15]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(53.60000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[16]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(56.95000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[17]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(60.30000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[18]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(63.65000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[19]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(67.00000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[20]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(70.35000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[21]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(73.70000000000002), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[22]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(77.05000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[23]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(80.4), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[24]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(83.75000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[25]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(87.10000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[26]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(90.45000000000002), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[27]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(93.80000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[28]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(97.15000000000002), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[29]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(100.50000000000001), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[30]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TPrecharge_bl2']
        except:
            subcell = af.getCell('DP8TPrecharge_bl2', 0)
        trans = Transformation(
            u(103.85000000000002), u(-1.51), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'precharge[31]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColMux_4C_bl2']
        except:
            subcell = af.getCell('DP8TColMux_4C_bl2', 0)
        trans = Transformation(
            u(0.0), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColMux_4C_bl2']
        except:
            subcell = af.getCell('DP8TColMux_4C_bl2', 0)
        trans = Transformation(
            u(13.400000000000002), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColMux_4C_bl2']
        except:
            subcell = af.getCell('DP8TColMux_4C_bl2', 0)
        trans = Transformation(
            u(26.800000000000004), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColMux_4C_bl2']
        except:
            subcell = af.getCell('DP8TColMux_4C_bl2', 0)
        trans = Transformation(
            u(40.2), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColMux_4C_bl2']
        except:
            subcell = af.getCell('DP8TColMux_4C_bl2', 0)
        trans = Transformation(
            u(53.60000000000001), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColMux_4C_bl2']
        except:
            subcell = af.getCell('DP8TColMux_4C_bl2', 0)
        trans = Transformation(
            u(67.00000000000001), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColMux_4C_bl2']
        except:
            subcell = af.getCell('DP8TColMux_4C_bl2', 0)
        trans = Transformation(
            u(80.4), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TColMux_4C_bl2']
        except:
            subcell = af.getCell('DP8TColMux_4C_bl2', 0)
        trans = Transformation(
            u(93.80000000000001), u(-13.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'colmux[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TSenseAmp_4M']
        except:
            subcell = af.getCell('DP8TSenseAmp_4M', 0)
        trans = Transformation(
            u(0.0), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TSenseAmp_4M']
        except:
            subcell = af.getCell('DP8TSenseAmp_4M', 0)
        trans = Transformation(
            u(13.400000000000002), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TSenseAmp_4M']
        except:
            subcell = af.getCell('DP8TSenseAmp_4M', 0)
        trans = Transformation(
            u(26.800000000000004), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TSenseAmp_4M']
        except:
            subcell = af.getCell('DP8TSenseAmp_4M', 0)
        trans = Transformation(
            u(40.2), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TSenseAmp_4M']
        except:
            subcell = af.getCell('DP8TSenseAmp_4M', 0)
        trans = Transformation(
            u(53.60000000000001), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[4]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TSenseAmp_4M']
        except:
            subcell = af.getCell('DP8TSenseAmp_4M', 0)
        trans = Transformation(
            u(67.00000000000001), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[5]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TSenseAmp_4M']
        except:
            subcell = af.getCell('DP8TSenseAmp_4M', 0)
        trans = Transformation(
            u(80.4), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[6]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TSenseAmp_4M']
        except:
            subcell = af.getCell('DP8TSenseAmp_4M', 0)
        trans = Transformation(
            u(93.80000000000001), u(-13.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'senseamp[7]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWriteDriver_4M2B']
        except:
            subcell = af.getCell('DP8TWriteDriver_4M2B', 0)
        trans = Transformation(
            u(0.0), u(-53.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'writedrive[0]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWriteDriver_4M2B']
        except:
            subcell = af.getCell('DP8TWriteDriver_4M2B', 0)
        trans = Transformation(
            u(26.800000000000004), u(-53.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'writedrive[1]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWriteDriver_4M2B']
        except:
            subcell = af.getCell('DP8TWriteDriver_4M2B', 0)
        trans = Transformation(
            u(53.60000000000001), u(-53.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'writedrive[2]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TWriteDriver_4M2B']
        except:
            subcell = af.getCell('DP8TWriteDriver_4M2B', 0)
        trans = Transformation(
            u(80.4), u(-53.045), Transformation.Orientation.ID,
        )
        Instance.create(
            cell, 'writedrive[3]', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )
        try:
            subcell = new_cells['DP8TClockWE']
        except:
            subcell = af.getCell('DP8TClockWE', 0)
        trans = Transformation(
            u(0.0), u(-53.045), Transformation.Orientation.MX,
        )
        Instance.create(
            cell, 'clkwe', subcell, trans,
            Instance.PlacementStatus.PLACED,
        )

    cell = new_cells['DP8TPrecharge_bl2']
    with UpdateSession():
        cell.setAbutmentBox(Box(
            u(0.0), u(0.0), u(3.3500000000000005), u(1.51),
        ))
        nets = {
            '*': Net.create(cell, '*'),
            'bl': Net.create(cell, 'bl'),
            'bl_n': Net.create(cell, 'bl_n'),
            'precharge_n': Net.create(cell, 'precharge_n'),
            'vdd': Net.create(cell, 'vdd'),
        }
        net = nets['precharge_n']
        createRL(
            tech, net, 'poly',
            ((0.0,0.21),(0.0,0.54),(0.485,0.54),(0.485,1.245),(0.635,1.245),(0.635,0.54),(1.6,0.54),(1.6,1.245),(1.75,1.245),(1.75,0.54),(2.715,0.54),(2.715,1.245),(2.865,1.245),(2.865,0.54),(3.35,0.54),(3.35,0.21),(0.0,0.21)),
        )
        createRL(
            tech, net, 'licon',
            ((1.59,0.29),(1.59,0.46),(1.76,0.46),(1.76,0.29),(1.59,0.29)),
        )
        createRL(
            tech, net, 'li',
            ((0.0,0.29),(0.0,0.46),(3.35,0.46),(3.35,0.29),(0.0,0.29)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.59,0.29),(1.59,0.46),(1.76,0.46),(1.76,0.29),(1.59,0.29)),
        )
        createRL(
            tech, net, 'm1',
            ((1.545,0.215),(1.545,0.535),(1.805,0.535),(1.805,0.215),(1.545,0.215)),
        )
        createRL(
            tech, net, 'via',
            ((1.6,0.3),(1.6,0.45),(1.75,0.45),(1.75,0.3),(1.6,0.3)),
        )
        createRL(
            tech, net, 'm2',
            ((0.0,0.245),(0.0,0.505),(3.35,0.505),(3.35,0.245),(0.0,0.245)),
        )
        Horizontal.create(
            net, tech.getLayer('li.pin'),
            u(0.375), u(0.17), u(0.0), u(3.3500000000000005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('li'),
            u(0.375), u(0.17), u(0.0), u(3.3500000000000005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(0.375), u(0.26), u(0.0), u(3.3500000000000005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(0.375), u(0.26), u(0.0), u(3.3500000000000005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['vdd']
        createRL(
            tech, net, 'difftap',
            ((-0.205,0.695),(-0.205,1.115),(0.635,1.115),(0.635,0.695),(-0.205,0.695)),
        )
        createRL(
            tech, net, 'difftap',
            ((1.6,0.695),(1.6,1.115),(1.75,1.115),(1.75,0.695),(1.6,0.695)),
        )
        createRL(
            tech, net, 'difftap',
            ((2.715,0.695),(2.715,1.115),(3.555,1.115),(3.555,0.695),(2.715,0.695)),
        )
        createRL(
            tech, net, 'licon',
            ((3.265,0.82),(3.265,0.99),(3.435,0.99),(3.435,0.82),(3.265,0.82)),
        )
        createRL(
            tech, net, 'licon',
            ((-0.085,0.82),(-0.085,0.99),(0.085,0.99),(0.085,0.82),(-0.085,0.82)),
        )
        createRL(
            tech, net, 'li',
            ((3.265,0.74),(3.265,1.07),(3.435,1.07),(3.435,0.74),(3.265,0.74)),
        )
        createRL(
            tech, net, 'li',
            ((-0.085,0.74),(-0.085,1.07),(0.085,1.07),(0.085,0.74),(-0.085,0.74)),
        )
        createRL(
            tech, net, 'nwm',
            ((-0.385,0.515),(-0.385,1.51),(3.735,1.51),(3.735,0.515),(-0.385,0.515)),
        )
        createRL(
            tech, net, 'mcon',
            ((3.265,0.82),(3.265,0.99),(3.435,0.99),(3.435,0.82),(3.265,0.82)),
        )
        createRL(
            tech, net, 'mcon',
            ((-0.085,0.82),(-0.085,0.99),(0.085,0.99),(0.085,0.82),(-0.085,0.82)),
        )
        createRL(
            tech, net, 'm1',
            ((3.22,0.745),(3.22,1.065),(3.48,1.065),(3.48,0.745),(3.22,0.745)),
        )
        createRL(
            tech, net, 'm1',
            ((-0.13,0.745),(-0.13,1.065),(0.13,1.065),(0.13,0.745),(-0.13,0.745)),
        )
        createRL(
            tech, net, 'via',
            ((3.275,0.83),(3.275,0.98),(3.425,0.98),(3.425,0.83),(3.275,0.83)),
        )
        createRL(
            tech, net, 'via',
            ((-0.075,0.83),(-0.075,0.98),(0.075,0.98),(0.075,0.83),(-0.075,0.83)),
        )
        createRL(
            tech, net, 'm2',
            ((-0.16,0.775),(-0.16,1.64),(3.51,1.64),(3.51,0.775),(3.19,0.775),(3.19,1.38),(0.16,1.38),(0.16,0.775),(-0.16,0.775)),
        )
        Horizontal.create(
            net, tech.getLayer('m2.pin'),
            u(1.51), u(0.26), u(0.0), u(3.3500000000000005),
        )
        pin = Horizontal.create(
            net, tech.getLayer('m2'),
            u(1.51), u(0.26), u(0.0), u(3.3500000000000005),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['*']
        createRL(
            tech, net, 'psdm',
            ((-0.33,0.57),(-0.33,1.24),(0.24,1.24),(0.24,1.51),(0.91,1.51),(0.91,1.24),(2.44,1.24),(2.44,1.51),(3.11,1.51),(3.11,1.24),(3.68,1.24),(3.68,0.57),(-0.33,0.57)),
        )
        createRL(
            tech, net, 'prBoundary',
            ((0.0,0.0),(0.0,1.51),(3.35,1.51),(3.35,0.0),(0.0,0.0)),
        )
        net = nets['bl']
        createRL(
            tech, net, 'difftap',
            ((0.635,0.695),(0.635,1.115),(1.6,1.115),(1.6,0.695),(0.635,0.695)),
        )
        createRL(
            tech, net, 'licon',
            ((1.035,0.82),(1.035,0.99),(1.205,0.99),(1.205,0.82),(1.035,0.82)),
        )
        createRL(
            tech, net, 'li',
            ((1.035,0.74),(1.035,1.07),(1.205,1.07),(1.205,0.74),(1.035,0.74)),
        )
        createRL(
            tech, net, 'mcon',
            ((1.035,0.82),(1.035,0.99),(1.205,0.99),(1.205,0.82),(1.035,0.82)),
        )
        createRL(
            tech, net, 'm1',
            ((2.0,0.0),(2.0,0.76),(1.005,0.76),(1.005,1.05),(2.0,1.05),(2.0,1.51),(2.23,1.51),(2.23,0.0),(2.0,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.115), u(0.23), u(0.0), u(1.51),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.115), u(0.23), u(0.0), u(1.51),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        net = nets['bl_n']
        createRL(
            tech, net, 'difftap',
            ((1.75,0.695),(1.75,1.115),(2.715,1.115),(2.715,0.695),(1.75,0.695)),
        )
        createRL(
            tech, net, 'licon',
            ((2.145,0.82),(2.145,0.99),(2.315,0.99),(2.315,0.82),(2.145,0.82)),
        )
        createRL(
            tech, net, 'li',
            ((2.145,0.74),(2.145,1.07),(2.86,1.07),(2.86,0.74),(2.145,0.74)),
        )
        createRL(
            tech, net, 'mcon',
            ((2.69,0.82),(2.69,0.99),(2.86,0.99),(2.86,0.82),(2.69,0.82)),
        )
        createRL(
            tech, net, 'm1',
            ((2.66,0.0),(2.66,1.51),(2.89,1.51),(2.89,0.0),(2.66,0.0)),
        )
        Vertical.create(
            net, tech.getLayer('m1.pin'),
            u(2.775), u(0.23), u(0.0), u(1.51),
        )
        pin = Vertical.create(
            net, tech.getLayer('m1'),
            u(2.775), u(0.23), u(0.0), u(1.51),
        )
        net.setExternal(True)
        NetExternalComponents.setExternal(pin)
        nets['vdd'].setGlobal(True)
        nets['vdd'].setType(Net.Type.POWER)
        nets['vdd'].setDirection(Net.Direction.IN)
        nets['bl'].setDirection(Net.Direction.IN)
        nets['bl_n'].setDirection(Net.Direction.IN)
        nets['precharge_n'].setDirection(Net.Direction.IN)
    # Export failed for cell 'DP8TColMux_4C_bl2'
    af.wrapLibrary(lib, 0)

    return lib

def setup():
    lib = _load()
    _routing()
    try:
        from .ExampleSRAMs_fix import fix
    except:
        pass
    else:
        fix(lib)

    return lib
